#include "memtools_register_info.h"

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark AIPSTZ
#endif

// Bitfields in register AIPSTZ_MPR.
static const field_t hw_aipstz_mpr[] =
{
    {
        "MPROT5",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MPROT3",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MPROT2",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MPROT1",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MPROT0",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register AIPSTZ_OPACR.
static const field_t hw_aipstz_opacr[] =
{
    {
        "OPAC7",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC6",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC5",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC4",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC3",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC2",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC1",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC0",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register AIPSTZ_OPACR1.
static const field_t hw_aipstz_opacr1[] =
{
    {
        "OPAC15",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC14",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC13",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC12",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC11",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC10",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC9",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC8",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register AIPSTZ_OPACR2.
static const field_t hw_aipstz_opacr2[] =
{
    {
        "OPAC23",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC22",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC21",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC20",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC19",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC18",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC17",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC16",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register AIPSTZ_OPACR3.
static const field_t hw_aipstz_opacr3[] =
{
    {
        "OPAC31",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC30",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC29",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC28",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC27",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC26",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC25",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC24",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register AIPSTZ_OPACR4.
static const field_t hw_aipstz_opacr4[] =
{
    {
        "OPAC33",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPAC32",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a AIPSTZ module.
static const reg_t hw_aipstz[] =
{
    {
        "MPR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_aipstz_mpr
    },
    {
        "OPACR",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_aipstz_opacr
    },
    {
        "OPACR1",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_aipstz_opacr1
    },
    {
        "OPACR2",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_aipstz_opacr2
    },
    {
        "OPACR3",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_aipstz_opacr3
    },
    {
        "OPACR4",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_aipstz_opacr4
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark APBH
#endif

// Bitfields in register APBH_CTRL0.
static const field_t hw_apbh_ctrl0[] =
{
    {
        "CLKGATE_CHANNEL",
        "These bits must be set to zero for normal operation of each channel.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "APB_BURST_EN",
        "Set this bit to one to enable apb master do a continous transfers when"
        " a device request a burst dma.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_BURST8_EN",
        "Set this bit to one (default) to enable AHB 8-beat burst.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal APBH DMA operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL0_SET.
static const field_t hw_apbh_ctrl0_set[] =
{
    {
        "CLKGATE_CHANNEL",
        "These bits must be set to zero for normal operation of each channel.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "APB_BURST_EN",
        "Set this bit to one to enable apb master do a continous transfers when"
        " a device request a burst dma.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_BURST8_EN",
        "Set this bit to one (default) to enable AHB 8-beat burst.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal APBH DMA operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL0_CLR.
static const field_t hw_apbh_ctrl0_clr[] =
{
    {
        "CLKGATE_CHANNEL",
        "These bits must be set to zero for normal operation of each channel.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "APB_BURST_EN",
        "Set this bit to one to enable apb master do a continous transfers when"
        " a device request a burst dma.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_BURST8_EN",
        "Set this bit to one (default) to enable AHB 8-beat burst.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal APBH DMA operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL0_TOG.
static const field_t hw_apbh_ctrl0_tog[] =
{
    {
        "CLKGATE_CHANNEL",
        "These bits must be set to zero for normal operation of each channel.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved, always set to zero.",
        16, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "APB_BURST_EN",
        "Set this bit to one to enable apb master do a continous transfers when"
        " a device request a burst dma.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_BURST8_EN",
        "Set this bit to one (default) to enable AHB 8-beat burst.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to zero to enable normal APBH DMA operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL1.
static const field_t hw_apbh_ctrl1[] =
{
    {
        "CH0_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL1_SET.
static const field_t hw_apbh_ctrl1_set[] =
{
    {
        "CH0_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL1_CLR.
static const field_t hw_apbh_ctrl1_clr[] =
{
    {
        "CH0_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL1_TOG.
static const field_t hw_apbh_ctrl1_tog[] =
{
    {
        "CH0_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ",
        "Interrupt request status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_CMDCMPLT_IRQ_EN",
        "Setting this bit enables the generation of an interrupt request for AP"
        "BH DMA channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL2.
static const field_t hw_apbh_ctrl2[] =
{
    {
        "CH0_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH1_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH2_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH3_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH4_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH5_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH6_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH7_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH8_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH9_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH10_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH11_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH12_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH13_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH14_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH15_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL2_SET.
static const field_t hw_apbh_ctrl2_set[] =
{
    {
        "CH0_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH1_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH2_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH3_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH4_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH5_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH6_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH7_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH8_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH9_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH10_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH11_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH12_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH13_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH14_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH15_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL2_CLR.
static const field_t hw_apbh_ctrl2_clr[] =
{
    {
        "CH0_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH1_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH2_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH3_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH4_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH5_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH6_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH7_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH8_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH9_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH10_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH11_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH12_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH13_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH14_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH15_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CTRL2_TOG.
static const field_t hw_apbh_ctrl2_tog[] =
{
    {
        "CH0_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 2.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 3.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 4.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 5.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 6.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7_ERROR_IRQ",
        "Error interrupt status bit for APBX DMA Channel 7.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 8.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 9.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH10_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 10.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH11_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 11.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH12_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 12.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH13_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 13.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH14_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 14.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH15_ERROR_IRQ",
        "Error interrupt status bit for APBH DMA Channel 15.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH0_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 0.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH1_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 1.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH2_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 2.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH3_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 3.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH4_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 4.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH5_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 5.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH6_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 6.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH7_ERROR_STATUS",
        "Error status bit for APBX DMA Channel 7.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH8_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 8.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH9_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 9.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH10_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 10.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH11_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 11.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH12_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 12.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH13_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 13.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH14_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 14.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CH15_ERROR_STATUS",
        "Error status bit for APBH DMA Channel 15.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CHANNEL_CTRL.
static const field_t hw_apbh_channel_ctrl[] =
{
    {
        "FREEZE_CHANNEL",
        "Setting a bit in this field will freeze the DMA channel associated wit"
        "h it.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET_CHANNEL",
        "Setting a bit in this field causes the DMA controller to take the corr"
        "esponding channel through its reset state.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CHANNEL_CTRL_SET.
static const field_t hw_apbh_channel_ctrl_set[] =
{
    {
        "FREEZE_CHANNEL",
        "Setting a bit in this field will freeze the DMA channel associated wit"
        "h it.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET_CHANNEL",
        "Setting a bit in this field causes the DMA controller to take the corr"
        "esponding channel through its reset state.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CHANNEL_CTRL_CLR.
static const field_t hw_apbh_channel_ctrl_clr[] =
{
    {
        "FREEZE_CHANNEL",
        "Setting a bit in this field will freeze the DMA channel associated wit"
        "h it.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET_CHANNEL",
        "Setting a bit in this field causes the DMA controller to take the corr"
        "esponding channel through its reset state.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CHANNEL_CTRL_TOG.
static const field_t hw_apbh_channel_ctrl_tog[] =
{
    {
        "FREEZE_CHANNEL",
        "Setting a bit in this field will freeze the DMA channel associated wit"
        "h it.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET_CHANNEL",
        "Setting a bit in this field causes the DMA controller to take the corr"
        "esponding channel through its reset state.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_DEVSEL.
static const field_t hw_apbh_devsel[] =
{
    {
        "CH0",
        "Reserved.",
        0, // LSB
        1, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH1",
        "Reserved.",
        2, // LSB
        3, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH2",
        "Reserved.",
        4, // LSB
        5, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH3",
        "Reserved.",
        6, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH4",
        "Reserved.",
        8, // LSB
        9, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH5",
        "Reserved.",
        10, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH6",
        "Reserved.",
        12, // LSB
        13, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH7",
        "Reserved.",
        14, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH8",
        "Reserved.",
        16, // LSB
        17, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH9",
        "Reserved.",
        18, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH10",
        "Reserved.",
        20, // LSB
        21, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH11",
        "Reserved.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH12",
        "Reserved.",
        24, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH13",
        "Reserved.",
        26, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH14",
        "Reserved.",
        28, // LSB
        29, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH15",
        "Reserved.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_DMA_BURST_SIZE.
static const field_t hw_apbh_dma_burst_size[] =
{
    {
        "CH0",
        "DMA burst size for GPMI channel 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1",
        "DMA burst size for GPMI channel 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2",
        "DMA burst size for GPMI channel 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3",
        "DMA burst size for GPMI channel 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4",
        "DMA burst size for GPMI channel 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH5",
        "DMA burst size for GPMI channel 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH6",
        "DMA burst size for GPMI channel 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH7",
        "DMA burst size for GPMI channel 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH8",
        "DMA burst size for SSP.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH9",
        "Reserved.",
        18, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH10",
        "Reserved.",
        20, // LSB
        21, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH11",
        "Reserved.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH12",
        "Reserved.",
        24, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH13",
        "Reserved.",
        26, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH14",
        "Reserved.",
        28, // LSB
        29, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CH15",
        "Reserved.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_DEBUG.
static const field_t hw_apbh_debug[] =
{
    {
        "GPMI_ONE_FIFO",
        "Set to 0ne and the 8 GPMI channels will share the DMA FIFO, and when s"
        "et to zero, the 8 GPMI channels will use its own DMA FIFO.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_CURCMDAR.
static const field_t hw_apbh_ch0_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_NXTCMDAR.
static const field_t hw_apbh_ch0_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_CMD.
static const field_t hw_apbh_ch0_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_BAR.
static const field_t hw_apbh_ch0_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_SEMA.
static const field_t hw_apbh_ch0_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_DEBUG1.
static const field_t hw_apbh_ch0_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH0_DEBUG2.
static const field_t hw_apbh_ch0_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_CURCMDAR.
static const field_t hw_apbh_ch1_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_NXTCMDAR.
static const field_t hw_apbh_ch1_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_CMD.
static const field_t hw_apbh_ch1_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_BAR.
static const field_t hw_apbh_ch1_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_SEMA.
static const field_t hw_apbh_ch1_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_DEBUG1.
static const field_t hw_apbh_ch1_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH1_DEBUG2.
static const field_t hw_apbh_ch1_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_CURCMDAR.
static const field_t hw_apbh_ch2_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_NXTCMDAR.
static const field_t hw_apbh_ch2_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_CMD.
static const field_t hw_apbh_ch2_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_BAR.
static const field_t hw_apbh_ch2_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_SEMA.
static const field_t hw_apbh_ch2_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_DEBUG1.
static const field_t hw_apbh_ch2_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH2_DEBUG2.
static const field_t hw_apbh_ch2_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_CURCMDAR.
static const field_t hw_apbh_ch3_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_NXTCMDAR.
static const field_t hw_apbh_ch3_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_CMD.
static const field_t hw_apbh_ch3_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_BAR.
static const field_t hw_apbh_ch3_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_SEMA.
static const field_t hw_apbh_ch3_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_DEBUG1.
static const field_t hw_apbh_ch3_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH3_DEBUG2.
static const field_t hw_apbh_ch3_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_CURCMDAR.
static const field_t hw_apbh_ch4_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_NXTCMDAR.
static const field_t hw_apbh_ch4_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_CMD.
static const field_t hw_apbh_ch4_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_BAR.
static const field_t hw_apbh_ch4_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_SEMA.
static const field_t hw_apbh_ch4_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_DEBUG1.
static const field_t hw_apbh_ch4_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH4_DEBUG2.
static const field_t hw_apbh_ch4_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_CURCMDAR.
static const field_t hw_apbh_ch5_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_NXTCMDAR.
static const field_t hw_apbh_ch5_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_CMD.
static const field_t hw_apbh_ch5_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_BAR.
static const field_t hw_apbh_ch5_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_SEMA.
static const field_t hw_apbh_ch5_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_DEBUG1.
static const field_t hw_apbh_ch5_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH5_DEBUG2.
static const field_t hw_apbh_ch5_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_CURCMDAR.
static const field_t hw_apbh_ch6_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_NXTCMDAR.
static const field_t hw_apbh_ch6_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_CMD.
static const field_t hw_apbh_ch6_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_BAR.
static const field_t hw_apbh_ch6_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_SEMA.
static const field_t hw_apbh_ch6_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_DEBUG1.
static const field_t hw_apbh_ch6_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH6_DEBUG2.
static const field_t hw_apbh_ch6_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_CURCMDAR.
static const field_t hw_apbh_ch7_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_NXTCMDAR.
static const field_t hw_apbh_ch7_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_CMD.
static const field_t hw_apbh_ch7_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_BAR.
static const field_t hw_apbh_ch7_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_SEMA.
static const field_t hw_apbh_ch7_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_DEBUG1.
static const field_t hw_apbh_ch7_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH7_DEBUG2.
static const field_t hw_apbh_ch7_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_CURCMDAR.
static const field_t hw_apbh_ch8_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_NXTCMDAR.
static const field_t hw_apbh_ch8_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_CMD.
static const field_t hw_apbh_ch8_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_BAR.
static const field_t hw_apbh_ch8_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_SEMA.
static const field_t hw_apbh_ch8_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_DEBUG1.
static const field_t hw_apbh_ch8_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH8_DEBUG2.
static const field_t hw_apbh_ch8_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_CURCMDAR.
static const field_t hw_apbh_ch9_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_NXTCMDAR.
static const field_t hw_apbh_ch9_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_CMD.
static const field_t hw_apbh_ch9_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_BAR.
static const field_t hw_apbh_ch9_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_SEMA.
static const field_t hw_apbh_ch9_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_DEBUG1.
static const field_t hw_apbh_ch9_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH9_DEBUG2.
static const field_t hw_apbh_ch9_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_CURCMDAR.
static const field_t hw_apbh_ch10_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_NXTCMDAR.
static const field_t hw_apbh_ch10_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_CMD.
static const field_t hw_apbh_ch10_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_BAR.
static const field_t hw_apbh_ch10_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_SEMA.
static const field_t hw_apbh_ch10_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_DEBUG1.
static const field_t hw_apbh_ch10_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH10_DEBUG2.
static const field_t hw_apbh_ch10_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_CURCMDAR.
static const field_t hw_apbh_ch11_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_NXTCMDAR.
static const field_t hw_apbh_ch11_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_CMD.
static const field_t hw_apbh_ch11_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_BAR.
static const field_t hw_apbh_ch11_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_SEMA.
static const field_t hw_apbh_ch11_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_DEBUG1.
static const field_t hw_apbh_ch11_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH11_DEBUG2.
static const field_t hw_apbh_ch11_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_CURCMDAR.
static const field_t hw_apbh_ch12_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_NXTCMDAR.
static const field_t hw_apbh_ch12_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_CMD.
static const field_t hw_apbh_ch12_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_BAR.
static const field_t hw_apbh_ch12_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_SEMA.
static const field_t hw_apbh_ch12_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_DEBUG1.
static const field_t hw_apbh_ch12_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH12_DEBUG2.
static const field_t hw_apbh_ch12_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_CURCMDAR.
static const field_t hw_apbh_ch13_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_NXTCMDAR.
static const field_t hw_apbh_ch13_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_CMD.
static const field_t hw_apbh_ch13_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_BAR.
static const field_t hw_apbh_ch13_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_SEMA.
static const field_t hw_apbh_ch13_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_DEBUG1.
static const field_t hw_apbh_ch13_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH13_DEBUG2.
static const field_t hw_apbh_ch13_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_CURCMDAR.
static const field_t hw_apbh_ch14_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_NXTCMDAR.
static const field_t hw_apbh_ch14_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_CMD.
static const field_t hw_apbh_ch14_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_BAR.
static const field_t hw_apbh_ch14_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_SEMA.
static const field_t hw_apbh_ch14_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_DEBUG1.
static const field_t hw_apbh_ch14_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH14_DEBUG2.
static const field_t hw_apbh_ch14_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_CURCMDAR.
static const field_t hw_apbh_ch15_curcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to command structure currently being processed for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_NXTCMDAR.
static const field_t hw_apbh_ch15_nxtcmdar[] =
{
    {
        "CMD_ADDR",
        "Pointer to next command structure for channel n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_CMD.
static const field_t hw_apbh_ch15_cmd[] =
{
    {
        "COMMAND",
        "This bitfield indicates the type of current command:",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHAIN",
        "A value of one indicates that another command is chained onto the end "
        "of the current command structure.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQONCMPLT",
        "A value of one indicates that the channel will cause the interrupt sta"
        "tus bit to be set upon completion of the current command, i.e.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDLOCK",
        "A value of one indicates that the NAND DMA channel will remain \"locke"
        "d\" in the arbiter at the expense of other NAND DMA channels.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NANDWAIT4READY",
        "A value of one indicates that the NAND DMA channel will will wait unti"
        "l the NAND device reports \"ready\" before executing the command.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SEMAPHORE",
        "A value of one indicates that the channel will decrement its semaphore"
        " at the completion of the current command structure.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT4ENDCMD",
        "A value of one indicates that the channel will wait for the end of com"
        "mand signal to be sent from the APBH device to the DMA before starting"
        " the next DMA command.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HALTONTERMINATE",
        "A value of one indicates that the channel will immeditately terminate "
        "the current descriptor and halt the DMA channel if a terminate signal "
        "is set.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMDWORDS",
        "This field indicates the number of command words to send to the GPMI0,"
        " starting with the base PIO address of the GPMI0 control register and "
        "incrementing from there.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "XFER_COUNT",
        "This field indicates the number of bytes to transfer to or from the ap"
        "propriate PIO register in the GPMI0 device.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_BAR.
static const field_t hw_apbh_ch15_bar[] =
{
    {
        "ADDRESS",
        "Address of system memory buffer to be read or written over the AHB bus"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_SEMA.
static const field_t hw_apbh_ch15_sema[] =
{
    {
        "INCREMENT_SEMA",
        "The value written to this field is added to the semaphore count in an "
        "atomic way such that simultaneous software adds and DMA hardware subst"
        "racts happening on the same clock are protected.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHORE",
        "This read-only field shows the current (instantaneous) value of the se"
        "maphore counter.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_DEBUG1.
static const field_t hw_apbh_ch15_debug1[] =
{
    {
        "STATEMACHINE",
        "PIO Display of the DMA Channel n state machine state.",
        0, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        5, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "WR_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Write FIFO Fu"
        "ll signal.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Write FIFO Em"
        "pty signal.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_FULL",
        "This bit reflects the current state of the DMA Channel's Read FIFO Ful"
        "l signal.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_FIFO_EMPTY",
        "This bit reflects the current state of the DMA Channel's Read FIFO Emp"
        "ty signal.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEXTCMDADDRVALID",
        "This bit reflects the internal bit which indicates whether the channel"
        "'s next command address is valid.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "This bit is reserved for this Channel and always reads 0.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READY",
        "This bit is reserved for this DMA Channel and always reads 0.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SENSE",
        "This bit is reserved for this DMA Channel and always reads 0.",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "END",
        "This bit reflects the current state of the DMA End Command Signal sent"
        " from the APB Device",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "KICK",
        "This bit reflects the current state of the DMA Kick Signal sent to the"
        " APB Device",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BURST",
        "This bit reflects the current state of the DMA Burst Signal from the A"
        "PB device",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REQ",
        "This bit reflects the current state of the DMA Request Signal from the"
        " APB device",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_CH15_DEBUG2.
static const field_t hw_apbh_ch15_debug2[] =
{
    {
        "AHB_BYTES",
        "This value reflects the current number of AHB bytes remaining to be tr"
        "ansfered in the current transfer.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_BYTES",
        "This value reflects the current number of APB bytes remaining to be tr"
        "ansfered in the current transfer.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register APBH_VERSION.
static const field_t hw_apbh_version[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value reflecting the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value reflecting the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a APBH module.
static const reg_t hw_apbh[] =
{
    {
        "CTRL0",
        "The APBH CTRL 0 provides overall control of the AHB to APBH bridge and"
        " DMA.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_apbh_ctrl0
    },
    {
        "CTRL0_SET",
        "The APBH CTRL 0 provides overall control of the AHB to APBH bridge and"
        " DMA.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_apbh_ctrl0_set
    },
    {
        "CTRL0_CLR",
        "The APBH CTRL 0 provides overall control of the AHB to APBH bridge and"
        " DMA.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_apbh_ctrl0_clr
    },
    {
        "CTRL0_TOG",
        "The APBH CTRL 0 provides overall control of the AHB to APBH bridge and"
        " DMA.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_apbh_ctrl0_tog
    },
    {
        "CTRL1",
        "The APBH CTRL one provides overall control of the interrupts generated"
        " by the AHB to APBH DMA.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl1
    },
    {
        "CTRL1_SET",
        "The APBH CTRL one provides overall control of the interrupts generated"
        " by the AHB to APBH DMA.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl1_set
    },
    {
        "CTRL1_CLR",
        "The APBH CTRL one provides overall control of the interrupts generated"
        " by the AHB to APBH DMA.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl1_clr
    },
    {
        "CTRL1_TOG",
        "The APBH CTRL one provides overall control of the interrupts generated"
        " by the AHB to APBH DMA.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl1_tog
    },
    {
        "CTRL2",
        "The APBH CTRL 2 provides channel error interrupts generated by the AHB"
        " to APBH DMA.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl2
    },
    {
        "CTRL2_SET",
        "The APBH CTRL 2 provides channel error interrupts generated by the AHB"
        " to APBH DMA.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl2_set
    },
    {
        "CTRL2_CLR",
        "The APBH CTRL 2 provides channel error interrupts generated by the AHB"
        " to APBH DMA.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl2_clr
    },
    {
        "CTRL2_TOG",
        "The APBH CTRL 2 provides channel error interrupts generated by the AHB"
        " to APBH DMA.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        32, // Number of bitfields
        hw_apbh_ctrl2_tog
    },
    {
        "CHANNEL_CTRL",
        "The APBH CHANNEL CTRL provides reset/freeze control of each DMA channe"
        "l.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_channel_ctrl
    },
    {
        "CHANNEL_CTRL_SET",
        "The APBH CHANNEL CTRL provides reset/freeze control of each DMA channe"
        "l.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_channel_ctrl_set
    },
    {
        "CHANNEL_CTRL_CLR",
        "The APBH CHANNEL CTRL provides reset/freeze control of each DMA channe"
        "l.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_channel_ctrl_clr
    },
    {
        "CHANNEL_CTRL_TOG",
        "The APBH CHANNEL CTRL provides reset/freeze control of each DMA channe"
        "l.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_channel_ctrl_tog
    },
    {
        "DEVSEL",
        "This register allows reassignment of the APBH device connected to the "
        "DMA Channels.",
        4, // Width in bytes
        0x00000040, // Base address offset
        false, // Readable
        false, // Writable
        16, // Number of bitfields
        hw_apbh_devsel
    },
    {
        "DMA_BURST_SIZE",
        "This register programs the apbh burst size of the APBH DMA devices whe"
        "n a DMA burst request is issued.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_apbh_dma_burst_size
    },
    {
        "DEBUG",
        "This register is for debug purpose.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_debug
    },
    {
        "CH0_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch0_curcmdar
    },
    {
        "CH0_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch0_nxtcmdar
    },
    {
        "CH0_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch0_cmd
    },
    {
        "CH0_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch0_bar
    },
    {
        "CH0_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch0_sema
    },
    {
        "CH0_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch0_debug1
    },
    {
        "CH0_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch0_debug2
    },
    {
        "CH1_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch1_curcmdar
    },
    {
        "CH1_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch1_nxtcmdar
    },
    {
        "CH1_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch1_cmd
    },
    {
        "CH1_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch1_bar
    },
    {
        "CH1_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch1_sema
    },
    {
        "CH1_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch1_debug1
    },
    {
        "CH1_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000001d0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch1_debug2
    },
    {
        "CH2_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch2_curcmdar
    },
    {
        "CH2_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch2_nxtcmdar
    },
    {
        "CH2_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch2_cmd
    },
    {
        "CH2_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch2_bar
    },
    {
        "CH2_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch2_sema
    },
    {
        "CH2_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch2_debug1
    },
    {
        "CH2_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch2_debug2
    },
    {
        "CH3_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch3_curcmdar
    },
    {
        "CH3_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch3_nxtcmdar
    },
    {
        "CH3_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch3_cmd
    },
    {
        "CH3_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000280, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch3_bar
    },
    {
        "CH3_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch3_sema
    },
    {
        "CH3_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch3_debug1
    },
    {
        "CH3_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000002b0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch3_debug2
    },
    {
        "CH4_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000002c0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch4_curcmdar
    },
    {
        "CH4_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000002d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch4_nxtcmdar
    },
    {
        "CH4_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000002e0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch4_cmd
    },
    {
        "CH4_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000002f0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch4_bar
    },
    {
        "CH4_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch4_sema
    },
    {
        "CH4_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch4_debug1
    },
    {
        "CH4_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch4_debug2
    },
    {
        "CH5_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000330, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch5_curcmdar
    },
    {
        "CH5_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000340, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch5_nxtcmdar
    },
    {
        "CH5_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000350, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch5_cmd
    },
    {
        "CH5_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000360, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch5_bar
    },
    {
        "CH5_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000370, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch5_sema
    },
    {
        "CH5_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000380, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch5_debug1
    },
    {
        "CH5_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000390, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch5_debug2
    },
    {
        "CH6_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000003a0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch6_curcmdar
    },
    {
        "CH6_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000003b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch6_nxtcmdar
    },
    {
        "CH6_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000003c0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch6_cmd
    },
    {
        "CH6_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000003d0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch6_bar
    },
    {
        "CH6_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000003e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch6_sema
    },
    {
        "CH6_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000003f0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch6_debug1
    },
    {
        "CH6_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch6_debug2
    },
    {
        "CH7_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch7_curcmdar
    },
    {
        "CH7_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch7_nxtcmdar
    },
    {
        "CH7_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000430, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch7_cmd
    },
    {
        "CH7_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch7_bar
    },
    {
        "CH7_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch7_sema
    },
    {
        "CH7_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch7_debug1
    },
    {
        "CH7_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch7_debug2
    },
    {
        "CH8_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch8_curcmdar
    },
    {
        "CH8_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch8_nxtcmdar
    },
    {
        "CH8_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch8_cmd
    },
    {
        "CH8_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000004b0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch8_bar
    },
    {
        "CH8_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch8_sema
    },
    {
        "CH8_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch8_debug1
    },
    {
        "CH8_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch8_debug2
    },
    {
        "CH9_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000004f0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch9_curcmdar
    },
    {
        "CH9_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000500, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch9_nxtcmdar
    },
    {
        "CH9_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000510, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch9_cmd
    },
    {
        "CH9_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000520, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch9_bar
    },
    {
        "CH9_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000530, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch9_sema
    },
    {
        "CH9_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000540, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch9_debug1
    },
    {
        "CH9_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000550, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch9_debug2
    },
    {
        "CH10_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000560, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch10_curcmdar
    },
    {
        "CH10_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000570, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch10_nxtcmdar
    },
    {
        "CH10_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000580, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch10_cmd
    },
    {
        "CH10_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000590, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch10_bar
    },
    {
        "CH10_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000005a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch10_sema
    },
    {
        "CH10_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000005b0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch10_debug1
    },
    {
        "CH10_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000005c0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch10_debug2
    },
    {
        "CH11_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000005d0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch11_curcmdar
    },
    {
        "CH11_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000005e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch11_nxtcmdar
    },
    {
        "CH11_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000005f0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch11_cmd
    },
    {
        "CH11_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000600, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch11_bar
    },
    {
        "CH11_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch11_sema
    },
    {
        "CH11_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000620, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch11_debug1
    },
    {
        "CH11_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000630, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch11_debug2
    },
    {
        "CH12_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000640, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch12_curcmdar
    },
    {
        "CH12_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000650, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch12_nxtcmdar
    },
    {
        "CH12_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000660, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch12_cmd
    },
    {
        "CH12_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000670, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch12_bar
    },
    {
        "CH12_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000680, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch12_sema
    },
    {
        "CH12_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000690, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch12_debug1
    },
    {
        "CH12_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000006a0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch12_debug2
    },
    {
        "CH13_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x000006b0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch13_curcmdar
    },
    {
        "CH13_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000006c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch13_nxtcmdar
    },
    {
        "CH13_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000006d0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch13_cmd
    },
    {
        "CH13_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000006e0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch13_bar
    },
    {
        "CH13_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000006f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch13_sema
    },
    {
        "CH13_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000700, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch13_debug1
    },
    {
        "CH13_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000710, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch13_debug2
    },
    {
        "CH14_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000720, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch14_curcmdar
    },
    {
        "CH14_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x00000730, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch14_nxtcmdar
    },
    {
        "CH14_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x00000740, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch14_cmd
    },
    {
        "CH14_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x00000750, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch14_bar
    },
    {
        "CH14_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x00000760, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch14_sema
    },
    {
        "CH14_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x00000770, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch14_debug1
    },
    {
        "CH14_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x00000780, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch14_debug2
    },
    {
        "CH15_CURCMDAR",
        "The APBH DMA channel n current command address register points to the "
        "multiword command that is currently being executed.",
        4, // Width in bytes
        0x00000790, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch15_curcmdar
    },
    {
        "CH15_NXTCMDAR",
        "The APBH DMA Channel n Next Command Address register contains the addr"
        "ess of the next multiword command to be executed.",
        4, // Width in bytes
        0x000007a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_apbh_ch15_nxtcmdar
    },
    {
        "CH15_CMD",
        "The APBH DMA Channel n command register specifies the DMA transaction "
        "to perform for the current command chain item.",
        4, // Width in bytes
        0x000007b0, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_apbh_ch15_cmd
    },
    {
        "CH15_BAR",
        "The APBH DMA Channel n buffer address register contains a pointer to t"
        "he data buffer for the transfer.",
        4, // Width in bytes
        0x000007c0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_apbh_ch15_bar
    },
    {
        "CH15_SEMA",
        "The APBH DMA Channel n semaphore register is used to synchronize the A"
        "rm platform instruction stream and the DMA chain processing state.",
        4, // Width in bytes
        0x000007d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_apbh_ch15_sema
    },
    {
        "CH15_DEBUG1",
        "This register gives debug visibility into the APBH DMA Channel n state"
        " machine and controls.",
        4, // Width in bytes
        0x000007e0, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_apbh_ch15_debug1
    },
    {
        "CH15_DEBUG2",
        "This register gives debug visibility for the APB and AHB byte counts f"
        "or DMA Channel n.",
        4, // Width in bytes
        0x000007f0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_apbh_ch15_debug2
    },
    {
        "VERSION",
        "This register always returns a known read value for debug purposes it "
        "indicates the version of the block.",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_apbh_version
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark BCH
#endif

// Bitfields in register BCH_CTRL.
static const field_t hw_bch_ctrl[] =
{
    {
        "COMPLETE_IRQ",
        "This bit indicates the state of the external interrupt line.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ",
        "DEBUG STALL Interrupt Status.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "AHB Bus interface Error Interrupt Status.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETE_IRQ_EN",
        "1 = interrupt on completion of correction is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ_EN",
        "1 = interrupt on debug stall mode is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "This read-only field is reserved and always has the value 0",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M2M_ENABLE",
        "NOTE! WRITING THIS BIT INITIATES A MEMORY-TO-MEMORY OPERATION.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_ENCODE",
        "Selects encode (parity generation) or decode (correction) mode for mem"
        "ory-to-memory operations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_LAYOUT",
        "Selects the flash page format for memory-to-memory operations.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "This read-only field is reserved and always has the value 0",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUGSYNDROME",
        "(For debug purposes only).",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "This read-only field is reserved and always has the value 0.",
        23, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to 0 to enable normal BCH operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_CTRL_SET.
static const field_t hw_bch_ctrl_set[] =
{
    {
        "COMPLETE_IRQ",
        "This bit indicates the state of the external interrupt line.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ",
        "DEBUG STALL Interrupt Status.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "AHB Bus interface Error Interrupt Status.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETE_IRQ_EN",
        "1 = interrupt on completion of correction is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ_EN",
        "1 = interrupt on debug stall mode is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "This read-only field is reserved and always has the value 0",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M2M_ENABLE",
        "NOTE! WRITING THIS BIT INITIATES A MEMORY-TO-MEMORY OPERATION.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_ENCODE",
        "Selects encode (parity generation) or decode (correction) mode for mem"
        "ory-to-memory operations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_LAYOUT",
        "Selects the flash page format for memory-to-memory operations.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "This read-only field is reserved and always has the value 0",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUGSYNDROME",
        "(For debug purposes only).",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "This read-only field is reserved and always has the value 0.",
        23, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to 0 to enable normal BCH operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_CTRL_CLR.
static const field_t hw_bch_ctrl_clr[] =
{
    {
        "COMPLETE_IRQ",
        "This bit indicates the state of the external interrupt line.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ",
        "DEBUG STALL Interrupt Status.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "AHB Bus interface Error Interrupt Status.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETE_IRQ_EN",
        "1 = interrupt on completion of correction is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ_EN",
        "1 = interrupt on debug stall mode is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "This read-only field is reserved and always has the value 0",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M2M_ENABLE",
        "NOTE! WRITING THIS BIT INITIATES A MEMORY-TO-MEMORY OPERATION.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_ENCODE",
        "Selects encode (parity generation) or decode (correction) mode for mem"
        "ory-to-memory operations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_LAYOUT",
        "Selects the flash page format for memory-to-memory operations.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "This read-only field is reserved and always has the value 0",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUGSYNDROME",
        "(For debug purposes only).",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "This read-only field is reserved and always has the value 0.",
        23, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to 0 to enable normal BCH operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_CTRL_TOG.
static const field_t hw_bch_ctrl_tog[] =
{
    {
        "COMPLETE_IRQ",
        "This bit indicates the state of the external interrupt line.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ",
        "DEBUG STALL Interrupt Status.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "AHB Bus interface Error Interrupt Status.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETE_IRQ_EN",
        "1 = interrupt on completion of correction is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG_STALL_IRQ_EN",
        "1 = interrupt on debug stall mode is enabled.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD3",
        "This read-only field is reserved and always has the value 0",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M2M_ENABLE",
        "NOTE! WRITING THIS BIT INITIATES A MEMORY-TO-MEMORY OPERATION.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_ENCODE",
        "Selects encode (parity generation) or decode (correction) mode for mem"
        "ory-to-memory operations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M2M_LAYOUT",
        "Selects the flash page format for memory-to-memory operations.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD4",
        "This read-only field is reserved and always has the value 0",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUGSYNDROME",
        "(For debug purposes only).",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD5",
        "This read-only field is reserved and always has the value 0.",
        23, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to 0 for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set this bit to 0 to enable normal BCH operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_STATUS0.
static const field_t hw_bch_status0[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UNCORRECTABLE",
        "1 = Uncorrectable error encountered during last processing cycle.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORRECTED",
        "1 = At least one correctable error encountered during last processing "
        "cycle.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLONES",
        "1 = All data bits of this transaction are ONE.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS_BLK0",
        "Count of symbols in error during processing of first block of flash (m"
        "etadata block).",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETED_CE",
        "This is the chip enable number corresponding to the NAND device from w"
        "hich this data came.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "Software supplies a 12 bit handle for this transfer as part of the GPM"
        "I DMA PIO operation that started the transaction.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_STATUS0_SET.
static const field_t hw_bch_status0_set[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UNCORRECTABLE",
        "1 = Uncorrectable error encountered during last processing cycle.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORRECTED",
        "1 = At least one correctable error encountered during last processing "
        "cycle.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLONES",
        "1 = All data bits of this transaction are ONE.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS_BLK0",
        "Count of symbols in error during processing of first block of flash (m"
        "etadata block).",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETED_CE",
        "This is the chip enable number corresponding to the NAND device from w"
        "hich this data came.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "Software supplies a 12 bit handle for this transfer as part of the GPM"
        "I DMA PIO operation that started the transaction.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_STATUS0_CLR.
static const field_t hw_bch_status0_clr[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UNCORRECTABLE",
        "1 = Uncorrectable error encountered during last processing cycle.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORRECTED",
        "1 = At least one correctable error encountered during last processing "
        "cycle.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLONES",
        "1 = All data bits of this transaction are ONE.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS_BLK0",
        "Count of symbols in error during processing of first block of flash (m"
        "etadata block).",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETED_CE",
        "This is the chip enable number corresponding to the NAND device from w"
        "hich this data came.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "Software supplies a 12 bit handle for this transfer as part of the GPM"
        "I DMA PIO operation that started the transaction.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_STATUS0_TOG.
static const field_t hw_bch_status0_tog[] =
{
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UNCORRECTABLE",
        "1 = Uncorrectable error encountered during last processing cycle.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORRECTED",
        "1 = At least one correctable error encountered during last processing "
        "cycle.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLONES",
        "1 = All data bits of this transaction are ONE.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS_BLK0",
        "Count of symbols in error during processing of first block of flash (m"
        "etadata block).",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPLETED_CE",
        "This is the chip enable number corresponding to the NAND device from w"
        "hich this data came.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HANDLE",
        "Software supplies a 12 bit handle for this transfer as part of the GPM"
        "I DMA PIO operation that started the transaction.",
        20, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_MODE.
static const field_t hw_bch_mode[] =
{
    {
        "ERASE_THRESHOLD",
        "This value indicates the maximum number of zero bits on a flash subpag"
        "e for it to be considered erased.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_MODE_SET.
static const field_t hw_bch_mode_set[] =
{
    {
        "ERASE_THRESHOLD",
        "This value indicates the maximum number of zero bits on a flash subpag"
        "e for it to be considered erased.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_MODE_CLR.
static const field_t hw_bch_mode_clr[] =
{
    {
        "ERASE_THRESHOLD",
        "This value indicates the maximum number of zero bits on a flash subpag"
        "e for it to be considered erased.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_MODE_TOG.
static const field_t hw_bch_mode_tog[] =
{
    {
        "ERASE_THRESHOLD",
        "This value indicates the maximum number of zero bits on a flash subpag"
        "e for it to be considered erased.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_ENCODEPTR.
static const field_t hw_bch_encodeptr[] =
{
    {
        "ADDR",
        "Address pointer to encode buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_ENCODEPTR_SET.
static const field_t hw_bch_encodeptr_set[] =
{
    {
        "ADDR",
        "Address pointer to encode buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_ENCODEPTR_CLR.
static const field_t hw_bch_encodeptr_clr[] =
{
    {
        "ADDR",
        "Address pointer to encode buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_ENCODEPTR_TOG.
static const field_t hw_bch_encodeptr_tog[] =
{
    {
        "ADDR",
        "Address pointer to encode buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DATAPTR.
static const field_t hw_bch_dataptr[] =
{
    {
        "ADDR",
        "Address pointer to data buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DATAPTR_SET.
static const field_t hw_bch_dataptr_set[] =
{
    {
        "ADDR",
        "Address pointer to data buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DATAPTR_CLR.
static const field_t hw_bch_dataptr_clr[] =
{
    {
        "ADDR",
        "Address pointer to data buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DATAPTR_TOG.
static const field_t hw_bch_dataptr_tog[] =
{
    {
        "ADDR",
        "Address pointer to data buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_METAPTR.
static const field_t hw_bch_metaptr[] =
{
    {
        "ADDR",
        "Address pointer to metadata buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_METAPTR_SET.
static const field_t hw_bch_metaptr_set[] =
{
    {
        "ADDR",
        "Address pointer to metadata buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_METAPTR_CLR.
static const field_t hw_bch_metaptr_clr[] =
{
    {
        "ADDR",
        "Address pointer to metadata buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_METAPTR_TOG.
static const field_t hw_bch_metaptr_tog[] =
{
    {
        "ADDR",
        "Address pointer to metadata buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_LAYOUTSELECT.
static const field_t hw_bch_layoutselect[] =
{
    {
        "CS0_SELECT",
        "Selects which layout is used for chip select 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS1_SELECT",
        "Selects which layout is used for chip select 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS2_SELECT",
        "Selects which layout is used for chip select 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS3_SELECT",
        "Selects which layout is used for chip select 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS4_SELECT",
        "Selects which layout is used for chip select 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS5_SELECT",
        "Selects which layout is used for chip select 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS6_SELECT",
        "Selects which layout is used for chip select 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS7_SELECT",
        "Selects which layout is used for chip select 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS8_SELECT",
        "Selects which layout is used for chip select 8.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS9_SELECT",
        "Selects which layout is used for chip select 9.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS10_SELECT",
        "Selects which layout is used for chip select 10.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS11_SELECT",
        "Selects which layout is used for chip select 11.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS12_SELECT",
        "Selects which layout is used for chip select 12.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS13_SELECT",
        "Selects which layout is used for chip select 13.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS14_SELECT",
        "Selects which layout is used for chip select 14.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS15_SELECT",
        "Selects which layout is used for chip select 15.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_LAYOUTSELECT_SET.
static const field_t hw_bch_layoutselect_set[] =
{
    {
        "CS0_SELECT",
        "Selects which layout is used for chip select 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS1_SELECT",
        "Selects which layout is used for chip select 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS2_SELECT",
        "Selects which layout is used for chip select 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS3_SELECT",
        "Selects which layout is used for chip select 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS4_SELECT",
        "Selects which layout is used for chip select 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS5_SELECT",
        "Selects which layout is used for chip select 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS6_SELECT",
        "Selects which layout is used for chip select 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS7_SELECT",
        "Selects which layout is used for chip select 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS8_SELECT",
        "Selects which layout is used for chip select 8.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS9_SELECT",
        "Selects which layout is used for chip select 9.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS10_SELECT",
        "Selects which layout is used for chip select 10.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS11_SELECT",
        "Selects which layout is used for chip select 11.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS12_SELECT",
        "Selects which layout is used for chip select 12.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS13_SELECT",
        "Selects which layout is used for chip select 13.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS14_SELECT",
        "Selects which layout is used for chip select 14.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS15_SELECT",
        "Selects which layout is used for chip select 15.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_LAYOUTSELECT_CLR.
static const field_t hw_bch_layoutselect_clr[] =
{
    {
        "CS0_SELECT",
        "Selects which layout is used for chip select 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS1_SELECT",
        "Selects which layout is used for chip select 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS2_SELECT",
        "Selects which layout is used for chip select 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS3_SELECT",
        "Selects which layout is used for chip select 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS4_SELECT",
        "Selects which layout is used for chip select 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS5_SELECT",
        "Selects which layout is used for chip select 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS6_SELECT",
        "Selects which layout is used for chip select 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS7_SELECT",
        "Selects which layout is used for chip select 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS8_SELECT",
        "Selects which layout is used for chip select 8.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS9_SELECT",
        "Selects which layout is used for chip select 9.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS10_SELECT",
        "Selects which layout is used for chip select 10.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS11_SELECT",
        "Selects which layout is used for chip select 11.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS12_SELECT",
        "Selects which layout is used for chip select 12.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS13_SELECT",
        "Selects which layout is used for chip select 13.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS14_SELECT",
        "Selects which layout is used for chip select 14.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS15_SELECT",
        "Selects which layout is used for chip select 15.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_LAYOUTSELECT_TOG.
static const field_t hw_bch_layoutselect_tog[] =
{
    {
        "CS0_SELECT",
        "Selects which layout is used for chip select 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS1_SELECT",
        "Selects which layout is used for chip select 1.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS2_SELECT",
        "Selects which layout is used for chip select 2.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS3_SELECT",
        "Selects which layout is used for chip select 3.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS4_SELECT",
        "Selects which layout is used for chip select 4.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS5_SELECT",
        "Selects which layout is used for chip select 5.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS6_SELECT",
        "Selects which layout is used for chip select 6.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS7_SELECT",
        "Selects which layout is used for chip select 7.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS8_SELECT",
        "Selects which layout is used for chip select 8.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS9_SELECT",
        "Selects which layout is used for chip select 9.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS10_SELECT",
        "Selects which layout is used for chip select 10.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS11_SELECT",
        "Selects which layout is used for chip select 11.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS12_SELECT",
        "Selects which layout is used for chip select 12.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS13_SELECT",
        "Selects which layout is used for chip select 13.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS14_SELECT",
        "Selects which layout is used for chip select 14.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS15_SELECT",
        "Selects which layout is used for chip select 15.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT0.
static const field_t hw_bch_flash0layout0[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT0_SET.
static const field_t hw_bch_flash0layout0_set[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT0_CLR.
static const field_t hw_bch_flash0layout0_clr[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT0_TOG.
static const field_t hw_bch_flash0layout0_tog[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT1.
static const field_t hw_bch_flash0layout1[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT1_SET.
static const field_t hw_bch_flash0layout1_set[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT1_CLR.
static const field_t hw_bch_flash0layout1_clr[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH0LAYOUT1_TOG.
static const field_t hw_bch_flash0layout1_tog[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT0.
static const field_t hw_bch_flash1layout0[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT0_SET.
static const field_t hw_bch_flash1layout0_set[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT0_CLR.
static const field_t hw_bch_flash1layout0_clr[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT0_TOG.
static const field_t hw_bch_flash1layout0_tog[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT1.
static const field_t hw_bch_flash1layout1[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT1_SET.
static const field_t hw_bch_flash1layout1_set[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT1_CLR.
static const field_t hw_bch_flash1layout1_clr[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH1LAYOUT1_TOG.
static const field_t hw_bch_flash1layout1_tog[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT0.
static const field_t hw_bch_flash2layout0[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT0_SET.
static const field_t hw_bch_flash2layout0_set[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT0_CLR.
static const field_t hw_bch_flash2layout0_clr[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT0_TOG.
static const field_t hw_bch_flash2layout0_tog[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT1.
static const field_t hw_bch_flash2layout1[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT1_SET.
static const field_t hw_bch_flash2layout1_set[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT1_CLR.
static const field_t hw_bch_flash2layout1_clr[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH2LAYOUT1_TOG.
static const field_t hw_bch_flash2layout1_tog[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT0.
static const field_t hw_bch_flash3layout0[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT0_SET.
static const field_t hw_bch_flash3layout0_set[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT0_CLR.
static const field_t hw_bch_flash3layout0_clr[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT0_TOG.
static const field_t hw_bch_flash3layout0_tog[] =
{
    {
        "DATA0_SIZE",
        "Indicates the size of the data 0 block (in DWORDS / four bytes) to be "
        "stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC0",
        "Indicates the ECC level for the first block on the flash page.",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "META_SIZE",
        "Indicates the size of the metadata (in bytes) to be stored on a flash "
        "page.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NBLOCKS",
        "Number of subsequent blocks on the flash page (excluding the data0 blo"
        "ck).",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT1.
static const field_t hw_bch_flash3layout1[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT1_SET.
static const field_t hw_bch_flash3layout1_set[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT1_CLR.
static const field_t hw_bch_flash3layout1_clr[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_FLASH3LAYOUT1_TOG.
static const field_t hw_bch_flash3layout1_tog[] =
{
    {
        "DATAN_SIZE",
        "Indicates the size of the subsequent data blocks (in DWORDS / four byt"
        "es) to be stored on the flash page.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GF13_0_GF14_1",
        "Select GF13 or GF14: 0-GF13; 1-GF14",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECCN",
        "Indicates the ECC level for the subsequent blocks on the flash page (b"
        "locks 1-n).",
        11, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGE_SIZE",
        "Indicates the total size of the flash page (in bytes).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG0.
static const field_t hw_bch_debug0[] =
{
    {
        "DEBUG_REG_SELECT",
        "The value loaded in this bit field is used to select the internal regi"
        "ster state view of KES engine or the Chien search engine.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BM_KES_TEST_BYPASS",
        "1 = Point all SYND_GEN writes to dummy area at the end of the AUXILLIA"
        "RY block so that diagnostics can preload all payload, parity bytes and"
        " computed syndrome bytes for test the KES engine.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STALL",
        "Set to one to cause KES FSM to stall after notifying Chien search engi"
        "ne to start processing its block but before notifying the bus master t"
        "hat the KES computation is complete.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STEP",
        "Toggling this bit causes the KES FSM to skip passed the stall state if"
        " it is in DEBUG_STALL mode and completed processing a block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_STANDALONE",
        "Set to one, cause the KES engine to suppress toggling the KES_BM_DONE "
        "signal to the bus master and suppress toggling the CF_BM_DONE signal b"
        "y the CF engine.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_KICK",
        "Toggling causes KES engine FSM to start as if kick by the Bus Master.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_MODE4K",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input mode (4K "
        "or 2K pages).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_PAYLOAD_FLAG",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input payload f"
        "lag.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SHIFT_SYND",
        "Toggling this bit causes the value in BCH_DEBUG0_KES_SYNDROME_SYMBOL t"
        "o be shift into the syndrome register array at the input to the KES en"
        "gine.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SYNDROME_SYMBOL",
        "The 9 bit value in this bit field shifts into the syndrome register ar"
        "ray at the input of the KES engine whenever BCH_DEBUG0_KES_DEBUG_SHIFT"
        "_SYND is toggled.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG0_SET.
static const field_t hw_bch_debug0_set[] =
{
    {
        "DEBUG_REG_SELECT",
        "The value loaded in this bit field is used to select the internal regi"
        "ster state view of KES engine or the Chien search engine.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BM_KES_TEST_BYPASS",
        "1 = Point all SYND_GEN writes to dummy area at the end of the AUXILLIA"
        "RY block so that diagnostics can preload all payload, parity bytes and"
        " computed syndrome bytes for test the KES engine.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STALL",
        "Set to one to cause KES FSM to stall after notifying Chien search engi"
        "ne to start processing its block but before notifying the bus master t"
        "hat the KES computation is complete.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STEP",
        "Toggling this bit causes the KES FSM to skip passed the stall state if"
        " it is in DEBUG_STALL mode and completed processing a block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_STANDALONE",
        "Set to one, cause the KES engine to suppress toggling the KES_BM_DONE "
        "signal to the bus master and suppress toggling the CF_BM_DONE signal b"
        "y the CF engine.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_KICK",
        "Toggling causes KES engine FSM to start as if kick by the Bus Master.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_MODE4K",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input mode (4K "
        "or 2K pages).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_PAYLOAD_FLAG",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input payload f"
        "lag.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SHIFT_SYND",
        "Toggling this bit causes the value in BCH_DEBUG0_KES_SYNDROME_SYMBOL t"
        "o be shift into the syndrome register array at the input to the KES en"
        "gine.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SYNDROME_SYMBOL",
        "The 9 bit value in this bit field shifts into the syndrome register ar"
        "ray at the input of the KES engine whenever BCH_DEBUG0_KES_DEBUG_SHIFT"
        "_SYND is toggled.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG0_CLR.
static const field_t hw_bch_debug0_clr[] =
{
    {
        "DEBUG_REG_SELECT",
        "The value loaded in this bit field is used to select the internal regi"
        "ster state view of KES engine or the Chien search engine.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BM_KES_TEST_BYPASS",
        "1 = Point all SYND_GEN writes to dummy area at the end of the AUXILLIA"
        "RY block so that diagnostics can preload all payload, parity bytes and"
        " computed syndrome bytes for test the KES engine.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STALL",
        "Set to one to cause KES FSM to stall after notifying Chien search engi"
        "ne to start processing its block but before notifying the bus master t"
        "hat the KES computation is complete.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STEP",
        "Toggling this bit causes the KES FSM to skip passed the stall state if"
        " it is in DEBUG_STALL mode and completed processing a block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_STANDALONE",
        "Set to one, cause the KES engine to suppress toggling the KES_BM_DONE "
        "signal to the bus master and suppress toggling the CF_BM_DONE signal b"
        "y the CF engine.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_KICK",
        "Toggling causes KES engine FSM to start as if kick by the Bus Master.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_MODE4K",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input mode (4K "
        "or 2K pages).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_PAYLOAD_FLAG",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input payload f"
        "lag.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SHIFT_SYND",
        "Toggling this bit causes the value in BCH_DEBUG0_KES_SYNDROME_SYMBOL t"
        "o be shift into the syndrome register array at the input to the KES en"
        "gine.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SYNDROME_SYMBOL",
        "The 9 bit value in this bit field shifts into the syndrome register ar"
        "ray at the input of the KES engine whenever BCH_DEBUG0_KES_DEBUG_SHIFT"
        "_SYND is toggled.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG0_TOG.
static const field_t hw_bch_debug0_tog[] =
{
    {
        "DEBUG_REG_SELECT",
        "The value loaded in this bit field is used to select the internal regi"
        "ster state view of KES engine or the Chien search engine.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "This read-only field is reserved and always has the value 0.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BM_KES_TEST_BYPASS",
        "1 = Point all SYND_GEN writes to dummy area at the end of the AUXILLIA"
        "RY block so that diagnostics can preload all payload, parity bytes and"
        " computed syndrome bytes for test the KES engine.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STALL",
        "Set to one to cause KES FSM to stall after notifying Chien search engi"
        "ne to start processing its block but before notifying the bus master t"
        "hat the KES computation is complete.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_STEP",
        "Toggling this bit causes the KES FSM to skip passed the stall state if"
        " it is in DEBUG_STALL mode and completed processing a block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_STANDALONE",
        "Set to one, cause the KES engine to suppress toggling the KES_BM_DONE "
        "signal to the bus master and suppress toggling the CF_BM_DONE signal b"
        "y the CF engine.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_KICK",
        "Toggling causes KES engine FSM to start as if kick by the Bus Master.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_MODE4K",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input mode (4K "
        "or 2K pages).",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_PAYLOAD_FLAG",
        "When running the stand alone debug mode on the error calculator, the s"
        "tate of this bit is presented to the KES engine as the input payload f"
        "lag.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SHIFT_SYND",
        "Toggling this bit causes the value in BCH_DEBUG0_KES_SYNDROME_SYMBOL t"
        "o be shift into the syndrome register array at the input to the KES en"
        "gine.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "KES_DEBUG_SYNDROME_SYMBOL",
        "The 9 bit value in this bit field shifts into the syndrome register ar"
        "ray at the input of the KES engine whenever BCH_DEBUG0_KES_DEBUG_SHIFT"
        "_SYND is toggled.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "This read-only field is reserved and always has the value 0.",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGKESREAD.
static const field_t hw_bch_dbgkesread[] =
{
    {
        "VALUES",
        "This register returns the ROM BIST CRC value after a BIST test.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGKESREAD_SET.
static const field_t hw_bch_dbgkesread_set[] =
{
    {
        "VALUES",
        "This register returns the ROM BIST CRC value after a BIST test.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGKESREAD_CLR.
static const field_t hw_bch_dbgkesread_clr[] =
{
    {
        "VALUES",
        "This register returns the ROM BIST CRC value after a BIST test.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGKESREAD_TOG.
static const field_t hw_bch_dbgkesread_tog[] =
{
    {
        "VALUES",
        "This register returns the ROM BIST CRC value after a BIST test.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGCSFEREAD.
static const field_t hw_bch_dbgcsferead[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGCSFEREAD_SET.
static const field_t hw_bch_dbgcsferead_set[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGCSFEREAD_CLR.
static const field_t hw_bch_dbgcsferead_clr[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGCSFEREAD_TOG.
static const field_t hw_bch_dbgcsferead_tog[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGSYNDGENREAD.
static const field_t hw_bch_dbgsyndgenread[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGSYNDGENREAD_SET.
static const field_t hw_bch_dbgsyndgenread_set[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGSYNDGENREAD_CLR.
static const field_t hw_bch_dbgsyndgenread_clr[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGSYNDGENREAD_TOG.
static const field_t hw_bch_dbgsyndgenread_tog[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGAHBMREAD.
static const field_t hw_bch_dbgahbmread[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGAHBMREAD_SET.
static const field_t hw_bch_dbgahbmread_set[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGAHBMREAD_CLR.
static const field_t hw_bch_dbgahbmread_clr[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DBGAHBMREAD_TOG.
static const field_t hw_bch_dbgahbmread_tog[] =
{
    {
        "VALUES",
        "Reserved",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_BLOCKNAME.
static const field_t hw_bch_blockname[] =
{
    {
        "NAME",
        "The name is in the ASCII characters BCH (0x20, H, C, B).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_BLOCKNAME_SET.
static const field_t hw_bch_blockname_set[] =
{
    {
        "NAME",
        "The name is in the ASCII characters BCH (0x20, H, C, B).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_BLOCKNAME_CLR.
static const field_t hw_bch_blockname_clr[] =
{
    {
        "NAME",
        "The name is in the ASCII characters BCH (0x20, H, C, B).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_BLOCKNAME_TOG.
static const field_t hw_bch_blockname_tog[] =
{
    {
        "NAME",
        "The name is in the ASCII characters BCH (0x20, H, C, B).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_VERSION.
static const field_t hw_bch_version[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value indicates the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value indicates the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_VERSION_SET.
static const field_t hw_bch_version_set[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value indicates the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value indicates the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_VERSION_CLR.
static const field_t hw_bch_version_clr[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value indicates the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value indicates the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_VERSION_TOG.
static const field_t hw_bch_version_tog[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value indicates the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value indicates the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG1.
static const field_t hw_bch_debug1[] =
{
    {
        "ERASED_ZERO_COUNT",
        "The zero counts on one page.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG1_PREERASECHK",
        "Blank page enables pre-erase check.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG1_SET.
static const field_t hw_bch_debug1_set[] =
{
    {
        "ERASED_ZERO_COUNT",
        "The zero counts on one page.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG1_PREERASECHK",
        "Blank page enables pre-erase check.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG1_CLR.
static const field_t hw_bch_debug1_clr[] =
{
    {
        "ERASED_ZERO_COUNT",
        "The zero counts on one page.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG1_PREERASECHK",
        "Blank page enables pre-erase check.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BCH_DEBUG1_TOG.
static const field_t hw_bch_debug1_tog[] =
{
    {
        "ERASED_ZERO_COUNT",
        "The zero counts on one page.",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD",
        "This read-only field is reserved and always has the value 0.",
        9, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEBUG1_PREERASECHK",
        "Blank page enables pre-erase check.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a BCH module.
static const reg_t hw_bch[] =
{
    {
        "CTRL",
        "The BCH CTRL provides overall control of the hardware ECC accelerator",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_bch_ctrl
    },
    {
        "CTRL_SET",
        "The BCH CTRL provides overall control of the hardware ECC accelerator",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_bch_ctrl_set
    },
    {
        "CTRL_CLR",
        "The BCH CTRL provides overall control of the hardware ECC accelerator",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_bch_ctrl_clr
    },
    {
        "CTRL_TOG",
        "The BCH CTRL provides overall control of the hardware ECC accelerator",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_bch_ctrl_tog
    },
    {
        "STATUS0",
        "The BCH STAT register provides visibility into the run-time status of "
        "the BCH and status information when processing is complete.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_bch_status0
    },
    {
        "STATUS0_SET",
        "The BCH STAT register provides visibility into the run-time status of "
        "the BCH and status information when processing is complete.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_bch_status0_set
    },
    {
        "STATUS0_CLR",
        "The BCH STAT register provides visibility into the run-time status of "
        "the BCH and status information when processing is complete.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_bch_status0_clr
    },
    {
        "STATUS0_TOG",
        "The BCH STAT register provides visibility into the run-time status of "
        "the BCH and status information when processing is complete.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_bch_status0_tog
    },
    {
        "MODE",
        "The BCH MODE register provides additional mode controls.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_bch_mode
    },
    {
        "MODE_SET",
        "The BCH MODE register provides additional mode controls.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_bch_mode_set
    },
    {
        "MODE_CLR",
        "The BCH MODE register provides additional mode controls.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_bch_mode_clr
    },
    {
        "MODE_TOG",
        "The BCH MODE register provides additional mode controls.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_bch_mode_tog
    },
    {
        "ENCODEPTR",
        "When performing memory to memory operations, indicates the address of "
        "the encode buffer.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_encodeptr
    },
    {
        "ENCODEPTR_SET",
        "When performing memory to memory operations, indicates the address of "
        "the encode buffer.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_encodeptr_set
    },
    {
        "ENCODEPTR_CLR",
        "When performing memory to memory operations, indicates the address of "
        "the encode buffer.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_encodeptr_clr
    },
    {
        "ENCODEPTR_TOG",
        "When performing memory to memory operations, indicates the address of "
        "the encode buffer.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_encodeptr_tog
    },
    {
        "DATAPTR",
        "When performing memory to memory operations, indicates the address of "
        "the data buffer.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_dataptr
    },
    {
        "DATAPTR_SET",
        "When performing memory to memory operations, indicates the address of "
        "the data buffer.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_dataptr_set
    },
    {
        "DATAPTR_CLR",
        "When performing memory to memory operations, indicates the address of "
        "the data buffer.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_dataptr_clr
    },
    {
        "DATAPTR_TOG",
        "When performing memory to memory operations, indicates the address of "
        "the data buffer.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_dataptr_tog
    },
    {
        "METAPTR",
        "When performing memory to memory operations, indicates the address of "
        "the metadata buffer.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_metaptr
    },
    {
        "METAPTR_SET",
        "When performing memory to memory operations, indicates the address of "
        "the metadata buffer.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_metaptr_set
    },
    {
        "METAPTR_CLR",
        "When performing memory to memory operations, indicates the address of "
        "the metadata buffer.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_metaptr_clr
    },
    {
        "METAPTR_TOG",
        "When performing memory to memory operations, indicates the address of "
        "the metadata buffer.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_bch_metaptr_tog
    },
    {
        "LAYOUTSELECT",
        "The BCH LAYOUTSELECT register provides a mapping of chip selects to la"
        "yout registers.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_bch_layoutselect
    },
    {
        "LAYOUTSELECT_SET",
        "The BCH LAYOUTSELECT register provides a mapping of chip selects to la"
        "yout registers.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_bch_layoutselect_set
    },
    {
        "LAYOUTSELECT_CLR",
        "The BCH LAYOUTSELECT register provides a mapping of chip selects to la"
        "yout registers.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_bch_layoutselect_clr
    },
    {
        "LAYOUTSELECT_TOG",
        "The BCH LAYOUTSELECT register provides a mapping of chip selects to la"
        "yout registers.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_bch_layoutselect_tog
    },
    {
        "FLASH0LAYOUT0",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash0layout0
    },
    {
        "FLASH0LAYOUT0_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash0layout0_set
    },
    {
        "FLASH0LAYOUT0_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash0layout0_clr
    },
    {
        "FLASH0LAYOUT0_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash0layout0_tog
    },
    {
        "FLASH0LAYOUT1",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash0layout1
    },
    {
        "FLASH0LAYOUT1_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash0layout1_set
    },
    {
        "FLASH0LAYOUT1_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash0layout1_clr
    },
    {
        "FLASH0LAYOUT1_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash0layout1_tog
    },
    {
        "FLASH1LAYOUT0",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash1layout0
    },
    {
        "FLASH1LAYOUT0_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash1layout0_set
    },
    {
        "FLASH1LAYOUT0_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash1layout0_clr
    },
    {
        "FLASH1LAYOUT0_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash1layout0_tog
    },
    {
        "FLASH1LAYOUT1",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash1layout1
    },
    {
        "FLASH1LAYOUT1_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash1layout1_set
    },
    {
        "FLASH1LAYOUT1_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash1layout1_clr
    },
    {
        "FLASH1LAYOUT1_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash1layout1_tog
    },
    {
        "FLASH2LAYOUT0",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash2layout0
    },
    {
        "FLASH2LAYOUT0_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash2layout0_set
    },
    {
        "FLASH2LAYOUT0_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash2layout0_clr
    },
    {
        "FLASH2LAYOUT0_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash2layout0_tog
    },
    {
        "FLASH2LAYOUT1",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash2layout1
    },
    {
        "FLASH2LAYOUT1_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash2layout1_set
    },
    {
        "FLASH2LAYOUT1_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash2layout1_clr
    },
    {
        "FLASH2LAYOUT1_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash2layout1_tog
    },
    {
        "FLASH3LAYOUT0",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash3layout0
    },
    {
        "FLASH3LAYOUT0_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash3layout0_set
    },
    {
        "FLASH3LAYOUT0_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash3layout0_clr
    },
    {
        "FLASH3LAYOUT0_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_bch_flash3layout0_tog
    },
    {
        "FLASH3LAYOUT1",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash3layout1
    },
    {
        "FLASH3LAYOUT1_SET",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash3layout1_set
    },
    {
        "FLASH3LAYOUT1_CLR",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash3layout1_clr
    },
    {
        "FLASH3LAYOUT1_TOG",
        "The flash format register contains a description of the logical layout"
        " of data on the flash device.",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_bch_flash3layout1_tog
    },
    {
        "DEBUG0",
        "The hardware BCH accelerator internal state machines and signals can b"
        "e seen in the ECC debug register.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_bch_debug0
    },
    {
        "DEBUG0_SET",
        "The hardware BCH accelerator internal state machines and signals can b"
        "e seen in the ECC debug register.",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_bch_debug0_set
    },
    {
        "DEBUG0_CLR",
        "The hardware BCH accelerator internal state machines and signals can b"
        "e seen in the ECC debug register.",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_bch_debug0_clr
    },
    {
        "DEBUG0_TOG",
        "The hardware BCH accelerator internal state machines and signals can b"
        "e seen in the ECC debug register.",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_bch_debug0_tog
    },
    {
        "DBGKESREAD",
        "The hardware BCH ECC accelerator key equation solver internal state ma"
        "chines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgkesread
    },
    {
        "DBGKESREAD_SET",
        "The hardware BCH ECC accelerator key equation solver internal state ma"
        "chines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgkesread_set
    },
    {
        "DBGKESREAD_CLR",
        "The hardware BCH ECC accelerator key equation solver internal state ma"
        "chines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgkesread_clr
    },
    {
        "DBGKESREAD_TOG",
        "The hardware BCH ECC accelerator key equation solver internal state ma"
        "chines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgkesread_tog
    },
    {
        "DBGCSFEREAD",
        "The hardware BCH ECC accelerator Chien Search internal state machines "
        "and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgcsferead
    },
    {
        "DBGCSFEREAD_SET",
        "The hardware BCH ECC accelerator Chien Search internal state machines "
        "and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgcsferead_set
    },
    {
        "DBGCSFEREAD_CLR",
        "The hardware BCH ECC accelerator Chien Search internal state machines "
        "and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgcsferead_clr
    },
    {
        "DBGCSFEREAD_TOG",
        "The hardware BCH ECC accelerator Chien Search internal state machines "
        "and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgcsferead_tog
    },
    {
        "DBGSYNDGENREAD",
        "The hardware BCH ECC accelerator syndrome generator internal state mac"
        "hines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgsyndgenread
    },
    {
        "DBGSYNDGENREAD_SET",
        "The hardware BCH ECC accelerator syndrome generator internal state mac"
        "hines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgsyndgenread_set
    },
    {
        "DBGSYNDGENREAD_CLR",
        "The hardware BCH ECC accelerator syndrome generator internal state mac"
        "hines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgsyndgenread_clr
    },
    {
        "DBGSYNDGENREAD_TOG",
        "The hardware BCH ECC accelerator syndrome generator internal state mac"
        "hines and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgsyndgenread_tog
    },
    {
        "DBGAHBMREAD",
        "The hardware BCH ECC accelerator bus master, ECC controller internal s"
        "tate machines, and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgahbmread
    },
    {
        "DBGAHBMREAD_SET",
        "The hardware BCH ECC accelerator bus master, ECC controller internal s"
        "tate machines, and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgahbmread_set
    },
    {
        "DBGAHBMREAD_CLR",
        "The hardware BCH ECC accelerator bus master, ECC controller internal s"
        "tate machines, and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgahbmread_clr
    },
    {
        "DBGAHBMREAD_TOG",
        "The hardware BCH ECC accelerator bus master, ECC controller internal s"
        "tate machines, and signals can be seen in the ECC debug registers.",
        4, // Width in bytes
        0x0000014c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_dbgahbmread_tog
    },
    {
        "BLOCKNAME",
        "Read only view of the block name string BCH.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_blockname
    },
    {
        "BLOCKNAME_SET",
        "Read only view of the block name string BCH.",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_blockname_set
    },
    {
        "BLOCKNAME_CLR",
        "Read only view of the block name string BCH.",
        4, // Width in bytes
        0x00000158, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_blockname_clr
    },
    {
        "BLOCKNAME_TOG",
        "Read only view of the block name string BCH.",
        4, // Width in bytes
        0x0000015c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_bch_blockname_tog
    },
    {
        "VERSION",
        "This register always returns a known read value for debug purposes and"
        " indicates the version of the block and RTL version in use.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_bch_version
    },
    {
        "VERSION_SET",
        "This register always returns a known read value for debug purposes and"
        " indicates the version of the block and RTL version in use.",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_bch_version_set
    },
    {
        "VERSION_CLR",
        "This register always returns a known read value for debug purposes and"
        " indicates the version of the block and RTL version in use.",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_bch_version_clr
    },
    {
        "VERSION_TOG",
        "This register always returns a known read value for debug purposes and"
        " indicates the version of the block and RTL version in use.",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_bch_version_tog
    },
    {
        "DEBUG1",
        "The BCH_DEBUG1 register provides erased zero count information and pre"
        "-erase check.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_bch_debug1
    },
    {
        "DEBUG1_SET",
        "The BCH_DEBUG1 register provides erased zero count information and pre"
        "-erase check.",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_bch_debug1_set
    },
    {
        "DEBUG1_CLR",
        "The BCH_DEBUG1 register provides erased zero count information and pre"
        "-erase check.",
        4, // Width in bytes
        0x00000178, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_bch_debug1_clr
    },
    {
        "DEBUG1_TOG",
        "The BCH_DEBUG1 register provides erased zero count information and pre"
        "-erase check.",
        4, // Width in bytes
        0x0000017c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_bch_debug1_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark CACHE
#endif

// Registers in a CACHE module.
static const reg_t hw_cache[] =
{
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark CCM
#endif

// Bitfields in register CCM_GPR0.
static const field_t hw_ccm_gpr0[] =
{
    {
        "GP0",
        "Timeout cycle count of ipg_clk, when perform read and write.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_GPR0_SET.
static const field_t hw_ccm_gpr0_set[] =
{
    {
        "GP0",
        "Timeout cycle count of ipg_clk, when perform read and write.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_GPR0_CLR.
static const field_t hw_ccm_gpr0_clr[] =
{
    {
        "GP0",
        "Timeout cycle count of ipg_clk, when perform read and write.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_GPR0_TOG.
static const field_t hw_ccm_gpr0_tog[] =
{
    {
        "GP0",
        "Timeout cycle count of ipg_clk, when perform read and write.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL0.
static const field_t hw_ccm_pll_ctrl0[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL0_SET.
static const field_t hw_ccm_pll_ctrl0_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL0_CLR.
static const field_t hw_ccm_pll_ctrl0_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL0_TOG.
static const field_t hw_ccm_pll_ctrl0_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL1.
static const field_t hw_ccm_pll_ctrl1[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL1_SET.
static const field_t hw_ccm_pll_ctrl1_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL1_CLR.
static const field_t hw_ccm_pll_ctrl1_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL1_TOG.
static const field_t hw_ccm_pll_ctrl1_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL2.
static const field_t hw_ccm_pll_ctrl2[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL2_SET.
static const field_t hw_ccm_pll_ctrl2_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL2_CLR.
static const field_t hw_ccm_pll_ctrl2_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL2_TOG.
static const field_t hw_ccm_pll_ctrl2_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL3.
static const field_t hw_ccm_pll_ctrl3[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL3_SET.
static const field_t hw_ccm_pll_ctrl3_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL3_CLR.
static const field_t hw_ccm_pll_ctrl3_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL3_TOG.
static const field_t hw_ccm_pll_ctrl3_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL4.
static const field_t hw_ccm_pll_ctrl4[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL4_SET.
static const field_t hw_ccm_pll_ctrl4_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL4_CLR.
static const field_t hw_ccm_pll_ctrl4_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL4_TOG.
static const field_t hw_ccm_pll_ctrl4_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL5.
static const field_t hw_ccm_pll_ctrl5[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL5_SET.
static const field_t hw_ccm_pll_ctrl5_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL5_CLR.
static const field_t hw_ccm_pll_ctrl5_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL5_TOG.
static const field_t hw_ccm_pll_ctrl5_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL6.
static const field_t hw_ccm_pll_ctrl6[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL6_SET.
static const field_t hw_ccm_pll_ctrl6_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL6_CLR.
static const field_t hw_ccm_pll_ctrl6_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL6_TOG.
static const field_t hw_ccm_pll_ctrl6_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL7.
static const field_t hw_ccm_pll_ctrl7[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL7_SET.
static const field_t hw_ccm_pll_ctrl7_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL7_CLR.
static const field_t hw_ccm_pll_ctrl7_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL7_TOG.
static const field_t hw_ccm_pll_ctrl7_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL8.
static const field_t hw_ccm_pll_ctrl8[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL8_SET.
static const field_t hw_ccm_pll_ctrl8_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL8_CLR.
static const field_t hw_ccm_pll_ctrl8_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL8_TOG.
static const field_t hw_ccm_pll_ctrl8_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL9.
static const field_t hw_ccm_pll_ctrl9[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL9_SET.
static const field_t hw_ccm_pll_ctrl9_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL9_CLR.
static const field_t hw_ccm_pll_ctrl9_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL9_TOG.
static const field_t hw_ccm_pll_ctrl9_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL10.
static const field_t hw_ccm_pll_ctrl10[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL10_SET.
static const field_t hw_ccm_pll_ctrl10_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL10_CLR.
static const field_t hw_ccm_pll_ctrl10_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL10_TOG.
static const field_t hw_ccm_pll_ctrl10_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL11.
static const field_t hw_ccm_pll_ctrl11[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL11_SET.
static const field_t hw_ccm_pll_ctrl11_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL11_CLR.
static const field_t hw_ccm_pll_ctrl11_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL11_TOG.
static const field_t hw_ccm_pll_ctrl11_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL12.
static const field_t hw_ccm_pll_ctrl12[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL12_SET.
static const field_t hw_ccm_pll_ctrl12_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL12_CLR.
static const field_t hw_ccm_pll_ctrl12_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL12_TOG.
static const field_t hw_ccm_pll_ctrl12_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL13.
static const field_t hw_ccm_pll_ctrl13[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL13_SET.
static const field_t hw_ccm_pll_ctrl13_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL13_CLR.
static const field_t hw_ccm_pll_ctrl13_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL13_TOG.
static const field_t hw_ccm_pll_ctrl13_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL14.
static const field_t hw_ccm_pll_ctrl14[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL14_SET.
static const field_t hw_ccm_pll_ctrl14_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL14_CLR.
static const field_t hw_ccm_pll_ctrl14_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL14_TOG.
static const field_t hw_ccm_pll_ctrl14_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL15.
static const field_t hw_ccm_pll_ctrl15[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL15_SET.
static const field_t hw_ccm_pll_ctrl15_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL15_CLR.
static const field_t hw_ccm_pll_ctrl15_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL15_TOG.
static const field_t hw_ccm_pll_ctrl15_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL16.
static const field_t hw_ccm_pll_ctrl16[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL16_SET.
static const field_t hw_ccm_pll_ctrl16_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL16_CLR.
static const field_t hw_ccm_pll_ctrl16_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL16_TOG.
static const field_t hw_ccm_pll_ctrl16_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL17.
static const field_t hw_ccm_pll_ctrl17[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL17_SET.
static const field_t hw_ccm_pll_ctrl17_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL17_CLR.
static const field_t hw_ccm_pll_ctrl17_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL17_TOG.
static const field_t hw_ccm_pll_ctrl17_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL18.
static const field_t hw_ccm_pll_ctrl18[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL18_SET.
static const field_t hw_ccm_pll_ctrl18_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL18_CLR.
static const field_t hw_ccm_pll_ctrl18_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL18_TOG.
static const field_t hw_ccm_pll_ctrl18_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL19.
static const field_t hw_ccm_pll_ctrl19[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL19_SET.
static const field_t hw_ccm_pll_ctrl19_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL19_CLR.
static const field_t hw_ccm_pll_ctrl19_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL19_TOG.
static const field_t hw_ccm_pll_ctrl19_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL20.
static const field_t hw_ccm_pll_ctrl20[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL20_SET.
static const field_t hw_ccm_pll_ctrl20_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL20_CLR.
static const field_t hw_ccm_pll_ctrl20_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL20_TOG.
static const field_t hw_ccm_pll_ctrl20_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL21.
static const field_t hw_ccm_pll_ctrl21[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL21_SET.
static const field_t hw_ccm_pll_ctrl21_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL21_CLR.
static const field_t hw_ccm_pll_ctrl21_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL21_TOG.
static const field_t hw_ccm_pll_ctrl21_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL22.
static const field_t hw_ccm_pll_ctrl22[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL22_SET.
static const field_t hw_ccm_pll_ctrl22_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL22_CLR.
static const field_t hw_ccm_pll_ctrl22_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL22_TOG.
static const field_t hw_ccm_pll_ctrl22_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL23.
static const field_t hw_ccm_pll_ctrl23[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL23_SET.
static const field_t hw_ccm_pll_ctrl23_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL23_CLR.
static const field_t hw_ccm_pll_ctrl23_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL23_TOG.
static const field_t hw_ccm_pll_ctrl23_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL24.
static const field_t hw_ccm_pll_ctrl24[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL24_SET.
static const field_t hw_ccm_pll_ctrl24_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL24_CLR.
static const field_t hw_ccm_pll_ctrl24_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL24_TOG.
static const field_t hw_ccm_pll_ctrl24_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL25.
static const field_t hw_ccm_pll_ctrl25[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL25_SET.
static const field_t hw_ccm_pll_ctrl25_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL25_CLR.
static const field_t hw_ccm_pll_ctrl25_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL25_TOG.
static const field_t hw_ccm_pll_ctrl25_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL26.
static const field_t hw_ccm_pll_ctrl26[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL26_SET.
static const field_t hw_ccm_pll_ctrl26_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL26_CLR.
static const field_t hw_ccm_pll_ctrl26_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL26_TOG.
static const field_t hw_ccm_pll_ctrl26_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL27.
static const field_t hw_ccm_pll_ctrl27[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL27_SET.
static const field_t hw_ccm_pll_ctrl27_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL27_CLR.
static const field_t hw_ccm_pll_ctrl27_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL27_TOG.
static const field_t hw_ccm_pll_ctrl27_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL28.
static const field_t hw_ccm_pll_ctrl28[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL28_SET.
static const field_t hw_ccm_pll_ctrl28_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL28_CLR.
static const field_t hw_ccm_pll_ctrl28_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL28_TOG.
static const field_t hw_ccm_pll_ctrl28_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL29.
static const field_t hw_ccm_pll_ctrl29[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL29_SET.
static const field_t hw_ccm_pll_ctrl29_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL29_CLR.
static const field_t hw_ccm_pll_ctrl29_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL29_TOG.
static const field_t hw_ccm_pll_ctrl29_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL30.
static const field_t hw_ccm_pll_ctrl30[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL30_SET.
static const field_t hw_ccm_pll_ctrl30_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL30_CLR.
static const field_t hw_ccm_pll_ctrl30_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL30_TOG.
static const field_t hw_ccm_pll_ctrl30_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL31.
static const field_t hw_ccm_pll_ctrl31[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL31_SET.
static const field_t hw_ccm_pll_ctrl31_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL31_CLR.
static const field_t hw_ccm_pll_ctrl31_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL31_TOG.
static const field_t hw_ccm_pll_ctrl31_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL32.
static const field_t hw_ccm_pll_ctrl32[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL32_SET.
static const field_t hw_ccm_pll_ctrl32_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL32_CLR.
static const field_t hw_ccm_pll_ctrl32_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL32_TOG.
static const field_t hw_ccm_pll_ctrl32_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL33.
static const field_t hw_ccm_pll_ctrl33[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL33_SET.
static const field_t hw_ccm_pll_ctrl33_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL33_CLR.
static const field_t hw_ccm_pll_ctrl33_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL33_TOG.
static const field_t hw_ccm_pll_ctrl33_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL34.
static const field_t hw_ccm_pll_ctrl34[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL34_SET.
static const field_t hw_ccm_pll_ctrl34_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL34_CLR.
static const field_t hw_ccm_pll_ctrl34_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL34_TOG.
static const field_t hw_ccm_pll_ctrl34_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL35.
static const field_t hw_ccm_pll_ctrl35[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL35_SET.
static const field_t hw_ccm_pll_ctrl35_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL35_CLR.
static const field_t hw_ccm_pll_ctrl35_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL35_TOG.
static const field_t hw_ccm_pll_ctrl35_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL36.
static const field_t hw_ccm_pll_ctrl36[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL36_SET.
static const field_t hw_ccm_pll_ctrl36_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL36_CLR.
static const field_t hw_ccm_pll_ctrl36_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL36_TOG.
static const field_t hw_ccm_pll_ctrl36_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL37.
static const field_t hw_ccm_pll_ctrl37[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL37_SET.
static const field_t hw_ccm_pll_ctrl37_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL37_CLR.
static const field_t hw_ccm_pll_ctrl37_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL37_TOG.
static const field_t hw_ccm_pll_ctrl37_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL38.
static const field_t hw_ccm_pll_ctrl38[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL38_SET.
static const field_t hw_ccm_pll_ctrl38_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL38_CLR.
static const field_t hw_ccm_pll_ctrl38_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PLL_CTRL38_TOG.
static const field_t hw_ccm_pll_ctrl38_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR0.
static const field_t hw_ccm_ccgr0[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR0_SET.
static const field_t hw_ccm_ccgr0_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR0_CLR.
static const field_t hw_ccm_ccgr0_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR0_TOG.
static const field_t hw_ccm_ccgr0_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR1.
static const field_t hw_ccm_ccgr1[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR1_SET.
static const field_t hw_ccm_ccgr1_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR1_CLR.
static const field_t hw_ccm_ccgr1_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR1_TOG.
static const field_t hw_ccm_ccgr1_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR2.
static const field_t hw_ccm_ccgr2[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR2_SET.
static const field_t hw_ccm_ccgr2_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR2_CLR.
static const field_t hw_ccm_ccgr2_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR2_TOG.
static const field_t hw_ccm_ccgr2_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR3.
static const field_t hw_ccm_ccgr3[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR3_SET.
static const field_t hw_ccm_ccgr3_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR3_CLR.
static const field_t hw_ccm_ccgr3_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR3_TOG.
static const field_t hw_ccm_ccgr3_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR4.
static const field_t hw_ccm_ccgr4[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR4_SET.
static const field_t hw_ccm_ccgr4_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR4_CLR.
static const field_t hw_ccm_ccgr4_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR4_TOG.
static const field_t hw_ccm_ccgr4_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR5.
static const field_t hw_ccm_ccgr5[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR5_SET.
static const field_t hw_ccm_ccgr5_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR5_CLR.
static const field_t hw_ccm_ccgr5_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR5_TOG.
static const field_t hw_ccm_ccgr5_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR6.
static const field_t hw_ccm_ccgr6[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR6_SET.
static const field_t hw_ccm_ccgr6_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR6_CLR.
static const field_t hw_ccm_ccgr6_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR6_TOG.
static const field_t hw_ccm_ccgr6_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR7.
static const field_t hw_ccm_ccgr7[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR7_SET.
static const field_t hw_ccm_ccgr7_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR7_CLR.
static const field_t hw_ccm_ccgr7_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR7_TOG.
static const field_t hw_ccm_ccgr7_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR8.
static const field_t hw_ccm_ccgr8[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR8_SET.
static const field_t hw_ccm_ccgr8_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR8_CLR.
static const field_t hw_ccm_ccgr8_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR8_TOG.
static const field_t hw_ccm_ccgr8_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR9.
static const field_t hw_ccm_ccgr9[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR9_SET.
static const field_t hw_ccm_ccgr9_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR9_CLR.
static const field_t hw_ccm_ccgr9_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR9_TOG.
static const field_t hw_ccm_ccgr9_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR10.
static const field_t hw_ccm_ccgr10[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR10_SET.
static const field_t hw_ccm_ccgr10_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR10_CLR.
static const field_t hw_ccm_ccgr10_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR10_TOG.
static const field_t hw_ccm_ccgr10_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR11.
static const field_t hw_ccm_ccgr11[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR11_SET.
static const field_t hw_ccm_ccgr11_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR11_CLR.
static const field_t hw_ccm_ccgr11_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR11_TOG.
static const field_t hw_ccm_ccgr11_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR12.
static const field_t hw_ccm_ccgr12[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR12_SET.
static const field_t hw_ccm_ccgr12_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR12_CLR.
static const field_t hw_ccm_ccgr12_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR12_TOG.
static const field_t hw_ccm_ccgr12_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR13.
static const field_t hw_ccm_ccgr13[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR13_SET.
static const field_t hw_ccm_ccgr13_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR13_CLR.
static const field_t hw_ccm_ccgr13_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR13_TOG.
static const field_t hw_ccm_ccgr13_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR14.
static const field_t hw_ccm_ccgr14[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR14_SET.
static const field_t hw_ccm_ccgr14_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR14_CLR.
static const field_t hw_ccm_ccgr14_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR14_TOG.
static const field_t hw_ccm_ccgr14_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR15.
static const field_t hw_ccm_ccgr15[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR15_SET.
static const field_t hw_ccm_ccgr15_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR15_CLR.
static const field_t hw_ccm_ccgr15_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR15_TOG.
static const field_t hw_ccm_ccgr15_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR16.
static const field_t hw_ccm_ccgr16[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR16_SET.
static const field_t hw_ccm_ccgr16_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR16_CLR.
static const field_t hw_ccm_ccgr16_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR16_TOG.
static const field_t hw_ccm_ccgr16_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR17.
static const field_t hw_ccm_ccgr17[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR17_SET.
static const field_t hw_ccm_ccgr17_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR17_CLR.
static const field_t hw_ccm_ccgr17_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR17_TOG.
static const field_t hw_ccm_ccgr17_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR18.
static const field_t hw_ccm_ccgr18[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR18_SET.
static const field_t hw_ccm_ccgr18_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR18_CLR.
static const field_t hw_ccm_ccgr18_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR18_TOG.
static const field_t hw_ccm_ccgr18_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR19.
static const field_t hw_ccm_ccgr19[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR19_SET.
static const field_t hw_ccm_ccgr19_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR19_CLR.
static const field_t hw_ccm_ccgr19_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR19_TOG.
static const field_t hw_ccm_ccgr19_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR20.
static const field_t hw_ccm_ccgr20[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR20_SET.
static const field_t hw_ccm_ccgr20_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR20_CLR.
static const field_t hw_ccm_ccgr20_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR20_TOG.
static const field_t hw_ccm_ccgr20_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR21.
static const field_t hw_ccm_ccgr21[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR21_SET.
static const field_t hw_ccm_ccgr21_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR21_CLR.
static const field_t hw_ccm_ccgr21_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR21_TOG.
static const field_t hw_ccm_ccgr21_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR22.
static const field_t hw_ccm_ccgr22[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR22_SET.
static const field_t hw_ccm_ccgr22_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR22_CLR.
static const field_t hw_ccm_ccgr22_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR22_TOG.
static const field_t hw_ccm_ccgr22_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR23.
static const field_t hw_ccm_ccgr23[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR23_SET.
static const field_t hw_ccm_ccgr23_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR23_CLR.
static const field_t hw_ccm_ccgr23_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR23_TOG.
static const field_t hw_ccm_ccgr23_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR24.
static const field_t hw_ccm_ccgr24[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR24_SET.
static const field_t hw_ccm_ccgr24_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR24_CLR.
static const field_t hw_ccm_ccgr24_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR24_TOG.
static const field_t hw_ccm_ccgr24_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR25.
static const field_t hw_ccm_ccgr25[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR25_SET.
static const field_t hw_ccm_ccgr25_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR25_CLR.
static const field_t hw_ccm_ccgr25_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR25_TOG.
static const field_t hw_ccm_ccgr25_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR26.
static const field_t hw_ccm_ccgr26[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR26_SET.
static const field_t hw_ccm_ccgr26_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR26_CLR.
static const field_t hw_ccm_ccgr26_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR26_TOG.
static const field_t hw_ccm_ccgr26_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR27.
static const field_t hw_ccm_ccgr27[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR27_SET.
static const field_t hw_ccm_ccgr27_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR27_CLR.
static const field_t hw_ccm_ccgr27_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR27_TOG.
static const field_t hw_ccm_ccgr27_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR28.
static const field_t hw_ccm_ccgr28[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR28_SET.
static const field_t hw_ccm_ccgr28_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR28_CLR.
static const field_t hw_ccm_ccgr28_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR28_TOG.
static const field_t hw_ccm_ccgr28_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR29.
static const field_t hw_ccm_ccgr29[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR29_SET.
static const field_t hw_ccm_ccgr29_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR29_CLR.
static const field_t hw_ccm_ccgr29_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR29_TOG.
static const field_t hw_ccm_ccgr29_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR30.
static const field_t hw_ccm_ccgr30[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR30_SET.
static const field_t hw_ccm_ccgr30_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR30_CLR.
static const field_t hw_ccm_ccgr30_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR30_TOG.
static const field_t hw_ccm_ccgr30_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR31.
static const field_t hw_ccm_ccgr31[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR31_SET.
static const field_t hw_ccm_ccgr31_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR31_CLR.
static const field_t hw_ccm_ccgr31_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR31_TOG.
static const field_t hw_ccm_ccgr31_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR32.
static const field_t hw_ccm_ccgr32[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR32_SET.
static const field_t hw_ccm_ccgr32_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR32_CLR.
static const field_t hw_ccm_ccgr32_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR32_TOG.
static const field_t hw_ccm_ccgr32_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR33.
static const field_t hw_ccm_ccgr33[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR33_SET.
static const field_t hw_ccm_ccgr33_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR33_CLR.
static const field_t hw_ccm_ccgr33_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR33_TOG.
static const field_t hw_ccm_ccgr33_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR34.
static const field_t hw_ccm_ccgr34[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR34_SET.
static const field_t hw_ccm_ccgr34_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR34_CLR.
static const field_t hw_ccm_ccgr34_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR34_TOG.
static const field_t hw_ccm_ccgr34_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR35.
static const field_t hw_ccm_ccgr35[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR35_SET.
static const field_t hw_ccm_ccgr35_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR35_CLR.
static const field_t hw_ccm_ccgr35_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR35_TOG.
static const field_t hw_ccm_ccgr35_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR36.
static const field_t hw_ccm_ccgr36[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR36_SET.
static const field_t hw_ccm_ccgr36_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR36_CLR.
static const field_t hw_ccm_ccgr36_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR36_TOG.
static const field_t hw_ccm_ccgr36_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR37.
static const field_t hw_ccm_ccgr37[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR37_SET.
static const field_t hw_ccm_ccgr37_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR37_CLR.
static const field_t hw_ccm_ccgr37_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR37_TOG.
static const field_t hw_ccm_ccgr37_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR38.
static const field_t hw_ccm_ccgr38[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR38_SET.
static const field_t hw_ccm_ccgr38_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR38_CLR.
static const field_t hw_ccm_ccgr38_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR38_TOG.
static const field_t hw_ccm_ccgr38_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR39.
static const field_t hw_ccm_ccgr39[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR39_SET.
static const field_t hw_ccm_ccgr39_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR39_CLR.
static const field_t hw_ccm_ccgr39_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR39_TOG.
static const field_t hw_ccm_ccgr39_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR40.
static const field_t hw_ccm_ccgr40[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR40_SET.
static const field_t hw_ccm_ccgr40_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR40_CLR.
static const field_t hw_ccm_ccgr40_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR40_TOG.
static const field_t hw_ccm_ccgr40_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR41.
static const field_t hw_ccm_ccgr41[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR41_SET.
static const field_t hw_ccm_ccgr41_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR41_CLR.
static const field_t hw_ccm_ccgr41_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR41_TOG.
static const field_t hw_ccm_ccgr41_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR42.
static const field_t hw_ccm_ccgr42[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR42_SET.
static const field_t hw_ccm_ccgr42_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR42_CLR.
static const field_t hw_ccm_ccgr42_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR42_TOG.
static const field_t hw_ccm_ccgr42_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR43.
static const field_t hw_ccm_ccgr43[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR43_SET.
static const field_t hw_ccm_ccgr43_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR43_CLR.
static const field_t hw_ccm_ccgr43_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR43_TOG.
static const field_t hw_ccm_ccgr43_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR44.
static const field_t hw_ccm_ccgr44[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR44_SET.
static const field_t hw_ccm_ccgr44_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR44_CLR.
static const field_t hw_ccm_ccgr44_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR44_TOG.
static const field_t hw_ccm_ccgr44_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR45.
static const field_t hw_ccm_ccgr45[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR45_SET.
static const field_t hw_ccm_ccgr45_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR45_CLR.
static const field_t hw_ccm_ccgr45_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR45_TOG.
static const field_t hw_ccm_ccgr45_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR46.
static const field_t hw_ccm_ccgr46[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR46_SET.
static const field_t hw_ccm_ccgr46_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR46_CLR.
static const field_t hw_ccm_ccgr46_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR46_TOG.
static const field_t hw_ccm_ccgr46_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR47.
static const field_t hw_ccm_ccgr47[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR47_SET.
static const field_t hw_ccm_ccgr47_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR47_CLR.
static const field_t hw_ccm_ccgr47_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR47_TOG.
static const field_t hw_ccm_ccgr47_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR48.
static const field_t hw_ccm_ccgr48[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR48_SET.
static const field_t hw_ccm_ccgr48_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR48_CLR.
static const field_t hw_ccm_ccgr48_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR48_TOG.
static const field_t hw_ccm_ccgr48_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR49.
static const field_t hw_ccm_ccgr49[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR49_SET.
static const field_t hw_ccm_ccgr49_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR49_CLR.
static const field_t hw_ccm_ccgr49_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR49_TOG.
static const field_t hw_ccm_ccgr49_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR50.
static const field_t hw_ccm_ccgr50[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR50_SET.
static const field_t hw_ccm_ccgr50_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR50_CLR.
static const field_t hw_ccm_ccgr50_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR50_TOG.
static const field_t hw_ccm_ccgr50_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR51.
static const field_t hw_ccm_ccgr51[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR51_SET.
static const field_t hw_ccm_ccgr51_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR51_CLR.
static const field_t hw_ccm_ccgr51_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR51_TOG.
static const field_t hw_ccm_ccgr51_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR52.
static const field_t hw_ccm_ccgr52[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR52_SET.
static const field_t hw_ccm_ccgr52_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR52_CLR.
static const field_t hw_ccm_ccgr52_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR52_TOG.
static const field_t hw_ccm_ccgr52_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR53.
static const field_t hw_ccm_ccgr53[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR53_SET.
static const field_t hw_ccm_ccgr53_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR53_CLR.
static const field_t hw_ccm_ccgr53_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR53_TOG.
static const field_t hw_ccm_ccgr53_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR54.
static const field_t hw_ccm_ccgr54[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR54_SET.
static const field_t hw_ccm_ccgr54_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR54_CLR.
static const field_t hw_ccm_ccgr54_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR54_TOG.
static const field_t hw_ccm_ccgr54_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR55.
static const field_t hw_ccm_ccgr55[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR55_SET.
static const field_t hw_ccm_ccgr55_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR55_CLR.
static const field_t hw_ccm_ccgr55_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR55_TOG.
static const field_t hw_ccm_ccgr55_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR56.
static const field_t hw_ccm_ccgr56[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR56_SET.
static const field_t hw_ccm_ccgr56_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR56_CLR.
static const field_t hw_ccm_ccgr56_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR56_TOG.
static const field_t hw_ccm_ccgr56_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR57.
static const field_t hw_ccm_ccgr57[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR57_SET.
static const field_t hw_ccm_ccgr57_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR57_CLR.
static const field_t hw_ccm_ccgr57_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR57_TOG.
static const field_t hw_ccm_ccgr57_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR58.
static const field_t hw_ccm_ccgr58[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR58_SET.
static const field_t hw_ccm_ccgr58_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR58_CLR.
static const field_t hw_ccm_ccgr58_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR58_TOG.
static const field_t hw_ccm_ccgr58_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR59.
static const field_t hw_ccm_ccgr59[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR59_SET.
static const field_t hw_ccm_ccgr59_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR59_CLR.
static const field_t hw_ccm_ccgr59_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR59_TOG.
static const field_t hw_ccm_ccgr59_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR60.
static const field_t hw_ccm_ccgr60[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR60_SET.
static const field_t hw_ccm_ccgr60_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR60_CLR.
static const field_t hw_ccm_ccgr60_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR60_TOG.
static const field_t hw_ccm_ccgr60_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR61.
static const field_t hw_ccm_ccgr61[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR61_SET.
static const field_t hw_ccm_ccgr61_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR61_CLR.
static const field_t hw_ccm_ccgr61_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR61_TOG.
static const field_t hw_ccm_ccgr61_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR62.
static const field_t hw_ccm_ccgr62[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR62_SET.
static const field_t hw_ccm_ccgr62_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR62_CLR.
static const field_t hw_ccm_ccgr62_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR62_TOG.
static const field_t hw_ccm_ccgr62_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR63.
static const field_t hw_ccm_ccgr63[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR63_SET.
static const field_t hw_ccm_ccgr63_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR63_CLR.
static const field_t hw_ccm_ccgr63_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR63_TOG.
static const field_t hw_ccm_ccgr63_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR64.
static const field_t hw_ccm_ccgr64[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR64_SET.
static const field_t hw_ccm_ccgr64_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR64_CLR.
static const field_t hw_ccm_ccgr64_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR64_TOG.
static const field_t hw_ccm_ccgr64_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR65.
static const field_t hw_ccm_ccgr65[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR65_SET.
static const field_t hw_ccm_ccgr65_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR65_CLR.
static const field_t hw_ccm_ccgr65_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR65_TOG.
static const field_t hw_ccm_ccgr65_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR66.
static const field_t hw_ccm_ccgr66[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR66_SET.
static const field_t hw_ccm_ccgr66_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR66_CLR.
static const field_t hw_ccm_ccgr66_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR66_TOG.
static const field_t hw_ccm_ccgr66_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR67.
static const field_t hw_ccm_ccgr67[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR67_SET.
static const field_t hw_ccm_ccgr67_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR67_CLR.
static const field_t hw_ccm_ccgr67_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR67_TOG.
static const field_t hw_ccm_ccgr67_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR68.
static const field_t hw_ccm_ccgr68[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR68_SET.
static const field_t hw_ccm_ccgr68_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR68_CLR.
static const field_t hw_ccm_ccgr68_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR68_TOG.
static const field_t hw_ccm_ccgr68_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR69.
static const field_t hw_ccm_ccgr69[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR69_SET.
static const field_t hw_ccm_ccgr69_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR69_CLR.
static const field_t hw_ccm_ccgr69_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR69_TOG.
static const field_t hw_ccm_ccgr69_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR70.
static const field_t hw_ccm_ccgr70[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR70_SET.
static const field_t hw_ccm_ccgr70_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR70_CLR.
static const field_t hw_ccm_ccgr70_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR70_TOG.
static const field_t hw_ccm_ccgr70_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR71.
static const field_t hw_ccm_ccgr71[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR71_SET.
static const field_t hw_ccm_ccgr71_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR71_CLR.
static const field_t hw_ccm_ccgr71_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR71_TOG.
static const field_t hw_ccm_ccgr71_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR72.
static const field_t hw_ccm_ccgr72[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR72_SET.
static const field_t hw_ccm_ccgr72_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR72_CLR.
static const field_t hw_ccm_ccgr72_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR72_TOG.
static const field_t hw_ccm_ccgr72_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR73.
static const field_t hw_ccm_ccgr73[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR73_SET.
static const field_t hw_ccm_ccgr73_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR73_CLR.
static const field_t hw_ccm_ccgr73_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR73_TOG.
static const field_t hw_ccm_ccgr73_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR74.
static const field_t hw_ccm_ccgr74[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR74_SET.
static const field_t hw_ccm_ccgr74_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR74_CLR.
static const field_t hw_ccm_ccgr74_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR74_TOG.
static const field_t hw_ccm_ccgr74_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR75.
static const field_t hw_ccm_ccgr75[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR75_SET.
static const field_t hw_ccm_ccgr75_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR75_CLR.
static const field_t hw_ccm_ccgr75_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR75_TOG.
static const field_t hw_ccm_ccgr75_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR76.
static const field_t hw_ccm_ccgr76[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR76_SET.
static const field_t hw_ccm_ccgr76_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR76_CLR.
static const field_t hw_ccm_ccgr76_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR76_TOG.
static const field_t hw_ccm_ccgr76_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR77.
static const field_t hw_ccm_ccgr77[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR77_SET.
static const field_t hw_ccm_ccgr77_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR77_CLR.
static const field_t hw_ccm_ccgr77_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR77_TOG.
static const field_t hw_ccm_ccgr77_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR78.
static const field_t hw_ccm_ccgr78[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR78_SET.
static const field_t hw_ccm_ccgr78_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR78_CLR.
static const field_t hw_ccm_ccgr78_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR78_TOG.
static const field_t hw_ccm_ccgr78_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR79.
static const field_t hw_ccm_ccgr79[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR79_SET.
static const field_t hw_ccm_ccgr79_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR79_CLR.
static const field_t hw_ccm_ccgr79_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR79_TOG.
static const field_t hw_ccm_ccgr79_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR80.
static const field_t hw_ccm_ccgr80[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR80_SET.
static const field_t hw_ccm_ccgr80_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR80_CLR.
static const field_t hw_ccm_ccgr80_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR80_TOG.
static const field_t hw_ccm_ccgr80_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR81.
static const field_t hw_ccm_ccgr81[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR81_SET.
static const field_t hw_ccm_ccgr81_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR81_CLR.
static const field_t hw_ccm_ccgr81_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR81_TOG.
static const field_t hw_ccm_ccgr81_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR82.
static const field_t hw_ccm_ccgr82[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR82_SET.
static const field_t hw_ccm_ccgr82_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR82_CLR.
static const field_t hw_ccm_ccgr82_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR82_TOG.
static const field_t hw_ccm_ccgr82_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR83.
static const field_t hw_ccm_ccgr83[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR83_SET.
static const field_t hw_ccm_ccgr83_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR83_CLR.
static const field_t hw_ccm_ccgr83_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR83_TOG.
static const field_t hw_ccm_ccgr83_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR84.
static const field_t hw_ccm_ccgr84[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR84_SET.
static const field_t hw_ccm_ccgr84_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR84_CLR.
static const field_t hw_ccm_ccgr84_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR84_TOG.
static const field_t hw_ccm_ccgr84_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR85.
static const field_t hw_ccm_ccgr85[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR85_SET.
static const field_t hw_ccm_ccgr85_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR85_CLR.
static const field_t hw_ccm_ccgr85_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR85_TOG.
static const field_t hw_ccm_ccgr85_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR86.
static const field_t hw_ccm_ccgr86[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR86_SET.
static const field_t hw_ccm_ccgr86_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR86_CLR.
static const field_t hw_ccm_ccgr86_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR86_TOG.
static const field_t hw_ccm_ccgr86_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR87.
static const field_t hw_ccm_ccgr87[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR87_SET.
static const field_t hw_ccm_ccgr87_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR87_CLR.
static const field_t hw_ccm_ccgr87_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR87_TOG.
static const field_t hw_ccm_ccgr87_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR88.
static const field_t hw_ccm_ccgr88[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR88_SET.
static const field_t hw_ccm_ccgr88_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR88_CLR.
static const field_t hw_ccm_ccgr88_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR88_TOG.
static const field_t hw_ccm_ccgr88_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR89.
static const field_t hw_ccm_ccgr89[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR89_SET.
static const field_t hw_ccm_ccgr89_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR89_CLR.
static const field_t hw_ccm_ccgr89_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR89_TOG.
static const field_t hw_ccm_ccgr89_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR90.
static const field_t hw_ccm_ccgr90[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR90_SET.
static const field_t hw_ccm_ccgr90_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR90_CLR.
static const field_t hw_ccm_ccgr90_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR90_TOG.
static const field_t hw_ccm_ccgr90_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR91.
static const field_t hw_ccm_ccgr91[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR91_SET.
static const field_t hw_ccm_ccgr91_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR91_CLR.
static const field_t hw_ccm_ccgr91_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR91_TOG.
static const field_t hw_ccm_ccgr91_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR92.
static const field_t hw_ccm_ccgr92[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR92_SET.
static const field_t hw_ccm_ccgr92_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR92_CLR.
static const field_t hw_ccm_ccgr92_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR92_TOG.
static const field_t hw_ccm_ccgr92_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR93.
static const field_t hw_ccm_ccgr93[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR93_SET.
static const field_t hw_ccm_ccgr93_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR93_CLR.
static const field_t hw_ccm_ccgr93_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR93_TOG.
static const field_t hw_ccm_ccgr93_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR94.
static const field_t hw_ccm_ccgr94[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR94_SET.
static const field_t hw_ccm_ccgr94_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR94_CLR.
static const field_t hw_ccm_ccgr94_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR94_TOG.
static const field_t hw_ccm_ccgr94_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR95.
static const field_t hw_ccm_ccgr95[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR95_SET.
static const field_t hw_ccm_ccgr95_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR95_CLR.
static const field_t hw_ccm_ccgr95_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR95_TOG.
static const field_t hw_ccm_ccgr95_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR96.
static const field_t hw_ccm_ccgr96[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR96_SET.
static const field_t hw_ccm_ccgr96_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR96_CLR.
static const field_t hw_ccm_ccgr96_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR96_TOG.
static const field_t hw_ccm_ccgr96_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR97.
static const field_t hw_ccm_ccgr97[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR97_SET.
static const field_t hw_ccm_ccgr97_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR97_CLR.
static const field_t hw_ccm_ccgr97_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR97_TOG.
static const field_t hw_ccm_ccgr97_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR98.
static const field_t hw_ccm_ccgr98[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR98_SET.
static const field_t hw_ccm_ccgr98_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR98_CLR.
static const field_t hw_ccm_ccgr98_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR98_TOG.
static const field_t hw_ccm_ccgr98_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR99.
static const field_t hw_ccm_ccgr99[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR99_SET.
static const field_t hw_ccm_ccgr99_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR99_CLR.
static const field_t hw_ccm_ccgr99_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR99_TOG.
static const field_t hw_ccm_ccgr99_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR100.
static const field_t hw_ccm_ccgr100[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR100_SET.
static const field_t hw_ccm_ccgr100_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR100_CLR.
static const field_t hw_ccm_ccgr100_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR100_TOG.
static const field_t hw_ccm_ccgr100_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR101.
static const field_t hw_ccm_ccgr101[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR101_SET.
static const field_t hw_ccm_ccgr101_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR101_CLR.
static const field_t hw_ccm_ccgr101_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR101_TOG.
static const field_t hw_ccm_ccgr101_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR102.
static const field_t hw_ccm_ccgr102[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR102_SET.
static const field_t hw_ccm_ccgr102_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR102_CLR.
static const field_t hw_ccm_ccgr102_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR102_TOG.
static const field_t hw_ccm_ccgr102_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR103.
static const field_t hw_ccm_ccgr103[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR103_SET.
static const field_t hw_ccm_ccgr103_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR103_CLR.
static const field_t hw_ccm_ccgr103_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR103_TOG.
static const field_t hw_ccm_ccgr103_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR104.
static const field_t hw_ccm_ccgr104[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR104_SET.
static const field_t hw_ccm_ccgr104_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR104_CLR.
static const field_t hw_ccm_ccgr104_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR104_TOG.
static const field_t hw_ccm_ccgr104_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR105.
static const field_t hw_ccm_ccgr105[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR105_SET.
static const field_t hw_ccm_ccgr105_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR105_CLR.
static const field_t hw_ccm_ccgr105_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR105_TOG.
static const field_t hw_ccm_ccgr105_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR106.
static const field_t hw_ccm_ccgr106[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR106_SET.
static const field_t hw_ccm_ccgr106_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR106_CLR.
static const field_t hw_ccm_ccgr106_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR106_TOG.
static const field_t hw_ccm_ccgr106_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR107.
static const field_t hw_ccm_ccgr107[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR107_SET.
static const field_t hw_ccm_ccgr107_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR107_CLR.
static const field_t hw_ccm_ccgr107_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR107_TOG.
static const field_t hw_ccm_ccgr107_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR108.
static const field_t hw_ccm_ccgr108[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR108_SET.
static const field_t hw_ccm_ccgr108_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR108_CLR.
static const field_t hw_ccm_ccgr108_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR108_TOG.
static const field_t hw_ccm_ccgr108_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR109.
static const field_t hw_ccm_ccgr109[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR109_SET.
static const field_t hw_ccm_ccgr109_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR109_CLR.
static const field_t hw_ccm_ccgr109_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR109_TOG.
static const field_t hw_ccm_ccgr109_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR110.
static const field_t hw_ccm_ccgr110[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR110_SET.
static const field_t hw_ccm_ccgr110_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR110_CLR.
static const field_t hw_ccm_ccgr110_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR110_TOG.
static const field_t hw_ccm_ccgr110_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR111.
static const field_t hw_ccm_ccgr111[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR111_SET.
static const field_t hw_ccm_ccgr111_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR111_CLR.
static const field_t hw_ccm_ccgr111_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR111_TOG.
static const field_t hw_ccm_ccgr111_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR112.
static const field_t hw_ccm_ccgr112[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR112_SET.
static const field_t hw_ccm_ccgr112_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR112_CLR.
static const field_t hw_ccm_ccgr112_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR112_TOG.
static const field_t hw_ccm_ccgr112_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR113.
static const field_t hw_ccm_ccgr113[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR113_SET.
static const field_t hw_ccm_ccgr113_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR113_CLR.
static const field_t hw_ccm_ccgr113_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR113_TOG.
static const field_t hw_ccm_ccgr113_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR114.
static const field_t hw_ccm_ccgr114[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR114_SET.
static const field_t hw_ccm_ccgr114_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR114_CLR.
static const field_t hw_ccm_ccgr114_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR114_TOG.
static const field_t hw_ccm_ccgr114_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR115.
static const field_t hw_ccm_ccgr115[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR115_SET.
static const field_t hw_ccm_ccgr115_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR115_CLR.
static const field_t hw_ccm_ccgr115_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR115_TOG.
static const field_t hw_ccm_ccgr115_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR116.
static const field_t hw_ccm_ccgr116[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR116_SET.
static const field_t hw_ccm_ccgr116_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR116_CLR.
static const field_t hw_ccm_ccgr116_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR116_TOG.
static const field_t hw_ccm_ccgr116_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR117.
static const field_t hw_ccm_ccgr117[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR117_SET.
static const field_t hw_ccm_ccgr117_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR117_CLR.
static const field_t hw_ccm_ccgr117_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR117_TOG.
static const field_t hw_ccm_ccgr117_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR118.
static const field_t hw_ccm_ccgr118[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR118_SET.
static const field_t hw_ccm_ccgr118_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR118_CLR.
static const field_t hw_ccm_ccgr118_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR118_TOG.
static const field_t hw_ccm_ccgr118_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR119.
static const field_t hw_ccm_ccgr119[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR119_SET.
static const field_t hw_ccm_ccgr119_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR119_CLR.
static const field_t hw_ccm_ccgr119_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR119_TOG.
static const field_t hw_ccm_ccgr119_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR120.
static const field_t hw_ccm_ccgr120[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR120_SET.
static const field_t hw_ccm_ccgr120_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR120_CLR.
static const field_t hw_ccm_ccgr120_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR120_TOG.
static const field_t hw_ccm_ccgr120_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR121.
static const field_t hw_ccm_ccgr121[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR121_SET.
static const field_t hw_ccm_ccgr121_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR121_CLR.
static const field_t hw_ccm_ccgr121_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR121_TOG.
static const field_t hw_ccm_ccgr121_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR122.
static const field_t hw_ccm_ccgr122[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR122_SET.
static const field_t hw_ccm_ccgr122_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR122_CLR.
static const field_t hw_ccm_ccgr122_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR122_TOG.
static const field_t hw_ccm_ccgr122_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR123.
static const field_t hw_ccm_ccgr123[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR123_SET.
static const field_t hw_ccm_ccgr123_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR123_CLR.
static const field_t hw_ccm_ccgr123_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR123_TOG.
static const field_t hw_ccm_ccgr123_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR124.
static const field_t hw_ccm_ccgr124[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR124_SET.
static const field_t hw_ccm_ccgr124_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR124_CLR.
static const field_t hw_ccm_ccgr124_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR124_TOG.
static const field_t hw_ccm_ccgr124_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR125.
static const field_t hw_ccm_ccgr125[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR125_SET.
static const field_t hw_ccm_ccgr125_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR125_CLR.
static const field_t hw_ccm_ccgr125_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR125_TOG.
static const field_t hw_ccm_ccgr125_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR126.
static const field_t hw_ccm_ccgr126[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR126_SET.
static const field_t hw_ccm_ccgr126_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR126_CLR.
static const field_t hw_ccm_ccgr126_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR126_TOG.
static const field_t hw_ccm_ccgr126_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR127.
static const field_t hw_ccm_ccgr127[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR127_SET.
static const field_t hw_ccm_ccgr127_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR127_CLR.
static const field_t hw_ccm_ccgr127_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR127_TOG.
static const field_t hw_ccm_ccgr127_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR128.
static const field_t hw_ccm_ccgr128[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR128_SET.
static const field_t hw_ccm_ccgr128_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR128_CLR.
static const field_t hw_ccm_ccgr128_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR128_TOG.
static const field_t hw_ccm_ccgr128_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR129.
static const field_t hw_ccm_ccgr129[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR129_SET.
static const field_t hw_ccm_ccgr129_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR129_CLR.
static const field_t hw_ccm_ccgr129_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR129_TOG.
static const field_t hw_ccm_ccgr129_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR130.
static const field_t hw_ccm_ccgr130[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR130_SET.
static const field_t hw_ccm_ccgr130_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR130_CLR.
static const field_t hw_ccm_ccgr130_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR130_TOG.
static const field_t hw_ccm_ccgr130_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR131.
static const field_t hw_ccm_ccgr131[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR131_SET.
static const field_t hw_ccm_ccgr131_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR131_CLR.
static const field_t hw_ccm_ccgr131_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR131_TOG.
static const field_t hw_ccm_ccgr131_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR132.
static const field_t hw_ccm_ccgr132[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR132_SET.
static const field_t hw_ccm_ccgr132_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR132_CLR.
static const field_t hw_ccm_ccgr132_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR132_TOG.
static const field_t hw_ccm_ccgr132_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR133.
static const field_t hw_ccm_ccgr133[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR133_SET.
static const field_t hw_ccm_ccgr133_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR133_CLR.
static const field_t hw_ccm_ccgr133_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR133_TOG.
static const field_t hw_ccm_ccgr133_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR134.
static const field_t hw_ccm_ccgr134[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR134_SET.
static const field_t hw_ccm_ccgr134_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR134_CLR.
static const field_t hw_ccm_ccgr134_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR134_TOG.
static const field_t hw_ccm_ccgr134_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR135.
static const field_t hw_ccm_ccgr135[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR135_SET.
static const field_t hw_ccm_ccgr135_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR135_CLR.
static const field_t hw_ccm_ccgr135_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR135_TOG.
static const field_t hw_ccm_ccgr135_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR136.
static const field_t hw_ccm_ccgr136[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR136_SET.
static const field_t hw_ccm_ccgr136_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR136_CLR.
static const field_t hw_ccm_ccgr136_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR136_TOG.
static const field_t hw_ccm_ccgr136_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR137.
static const field_t hw_ccm_ccgr137[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR137_SET.
static const field_t hw_ccm_ccgr137_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR137_CLR.
static const field_t hw_ccm_ccgr137_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR137_TOG.
static const field_t hw_ccm_ccgr137_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR138.
static const field_t hw_ccm_ccgr138[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR138_SET.
static const field_t hw_ccm_ccgr138_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR138_CLR.
static const field_t hw_ccm_ccgr138_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR138_TOG.
static const field_t hw_ccm_ccgr138_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR139.
static const field_t hw_ccm_ccgr139[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR139_SET.
static const field_t hw_ccm_ccgr139_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR139_CLR.
static const field_t hw_ccm_ccgr139_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR139_TOG.
static const field_t hw_ccm_ccgr139_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR140.
static const field_t hw_ccm_ccgr140[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR140_SET.
static const field_t hw_ccm_ccgr140_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR140_CLR.
static const field_t hw_ccm_ccgr140_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR140_TOG.
static const field_t hw_ccm_ccgr140_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR141.
static const field_t hw_ccm_ccgr141[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR141_SET.
static const field_t hw_ccm_ccgr141_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR141_CLR.
static const field_t hw_ccm_ccgr141_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR141_TOG.
static const field_t hw_ccm_ccgr141_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR142.
static const field_t hw_ccm_ccgr142[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR142_SET.
static const field_t hw_ccm_ccgr142_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR142_CLR.
static const field_t hw_ccm_ccgr142_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR142_TOG.
static const field_t hw_ccm_ccgr142_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR143.
static const field_t hw_ccm_ccgr143[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR143_SET.
static const field_t hw_ccm_ccgr143_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR143_CLR.
static const field_t hw_ccm_ccgr143_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR143_TOG.
static const field_t hw_ccm_ccgr143_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR144.
static const field_t hw_ccm_ccgr144[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR144_SET.
static const field_t hw_ccm_ccgr144_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR144_CLR.
static const field_t hw_ccm_ccgr144_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR144_TOG.
static const field_t hw_ccm_ccgr144_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR145.
static const field_t hw_ccm_ccgr145[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR145_SET.
static const field_t hw_ccm_ccgr145_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR145_CLR.
static const field_t hw_ccm_ccgr145_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR145_TOG.
static const field_t hw_ccm_ccgr145_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR146.
static const field_t hw_ccm_ccgr146[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR146_SET.
static const field_t hw_ccm_ccgr146_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR146_CLR.
static const field_t hw_ccm_ccgr146_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR146_TOG.
static const field_t hw_ccm_ccgr146_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR147.
static const field_t hw_ccm_ccgr147[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR147_SET.
static const field_t hw_ccm_ccgr147_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR147_CLR.
static const field_t hw_ccm_ccgr147_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR147_TOG.
static const field_t hw_ccm_ccgr147_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR148.
static const field_t hw_ccm_ccgr148[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR148_SET.
static const field_t hw_ccm_ccgr148_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR148_CLR.
static const field_t hw_ccm_ccgr148_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR148_TOG.
static const field_t hw_ccm_ccgr148_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR149.
static const field_t hw_ccm_ccgr149[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR149_SET.
static const field_t hw_ccm_ccgr149_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR149_CLR.
static const field_t hw_ccm_ccgr149_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR149_TOG.
static const field_t hw_ccm_ccgr149_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR150.
static const field_t hw_ccm_ccgr150[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR150_SET.
static const field_t hw_ccm_ccgr150_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR150_CLR.
static const field_t hw_ccm_ccgr150_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR150_TOG.
static const field_t hw_ccm_ccgr150_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR151.
static const field_t hw_ccm_ccgr151[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR151_SET.
static const field_t hw_ccm_ccgr151_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR151_CLR.
static const field_t hw_ccm_ccgr151_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR151_TOG.
static const field_t hw_ccm_ccgr151_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR152.
static const field_t hw_ccm_ccgr152[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR152_SET.
static const field_t hw_ccm_ccgr152_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR152_CLR.
static const field_t hw_ccm_ccgr152_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR152_TOG.
static const field_t hw_ccm_ccgr152_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR153.
static const field_t hw_ccm_ccgr153[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR153_SET.
static const field_t hw_ccm_ccgr153_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR153_CLR.
static const field_t hw_ccm_ccgr153_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR153_TOG.
static const field_t hw_ccm_ccgr153_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR154.
static const field_t hw_ccm_ccgr154[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR154_SET.
static const field_t hw_ccm_ccgr154_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR154_CLR.
static const field_t hw_ccm_ccgr154_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR154_TOG.
static const field_t hw_ccm_ccgr154_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR155.
static const field_t hw_ccm_ccgr155[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR155_SET.
static const field_t hw_ccm_ccgr155_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR155_CLR.
static const field_t hw_ccm_ccgr155_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR155_TOG.
static const field_t hw_ccm_ccgr155_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR156.
static const field_t hw_ccm_ccgr156[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR156_SET.
static const field_t hw_ccm_ccgr156_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR156_CLR.
static const field_t hw_ccm_ccgr156_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR156_TOG.
static const field_t hw_ccm_ccgr156_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR157.
static const field_t hw_ccm_ccgr157[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR157_SET.
static const field_t hw_ccm_ccgr157_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR157_CLR.
static const field_t hw_ccm_ccgr157_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR157_TOG.
static const field_t hw_ccm_ccgr157_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR158.
static const field_t hw_ccm_ccgr158[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR158_SET.
static const field_t hw_ccm_ccgr158_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR158_CLR.
static const field_t hw_ccm_ccgr158_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR158_TOG.
static const field_t hw_ccm_ccgr158_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR159.
static const field_t hw_ccm_ccgr159[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR159_SET.
static const field_t hw_ccm_ccgr159_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR159_CLR.
static const field_t hw_ccm_ccgr159_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR159_TOG.
static const field_t hw_ccm_ccgr159_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR160.
static const field_t hw_ccm_ccgr160[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR160_SET.
static const field_t hw_ccm_ccgr160_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR160_CLR.
static const field_t hw_ccm_ccgr160_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR160_TOG.
static const field_t hw_ccm_ccgr160_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR161.
static const field_t hw_ccm_ccgr161[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR161_SET.
static const field_t hw_ccm_ccgr161_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR161_CLR.
static const field_t hw_ccm_ccgr161_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR161_TOG.
static const field_t hw_ccm_ccgr161_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR162.
static const field_t hw_ccm_ccgr162[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR162_SET.
static const field_t hw_ccm_ccgr162_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR162_CLR.
static const field_t hw_ccm_ccgr162_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR162_TOG.
static const field_t hw_ccm_ccgr162_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR163.
static const field_t hw_ccm_ccgr163[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR163_SET.
static const field_t hw_ccm_ccgr163_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR163_CLR.
static const field_t hw_ccm_ccgr163_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR163_TOG.
static const field_t hw_ccm_ccgr163_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR164.
static const field_t hw_ccm_ccgr164[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR164_SET.
static const field_t hw_ccm_ccgr164_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR164_CLR.
static const field_t hw_ccm_ccgr164_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR164_TOG.
static const field_t hw_ccm_ccgr164_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR165.
static const field_t hw_ccm_ccgr165[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR165_SET.
static const field_t hw_ccm_ccgr165_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR165_CLR.
static const field_t hw_ccm_ccgr165_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR165_TOG.
static const field_t hw_ccm_ccgr165_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR166.
static const field_t hw_ccm_ccgr166[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR166_SET.
static const field_t hw_ccm_ccgr166_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR166_CLR.
static const field_t hw_ccm_ccgr166_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR166_TOG.
static const field_t hw_ccm_ccgr166_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR167.
static const field_t hw_ccm_ccgr167[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR167_SET.
static const field_t hw_ccm_ccgr167_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR167_CLR.
static const field_t hw_ccm_ccgr167_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR167_TOG.
static const field_t hw_ccm_ccgr167_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR168.
static const field_t hw_ccm_ccgr168[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR168_SET.
static const field_t hw_ccm_ccgr168_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR168_CLR.
static const field_t hw_ccm_ccgr168_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR168_TOG.
static const field_t hw_ccm_ccgr168_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR169.
static const field_t hw_ccm_ccgr169[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR169_SET.
static const field_t hw_ccm_ccgr169_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR169_CLR.
static const field_t hw_ccm_ccgr169_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR169_TOG.
static const field_t hw_ccm_ccgr169_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR170.
static const field_t hw_ccm_ccgr170[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR170_SET.
static const field_t hw_ccm_ccgr170_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR170_CLR.
static const field_t hw_ccm_ccgr170_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR170_TOG.
static const field_t hw_ccm_ccgr170_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR171.
static const field_t hw_ccm_ccgr171[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR171_SET.
static const field_t hw_ccm_ccgr171_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR171_CLR.
static const field_t hw_ccm_ccgr171_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR171_TOG.
static const field_t hw_ccm_ccgr171_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR172.
static const field_t hw_ccm_ccgr172[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR172_SET.
static const field_t hw_ccm_ccgr172_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR172_CLR.
static const field_t hw_ccm_ccgr172_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR172_TOG.
static const field_t hw_ccm_ccgr172_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR173.
static const field_t hw_ccm_ccgr173[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR173_SET.
static const field_t hw_ccm_ccgr173_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR173_CLR.
static const field_t hw_ccm_ccgr173_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR173_TOG.
static const field_t hw_ccm_ccgr173_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR174.
static const field_t hw_ccm_ccgr174[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR174_SET.
static const field_t hw_ccm_ccgr174_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR174_CLR.
static const field_t hw_ccm_ccgr174_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR174_TOG.
static const field_t hw_ccm_ccgr174_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR175.
static const field_t hw_ccm_ccgr175[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR175_SET.
static const field_t hw_ccm_ccgr175_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR175_CLR.
static const field_t hw_ccm_ccgr175_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR175_TOG.
static const field_t hw_ccm_ccgr175_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR176.
static const field_t hw_ccm_ccgr176[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR176_SET.
static const field_t hw_ccm_ccgr176_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR176_CLR.
static const field_t hw_ccm_ccgr176_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR176_TOG.
static const field_t hw_ccm_ccgr176_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR177.
static const field_t hw_ccm_ccgr177[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR177_SET.
static const field_t hw_ccm_ccgr177_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR177_CLR.
static const field_t hw_ccm_ccgr177_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR177_TOG.
static const field_t hw_ccm_ccgr177_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR178.
static const field_t hw_ccm_ccgr178[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR178_SET.
static const field_t hw_ccm_ccgr178_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR178_CLR.
static const field_t hw_ccm_ccgr178_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR178_TOG.
static const field_t hw_ccm_ccgr178_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR179.
static const field_t hw_ccm_ccgr179[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR179_SET.
static const field_t hw_ccm_ccgr179_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR179_CLR.
static const field_t hw_ccm_ccgr179_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR179_TOG.
static const field_t hw_ccm_ccgr179_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR180.
static const field_t hw_ccm_ccgr180[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR180_SET.
static const field_t hw_ccm_ccgr180_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR180_CLR.
static const field_t hw_ccm_ccgr180_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR180_TOG.
static const field_t hw_ccm_ccgr180_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR181.
static const field_t hw_ccm_ccgr181[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR181_SET.
static const field_t hw_ccm_ccgr181_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR181_CLR.
static const field_t hw_ccm_ccgr181_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR181_TOG.
static const field_t hw_ccm_ccgr181_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR182.
static const field_t hw_ccm_ccgr182[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR182_SET.
static const field_t hw_ccm_ccgr182_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR182_CLR.
static const field_t hw_ccm_ccgr182_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR182_TOG.
static const field_t hw_ccm_ccgr182_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR183.
static const field_t hw_ccm_ccgr183[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR183_SET.
static const field_t hw_ccm_ccgr183_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR183_CLR.
static const field_t hw_ccm_ccgr183_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR183_TOG.
static const field_t hw_ccm_ccgr183_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR184.
static const field_t hw_ccm_ccgr184[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR184_SET.
static const field_t hw_ccm_ccgr184_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR184_CLR.
static const field_t hw_ccm_ccgr184_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR184_TOG.
static const field_t hw_ccm_ccgr184_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR185.
static const field_t hw_ccm_ccgr185[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR185_SET.
static const field_t hw_ccm_ccgr185_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR185_CLR.
static const field_t hw_ccm_ccgr185_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR185_TOG.
static const field_t hw_ccm_ccgr185_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR186.
static const field_t hw_ccm_ccgr186[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR186_SET.
static const field_t hw_ccm_ccgr186_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR186_CLR.
static const field_t hw_ccm_ccgr186_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR186_TOG.
static const field_t hw_ccm_ccgr186_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR187.
static const field_t hw_ccm_ccgr187[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR187_SET.
static const field_t hw_ccm_ccgr187_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR187_CLR.
static const field_t hw_ccm_ccgr187_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR187_TOG.
static const field_t hw_ccm_ccgr187_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR188.
static const field_t hw_ccm_ccgr188[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR188_SET.
static const field_t hw_ccm_ccgr188_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR188_CLR.
static const field_t hw_ccm_ccgr188_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR188_TOG.
static const field_t hw_ccm_ccgr188_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR189.
static const field_t hw_ccm_ccgr189[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR189_SET.
static const field_t hw_ccm_ccgr189_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR189_CLR.
static const field_t hw_ccm_ccgr189_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR189_TOG.
static const field_t hw_ccm_ccgr189_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR190.
static const field_t hw_ccm_ccgr190[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR190_SET.
static const field_t hw_ccm_ccgr190_set[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR190_CLR.
static const field_t hw_ccm_ccgr190_clr[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_CCGR190_TOG.
static const field_t hw_ccm_ccgr190_tog[] =
{
    {
        "SETTING0",
        "Clock gate control setting for domain 0.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING1",
        "Clock gate control setting for domain 1.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING2",
        "Clock gate control setting for domain 2.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SETTING3",
        "Clock gate control setting for domain 3.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT0.
static const field_t hw_ccm_target_root0[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT0_SET.
static const field_t hw_ccm_target_root0_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT0_CLR.
static const field_t hw_ccm_target_root0_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT0_TOG.
static const field_t hw_ccm_target_root0_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC0.
static const field_t hw_ccm_misc0[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT0_SET.
static const field_t hw_ccm_misc_root0_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT0_CLR.
static const field_t hw_ccm_misc_root0_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT0_TOG.
static const field_t hw_ccm_misc_root0_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST0.
static const field_t hw_ccm_post0[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT0_SET.
static const field_t hw_ccm_post_root0_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT0_CLR.
static const field_t hw_ccm_post_root0_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT0_TOG.
static const field_t hw_ccm_post_root0_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE0.
static const field_t hw_ccm_pre0[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT0_SET.
static const field_t hw_ccm_pre_root0_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT0_CLR.
static const field_t hw_ccm_pre_root0_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT0_TOG.
static const field_t hw_ccm_pre_root0_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL0.
static const field_t hw_ccm_access_ctrl0[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT0_SET.
static const field_t hw_ccm_access_ctrl_root0_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT0_CLR.
static const field_t hw_ccm_access_ctrl_root0_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT0_TOG.
static const field_t hw_ccm_access_ctrl_root0_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT1.
static const field_t hw_ccm_target_root1[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT1_SET.
static const field_t hw_ccm_target_root1_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT1_CLR.
static const field_t hw_ccm_target_root1_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT1_TOG.
static const field_t hw_ccm_target_root1_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC1.
static const field_t hw_ccm_misc1[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT1_SET.
static const field_t hw_ccm_misc_root1_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT1_CLR.
static const field_t hw_ccm_misc_root1_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT1_TOG.
static const field_t hw_ccm_misc_root1_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST1.
static const field_t hw_ccm_post1[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT1_SET.
static const field_t hw_ccm_post_root1_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT1_CLR.
static const field_t hw_ccm_post_root1_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT1_TOG.
static const field_t hw_ccm_post_root1_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE1.
static const field_t hw_ccm_pre1[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT1_SET.
static const field_t hw_ccm_pre_root1_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT1_CLR.
static const field_t hw_ccm_pre_root1_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT1_TOG.
static const field_t hw_ccm_pre_root1_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL1.
static const field_t hw_ccm_access_ctrl1[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT1_SET.
static const field_t hw_ccm_access_ctrl_root1_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT1_CLR.
static const field_t hw_ccm_access_ctrl_root1_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT1_TOG.
static const field_t hw_ccm_access_ctrl_root1_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT2.
static const field_t hw_ccm_target_root2[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT2_SET.
static const field_t hw_ccm_target_root2_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT2_CLR.
static const field_t hw_ccm_target_root2_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT2_TOG.
static const field_t hw_ccm_target_root2_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC2.
static const field_t hw_ccm_misc2[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT2_SET.
static const field_t hw_ccm_misc_root2_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT2_CLR.
static const field_t hw_ccm_misc_root2_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT2_TOG.
static const field_t hw_ccm_misc_root2_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST2.
static const field_t hw_ccm_post2[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT2_SET.
static const field_t hw_ccm_post_root2_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT2_CLR.
static const field_t hw_ccm_post_root2_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT2_TOG.
static const field_t hw_ccm_post_root2_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE2.
static const field_t hw_ccm_pre2[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT2_SET.
static const field_t hw_ccm_pre_root2_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT2_CLR.
static const field_t hw_ccm_pre_root2_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT2_TOG.
static const field_t hw_ccm_pre_root2_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL2.
static const field_t hw_ccm_access_ctrl2[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT2_SET.
static const field_t hw_ccm_access_ctrl_root2_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT2_CLR.
static const field_t hw_ccm_access_ctrl_root2_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT2_TOG.
static const field_t hw_ccm_access_ctrl_root2_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT3.
static const field_t hw_ccm_target_root3[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT3_SET.
static const field_t hw_ccm_target_root3_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT3_CLR.
static const field_t hw_ccm_target_root3_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT3_TOG.
static const field_t hw_ccm_target_root3_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC3.
static const field_t hw_ccm_misc3[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT3_SET.
static const field_t hw_ccm_misc_root3_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT3_CLR.
static const field_t hw_ccm_misc_root3_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT3_TOG.
static const field_t hw_ccm_misc_root3_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST3.
static const field_t hw_ccm_post3[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT3_SET.
static const field_t hw_ccm_post_root3_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT3_CLR.
static const field_t hw_ccm_post_root3_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT3_TOG.
static const field_t hw_ccm_post_root3_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE3.
static const field_t hw_ccm_pre3[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT3_SET.
static const field_t hw_ccm_pre_root3_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT3_CLR.
static const field_t hw_ccm_pre_root3_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT3_TOG.
static const field_t hw_ccm_pre_root3_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL3.
static const field_t hw_ccm_access_ctrl3[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT3_SET.
static const field_t hw_ccm_access_ctrl_root3_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT3_CLR.
static const field_t hw_ccm_access_ctrl_root3_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT3_TOG.
static const field_t hw_ccm_access_ctrl_root3_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT4.
static const field_t hw_ccm_target_root4[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT4_SET.
static const field_t hw_ccm_target_root4_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT4_CLR.
static const field_t hw_ccm_target_root4_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT4_TOG.
static const field_t hw_ccm_target_root4_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC4.
static const field_t hw_ccm_misc4[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT4_SET.
static const field_t hw_ccm_misc_root4_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT4_CLR.
static const field_t hw_ccm_misc_root4_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT4_TOG.
static const field_t hw_ccm_misc_root4_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST4.
static const field_t hw_ccm_post4[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT4_SET.
static const field_t hw_ccm_post_root4_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT4_CLR.
static const field_t hw_ccm_post_root4_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT4_TOG.
static const field_t hw_ccm_post_root4_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE4.
static const field_t hw_ccm_pre4[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT4_SET.
static const field_t hw_ccm_pre_root4_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT4_CLR.
static const field_t hw_ccm_pre_root4_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT4_TOG.
static const field_t hw_ccm_pre_root4_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL4.
static const field_t hw_ccm_access_ctrl4[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT4_SET.
static const field_t hw_ccm_access_ctrl_root4_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT4_CLR.
static const field_t hw_ccm_access_ctrl_root4_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT4_TOG.
static const field_t hw_ccm_access_ctrl_root4_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT16.
static const field_t hw_ccm_target_root16[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT16_SET.
static const field_t hw_ccm_target_root16_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT16_CLR.
static const field_t hw_ccm_target_root16_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT16_TOG.
static const field_t hw_ccm_target_root16_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC16.
static const field_t hw_ccm_misc16[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT16_SET.
static const field_t hw_ccm_misc_root16_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT16_CLR.
static const field_t hw_ccm_misc_root16_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT16_TOG.
static const field_t hw_ccm_misc_root16_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST16.
static const field_t hw_ccm_post16[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT16_SET.
static const field_t hw_ccm_post_root16_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT16_CLR.
static const field_t hw_ccm_post_root16_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT16_TOG.
static const field_t hw_ccm_post_root16_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE16.
static const field_t hw_ccm_pre16[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT16_SET.
static const field_t hw_ccm_pre_root16_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT16_CLR.
static const field_t hw_ccm_pre_root16_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT16_TOG.
static const field_t hw_ccm_pre_root16_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL16.
static const field_t hw_ccm_access_ctrl16[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT16_SET.
static const field_t hw_ccm_access_ctrl_root16_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT16_CLR.
static const field_t hw_ccm_access_ctrl_root16_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT16_TOG.
static const field_t hw_ccm_access_ctrl_root16_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT17.
static const field_t hw_ccm_target_root17[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT17_SET.
static const field_t hw_ccm_target_root17_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT17_CLR.
static const field_t hw_ccm_target_root17_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT17_TOG.
static const field_t hw_ccm_target_root17_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC17.
static const field_t hw_ccm_misc17[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT17_SET.
static const field_t hw_ccm_misc_root17_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT17_CLR.
static const field_t hw_ccm_misc_root17_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT17_TOG.
static const field_t hw_ccm_misc_root17_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST17.
static const field_t hw_ccm_post17[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT17_SET.
static const field_t hw_ccm_post_root17_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT17_CLR.
static const field_t hw_ccm_post_root17_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT17_TOG.
static const field_t hw_ccm_post_root17_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE17.
static const field_t hw_ccm_pre17[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT17_SET.
static const field_t hw_ccm_pre_root17_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT17_CLR.
static const field_t hw_ccm_pre_root17_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT17_TOG.
static const field_t hw_ccm_pre_root17_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL17.
static const field_t hw_ccm_access_ctrl17[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT17_SET.
static const field_t hw_ccm_access_ctrl_root17_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT17_CLR.
static const field_t hw_ccm_access_ctrl_root17_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT17_TOG.
static const field_t hw_ccm_access_ctrl_root17_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT18.
static const field_t hw_ccm_target_root18[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT18_SET.
static const field_t hw_ccm_target_root18_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT18_CLR.
static const field_t hw_ccm_target_root18_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT18_TOG.
static const field_t hw_ccm_target_root18_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC18.
static const field_t hw_ccm_misc18[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT18_SET.
static const field_t hw_ccm_misc_root18_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT18_CLR.
static const field_t hw_ccm_misc_root18_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT18_TOG.
static const field_t hw_ccm_misc_root18_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST18.
static const field_t hw_ccm_post18[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT18_SET.
static const field_t hw_ccm_post_root18_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT18_CLR.
static const field_t hw_ccm_post_root18_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT18_TOG.
static const field_t hw_ccm_post_root18_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE18.
static const field_t hw_ccm_pre18[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT18_SET.
static const field_t hw_ccm_pre_root18_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT18_CLR.
static const field_t hw_ccm_pre_root18_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT18_TOG.
static const field_t hw_ccm_pre_root18_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL18.
static const field_t hw_ccm_access_ctrl18[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT18_SET.
static const field_t hw_ccm_access_ctrl_root18_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT18_CLR.
static const field_t hw_ccm_access_ctrl_root18_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT18_TOG.
static const field_t hw_ccm_access_ctrl_root18_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT19.
static const field_t hw_ccm_target_root19[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT19_SET.
static const field_t hw_ccm_target_root19_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT19_CLR.
static const field_t hw_ccm_target_root19_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT19_TOG.
static const field_t hw_ccm_target_root19_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC19.
static const field_t hw_ccm_misc19[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT19_SET.
static const field_t hw_ccm_misc_root19_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT19_CLR.
static const field_t hw_ccm_misc_root19_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT19_TOG.
static const field_t hw_ccm_misc_root19_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST19.
static const field_t hw_ccm_post19[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT19_SET.
static const field_t hw_ccm_post_root19_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT19_CLR.
static const field_t hw_ccm_post_root19_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT19_TOG.
static const field_t hw_ccm_post_root19_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE19.
static const field_t hw_ccm_pre19[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT19_SET.
static const field_t hw_ccm_pre_root19_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT19_CLR.
static const field_t hw_ccm_pre_root19_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT19_TOG.
static const field_t hw_ccm_pre_root19_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL19.
static const field_t hw_ccm_access_ctrl19[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT19_SET.
static const field_t hw_ccm_access_ctrl_root19_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT19_CLR.
static const field_t hw_ccm_access_ctrl_root19_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT19_TOG.
static const field_t hw_ccm_access_ctrl_root19_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT20.
static const field_t hw_ccm_target_root20[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT20_SET.
static const field_t hw_ccm_target_root20_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT20_CLR.
static const field_t hw_ccm_target_root20_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT20_TOG.
static const field_t hw_ccm_target_root20_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC20.
static const field_t hw_ccm_misc20[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT20_SET.
static const field_t hw_ccm_misc_root20_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT20_CLR.
static const field_t hw_ccm_misc_root20_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT20_TOG.
static const field_t hw_ccm_misc_root20_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST20.
static const field_t hw_ccm_post20[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT20_SET.
static const field_t hw_ccm_post_root20_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT20_CLR.
static const field_t hw_ccm_post_root20_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT20_TOG.
static const field_t hw_ccm_post_root20_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE20.
static const field_t hw_ccm_pre20[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT20_SET.
static const field_t hw_ccm_pre_root20_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT20_CLR.
static const field_t hw_ccm_pre_root20_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT20_TOG.
static const field_t hw_ccm_pre_root20_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL20.
static const field_t hw_ccm_access_ctrl20[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT20_SET.
static const field_t hw_ccm_access_ctrl_root20_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT20_CLR.
static const field_t hw_ccm_access_ctrl_root20_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT20_TOG.
static const field_t hw_ccm_access_ctrl_root20_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT21.
static const field_t hw_ccm_target_root21[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT21_SET.
static const field_t hw_ccm_target_root21_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT21_CLR.
static const field_t hw_ccm_target_root21_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT21_TOG.
static const field_t hw_ccm_target_root21_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC21.
static const field_t hw_ccm_misc21[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT21_SET.
static const field_t hw_ccm_misc_root21_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT21_CLR.
static const field_t hw_ccm_misc_root21_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT21_TOG.
static const field_t hw_ccm_misc_root21_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST21.
static const field_t hw_ccm_post21[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT21_SET.
static const field_t hw_ccm_post_root21_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT21_CLR.
static const field_t hw_ccm_post_root21_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT21_TOG.
static const field_t hw_ccm_post_root21_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE21.
static const field_t hw_ccm_pre21[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT21_SET.
static const field_t hw_ccm_pre_root21_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT21_CLR.
static const field_t hw_ccm_pre_root21_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT21_TOG.
static const field_t hw_ccm_pre_root21_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL21.
static const field_t hw_ccm_access_ctrl21[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT21_SET.
static const field_t hw_ccm_access_ctrl_root21_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT21_CLR.
static const field_t hw_ccm_access_ctrl_root21_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT21_TOG.
static const field_t hw_ccm_access_ctrl_root21_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT22.
static const field_t hw_ccm_target_root22[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT22_SET.
static const field_t hw_ccm_target_root22_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT22_CLR.
static const field_t hw_ccm_target_root22_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT22_TOG.
static const field_t hw_ccm_target_root22_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC22.
static const field_t hw_ccm_misc22[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT22_SET.
static const field_t hw_ccm_misc_root22_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT22_CLR.
static const field_t hw_ccm_misc_root22_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT22_TOG.
static const field_t hw_ccm_misc_root22_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST22.
static const field_t hw_ccm_post22[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT22_SET.
static const field_t hw_ccm_post_root22_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT22_CLR.
static const field_t hw_ccm_post_root22_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT22_TOG.
static const field_t hw_ccm_post_root22_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE22.
static const field_t hw_ccm_pre22[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT22_SET.
static const field_t hw_ccm_pre_root22_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT22_CLR.
static const field_t hw_ccm_pre_root22_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT22_TOG.
static const field_t hw_ccm_pre_root22_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL22.
static const field_t hw_ccm_access_ctrl22[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT22_SET.
static const field_t hw_ccm_access_ctrl_root22_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT22_CLR.
static const field_t hw_ccm_access_ctrl_root22_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT22_TOG.
static const field_t hw_ccm_access_ctrl_root22_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT23.
static const field_t hw_ccm_target_root23[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT23_SET.
static const field_t hw_ccm_target_root23_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT23_CLR.
static const field_t hw_ccm_target_root23_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT23_TOG.
static const field_t hw_ccm_target_root23_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC23.
static const field_t hw_ccm_misc23[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT23_SET.
static const field_t hw_ccm_misc_root23_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT23_CLR.
static const field_t hw_ccm_misc_root23_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT23_TOG.
static const field_t hw_ccm_misc_root23_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST23.
static const field_t hw_ccm_post23[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT23_SET.
static const field_t hw_ccm_post_root23_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT23_CLR.
static const field_t hw_ccm_post_root23_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT23_TOG.
static const field_t hw_ccm_post_root23_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE23.
static const field_t hw_ccm_pre23[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT23_SET.
static const field_t hw_ccm_pre_root23_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT23_CLR.
static const field_t hw_ccm_pre_root23_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT23_TOG.
static const field_t hw_ccm_pre_root23_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL23.
static const field_t hw_ccm_access_ctrl23[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT23_SET.
static const field_t hw_ccm_access_ctrl_root23_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT23_CLR.
static const field_t hw_ccm_access_ctrl_root23_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT23_TOG.
static const field_t hw_ccm_access_ctrl_root23_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT24.
static const field_t hw_ccm_target_root24[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT24_SET.
static const field_t hw_ccm_target_root24_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT24_CLR.
static const field_t hw_ccm_target_root24_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT24_TOG.
static const field_t hw_ccm_target_root24_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC24.
static const field_t hw_ccm_misc24[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT24_SET.
static const field_t hw_ccm_misc_root24_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT24_CLR.
static const field_t hw_ccm_misc_root24_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT24_TOG.
static const field_t hw_ccm_misc_root24_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST24.
static const field_t hw_ccm_post24[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT24_SET.
static const field_t hw_ccm_post_root24_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT24_CLR.
static const field_t hw_ccm_post_root24_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT24_TOG.
static const field_t hw_ccm_post_root24_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE24.
static const field_t hw_ccm_pre24[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT24_SET.
static const field_t hw_ccm_pre_root24_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT24_CLR.
static const field_t hw_ccm_pre_root24_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT24_TOG.
static const field_t hw_ccm_pre_root24_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL24.
static const field_t hw_ccm_access_ctrl24[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT24_SET.
static const field_t hw_ccm_access_ctrl_root24_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT24_CLR.
static const field_t hw_ccm_access_ctrl_root24_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT24_TOG.
static const field_t hw_ccm_access_ctrl_root24_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT25.
static const field_t hw_ccm_target_root25[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT25_SET.
static const field_t hw_ccm_target_root25_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT25_CLR.
static const field_t hw_ccm_target_root25_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT25_TOG.
static const field_t hw_ccm_target_root25_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC25.
static const field_t hw_ccm_misc25[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT25_SET.
static const field_t hw_ccm_misc_root25_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT25_CLR.
static const field_t hw_ccm_misc_root25_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT25_TOG.
static const field_t hw_ccm_misc_root25_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST25.
static const field_t hw_ccm_post25[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT25_SET.
static const field_t hw_ccm_post_root25_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT25_CLR.
static const field_t hw_ccm_post_root25_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT25_TOG.
static const field_t hw_ccm_post_root25_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE25.
static const field_t hw_ccm_pre25[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT25_SET.
static const field_t hw_ccm_pre_root25_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT25_CLR.
static const field_t hw_ccm_pre_root25_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT25_TOG.
static const field_t hw_ccm_pre_root25_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL25.
static const field_t hw_ccm_access_ctrl25[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT25_SET.
static const field_t hw_ccm_access_ctrl_root25_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT25_CLR.
static const field_t hw_ccm_access_ctrl_root25_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT25_TOG.
static const field_t hw_ccm_access_ctrl_root25_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT26.
static const field_t hw_ccm_target_root26[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT26_SET.
static const field_t hw_ccm_target_root26_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT26_CLR.
static const field_t hw_ccm_target_root26_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT26_TOG.
static const field_t hw_ccm_target_root26_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC26.
static const field_t hw_ccm_misc26[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT26_SET.
static const field_t hw_ccm_misc_root26_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT26_CLR.
static const field_t hw_ccm_misc_root26_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT26_TOG.
static const field_t hw_ccm_misc_root26_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST26.
static const field_t hw_ccm_post26[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT26_SET.
static const field_t hw_ccm_post_root26_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT26_CLR.
static const field_t hw_ccm_post_root26_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT26_TOG.
static const field_t hw_ccm_post_root26_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE26.
static const field_t hw_ccm_pre26[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT26_SET.
static const field_t hw_ccm_pre_root26_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT26_CLR.
static const field_t hw_ccm_pre_root26_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT26_TOG.
static const field_t hw_ccm_pre_root26_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL26.
static const field_t hw_ccm_access_ctrl26[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT26_SET.
static const field_t hw_ccm_access_ctrl_root26_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT26_CLR.
static const field_t hw_ccm_access_ctrl_root26_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT26_TOG.
static const field_t hw_ccm_access_ctrl_root26_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT27.
static const field_t hw_ccm_target_root27[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT27_SET.
static const field_t hw_ccm_target_root27_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT27_CLR.
static const field_t hw_ccm_target_root27_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT27_TOG.
static const field_t hw_ccm_target_root27_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC27.
static const field_t hw_ccm_misc27[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT27_SET.
static const field_t hw_ccm_misc_root27_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT27_CLR.
static const field_t hw_ccm_misc_root27_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT27_TOG.
static const field_t hw_ccm_misc_root27_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST27.
static const field_t hw_ccm_post27[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT27_SET.
static const field_t hw_ccm_post_root27_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT27_CLR.
static const field_t hw_ccm_post_root27_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT27_TOG.
static const field_t hw_ccm_post_root27_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE27.
static const field_t hw_ccm_pre27[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT27_SET.
static const field_t hw_ccm_pre_root27_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT27_CLR.
static const field_t hw_ccm_pre_root27_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT27_TOG.
static const field_t hw_ccm_pre_root27_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL27.
static const field_t hw_ccm_access_ctrl27[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT27_SET.
static const field_t hw_ccm_access_ctrl_root27_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT27_CLR.
static const field_t hw_ccm_access_ctrl_root27_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT27_TOG.
static const field_t hw_ccm_access_ctrl_root27_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT32.
static const field_t hw_ccm_target_root32[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT32_SET.
static const field_t hw_ccm_target_root32_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT32_CLR.
static const field_t hw_ccm_target_root32_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT32_TOG.
static const field_t hw_ccm_target_root32_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC32.
static const field_t hw_ccm_misc32[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT32_SET.
static const field_t hw_ccm_misc_root32_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT32_CLR.
static const field_t hw_ccm_misc_root32_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT32_TOG.
static const field_t hw_ccm_misc_root32_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST32.
static const field_t hw_ccm_post32[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT32_SET.
static const field_t hw_ccm_post_root32_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT32_CLR.
static const field_t hw_ccm_post_root32_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT32_TOG.
static const field_t hw_ccm_post_root32_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE32.
static const field_t hw_ccm_pre32[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT32_SET.
static const field_t hw_ccm_pre_root32_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT32_CLR.
static const field_t hw_ccm_pre_root32_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT32_TOG.
static const field_t hw_ccm_pre_root32_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL32.
static const field_t hw_ccm_access_ctrl32[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT32_SET.
static const field_t hw_ccm_access_ctrl_root32_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT32_CLR.
static const field_t hw_ccm_access_ctrl_root32_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT32_TOG.
static const field_t hw_ccm_access_ctrl_root32_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT33.
static const field_t hw_ccm_target_root33[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT33_SET.
static const field_t hw_ccm_target_root33_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT33_CLR.
static const field_t hw_ccm_target_root33_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT33_TOG.
static const field_t hw_ccm_target_root33_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC33.
static const field_t hw_ccm_misc33[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT33_SET.
static const field_t hw_ccm_misc_root33_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT33_CLR.
static const field_t hw_ccm_misc_root33_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT33_TOG.
static const field_t hw_ccm_misc_root33_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST33.
static const field_t hw_ccm_post33[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT33_SET.
static const field_t hw_ccm_post_root33_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT33_CLR.
static const field_t hw_ccm_post_root33_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT33_TOG.
static const field_t hw_ccm_post_root33_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE33.
static const field_t hw_ccm_pre33[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT33_SET.
static const field_t hw_ccm_pre_root33_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT33_CLR.
static const field_t hw_ccm_pre_root33_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT33_TOG.
static const field_t hw_ccm_pre_root33_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL33.
static const field_t hw_ccm_access_ctrl33[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT33_SET.
static const field_t hw_ccm_access_ctrl_root33_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT33_CLR.
static const field_t hw_ccm_access_ctrl_root33_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT33_TOG.
static const field_t hw_ccm_access_ctrl_root33_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT34.
static const field_t hw_ccm_target_root34[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT34_SET.
static const field_t hw_ccm_target_root34_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT34_CLR.
static const field_t hw_ccm_target_root34_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT34_TOG.
static const field_t hw_ccm_target_root34_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC34.
static const field_t hw_ccm_misc34[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT34_SET.
static const field_t hw_ccm_misc_root34_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT34_CLR.
static const field_t hw_ccm_misc_root34_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT34_TOG.
static const field_t hw_ccm_misc_root34_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST34.
static const field_t hw_ccm_post34[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT34_SET.
static const field_t hw_ccm_post_root34_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT34_CLR.
static const field_t hw_ccm_post_root34_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT34_TOG.
static const field_t hw_ccm_post_root34_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE34.
static const field_t hw_ccm_pre34[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT34_SET.
static const field_t hw_ccm_pre_root34_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT34_CLR.
static const field_t hw_ccm_pre_root34_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT34_TOG.
static const field_t hw_ccm_pre_root34_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL34.
static const field_t hw_ccm_access_ctrl34[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT34_SET.
static const field_t hw_ccm_access_ctrl_root34_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT34_CLR.
static const field_t hw_ccm_access_ctrl_root34_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT34_TOG.
static const field_t hw_ccm_access_ctrl_root34_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT35.
static const field_t hw_ccm_target_root35[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT35_SET.
static const field_t hw_ccm_target_root35_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT35_CLR.
static const field_t hw_ccm_target_root35_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT35_TOG.
static const field_t hw_ccm_target_root35_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC35.
static const field_t hw_ccm_misc35[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT35_SET.
static const field_t hw_ccm_misc_root35_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT35_CLR.
static const field_t hw_ccm_misc_root35_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT35_TOG.
static const field_t hw_ccm_misc_root35_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST35.
static const field_t hw_ccm_post35[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT35_SET.
static const field_t hw_ccm_post_root35_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT35_CLR.
static const field_t hw_ccm_post_root35_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT35_TOG.
static const field_t hw_ccm_post_root35_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE35.
static const field_t hw_ccm_pre35[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT35_SET.
static const field_t hw_ccm_pre_root35_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT35_CLR.
static const field_t hw_ccm_pre_root35_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT35_TOG.
static const field_t hw_ccm_pre_root35_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL35.
static const field_t hw_ccm_access_ctrl35[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT35_SET.
static const field_t hw_ccm_access_ctrl_root35_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT35_CLR.
static const field_t hw_ccm_access_ctrl_root35_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT35_TOG.
static const field_t hw_ccm_access_ctrl_root35_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT36.
static const field_t hw_ccm_target_root36[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT36_SET.
static const field_t hw_ccm_target_root36_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT36_CLR.
static const field_t hw_ccm_target_root36_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT36_TOG.
static const field_t hw_ccm_target_root36_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC36.
static const field_t hw_ccm_misc36[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT36_SET.
static const field_t hw_ccm_misc_root36_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT36_CLR.
static const field_t hw_ccm_misc_root36_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT36_TOG.
static const field_t hw_ccm_misc_root36_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST36.
static const field_t hw_ccm_post36[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT36_SET.
static const field_t hw_ccm_post_root36_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT36_CLR.
static const field_t hw_ccm_post_root36_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT36_TOG.
static const field_t hw_ccm_post_root36_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE36.
static const field_t hw_ccm_pre36[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT36_SET.
static const field_t hw_ccm_pre_root36_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT36_CLR.
static const field_t hw_ccm_pre_root36_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT36_TOG.
static const field_t hw_ccm_pre_root36_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL36.
static const field_t hw_ccm_access_ctrl36[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT36_SET.
static const field_t hw_ccm_access_ctrl_root36_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT36_CLR.
static const field_t hw_ccm_access_ctrl_root36_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT36_TOG.
static const field_t hw_ccm_access_ctrl_root36_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT37.
static const field_t hw_ccm_target_root37[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT37_SET.
static const field_t hw_ccm_target_root37_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT37_CLR.
static const field_t hw_ccm_target_root37_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT37_TOG.
static const field_t hw_ccm_target_root37_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC37.
static const field_t hw_ccm_misc37[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT37_SET.
static const field_t hw_ccm_misc_root37_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT37_CLR.
static const field_t hw_ccm_misc_root37_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT37_TOG.
static const field_t hw_ccm_misc_root37_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST37.
static const field_t hw_ccm_post37[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT37_SET.
static const field_t hw_ccm_post_root37_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT37_CLR.
static const field_t hw_ccm_post_root37_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT37_TOG.
static const field_t hw_ccm_post_root37_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE37.
static const field_t hw_ccm_pre37[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT37_SET.
static const field_t hw_ccm_pre_root37_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT37_CLR.
static const field_t hw_ccm_pre_root37_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT37_TOG.
static const field_t hw_ccm_pre_root37_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL37.
static const field_t hw_ccm_access_ctrl37[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT37_SET.
static const field_t hw_ccm_access_ctrl_root37_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT37_CLR.
static const field_t hw_ccm_access_ctrl_root37_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT37_TOG.
static const field_t hw_ccm_access_ctrl_root37_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT48.
static const field_t hw_ccm_target_root48[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT48_SET.
static const field_t hw_ccm_target_root48_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT48_CLR.
static const field_t hw_ccm_target_root48_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT48_TOG.
static const field_t hw_ccm_target_root48_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC48.
static const field_t hw_ccm_misc48[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT48_SET.
static const field_t hw_ccm_misc_root48_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT48_CLR.
static const field_t hw_ccm_misc_root48_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT48_TOG.
static const field_t hw_ccm_misc_root48_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST48.
static const field_t hw_ccm_post48[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT48_SET.
static const field_t hw_ccm_post_root48_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT48_CLR.
static const field_t hw_ccm_post_root48_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT48_TOG.
static const field_t hw_ccm_post_root48_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE48.
static const field_t hw_ccm_pre48[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT48_SET.
static const field_t hw_ccm_pre_root48_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT48_CLR.
static const field_t hw_ccm_pre_root48_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT48_TOG.
static const field_t hw_ccm_pre_root48_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL48.
static const field_t hw_ccm_access_ctrl48[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT48_SET.
static const field_t hw_ccm_access_ctrl_root48_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT48_CLR.
static const field_t hw_ccm_access_ctrl_root48_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT48_TOG.
static const field_t hw_ccm_access_ctrl_root48_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT49.
static const field_t hw_ccm_target_root49[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT49_SET.
static const field_t hw_ccm_target_root49_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT49_CLR.
static const field_t hw_ccm_target_root49_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT49_TOG.
static const field_t hw_ccm_target_root49_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC49.
static const field_t hw_ccm_misc49[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT49_SET.
static const field_t hw_ccm_misc_root49_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT49_CLR.
static const field_t hw_ccm_misc_root49_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT49_TOG.
static const field_t hw_ccm_misc_root49_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST49.
static const field_t hw_ccm_post49[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT49_SET.
static const field_t hw_ccm_post_root49_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT49_CLR.
static const field_t hw_ccm_post_root49_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT49_TOG.
static const field_t hw_ccm_post_root49_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE49.
static const field_t hw_ccm_pre49[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT49_SET.
static const field_t hw_ccm_pre_root49_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT49_CLR.
static const field_t hw_ccm_pre_root49_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT49_TOG.
static const field_t hw_ccm_pre_root49_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL49.
static const field_t hw_ccm_access_ctrl49[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT49_SET.
static const field_t hw_ccm_access_ctrl_root49_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT49_CLR.
static const field_t hw_ccm_access_ctrl_root49_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT49_TOG.
static const field_t hw_ccm_access_ctrl_root49_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT64.
static const field_t hw_ccm_target_root64[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT64_SET.
static const field_t hw_ccm_target_root64_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT64_CLR.
static const field_t hw_ccm_target_root64_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT64_TOG.
static const field_t hw_ccm_target_root64_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC64.
static const field_t hw_ccm_misc64[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT64_SET.
static const field_t hw_ccm_misc_root64_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT64_CLR.
static const field_t hw_ccm_misc_root64_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT64_TOG.
static const field_t hw_ccm_misc_root64_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST64.
static const field_t hw_ccm_post64[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT64_SET.
static const field_t hw_ccm_post_root64_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT64_CLR.
static const field_t hw_ccm_post_root64_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT64_TOG.
static const field_t hw_ccm_post_root64_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE64.
static const field_t hw_ccm_pre64[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT64_SET.
static const field_t hw_ccm_pre_root64_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT64_CLR.
static const field_t hw_ccm_pre_root64_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT64_TOG.
static const field_t hw_ccm_pre_root64_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL64.
static const field_t hw_ccm_access_ctrl64[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT64_SET.
static const field_t hw_ccm_access_ctrl_root64_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT64_CLR.
static const field_t hw_ccm_access_ctrl_root64_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT64_TOG.
static const field_t hw_ccm_access_ctrl_root64_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT65.
static const field_t hw_ccm_target_root65[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT65_SET.
static const field_t hw_ccm_target_root65_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT65_CLR.
static const field_t hw_ccm_target_root65_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT65_TOG.
static const field_t hw_ccm_target_root65_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC65.
static const field_t hw_ccm_misc65[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT65_SET.
static const field_t hw_ccm_misc_root65_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT65_CLR.
static const field_t hw_ccm_misc_root65_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT65_TOG.
static const field_t hw_ccm_misc_root65_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST65.
static const field_t hw_ccm_post65[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT65_SET.
static const field_t hw_ccm_post_root65_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT65_CLR.
static const field_t hw_ccm_post_root65_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT65_TOG.
static const field_t hw_ccm_post_root65_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE65.
static const field_t hw_ccm_pre65[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT65_SET.
static const field_t hw_ccm_pre_root65_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT65_CLR.
static const field_t hw_ccm_pre_root65_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT65_TOG.
static const field_t hw_ccm_pre_root65_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL65.
static const field_t hw_ccm_access_ctrl65[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT65_SET.
static const field_t hw_ccm_access_ctrl_root65_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT65_CLR.
static const field_t hw_ccm_access_ctrl_root65_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT65_TOG.
static const field_t hw_ccm_access_ctrl_root65_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT66.
static const field_t hw_ccm_target_root66[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT66_SET.
static const field_t hw_ccm_target_root66_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT66_CLR.
static const field_t hw_ccm_target_root66_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT66_TOG.
static const field_t hw_ccm_target_root66_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC66.
static const field_t hw_ccm_misc66[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT66_SET.
static const field_t hw_ccm_misc_root66_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT66_CLR.
static const field_t hw_ccm_misc_root66_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT66_TOG.
static const field_t hw_ccm_misc_root66_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST66.
static const field_t hw_ccm_post66[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT66_SET.
static const field_t hw_ccm_post_root66_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT66_CLR.
static const field_t hw_ccm_post_root66_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT66_TOG.
static const field_t hw_ccm_post_root66_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE66.
static const field_t hw_ccm_pre66[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT66_SET.
static const field_t hw_ccm_pre_root66_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT66_CLR.
static const field_t hw_ccm_pre_root66_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT66_TOG.
static const field_t hw_ccm_pre_root66_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL66.
static const field_t hw_ccm_access_ctrl66[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT66_SET.
static const field_t hw_ccm_access_ctrl_root66_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT66_CLR.
static const field_t hw_ccm_access_ctrl_root66_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT66_TOG.
static const field_t hw_ccm_access_ctrl_root66_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT67.
static const field_t hw_ccm_target_root67[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT67_SET.
static const field_t hw_ccm_target_root67_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT67_CLR.
static const field_t hw_ccm_target_root67_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT67_TOG.
static const field_t hw_ccm_target_root67_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC67.
static const field_t hw_ccm_misc67[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT67_SET.
static const field_t hw_ccm_misc_root67_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT67_CLR.
static const field_t hw_ccm_misc_root67_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT67_TOG.
static const field_t hw_ccm_misc_root67_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST67.
static const field_t hw_ccm_post67[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT67_SET.
static const field_t hw_ccm_post_root67_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT67_CLR.
static const field_t hw_ccm_post_root67_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT67_TOG.
static const field_t hw_ccm_post_root67_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE67.
static const field_t hw_ccm_pre67[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT67_SET.
static const field_t hw_ccm_pre_root67_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT67_CLR.
static const field_t hw_ccm_pre_root67_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT67_TOG.
static const field_t hw_ccm_pre_root67_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL67.
static const field_t hw_ccm_access_ctrl67[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT67_SET.
static const field_t hw_ccm_access_ctrl_root67_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT67_CLR.
static const field_t hw_ccm_access_ctrl_root67_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT67_TOG.
static const field_t hw_ccm_access_ctrl_root67_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT68.
static const field_t hw_ccm_target_root68[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT68_SET.
static const field_t hw_ccm_target_root68_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT68_CLR.
static const field_t hw_ccm_target_root68_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT68_TOG.
static const field_t hw_ccm_target_root68_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC68.
static const field_t hw_ccm_misc68[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT68_SET.
static const field_t hw_ccm_misc_root68_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT68_CLR.
static const field_t hw_ccm_misc_root68_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT68_TOG.
static const field_t hw_ccm_misc_root68_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST68.
static const field_t hw_ccm_post68[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT68_SET.
static const field_t hw_ccm_post_root68_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT68_CLR.
static const field_t hw_ccm_post_root68_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT68_TOG.
static const field_t hw_ccm_post_root68_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE68.
static const field_t hw_ccm_pre68[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT68_SET.
static const field_t hw_ccm_pre_root68_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT68_CLR.
static const field_t hw_ccm_pre_root68_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT68_TOG.
static const field_t hw_ccm_pre_root68_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL68.
static const field_t hw_ccm_access_ctrl68[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT68_SET.
static const field_t hw_ccm_access_ctrl_root68_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT68_CLR.
static const field_t hw_ccm_access_ctrl_root68_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT68_TOG.
static const field_t hw_ccm_access_ctrl_root68_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT69.
static const field_t hw_ccm_target_root69[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT69_SET.
static const field_t hw_ccm_target_root69_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT69_CLR.
static const field_t hw_ccm_target_root69_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT69_TOG.
static const field_t hw_ccm_target_root69_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC69.
static const field_t hw_ccm_misc69[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT69_SET.
static const field_t hw_ccm_misc_root69_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT69_CLR.
static const field_t hw_ccm_misc_root69_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT69_TOG.
static const field_t hw_ccm_misc_root69_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST69.
static const field_t hw_ccm_post69[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT69_SET.
static const field_t hw_ccm_post_root69_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT69_CLR.
static const field_t hw_ccm_post_root69_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT69_TOG.
static const field_t hw_ccm_post_root69_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE69.
static const field_t hw_ccm_pre69[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT69_SET.
static const field_t hw_ccm_pre_root69_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT69_CLR.
static const field_t hw_ccm_pre_root69_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT69_TOG.
static const field_t hw_ccm_pre_root69_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL69.
static const field_t hw_ccm_access_ctrl69[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT69_SET.
static const field_t hw_ccm_access_ctrl_root69_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT69_CLR.
static const field_t hw_ccm_access_ctrl_root69_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT69_TOG.
static const field_t hw_ccm_access_ctrl_root69_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT70.
static const field_t hw_ccm_target_root70[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT70_SET.
static const field_t hw_ccm_target_root70_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT70_CLR.
static const field_t hw_ccm_target_root70_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT70_TOG.
static const field_t hw_ccm_target_root70_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC70.
static const field_t hw_ccm_misc70[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT70_SET.
static const field_t hw_ccm_misc_root70_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT70_CLR.
static const field_t hw_ccm_misc_root70_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT70_TOG.
static const field_t hw_ccm_misc_root70_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST70.
static const field_t hw_ccm_post70[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT70_SET.
static const field_t hw_ccm_post_root70_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT70_CLR.
static const field_t hw_ccm_post_root70_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT70_TOG.
static const field_t hw_ccm_post_root70_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE70.
static const field_t hw_ccm_pre70[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT70_SET.
static const field_t hw_ccm_pre_root70_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT70_CLR.
static const field_t hw_ccm_pre_root70_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT70_TOG.
static const field_t hw_ccm_pre_root70_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL70.
static const field_t hw_ccm_access_ctrl70[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT70_SET.
static const field_t hw_ccm_access_ctrl_root70_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT70_CLR.
static const field_t hw_ccm_access_ctrl_root70_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT70_TOG.
static const field_t hw_ccm_access_ctrl_root70_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT71.
static const field_t hw_ccm_target_root71[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT71_SET.
static const field_t hw_ccm_target_root71_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT71_CLR.
static const field_t hw_ccm_target_root71_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT71_TOG.
static const field_t hw_ccm_target_root71_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC71.
static const field_t hw_ccm_misc71[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT71_SET.
static const field_t hw_ccm_misc_root71_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT71_CLR.
static const field_t hw_ccm_misc_root71_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT71_TOG.
static const field_t hw_ccm_misc_root71_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST71.
static const field_t hw_ccm_post71[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT71_SET.
static const field_t hw_ccm_post_root71_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT71_CLR.
static const field_t hw_ccm_post_root71_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT71_TOG.
static const field_t hw_ccm_post_root71_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE71.
static const field_t hw_ccm_pre71[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT71_SET.
static const field_t hw_ccm_pre_root71_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT71_CLR.
static const field_t hw_ccm_pre_root71_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT71_TOG.
static const field_t hw_ccm_pre_root71_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL71.
static const field_t hw_ccm_access_ctrl71[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT71_SET.
static const field_t hw_ccm_access_ctrl_root71_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT71_CLR.
static const field_t hw_ccm_access_ctrl_root71_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT71_TOG.
static const field_t hw_ccm_access_ctrl_root71_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT72.
static const field_t hw_ccm_target_root72[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT72_SET.
static const field_t hw_ccm_target_root72_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT72_CLR.
static const field_t hw_ccm_target_root72_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT72_TOG.
static const field_t hw_ccm_target_root72_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC72.
static const field_t hw_ccm_misc72[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT72_SET.
static const field_t hw_ccm_misc_root72_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT72_CLR.
static const field_t hw_ccm_misc_root72_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT72_TOG.
static const field_t hw_ccm_misc_root72_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST72.
static const field_t hw_ccm_post72[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT72_SET.
static const field_t hw_ccm_post_root72_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT72_CLR.
static const field_t hw_ccm_post_root72_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT72_TOG.
static const field_t hw_ccm_post_root72_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE72.
static const field_t hw_ccm_pre72[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT72_SET.
static const field_t hw_ccm_pre_root72_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT72_CLR.
static const field_t hw_ccm_pre_root72_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT72_TOG.
static const field_t hw_ccm_pre_root72_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL72.
static const field_t hw_ccm_access_ctrl72[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT72_SET.
static const field_t hw_ccm_access_ctrl_root72_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT72_CLR.
static const field_t hw_ccm_access_ctrl_root72_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT72_TOG.
static const field_t hw_ccm_access_ctrl_root72_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT73.
static const field_t hw_ccm_target_root73[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT73_SET.
static const field_t hw_ccm_target_root73_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT73_CLR.
static const field_t hw_ccm_target_root73_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT73_TOG.
static const field_t hw_ccm_target_root73_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC73.
static const field_t hw_ccm_misc73[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT73_SET.
static const field_t hw_ccm_misc_root73_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT73_CLR.
static const field_t hw_ccm_misc_root73_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT73_TOG.
static const field_t hw_ccm_misc_root73_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST73.
static const field_t hw_ccm_post73[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT73_SET.
static const field_t hw_ccm_post_root73_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT73_CLR.
static const field_t hw_ccm_post_root73_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT73_TOG.
static const field_t hw_ccm_post_root73_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE73.
static const field_t hw_ccm_pre73[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT73_SET.
static const field_t hw_ccm_pre_root73_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT73_CLR.
static const field_t hw_ccm_pre_root73_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT73_TOG.
static const field_t hw_ccm_pre_root73_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL73.
static const field_t hw_ccm_access_ctrl73[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT73_SET.
static const field_t hw_ccm_access_ctrl_root73_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT73_CLR.
static const field_t hw_ccm_access_ctrl_root73_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT73_TOG.
static const field_t hw_ccm_access_ctrl_root73_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT74.
static const field_t hw_ccm_target_root74[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT74_SET.
static const field_t hw_ccm_target_root74_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT74_CLR.
static const field_t hw_ccm_target_root74_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT74_TOG.
static const field_t hw_ccm_target_root74_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC74.
static const field_t hw_ccm_misc74[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT74_SET.
static const field_t hw_ccm_misc_root74_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT74_CLR.
static const field_t hw_ccm_misc_root74_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT74_TOG.
static const field_t hw_ccm_misc_root74_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST74.
static const field_t hw_ccm_post74[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT74_SET.
static const field_t hw_ccm_post_root74_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT74_CLR.
static const field_t hw_ccm_post_root74_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT74_TOG.
static const field_t hw_ccm_post_root74_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE74.
static const field_t hw_ccm_pre74[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT74_SET.
static const field_t hw_ccm_pre_root74_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT74_CLR.
static const field_t hw_ccm_pre_root74_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT74_TOG.
static const field_t hw_ccm_pre_root74_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL74.
static const field_t hw_ccm_access_ctrl74[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT74_SET.
static const field_t hw_ccm_access_ctrl_root74_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT74_CLR.
static const field_t hw_ccm_access_ctrl_root74_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT74_TOG.
static const field_t hw_ccm_access_ctrl_root74_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT75.
static const field_t hw_ccm_target_root75[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT75_SET.
static const field_t hw_ccm_target_root75_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT75_CLR.
static const field_t hw_ccm_target_root75_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT75_TOG.
static const field_t hw_ccm_target_root75_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC75.
static const field_t hw_ccm_misc75[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT75_SET.
static const field_t hw_ccm_misc_root75_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT75_CLR.
static const field_t hw_ccm_misc_root75_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT75_TOG.
static const field_t hw_ccm_misc_root75_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST75.
static const field_t hw_ccm_post75[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT75_SET.
static const field_t hw_ccm_post_root75_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT75_CLR.
static const field_t hw_ccm_post_root75_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT75_TOG.
static const field_t hw_ccm_post_root75_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE75.
static const field_t hw_ccm_pre75[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT75_SET.
static const field_t hw_ccm_pre_root75_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT75_CLR.
static const field_t hw_ccm_pre_root75_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT75_TOG.
static const field_t hw_ccm_pre_root75_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL75.
static const field_t hw_ccm_access_ctrl75[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT75_SET.
static const field_t hw_ccm_access_ctrl_root75_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT75_CLR.
static const field_t hw_ccm_access_ctrl_root75_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT75_TOG.
static const field_t hw_ccm_access_ctrl_root75_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT76.
static const field_t hw_ccm_target_root76[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT76_SET.
static const field_t hw_ccm_target_root76_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT76_CLR.
static const field_t hw_ccm_target_root76_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT76_TOG.
static const field_t hw_ccm_target_root76_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC76.
static const field_t hw_ccm_misc76[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT76_SET.
static const field_t hw_ccm_misc_root76_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT76_CLR.
static const field_t hw_ccm_misc_root76_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT76_TOG.
static const field_t hw_ccm_misc_root76_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST76.
static const field_t hw_ccm_post76[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT76_SET.
static const field_t hw_ccm_post_root76_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT76_CLR.
static const field_t hw_ccm_post_root76_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT76_TOG.
static const field_t hw_ccm_post_root76_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE76.
static const field_t hw_ccm_pre76[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT76_SET.
static const field_t hw_ccm_pre_root76_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT76_CLR.
static const field_t hw_ccm_pre_root76_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT76_TOG.
static const field_t hw_ccm_pre_root76_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL76.
static const field_t hw_ccm_access_ctrl76[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT76_SET.
static const field_t hw_ccm_access_ctrl_root76_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT76_CLR.
static const field_t hw_ccm_access_ctrl_root76_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT76_TOG.
static const field_t hw_ccm_access_ctrl_root76_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT77.
static const field_t hw_ccm_target_root77[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT77_SET.
static const field_t hw_ccm_target_root77_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT77_CLR.
static const field_t hw_ccm_target_root77_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT77_TOG.
static const field_t hw_ccm_target_root77_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC77.
static const field_t hw_ccm_misc77[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT77_SET.
static const field_t hw_ccm_misc_root77_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT77_CLR.
static const field_t hw_ccm_misc_root77_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT77_TOG.
static const field_t hw_ccm_misc_root77_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST77.
static const field_t hw_ccm_post77[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT77_SET.
static const field_t hw_ccm_post_root77_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT77_CLR.
static const field_t hw_ccm_post_root77_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT77_TOG.
static const field_t hw_ccm_post_root77_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE77.
static const field_t hw_ccm_pre77[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT77_SET.
static const field_t hw_ccm_pre_root77_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT77_CLR.
static const field_t hw_ccm_pre_root77_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT77_TOG.
static const field_t hw_ccm_pre_root77_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL77.
static const field_t hw_ccm_access_ctrl77[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT77_SET.
static const field_t hw_ccm_access_ctrl_root77_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT77_CLR.
static const field_t hw_ccm_access_ctrl_root77_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT77_TOG.
static const field_t hw_ccm_access_ctrl_root77_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT78.
static const field_t hw_ccm_target_root78[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT78_SET.
static const field_t hw_ccm_target_root78_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT78_CLR.
static const field_t hw_ccm_target_root78_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT78_TOG.
static const field_t hw_ccm_target_root78_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC78.
static const field_t hw_ccm_misc78[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT78_SET.
static const field_t hw_ccm_misc_root78_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT78_CLR.
static const field_t hw_ccm_misc_root78_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT78_TOG.
static const field_t hw_ccm_misc_root78_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST78.
static const field_t hw_ccm_post78[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT78_SET.
static const field_t hw_ccm_post_root78_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT78_CLR.
static const field_t hw_ccm_post_root78_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT78_TOG.
static const field_t hw_ccm_post_root78_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE78.
static const field_t hw_ccm_pre78[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT78_SET.
static const field_t hw_ccm_pre_root78_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT78_CLR.
static const field_t hw_ccm_pre_root78_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT78_TOG.
static const field_t hw_ccm_pre_root78_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL78.
static const field_t hw_ccm_access_ctrl78[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT78_SET.
static const field_t hw_ccm_access_ctrl_root78_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT78_CLR.
static const field_t hw_ccm_access_ctrl_root78_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT78_TOG.
static const field_t hw_ccm_access_ctrl_root78_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT79.
static const field_t hw_ccm_target_root79[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT79_SET.
static const field_t hw_ccm_target_root79_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT79_CLR.
static const field_t hw_ccm_target_root79_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT79_TOG.
static const field_t hw_ccm_target_root79_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC79.
static const field_t hw_ccm_misc79[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT79_SET.
static const field_t hw_ccm_misc_root79_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT79_CLR.
static const field_t hw_ccm_misc_root79_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT79_TOG.
static const field_t hw_ccm_misc_root79_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST79.
static const field_t hw_ccm_post79[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT79_SET.
static const field_t hw_ccm_post_root79_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT79_CLR.
static const field_t hw_ccm_post_root79_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT79_TOG.
static const field_t hw_ccm_post_root79_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE79.
static const field_t hw_ccm_pre79[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT79_SET.
static const field_t hw_ccm_pre_root79_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT79_CLR.
static const field_t hw_ccm_pre_root79_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT79_TOG.
static const field_t hw_ccm_pre_root79_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL79.
static const field_t hw_ccm_access_ctrl79[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT79_SET.
static const field_t hw_ccm_access_ctrl_root79_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT79_CLR.
static const field_t hw_ccm_access_ctrl_root79_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT79_TOG.
static const field_t hw_ccm_access_ctrl_root79_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT80.
static const field_t hw_ccm_target_root80[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT80_SET.
static const field_t hw_ccm_target_root80_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT80_CLR.
static const field_t hw_ccm_target_root80_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT80_TOG.
static const field_t hw_ccm_target_root80_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC80.
static const field_t hw_ccm_misc80[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT80_SET.
static const field_t hw_ccm_misc_root80_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT80_CLR.
static const field_t hw_ccm_misc_root80_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT80_TOG.
static const field_t hw_ccm_misc_root80_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST80.
static const field_t hw_ccm_post80[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT80_SET.
static const field_t hw_ccm_post_root80_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT80_CLR.
static const field_t hw_ccm_post_root80_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT80_TOG.
static const field_t hw_ccm_post_root80_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE80.
static const field_t hw_ccm_pre80[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT80_SET.
static const field_t hw_ccm_pre_root80_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT80_CLR.
static const field_t hw_ccm_pre_root80_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT80_TOG.
static const field_t hw_ccm_pre_root80_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL80.
static const field_t hw_ccm_access_ctrl80[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT80_SET.
static const field_t hw_ccm_access_ctrl_root80_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT80_CLR.
static const field_t hw_ccm_access_ctrl_root80_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT80_TOG.
static const field_t hw_ccm_access_ctrl_root80_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT81.
static const field_t hw_ccm_target_root81[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT81_SET.
static const field_t hw_ccm_target_root81_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT81_CLR.
static const field_t hw_ccm_target_root81_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT81_TOG.
static const field_t hw_ccm_target_root81_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC81.
static const field_t hw_ccm_misc81[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT81_SET.
static const field_t hw_ccm_misc_root81_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT81_CLR.
static const field_t hw_ccm_misc_root81_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT81_TOG.
static const field_t hw_ccm_misc_root81_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST81.
static const field_t hw_ccm_post81[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT81_SET.
static const field_t hw_ccm_post_root81_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT81_CLR.
static const field_t hw_ccm_post_root81_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT81_TOG.
static const field_t hw_ccm_post_root81_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE81.
static const field_t hw_ccm_pre81[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT81_SET.
static const field_t hw_ccm_pre_root81_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT81_CLR.
static const field_t hw_ccm_pre_root81_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT81_TOG.
static const field_t hw_ccm_pre_root81_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL81.
static const field_t hw_ccm_access_ctrl81[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT81_SET.
static const field_t hw_ccm_access_ctrl_root81_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT81_CLR.
static const field_t hw_ccm_access_ctrl_root81_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT81_TOG.
static const field_t hw_ccm_access_ctrl_root81_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT82.
static const field_t hw_ccm_target_root82[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT82_SET.
static const field_t hw_ccm_target_root82_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT82_CLR.
static const field_t hw_ccm_target_root82_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT82_TOG.
static const field_t hw_ccm_target_root82_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC82.
static const field_t hw_ccm_misc82[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT82_SET.
static const field_t hw_ccm_misc_root82_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT82_CLR.
static const field_t hw_ccm_misc_root82_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT82_TOG.
static const field_t hw_ccm_misc_root82_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST82.
static const field_t hw_ccm_post82[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT82_SET.
static const field_t hw_ccm_post_root82_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT82_CLR.
static const field_t hw_ccm_post_root82_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT82_TOG.
static const field_t hw_ccm_post_root82_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE82.
static const field_t hw_ccm_pre82[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT82_SET.
static const field_t hw_ccm_pre_root82_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT82_CLR.
static const field_t hw_ccm_pre_root82_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT82_TOG.
static const field_t hw_ccm_pre_root82_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL82.
static const field_t hw_ccm_access_ctrl82[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT82_SET.
static const field_t hw_ccm_access_ctrl_root82_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT82_CLR.
static const field_t hw_ccm_access_ctrl_root82_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT82_TOG.
static const field_t hw_ccm_access_ctrl_root82_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT83.
static const field_t hw_ccm_target_root83[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT83_SET.
static const field_t hw_ccm_target_root83_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT83_CLR.
static const field_t hw_ccm_target_root83_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT83_TOG.
static const field_t hw_ccm_target_root83_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC83.
static const field_t hw_ccm_misc83[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT83_SET.
static const field_t hw_ccm_misc_root83_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT83_CLR.
static const field_t hw_ccm_misc_root83_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT83_TOG.
static const field_t hw_ccm_misc_root83_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST83.
static const field_t hw_ccm_post83[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT83_SET.
static const field_t hw_ccm_post_root83_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT83_CLR.
static const field_t hw_ccm_post_root83_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT83_TOG.
static const field_t hw_ccm_post_root83_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE83.
static const field_t hw_ccm_pre83[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT83_SET.
static const field_t hw_ccm_pre_root83_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT83_CLR.
static const field_t hw_ccm_pre_root83_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT83_TOG.
static const field_t hw_ccm_pre_root83_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL83.
static const field_t hw_ccm_access_ctrl83[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT83_SET.
static const field_t hw_ccm_access_ctrl_root83_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT83_CLR.
static const field_t hw_ccm_access_ctrl_root83_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT83_TOG.
static const field_t hw_ccm_access_ctrl_root83_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT84.
static const field_t hw_ccm_target_root84[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT84_SET.
static const field_t hw_ccm_target_root84_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT84_CLR.
static const field_t hw_ccm_target_root84_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT84_TOG.
static const field_t hw_ccm_target_root84_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC84.
static const field_t hw_ccm_misc84[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT84_SET.
static const field_t hw_ccm_misc_root84_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT84_CLR.
static const field_t hw_ccm_misc_root84_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT84_TOG.
static const field_t hw_ccm_misc_root84_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST84.
static const field_t hw_ccm_post84[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT84_SET.
static const field_t hw_ccm_post_root84_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT84_CLR.
static const field_t hw_ccm_post_root84_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT84_TOG.
static const field_t hw_ccm_post_root84_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE84.
static const field_t hw_ccm_pre84[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT84_SET.
static const field_t hw_ccm_pre_root84_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT84_CLR.
static const field_t hw_ccm_pre_root84_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT84_TOG.
static const field_t hw_ccm_pre_root84_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL84.
static const field_t hw_ccm_access_ctrl84[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT84_SET.
static const field_t hw_ccm_access_ctrl_root84_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT84_CLR.
static const field_t hw_ccm_access_ctrl_root84_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT84_TOG.
static const field_t hw_ccm_access_ctrl_root84_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT85.
static const field_t hw_ccm_target_root85[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT85_SET.
static const field_t hw_ccm_target_root85_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT85_CLR.
static const field_t hw_ccm_target_root85_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT85_TOG.
static const field_t hw_ccm_target_root85_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC85.
static const field_t hw_ccm_misc85[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT85_SET.
static const field_t hw_ccm_misc_root85_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT85_CLR.
static const field_t hw_ccm_misc_root85_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT85_TOG.
static const field_t hw_ccm_misc_root85_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST85.
static const field_t hw_ccm_post85[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT85_SET.
static const field_t hw_ccm_post_root85_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT85_CLR.
static const field_t hw_ccm_post_root85_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT85_TOG.
static const field_t hw_ccm_post_root85_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE85.
static const field_t hw_ccm_pre85[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT85_SET.
static const field_t hw_ccm_pre_root85_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT85_CLR.
static const field_t hw_ccm_pre_root85_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT85_TOG.
static const field_t hw_ccm_pre_root85_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL85.
static const field_t hw_ccm_access_ctrl85[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT85_SET.
static const field_t hw_ccm_access_ctrl_root85_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT85_CLR.
static const field_t hw_ccm_access_ctrl_root85_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT85_TOG.
static const field_t hw_ccm_access_ctrl_root85_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT86.
static const field_t hw_ccm_target_root86[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT86_SET.
static const field_t hw_ccm_target_root86_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT86_CLR.
static const field_t hw_ccm_target_root86_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT86_TOG.
static const field_t hw_ccm_target_root86_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC86.
static const field_t hw_ccm_misc86[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT86_SET.
static const field_t hw_ccm_misc_root86_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT86_CLR.
static const field_t hw_ccm_misc_root86_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT86_TOG.
static const field_t hw_ccm_misc_root86_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST86.
static const field_t hw_ccm_post86[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT86_SET.
static const field_t hw_ccm_post_root86_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT86_CLR.
static const field_t hw_ccm_post_root86_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT86_TOG.
static const field_t hw_ccm_post_root86_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE86.
static const field_t hw_ccm_pre86[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT86_SET.
static const field_t hw_ccm_pre_root86_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT86_CLR.
static const field_t hw_ccm_pre_root86_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT86_TOG.
static const field_t hw_ccm_pre_root86_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL86.
static const field_t hw_ccm_access_ctrl86[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT86_SET.
static const field_t hw_ccm_access_ctrl_root86_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT86_CLR.
static const field_t hw_ccm_access_ctrl_root86_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT86_TOG.
static const field_t hw_ccm_access_ctrl_root86_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT87.
static const field_t hw_ccm_target_root87[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT87_SET.
static const field_t hw_ccm_target_root87_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT87_CLR.
static const field_t hw_ccm_target_root87_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT87_TOG.
static const field_t hw_ccm_target_root87_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC87.
static const field_t hw_ccm_misc87[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT87_SET.
static const field_t hw_ccm_misc_root87_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT87_CLR.
static const field_t hw_ccm_misc_root87_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT87_TOG.
static const field_t hw_ccm_misc_root87_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST87.
static const field_t hw_ccm_post87[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT87_SET.
static const field_t hw_ccm_post_root87_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT87_CLR.
static const field_t hw_ccm_post_root87_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT87_TOG.
static const field_t hw_ccm_post_root87_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE87.
static const field_t hw_ccm_pre87[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT87_SET.
static const field_t hw_ccm_pre_root87_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT87_CLR.
static const field_t hw_ccm_pre_root87_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT87_TOG.
static const field_t hw_ccm_pre_root87_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL87.
static const field_t hw_ccm_access_ctrl87[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT87_SET.
static const field_t hw_ccm_access_ctrl_root87_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT87_CLR.
static const field_t hw_ccm_access_ctrl_root87_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT87_TOG.
static const field_t hw_ccm_access_ctrl_root87_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT88.
static const field_t hw_ccm_target_root88[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT88_SET.
static const field_t hw_ccm_target_root88_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT88_CLR.
static const field_t hw_ccm_target_root88_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT88_TOG.
static const field_t hw_ccm_target_root88_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC88.
static const field_t hw_ccm_misc88[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT88_SET.
static const field_t hw_ccm_misc_root88_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT88_CLR.
static const field_t hw_ccm_misc_root88_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT88_TOG.
static const field_t hw_ccm_misc_root88_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST88.
static const field_t hw_ccm_post88[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT88_SET.
static const field_t hw_ccm_post_root88_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT88_CLR.
static const field_t hw_ccm_post_root88_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT88_TOG.
static const field_t hw_ccm_post_root88_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE88.
static const field_t hw_ccm_pre88[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT88_SET.
static const field_t hw_ccm_pre_root88_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT88_CLR.
static const field_t hw_ccm_pre_root88_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT88_TOG.
static const field_t hw_ccm_pre_root88_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL88.
static const field_t hw_ccm_access_ctrl88[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT88_SET.
static const field_t hw_ccm_access_ctrl_root88_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT88_CLR.
static const field_t hw_ccm_access_ctrl_root88_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT88_TOG.
static const field_t hw_ccm_access_ctrl_root88_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT89.
static const field_t hw_ccm_target_root89[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT89_SET.
static const field_t hw_ccm_target_root89_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT89_CLR.
static const field_t hw_ccm_target_root89_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT89_TOG.
static const field_t hw_ccm_target_root89_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC89.
static const field_t hw_ccm_misc89[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT89_SET.
static const field_t hw_ccm_misc_root89_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT89_CLR.
static const field_t hw_ccm_misc_root89_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT89_TOG.
static const field_t hw_ccm_misc_root89_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST89.
static const field_t hw_ccm_post89[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT89_SET.
static const field_t hw_ccm_post_root89_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT89_CLR.
static const field_t hw_ccm_post_root89_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT89_TOG.
static const field_t hw_ccm_post_root89_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE89.
static const field_t hw_ccm_pre89[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT89_SET.
static const field_t hw_ccm_pre_root89_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT89_CLR.
static const field_t hw_ccm_pre_root89_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT89_TOG.
static const field_t hw_ccm_pre_root89_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL89.
static const field_t hw_ccm_access_ctrl89[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT89_SET.
static const field_t hw_ccm_access_ctrl_root89_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT89_CLR.
static const field_t hw_ccm_access_ctrl_root89_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT89_TOG.
static const field_t hw_ccm_access_ctrl_root89_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT90.
static const field_t hw_ccm_target_root90[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT90_SET.
static const field_t hw_ccm_target_root90_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT90_CLR.
static const field_t hw_ccm_target_root90_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT90_TOG.
static const field_t hw_ccm_target_root90_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC90.
static const field_t hw_ccm_misc90[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT90_SET.
static const field_t hw_ccm_misc_root90_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT90_CLR.
static const field_t hw_ccm_misc_root90_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT90_TOG.
static const field_t hw_ccm_misc_root90_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST90.
static const field_t hw_ccm_post90[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT90_SET.
static const field_t hw_ccm_post_root90_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT90_CLR.
static const field_t hw_ccm_post_root90_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT90_TOG.
static const field_t hw_ccm_post_root90_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE90.
static const field_t hw_ccm_pre90[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT90_SET.
static const field_t hw_ccm_pre_root90_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT90_CLR.
static const field_t hw_ccm_pre_root90_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT90_TOG.
static const field_t hw_ccm_pre_root90_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL90.
static const field_t hw_ccm_access_ctrl90[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT90_SET.
static const field_t hw_ccm_access_ctrl_root90_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT90_CLR.
static const field_t hw_ccm_access_ctrl_root90_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT90_TOG.
static const field_t hw_ccm_access_ctrl_root90_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT91.
static const field_t hw_ccm_target_root91[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT91_SET.
static const field_t hw_ccm_target_root91_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT91_CLR.
static const field_t hw_ccm_target_root91_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT91_TOG.
static const field_t hw_ccm_target_root91_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC91.
static const field_t hw_ccm_misc91[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT91_SET.
static const field_t hw_ccm_misc_root91_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT91_CLR.
static const field_t hw_ccm_misc_root91_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT91_TOG.
static const field_t hw_ccm_misc_root91_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST91.
static const field_t hw_ccm_post91[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT91_SET.
static const field_t hw_ccm_post_root91_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT91_CLR.
static const field_t hw_ccm_post_root91_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT91_TOG.
static const field_t hw_ccm_post_root91_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE91.
static const field_t hw_ccm_pre91[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT91_SET.
static const field_t hw_ccm_pre_root91_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT91_CLR.
static const field_t hw_ccm_pre_root91_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT91_TOG.
static const field_t hw_ccm_pre_root91_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL91.
static const field_t hw_ccm_access_ctrl91[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT91_SET.
static const field_t hw_ccm_access_ctrl_root91_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT91_CLR.
static const field_t hw_ccm_access_ctrl_root91_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT91_TOG.
static const field_t hw_ccm_access_ctrl_root91_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT92.
static const field_t hw_ccm_target_root92[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT92_SET.
static const field_t hw_ccm_target_root92_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT92_CLR.
static const field_t hw_ccm_target_root92_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT92_TOG.
static const field_t hw_ccm_target_root92_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC92.
static const field_t hw_ccm_misc92[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT92_SET.
static const field_t hw_ccm_misc_root92_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT92_CLR.
static const field_t hw_ccm_misc_root92_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT92_TOG.
static const field_t hw_ccm_misc_root92_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST92.
static const field_t hw_ccm_post92[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT92_SET.
static const field_t hw_ccm_post_root92_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT92_CLR.
static const field_t hw_ccm_post_root92_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT92_TOG.
static const field_t hw_ccm_post_root92_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE92.
static const field_t hw_ccm_pre92[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT92_SET.
static const field_t hw_ccm_pre_root92_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT92_CLR.
static const field_t hw_ccm_pre_root92_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT92_TOG.
static const field_t hw_ccm_pre_root92_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL92.
static const field_t hw_ccm_access_ctrl92[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT92_SET.
static const field_t hw_ccm_access_ctrl_root92_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT92_CLR.
static const field_t hw_ccm_access_ctrl_root92_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT92_TOG.
static const field_t hw_ccm_access_ctrl_root92_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT93.
static const field_t hw_ccm_target_root93[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT93_SET.
static const field_t hw_ccm_target_root93_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT93_CLR.
static const field_t hw_ccm_target_root93_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT93_TOG.
static const field_t hw_ccm_target_root93_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC93.
static const field_t hw_ccm_misc93[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT93_SET.
static const field_t hw_ccm_misc_root93_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT93_CLR.
static const field_t hw_ccm_misc_root93_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT93_TOG.
static const field_t hw_ccm_misc_root93_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST93.
static const field_t hw_ccm_post93[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT93_SET.
static const field_t hw_ccm_post_root93_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT93_CLR.
static const field_t hw_ccm_post_root93_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT93_TOG.
static const field_t hw_ccm_post_root93_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE93.
static const field_t hw_ccm_pre93[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT93_SET.
static const field_t hw_ccm_pre_root93_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT93_CLR.
static const field_t hw_ccm_pre_root93_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT93_TOG.
static const field_t hw_ccm_pre_root93_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL93.
static const field_t hw_ccm_access_ctrl93[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT93_SET.
static const field_t hw_ccm_access_ctrl_root93_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT93_CLR.
static const field_t hw_ccm_access_ctrl_root93_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT93_TOG.
static const field_t hw_ccm_access_ctrl_root93_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT94.
static const field_t hw_ccm_target_root94[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT94_SET.
static const field_t hw_ccm_target_root94_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT94_CLR.
static const field_t hw_ccm_target_root94_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT94_TOG.
static const field_t hw_ccm_target_root94_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC94.
static const field_t hw_ccm_misc94[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT94_SET.
static const field_t hw_ccm_misc_root94_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT94_CLR.
static const field_t hw_ccm_misc_root94_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT94_TOG.
static const field_t hw_ccm_misc_root94_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST94.
static const field_t hw_ccm_post94[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT94_SET.
static const field_t hw_ccm_post_root94_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT94_CLR.
static const field_t hw_ccm_post_root94_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT94_TOG.
static const field_t hw_ccm_post_root94_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE94.
static const field_t hw_ccm_pre94[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT94_SET.
static const field_t hw_ccm_pre_root94_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT94_CLR.
static const field_t hw_ccm_pre_root94_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT94_TOG.
static const field_t hw_ccm_pre_root94_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL94.
static const field_t hw_ccm_access_ctrl94[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT94_SET.
static const field_t hw_ccm_access_ctrl_root94_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT94_CLR.
static const field_t hw_ccm_access_ctrl_root94_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT94_TOG.
static const field_t hw_ccm_access_ctrl_root94_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT95.
static const field_t hw_ccm_target_root95[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT95_SET.
static const field_t hw_ccm_target_root95_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT95_CLR.
static const field_t hw_ccm_target_root95_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT95_TOG.
static const field_t hw_ccm_target_root95_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC95.
static const field_t hw_ccm_misc95[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT95_SET.
static const field_t hw_ccm_misc_root95_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT95_CLR.
static const field_t hw_ccm_misc_root95_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT95_TOG.
static const field_t hw_ccm_misc_root95_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST95.
static const field_t hw_ccm_post95[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT95_SET.
static const field_t hw_ccm_post_root95_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT95_CLR.
static const field_t hw_ccm_post_root95_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT95_TOG.
static const field_t hw_ccm_post_root95_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE95.
static const field_t hw_ccm_pre95[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT95_SET.
static const field_t hw_ccm_pre_root95_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT95_CLR.
static const field_t hw_ccm_pre_root95_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT95_TOG.
static const field_t hw_ccm_pre_root95_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL95.
static const field_t hw_ccm_access_ctrl95[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT95_SET.
static const field_t hw_ccm_access_ctrl_root95_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT95_CLR.
static const field_t hw_ccm_access_ctrl_root95_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT95_TOG.
static const field_t hw_ccm_access_ctrl_root95_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT96.
static const field_t hw_ccm_target_root96[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT96_SET.
static const field_t hw_ccm_target_root96_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT96_CLR.
static const field_t hw_ccm_target_root96_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT96_TOG.
static const field_t hw_ccm_target_root96_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC96.
static const field_t hw_ccm_misc96[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT96_SET.
static const field_t hw_ccm_misc_root96_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT96_CLR.
static const field_t hw_ccm_misc_root96_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT96_TOG.
static const field_t hw_ccm_misc_root96_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST96.
static const field_t hw_ccm_post96[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT96_SET.
static const field_t hw_ccm_post_root96_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT96_CLR.
static const field_t hw_ccm_post_root96_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT96_TOG.
static const field_t hw_ccm_post_root96_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE96.
static const field_t hw_ccm_pre96[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT96_SET.
static const field_t hw_ccm_pre_root96_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT96_CLR.
static const field_t hw_ccm_pre_root96_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT96_TOG.
static const field_t hw_ccm_pre_root96_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL96.
static const field_t hw_ccm_access_ctrl96[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT96_SET.
static const field_t hw_ccm_access_ctrl_root96_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT96_CLR.
static const field_t hw_ccm_access_ctrl_root96_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT96_TOG.
static const field_t hw_ccm_access_ctrl_root96_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT97.
static const field_t hw_ccm_target_root97[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT97_SET.
static const field_t hw_ccm_target_root97_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT97_CLR.
static const field_t hw_ccm_target_root97_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT97_TOG.
static const field_t hw_ccm_target_root97_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC97.
static const field_t hw_ccm_misc97[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT97_SET.
static const field_t hw_ccm_misc_root97_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT97_CLR.
static const field_t hw_ccm_misc_root97_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT97_TOG.
static const field_t hw_ccm_misc_root97_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST97.
static const field_t hw_ccm_post97[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT97_SET.
static const field_t hw_ccm_post_root97_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT97_CLR.
static const field_t hw_ccm_post_root97_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT97_TOG.
static const field_t hw_ccm_post_root97_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE97.
static const field_t hw_ccm_pre97[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT97_SET.
static const field_t hw_ccm_pre_root97_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT97_CLR.
static const field_t hw_ccm_pre_root97_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT97_TOG.
static const field_t hw_ccm_pre_root97_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL97.
static const field_t hw_ccm_access_ctrl97[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT97_SET.
static const field_t hw_ccm_access_ctrl_root97_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT97_CLR.
static const field_t hw_ccm_access_ctrl_root97_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT97_TOG.
static const field_t hw_ccm_access_ctrl_root97_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT98.
static const field_t hw_ccm_target_root98[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT98_SET.
static const field_t hw_ccm_target_root98_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT98_CLR.
static const field_t hw_ccm_target_root98_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT98_TOG.
static const field_t hw_ccm_target_root98_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC98.
static const field_t hw_ccm_misc98[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT98_SET.
static const field_t hw_ccm_misc_root98_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT98_CLR.
static const field_t hw_ccm_misc_root98_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT98_TOG.
static const field_t hw_ccm_misc_root98_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST98.
static const field_t hw_ccm_post98[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT98_SET.
static const field_t hw_ccm_post_root98_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT98_CLR.
static const field_t hw_ccm_post_root98_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT98_TOG.
static const field_t hw_ccm_post_root98_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE98.
static const field_t hw_ccm_pre98[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT98_SET.
static const field_t hw_ccm_pre_root98_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT98_CLR.
static const field_t hw_ccm_pre_root98_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT98_TOG.
static const field_t hw_ccm_pre_root98_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL98.
static const field_t hw_ccm_access_ctrl98[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT98_SET.
static const field_t hw_ccm_access_ctrl_root98_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT98_CLR.
static const field_t hw_ccm_access_ctrl_root98_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT98_TOG.
static const field_t hw_ccm_access_ctrl_root98_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT99.
static const field_t hw_ccm_target_root99[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT99_SET.
static const field_t hw_ccm_target_root99_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT99_CLR.
static const field_t hw_ccm_target_root99_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT99_TOG.
static const field_t hw_ccm_target_root99_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC99.
static const field_t hw_ccm_misc99[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT99_SET.
static const field_t hw_ccm_misc_root99_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT99_CLR.
static const field_t hw_ccm_misc_root99_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT99_TOG.
static const field_t hw_ccm_misc_root99_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST99.
static const field_t hw_ccm_post99[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT99_SET.
static const field_t hw_ccm_post_root99_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT99_CLR.
static const field_t hw_ccm_post_root99_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT99_TOG.
static const field_t hw_ccm_post_root99_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE99.
static const field_t hw_ccm_pre99[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT99_SET.
static const field_t hw_ccm_pre_root99_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT99_CLR.
static const field_t hw_ccm_pre_root99_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT99_TOG.
static const field_t hw_ccm_pre_root99_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL99.
static const field_t hw_ccm_access_ctrl99[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT99_SET.
static const field_t hw_ccm_access_ctrl_root99_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT99_CLR.
static const field_t hw_ccm_access_ctrl_root99_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT99_TOG.
static const field_t hw_ccm_access_ctrl_root99_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT100.
static const field_t hw_ccm_target_root100[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT100_SET.
static const field_t hw_ccm_target_root100_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT100_CLR.
static const field_t hw_ccm_target_root100_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT100_TOG.
static const field_t hw_ccm_target_root100_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC100.
static const field_t hw_ccm_misc100[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT100_SET.
static const field_t hw_ccm_misc_root100_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT100_CLR.
static const field_t hw_ccm_misc_root100_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT100_TOG.
static const field_t hw_ccm_misc_root100_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST100.
static const field_t hw_ccm_post100[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT100_SET.
static const field_t hw_ccm_post_root100_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT100_CLR.
static const field_t hw_ccm_post_root100_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT100_TOG.
static const field_t hw_ccm_post_root100_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE100.
static const field_t hw_ccm_pre100[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT100_SET.
static const field_t hw_ccm_pre_root100_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT100_CLR.
static const field_t hw_ccm_pre_root100_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT100_TOG.
static const field_t hw_ccm_pre_root100_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL100.
static const field_t hw_ccm_access_ctrl100[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT100_SET.
static const field_t hw_ccm_access_ctrl_root100_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT100_CLR.
static const field_t hw_ccm_access_ctrl_root100_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT100_TOG.
static const field_t hw_ccm_access_ctrl_root100_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT101.
static const field_t hw_ccm_target_root101[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT101_SET.
static const field_t hw_ccm_target_root101_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT101_CLR.
static const field_t hw_ccm_target_root101_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT101_TOG.
static const field_t hw_ccm_target_root101_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC101.
static const field_t hw_ccm_misc101[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT101_SET.
static const field_t hw_ccm_misc_root101_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT101_CLR.
static const field_t hw_ccm_misc_root101_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT101_TOG.
static const field_t hw_ccm_misc_root101_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST101.
static const field_t hw_ccm_post101[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT101_SET.
static const field_t hw_ccm_post_root101_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT101_CLR.
static const field_t hw_ccm_post_root101_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT101_TOG.
static const field_t hw_ccm_post_root101_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE101.
static const field_t hw_ccm_pre101[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT101_SET.
static const field_t hw_ccm_pre_root101_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT101_CLR.
static const field_t hw_ccm_pre_root101_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT101_TOG.
static const field_t hw_ccm_pre_root101_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL101.
static const field_t hw_ccm_access_ctrl101[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT101_SET.
static const field_t hw_ccm_access_ctrl_root101_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT101_CLR.
static const field_t hw_ccm_access_ctrl_root101_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT101_TOG.
static const field_t hw_ccm_access_ctrl_root101_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT102.
static const field_t hw_ccm_target_root102[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT102_SET.
static const field_t hw_ccm_target_root102_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT102_CLR.
static const field_t hw_ccm_target_root102_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT102_TOG.
static const field_t hw_ccm_target_root102_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC102.
static const field_t hw_ccm_misc102[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT102_SET.
static const field_t hw_ccm_misc_root102_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT102_CLR.
static const field_t hw_ccm_misc_root102_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT102_TOG.
static const field_t hw_ccm_misc_root102_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST102.
static const field_t hw_ccm_post102[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT102_SET.
static const field_t hw_ccm_post_root102_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT102_CLR.
static const field_t hw_ccm_post_root102_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT102_TOG.
static const field_t hw_ccm_post_root102_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE102.
static const field_t hw_ccm_pre102[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT102_SET.
static const field_t hw_ccm_pre_root102_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT102_CLR.
static const field_t hw_ccm_pre_root102_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT102_TOG.
static const field_t hw_ccm_pre_root102_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL102.
static const field_t hw_ccm_access_ctrl102[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT102_SET.
static const field_t hw_ccm_access_ctrl_root102_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT102_CLR.
static const field_t hw_ccm_access_ctrl_root102_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT102_TOG.
static const field_t hw_ccm_access_ctrl_root102_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT103.
static const field_t hw_ccm_target_root103[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT103_SET.
static const field_t hw_ccm_target_root103_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT103_CLR.
static const field_t hw_ccm_target_root103_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT103_TOG.
static const field_t hw_ccm_target_root103_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC103.
static const field_t hw_ccm_misc103[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT103_SET.
static const field_t hw_ccm_misc_root103_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT103_CLR.
static const field_t hw_ccm_misc_root103_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT103_TOG.
static const field_t hw_ccm_misc_root103_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST103.
static const field_t hw_ccm_post103[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT103_SET.
static const field_t hw_ccm_post_root103_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT103_CLR.
static const field_t hw_ccm_post_root103_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT103_TOG.
static const field_t hw_ccm_post_root103_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE103.
static const field_t hw_ccm_pre103[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT103_SET.
static const field_t hw_ccm_pre_root103_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT103_CLR.
static const field_t hw_ccm_pre_root103_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT103_TOG.
static const field_t hw_ccm_pre_root103_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL103.
static const field_t hw_ccm_access_ctrl103[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT103_SET.
static const field_t hw_ccm_access_ctrl_root103_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT103_CLR.
static const field_t hw_ccm_access_ctrl_root103_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT103_TOG.
static const field_t hw_ccm_access_ctrl_root103_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT104.
static const field_t hw_ccm_target_root104[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT104_SET.
static const field_t hw_ccm_target_root104_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT104_CLR.
static const field_t hw_ccm_target_root104_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT104_TOG.
static const field_t hw_ccm_target_root104_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC104.
static const field_t hw_ccm_misc104[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT104_SET.
static const field_t hw_ccm_misc_root104_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT104_CLR.
static const field_t hw_ccm_misc_root104_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT104_TOG.
static const field_t hw_ccm_misc_root104_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST104.
static const field_t hw_ccm_post104[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT104_SET.
static const field_t hw_ccm_post_root104_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT104_CLR.
static const field_t hw_ccm_post_root104_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT104_TOG.
static const field_t hw_ccm_post_root104_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE104.
static const field_t hw_ccm_pre104[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT104_SET.
static const field_t hw_ccm_pre_root104_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT104_CLR.
static const field_t hw_ccm_pre_root104_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT104_TOG.
static const field_t hw_ccm_pre_root104_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL104.
static const field_t hw_ccm_access_ctrl104[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT104_SET.
static const field_t hw_ccm_access_ctrl_root104_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT104_CLR.
static const field_t hw_ccm_access_ctrl_root104_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT104_TOG.
static const field_t hw_ccm_access_ctrl_root104_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT105.
static const field_t hw_ccm_target_root105[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT105_SET.
static const field_t hw_ccm_target_root105_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT105_CLR.
static const field_t hw_ccm_target_root105_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT105_TOG.
static const field_t hw_ccm_target_root105_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC105.
static const field_t hw_ccm_misc105[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT105_SET.
static const field_t hw_ccm_misc_root105_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT105_CLR.
static const field_t hw_ccm_misc_root105_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT105_TOG.
static const field_t hw_ccm_misc_root105_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST105.
static const field_t hw_ccm_post105[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT105_SET.
static const field_t hw_ccm_post_root105_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT105_CLR.
static const field_t hw_ccm_post_root105_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT105_TOG.
static const field_t hw_ccm_post_root105_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE105.
static const field_t hw_ccm_pre105[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT105_SET.
static const field_t hw_ccm_pre_root105_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT105_CLR.
static const field_t hw_ccm_pre_root105_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT105_TOG.
static const field_t hw_ccm_pre_root105_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL105.
static const field_t hw_ccm_access_ctrl105[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT105_SET.
static const field_t hw_ccm_access_ctrl_root105_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT105_CLR.
static const field_t hw_ccm_access_ctrl_root105_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT105_TOG.
static const field_t hw_ccm_access_ctrl_root105_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT106.
static const field_t hw_ccm_target_root106[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT106_SET.
static const field_t hw_ccm_target_root106_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT106_CLR.
static const field_t hw_ccm_target_root106_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT106_TOG.
static const field_t hw_ccm_target_root106_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC106.
static const field_t hw_ccm_misc106[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT106_SET.
static const field_t hw_ccm_misc_root106_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT106_CLR.
static const field_t hw_ccm_misc_root106_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT106_TOG.
static const field_t hw_ccm_misc_root106_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST106.
static const field_t hw_ccm_post106[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT106_SET.
static const field_t hw_ccm_post_root106_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT106_CLR.
static const field_t hw_ccm_post_root106_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT106_TOG.
static const field_t hw_ccm_post_root106_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE106.
static const field_t hw_ccm_pre106[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT106_SET.
static const field_t hw_ccm_pre_root106_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT106_CLR.
static const field_t hw_ccm_pre_root106_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT106_TOG.
static const field_t hw_ccm_pre_root106_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL106.
static const field_t hw_ccm_access_ctrl106[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT106_SET.
static const field_t hw_ccm_access_ctrl_root106_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT106_CLR.
static const field_t hw_ccm_access_ctrl_root106_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT106_TOG.
static const field_t hw_ccm_access_ctrl_root106_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT107.
static const field_t hw_ccm_target_root107[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT107_SET.
static const field_t hw_ccm_target_root107_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT107_CLR.
static const field_t hw_ccm_target_root107_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT107_TOG.
static const field_t hw_ccm_target_root107_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC107.
static const field_t hw_ccm_misc107[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT107_SET.
static const field_t hw_ccm_misc_root107_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT107_CLR.
static const field_t hw_ccm_misc_root107_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT107_TOG.
static const field_t hw_ccm_misc_root107_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST107.
static const field_t hw_ccm_post107[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT107_SET.
static const field_t hw_ccm_post_root107_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT107_CLR.
static const field_t hw_ccm_post_root107_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT107_TOG.
static const field_t hw_ccm_post_root107_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE107.
static const field_t hw_ccm_pre107[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT107_SET.
static const field_t hw_ccm_pre_root107_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT107_CLR.
static const field_t hw_ccm_pre_root107_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT107_TOG.
static const field_t hw_ccm_pre_root107_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL107.
static const field_t hw_ccm_access_ctrl107[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT107_SET.
static const field_t hw_ccm_access_ctrl_root107_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT107_CLR.
static const field_t hw_ccm_access_ctrl_root107_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT107_TOG.
static const field_t hw_ccm_access_ctrl_root107_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT108.
static const field_t hw_ccm_target_root108[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT108_SET.
static const field_t hw_ccm_target_root108_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT108_CLR.
static const field_t hw_ccm_target_root108_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT108_TOG.
static const field_t hw_ccm_target_root108_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC108.
static const field_t hw_ccm_misc108[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT108_SET.
static const field_t hw_ccm_misc_root108_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT108_CLR.
static const field_t hw_ccm_misc_root108_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT108_TOG.
static const field_t hw_ccm_misc_root108_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST108.
static const field_t hw_ccm_post108[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT108_SET.
static const field_t hw_ccm_post_root108_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT108_CLR.
static const field_t hw_ccm_post_root108_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT108_TOG.
static const field_t hw_ccm_post_root108_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE108.
static const field_t hw_ccm_pre108[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT108_SET.
static const field_t hw_ccm_pre_root108_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT108_CLR.
static const field_t hw_ccm_pre_root108_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT108_TOG.
static const field_t hw_ccm_pre_root108_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL108.
static const field_t hw_ccm_access_ctrl108[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT108_SET.
static const field_t hw_ccm_access_ctrl_root108_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT108_CLR.
static const field_t hw_ccm_access_ctrl_root108_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT108_TOG.
static const field_t hw_ccm_access_ctrl_root108_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT109.
static const field_t hw_ccm_target_root109[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT109_SET.
static const field_t hw_ccm_target_root109_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT109_CLR.
static const field_t hw_ccm_target_root109_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT109_TOG.
static const field_t hw_ccm_target_root109_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC109.
static const field_t hw_ccm_misc109[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT109_SET.
static const field_t hw_ccm_misc_root109_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT109_CLR.
static const field_t hw_ccm_misc_root109_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT109_TOG.
static const field_t hw_ccm_misc_root109_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST109.
static const field_t hw_ccm_post109[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT109_SET.
static const field_t hw_ccm_post_root109_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT109_CLR.
static const field_t hw_ccm_post_root109_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT109_TOG.
static const field_t hw_ccm_post_root109_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE109.
static const field_t hw_ccm_pre109[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT109_SET.
static const field_t hw_ccm_pre_root109_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT109_CLR.
static const field_t hw_ccm_pre_root109_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT109_TOG.
static const field_t hw_ccm_pre_root109_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL109.
static const field_t hw_ccm_access_ctrl109[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT109_SET.
static const field_t hw_ccm_access_ctrl_root109_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT109_CLR.
static const field_t hw_ccm_access_ctrl_root109_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT109_TOG.
static const field_t hw_ccm_access_ctrl_root109_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT110.
static const field_t hw_ccm_target_root110[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT110_SET.
static const field_t hw_ccm_target_root110_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT110_CLR.
static const field_t hw_ccm_target_root110_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT110_TOG.
static const field_t hw_ccm_target_root110_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC110.
static const field_t hw_ccm_misc110[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT110_SET.
static const field_t hw_ccm_misc_root110_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT110_CLR.
static const field_t hw_ccm_misc_root110_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT110_TOG.
static const field_t hw_ccm_misc_root110_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST110.
static const field_t hw_ccm_post110[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT110_SET.
static const field_t hw_ccm_post_root110_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT110_CLR.
static const field_t hw_ccm_post_root110_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT110_TOG.
static const field_t hw_ccm_post_root110_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE110.
static const field_t hw_ccm_pre110[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT110_SET.
static const field_t hw_ccm_pre_root110_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT110_CLR.
static const field_t hw_ccm_pre_root110_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT110_TOG.
static const field_t hw_ccm_pre_root110_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL110.
static const field_t hw_ccm_access_ctrl110[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT110_SET.
static const field_t hw_ccm_access_ctrl_root110_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT110_CLR.
static const field_t hw_ccm_access_ctrl_root110_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT110_TOG.
static const field_t hw_ccm_access_ctrl_root110_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT111.
static const field_t hw_ccm_target_root111[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT111_SET.
static const field_t hw_ccm_target_root111_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT111_CLR.
static const field_t hw_ccm_target_root111_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT111_TOG.
static const field_t hw_ccm_target_root111_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC111.
static const field_t hw_ccm_misc111[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT111_SET.
static const field_t hw_ccm_misc_root111_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT111_CLR.
static const field_t hw_ccm_misc_root111_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT111_TOG.
static const field_t hw_ccm_misc_root111_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST111.
static const field_t hw_ccm_post111[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT111_SET.
static const field_t hw_ccm_post_root111_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT111_CLR.
static const field_t hw_ccm_post_root111_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT111_TOG.
static const field_t hw_ccm_post_root111_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE111.
static const field_t hw_ccm_pre111[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT111_SET.
static const field_t hw_ccm_pre_root111_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT111_CLR.
static const field_t hw_ccm_pre_root111_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT111_TOG.
static const field_t hw_ccm_pre_root111_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL111.
static const field_t hw_ccm_access_ctrl111[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT111_SET.
static const field_t hw_ccm_access_ctrl_root111_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT111_CLR.
static const field_t hw_ccm_access_ctrl_root111_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT111_TOG.
static const field_t hw_ccm_access_ctrl_root111_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT112.
static const field_t hw_ccm_target_root112[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT112_SET.
static const field_t hw_ccm_target_root112_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT112_CLR.
static const field_t hw_ccm_target_root112_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT112_TOG.
static const field_t hw_ccm_target_root112_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC112.
static const field_t hw_ccm_misc112[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT112_SET.
static const field_t hw_ccm_misc_root112_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT112_CLR.
static const field_t hw_ccm_misc_root112_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT112_TOG.
static const field_t hw_ccm_misc_root112_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST112.
static const field_t hw_ccm_post112[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT112_SET.
static const field_t hw_ccm_post_root112_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT112_CLR.
static const field_t hw_ccm_post_root112_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT112_TOG.
static const field_t hw_ccm_post_root112_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE112.
static const field_t hw_ccm_pre112[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT112_SET.
static const field_t hw_ccm_pre_root112_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT112_CLR.
static const field_t hw_ccm_pre_root112_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT112_TOG.
static const field_t hw_ccm_pre_root112_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL112.
static const field_t hw_ccm_access_ctrl112[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT112_SET.
static const field_t hw_ccm_access_ctrl_root112_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT112_CLR.
static const field_t hw_ccm_access_ctrl_root112_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT112_TOG.
static const field_t hw_ccm_access_ctrl_root112_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT113.
static const field_t hw_ccm_target_root113[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT113_SET.
static const field_t hw_ccm_target_root113_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT113_CLR.
static const field_t hw_ccm_target_root113_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT113_TOG.
static const field_t hw_ccm_target_root113_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC113.
static const field_t hw_ccm_misc113[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT113_SET.
static const field_t hw_ccm_misc_root113_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT113_CLR.
static const field_t hw_ccm_misc_root113_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT113_TOG.
static const field_t hw_ccm_misc_root113_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST113.
static const field_t hw_ccm_post113[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT113_SET.
static const field_t hw_ccm_post_root113_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT113_CLR.
static const field_t hw_ccm_post_root113_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT113_TOG.
static const field_t hw_ccm_post_root113_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE113.
static const field_t hw_ccm_pre113[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT113_SET.
static const field_t hw_ccm_pre_root113_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT113_CLR.
static const field_t hw_ccm_pre_root113_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT113_TOG.
static const field_t hw_ccm_pre_root113_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL113.
static const field_t hw_ccm_access_ctrl113[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT113_SET.
static const field_t hw_ccm_access_ctrl_root113_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT113_CLR.
static const field_t hw_ccm_access_ctrl_root113_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT113_TOG.
static const field_t hw_ccm_access_ctrl_root113_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT114.
static const field_t hw_ccm_target_root114[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT114_SET.
static const field_t hw_ccm_target_root114_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT114_CLR.
static const field_t hw_ccm_target_root114_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT114_TOG.
static const field_t hw_ccm_target_root114_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC114.
static const field_t hw_ccm_misc114[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT114_SET.
static const field_t hw_ccm_misc_root114_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT114_CLR.
static const field_t hw_ccm_misc_root114_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT114_TOG.
static const field_t hw_ccm_misc_root114_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST114.
static const field_t hw_ccm_post114[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT114_SET.
static const field_t hw_ccm_post_root114_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT114_CLR.
static const field_t hw_ccm_post_root114_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT114_TOG.
static const field_t hw_ccm_post_root114_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE114.
static const field_t hw_ccm_pre114[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT114_SET.
static const field_t hw_ccm_pre_root114_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT114_CLR.
static const field_t hw_ccm_pre_root114_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT114_TOG.
static const field_t hw_ccm_pre_root114_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL114.
static const field_t hw_ccm_access_ctrl114[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT114_SET.
static const field_t hw_ccm_access_ctrl_root114_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT114_CLR.
static const field_t hw_ccm_access_ctrl_root114_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT114_TOG.
static const field_t hw_ccm_access_ctrl_root114_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT115.
static const field_t hw_ccm_target_root115[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT115_SET.
static const field_t hw_ccm_target_root115_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT115_CLR.
static const field_t hw_ccm_target_root115_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT115_TOG.
static const field_t hw_ccm_target_root115_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC115.
static const field_t hw_ccm_misc115[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT115_SET.
static const field_t hw_ccm_misc_root115_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT115_CLR.
static const field_t hw_ccm_misc_root115_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT115_TOG.
static const field_t hw_ccm_misc_root115_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST115.
static const field_t hw_ccm_post115[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT115_SET.
static const field_t hw_ccm_post_root115_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT115_CLR.
static const field_t hw_ccm_post_root115_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT115_TOG.
static const field_t hw_ccm_post_root115_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE115.
static const field_t hw_ccm_pre115[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT115_SET.
static const field_t hw_ccm_pre_root115_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT115_CLR.
static const field_t hw_ccm_pre_root115_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT115_TOG.
static const field_t hw_ccm_pre_root115_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL115.
static const field_t hw_ccm_access_ctrl115[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT115_SET.
static const field_t hw_ccm_access_ctrl_root115_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT115_CLR.
static const field_t hw_ccm_access_ctrl_root115_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT115_TOG.
static const field_t hw_ccm_access_ctrl_root115_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT116.
static const field_t hw_ccm_target_root116[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT116_SET.
static const field_t hw_ccm_target_root116_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT116_CLR.
static const field_t hw_ccm_target_root116_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT116_TOG.
static const field_t hw_ccm_target_root116_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC116.
static const field_t hw_ccm_misc116[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT116_SET.
static const field_t hw_ccm_misc_root116_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT116_CLR.
static const field_t hw_ccm_misc_root116_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT116_TOG.
static const field_t hw_ccm_misc_root116_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST116.
static const field_t hw_ccm_post116[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT116_SET.
static const field_t hw_ccm_post_root116_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT116_CLR.
static const field_t hw_ccm_post_root116_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT116_TOG.
static const field_t hw_ccm_post_root116_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE116.
static const field_t hw_ccm_pre116[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT116_SET.
static const field_t hw_ccm_pre_root116_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT116_CLR.
static const field_t hw_ccm_pre_root116_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT116_TOG.
static const field_t hw_ccm_pre_root116_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL116.
static const field_t hw_ccm_access_ctrl116[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT116_SET.
static const field_t hw_ccm_access_ctrl_root116_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT116_CLR.
static const field_t hw_ccm_access_ctrl_root116_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT116_TOG.
static const field_t hw_ccm_access_ctrl_root116_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT117.
static const field_t hw_ccm_target_root117[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT117_SET.
static const field_t hw_ccm_target_root117_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT117_CLR.
static const field_t hw_ccm_target_root117_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT117_TOG.
static const field_t hw_ccm_target_root117_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC117.
static const field_t hw_ccm_misc117[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT117_SET.
static const field_t hw_ccm_misc_root117_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT117_CLR.
static const field_t hw_ccm_misc_root117_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT117_TOG.
static const field_t hw_ccm_misc_root117_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST117.
static const field_t hw_ccm_post117[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT117_SET.
static const field_t hw_ccm_post_root117_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT117_CLR.
static const field_t hw_ccm_post_root117_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT117_TOG.
static const field_t hw_ccm_post_root117_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE117.
static const field_t hw_ccm_pre117[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT117_SET.
static const field_t hw_ccm_pre_root117_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT117_CLR.
static const field_t hw_ccm_pre_root117_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT117_TOG.
static const field_t hw_ccm_pre_root117_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL117.
static const field_t hw_ccm_access_ctrl117[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT117_SET.
static const field_t hw_ccm_access_ctrl_root117_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT117_CLR.
static const field_t hw_ccm_access_ctrl_root117_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT117_TOG.
static const field_t hw_ccm_access_ctrl_root117_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT118.
static const field_t hw_ccm_target_root118[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT118_SET.
static const field_t hw_ccm_target_root118_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT118_CLR.
static const field_t hw_ccm_target_root118_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT118_TOG.
static const field_t hw_ccm_target_root118_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC118.
static const field_t hw_ccm_misc118[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT118_SET.
static const field_t hw_ccm_misc_root118_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT118_CLR.
static const field_t hw_ccm_misc_root118_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT118_TOG.
static const field_t hw_ccm_misc_root118_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST118.
static const field_t hw_ccm_post118[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT118_SET.
static const field_t hw_ccm_post_root118_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT118_CLR.
static const field_t hw_ccm_post_root118_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT118_TOG.
static const field_t hw_ccm_post_root118_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE118.
static const field_t hw_ccm_pre118[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT118_SET.
static const field_t hw_ccm_pre_root118_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT118_CLR.
static const field_t hw_ccm_pre_root118_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT118_TOG.
static const field_t hw_ccm_pre_root118_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL118.
static const field_t hw_ccm_access_ctrl118[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT118_SET.
static const field_t hw_ccm_access_ctrl_root118_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT118_CLR.
static const field_t hw_ccm_access_ctrl_root118_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT118_TOG.
static const field_t hw_ccm_access_ctrl_root118_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT119.
static const field_t hw_ccm_target_root119[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT119_SET.
static const field_t hw_ccm_target_root119_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT119_CLR.
static const field_t hw_ccm_target_root119_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT119_TOG.
static const field_t hw_ccm_target_root119_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC119.
static const field_t hw_ccm_misc119[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT119_SET.
static const field_t hw_ccm_misc_root119_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT119_CLR.
static const field_t hw_ccm_misc_root119_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT119_TOG.
static const field_t hw_ccm_misc_root119_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST119.
static const field_t hw_ccm_post119[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT119_SET.
static const field_t hw_ccm_post_root119_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT119_CLR.
static const field_t hw_ccm_post_root119_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT119_TOG.
static const field_t hw_ccm_post_root119_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE119.
static const field_t hw_ccm_pre119[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT119_SET.
static const field_t hw_ccm_pre_root119_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT119_CLR.
static const field_t hw_ccm_pre_root119_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT119_TOG.
static const field_t hw_ccm_pre_root119_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL119.
static const field_t hw_ccm_access_ctrl119[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT119_SET.
static const field_t hw_ccm_access_ctrl_root119_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT119_CLR.
static const field_t hw_ccm_access_ctrl_root119_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT119_TOG.
static const field_t hw_ccm_access_ctrl_root119_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT120.
static const field_t hw_ccm_target_root120[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT120_SET.
static const field_t hw_ccm_target_root120_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT120_CLR.
static const field_t hw_ccm_target_root120_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT120_TOG.
static const field_t hw_ccm_target_root120_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC120.
static const field_t hw_ccm_misc120[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT120_SET.
static const field_t hw_ccm_misc_root120_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT120_CLR.
static const field_t hw_ccm_misc_root120_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT120_TOG.
static const field_t hw_ccm_misc_root120_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST120.
static const field_t hw_ccm_post120[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT120_SET.
static const field_t hw_ccm_post_root120_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT120_CLR.
static const field_t hw_ccm_post_root120_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT120_TOG.
static const field_t hw_ccm_post_root120_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE120.
static const field_t hw_ccm_pre120[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT120_SET.
static const field_t hw_ccm_pre_root120_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT120_CLR.
static const field_t hw_ccm_pre_root120_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT120_TOG.
static const field_t hw_ccm_pre_root120_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL120.
static const field_t hw_ccm_access_ctrl120[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT120_SET.
static const field_t hw_ccm_access_ctrl_root120_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT120_CLR.
static const field_t hw_ccm_access_ctrl_root120_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT120_TOG.
static const field_t hw_ccm_access_ctrl_root120_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT121.
static const field_t hw_ccm_target_root121[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT121_SET.
static const field_t hw_ccm_target_root121_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT121_CLR.
static const field_t hw_ccm_target_root121_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT121_TOG.
static const field_t hw_ccm_target_root121_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC121.
static const field_t hw_ccm_misc121[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT121_SET.
static const field_t hw_ccm_misc_root121_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT121_CLR.
static const field_t hw_ccm_misc_root121_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT121_TOG.
static const field_t hw_ccm_misc_root121_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST121.
static const field_t hw_ccm_post121[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT121_SET.
static const field_t hw_ccm_post_root121_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT121_CLR.
static const field_t hw_ccm_post_root121_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT121_TOG.
static const field_t hw_ccm_post_root121_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE121.
static const field_t hw_ccm_pre121[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT121_SET.
static const field_t hw_ccm_pre_root121_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT121_CLR.
static const field_t hw_ccm_pre_root121_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT121_TOG.
static const field_t hw_ccm_pre_root121_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL121.
static const field_t hw_ccm_access_ctrl121[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT121_SET.
static const field_t hw_ccm_access_ctrl_root121_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT121_CLR.
static const field_t hw_ccm_access_ctrl_root121_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT121_TOG.
static const field_t hw_ccm_access_ctrl_root121_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT122.
static const field_t hw_ccm_target_root122[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT122_SET.
static const field_t hw_ccm_target_root122_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT122_CLR.
static const field_t hw_ccm_target_root122_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT122_TOG.
static const field_t hw_ccm_target_root122_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC122.
static const field_t hw_ccm_misc122[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT122_SET.
static const field_t hw_ccm_misc_root122_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT122_CLR.
static const field_t hw_ccm_misc_root122_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT122_TOG.
static const field_t hw_ccm_misc_root122_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST122.
static const field_t hw_ccm_post122[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT122_SET.
static const field_t hw_ccm_post_root122_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT122_CLR.
static const field_t hw_ccm_post_root122_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT122_TOG.
static const field_t hw_ccm_post_root122_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE122.
static const field_t hw_ccm_pre122[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT122_SET.
static const field_t hw_ccm_pre_root122_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT122_CLR.
static const field_t hw_ccm_pre_root122_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT122_TOG.
static const field_t hw_ccm_pre_root122_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL122.
static const field_t hw_ccm_access_ctrl122[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT122_SET.
static const field_t hw_ccm_access_ctrl_root122_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT122_CLR.
static const field_t hw_ccm_access_ctrl_root122_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT122_TOG.
static const field_t hw_ccm_access_ctrl_root122_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT123.
static const field_t hw_ccm_target_root123[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT123_SET.
static const field_t hw_ccm_target_root123_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT123_CLR.
static const field_t hw_ccm_target_root123_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT123_TOG.
static const field_t hw_ccm_target_root123_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC123.
static const field_t hw_ccm_misc123[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT123_SET.
static const field_t hw_ccm_misc_root123_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT123_CLR.
static const field_t hw_ccm_misc_root123_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT123_TOG.
static const field_t hw_ccm_misc_root123_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST123.
static const field_t hw_ccm_post123[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT123_SET.
static const field_t hw_ccm_post_root123_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT123_CLR.
static const field_t hw_ccm_post_root123_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT123_TOG.
static const field_t hw_ccm_post_root123_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE123.
static const field_t hw_ccm_pre123[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT123_SET.
static const field_t hw_ccm_pre_root123_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT123_CLR.
static const field_t hw_ccm_pre_root123_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT123_TOG.
static const field_t hw_ccm_pre_root123_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL123.
static const field_t hw_ccm_access_ctrl123[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT123_SET.
static const field_t hw_ccm_access_ctrl_root123_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT123_CLR.
static const field_t hw_ccm_access_ctrl_root123_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT123_TOG.
static const field_t hw_ccm_access_ctrl_root123_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT124.
static const field_t hw_ccm_target_root124[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT124_SET.
static const field_t hw_ccm_target_root124_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT124_CLR.
static const field_t hw_ccm_target_root124_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT124_TOG.
static const field_t hw_ccm_target_root124_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC124.
static const field_t hw_ccm_misc124[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT124_SET.
static const field_t hw_ccm_misc_root124_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT124_CLR.
static const field_t hw_ccm_misc_root124_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT124_TOG.
static const field_t hw_ccm_misc_root124_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST124.
static const field_t hw_ccm_post124[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT124_SET.
static const field_t hw_ccm_post_root124_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT124_CLR.
static const field_t hw_ccm_post_root124_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT124_TOG.
static const field_t hw_ccm_post_root124_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE124.
static const field_t hw_ccm_pre124[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT124_SET.
static const field_t hw_ccm_pre_root124_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT124_CLR.
static const field_t hw_ccm_pre_root124_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT124_TOG.
static const field_t hw_ccm_pre_root124_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL124.
static const field_t hw_ccm_access_ctrl124[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT124_SET.
static const field_t hw_ccm_access_ctrl_root124_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT124_CLR.
static const field_t hw_ccm_access_ctrl_root124_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT124_TOG.
static const field_t hw_ccm_access_ctrl_root124_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT125.
static const field_t hw_ccm_target_root125[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT125_SET.
static const field_t hw_ccm_target_root125_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT125_CLR.
static const field_t hw_ccm_target_root125_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT125_TOG.
static const field_t hw_ccm_target_root125_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC125.
static const field_t hw_ccm_misc125[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT125_SET.
static const field_t hw_ccm_misc_root125_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT125_CLR.
static const field_t hw_ccm_misc_root125_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT125_TOG.
static const field_t hw_ccm_misc_root125_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST125.
static const field_t hw_ccm_post125[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT125_SET.
static const field_t hw_ccm_post_root125_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT125_CLR.
static const field_t hw_ccm_post_root125_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT125_TOG.
static const field_t hw_ccm_post_root125_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE125.
static const field_t hw_ccm_pre125[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT125_SET.
static const field_t hw_ccm_pre_root125_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT125_CLR.
static const field_t hw_ccm_pre_root125_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT125_TOG.
static const field_t hw_ccm_pre_root125_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL125.
static const field_t hw_ccm_access_ctrl125[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT125_SET.
static const field_t hw_ccm_access_ctrl_root125_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT125_CLR.
static const field_t hw_ccm_access_ctrl_root125_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT125_TOG.
static const field_t hw_ccm_access_ctrl_root125_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT126.
static const field_t hw_ccm_target_root126[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT126_SET.
static const field_t hw_ccm_target_root126_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT126_CLR.
static const field_t hw_ccm_target_root126_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT126_TOG.
static const field_t hw_ccm_target_root126_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC126.
static const field_t hw_ccm_misc126[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT126_SET.
static const field_t hw_ccm_misc_root126_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT126_CLR.
static const field_t hw_ccm_misc_root126_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT126_TOG.
static const field_t hw_ccm_misc_root126_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST126.
static const field_t hw_ccm_post126[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT126_SET.
static const field_t hw_ccm_post_root126_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT126_CLR.
static const field_t hw_ccm_post_root126_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT126_TOG.
static const field_t hw_ccm_post_root126_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE126.
static const field_t hw_ccm_pre126[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT126_SET.
static const field_t hw_ccm_pre_root126_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT126_CLR.
static const field_t hw_ccm_pre_root126_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT126_TOG.
static const field_t hw_ccm_pre_root126_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL126.
static const field_t hw_ccm_access_ctrl126[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT126_SET.
static const field_t hw_ccm_access_ctrl_root126_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT126_CLR.
static const field_t hw_ccm_access_ctrl_root126_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT126_TOG.
static const field_t hw_ccm_access_ctrl_root126_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT127.
static const field_t hw_ccm_target_root127[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT127_SET.
static const field_t hw_ccm_target_root127_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT127_CLR.
static const field_t hw_ccm_target_root127_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT127_TOG.
static const field_t hw_ccm_target_root127_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC127.
static const field_t hw_ccm_misc127[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT127_SET.
static const field_t hw_ccm_misc_root127_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT127_CLR.
static const field_t hw_ccm_misc_root127_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT127_TOG.
static const field_t hw_ccm_misc_root127_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST127.
static const field_t hw_ccm_post127[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT127_SET.
static const field_t hw_ccm_post_root127_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT127_CLR.
static const field_t hw_ccm_post_root127_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT127_TOG.
static const field_t hw_ccm_post_root127_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE127.
static const field_t hw_ccm_pre127[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT127_SET.
static const field_t hw_ccm_pre_root127_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT127_CLR.
static const field_t hw_ccm_pre_root127_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT127_TOG.
static const field_t hw_ccm_pre_root127_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL127.
static const field_t hw_ccm_access_ctrl127[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT127_SET.
static const field_t hw_ccm_access_ctrl_root127_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT127_CLR.
static const field_t hw_ccm_access_ctrl_root127_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT127_TOG.
static const field_t hw_ccm_access_ctrl_root127_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT128.
static const field_t hw_ccm_target_root128[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT128_SET.
static const field_t hw_ccm_target_root128_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT128_CLR.
static const field_t hw_ccm_target_root128_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT128_TOG.
static const field_t hw_ccm_target_root128_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC128.
static const field_t hw_ccm_misc128[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT128_SET.
static const field_t hw_ccm_misc_root128_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT128_CLR.
static const field_t hw_ccm_misc_root128_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT128_TOG.
static const field_t hw_ccm_misc_root128_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST128.
static const field_t hw_ccm_post128[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT128_SET.
static const field_t hw_ccm_post_root128_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT128_CLR.
static const field_t hw_ccm_post_root128_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT128_TOG.
static const field_t hw_ccm_post_root128_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE128.
static const field_t hw_ccm_pre128[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT128_SET.
static const field_t hw_ccm_pre_root128_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT128_CLR.
static const field_t hw_ccm_pre_root128_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT128_TOG.
static const field_t hw_ccm_pre_root128_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL128.
static const field_t hw_ccm_access_ctrl128[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT128_SET.
static const field_t hw_ccm_access_ctrl_root128_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT128_CLR.
static const field_t hw_ccm_access_ctrl_root128_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT128_TOG.
static const field_t hw_ccm_access_ctrl_root128_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT129.
static const field_t hw_ccm_target_root129[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT129_SET.
static const field_t hw_ccm_target_root129_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT129_CLR.
static const field_t hw_ccm_target_root129_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT129_TOG.
static const field_t hw_ccm_target_root129_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC129.
static const field_t hw_ccm_misc129[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT129_SET.
static const field_t hw_ccm_misc_root129_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT129_CLR.
static const field_t hw_ccm_misc_root129_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT129_TOG.
static const field_t hw_ccm_misc_root129_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST129.
static const field_t hw_ccm_post129[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT129_SET.
static const field_t hw_ccm_post_root129_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT129_CLR.
static const field_t hw_ccm_post_root129_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT129_TOG.
static const field_t hw_ccm_post_root129_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE129.
static const field_t hw_ccm_pre129[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT129_SET.
static const field_t hw_ccm_pre_root129_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT129_CLR.
static const field_t hw_ccm_pre_root129_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT129_TOG.
static const field_t hw_ccm_pre_root129_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL129.
static const field_t hw_ccm_access_ctrl129[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT129_SET.
static const field_t hw_ccm_access_ctrl_root129_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT129_CLR.
static const field_t hw_ccm_access_ctrl_root129_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT129_TOG.
static const field_t hw_ccm_access_ctrl_root129_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT130.
static const field_t hw_ccm_target_root130[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT130_SET.
static const field_t hw_ccm_target_root130_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT130_CLR.
static const field_t hw_ccm_target_root130_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT130_TOG.
static const field_t hw_ccm_target_root130_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC130.
static const field_t hw_ccm_misc130[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT130_SET.
static const field_t hw_ccm_misc_root130_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT130_CLR.
static const field_t hw_ccm_misc_root130_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT130_TOG.
static const field_t hw_ccm_misc_root130_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST130.
static const field_t hw_ccm_post130[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT130_SET.
static const field_t hw_ccm_post_root130_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT130_CLR.
static const field_t hw_ccm_post_root130_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT130_TOG.
static const field_t hw_ccm_post_root130_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE130.
static const field_t hw_ccm_pre130[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT130_SET.
static const field_t hw_ccm_pre_root130_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT130_CLR.
static const field_t hw_ccm_pre_root130_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT130_TOG.
static const field_t hw_ccm_pre_root130_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL130.
static const field_t hw_ccm_access_ctrl130[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT130_SET.
static const field_t hw_ccm_access_ctrl_root130_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT130_CLR.
static const field_t hw_ccm_access_ctrl_root130_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT130_TOG.
static const field_t hw_ccm_access_ctrl_root130_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT131.
static const field_t hw_ccm_target_root131[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT131_SET.
static const field_t hw_ccm_target_root131_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT131_CLR.
static const field_t hw_ccm_target_root131_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT131_TOG.
static const field_t hw_ccm_target_root131_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC131.
static const field_t hw_ccm_misc131[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT131_SET.
static const field_t hw_ccm_misc_root131_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT131_CLR.
static const field_t hw_ccm_misc_root131_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT131_TOG.
static const field_t hw_ccm_misc_root131_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST131.
static const field_t hw_ccm_post131[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT131_SET.
static const field_t hw_ccm_post_root131_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT131_CLR.
static const field_t hw_ccm_post_root131_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT131_TOG.
static const field_t hw_ccm_post_root131_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE131.
static const field_t hw_ccm_pre131[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT131_SET.
static const field_t hw_ccm_pre_root131_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT131_CLR.
static const field_t hw_ccm_pre_root131_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT131_TOG.
static const field_t hw_ccm_pre_root131_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL131.
static const field_t hw_ccm_access_ctrl131[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT131_SET.
static const field_t hw_ccm_access_ctrl_root131_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT131_CLR.
static const field_t hw_ccm_access_ctrl_root131_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT131_TOG.
static const field_t hw_ccm_access_ctrl_root131_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT132.
static const field_t hw_ccm_target_root132[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT132_SET.
static const field_t hw_ccm_target_root132_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT132_CLR.
static const field_t hw_ccm_target_root132_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT132_TOG.
static const field_t hw_ccm_target_root132_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC132.
static const field_t hw_ccm_misc132[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT132_SET.
static const field_t hw_ccm_misc_root132_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT132_CLR.
static const field_t hw_ccm_misc_root132_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT132_TOG.
static const field_t hw_ccm_misc_root132_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST132.
static const field_t hw_ccm_post132[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT132_SET.
static const field_t hw_ccm_post_root132_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT132_CLR.
static const field_t hw_ccm_post_root132_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT132_TOG.
static const field_t hw_ccm_post_root132_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE132.
static const field_t hw_ccm_pre132[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT132_SET.
static const field_t hw_ccm_pre_root132_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT132_CLR.
static const field_t hw_ccm_pre_root132_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT132_TOG.
static const field_t hw_ccm_pre_root132_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL132.
static const field_t hw_ccm_access_ctrl132[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT132_SET.
static const field_t hw_ccm_access_ctrl_root132_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT132_CLR.
static const field_t hw_ccm_access_ctrl_root132_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT132_TOG.
static const field_t hw_ccm_access_ctrl_root132_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT133.
static const field_t hw_ccm_target_root133[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT133_SET.
static const field_t hw_ccm_target_root133_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT133_CLR.
static const field_t hw_ccm_target_root133_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT133_TOG.
static const field_t hw_ccm_target_root133_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC133.
static const field_t hw_ccm_misc133[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT133_SET.
static const field_t hw_ccm_misc_root133_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT133_CLR.
static const field_t hw_ccm_misc_root133_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT133_TOG.
static const field_t hw_ccm_misc_root133_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST133.
static const field_t hw_ccm_post133[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT133_SET.
static const field_t hw_ccm_post_root133_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT133_CLR.
static const field_t hw_ccm_post_root133_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT133_TOG.
static const field_t hw_ccm_post_root133_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE133.
static const field_t hw_ccm_pre133[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT133_SET.
static const field_t hw_ccm_pre_root133_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT133_CLR.
static const field_t hw_ccm_pre_root133_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT133_TOG.
static const field_t hw_ccm_pre_root133_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL133.
static const field_t hw_ccm_access_ctrl133[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT133_SET.
static const field_t hw_ccm_access_ctrl_root133_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT133_CLR.
static const field_t hw_ccm_access_ctrl_root133_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT133_TOG.
static const field_t hw_ccm_access_ctrl_root133_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT134.
static const field_t hw_ccm_target_root134[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT134_SET.
static const field_t hw_ccm_target_root134_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT134_CLR.
static const field_t hw_ccm_target_root134_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT134_TOG.
static const field_t hw_ccm_target_root134_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC134.
static const field_t hw_ccm_misc134[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT134_SET.
static const field_t hw_ccm_misc_root134_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT134_CLR.
static const field_t hw_ccm_misc_root134_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT134_TOG.
static const field_t hw_ccm_misc_root134_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST134.
static const field_t hw_ccm_post134[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT134_SET.
static const field_t hw_ccm_post_root134_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT134_CLR.
static const field_t hw_ccm_post_root134_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT134_TOG.
static const field_t hw_ccm_post_root134_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE134.
static const field_t hw_ccm_pre134[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT134_SET.
static const field_t hw_ccm_pre_root134_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT134_CLR.
static const field_t hw_ccm_pre_root134_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT134_TOG.
static const field_t hw_ccm_pre_root134_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL134.
static const field_t hw_ccm_access_ctrl134[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT134_SET.
static const field_t hw_ccm_access_ctrl_root134_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT134_CLR.
static const field_t hw_ccm_access_ctrl_root134_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT134_TOG.
static const field_t hw_ccm_access_ctrl_root134_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT135.
static const field_t hw_ccm_target_root135[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT135_SET.
static const field_t hw_ccm_target_root135_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT135_CLR.
static const field_t hw_ccm_target_root135_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT135_TOG.
static const field_t hw_ccm_target_root135_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC135.
static const field_t hw_ccm_misc135[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT135_SET.
static const field_t hw_ccm_misc_root135_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT135_CLR.
static const field_t hw_ccm_misc_root135_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT135_TOG.
static const field_t hw_ccm_misc_root135_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST135.
static const field_t hw_ccm_post135[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT135_SET.
static const field_t hw_ccm_post_root135_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT135_CLR.
static const field_t hw_ccm_post_root135_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT135_TOG.
static const field_t hw_ccm_post_root135_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE135.
static const field_t hw_ccm_pre135[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT135_SET.
static const field_t hw_ccm_pre_root135_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT135_CLR.
static const field_t hw_ccm_pre_root135_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT135_TOG.
static const field_t hw_ccm_pre_root135_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL135.
static const field_t hw_ccm_access_ctrl135[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT135_SET.
static const field_t hw_ccm_access_ctrl_root135_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT135_CLR.
static const field_t hw_ccm_access_ctrl_root135_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT135_TOG.
static const field_t hw_ccm_access_ctrl_root135_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT136.
static const field_t hw_ccm_target_root136[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT136_SET.
static const field_t hw_ccm_target_root136_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT136_CLR.
static const field_t hw_ccm_target_root136_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT136_TOG.
static const field_t hw_ccm_target_root136_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC136.
static const field_t hw_ccm_misc136[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT136_SET.
static const field_t hw_ccm_misc_root136_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT136_CLR.
static const field_t hw_ccm_misc_root136_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT136_TOG.
static const field_t hw_ccm_misc_root136_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST136.
static const field_t hw_ccm_post136[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT136_SET.
static const field_t hw_ccm_post_root136_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT136_CLR.
static const field_t hw_ccm_post_root136_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT136_TOG.
static const field_t hw_ccm_post_root136_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE136.
static const field_t hw_ccm_pre136[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT136_SET.
static const field_t hw_ccm_pre_root136_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT136_CLR.
static const field_t hw_ccm_pre_root136_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT136_TOG.
static const field_t hw_ccm_pre_root136_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL136.
static const field_t hw_ccm_access_ctrl136[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT136_SET.
static const field_t hw_ccm_access_ctrl_root136_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT136_CLR.
static const field_t hw_ccm_access_ctrl_root136_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT136_TOG.
static const field_t hw_ccm_access_ctrl_root136_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT137.
static const field_t hw_ccm_target_root137[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT137_SET.
static const field_t hw_ccm_target_root137_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT137_CLR.
static const field_t hw_ccm_target_root137_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT137_TOG.
static const field_t hw_ccm_target_root137_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC137.
static const field_t hw_ccm_misc137[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT137_SET.
static const field_t hw_ccm_misc_root137_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT137_CLR.
static const field_t hw_ccm_misc_root137_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT137_TOG.
static const field_t hw_ccm_misc_root137_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST137.
static const field_t hw_ccm_post137[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT137_SET.
static const field_t hw_ccm_post_root137_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT137_CLR.
static const field_t hw_ccm_post_root137_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT137_TOG.
static const field_t hw_ccm_post_root137_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE137.
static const field_t hw_ccm_pre137[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT137_SET.
static const field_t hw_ccm_pre_root137_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT137_CLR.
static const field_t hw_ccm_pre_root137_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT137_TOG.
static const field_t hw_ccm_pre_root137_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL137.
static const field_t hw_ccm_access_ctrl137[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT137_SET.
static const field_t hw_ccm_access_ctrl_root137_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT137_CLR.
static const field_t hw_ccm_access_ctrl_root137_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT137_TOG.
static const field_t hw_ccm_access_ctrl_root137_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT138.
static const field_t hw_ccm_target_root138[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT138_SET.
static const field_t hw_ccm_target_root138_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT138_CLR.
static const field_t hw_ccm_target_root138_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT138_TOG.
static const field_t hw_ccm_target_root138_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC138.
static const field_t hw_ccm_misc138[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT138_SET.
static const field_t hw_ccm_misc_root138_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT138_CLR.
static const field_t hw_ccm_misc_root138_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT138_TOG.
static const field_t hw_ccm_misc_root138_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST138.
static const field_t hw_ccm_post138[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT138_SET.
static const field_t hw_ccm_post_root138_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT138_CLR.
static const field_t hw_ccm_post_root138_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT138_TOG.
static const field_t hw_ccm_post_root138_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE138.
static const field_t hw_ccm_pre138[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT138_SET.
static const field_t hw_ccm_pre_root138_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT138_CLR.
static const field_t hw_ccm_pre_root138_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT138_TOG.
static const field_t hw_ccm_pre_root138_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL138.
static const field_t hw_ccm_access_ctrl138[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT138_SET.
static const field_t hw_ccm_access_ctrl_root138_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT138_CLR.
static const field_t hw_ccm_access_ctrl_root138_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT138_TOG.
static const field_t hw_ccm_access_ctrl_root138_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT139.
static const field_t hw_ccm_target_root139[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT139_SET.
static const field_t hw_ccm_target_root139_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT139_CLR.
static const field_t hw_ccm_target_root139_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT139_TOG.
static const field_t hw_ccm_target_root139_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC139.
static const field_t hw_ccm_misc139[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT139_SET.
static const field_t hw_ccm_misc_root139_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT139_CLR.
static const field_t hw_ccm_misc_root139_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT139_TOG.
static const field_t hw_ccm_misc_root139_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST139.
static const field_t hw_ccm_post139[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT139_SET.
static const field_t hw_ccm_post_root139_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT139_CLR.
static const field_t hw_ccm_post_root139_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT139_TOG.
static const field_t hw_ccm_post_root139_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE139.
static const field_t hw_ccm_pre139[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT139_SET.
static const field_t hw_ccm_pre_root139_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT139_CLR.
static const field_t hw_ccm_pre_root139_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT139_TOG.
static const field_t hw_ccm_pre_root139_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL139.
static const field_t hw_ccm_access_ctrl139[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT139_SET.
static const field_t hw_ccm_access_ctrl_root139_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT139_CLR.
static const field_t hw_ccm_access_ctrl_root139_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT139_TOG.
static const field_t hw_ccm_access_ctrl_root139_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT140.
static const field_t hw_ccm_target_root140[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT140_SET.
static const field_t hw_ccm_target_root140_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT140_CLR.
static const field_t hw_ccm_target_root140_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT140_TOG.
static const field_t hw_ccm_target_root140_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC140.
static const field_t hw_ccm_misc140[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT140_SET.
static const field_t hw_ccm_misc_root140_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT140_CLR.
static const field_t hw_ccm_misc_root140_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT140_TOG.
static const field_t hw_ccm_misc_root140_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST140.
static const field_t hw_ccm_post140[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT140_SET.
static const field_t hw_ccm_post_root140_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT140_CLR.
static const field_t hw_ccm_post_root140_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT140_TOG.
static const field_t hw_ccm_post_root140_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE140.
static const field_t hw_ccm_pre140[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT140_SET.
static const field_t hw_ccm_pre_root140_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT140_CLR.
static const field_t hw_ccm_pre_root140_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT140_TOG.
static const field_t hw_ccm_pre_root140_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL140.
static const field_t hw_ccm_access_ctrl140[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT140_SET.
static const field_t hw_ccm_access_ctrl_root140_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT140_CLR.
static const field_t hw_ccm_access_ctrl_root140_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT140_TOG.
static const field_t hw_ccm_access_ctrl_root140_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT141.
static const field_t hw_ccm_target_root141[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT141_SET.
static const field_t hw_ccm_target_root141_set[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT141_CLR.
static const field_t hw_ccm_target_root141_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divider divide the number Divider value is n+1 This field does not"
        " apply for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_TARGET_ROOT141_TOG.
static const field_t hw_ccm_target_root141_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_PODF",
        "Pre divide divide number Divider value is n+1 This field does not appl"
        "y for CORE, DRAM, DRAM_PHYM",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX",
        "Selection of clock sources This field is 1 bit long for DRAM and CORE",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE",
        "Enable this clock",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC141.
static const field_t hw_ccm_misc141[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT141_SET.
static const field_t hw_ccm_misc_root141_set[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT141_CLR.
static const field_t hw_ccm_misc_root141_clr[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_MISC_ROOT141_TOG.
static const field_t hw_ccm_misc_root141_tog[] =
{
    {
        "AUTHEN_FAIL",
        "This sticky bit reflects access restricted by access control of this c"
        "lock.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT",
        "This sticky bit reflects time out happened during accessing this clock"
        ".",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIOLATE",
        "This sticky bit reflects access violation in normal interface of this "
        "clock.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST141.
static const field_t hw_ccm_post141[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT141_SET.
static const field_t hw_ccm_post_root141_set[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT141_CLR.
static const field_t hw_ccm_post_root141_clr[] =
{
    {
        "POST_PODF",
        "Post divider divide the number Divider value is n + 1 For CORE, this f"
        "ield is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_POST_ROOT141_TOG.
static const field_t hw_ccm_post_root141_tog[] =
{
    {
        "POST_PODF",
        "Post divider divide number Divider value is n + 1 For CORE, this field"
        " is 3 bit long.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "Post divider is applying new set value",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELECT",
        "Selection of pre clock branches This field is not applied in IP",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY2",
        "Clock switching multiplexer is applying new setting",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE141.
static const field_t hw_ccm_pre141[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT141_SET.
static const field_t hw_ccm_pre_root141_set[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applying field does not apply for CO"
        "RE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT141_CLR.
static const field_t hw_ccm_pre_root141_clr[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch A is applied This field does not apply fo"
        "r CORE, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_PRE_ROOT141_TOG.
static const field_t hw_ccm_pre_root141_tog[] =
{
    {
        "PRE_PODF_B",
        "Pre divider divide number for branch B Divider value is n + 1.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY0",
        "Pre divider value for branch a is applied field does not apply for COR"
        "E, IP,DRAM, DRAM_PHYM",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_B",
        "Selection control of multiplexer of branch B This field does not apply"
        " for CORE, IP,DRAM, DRAM_PHYM",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_B",
        "Branch B clock gate control This field does not apply for CORE, IP,DRA"
        "M, DRAM_PHYM",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY1",
        "EN_B is applied to field This field does not apply for CORE, IP,DRAM, "
        "DRAM_PHYM",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_PODF_A",
        "Pre divider divide number for branch A Divider value is n + 1.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY3",
        "Pre divider value for branch A is applied This field applies to DRAM a"
        "nd DRAM_PHYM",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUX_A",
        "Selection control of multiplexer of branch A This field applies to DRA"
        "M and DRAM_PHYM",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A",
        "Branch A clock gate control This field applies to DRAM and DRAM_PHYM",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY4",
        "EN_A field is applied to field This field applies to DRAM and DRAM_PHY"
        "M",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL141.
static const field_t hw_ccm_access_ctrl141[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT141_SET.
static const field_t hw_ccm_access_ctrl_root141_set[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT141_CLR.
static const field_t hw_ccm_access_ctrl_root141_clr[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ACCESS_CTRL_ROOT141_TOG.
static const field_t hw_ccm_access_ctrl_root141_tog[] =
{
    {
        "DOMAIN0_INFO",
        "Information from domain 0 to pass to others This field can only be cha"
        "nged by domain 0",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_INFO",
        "Information from domain 1 to pass to others This field can only be cha"
        "nged by domain 1",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_INFO",
        "Information from domain 2 to pass to others This field can only be cha"
        "nged by domain 2",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_INFO",
        "Information from domain 3 to pass to others This field can only be cha"
        "nged by domain 3",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OWNER_ID",
        "Current domain that owns semaphore This field is meaningless when MUTE"
        "X is 0",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MUTEX",
        "Semaphore to control access",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3_WHITELIST",
        "White list of domains that can change setting of this clock root.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEMA_EN",
        "Enable internal semaphore This field cannot be changed when lock bit i"
        "s 1",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Lock this clock root to use access control This bit can be set to 1 by"
        " software, and can be cleared only by system reset.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a CCM module.
static const reg_t hw_ccm[] =
{
    {
        "GPR0",
        "GPR0",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ccm_gpr0
    },
    {
        "GPR0_SET",
        "GPR0",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ccm_gpr0_set
    },
    {
        "GPR0_CLR",
        "GPR0",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ccm_gpr0_clr
    },
    {
        "GPR0_TOG",
        "GPR0",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ccm_gpr0_tog
    },
    {
        "PLL_CTRL0",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl0
    },
    {
        "PLL_CTRL0_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl0_set
    },
    {
        "PLL_CTRL0_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl0_clr
    },
    {
        "PLL_CTRL0_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000080c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl0_tog
    },
    {
        "PLL_CTRL1",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000810, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl1
    },
    {
        "PLL_CTRL1_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000814, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl1_set
    },
    {
        "PLL_CTRL1_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000818, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl1_clr
    },
    {
        "PLL_CTRL1_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000081c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl1_tog
    },
    {
        "PLL_CTRL2",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl2
    },
    {
        "PLL_CTRL2_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl2_set
    },
    {
        "PLL_CTRL2_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl2_clr
    },
    {
        "PLL_CTRL2_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000082c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl2_tog
    },
    {
        "PLL_CTRL3",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000830, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl3
    },
    {
        "PLL_CTRL3_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000834, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl3_set
    },
    {
        "PLL_CTRL3_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000838, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl3_clr
    },
    {
        "PLL_CTRL3_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000083c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl3_tog
    },
    {
        "PLL_CTRL4",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000840, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl4
    },
    {
        "PLL_CTRL4_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000844, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl4_set
    },
    {
        "PLL_CTRL4_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000848, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl4_clr
    },
    {
        "PLL_CTRL4_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000084c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl4_tog
    },
    {
        "PLL_CTRL5",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000850, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl5
    },
    {
        "PLL_CTRL5_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000854, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl5_set
    },
    {
        "PLL_CTRL5_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000858, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl5_clr
    },
    {
        "PLL_CTRL5_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000085c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl5_tog
    },
    {
        "PLL_CTRL6",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000860, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl6
    },
    {
        "PLL_CTRL6_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000864, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl6_set
    },
    {
        "PLL_CTRL6_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000868, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl6_clr
    },
    {
        "PLL_CTRL6_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000086c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl6_tog
    },
    {
        "PLL_CTRL7",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000870, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl7
    },
    {
        "PLL_CTRL7_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000874, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl7_set
    },
    {
        "PLL_CTRL7_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000878, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl7_clr
    },
    {
        "PLL_CTRL7_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000087c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl7_tog
    },
    {
        "PLL_CTRL8",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl8
    },
    {
        "PLL_CTRL8_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl8_set
    },
    {
        "PLL_CTRL8_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl8_clr
    },
    {
        "PLL_CTRL8_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000088c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl8_tog
    },
    {
        "PLL_CTRL9",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000890, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl9
    },
    {
        "PLL_CTRL9_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000894, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl9_set
    },
    {
        "PLL_CTRL9_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000898, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl9_clr
    },
    {
        "PLL_CTRL9_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000089c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl9_tog
    },
    {
        "PLL_CTRL10",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl10
    },
    {
        "PLL_CTRL10_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl10_set
    },
    {
        "PLL_CTRL10_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl10_clr
    },
    {
        "PLL_CTRL10_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl10_tog
    },
    {
        "PLL_CTRL11",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl11
    },
    {
        "PLL_CTRL11_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl11_set
    },
    {
        "PLL_CTRL11_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl11_clr
    },
    {
        "PLL_CTRL11_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl11_tog
    },
    {
        "PLL_CTRL12",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl12
    },
    {
        "PLL_CTRL12_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl12_set
    },
    {
        "PLL_CTRL12_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl12_clr
    },
    {
        "PLL_CTRL12_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl12_tog
    },
    {
        "PLL_CTRL13",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl13
    },
    {
        "PLL_CTRL13_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl13_set
    },
    {
        "PLL_CTRL13_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl13_clr
    },
    {
        "PLL_CTRL13_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl13_tog
    },
    {
        "PLL_CTRL14",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl14
    },
    {
        "PLL_CTRL14_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl14_set
    },
    {
        "PLL_CTRL14_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl14_clr
    },
    {
        "PLL_CTRL14_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl14_tog
    },
    {
        "PLL_CTRL15",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl15
    },
    {
        "PLL_CTRL15_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl15_set
    },
    {
        "PLL_CTRL15_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl15_clr
    },
    {
        "PLL_CTRL15_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000008fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl15_tog
    },
    {
        "PLL_CTRL16",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl16
    },
    {
        "PLL_CTRL16_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl16_set
    },
    {
        "PLL_CTRL16_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl16_clr
    },
    {
        "PLL_CTRL16_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000090c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl16_tog
    },
    {
        "PLL_CTRL17",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000910, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl17
    },
    {
        "PLL_CTRL17_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000914, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl17_set
    },
    {
        "PLL_CTRL17_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000918, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl17_clr
    },
    {
        "PLL_CTRL17_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000091c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl17_tog
    },
    {
        "PLL_CTRL18",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl18
    },
    {
        "PLL_CTRL18_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl18_set
    },
    {
        "PLL_CTRL18_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl18_clr
    },
    {
        "PLL_CTRL18_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000092c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl18_tog
    },
    {
        "PLL_CTRL19",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000930, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl19
    },
    {
        "PLL_CTRL19_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000934, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl19_set
    },
    {
        "PLL_CTRL19_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000938, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl19_clr
    },
    {
        "PLL_CTRL19_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000093c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl19_tog
    },
    {
        "PLL_CTRL20",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000940, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl20
    },
    {
        "PLL_CTRL20_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000944, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl20_set
    },
    {
        "PLL_CTRL20_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000948, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl20_clr
    },
    {
        "PLL_CTRL20_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000094c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl20_tog
    },
    {
        "PLL_CTRL21",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000950, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl21
    },
    {
        "PLL_CTRL21_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000954, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl21_set
    },
    {
        "PLL_CTRL21_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000958, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl21_clr
    },
    {
        "PLL_CTRL21_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000095c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl21_tog
    },
    {
        "PLL_CTRL22",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000960, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl22
    },
    {
        "PLL_CTRL22_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000964, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl22_set
    },
    {
        "PLL_CTRL22_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000968, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl22_clr
    },
    {
        "PLL_CTRL22_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000096c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl22_tog
    },
    {
        "PLL_CTRL23",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000970, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl23
    },
    {
        "PLL_CTRL23_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000974, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl23_set
    },
    {
        "PLL_CTRL23_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000978, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl23_clr
    },
    {
        "PLL_CTRL23_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000097c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl23_tog
    },
    {
        "PLL_CTRL24",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl24
    },
    {
        "PLL_CTRL24_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl24_set
    },
    {
        "PLL_CTRL24_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl24_clr
    },
    {
        "PLL_CTRL24_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000098c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl24_tog
    },
    {
        "PLL_CTRL25",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000990, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl25
    },
    {
        "PLL_CTRL25_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000994, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl25_set
    },
    {
        "PLL_CTRL25_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000998, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl25_clr
    },
    {
        "PLL_CTRL25_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x0000099c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl25_tog
    },
    {
        "PLL_CTRL26",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl26
    },
    {
        "PLL_CTRL26_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl26_set
    },
    {
        "PLL_CTRL26_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl26_clr
    },
    {
        "PLL_CTRL26_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl26_tog
    },
    {
        "PLL_CTRL27",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl27
    },
    {
        "PLL_CTRL27_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl27_set
    },
    {
        "PLL_CTRL27_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl27_clr
    },
    {
        "PLL_CTRL27_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl27_tog
    },
    {
        "PLL_CTRL28",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl28
    },
    {
        "PLL_CTRL28_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl28_set
    },
    {
        "PLL_CTRL28_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl28_clr
    },
    {
        "PLL_CTRL28_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl28_tog
    },
    {
        "PLL_CTRL29",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl29
    },
    {
        "PLL_CTRL29_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl29_set
    },
    {
        "PLL_CTRL29_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl29_clr
    },
    {
        "PLL_CTRL29_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl29_tog
    },
    {
        "PLL_CTRL30",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl30
    },
    {
        "PLL_CTRL30_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl30_set
    },
    {
        "PLL_CTRL30_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl30_clr
    },
    {
        "PLL_CTRL30_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl30_tog
    },
    {
        "PLL_CTRL31",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl31
    },
    {
        "PLL_CTRL31_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl31_set
    },
    {
        "PLL_CTRL31_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl31_clr
    },
    {
        "PLL_CTRL31_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x000009fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl31_tog
    },
    {
        "PLL_CTRL32",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl32
    },
    {
        "PLL_CTRL32_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl32_set
    },
    {
        "PLL_CTRL32_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl32_clr
    },
    {
        "PLL_CTRL32_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl32_tog
    },
    {
        "PLL_CTRL33",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a10, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl33
    },
    {
        "PLL_CTRL33_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a14, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl33_set
    },
    {
        "PLL_CTRL33_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a18, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl33_clr
    },
    {
        "PLL_CTRL33_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a1c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl33_tog
    },
    {
        "PLL_CTRL34",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl34
    },
    {
        "PLL_CTRL34_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl34_set
    },
    {
        "PLL_CTRL34_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl34_clr
    },
    {
        "PLL_CTRL34_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl34_tog
    },
    {
        "PLL_CTRL35",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a30, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl35
    },
    {
        "PLL_CTRL35_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a34, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl35_set
    },
    {
        "PLL_CTRL35_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a38, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl35_clr
    },
    {
        "PLL_CTRL35_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a3c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl35_tog
    },
    {
        "PLL_CTRL36",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a40, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl36
    },
    {
        "PLL_CTRL36_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a44, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl36_set
    },
    {
        "PLL_CTRL36_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a48, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl36_clr
    },
    {
        "PLL_CTRL36_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a4c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl36_tog
    },
    {
        "PLL_CTRL37",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a50, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl37
    },
    {
        "PLL_CTRL37_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a54, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl37_set
    },
    {
        "PLL_CTRL37_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a58, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl37_clr
    },
    {
        "PLL_CTRL37_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a5c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl37_tog
    },
    {
        "PLL_CTRL38",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a60, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl38
    },
    {
        "PLL_CTRL38_SET",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a64, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl38_set
    },
    {
        "PLL_CTRL38_CLR",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a68, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl38_clr
    },
    {
        "PLL_CTRL38_TOG",
        "See Input Clocks for PLL control mapping.",
        4, // Width in bytes
        0x00000a6c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_pll_ctrl38_tog
    },
    {
        "CCGR0",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr0
    },
    {
        "CCGR0_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr0_set
    },
    {
        "CCGR0_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr0_clr
    },
    {
        "CCGR0_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000400c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr0_tog
    },
    {
        "CCGR1",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004010, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr1
    },
    {
        "CCGR1_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004014, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr1_set
    },
    {
        "CCGR1_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004018, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr1_clr
    },
    {
        "CCGR1_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000401c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr1_tog
    },
    {
        "CCGR2",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr2
    },
    {
        "CCGR2_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr2_set
    },
    {
        "CCGR2_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr2_clr
    },
    {
        "CCGR2_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000402c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr2_tog
    },
    {
        "CCGR3",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004030, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr3
    },
    {
        "CCGR3_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004034, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr3_set
    },
    {
        "CCGR3_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004038, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr3_clr
    },
    {
        "CCGR3_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000403c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr3_tog
    },
    {
        "CCGR4",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004040, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr4
    },
    {
        "CCGR4_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004044, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr4_set
    },
    {
        "CCGR4_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004048, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr4_clr
    },
    {
        "CCGR4_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000404c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr4_tog
    },
    {
        "CCGR5",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004050, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr5
    },
    {
        "CCGR5_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004054, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr5_set
    },
    {
        "CCGR5_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004058, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr5_clr
    },
    {
        "CCGR5_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000405c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr5_tog
    },
    {
        "CCGR6",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004060, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr6
    },
    {
        "CCGR6_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004064, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr6_set
    },
    {
        "CCGR6_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004068, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr6_clr
    },
    {
        "CCGR6_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000406c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr6_tog
    },
    {
        "CCGR7",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004070, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr7
    },
    {
        "CCGR7_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004074, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr7_set
    },
    {
        "CCGR7_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004078, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr7_clr
    },
    {
        "CCGR7_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000407c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr7_tog
    },
    {
        "CCGR8",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr8
    },
    {
        "CCGR8_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr8_set
    },
    {
        "CCGR8_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr8_clr
    },
    {
        "CCGR8_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000408c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr8_tog
    },
    {
        "CCGR9",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr9
    },
    {
        "CCGR9_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004094, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr9_set
    },
    {
        "CCGR9_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004098, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr9_clr
    },
    {
        "CCGR9_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000409c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr9_tog
    },
    {
        "CCGR10",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr10
    },
    {
        "CCGR10_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr10_set
    },
    {
        "CCGR10_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr10_clr
    },
    {
        "CCGR10_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr10_tog
    },
    {
        "CCGR11",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr11
    },
    {
        "CCGR11_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr11_set
    },
    {
        "CCGR11_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr11_clr
    },
    {
        "CCGR11_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr11_tog
    },
    {
        "CCGR12",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr12
    },
    {
        "CCGR12_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr12_set
    },
    {
        "CCGR12_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr12_clr
    },
    {
        "CCGR12_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr12_tog
    },
    {
        "CCGR13",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr13
    },
    {
        "CCGR13_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr13_set
    },
    {
        "CCGR13_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr13_clr
    },
    {
        "CCGR13_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr13_tog
    },
    {
        "CCGR14",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr14
    },
    {
        "CCGR14_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr14_set
    },
    {
        "CCGR14_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr14_clr
    },
    {
        "CCGR14_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr14_tog
    },
    {
        "CCGR15",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr15
    },
    {
        "CCGR15_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr15_set
    },
    {
        "CCGR15_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr15_clr
    },
    {
        "CCGR15_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000040fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr15_tog
    },
    {
        "CCGR16",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr16
    },
    {
        "CCGR16_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr16_set
    },
    {
        "CCGR16_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr16_clr
    },
    {
        "CCGR16_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000410c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr16_tog
    },
    {
        "CCGR17",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004110, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr17
    },
    {
        "CCGR17_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004114, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr17_set
    },
    {
        "CCGR17_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004118, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr17_clr
    },
    {
        "CCGR17_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000411c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr17_tog
    },
    {
        "CCGR18",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr18
    },
    {
        "CCGR18_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr18_set
    },
    {
        "CCGR18_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr18_clr
    },
    {
        "CCGR18_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000412c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr18_tog
    },
    {
        "CCGR19",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004130, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr19
    },
    {
        "CCGR19_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004134, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr19_set
    },
    {
        "CCGR19_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004138, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr19_clr
    },
    {
        "CCGR19_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000413c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr19_tog
    },
    {
        "CCGR20",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004140, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr20
    },
    {
        "CCGR20_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004144, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr20_set
    },
    {
        "CCGR20_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004148, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr20_clr
    },
    {
        "CCGR20_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000414c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr20_tog
    },
    {
        "CCGR21",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004150, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr21
    },
    {
        "CCGR21_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004154, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr21_set
    },
    {
        "CCGR21_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004158, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr21_clr
    },
    {
        "CCGR21_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000415c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr21_tog
    },
    {
        "CCGR22",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004160, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr22
    },
    {
        "CCGR22_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004164, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr22_set
    },
    {
        "CCGR22_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004168, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr22_clr
    },
    {
        "CCGR22_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000416c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr22_tog
    },
    {
        "CCGR23",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004170, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr23
    },
    {
        "CCGR23_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004174, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr23_set
    },
    {
        "CCGR23_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004178, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr23_clr
    },
    {
        "CCGR23_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000417c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr23_tog
    },
    {
        "CCGR24",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr24
    },
    {
        "CCGR24_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr24_set
    },
    {
        "CCGR24_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr24_clr
    },
    {
        "CCGR24_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000418c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr24_tog
    },
    {
        "CCGR25",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004190, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr25
    },
    {
        "CCGR25_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004194, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr25_set
    },
    {
        "CCGR25_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004198, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr25_clr
    },
    {
        "CCGR25_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000419c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr25_tog
    },
    {
        "CCGR26",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr26
    },
    {
        "CCGR26_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr26_set
    },
    {
        "CCGR26_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr26_clr
    },
    {
        "CCGR26_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr26_tog
    },
    {
        "CCGR27",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr27
    },
    {
        "CCGR27_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr27_set
    },
    {
        "CCGR27_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr27_clr
    },
    {
        "CCGR27_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr27_tog
    },
    {
        "CCGR28",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr28
    },
    {
        "CCGR28_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr28_set
    },
    {
        "CCGR28_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr28_clr
    },
    {
        "CCGR28_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr28_tog
    },
    {
        "CCGR29",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr29
    },
    {
        "CCGR29_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr29_set
    },
    {
        "CCGR29_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr29_clr
    },
    {
        "CCGR29_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr29_tog
    },
    {
        "CCGR30",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr30
    },
    {
        "CCGR30_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr30_set
    },
    {
        "CCGR30_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr30_clr
    },
    {
        "CCGR30_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr30_tog
    },
    {
        "CCGR31",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr31
    },
    {
        "CCGR31_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr31_set
    },
    {
        "CCGR31_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr31_clr
    },
    {
        "CCGR31_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000041fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr31_tog
    },
    {
        "CCGR32",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr32
    },
    {
        "CCGR32_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr32_set
    },
    {
        "CCGR32_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr32_clr
    },
    {
        "CCGR32_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000420c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr32_tog
    },
    {
        "CCGR33",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004210, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr33
    },
    {
        "CCGR33_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004214, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr33_set
    },
    {
        "CCGR33_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004218, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr33_clr
    },
    {
        "CCGR33_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000421c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr33_tog
    },
    {
        "CCGR34",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr34
    },
    {
        "CCGR34_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr34_set
    },
    {
        "CCGR34_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr34_clr
    },
    {
        "CCGR34_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000422c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr34_tog
    },
    {
        "CCGR35",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004230, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr35
    },
    {
        "CCGR35_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004234, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr35_set
    },
    {
        "CCGR35_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004238, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr35_clr
    },
    {
        "CCGR35_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000423c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr35_tog
    },
    {
        "CCGR36",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004240, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr36
    },
    {
        "CCGR36_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004244, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr36_set
    },
    {
        "CCGR36_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004248, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr36_clr
    },
    {
        "CCGR36_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000424c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr36_tog
    },
    {
        "CCGR37",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004250, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr37
    },
    {
        "CCGR37_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004254, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr37_set
    },
    {
        "CCGR37_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004258, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr37_clr
    },
    {
        "CCGR37_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000425c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr37_tog
    },
    {
        "CCGR38",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004260, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr38
    },
    {
        "CCGR38_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004264, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr38_set
    },
    {
        "CCGR38_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004268, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr38_clr
    },
    {
        "CCGR38_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000426c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr38_tog
    },
    {
        "CCGR39",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004270, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr39
    },
    {
        "CCGR39_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004274, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr39_set
    },
    {
        "CCGR39_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004278, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr39_clr
    },
    {
        "CCGR39_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000427c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr39_tog
    },
    {
        "CCGR40",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr40
    },
    {
        "CCGR40_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr40_set
    },
    {
        "CCGR40_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr40_clr
    },
    {
        "CCGR40_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000428c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr40_tog
    },
    {
        "CCGR41",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004290, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr41
    },
    {
        "CCGR41_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004294, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr41_set
    },
    {
        "CCGR41_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004298, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr41_clr
    },
    {
        "CCGR41_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000429c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr41_tog
    },
    {
        "CCGR42",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr42
    },
    {
        "CCGR42_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr42_set
    },
    {
        "CCGR42_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr42_clr
    },
    {
        "CCGR42_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr42_tog
    },
    {
        "CCGR43",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr43
    },
    {
        "CCGR43_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr43_set
    },
    {
        "CCGR43_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr43_clr
    },
    {
        "CCGR43_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr43_tog
    },
    {
        "CCGR44",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr44
    },
    {
        "CCGR44_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr44_set
    },
    {
        "CCGR44_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr44_clr
    },
    {
        "CCGR44_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr44_tog
    },
    {
        "CCGR45",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr45
    },
    {
        "CCGR45_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr45_set
    },
    {
        "CCGR45_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr45_clr
    },
    {
        "CCGR45_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr45_tog
    },
    {
        "CCGR46",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr46
    },
    {
        "CCGR46_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr46_set
    },
    {
        "CCGR46_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr46_clr
    },
    {
        "CCGR46_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr46_tog
    },
    {
        "CCGR47",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr47
    },
    {
        "CCGR47_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr47_set
    },
    {
        "CCGR47_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr47_clr
    },
    {
        "CCGR47_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000042fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr47_tog
    },
    {
        "CCGR48",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr48
    },
    {
        "CCGR48_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr48_set
    },
    {
        "CCGR48_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr48_clr
    },
    {
        "CCGR48_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000430c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr48_tog
    },
    {
        "CCGR49",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004310, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr49
    },
    {
        "CCGR49_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004314, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr49_set
    },
    {
        "CCGR49_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004318, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr49_clr
    },
    {
        "CCGR49_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000431c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr49_tog
    },
    {
        "CCGR50",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004320, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr50
    },
    {
        "CCGR50_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004324, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr50_set
    },
    {
        "CCGR50_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004328, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr50_clr
    },
    {
        "CCGR50_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000432c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr50_tog
    },
    {
        "CCGR51",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004330, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr51
    },
    {
        "CCGR51_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004334, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr51_set
    },
    {
        "CCGR51_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004338, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr51_clr
    },
    {
        "CCGR51_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000433c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr51_tog
    },
    {
        "CCGR52",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004340, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr52
    },
    {
        "CCGR52_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004344, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr52_set
    },
    {
        "CCGR52_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004348, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr52_clr
    },
    {
        "CCGR52_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000434c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr52_tog
    },
    {
        "CCGR53",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004350, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr53
    },
    {
        "CCGR53_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004354, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr53_set
    },
    {
        "CCGR53_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004358, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr53_clr
    },
    {
        "CCGR53_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000435c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr53_tog
    },
    {
        "CCGR54",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004360, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr54
    },
    {
        "CCGR54_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004364, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr54_set
    },
    {
        "CCGR54_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004368, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr54_clr
    },
    {
        "CCGR54_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000436c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr54_tog
    },
    {
        "CCGR55",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004370, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr55
    },
    {
        "CCGR55_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004374, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr55_set
    },
    {
        "CCGR55_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004378, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr55_clr
    },
    {
        "CCGR55_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000437c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr55_tog
    },
    {
        "CCGR56",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004380, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr56
    },
    {
        "CCGR56_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004384, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr56_set
    },
    {
        "CCGR56_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004388, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr56_clr
    },
    {
        "CCGR56_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000438c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr56_tog
    },
    {
        "CCGR57",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004390, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr57
    },
    {
        "CCGR57_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004394, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr57_set
    },
    {
        "CCGR57_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004398, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr57_clr
    },
    {
        "CCGR57_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000439c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr57_tog
    },
    {
        "CCGR58",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr58
    },
    {
        "CCGR58_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr58_set
    },
    {
        "CCGR58_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr58_clr
    },
    {
        "CCGR58_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr58_tog
    },
    {
        "CCGR59",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr59
    },
    {
        "CCGR59_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr59_set
    },
    {
        "CCGR59_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr59_clr
    },
    {
        "CCGR59_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr59_tog
    },
    {
        "CCGR60",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr60
    },
    {
        "CCGR60_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr60_set
    },
    {
        "CCGR60_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr60_clr
    },
    {
        "CCGR60_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr60_tog
    },
    {
        "CCGR61",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr61
    },
    {
        "CCGR61_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr61_set
    },
    {
        "CCGR61_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr61_clr
    },
    {
        "CCGR61_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr61_tog
    },
    {
        "CCGR62",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr62
    },
    {
        "CCGR62_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr62_set
    },
    {
        "CCGR62_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr62_clr
    },
    {
        "CCGR62_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr62_tog
    },
    {
        "CCGR63",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr63
    },
    {
        "CCGR63_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr63_set
    },
    {
        "CCGR63_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr63_clr
    },
    {
        "CCGR63_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000043fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr63_tog
    },
    {
        "CCGR64",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004400, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr64
    },
    {
        "CCGR64_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr64_set
    },
    {
        "CCGR64_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr64_clr
    },
    {
        "CCGR64_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000440c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr64_tog
    },
    {
        "CCGR65",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004410, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr65
    },
    {
        "CCGR65_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004414, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr65_set
    },
    {
        "CCGR65_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004418, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr65_clr
    },
    {
        "CCGR65_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000441c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr65_tog
    },
    {
        "CCGR66",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004420, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr66
    },
    {
        "CCGR66_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004424, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr66_set
    },
    {
        "CCGR66_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004428, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr66_clr
    },
    {
        "CCGR66_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000442c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr66_tog
    },
    {
        "CCGR67",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004430, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr67
    },
    {
        "CCGR67_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004434, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr67_set
    },
    {
        "CCGR67_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004438, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr67_clr
    },
    {
        "CCGR67_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000443c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr67_tog
    },
    {
        "CCGR68",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004440, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr68
    },
    {
        "CCGR68_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004444, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr68_set
    },
    {
        "CCGR68_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004448, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr68_clr
    },
    {
        "CCGR68_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000444c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr68_tog
    },
    {
        "CCGR69",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004450, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr69
    },
    {
        "CCGR69_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004454, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr69_set
    },
    {
        "CCGR69_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004458, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr69_clr
    },
    {
        "CCGR69_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000445c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr69_tog
    },
    {
        "CCGR70",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004460, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr70
    },
    {
        "CCGR70_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004464, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr70_set
    },
    {
        "CCGR70_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004468, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr70_clr
    },
    {
        "CCGR70_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000446c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr70_tog
    },
    {
        "CCGR71",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004470, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr71
    },
    {
        "CCGR71_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004474, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr71_set
    },
    {
        "CCGR71_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004478, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr71_clr
    },
    {
        "CCGR71_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000447c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr71_tog
    },
    {
        "CCGR72",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004480, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr72
    },
    {
        "CCGR72_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr72_set
    },
    {
        "CCGR72_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004488, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr72_clr
    },
    {
        "CCGR72_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000448c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr72_tog
    },
    {
        "CCGR73",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004490, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr73
    },
    {
        "CCGR73_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004494, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr73_set
    },
    {
        "CCGR73_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004498, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr73_clr
    },
    {
        "CCGR73_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000449c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr73_tog
    },
    {
        "CCGR74",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr74
    },
    {
        "CCGR74_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr74_set
    },
    {
        "CCGR74_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr74_clr
    },
    {
        "CCGR74_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr74_tog
    },
    {
        "CCGR75",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr75
    },
    {
        "CCGR75_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr75_set
    },
    {
        "CCGR75_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr75_clr
    },
    {
        "CCGR75_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr75_tog
    },
    {
        "CCGR76",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr76
    },
    {
        "CCGR76_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr76_set
    },
    {
        "CCGR76_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr76_clr
    },
    {
        "CCGR76_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr76_tog
    },
    {
        "CCGR77",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr77
    },
    {
        "CCGR77_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr77_set
    },
    {
        "CCGR77_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr77_clr
    },
    {
        "CCGR77_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr77_tog
    },
    {
        "CCGR78",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr78
    },
    {
        "CCGR78_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr78_set
    },
    {
        "CCGR78_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr78_clr
    },
    {
        "CCGR78_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr78_tog
    },
    {
        "CCGR79",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr79
    },
    {
        "CCGR79_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr79_set
    },
    {
        "CCGR79_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr79_clr
    },
    {
        "CCGR79_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000044fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr79_tog
    },
    {
        "CCGR80",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004500, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr80
    },
    {
        "CCGR80_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr80_set
    },
    {
        "CCGR80_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004508, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr80_clr
    },
    {
        "CCGR80_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000450c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr80_tog
    },
    {
        "CCGR81",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004510, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr81
    },
    {
        "CCGR81_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004514, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr81_set
    },
    {
        "CCGR81_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004518, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr81_clr
    },
    {
        "CCGR81_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000451c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr81_tog
    },
    {
        "CCGR82",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004520, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr82
    },
    {
        "CCGR82_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004524, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr82_set
    },
    {
        "CCGR82_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004528, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr82_clr
    },
    {
        "CCGR82_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000452c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr82_tog
    },
    {
        "CCGR83",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004530, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr83
    },
    {
        "CCGR83_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004534, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr83_set
    },
    {
        "CCGR83_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004538, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr83_clr
    },
    {
        "CCGR83_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000453c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr83_tog
    },
    {
        "CCGR84",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004540, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr84
    },
    {
        "CCGR84_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004544, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr84_set
    },
    {
        "CCGR84_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004548, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr84_clr
    },
    {
        "CCGR84_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000454c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr84_tog
    },
    {
        "CCGR85",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004550, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr85
    },
    {
        "CCGR85_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004554, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr85_set
    },
    {
        "CCGR85_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004558, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr85_clr
    },
    {
        "CCGR85_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000455c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr85_tog
    },
    {
        "CCGR86",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004560, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr86
    },
    {
        "CCGR86_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004564, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr86_set
    },
    {
        "CCGR86_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004568, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr86_clr
    },
    {
        "CCGR86_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000456c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr86_tog
    },
    {
        "CCGR87",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004570, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr87
    },
    {
        "CCGR87_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004574, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr87_set
    },
    {
        "CCGR87_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004578, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr87_clr
    },
    {
        "CCGR87_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000457c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr87_tog
    },
    {
        "CCGR88",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004580, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr88
    },
    {
        "CCGR88_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr88_set
    },
    {
        "CCGR88_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004588, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr88_clr
    },
    {
        "CCGR88_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000458c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr88_tog
    },
    {
        "CCGR89",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004590, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr89
    },
    {
        "CCGR89_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004594, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr89_set
    },
    {
        "CCGR89_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004598, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr89_clr
    },
    {
        "CCGR89_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000459c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr89_tog
    },
    {
        "CCGR90",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr90
    },
    {
        "CCGR90_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr90_set
    },
    {
        "CCGR90_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr90_clr
    },
    {
        "CCGR90_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr90_tog
    },
    {
        "CCGR91",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr91
    },
    {
        "CCGR91_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr91_set
    },
    {
        "CCGR91_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr91_clr
    },
    {
        "CCGR91_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr91_tog
    },
    {
        "CCGR92",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr92
    },
    {
        "CCGR92_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr92_set
    },
    {
        "CCGR92_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr92_clr
    },
    {
        "CCGR92_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr92_tog
    },
    {
        "CCGR93",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr93
    },
    {
        "CCGR93_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr93_set
    },
    {
        "CCGR93_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr93_clr
    },
    {
        "CCGR93_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr93_tog
    },
    {
        "CCGR94",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr94
    },
    {
        "CCGR94_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr94_set
    },
    {
        "CCGR94_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr94_clr
    },
    {
        "CCGR94_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr94_tog
    },
    {
        "CCGR95",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr95
    },
    {
        "CCGR95_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr95_set
    },
    {
        "CCGR95_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr95_clr
    },
    {
        "CCGR95_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000045fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr95_tog
    },
    {
        "CCGR96",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004600, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr96
    },
    {
        "CCGR96_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr96_set
    },
    {
        "CCGR96_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr96_clr
    },
    {
        "CCGR96_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000460c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr96_tog
    },
    {
        "CCGR97",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004610, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr97
    },
    {
        "CCGR97_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004614, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr97_set
    },
    {
        "CCGR97_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004618, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr97_clr
    },
    {
        "CCGR97_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000461c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr97_tog
    },
    {
        "CCGR98",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr98
    },
    {
        "CCGR98_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004624, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr98_set
    },
    {
        "CCGR98_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004628, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr98_clr
    },
    {
        "CCGR98_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000462c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr98_tog
    },
    {
        "CCGR99",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004630, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr99
    },
    {
        "CCGR99_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004634, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr99_set
    },
    {
        "CCGR99_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004638, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr99_clr
    },
    {
        "CCGR99_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000463c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr99_tog
    },
    {
        "CCGR100",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004640, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr100
    },
    {
        "CCGR100_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004644, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr100_set
    },
    {
        "CCGR100_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004648, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr100_clr
    },
    {
        "CCGR100_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000464c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr100_tog
    },
    {
        "CCGR101",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004650, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr101
    },
    {
        "CCGR101_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004654, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr101_set
    },
    {
        "CCGR101_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004658, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr101_clr
    },
    {
        "CCGR101_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000465c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr101_tog
    },
    {
        "CCGR102",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004660, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr102
    },
    {
        "CCGR102_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004664, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr102_set
    },
    {
        "CCGR102_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004668, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr102_clr
    },
    {
        "CCGR102_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000466c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr102_tog
    },
    {
        "CCGR103",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004670, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr103
    },
    {
        "CCGR103_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004674, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr103_set
    },
    {
        "CCGR103_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004678, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr103_clr
    },
    {
        "CCGR103_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000467c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr103_tog
    },
    {
        "CCGR104",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr104
    },
    {
        "CCGR104_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr104_set
    },
    {
        "CCGR104_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004688, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr104_clr
    },
    {
        "CCGR104_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000468c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr104_tog
    },
    {
        "CCGR105",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004690, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr105
    },
    {
        "CCGR105_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004694, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr105_set
    },
    {
        "CCGR105_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004698, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr105_clr
    },
    {
        "CCGR105_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000469c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr105_tog
    },
    {
        "CCGR106",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr106
    },
    {
        "CCGR106_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr106_set
    },
    {
        "CCGR106_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr106_clr
    },
    {
        "CCGR106_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr106_tog
    },
    {
        "CCGR107",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr107
    },
    {
        "CCGR107_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr107_set
    },
    {
        "CCGR107_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr107_clr
    },
    {
        "CCGR107_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr107_tog
    },
    {
        "CCGR108",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr108
    },
    {
        "CCGR108_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr108_set
    },
    {
        "CCGR108_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr108_clr
    },
    {
        "CCGR108_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr108_tog
    },
    {
        "CCGR109",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr109
    },
    {
        "CCGR109_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr109_set
    },
    {
        "CCGR109_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr109_clr
    },
    {
        "CCGR109_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr109_tog
    },
    {
        "CCGR110",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr110
    },
    {
        "CCGR110_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr110_set
    },
    {
        "CCGR110_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr110_clr
    },
    {
        "CCGR110_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr110_tog
    },
    {
        "CCGR111",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr111
    },
    {
        "CCGR111_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr111_set
    },
    {
        "CCGR111_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr111_clr
    },
    {
        "CCGR111_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000046fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr111_tog
    },
    {
        "CCGR112",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004700, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr112
    },
    {
        "CCGR112_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004704, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr112_set
    },
    {
        "CCGR112_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004708, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr112_clr
    },
    {
        "CCGR112_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000470c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr112_tog
    },
    {
        "CCGR113",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004710, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr113
    },
    {
        "CCGR113_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004714, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr113_set
    },
    {
        "CCGR113_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004718, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr113_clr
    },
    {
        "CCGR113_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000471c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr113_tog
    },
    {
        "CCGR114",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004720, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr114
    },
    {
        "CCGR114_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004724, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr114_set
    },
    {
        "CCGR114_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004728, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr114_clr
    },
    {
        "CCGR114_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000472c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr114_tog
    },
    {
        "CCGR115",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004730, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr115
    },
    {
        "CCGR115_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004734, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr115_set
    },
    {
        "CCGR115_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004738, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr115_clr
    },
    {
        "CCGR115_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000473c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr115_tog
    },
    {
        "CCGR116",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004740, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr116
    },
    {
        "CCGR116_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004744, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr116_set
    },
    {
        "CCGR116_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004748, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr116_clr
    },
    {
        "CCGR116_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000474c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr116_tog
    },
    {
        "CCGR117",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004750, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr117
    },
    {
        "CCGR117_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004754, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr117_set
    },
    {
        "CCGR117_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004758, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr117_clr
    },
    {
        "CCGR117_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000475c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr117_tog
    },
    {
        "CCGR118",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004760, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr118
    },
    {
        "CCGR118_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004764, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr118_set
    },
    {
        "CCGR118_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004768, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr118_clr
    },
    {
        "CCGR118_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000476c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr118_tog
    },
    {
        "CCGR119",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004770, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr119
    },
    {
        "CCGR119_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004774, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr119_set
    },
    {
        "CCGR119_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004778, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr119_clr
    },
    {
        "CCGR119_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000477c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr119_tog
    },
    {
        "CCGR120",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004780, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr120
    },
    {
        "CCGR120_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004784, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr120_set
    },
    {
        "CCGR120_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004788, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr120_clr
    },
    {
        "CCGR120_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000478c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr120_tog
    },
    {
        "CCGR121",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004790, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr121
    },
    {
        "CCGR121_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004794, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr121_set
    },
    {
        "CCGR121_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004798, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr121_clr
    },
    {
        "CCGR121_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000479c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr121_tog
    },
    {
        "CCGR122",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr122
    },
    {
        "CCGR122_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr122_set
    },
    {
        "CCGR122_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr122_clr
    },
    {
        "CCGR122_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr122_tog
    },
    {
        "CCGR123",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr123
    },
    {
        "CCGR123_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr123_set
    },
    {
        "CCGR123_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr123_clr
    },
    {
        "CCGR123_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr123_tog
    },
    {
        "CCGR124",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr124
    },
    {
        "CCGR124_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr124_set
    },
    {
        "CCGR124_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr124_clr
    },
    {
        "CCGR124_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr124_tog
    },
    {
        "CCGR125",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr125
    },
    {
        "CCGR125_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr125_set
    },
    {
        "CCGR125_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr125_clr
    },
    {
        "CCGR125_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr125_tog
    },
    {
        "CCGR126",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr126
    },
    {
        "CCGR126_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr126_set
    },
    {
        "CCGR126_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr126_clr
    },
    {
        "CCGR126_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr126_tog
    },
    {
        "CCGR127",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr127
    },
    {
        "CCGR127_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr127_set
    },
    {
        "CCGR127_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr127_clr
    },
    {
        "CCGR127_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000047fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr127_tog
    },
    {
        "CCGR128",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr128
    },
    {
        "CCGR128_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr128_set
    },
    {
        "CCGR128_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr128_clr
    },
    {
        "CCGR128_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000480c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr128_tog
    },
    {
        "CCGR129",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004810, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr129
    },
    {
        "CCGR129_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004814, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr129_set
    },
    {
        "CCGR129_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004818, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr129_clr
    },
    {
        "CCGR129_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000481c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr129_tog
    },
    {
        "CCGR130",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr130
    },
    {
        "CCGR130_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr130_set
    },
    {
        "CCGR130_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr130_clr
    },
    {
        "CCGR130_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000482c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr130_tog
    },
    {
        "CCGR131",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004830, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr131
    },
    {
        "CCGR131_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004834, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr131_set
    },
    {
        "CCGR131_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004838, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr131_clr
    },
    {
        "CCGR131_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000483c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr131_tog
    },
    {
        "CCGR132",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004840, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr132
    },
    {
        "CCGR132_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004844, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr132_set
    },
    {
        "CCGR132_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004848, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr132_clr
    },
    {
        "CCGR132_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000484c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr132_tog
    },
    {
        "CCGR133",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004850, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr133
    },
    {
        "CCGR133_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004854, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr133_set
    },
    {
        "CCGR133_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004858, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr133_clr
    },
    {
        "CCGR133_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000485c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr133_tog
    },
    {
        "CCGR134",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004860, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr134
    },
    {
        "CCGR134_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004864, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr134_set
    },
    {
        "CCGR134_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004868, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr134_clr
    },
    {
        "CCGR134_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000486c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr134_tog
    },
    {
        "CCGR135",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004870, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr135
    },
    {
        "CCGR135_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004874, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr135_set
    },
    {
        "CCGR135_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004878, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr135_clr
    },
    {
        "CCGR135_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000487c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr135_tog
    },
    {
        "CCGR136",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr136
    },
    {
        "CCGR136_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr136_set
    },
    {
        "CCGR136_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr136_clr
    },
    {
        "CCGR136_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000488c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr136_tog
    },
    {
        "CCGR137",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004890, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr137
    },
    {
        "CCGR137_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004894, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr137_set
    },
    {
        "CCGR137_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004898, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr137_clr
    },
    {
        "CCGR137_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000489c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr137_tog
    },
    {
        "CCGR138",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr138
    },
    {
        "CCGR138_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr138_set
    },
    {
        "CCGR138_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr138_clr
    },
    {
        "CCGR138_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr138_tog
    },
    {
        "CCGR139",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr139
    },
    {
        "CCGR139_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr139_set
    },
    {
        "CCGR139_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr139_clr
    },
    {
        "CCGR139_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr139_tog
    },
    {
        "CCGR140",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr140
    },
    {
        "CCGR140_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr140_set
    },
    {
        "CCGR140_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr140_clr
    },
    {
        "CCGR140_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr140_tog
    },
    {
        "CCGR141",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr141
    },
    {
        "CCGR141_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr141_set
    },
    {
        "CCGR141_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr141_clr
    },
    {
        "CCGR141_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr141_tog
    },
    {
        "CCGR142",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr142
    },
    {
        "CCGR142_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr142_set
    },
    {
        "CCGR142_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr142_clr
    },
    {
        "CCGR142_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr142_tog
    },
    {
        "CCGR143",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr143
    },
    {
        "CCGR143_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr143_set
    },
    {
        "CCGR143_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr143_clr
    },
    {
        "CCGR143_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000048fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr143_tog
    },
    {
        "CCGR144",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr144
    },
    {
        "CCGR144_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr144_set
    },
    {
        "CCGR144_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr144_clr
    },
    {
        "CCGR144_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000490c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr144_tog
    },
    {
        "CCGR145",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004910, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr145
    },
    {
        "CCGR145_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004914, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr145_set
    },
    {
        "CCGR145_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004918, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr145_clr
    },
    {
        "CCGR145_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000491c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr145_tog
    },
    {
        "CCGR146",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr146
    },
    {
        "CCGR146_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr146_set
    },
    {
        "CCGR146_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr146_clr
    },
    {
        "CCGR146_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000492c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr146_tog
    },
    {
        "CCGR147",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004930, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr147
    },
    {
        "CCGR147_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004934, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr147_set
    },
    {
        "CCGR147_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004938, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr147_clr
    },
    {
        "CCGR147_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000493c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr147_tog
    },
    {
        "CCGR148",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004940, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr148
    },
    {
        "CCGR148_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004944, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr148_set
    },
    {
        "CCGR148_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004948, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr148_clr
    },
    {
        "CCGR148_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000494c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr148_tog
    },
    {
        "CCGR149",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004950, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr149
    },
    {
        "CCGR149_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004954, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr149_set
    },
    {
        "CCGR149_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004958, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr149_clr
    },
    {
        "CCGR149_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000495c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr149_tog
    },
    {
        "CCGR150",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004960, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr150
    },
    {
        "CCGR150_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004964, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr150_set
    },
    {
        "CCGR150_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004968, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr150_clr
    },
    {
        "CCGR150_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000496c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr150_tog
    },
    {
        "CCGR151",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004970, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr151
    },
    {
        "CCGR151_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004974, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr151_set
    },
    {
        "CCGR151_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004978, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr151_clr
    },
    {
        "CCGR151_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000497c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr151_tog
    },
    {
        "CCGR152",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr152
    },
    {
        "CCGR152_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr152_set
    },
    {
        "CCGR152_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr152_clr
    },
    {
        "CCGR152_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000498c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr152_tog
    },
    {
        "CCGR153",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004990, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr153
    },
    {
        "CCGR153_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004994, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr153_set
    },
    {
        "CCGR153_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004998, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr153_clr
    },
    {
        "CCGR153_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x0000499c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr153_tog
    },
    {
        "CCGR154",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr154
    },
    {
        "CCGR154_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr154_set
    },
    {
        "CCGR154_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr154_clr
    },
    {
        "CCGR154_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr154_tog
    },
    {
        "CCGR155",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr155
    },
    {
        "CCGR155_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049b4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr155_set
    },
    {
        "CCGR155_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049b8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr155_clr
    },
    {
        "CCGR155_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049bc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr155_tog
    },
    {
        "CCGR156",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr156
    },
    {
        "CCGR156_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr156_set
    },
    {
        "CCGR156_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049c8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr156_clr
    },
    {
        "CCGR156_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049cc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr156_tog
    },
    {
        "CCGR157",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr157
    },
    {
        "CCGR157_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049d4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr157_set
    },
    {
        "CCGR157_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049d8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr157_clr
    },
    {
        "CCGR157_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049dc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr157_tog
    },
    {
        "CCGR158",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr158
    },
    {
        "CCGR158_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049e4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr158_set
    },
    {
        "CCGR158_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049e8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr158_clr
    },
    {
        "CCGR158_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049ec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr158_tog
    },
    {
        "CCGR159",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr159
    },
    {
        "CCGR159_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr159_set
    },
    {
        "CCGR159_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr159_clr
    },
    {
        "CCGR159_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x000049fc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr159_tog
    },
    {
        "CCGR160",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr160
    },
    {
        "CCGR160_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr160_set
    },
    {
        "CCGR160_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr160_clr
    },
    {
        "CCGR160_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr160_tog
    },
    {
        "CCGR161",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a10, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr161
    },
    {
        "CCGR161_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a14, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr161_set
    },
    {
        "CCGR161_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a18, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr161_clr
    },
    {
        "CCGR161_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a1c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr161_tog
    },
    {
        "CCGR162",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr162
    },
    {
        "CCGR162_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr162_set
    },
    {
        "CCGR162_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr162_clr
    },
    {
        "CCGR162_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr162_tog
    },
    {
        "CCGR163",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a30, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr163
    },
    {
        "CCGR163_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a34, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr163_set
    },
    {
        "CCGR163_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a38, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr163_clr
    },
    {
        "CCGR163_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a3c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr163_tog
    },
    {
        "CCGR164",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a40, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr164
    },
    {
        "CCGR164_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a44, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr164_set
    },
    {
        "CCGR164_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a48, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr164_clr
    },
    {
        "CCGR164_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a4c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr164_tog
    },
    {
        "CCGR165",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a50, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr165
    },
    {
        "CCGR165_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a54, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr165_set
    },
    {
        "CCGR165_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a58, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr165_clr
    },
    {
        "CCGR165_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a5c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr165_tog
    },
    {
        "CCGR166",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a60, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr166
    },
    {
        "CCGR166_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a64, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr166_set
    },
    {
        "CCGR166_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a68, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr166_clr
    },
    {
        "CCGR166_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a6c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr166_tog
    },
    {
        "CCGR167",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a70, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr167
    },
    {
        "CCGR167_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a74, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr167_set
    },
    {
        "CCGR167_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a78, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr167_clr
    },
    {
        "CCGR167_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a7c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr167_tog
    },
    {
        "CCGR168",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr168
    },
    {
        "CCGR168_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr168_set
    },
    {
        "CCGR168_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr168_clr
    },
    {
        "CCGR168_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr168_tog
    },
    {
        "CCGR169",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a90, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr169
    },
    {
        "CCGR169_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a94, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr169_set
    },
    {
        "CCGR169_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a98, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr169_clr
    },
    {
        "CCGR169_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004a9c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr169_tog
    },
    {
        "CCGR170",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr170
    },
    {
        "CCGR170_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr170_set
    },
    {
        "CCGR170_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr170_clr
    },
    {
        "CCGR170_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr170_tog
    },
    {
        "CCGR171",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ab0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr171
    },
    {
        "CCGR171_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ab4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr171_set
    },
    {
        "CCGR171_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ab8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr171_clr
    },
    {
        "CCGR171_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004abc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr171_tog
    },
    {
        "CCGR172",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ac0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr172
    },
    {
        "CCGR172_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ac4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr172_set
    },
    {
        "CCGR172_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ac8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr172_clr
    },
    {
        "CCGR172_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004acc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr172_tog
    },
    {
        "CCGR173",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ad0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr173
    },
    {
        "CCGR173_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ad4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr173_set
    },
    {
        "CCGR173_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ad8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr173_clr
    },
    {
        "CCGR173_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004adc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr173_tog
    },
    {
        "CCGR174",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ae0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr174
    },
    {
        "CCGR174_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ae4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr174_set
    },
    {
        "CCGR174_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ae8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr174_clr
    },
    {
        "CCGR174_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004aec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr174_tog
    },
    {
        "CCGR175",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004af0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr175
    },
    {
        "CCGR175_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004af4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr175_set
    },
    {
        "CCGR175_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004af8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr175_clr
    },
    {
        "CCGR175_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004afc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr175_tog
    },
    {
        "CCGR176",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr176
    },
    {
        "CCGR176_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr176_set
    },
    {
        "CCGR176_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr176_clr
    },
    {
        "CCGR176_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr176_tog
    },
    {
        "CCGR177",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b10, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr177
    },
    {
        "CCGR177_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b14, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr177_set
    },
    {
        "CCGR177_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b18, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr177_clr
    },
    {
        "CCGR177_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b1c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr177_tog
    },
    {
        "CCGR178",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr178
    },
    {
        "CCGR178_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr178_set
    },
    {
        "CCGR178_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr178_clr
    },
    {
        "CCGR178_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr178_tog
    },
    {
        "CCGR179",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b30, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr179
    },
    {
        "CCGR179_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b34, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr179_set
    },
    {
        "CCGR179_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b38, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr179_clr
    },
    {
        "CCGR179_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b3c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr179_tog
    },
    {
        "CCGR180",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b40, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr180
    },
    {
        "CCGR180_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b44, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr180_set
    },
    {
        "CCGR180_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b48, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr180_clr
    },
    {
        "CCGR180_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b4c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr180_tog
    },
    {
        "CCGR181",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b50, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr181
    },
    {
        "CCGR181_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b54, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr181_set
    },
    {
        "CCGR181_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b58, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr181_clr
    },
    {
        "CCGR181_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b5c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr181_tog
    },
    {
        "CCGR182",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b60, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr182
    },
    {
        "CCGR182_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b64, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr182_set
    },
    {
        "CCGR182_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b68, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr182_clr
    },
    {
        "CCGR182_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b6c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr182_tog
    },
    {
        "CCGR183",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b70, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr183
    },
    {
        "CCGR183_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b74, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr183_set
    },
    {
        "CCGR183_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b78, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr183_clr
    },
    {
        "CCGR183_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b7c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr183_tog
    },
    {
        "CCGR184",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr184
    },
    {
        "CCGR184_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr184_set
    },
    {
        "CCGR184_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr184_clr
    },
    {
        "CCGR184_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr184_tog
    },
    {
        "CCGR185",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b90, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr185
    },
    {
        "CCGR185_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b94, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr185_set
    },
    {
        "CCGR185_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b98, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr185_clr
    },
    {
        "CCGR185_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004b9c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr185_tog
    },
    {
        "CCGR186",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ba0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr186
    },
    {
        "CCGR186_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ba4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr186_set
    },
    {
        "CCGR186_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004ba8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr186_clr
    },
    {
        "CCGR186_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr186_tog
    },
    {
        "CCGR187",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bb0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr187
    },
    {
        "CCGR187_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bb4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr187_set
    },
    {
        "CCGR187_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bb8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr187_clr
    },
    {
        "CCGR187_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bbc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr187_tog
    },
    {
        "CCGR188",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bc0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr188
    },
    {
        "CCGR188_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bc4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr188_set
    },
    {
        "CCGR188_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bc8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr188_clr
    },
    {
        "CCGR188_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bcc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr188_tog
    },
    {
        "CCGR189",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bd0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr189
    },
    {
        "CCGR189_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bd4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr189_set
    },
    {
        "CCGR189_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bd8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr189_clr
    },
    {
        "CCGR189_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bdc, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr189_tog
    },
    {
        "CCGR190",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004be0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr190
    },
    {
        "CCGR190_SET",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004be4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr190_set
    },
    {
        "CCGR190_CLR",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004be8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr190_clr
    },
    {
        "CCGR190_TOG",
        "Not all CCGRs are mapped.",
        4, // Width in bytes
        0x00004bec, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_ccgr190_tog
    },
    {
        "TARGET_ROOT0",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root0
    },
    {
        "TARGET_ROOT0_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root0_set
    },
    {
        "TARGET_ROOT0_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root0_clr
    },
    {
        "TARGET_ROOT0_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000800c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root0_tog
    },
    {
        "MISC0",
        "MISC",
        4, // Width in bytes
        0x00008010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc0
    },
    {
        "MISC_ROOT0_SET",
        "Misc",
        4, // Width in bytes
        0x00008014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root0_set
    },
    {
        "MISC_ROOT0_CLR",
        "MISC",
        4, // Width in bytes
        0x00008018, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root0_clr
    },
    {
        "MISC_ROOT0_TOG",
        "MISC",
        4, // Width in bytes
        0x0000801c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root0_tog
    },
    {
        "POST0",
        "Post Register",
        4, // Width in bytes
        0x00008020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post0
    },
    {
        "POST_ROOT0_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root0_set
    },
    {
        "POST_ROOT0_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root0_clr
    },
    {
        "POST_ROOT0_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000802c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root0_tog
    },
    {
        "PRE0",
        "Pre Register",
        4, // Width in bytes
        0x00008030, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre0
    },
    {
        "PRE_ROOT0_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008034, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root0_set
    },
    {
        "PRE_ROOT0_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root0_clr
    },
    {
        "PRE_ROOT0_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000803c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root0_tog
    },
    {
        "ACCESS_CTRL0",
        "Access Control Register",
        4, // Width in bytes
        0x00008070, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl0
    },
    {
        "ACCESS_CTRL_ROOT0_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008074, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root0_set
    },
    {
        "ACCESS_CTRL_ROOT0_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008078, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root0_clr
    },
    {
        "ACCESS_CTRL_ROOT0_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000807c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root0_tog
    },
    {
        "TARGET_ROOT1",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root1
    },
    {
        "TARGET_ROOT1_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root1_set
    },
    {
        "TARGET_ROOT1_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root1_clr
    },
    {
        "TARGET_ROOT1_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000808c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root1_tog
    },
    {
        "MISC1",
        "MISC",
        4, // Width in bytes
        0x00008090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc1
    },
    {
        "MISC_ROOT1_SET",
        "Misc",
        4, // Width in bytes
        0x00008094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root1_set
    },
    {
        "MISC_ROOT1_CLR",
        "MISC",
        4, // Width in bytes
        0x00008098, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root1_clr
    },
    {
        "MISC_ROOT1_TOG",
        "MISC",
        4, // Width in bytes
        0x0000809c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root1_tog
    },
    {
        "POST1",
        "Post Register",
        4, // Width in bytes
        0x000080a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post1
    },
    {
        "POST_ROOT1_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000080a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root1_set
    },
    {
        "POST_ROOT1_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000080a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root1_clr
    },
    {
        "POST_ROOT1_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000080ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root1_tog
    },
    {
        "PRE1",
        "Pre Register",
        4, // Width in bytes
        0x000080b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre1
    },
    {
        "PRE_ROOT1_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000080b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root1_set
    },
    {
        "PRE_ROOT1_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000080b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root1_clr
    },
    {
        "PRE_ROOT1_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000080bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root1_tog
    },
    {
        "ACCESS_CTRL1",
        "Access Control Register",
        4, // Width in bytes
        0x000080f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl1
    },
    {
        "ACCESS_CTRL_ROOT1_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000080f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root1_set
    },
    {
        "ACCESS_CTRL_ROOT1_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000080f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root1_clr
    },
    {
        "ACCESS_CTRL_ROOT1_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000080fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root1_tog
    },
    {
        "TARGET_ROOT2",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root2
    },
    {
        "TARGET_ROOT2_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root2_set
    },
    {
        "TARGET_ROOT2_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root2_clr
    },
    {
        "TARGET_ROOT2_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000810c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root2_tog
    },
    {
        "MISC2",
        "MISC",
        4, // Width in bytes
        0x00008110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc2
    },
    {
        "MISC_ROOT2_SET",
        "Misc",
        4, // Width in bytes
        0x00008114, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root2_set
    },
    {
        "MISC_ROOT2_CLR",
        "MISC",
        4, // Width in bytes
        0x00008118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root2_clr
    },
    {
        "MISC_ROOT2_TOG",
        "MISC",
        4, // Width in bytes
        0x0000811c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root2_tog
    },
    {
        "POST2",
        "Post Register",
        4, // Width in bytes
        0x00008120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post2
    },
    {
        "POST_ROOT2_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root2_set
    },
    {
        "POST_ROOT2_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root2_clr
    },
    {
        "POST_ROOT2_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000812c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root2_tog
    },
    {
        "PRE2",
        "Pre Register",
        4, // Width in bytes
        0x00008130, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre2
    },
    {
        "PRE_ROOT2_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008134, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root2_set
    },
    {
        "PRE_ROOT2_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008138, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root2_clr
    },
    {
        "PRE_ROOT2_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000813c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root2_tog
    },
    {
        "ACCESS_CTRL2",
        "Access Control Register",
        4, // Width in bytes
        0x00008170, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl2
    },
    {
        "ACCESS_CTRL_ROOT2_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008174, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root2_set
    },
    {
        "ACCESS_CTRL_ROOT2_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008178, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root2_clr
    },
    {
        "ACCESS_CTRL_ROOT2_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000817c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root2_tog
    },
    {
        "TARGET_ROOT3",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root3
    },
    {
        "TARGET_ROOT3_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root3_set
    },
    {
        "TARGET_ROOT3_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root3_clr
    },
    {
        "TARGET_ROOT3_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000818c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root3_tog
    },
    {
        "MISC3",
        "MISC",
        4, // Width in bytes
        0x00008190, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc3
    },
    {
        "MISC_ROOT3_SET",
        "Misc",
        4, // Width in bytes
        0x00008194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root3_set
    },
    {
        "MISC_ROOT3_CLR",
        "MISC",
        4, // Width in bytes
        0x00008198, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root3_clr
    },
    {
        "MISC_ROOT3_TOG",
        "MISC",
        4, // Width in bytes
        0x0000819c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root3_tog
    },
    {
        "POST3",
        "Post Register",
        4, // Width in bytes
        0x000081a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post3
    },
    {
        "POST_ROOT3_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000081a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root3_set
    },
    {
        "POST_ROOT3_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000081a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root3_clr
    },
    {
        "POST_ROOT3_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000081ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root3_tog
    },
    {
        "PRE3",
        "Pre Register",
        4, // Width in bytes
        0x000081b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre3
    },
    {
        "PRE_ROOT3_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000081b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root3_set
    },
    {
        "PRE_ROOT3_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000081b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root3_clr
    },
    {
        "PRE_ROOT3_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000081bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root3_tog
    },
    {
        "ACCESS_CTRL3",
        "Access Control Register",
        4, // Width in bytes
        0x000081f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl3
    },
    {
        "ACCESS_CTRL_ROOT3_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000081f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root3_set
    },
    {
        "ACCESS_CTRL_ROOT3_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000081f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root3_clr
    },
    {
        "ACCESS_CTRL_ROOT3_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000081fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root3_tog
    },
    {
        "TARGET_ROOT4",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root4
    },
    {
        "TARGET_ROOT4_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root4_set
    },
    {
        "TARGET_ROOT4_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root4_clr
    },
    {
        "TARGET_ROOT4_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000820c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root4_tog
    },
    {
        "MISC4",
        "MISC",
        4, // Width in bytes
        0x00008210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc4
    },
    {
        "MISC_ROOT4_SET",
        "Misc",
        4, // Width in bytes
        0x00008214, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root4_set
    },
    {
        "MISC_ROOT4_CLR",
        "MISC",
        4, // Width in bytes
        0x00008218, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root4_clr
    },
    {
        "MISC_ROOT4_TOG",
        "MISC",
        4, // Width in bytes
        0x0000821c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root4_tog
    },
    {
        "POST4",
        "Post Register",
        4, // Width in bytes
        0x00008220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post4
    },
    {
        "POST_ROOT4_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root4_set
    },
    {
        "POST_ROOT4_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root4_clr
    },
    {
        "POST_ROOT4_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000822c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root4_tog
    },
    {
        "PRE4",
        "Pre Register",
        4, // Width in bytes
        0x00008230, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre4
    },
    {
        "PRE_ROOT4_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008234, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root4_set
    },
    {
        "PRE_ROOT4_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008238, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root4_clr
    },
    {
        "PRE_ROOT4_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000823c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root4_tog
    },
    {
        "ACCESS_CTRL4",
        "Access Control Register",
        4, // Width in bytes
        0x00008270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl4
    },
    {
        "ACCESS_CTRL_ROOT4_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root4_set
    },
    {
        "ACCESS_CTRL_ROOT4_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root4_clr
    },
    {
        "ACCESS_CTRL_ROOT4_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000827c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root4_tog
    },
    {
        "TARGET_ROOT16",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root16
    },
    {
        "TARGET_ROOT16_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root16_set
    },
    {
        "TARGET_ROOT16_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root16_clr
    },
    {
        "TARGET_ROOT16_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000880c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root16_tog
    },
    {
        "MISC16",
        "MISC",
        4, // Width in bytes
        0x00008810, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc16
    },
    {
        "MISC_ROOT16_SET",
        "Misc",
        4, // Width in bytes
        0x00008814, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root16_set
    },
    {
        "MISC_ROOT16_CLR",
        "MISC",
        4, // Width in bytes
        0x00008818, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root16_clr
    },
    {
        "MISC_ROOT16_TOG",
        "MISC",
        4, // Width in bytes
        0x0000881c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root16_tog
    },
    {
        "POST16",
        "Post Register",
        4, // Width in bytes
        0x00008820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post16
    },
    {
        "POST_ROOT16_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root16_set
    },
    {
        "POST_ROOT16_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root16_clr
    },
    {
        "POST_ROOT16_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000882c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root16_tog
    },
    {
        "PRE16",
        "Pre Register",
        4, // Width in bytes
        0x00008830, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre16
    },
    {
        "PRE_ROOT16_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008834, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root16_set
    },
    {
        "PRE_ROOT16_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root16_clr
    },
    {
        "PRE_ROOT16_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000883c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root16_tog
    },
    {
        "ACCESS_CTRL16",
        "Access Control Register",
        4, // Width in bytes
        0x00008870, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl16
    },
    {
        "ACCESS_CTRL_ROOT16_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008874, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root16_set
    },
    {
        "ACCESS_CTRL_ROOT16_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008878, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root16_clr
    },
    {
        "ACCESS_CTRL_ROOT16_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000887c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root16_tog
    },
    {
        "TARGET_ROOT17",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root17
    },
    {
        "TARGET_ROOT17_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root17_set
    },
    {
        "TARGET_ROOT17_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root17_clr
    },
    {
        "TARGET_ROOT17_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000888c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root17_tog
    },
    {
        "MISC17",
        "MISC",
        4, // Width in bytes
        0x00008890, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc17
    },
    {
        "MISC_ROOT17_SET",
        "Misc",
        4, // Width in bytes
        0x00008894, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root17_set
    },
    {
        "MISC_ROOT17_CLR",
        "MISC",
        4, // Width in bytes
        0x00008898, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root17_clr
    },
    {
        "MISC_ROOT17_TOG",
        "MISC",
        4, // Width in bytes
        0x0000889c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root17_tog
    },
    {
        "POST17",
        "Post Register",
        4, // Width in bytes
        0x000088a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post17
    },
    {
        "POST_ROOT17_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000088a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root17_set
    },
    {
        "POST_ROOT17_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000088a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root17_clr
    },
    {
        "POST_ROOT17_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000088ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root17_tog
    },
    {
        "PRE17",
        "Pre Register",
        4, // Width in bytes
        0x000088b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre17
    },
    {
        "PRE_ROOT17_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000088b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root17_set
    },
    {
        "PRE_ROOT17_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000088b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root17_clr
    },
    {
        "PRE_ROOT17_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000088bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root17_tog
    },
    {
        "ACCESS_CTRL17",
        "Access Control Register",
        4, // Width in bytes
        0x000088f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl17
    },
    {
        "ACCESS_CTRL_ROOT17_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000088f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root17_set
    },
    {
        "ACCESS_CTRL_ROOT17_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000088f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root17_clr
    },
    {
        "ACCESS_CTRL_ROOT17_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000088fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root17_tog
    },
    {
        "TARGET_ROOT18",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root18
    },
    {
        "TARGET_ROOT18_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root18_set
    },
    {
        "TARGET_ROOT18_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root18_clr
    },
    {
        "TARGET_ROOT18_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000890c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root18_tog
    },
    {
        "MISC18",
        "MISC",
        4, // Width in bytes
        0x00008910, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc18
    },
    {
        "MISC_ROOT18_SET",
        "Misc",
        4, // Width in bytes
        0x00008914, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root18_set
    },
    {
        "MISC_ROOT18_CLR",
        "MISC",
        4, // Width in bytes
        0x00008918, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root18_clr
    },
    {
        "MISC_ROOT18_TOG",
        "MISC",
        4, // Width in bytes
        0x0000891c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root18_tog
    },
    {
        "POST18",
        "Post Register",
        4, // Width in bytes
        0x00008920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post18
    },
    {
        "POST_ROOT18_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root18_set
    },
    {
        "POST_ROOT18_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root18_clr
    },
    {
        "POST_ROOT18_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000892c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root18_tog
    },
    {
        "PRE18",
        "Pre Register",
        4, // Width in bytes
        0x00008930, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre18
    },
    {
        "PRE_ROOT18_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008934, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root18_set
    },
    {
        "PRE_ROOT18_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008938, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root18_clr
    },
    {
        "PRE_ROOT18_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000893c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root18_tog
    },
    {
        "ACCESS_CTRL18",
        "Access Control Register",
        4, // Width in bytes
        0x00008970, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl18
    },
    {
        "ACCESS_CTRL_ROOT18_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008974, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root18_set
    },
    {
        "ACCESS_CTRL_ROOT18_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008978, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root18_clr
    },
    {
        "ACCESS_CTRL_ROOT18_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000897c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root18_tog
    },
    {
        "TARGET_ROOT19",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root19
    },
    {
        "TARGET_ROOT19_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root19_set
    },
    {
        "TARGET_ROOT19_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root19_clr
    },
    {
        "TARGET_ROOT19_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000898c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root19_tog
    },
    {
        "MISC19",
        "MISC",
        4, // Width in bytes
        0x00008990, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc19
    },
    {
        "MISC_ROOT19_SET",
        "Misc",
        4, // Width in bytes
        0x00008994, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root19_set
    },
    {
        "MISC_ROOT19_CLR",
        "MISC",
        4, // Width in bytes
        0x00008998, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root19_clr
    },
    {
        "MISC_ROOT19_TOG",
        "MISC",
        4, // Width in bytes
        0x0000899c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root19_tog
    },
    {
        "POST19",
        "Post Register",
        4, // Width in bytes
        0x000089a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post19
    },
    {
        "POST_ROOT19_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000089a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root19_set
    },
    {
        "POST_ROOT19_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000089a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root19_clr
    },
    {
        "POST_ROOT19_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000089ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root19_tog
    },
    {
        "PRE19",
        "Pre Register",
        4, // Width in bytes
        0x000089b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre19
    },
    {
        "PRE_ROOT19_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000089b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root19_set
    },
    {
        "PRE_ROOT19_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000089b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root19_clr
    },
    {
        "PRE_ROOT19_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000089bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root19_tog
    },
    {
        "ACCESS_CTRL19",
        "Access Control Register",
        4, // Width in bytes
        0x000089f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl19
    },
    {
        "ACCESS_CTRL_ROOT19_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000089f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root19_set
    },
    {
        "ACCESS_CTRL_ROOT19_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000089f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root19_clr
    },
    {
        "ACCESS_CTRL_ROOT19_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000089fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root19_tog
    },
    {
        "TARGET_ROOT20",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root20
    },
    {
        "TARGET_ROOT20_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root20_set
    },
    {
        "TARGET_ROOT20_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root20_clr
    },
    {
        "TARGET_ROOT20_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root20_tog
    },
    {
        "MISC20",
        "MISC",
        4, // Width in bytes
        0x00008a10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc20
    },
    {
        "MISC_ROOT20_SET",
        "Misc",
        4, // Width in bytes
        0x00008a14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root20_set
    },
    {
        "MISC_ROOT20_CLR",
        "MISC",
        4, // Width in bytes
        0x00008a18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root20_clr
    },
    {
        "MISC_ROOT20_TOG",
        "MISC",
        4, // Width in bytes
        0x00008a1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root20_tog
    },
    {
        "POST20",
        "Post Register",
        4, // Width in bytes
        0x00008a20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post20
    },
    {
        "POST_ROOT20_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008a24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root20_set
    },
    {
        "POST_ROOT20_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008a28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root20_clr
    },
    {
        "POST_ROOT20_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008a2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root20_tog
    },
    {
        "PRE20",
        "Pre Register",
        4, // Width in bytes
        0x00008a30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre20
    },
    {
        "PRE_ROOT20_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008a34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root20_set
    },
    {
        "PRE_ROOT20_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008a38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root20_clr
    },
    {
        "PRE_ROOT20_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008a3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root20_tog
    },
    {
        "ACCESS_CTRL20",
        "Access Control Register",
        4, // Width in bytes
        0x00008a70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl20
    },
    {
        "ACCESS_CTRL_ROOT20_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008a74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root20_set
    },
    {
        "ACCESS_CTRL_ROOT20_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008a78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root20_clr
    },
    {
        "ACCESS_CTRL_ROOT20_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008a7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root20_tog
    },
    {
        "TARGET_ROOT21",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root21
    },
    {
        "TARGET_ROOT21_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root21_set
    },
    {
        "TARGET_ROOT21_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root21_clr
    },
    {
        "TARGET_ROOT21_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008a8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root21_tog
    },
    {
        "MISC21",
        "MISC",
        4, // Width in bytes
        0x00008a90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc21
    },
    {
        "MISC_ROOT21_SET",
        "Misc",
        4, // Width in bytes
        0x00008a94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root21_set
    },
    {
        "MISC_ROOT21_CLR",
        "MISC",
        4, // Width in bytes
        0x00008a98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root21_clr
    },
    {
        "MISC_ROOT21_TOG",
        "MISC",
        4, // Width in bytes
        0x00008a9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root21_tog
    },
    {
        "POST21",
        "Post Register",
        4, // Width in bytes
        0x00008aa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post21
    },
    {
        "POST_ROOT21_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008aa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root21_set
    },
    {
        "POST_ROOT21_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008aa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root21_clr
    },
    {
        "POST_ROOT21_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008aac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root21_tog
    },
    {
        "PRE21",
        "Pre Register",
        4, // Width in bytes
        0x00008ab0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre21
    },
    {
        "PRE_ROOT21_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008ab4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root21_set
    },
    {
        "PRE_ROOT21_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008ab8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root21_clr
    },
    {
        "PRE_ROOT21_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008abc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root21_tog
    },
    {
        "ACCESS_CTRL21",
        "Access Control Register",
        4, // Width in bytes
        0x00008af0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl21
    },
    {
        "ACCESS_CTRL_ROOT21_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008af4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root21_set
    },
    {
        "ACCESS_CTRL_ROOT21_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008af8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root21_clr
    },
    {
        "ACCESS_CTRL_ROOT21_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008afc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root21_tog
    },
    {
        "TARGET_ROOT22",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root22
    },
    {
        "TARGET_ROOT22_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root22_set
    },
    {
        "TARGET_ROOT22_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root22_clr
    },
    {
        "TARGET_ROOT22_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root22_tog
    },
    {
        "MISC22",
        "MISC",
        4, // Width in bytes
        0x00008b10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc22
    },
    {
        "MISC_ROOT22_SET",
        "Misc",
        4, // Width in bytes
        0x00008b14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root22_set
    },
    {
        "MISC_ROOT22_CLR",
        "MISC",
        4, // Width in bytes
        0x00008b18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root22_clr
    },
    {
        "MISC_ROOT22_TOG",
        "MISC",
        4, // Width in bytes
        0x00008b1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root22_tog
    },
    {
        "POST22",
        "Post Register",
        4, // Width in bytes
        0x00008b20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post22
    },
    {
        "POST_ROOT22_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008b24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root22_set
    },
    {
        "POST_ROOT22_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008b28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root22_clr
    },
    {
        "POST_ROOT22_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008b2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root22_tog
    },
    {
        "PRE22",
        "Pre Register",
        4, // Width in bytes
        0x00008b30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre22
    },
    {
        "PRE_ROOT22_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008b34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root22_set
    },
    {
        "PRE_ROOT22_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008b38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root22_clr
    },
    {
        "PRE_ROOT22_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008b3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root22_tog
    },
    {
        "ACCESS_CTRL22",
        "Access Control Register",
        4, // Width in bytes
        0x00008b70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl22
    },
    {
        "ACCESS_CTRL_ROOT22_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008b74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root22_set
    },
    {
        "ACCESS_CTRL_ROOT22_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008b78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root22_clr
    },
    {
        "ACCESS_CTRL_ROOT22_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008b7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root22_tog
    },
    {
        "TARGET_ROOT23",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root23
    },
    {
        "TARGET_ROOT23_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root23_set
    },
    {
        "TARGET_ROOT23_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root23_clr
    },
    {
        "TARGET_ROOT23_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008b8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root23_tog
    },
    {
        "MISC23",
        "MISC",
        4, // Width in bytes
        0x00008b90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc23
    },
    {
        "MISC_ROOT23_SET",
        "Misc",
        4, // Width in bytes
        0x00008b94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root23_set
    },
    {
        "MISC_ROOT23_CLR",
        "MISC",
        4, // Width in bytes
        0x00008b98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root23_clr
    },
    {
        "MISC_ROOT23_TOG",
        "MISC",
        4, // Width in bytes
        0x00008b9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root23_tog
    },
    {
        "POST23",
        "Post Register",
        4, // Width in bytes
        0x00008ba0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post23
    },
    {
        "POST_ROOT23_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008ba4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root23_set
    },
    {
        "POST_ROOT23_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008ba8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root23_clr
    },
    {
        "POST_ROOT23_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008bac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root23_tog
    },
    {
        "PRE23",
        "Pre Register",
        4, // Width in bytes
        0x00008bb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre23
    },
    {
        "PRE_ROOT23_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008bb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root23_set
    },
    {
        "PRE_ROOT23_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008bb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root23_clr
    },
    {
        "PRE_ROOT23_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008bbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root23_tog
    },
    {
        "ACCESS_CTRL23",
        "Access Control Register",
        4, // Width in bytes
        0x00008bf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl23
    },
    {
        "ACCESS_CTRL_ROOT23_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008bf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root23_set
    },
    {
        "ACCESS_CTRL_ROOT23_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008bf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root23_clr
    },
    {
        "ACCESS_CTRL_ROOT23_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008bfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root23_tog
    },
    {
        "TARGET_ROOT24",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root24
    },
    {
        "TARGET_ROOT24_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root24_set
    },
    {
        "TARGET_ROOT24_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root24_clr
    },
    {
        "TARGET_ROOT24_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root24_tog
    },
    {
        "MISC24",
        "MISC",
        4, // Width in bytes
        0x00008c10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc24
    },
    {
        "MISC_ROOT24_SET",
        "Misc",
        4, // Width in bytes
        0x00008c14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root24_set
    },
    {
        "MISC_ROOT24_CLR",
        "MISC",
        4, // Width in bytes
        0x00008c18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root24_clr
    },
    {
        "MISC_ROOT24_TOG",
        "MISC",
        4, // Width in bytes
        0x00008c1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root24_tog
    },
    {
        "POST24",
        "Post Register",
        4, // Width in bytes
        0x00008c20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post24
    },
    {
        "POST_ROOT24_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008c24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root24_set
    },
    {
        "POST_ROOT24_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008c28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root24_clr
    },
    {
        "POST_ROOT24_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008c2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root24_tog
    },
    {
        "PRE24",
        "Pre Register",
        4, // Width in bytes
        0x00008c30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre24
    },
    {
        "PRE_ROOT24_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008c34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root24_set
    },
    {
        "PRE_ROOT24_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008c38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root24_clr
    },
    {
        "PRE_ROOT24_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008c3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root24_tog
    },
    {
        "ACCESS_CTRL24",
        "Access Control Register",
        4, // Width in bytes
        0x00008c70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl24
    },
    {
        "ACCESS_CTRL_ROOT24_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008c74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root24_set
    },
    {
        "ACCESS_CTRL_ROOT24_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008c78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root24_clr
    },
    {
        "ACCESS_CTRL_ROOT24_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008c7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root24_tog
    },
    {
        "TARGET_ROOT25",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root25
    },
    {
        "TARGET_ROOT25_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root25_set
    },
    {
        "TARGET_ROOT25_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root25_clr
    },
    {
        "TARGET_ROOT25_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008c8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root25_tog
    },
    {
        "MISC25",
        "MISC",
        4, // Width in bytes
        0x00008c90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc25
    },
    {
        "MISC_ROOT25_SET",
        "Misc",
        4, // Width in bytes
        0x00008c94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root25_set
    },
    {
        "MISC_ROOT25_CLR",
        "MISC",
        4, // Width in bytes
        0x00008c98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root25_clr
    },
    {
        "MISC_ROOT25_TOG",
        "MISC",
        4, // Width in bytes
        0x00008c9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root25_tog
    },
    {
        "POST25",
        "Post Register",
        4, // Width in bytes
        0x00008ca0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post25
    },
    {
        "POST_ROOT25_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008ca4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root25_set
    },
    {
        "POST_ROOT25_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008ca8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root25_clr
    },
    {
        "POST_ROOT25_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008cac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root25_tog
    },
    {
        "PRE25",
        "Pre Register",
        4, // Width in bytes
        0x00008cb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre25
    },
    {
        "PRE_ROOT25_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008cb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root25_set
    },
    {
        "PRE_ROOT25_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008cb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root25_clr
    },
    {
        "PRE_ROOT25_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008cbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root25_tog
    },
    {
        "ACCESS_CTRL25",
        "Access Control Register",
        4, // Width in bytes
        0x00008cf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl25
    },
    {
        "ACCESS_CTRL_ROOT25_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008cf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root25_set
    },
    {
        "ACCESS_CTRL_ROOT25_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008cf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root25_clr
    },
    {
        "ACCESS_CTRL_ROOT25_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008cfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root25_tog
    },
    {
        "TARGET_ROOT26",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root26
    },
    {
        "TARGET_ROOT26_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root26_set
    },
    {
        "TARGET_ROOT26_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root26_clr
    },
    {
        "TARGET_ROOT26_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root26_tog
    },
    {
        "MISC26",
        "MISC",
        4, // Width in bytes
        0x00008d10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc26
    },
    {
        "MISC_ROOT26_SET",
        "Misc",
        4, // Width in bytes
        0x00008d14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root26_set
    },
    {
        "MISC_ROOT26_CLR",
        "MISC",
        4, // Width in bytes
        0x00008d18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root26_clr
    },
    {
        "MISC_ROOT26_TOG",
        "MISC",
        4, // Width in bytes
        0x00008d1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root26_tog
    },
    {
        "POST26",
        "Post Register",
        4, // Width in bytes
        0x00008d20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post26
    },
    {
        "POST_ROOT26_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008d24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root26_set
    },
    {
        "POST_ROOT26_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008d28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root26_clr
    },
    {
        "POST_ROOT26_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008d2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root26_tog
    },
    {
        "PRE26",
        "Pre Register",
        4, // Width in bytes
        0x00008d30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre26
    },
    {
        "PRE_ROOT26_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008d34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root26_set
    },
    {
        "PRE_ROOT26_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008d38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root26_clr
    },
    {
        "PRE_ROOT26_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008d3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root26_tog
    },
    {
        "ACCESS_CTRL26",
        "Access Control Register",
        4, // Width in bytes
        0x00008d70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl26
    },
    {
        "ACCESS_CTRL_ROOT26_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008d74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root26_set
    },
    {
        "ACCESS_CTRL_ROOT26_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008d78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root26_clr
    },
    {
        "ACCESS_CTRL_ROOT26_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008d7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root26_tog
    },
    {
        "TARGET_ROOT27",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root27
    },
    {
        "TARGET_ROOT27_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root27_set
    },
    {
        "TARGET_ROOT27_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root27_clr
    },
    {
        "TARGET_ROOT27_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00008d8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root27_tog
    },
    {
        "MISC27",
        "MISC",
        4, // Width in bytes
        0x00008d90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc27
    },
    {
        "MISC_ROOT27_SET",
        "Misc",
        4, // Width in bytes
        0x00008d94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root27_set
    },
    {
        "MISC_ROOT27_CLR",
        "MISC",
        4, // Width in bytes
        0x00008d98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root27_clr
    },
    {
        "MISC_ROOT27_TOG",
        "MISC",
        4, // Width in bytes
        0x00008d9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root27_tog
    },
    {
        "POST27",
        "Post Register",
        4, // Width in bytes
        0x00008da0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post27
    },
    {
        "POST_ROOT27_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00008da4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root27_set
    },
    {
        "POST_ROOT27_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00008da8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root27_clr
    },
    {
        "POST_ROOT27_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x00008dac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root27_tog
    },
    {
        "PRE27",
        "Pre Register",
        4, // Width in bytes
        0x00008db0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre27
    },
    {
        "PRE_ROOT27_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00008db4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root27_set
    },
    {
        "PRE_ROOT27_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00008db8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root27_clr
    },
    {
        "PRE_ROOT27_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x00008dbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root27_tog
    },
    {
        "ACCESS_CTRL27",
        "Access Control Register",
        4, // Width in bytes
        0x00008df0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl27
    },
    {
        "ACCESS_CTRL_ROOT27_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00008df4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root27_set
    },
    {
        "ACCESS_CTRL_ROOT27_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00008df8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root27_clr
    },
    {
        "ACCESS_CTRL_ROOT27_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x00008dfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root27_tog
    },
    {
        "TARGET_ROOT32",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root32
    },
    {
        "TARGET_ROOT32_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root32_set
    },
    {
        "TARGET_ROOT32_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root32_clr
    },
    {
        "TARGET_ROOT32_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000900c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root32_tog
    },
    {
        "MISC32",
        "MISC",
        4, // Width in bytes
        0x00009010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc32
    },
    {
        "MISC_ROOT32_SET",
        "Misc",
        4, // Width in bytes
        0x00009014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root32_set
    },
    {
        "MISC_ROOT32_CLR",
        "MISC",
        4, // Width in bytes
        0x00009018, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root32_clr
    },
    {
        "MISC_ROOT32_TOG",
        "MISC",
        4, // Width in bytes
        0x0000901c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root32_tog
    },
    {
        "POST32",
        "Post Register",
        4, // Width in bytes
        0x00009020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post32
    },
    {
        "POST_ROOT32_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root32_set
    },
    {
        "POST_ROOT32_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root32_clr
    },
    {
        "POST_ROOT32_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000902c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root32_tog
    },
    {
        "PRE32",
        "Pre Register",
        4, // Width in bytes
        0x00009030, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre32
    },
    {
        "PRE_ROOT32_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009034, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root32_set
    },
    {
        "PRE_ROOT32_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root32_clr
    },
    {
        "PRE_ROOT32_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000903c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root32_tog
    },
    {
        "ACCESS_CTRL32",
        "Access Control Register",
        4, // Width in bytes
        0x00009070, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl32
    },
    {
        "ACCESS_CTRL_ROOT32_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009074, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root32_set
    },
    {
        "ACCESS_CTRL_ROOT32_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009078, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root32_clr
    },
    {
        "ACCESS_CTRL_ROOT32_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000907c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root32_tog
    },
    {
        "TARGET_ROOT33",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root33
    },
    {
        "TARGET_ROOT33_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root33_set
    },
    {
        "TARGET_ROOT33_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root33_clr
    },
    {
        "TARGET_ROOT33_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000908c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root33_tog
    },
    {
        "MISC33",
        "MISC",
        4, // Width in bytes
        0x00009090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc33
    },
    {
        "MISC_ROOT33_SET",
        "Misc",
        4, // Width in bytes
        0x00009094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root33_set
    },
    {
        "MISC_ROOT33_CLR",
        "MISC",
        4, // Width in bytes
        0x00009098, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root33_clr
    },
    {
        "MISC_ROOT33_TOG",
        "MISC",
        4, // Width in bytes
        0x0000909c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root33_tog
    },
    {
        "POST33",
        "Post Register",
        4, // Width in bytes
        0x000090a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post33
    },
    {
        "POST_ROOT33_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000090a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root33_set
    },
    {
        "POST_ROOT33_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000090a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root33_clr
    },
    {
        "POST_ROOT33_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000090ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root33_tog
    },
    {
        "PRE33",
        "Pre Register",
        4, // Width in bytes
        0x000090b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre33
    },
    {
        "PRE_ROOT33_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000090b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root33_set
    },
    {
        "PRE_ROOT33_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000090b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root33_clr
    },
    {
        "PRE_ROOT33_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000090bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root33_tog
    },
    {
        "ACCESS_CTRL33",
        "Access Control Register",
        4, // Width in bytes
        0x000090f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl33
    },
    {
        "ACCESS_CTRL_ROOT33_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000090f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root33_set
    },
    {
        "ACCESS_CTRL_ROOT33_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000090f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root33_clr
    },
    {
        "ACCESS_CTRL_ROOT33_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000090fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root33_tog
    },
    {
        "TARGET_ROOT34",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root34
    },
    {
        "TARGET_ROOT34_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root34_set
    },
    {
        "TARGET_ROOT34_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root34_clr
    },
    {
        "TARGET_ROOT34_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000910c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root34_tog
    },
    {
        "MISC34",
        "MISC",
        4, // Width in bytes
        0x00009110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc34
    },
    {
        "MISC_ROOT34_SET",
        "Misc",
        4, // Width in bytes
        0x00009114, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root34_set
    },
    {
        "MISC_ROOT34_CLR",
        "MISC",
        4, // Width in bytes
        0x00009118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root34_clr
    },
    {
        "MISC_ROOT34_TOG",
        "MISC",
        4, // Width in bytes
        0x0000911c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root34_tog
    },
    {
        "POST34",
        "Post Register",
        4, // Width in bytes
        0x00009120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post34
    },
    {
        "POST_ROOT34_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root34_set
    },
    {
        "POST_ROOT34_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root34_clr
    },
    {
        "POST_ROOT34_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000912c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root34_tog
    },
    {
        "PRE34",
        "Pre Register",
        4, // Width in bytes
        0x00009130, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre34
    },
    {
        "PRE_ROOT34_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009134, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root34_set
    },
    {
        "PRE_ROOT34_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009138, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root34_clr
    },
    {
        "PRE_ROOT34_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000913c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root34_tog
    },
    {
        "ACCESS_CTRL34",
        "Access Control Register",
        4, // Width in bytes
        0x00009170, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl34
    },
    {
        "ACCESS_CTRL_ROOT34_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009174, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root34_set
    },
    {
        "ACCESS_CTRL_ROOT34_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009178, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root34_clr
    },
    {
        "ACCESS_CTRL_ROOT34_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000917c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root34_tog
    },
    {
        "TARGET_ROOT35",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root35
    },
    {
        "TARGET_ROOT35_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root35_set
    },
    {
        "TARGET_ROOT35_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root35_clr
    },
    {
        "TARGET_ROOT35_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000918c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root35_tog
    },
    {
        "MISC35",
        "MISC",
        4, // Width in bytes
        0x00009190, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc35
    },
    {
        "MISC_ROOT35_SET",
        "Misc",
        4, // Width in bytes
        0x00009194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root35_set
    },
    {
        "MISC_ROOT35_CLR",
        "MISC",
        4, // Width in bytes
        0x00009198, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root35_clr
    },
    {
        "MISC_ROOT35_TOG",
        "MISC",
        4, // Width in bytes
        0x0000919c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root35_tog
    },
    {
        "POST35",
        "Post Register",
        4, // Width in bytes
        0x000091a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post35
    },
    {
        "POST_ROOT35_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000091a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root35_set
    },
    {
        "POST_ROOT35_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000091a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root35_clr
    },
    {
        "POST_ROOT35_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000091ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root35_tog
    },
    {
        "PRE35",
        "Pre Register",
        4, // Width in bytes
        0x000091b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre35
    },
    {
        "PRE_ROOT35_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000091b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root35_set
    },
    {
        "PRE_ROOT35_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000091b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root35_clr
    },
    {
        "PRE_ROOT35_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000091bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root35_tog
    },
    {
        "ACCESS_CTRL35",
        "Access Control Register",
        4, // Width in bytes
        0x000091f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl35
    },
    {
        "ACCESS_CTRL_ROOT35_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000091f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root35_set
    },
    {
        "ACCESS_CTRL_ROOT35_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000091f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root35_clr
    },
    {
        "ACCESS_CTRL_ROOT35_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000091fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root35_tog
    },
    {
        "TARGET_ROOT36",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root36
    },
    {
        "TARGET_ROOT36_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root36_set
    },
    {
        "TARGET_ROOT36_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root36_clr
    },
    {
        "TARGET_ROOT36_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000920c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root36_tog
    },
    {
        "MISC36",
        "MISC",
        4, // Width in bytes
        0x00009210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc36
    },
    {
        "MISC_ROOT36_SET",
        "Misc",
        4, // Width in bytes
        0x00009214, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root36_set
    },
    {
        "MISC_ROOT36_CLR",
        "MISC",
        4, // Width in bytes
        0x00009218, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root36_clr
    },
    {
        "MISC_ROOT36_TOG",
        "MISC",
        4, // Width in bytes
        0x0000921c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root36_tog
    },
    {
        "POST36",
        "Post Register",
        4, // Width in bytes
        0x00009220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post36
    },
    {
        "POST_ROOT36_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root36_set
    },
    {
        "POST_ROOT36_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root36_clr
    },
    {
        "POST_ROOT36_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000922c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root36_tog
    },
    {
        "PRE36",
        "Pre Register",
        4, // Width in bytes
        0x00009230, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre36
    },
    {
        "PRE_ROOT36_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009234, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root36_set
    },
    {
        "PRE_ROOT36_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009238, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root36_clr
    },
    {
        "PRE_ROOT36_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000923c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root36_tog
    },
    {
        "ACCESS_CTRL36",
        "Access Control Register",
        4, // Width in bytes
        0x00009270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl36
    },
    {
        "ACCESS_CTRL_ROOT36_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root36_set
    },
    {
        "ACCESS_CTRL_ROOT36_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root36_clr
    },
    {
        "ACCESS_CTRL_ROOT36_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000927c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root36_tog
    },
    {
        "TARGET_ROOT37",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root37
    },
    {
        "TARGET_ROOT37_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root37_set
    },
    {
        "TARGET_ROOT37_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root37_clr
    },
    {
        "TARGET_ROOT37_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000928c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root37_tog
    },
    {
        "MISC37",
        "MISC",
        4, // Width in bytes
        0x00009290, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc37
    },
    {
        "MISC_ROOT37_SET",
        "Misc",
        4, // Width in bytes
        0x00009294, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root37_set
    },
    {
        "MISC_ROOT37_CLR",
        "MISC",
        4, // Width in bytes
        0x00009298, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root37_clr
    },
    {
        "MISC_ROOT37_TOG",
        "MISC",
        4, // Width in bytes
        0x0000929c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root37_tog
    },
    {
        "POST37",
        "Post Register",
        4, // Width in bytes
        0x000092a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post37
    },
    {
        "POST_ROOT37_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000092a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root37_set
    },
    {
        "POST_ROOT37_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000092a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root37_clr
    },
    {
        "POST_ROOT37_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000092ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root37_tog
    },
    {
        "PRE37",
        "Pre Register",
        4, // Width in bytes
        0x000092b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre37
    },
    {
        "PRE_ROOT37_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000092b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root37_set
    },
    {
        "PRE_ROOT37_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000092b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root37_clr
    },
    {
        "PRE_ROOT37_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000092bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root37_tog
    },
    {
        "ACCESS_CTRL37",
        "Access Control Register",
        4, // Width in bytes
        0x000092f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl37
    },
    {
        "ACCESS_CTRL_ROOT37_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000092f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root37_set
    },
    {
        "ACCESS_CTRL_ROOT37_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000092f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root37_clr
    },
    {
        "ACCESS_CTRL_ROOT37_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000092fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root37_tog
    },
    {
        "TARGET_ROOT48",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root48
    },
    {
        "TARGET_ROOT48_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root48_set
    },
    {
        "TARGET_ROOT48_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root48_clr
    },
    {
        "TARGET_ROOT48_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000980c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root48_tog
    },
    {
        "MISC48",
        "MISC",
        4, // Width in bytes
        0x00009810, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc48
    },
    {
        "MISC_ROOT48_SET",
        "Misc",
        4, // Width in bytes
        0x00009814, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root48_set
    },
    {
        "MISC_ROOT48_CLR",
        "MISC",
        4, // Width in bytes
        0x00009818, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root48_clr
    },
    {
        "MISC_ROOT48_TOG",
        "MISC",
        4, // Width in bytes
        0x0000981c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root48_tog
    },
    {
        "POST48",
        "Post Register",
        4, // Width in bytes
        0x00009820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post48
    },
    {
        "POST_ROOT48_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x00009824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root48_set
    },
    {
        "POST_ROOT48_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x00009828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root48_clr
    },
    {
        "POST_ROOT48_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000982c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root48_tog
    },
    {
        "PRE48",
        "Pre Register",
        4, // Width in bytes
        0x00009830, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre48
    },
    {
        "PRE_ROOT48_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x00009834, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root48_set
    },
    {
        "PRE_ROOT48_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x00009838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root48_clr
    },
    {
        "PRE_ROOT48_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000983c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root48_tog
    },
    {
        "ACCESS_CTRL48",
        "Access Control Register",
        4, // Width in bytes
        0x00009870, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl48
    },
    {
        "ACCESS_CTRL_ROOT48_SET",
        "Access Control Register",
        4, // Width in bytes
        0x00009874, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root48_set
    },
    {
        "ACCESS_CTRL_ROOT48_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x00009878, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root48_clr
    },
    {
        "ACCESS_CTRL_ROOT48_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000987c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root48_tog
    },
    {
        "TARGET_ROOT49",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root49
    },
    {
        "TARGET_ROOT49_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root49_set
    },
    {
        "TARGET_ROOT49_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x00009888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root49_clr
    },
    {
        "TARGET_ROOT49_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000988c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root49_tog
    },
    {
        "MISC49",
        "MISC",
        4, // Width in bytes
        0x00009890, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc49
    },
    {
        "MISC_ROOT49_SET",
        "Misc",
        4, // Width in bytes
        0x00009894, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root49_set
    },
    {
        "MISC_ROOT49_CLR",
        "MISC",
        4, // Width in bytes
        0x00009898, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root49_clr
    },
    {
        "MISC_ROOT49_TOG",
        "MISC",
        4, // Width in bytes
        0x0000989c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root49_tog
    },
    {
        "POST49",
        "Post Register",
        4, // Width in bytes
        0x000098a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post49
    },
    {
        "POST_ROOT49_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x000098a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root49_set
    },
    {
        "POST_ROOT49_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x000098a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root49_clr
    },
    {
        "POST_ROOT49_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x000098ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root49_tog
    },
    {
        "PRE49",
        "Pre Register",
        4, // Width in bytes
        0x000098b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre49
    },
    {
        "PRE_ROOT49_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x000098b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root49_set
    },
    {
        "PRE_ROOT49_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x000098b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root49_clr
    },
    {
        "PRE_ROOT49_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x000098bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root49_tog
    },
    {
        "ACCESS_CTRL49",
        "Access Control Register",
        4, // Width in bytes
        0x000098f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl49
    },
    {
        "ACCESS_CTRL_ROOT49_SET",
        "Access Control Register",
        4, // Width in bytes
        0x000098f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root49_set
    },
    {
        "ACCESS_CTRL_ROOT49_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x000098f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root49_clr
    },
    {
        "ACCESS_CTRL_ROOT49_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x000098fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root49_tog
    },
    {
        "TARGET_ROOT64",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root64
    },
    {
        "TARGET_ROOT64_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root64_set
    },
    {
        "TARGET_ROOT64_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root64_clr
    },
    {
        "TARGET_ROOT64_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a00c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root64_tog
    },
    {
        "MISC64",
        "MISC",
        4, // Width in bytes
        0x0000a010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc64
    },
    {
        "MISC_ROOT64_SET",
        "Misc",
        4, // Width in bytes
        0x0000a014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root64_set
    },
    {
        "MISC_ROOT64_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a018, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root64_clr
    },
    {
        "MISC_ROOT64_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a01c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root64_tog
    },
    {
        "POST64",
        "Post Register",
        4, // Width in bytes
        0x0000a020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post64
    },
    {
        "POST_ROOT64_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root64_set
    },
    {
        "POST_ROOT64_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root64_clr
    },
    {
        "POST_ROOT64_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a02c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root64_tog
    },
    {
        "PRE64",
        "Pre Register",
        4, // Width in bytes
        0x0000a030, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre64
    },
    {
        "PRE_ROOT64_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a034, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root64_set
    },
    {
        "PRE_ROOT64_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root64_clr
    },
    {
        "PRE_ROOT64_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a03c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root64_tog
    },
    {
        "ACCESS_CTRL64",
        "Access Control Register",
        4, // Width in bytes
        0x0000a070, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl64
    },
    {
        "ACCESS_CTRL_ROOT64_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a074, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root64_set
    },
    {
        "ACCESS_CTRL_ROOT64_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a078, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root64_clr
    },
    {
        "ACCESS_CTRL_ROOT64_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a07c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root64_tog
    },
    {
        "TARGET_ROOT65",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root65
    },
    {
        "TARGET_ROOT65_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root65_set
    },
    {
        "TARGET_ROOT65_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root65_clr
    },
    {
        "TARGET_ROOT65_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a08c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root65_tog
    },
    {
        "MISC65",
        "MISC",
        4, // Width in bytes
        0x0000a090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc65
    },
    {
        "MISC_ROOT65_SET",
        "Misc",
        4, // Width in bytes
        0x0000a094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root65_set
    },
    {
        "MISC_ROOT65_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a098, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root65_clr
    },
    {
        "MISC_ROOT65_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a09c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root65_tog
    },
    {
        "POST65",
        "Post Register",
        4, // Width in bytes
        0x0000a0a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post65
    },
    {
        "POST_ROOT65_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a0a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root65_set
    },
    {
        "POST_ROOT65_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a0a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root65_clr
    },
    {
        "POST_ROOT65_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a0ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root65_tog
    },
    {
        "PRE65",
        "Pre Register",
        4, // Width in bytes
        0x0000a0b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre65
    },
    {
        "PRE_ROOT65_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a0b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root65_set
    },
    {
        "PRE_ROOT65_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a0b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root65_clr
    },
    {
        "PRE_ROOT65_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a0bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root65_tog
    },
    {
        "ACCESS_CTRL65",
        "Access Control Register",
        4, // Width in bytes
        0x0000a0f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl65
    },
    {
        "ACCESS_CTRL_ROOT65_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a0f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root65_set
    },
    {
        "ACCESS_CTRL_ROOT65_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a0f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root65_clr
    },
    {
        "ACCESS_CTRL_ROOT65_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a0fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root65_tog
    },
    {
        "TARGET_ROOT66",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root66
    },
    {
        "TARGET_ROOT66_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root66_set
    },
    {
        "TARGET_ROOT66_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root66_clr
    },
    {
        "TARGET_ROOT66_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a10c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root66_tog
    },
    {
        "MISC66",
        "MISC",
        4, // Width in bytes
        0x0000a110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc66
    },
    {
        "MISC_ROOT66_SET",
        "Misc",
        4, // Width in bytes
        0x0000a114, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root66_set
    },
    {
        "MISC_ROOT66_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root66_clr
    },
    {
        "MISC_ROOT66_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a11c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root66_tog
    },
    {
        "POST66",
        "Post Register",
        4, // Width in bytes
        0x0000a120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post66
    },
    {
        "POST_ROOT66_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root66_set
    },
    {
        "POST_ROOT66_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root66_clr
    },
    {
        "POST_ROOT66_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a12c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root66_tog
    },
    {
        "PRE66",
        "Pre Register",
        4, // Width in bytes
        0x0000a130, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre66
    },
    {
        "PRE_ROOT66_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a134, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root66_set
    },
    {
        "PRE_ROOT66_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a138, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root66_clr
    },
    {
        "PRE_ROOT66_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a13c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root66_tog
    },
    {
        "ACCESS_CTRL66",
        "Access Control Register",
        4, // Width in bytes
        0x0000a170, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl66
    },
    {
        "ACCESS_CTRL_ROOT66_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a174, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root66_set
    },
    {
        "ACCESS_CTRL_ROOT66_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a178, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root66_clr
    },
    {
        "ACCESS_CTRL_ROOT66_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a17c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root66_tog
    },
    {
        "TARGET_ROOT67",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root67
    },
    {
        "TARGET_ROOT67_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root67_set
    },
    {
        "TARGET_ROOT67_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root67_clr
    },
    {
        "TARGET_ROOT67_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a18c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root67_tog
    },
    {
        "MISC67",
        "MISC",
        4, // Width in bytes
        0x0000a190, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc67
    },
    {
        "MISC_ROOT67_SET",
        "Misc",
        4, // Width in bytes
        0x0000a194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root67_set
    },
    {
        "MISC_ROOT67_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a198, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root67_clr
    },
    {
        "MISC_ROOT67_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a19c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root67_tog
    },
    {
        "POST67",
        "Post Register",
        4, // Width in bytes
        0x0000a1a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post67
    },
    {
        "POST_ROOT67_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a1a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root67_set
    },
    {
        "POST_ROOT67_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a1a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root67_clr
    },
    {
        "POST_ROOT67_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a1ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root67_tog
    },
    {
        "PRE67",
        "Pre Register",
        4, // Width in bytes
        0x0000a1b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre67
    },
    {
        "PRE_ROOT67_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a1b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root67_set
    },
    {
        "PRE_ROOT67_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a1b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root67_clr
    },
    {
        "PRE_ROOT67_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a1bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root67_tog
    },
    {
        "ACCESS_CTRL67",
        "Access Control Register",
        4, // Width in bytes
        0x0000a1f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl67
    },
    {
        "ACCESS_CTRL_ROOT67_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a1f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root67_set
    },
    {
        "ACCESS_CTRL_ROOT67_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a1f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root67_clr
    },
    {
        "ACCESS_CTRL_ROOT67_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a1fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root67_tog
    },
    {
        "TARGET_ROOT68",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root68
    },
    {
        "TARGET_ROOT68_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root68_set
    },
    {
        "TARGET_ROOT68_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root68_clr
    },
    {
        "TARGET_ROOT68_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a20c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root68_tog
    },
    {
        "MISC68",
        "MISC",
        4, // Width in bytes
        0x0000a210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc68
    },
    {
        "MISC_ROOT68_SET",
        "Misc",
        4, // Width in bytes
        0x0000a214, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root68_set
    },
    {
        "MISC_ROOT68_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a218, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root68_clr
    },
    {
        "MISC_ROOT68_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a21c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root68_tog
    },
    {
        "POST68",
        "Post Register",
        4, // Width in bytes
        0x0000a220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post68
    },
    {
        "POST_ROOT68_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root68_set
    },
    {
        "POST_ROOT68_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root68_clr
    },
    {
        "POST_ROOT68_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a22c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root68_tog
    },
    {
        "PRE68",
        "Pre Register",
        4, // Width in bytes
        0x0000a230, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre68
    },
    {
        "PRE_ROOT68_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a234, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root68_set
    },
    {
        "PRE_ROOT68_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a238, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root68_clr
    },
    {
        "PRE_ROOT68_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a23c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root68_tog
    },
    {
        "ACCESS_CTRL68",
        "Access Control Register",
        4, // Width in bytes
        0x0000a270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl68
    },
    {
        "ACCESS_CTRL_ROOT68_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root68_set
    },
    {
        "ACCESS_CTRL_ROOT68_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root68_clr
    },
    {
        "ACCESS_CTRL_ROOT68_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a27c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root68_tog
    },
    {
        "TARGET_ROOT69",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root69
    },
    {
        "TARGET_ROOT69_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root69_set
    },
    {
        "TARGET_ROOT69_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root69_clr
    },
    {
        "TARGET_ROOT69_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a28c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root69_tog
    },
    {
        "MISC69",
        "MISC",
        4, // Width in bytes
        0x0000a290, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc69
    },
    {
        "MISC_ROOT69_SET",
        "Misc",
        4, // Width in bytes
        0x0000a294, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root69_set
    },
    {
        "MISC_ROOT69_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a298, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root69_clr
    },
    {
        "MISC_ROOT69_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a29c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root69_tog
    },
    {
        "POST69",
        "Post Register",
        4, // Width in bytes
        0x0000a2a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post69
    },
    {
        "POST_ROOT69_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a2a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root69_set
    },
    {
        "POST_ROOT69_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a2a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root69_clr
    },
    {
        "POST_ROOT69_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a2ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root69_tog
    },
    {
        "PRE69",
        "Pre Register",
        4, // Width in bytes
        0x0000a2b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre69
    },
    {
        "PRE_ROOT69_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a2b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root69_set
    },
    {
        "PRE_ROOT69_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a2b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root69_clr
    },
    {
        "PRE_ROOT69_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a2bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root69_tog
    },
    {
        "ACCESS_CTRL69",
        "Access Control Register",
        4, // Width in bytes
        0x0000a2f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl69
    },
    {
        "ACCESS_CTRL_ROOT69_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a2f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root69_set
    },
    {
        "ACCESS_CTRL_ROOT69_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a2f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root69_clr
    },
    {
        "ACCESS_CTRL_ROOT69_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a2fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root69_tog
    },
    {
        "TARGET_ROOT70",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root70
    },
    {
        "TARGET_ROOT70_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root70_set
    },
    {
        "TARGET_ROOT70_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root70_clr
    },
    {
        "TARGET_ROOT70_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a30c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root70_tog
    },
    {
        "MISC70",
        "MISC",
        4, // Width in bytes
        0x0000a310, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc70
    },
    {
        "MISC_ROOT70_SET",
        "Misc",
        4, // Width in bytes
        0x0000a314, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root70_set
    },
    {
        "MISC_ROOT70_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a318, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root70_clr
    },
    {
        "MISC_ROOT70_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a31c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root70_tog
    },
    {
        "POST70",
        "Post Register",
        4, // Width in bytes
        0x0000a320, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post70
    },
    {
        "POST_ROOT70_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a324, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root70_set
    },
    {
        "POST_ROOT70_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a328, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root70_clr
    },
    {
        "POST_ROOT70_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a32c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root70_tog
    },
    {
        "PRE70",
        "Pre Register",
        4, // Width in bytes
        0x0000a330, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre70
    },
    {
        "PRE_ROOT70_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a334, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root70_set
    },
    {
        "PRE_ROOT70_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a338, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root70_clr
    },
    {
        "PRE_ROOT70_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a33c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root70_tog
    },
    {
        "ACCESS_CTRL70",
        "Access Control Register",
        4, // Width in bytes
        0x0000a370, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl70
    },
    {
        "ACCESS_CTRL_ROOT70_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a374, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root70_set
    },
    {
        "ACCESS_CTRL_ROOT70_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a378, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root70_clr
    },
    {
        "ACCESS_CTRL_ROOT70_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a37c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root70_tog
    },
    {
        "TARGET_ROOT71",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a380, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root71
    },
    {
        "TARGET_ROOT71_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a384, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root71_set
    },
    {
        "TARGET_ROOT71_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a388, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root71_clr
    },
    {
        "TARGET_ROOT71_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a38c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root71_tog
    },
    {
        "MISC71",
        "MISC",
        4, // Width in bytes
        0x0000a390, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc71
    },
    {
        "MISC_ROOT71_SET",
        "Misc",
        4, // Width in bytes
        0x0000a394, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root71_set
    },
    {
        "MISC_ROOT71_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a398, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root71_clr
    },
    {
        "MISC_ROOT71_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a39c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root71_tog
    },
    {
        "POST71",
        "Post Register",
        4, // Width in bytes
        0x0000a3a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post71
    },
    {
        "POST_ROOT71_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a3a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root71_set
    },
    {
        "POST_ROOT71_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a3a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root71_clr
    },
    {
        "POST_ROOT71_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a3ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root71_tog
    },
    {
        "PRE71",
        "Pre Register",
        4, // Width in bytes
        0x0000a3b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre71
    },
    {
        "PRE_ROOT71_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a3b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root71_set
    },
    {
        "PRE_ROOT71_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a3b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root71_clr
    },
    {
        "PRE_ROOT71_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a3bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root71_tog
    },
    {
        "ACCESS_CTRL71",
        "Access Control Register",
        4, // Width in bytes
        0x0000a3f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl71
    },
    {
        "ACCESS_CTRL_ROOT71_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a3f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root71_set
    },
    {
        "ACCESS_CTRL_ROOT71_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a3f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root71_clr
    },
    {
        "ACCESS_CTRL_ROOT71_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a3fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root71_tog
    },
    {
        "TARGET_ROOT72",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a400, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root72
    },
    {
        "TARGET_ROOT72_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root72_set
    },
    {
        "TARGET_ROOT72_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root72_clr
    },
    {
        "TARGET_ROOT72_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a40c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root72_tog
    },
    {
        "MISC72",
        "MISC",
        4, // Width in bytes
        0x0000a410, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc72
    },
    {
        "MISC_ROOT72_SET",
        "Misc",
        4, // Width in bytes
        0x0000a414, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root72_set
    },
    {
        "MISC_ROOT72_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a418, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root72_clr
    },
    {
        "MISC_ROOT72_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a41c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root72_tog
    },
    {
        "POST72",
        "Post Register",
        4, // Width in bytes
        0x0000a420, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post72
    },
    {
        "POST_ROOT72_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a424, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root72_set
    },
    {
        "POST_ROOT72_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a428, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root72_clr
    },
    {
        "POST_ROOT72_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a42c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root72_tog
    },
    {
        "PRE72",
        "Pre Register",
        4, // Width in bytes
        0x0000a430, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre72
    },
    {
        "PRE_ROOT72_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a434, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root72_set
    },
    {
        "PRE_ROOT72_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a438, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root72_clr
    },
    {
        "PRE_ROOT72_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a43c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root72_tog
    },
    {
        "ACCESS_CTRL72",
        "Access Control Register",
        4, // Width in bytes
        0x0000a470, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl72
    },
    {
        "ACCESS_CTRL_ROOT72_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a474, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root72_set
    },
    {
        "ACCESS_CTRL_ROOT72_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a478, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root72_clr
    },
    {
        "ACCESS_CTRL_ROOT72_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a47c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root72_tog
    },
    {
        "TARGET_ROOT73",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a480, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root73
    },
    {
        "TARGET_ROOT73_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root73_set
    },
    {
        "TARGET_ROOT73_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a488, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root73_clr
    },
    {
        "TARGET_ROOT73_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a48c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root73_tog
    },
    {
        "MISC73",
        "MISC",
        4, // Width in bytes
        0x0000a490, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc73
    },
    {
        "MISC_ROOT73_SET",
        "Misc",
        4, // Width in bytes
        0x0000a494, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root73_set
    },
    {
        "MISC_ROOT73_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a498, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root73_clr
    },
    {
        "MISC_ROOT73_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a49c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root73_tog
    },
    {
        "POST73",
        "Post Register",
        4, // Width in bytes
        0x0000a4a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post73
    },
    {
        "POST_ROOT73_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a4a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root73_set
    },
    {
        "POST_ROOT73_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a4a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root73_clr
    },
    {
        "POST_ROOT73_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a4ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root73_tog
    },
    {
        "PRE73",
        "Pre Register",
        4, // Width in bytes
        0x0000a4b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre73
    },
    {
        "PRE_ROOT73_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a4b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root73_set
    },
    {
        "PRE_ROOT73_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a4b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root73_clr
    },
    {
        "PRE_ROOT73_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a4bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root73_tog
    },
    {
        "ACCESS_CTRL73",
        "Access Control Register",
        4, // Width in bytes
        0x0000a4f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl73
    },
    {
        "ACCESS_CTRL_ROOT73_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a4f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root73_set
    },
    {
        "ACCESS_CTRL_ROOT73_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a4f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root73_clr
    },
    {
        "ACCESS_CTRL_ROOT73_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a4fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root73_tog
    },
    {
        "TARGET_ROOT74",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a500, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root74
    },
    {
        "TARGET_ROOT74_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root74_set
    },
    {
        "TARGET_ROOT74_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a508, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root74_clr
    },
    {
        "TARGET_ROOT74_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a50c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root74_tog
    },
    {
        "MISC74",
        "MISC",
        4, // Width in bytes
        0x0000a510, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc74
    },
    {
        "MISC_ROOT74_SET",
        "Misc",
        4, // Width in bytes
        0x0000a514, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root74_set
    },
    {
        "MISC_ROOT74_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a518, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root74_clr
    },
    {
        "MISC_ROOT74_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a51c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root74_tog
    },
    {
        "POST74",
        "Post Register",
        4, // Width in bytes
        0x0000a520, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post74
    },
    {
        "POST_ROOT74_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a524, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root74_set
    },
    {
        "POST_ROOT74_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a528, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root74_clr
    },
    {
        "POST_ROOT74_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a52c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root74_tog
    },
    {
        "PRE74",
        "Pre Register",
        4, // Width in bytes
        0x0000a530, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre74
    },
    {
        "PRE_ROOT74_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a534, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root74_set
    },
    {
        "PRE_ROOT74_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a538, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root74_clr
    },
    {
        "PRE_ROOT74_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a53c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root74_tog
    },
    {
        "ACCESS_CTRL74",
        "Access Control Register",
        4, // Width in bytes
        0x0000a570, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl74
    },
    {
        "ACCESS_CTRL_ROOT74_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a574, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root74_set
    },
    {
        "ACCESS_CTRL_ROOT74_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a578, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root74_clr
    },
    {
        "ACCESS_CTRL_ROOT74_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a57c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root74_tog
    },
    {
        "TARGET_ROOT75",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a580, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root75
    },
    {
        "TARGET_ROOT75_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root75_set
    },
    {
        "TARGET_ROOT75_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a588, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root75_clr
    },
    {
        "TARGET_ROOT75_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a58c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root75_tog
    },
    {
        "MISC75",
        "MISC",
        4, // Width in bytes
        0x0000a590, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc75
    },
    {
        "MISC_ROOT75_SET",
        "Misc",
        4, // Width in bytes
        0x0000a594, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root75_set
    },
    {
        "MISC_ROOT75_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a598, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root75_clr
    },
    {
        "MISC_ROOT75_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a59c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root75_tog
    },
    {
        "POST75",
        "Post Register",
        4, // Width in bytes
        0x0000a5a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post75
    },
    {
        "POST_ROOT75_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a5a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root75_set
    },
    {
        "POST_ROOT75_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a5a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root75_clr
    },
    {
        "POST_ROOT75_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a5ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root75_tog
    },
    {
        "PRE75",
        "Pre Register",
        4, // Width in bytes
        0x0000a5b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre75
    },
    {
        "PRE_ROOT75_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a5b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root75_set
    },
    {
        "PRE_ROOT75_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a5b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root75_clr
    },
    {
        "PRE_ROOT75_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a5bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root75_tog
    },
    {
        "ACCESS_CTRL75",
        "Access Control Register",
        4, // Width in bytes
        0x0000a5f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl75
    },
    {
        "ACCESS_CTRL_ROOT75_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a5f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root75_set
    },
    {
        "ACCESS_CTRL_ROOT75_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a5f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root75_clr
    },
    {
        "ACCESS_CTRL_ROOT75_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a5fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root75_tog
    },
    {
        "TARGET_ROOT76",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a600, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root76
    },
    {
        "TARGET_ROOT76_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root76_set
    },
    {
        "TARGET_ROOT76_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root76_clr
    },
    {
        "TARGET_ROOT76_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a60c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root76_tog
    },
    {
        "MISC76",
        "MISC",
        4, // Width in bytes
        0x0000a610, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc76
    },
    {
        "MISC_ROOT76_SET",
        "Misc",
        4, // Width in bytes
        0x0000a614, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root76_set
    },
    {
        "MISC_ROOT76_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a618, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root76_clr
    },
    {
        "MISC_ROOT76_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a61c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root76_tog
    },
    {
        "POST76",
        "Post Register",
        4, // Width in bytes
        0x0000a620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post76
    },
    {
        "POST_ROOT76_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a624, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root76_set
    },
    {
        "POST_ROOT76_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a628, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root76_clr
    },
    {
        "POST_ROOT76_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a62c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root76_tog
    },
    {
        "PRE76",
        "Pre Register",
        4, // Width in bytes
        0x0000a630, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre76
    },
    {
        "PRE_ROOT76_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a634, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root76_set
    },
    {
        "PRE_ROOT76_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a638, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root76_clr
    },
    {
        "PRE_ROOT76_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a63c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root76_tog
    },
    {
        "ACCESS_CTRL76",
        "Access Control Register",
        4, // Width in bytes
        0x0000a670, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl76
    },
    {
        "ACCESS_CTRL_ROOT76_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a674, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root76_set
    },
    {
        "ACCESS_CTRL_ROOT76_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a678, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root76_clr
    },
    {
        "ACCESS_CTRL_ROOT76_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a67c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root76_tog
    },
    {
        "TARGET_ROOT77",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root77
    },
    {
        "TARGET_ROOT77_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root77_set
    },
    {
        "TARGET_ROOT77_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a688, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root77_clr
    },
    {
        "TARGET_ROOT77_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a68c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root77_tog
    },
    {
        "MISC77",
        "MISC",
        4, // Width in bytes
        0x0000a690, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc77
    },
    {
        "MISC_ROOT77_SET",
        "Misc",
        4, // Width in bytes
        0x0000a694, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root77_set
    },
    {
        "MISC_ROOT77_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a698, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root77_clr
    },
    {
        "MISC_ROOT77_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a69c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root77_tog
    },
    {
        "POST77",
        "Post Register",
        4, // Width in bytes
        0x0000a6a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post77
    },
    {
        "POST_ROOT77_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a6a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root77_set
    },
    {
        "POST_ROOT77_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a6a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root77_clr
    },
    {
        "POST_ROOT77_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a6ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root77_tog
    },
    {
        "PRE77",
        "Pre Register",
        4, // Width in bytes
        0x0000a6b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre77
    },
    {
        "PRE_ROOT77_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a6b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root77_set
    },
    {
        "PRE_ROOT77_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a6b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root77_clr
    },
    {
        "PRE_ROOT77_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a6bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root77_tog
    },
    {
        "ACCESS_CTRL77",
        "Access Control Register",
        4, // Width in bytes
        0x0000a6f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl77
    },
    {
        "ACCESS_CTRL_ROOT77_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a6f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root77_set
    },
    {
        "ACCESS_CTRL_ROOT77_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a6f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root77_clr
    },
    {
        "ACCESS_CTRL_ROOT77_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a6fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root77_tog
    },
    {
        "TARGET_ROOT78",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a700, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root78
    },
    {
        "TARGET_ROOT78_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a704, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root78_set
    },
    {
        "TARGET_ROOT78_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a708, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root78_clr
    },
    {
        "TARGET_ROOT78_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a70c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root78_tog
    },
    {
        "MISC78",
        "MISC",
        4, // Width in bytes
        0x0000a710, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc78
    },
    {
        "MISC_ROOT78_SET",
        "Misc",
        4, // Width in bytes
        0x0000a714, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root78_set
    },
    {
        "MISC_ROOT78_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a718, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root78_clr
    },
    {
        "MISC_ROOT78_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a71c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root78_tog
    },
    {
        "POST78",
        "Post Register",
        4, // Width in bytes
        0x0000a720, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post78
    },
    {
        "POST_ROOT78_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a724, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root78_set
    },
    {
        "POST_ROOT78_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a728, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root78_clr
    },
    {
        "POST_ROOT78_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a72c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root78_tog
    },
    {
        "PRE78",
        "Pre Register",
        4, // Width in bytes
        0x0000a730, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre78
    },
    {
        "PRE_ROOT78_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a734, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root78_set
    },
    {
        "PRE_ROOT78_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a738, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root78_clr
    },
    {
        "PRE_ROOT78_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a73c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root78_tog
    },
    {
        "ACCESS_CTRL78",
        "Access Control Register",
        4, // Width in bytes
        0x0000a770, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl78
    },
    {
        "ACCESS_CTRL_ROOT78_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a774, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root78_set
    },
    {
        "ACCESS_CTRL_ROOT78_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a778, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root78_clr
    },
    {
        "ACCESS_CTRL_ROOT78_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a77c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root78_tog
    },
    {
        "TARGET_ROOT79",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a780, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root79
    },
    {
        "TARGET_ROOT79_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a784, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root79_set
    },
    {
        "TARGET_ROOT79_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a788, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root79_clr
    },
    {
        "TARGET_ROOT79_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a78c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root79_tog
    },
    {
        "MISC79",
        "MISC",
        4, // Width in bytes
        0x0000a790, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc79
    },
    {
        "MISC_ROOT79_SET",
        "Misc",
        4, // Width in bytes
        0x0000a794, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root79_set
    },
    {
        "MISC_ROOT79_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a798, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root79_clr
    },
    {
        "MISC_ROOT79_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a79c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root79_tog
    },
    {
        "POST79",
        "Post Register",
        4, // Width in bytes
        0x0000a7a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post79
    },
    {
        "POST_ROOT79_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a7a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root79_set
    },
    {
        "POST_ROOT79_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a7a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root79_clr
    },
    {
        "POST_ROOT79_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a7ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root79_tog
    },
    {
        "PRE79",
        "Pre Register",
        4, // Width in bytes
        0x0000a7b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre79
    },
    {
        "PRE_ROOT79_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a7b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root79_set
    },
    {
        "PRE_ROOT79_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a7b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root79_clr
    },
    {
        "PRE_ROOT79_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a7bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root79_tog
    },
    {
        "ACCESS_CTRL79",
        "Access Control Register",
        4, // Width in bytes
        0x0000a7f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl79
    },
    {
        "ACCESS_CTRL_ROOT79_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a7f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root79_set
    },
    {
        "ACCESS_CTRL_ROOT79_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a7f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root79_clr
    },
    {
        "ACCESS_CTRL_ROOT79_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a7fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root79_tog
    },
    {
        "TARGET_ROOT80",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root80
    },
    {
        "TARGET_ROOT80_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root80_set
    },
    {
        "TARGET_ROOT80_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root80_clr
    },
    {
        "TARGET_ROOT80_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a80c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root80_tog
    },
    {
        "MISC80",
        "MISC",
        4, // Width in bytes
        0x0000a810, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc80
    },
    {
        "MISC_ROOT80_SET",
        "Misc",
        4, // Width in bytes
        0x0000a814, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root80_set
    },
    {
        "MISC_ROOT80_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a818, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root80_clr
    },
    {
        "MISC_ROOT80_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a81c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root80_tog
    },
    {
        "POST80",
        "Post Register",
        4, // Width in bytes
        0x0000a820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post80
    },
    {
        "POST_ROOT80_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root80_set
    },
    {
        "POST_ROOT80_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root80_clr
    },
    {
        "POST_ROOT80_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a82c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root80_tog
    },
    {
        "PRE80",
        "Pre Register",
        4, // Width in bytes
        0x0000a830, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre80
    },
    {
        "PRE_ROOT80_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a834, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root80_set
    },
    {
        "PRE_ROOT80_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root80_clr
    },
    {
        "PRE_ROOT80_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a83c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root80_tog
    },
    {
        "ACCESS_CTRL80",
        "Access Control Register",
        4, // Width in bytes
        0x0000a870, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl80
    },
    {
        "ACCESS_CTRL_ROOT80_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a874, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root80_set
    },
    {
        "ACCESS_CTRL_ROOT80_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a878, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root80_clr
    },
    {
        "ACCESS_CTRL_ROOT80_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a87c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root80_tog
    },
    {
        "TARGET_ROOT81",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root81
    },
    {
        "TARGET_ROOT81_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root81_set
    },
    {
        "TARGET_ROOT81_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root81_clr
    },
    {
        "TARGET_ROOT81_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a88c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root81_tog
    },
    {
        "MISC81",
        "MISC",
        4, // Width in bytes
        0x0000a890, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc81
    },
    {
        "MISC_ROOT81_SET",
        "Misc",
        4, // Width in bytes
        0x0000a894, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root81_set
    },
    {
        "MISC_ROOT81_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a898, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root81_clr
    },
    {
        "MISC_ROOT81_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a89c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root81_tog
    },
    {
        "POST81",
        "Post Register",
        4, // Width in bytes
        0x0000a8a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post81
    },
    {
        "POST_ROOT81_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a8a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root81_set
    },
    {
        "POST_ROOT81_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a8a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root81_clr
    },
    {
        "POST_ROOT81_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a8ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root81_tog
    },
    {
        "PRE81",
        "Pre Register",
        4, // Width in bytes
        0x0000a8b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre81
    },
    {
        "PRE_ROOT81_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a8b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root81_set
    },
    {
        "PRE_ROOT81_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a8b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root81_clr
    },
    {
        "PRE_ROOT81_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a8bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root81_tog
    },
    {
        "ACCESS_CTRL81",
        "Access Control Register",
        4, // Width in bytes
        0x0000a8f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl81
    },
    {
        "ACCESS_CTRL_ROOT81_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a8f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root81_set
    },
    {
        "ACCESS_CTRL_ROOT81_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a8f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root81_clr
    },
    {
        "ACCESS_CTRL_ROOT81_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a8fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root81_tog
    },
    {
        "TARGET_ROOT82",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root82
    },
    {
        "TARGET_ROOT82_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root82_set
    },
    {
        "TARGET_ROOT82_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root82_clr
    },
    {
        "TARGET_ROOT82_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a90c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root82_tog
    },
    {
        "MISC82",
        "MISC",
        4, // Width in bytes
        0x0000a910, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc82
    },
    {
        "MISC_ROOT82_SET",
        "Misc",
        4, // Width in bytes
        0x0000a914, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root82_set
    },
    {
        "MISC_ROOT82_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a918, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root82_clr
    },
    {
        "MISC_ROOT82_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a91c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root82_tog
    },
    {
        "POST82",
        "Post Register",
        4, // Width in bytes
        0x0000a920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post82
    },
    {
        "POST_ROOT82_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root82_set
    },
    {
        "POST_ROOT82_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root82_clr
    },
    {
        "POST_ROOT82_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a92c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root82_tog
    },
    {
        "PRE82",
        "Pre Register",
        4, // Width in bytes
        0x0000a930, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre82
    },
    {
        "PRE_ROOT82_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a934, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root82_set
    },
    {
        "PRE_ROOT82_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a938, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root82_clr
    },
    {
        "PRE_ROOT82_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a93c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root82_tog
    },
    {
        "ACCESS_CTRL82",
        "Access Control Register",
        4, // Width in bytes
        0x0000a970, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl82
    },
    {
        "ACCESS_CTRL_ROOT82_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a974, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root82_set
    },
    {
        "ACCESS_CTRL_ROOT82_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a978, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root82_clr
    },
    {
        "ACCESS_CTRL_ROOT82_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a97c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root82_tog
    },
    {
        "TARGET_ROOT83",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root83
    },
    {
        "TARGET_ROOT83_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root83_set
    },
    {
        "TARGET_ROOT83_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root83_clr
    },
    {
        "TARGET_ROOT83_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000a98c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root83_tog
    },
    {
        "MISC83",
        "MISC",
        4, // Width in bytes
        0x0000a990, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc83
    },
    {
        "MISC_ROOT83_SET",
        "Misc",
        4, // Width in bytes
        0x0000a994, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root83_set
    },
    {
        "MISC_ROOT83_CLR",
        "MISC",
        4, // Width in bytes
        0x0000a998, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root83_clr
    },
    {
        "MISC_ROOT83_TOG",
        "MISC",
        4, // Width in bytes
        0x0000a99c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root83_tog
    },
    {
        "POST83",
        "Post Register",
        4, // Width in bytes
        0x0000a9a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post83
    },
    {
        "POST_ROOT83_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000a9a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root83_set
    },
    {
        "POST_ROOT83_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000a9a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root83_clr
    },
    {
        "POST_ROOT83_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000a9ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root83_tog
    },
    {
        "PRE83",
        "Pre Register",
        4, // Width in bytes
        0x0000a9b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre83
    },
    {
        "PRE_ROOT83_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000a9b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root83_set
    },
    {
        "PRE_ROOT83_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000a9b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root83_clr
    },
    {
        "PRE_ROOT83_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000a9bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root83_tog
    },
    {
        "ACCESS_CTRL83",
        "Access Control Register",
        4, // Width in bytes
        0x0000a9f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl83
    },
    {
        "ACCESS_CTRL_ROOT83_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000a9f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root83_set
    },
    {
        "ACCESS_CTRL_ROOT83_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000a9f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root83_clr
    },
    {
        "ACCESS_CTRL_ROOT83_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000a9fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root83_tog
    },
    {
        "TARGET_ROOT84",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root84
    },
    {
        "TARGET_ROOT84_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root84_set
    },
    {
        "TARGET_ROOT84_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root84_clr
    },
    {
        "TARGET_ROOT84_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root84_tog
    },
    {
        "MISC84",
        "MISC",
        4, // Width in bytes
        0x0000aa10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc84
    },
    {
        "MISC_ROOT84_SET",
        "Misc",
        4, // Width in bytes
        0x0000aa14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root84_set
    },
    {
        "MISC_ROOT84_CLR",
        "MISC",
        4, // Width in bytes
        0x0000aa18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root84_clr
    },
    {
        "MISC_ROOT84_TOG",
        "MISC",
        4, // Width in bytes
        0x0000aa1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root84_tog
    },
    {
        "POST84",
        "Post Register",
        4, // Width in bytes
        0x0000aa20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post84
    },
    {
        "POST_ROOT84_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aa24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root84_set
    },
    {
        "POST_ROOT84_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aa28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root84_clr
    },
    {
        "POST_ROOT84_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000aa2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root84_tog
    },
    {
        "PRE84",
        "Pre Register",
        4, // Width in bytes
        0x0000aa30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre84
    },
    {
        "PRE_ROOT84_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000aa34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root84_set
    },
    {
        "PRE_ROOT84_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000aa38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root84_clr
    },
    {
        "PRE_ROOT84_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000aa3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root84_tog
    },
    {
        "ACCESS_CTRL84",
        "Access Control Register",
        4, // Width in bytes
        0x0000aa70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl84
    },
    {
        "ACCESS_CTRL_ROOT84_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000aa74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root84_set
    },
    {
        "ACCESS_CTRL_ROOT84_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000aa78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root84_clr
    },
    {
        "ACCESS_CTRL_ROOT84_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000aa7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root84_tog
    },
    {
        "TARGET_ROOT85",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root85
    },
    {
        "TARGET_ROOT85_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root85_set
    },
    {
        "TARGET_ROOT85_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root85_clr
    },
    {
        "TARGET_ROOT85_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000aa8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root85_tog
    },
    {
        "MISC85",
        "MISC",
        4, // Width in bytes
        0x0000aa90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc85
    },
    {
        "MISC_ROOT85_SET",
        "Misc",
        4, // Width in bytes
        0x0000aa94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root85_set
    },
    {
        "MISC_ROOT85_CLR",
        "MISC",
        4, // Width in bytes
        0x0000aa98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root85_clr
    },
    {
        "MISC_ROOT85_TOG",
        "MISC",
        4, // Width in bytes
        0x0000aa9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root85_tog
    },
    {
        "POST85",
        "Post Register",
        4, // Width in bytes
        0x0000aaa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post85
    },
    {
        "POST_ROOT85_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aaa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root85_set
    },
    {
        "POST_ROOT85_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aaa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root85_clr
    },
    {
        "POST_ROOT85_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000aaac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root85_tog
    },
    {
        "PRE85",
        "Pre Register",
        4, // Width in bytes
        0x0000aab0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre85
    },
    {
        "PRE_ROOT85_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000aab4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root85_set
    },
    {
        "PRE_ROOT85_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000aab8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root85_clr
    },
    {
        "PRE_ROOT85_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000aabc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root85_tog
    },
    {
        "ACCESS_CTRL85",
        "Access Control Register",
        4, // Width in bytes
        0x0000aaf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl85
    },
    {
        "ACCESS_CTRL_ROOT85_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000aaf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root85_set
    },
    {
        "ACCESS_CTRL_ROOT85_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000aaf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root85_clr
    },
    {
        "ACCESS_CTRL_ROOT85_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000aafc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root85_tog
    },
    {
        "TARGET_ROOT86",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root86
    },
    {
        "TARGET_ROOT86_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root86_set
    },
    {
        "TARGET_ROOT86_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root86_clr
    },
    {
        "TARGET_ROOT86_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root86_tog
    },
    {
        "MISC86",
        "MISC",
        4, // Width in bytes
        0x0000ab10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc86
    },
    {
        "MISC_ROOT86_SET",
        "Misc",
        4, // Width in bytes
        0x0000ab14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root86_set
    },
    {
        "MISC_ROOT86_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ab18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root86_clr
    },
    {
        "MISC_ROOT86_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ab1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root86_tog
    },
    {
        "POST86",
        "Post Register",
        4, // Width in bytes
        0x0000ab20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post86
    },
    {
        "POST_ROOT86_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ab24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root86_set
    },
    {
        "POST_ROOT86_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ab28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root86_clr
    },
    {
        "POST_ROOT86_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ab2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root86_tog
    },
    {
        "PRE86",
        "Pre Register",
        4, // Width in bytes
        0x0000ab30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre86
    },
    {
        "PRE_ROOT86_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ab34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root86_set
    },
    {
        "PRE_ROOT86_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ab38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root86_clr
    },
    {
        "PRE_ROOT86_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ab3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root86_tog
    },
    {
        "ACCESS_CTRL86",
        "Access Control Register",
        4, // Width in bytes
        0x0000ab70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl86
    },
    {
        "ACCESS_CTRL_ROOT86_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ab74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root86_set
    },
    {
        "ACCESS_CTRL_ROOT86_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ab78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root86_clr
    },
    {
        "ACCESS_CTRL_ROOT86_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ab7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root86_tog
    },
    {
        "TARGET_ROOT87",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root87
    },
    {
        "TARGET_ROOT87_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root87_set
    },
    {
        "TARGET_ROOT87_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root87_clr
    },
    {
        "TARGET_ROOT87_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ab8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root87_tog
    },
    {
        "MISC87",
        "MISC",
        4, // Width in bytes
        0x0000ab90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc87
    },
    {
        "MISC_ROOT87_SET",
        "Misc",
        4, // Width in bytes
        0x0000ab94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root87_set
    },
    {
        "MISC_ROOT87_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ab98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root87_clr
    },
    {
        "MISC_ROOT87_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ab9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root87_tog
    },
    {
        "POST87",
        "Post Register",
        4, // Width in bytes
        0x0000aba0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post87
    },
    {
        "POST_ROOT87_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aba4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root87_set
    },
    {
        "POST_ROOT87_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aba8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root87_clr
    },
    {
        "POST_ROOT87_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000abac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root87_tog
    },
    {
        "PRE87",
        "Pre Register",
        4, // Width in bytes
        0x0000abb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre87
    },
    {
        "PRE_ROOT87_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000abb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root87_set
    },
    {
        "PRE_ROOT87_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000abb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root87_clr
    },
    {
        "PRE_ROOT87_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000abbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root87_tog
    },
    {
        "ACCESS_CTRL87",
        "Access Control Register",
        4, // Width in bytes
        0x0000abf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl87
    },
    {
        "ACCESS_CTRL_ROOT87_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000abf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root87_set
    },
    {
        "ACCESS_CTRL_ROOT87_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000abf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root87_clr
    },
    {
        "ACCESS_CTRL_ROOT87_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000abfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root87_tog
    },
    {
        "TARGET_ROOT88",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root88
    },
    {
        "TARGET_ROOT88_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root88_set
    },
    {
        "TARGET_ROOT88_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root88_clr
    },
    {
        "TARGET_ROOT88_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root88_tog
    },
    {
        "MISC88",
        "MISC",
        4, // Width in bytes
        0x0000ac10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc88
    },
    {
        "MISC_ROOT88_SET",
        "Misc",
        4, // Width in bytes
        0x0000ac14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root88_set
    },
    {
        "MISC_ROOT88_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ac18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root88_clr
    },
    {
        "MISC_ROOT88_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ac1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root88_tog
    },
    {
        "POST88",
        "Post Register",
        4, // Width in bytes
        0x0000ac20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post88
    },
    {
        "POST_ROOT88_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ac24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root88_set
    },
    {
        "POST_ROOT88_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ac28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root88_clr
    },
    {
        "POST_ROOT88_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ac2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root88_tog
    },
    {
        "PRE88",
        "Pre Register",
        4, // Width in bytes
        0x0000ac30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre88
    },
    {
        "PRE_ROOT88_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ac34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root88_set
    },
    {
        "PRE_ROOT88_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ac38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root88_clr
    },
    {
        "PRE_ROOT88_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ac3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root88_tog
    },
    {
        "ACCESS_CTRL88",
        "Access Control Register",
        4, // Width in bytes
        0x0000ac70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl88
    },
    {
        "ACCESS_CTRL_ROOT88_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ac74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root88_set
    },
    {
        "ACCESS_CTRL_ROOT88_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ac78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root88_clr
    },
    {
        "ACCESS_CTRL_ROOT88_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ac7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root88_tog
    },
    {
        "TARGET_ROOT89",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root89
    },
    {
        "TARGET_ROOT89_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root89_set
    },
    {
        "TARGET_ROOT89_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root89_clr
    },
    {
        "TARGET_ROOT89_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ac8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root89_tog
    },
    {
        "MISC89",
        "MISC",
        4, // Width in bytes
        0x0000ac90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc89
    },
    {
        "MISC_ROOT89_SET",
        "Misc",
        4, // Width in bytes
        0x0000ac94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root89_set
    },
    {
        "MISC_ROOT89_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ac98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root89_clr
    },
    {
        "MISC_ROOT89_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ac9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root89_tog
    },
    {
        "POST89",
        "Post Register",
        4, // Width in bytes
        0x0000aca0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post89
    },
    {
        "POST_ROOT89_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aca4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root89_set
    },
    {
        "POST_ROOT89_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aca8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root89_clr
    },
    {
        "POST_ROOT89_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000acac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root89_tog
    },
    {
        "PRE89",
        "Pre Register",
        4, // Width in bytes
        0x0000acb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre89
    },
    {
        "PRE_ROOT89_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000acb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root89_set
    },
    {
        "PRE_ROOT89_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000acb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root89_clr
    },
    {
        "PRE_ROOT89_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000acbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root89_tog
    },
    {
        "ACCESS_CTRL89",
        "Access Control Register",
        4, // Width in bytes
        0x0000acf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl89
    },
    {
        "ACCESS_CTRL_ROOT89_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000acf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root89_set
    },
    {
        "ACCESS_CTRL_ROOT89_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000acf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root89_clr
    },
    {
        "ACCESS_CTRL_ROOT89_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000acfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root89_tog
    },
    {
        "TARGET_ROOT90",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root90
    },
    {
        "TARGET_ROOT90_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root90_set
    },
    {
        "TARGET_ROOT90_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root90_clr
    },
    {
        "TARGET_ROOT90_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root90_tog
    },
    {
        "MISC90",
        "MISC",
        4, // Width in bytes
        0x0000ad10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc90
    },
    {
        "MISC_ROOT90_SET",
        "Misc",
        4, // Width in bytes
        0x0000ad14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root90_set
    },
    {
        "MISC_ROOT90_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ad18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root90_clr
    },
    {
        "MISC_ROOT90_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ad1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root90_tog
    },
    {
        "POST90",
        "Post Register",
        4, // Width in bytes
        0x0000ad20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post90
    },
    {
        "POST_ROOT90_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ad24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root90_set
    },
    {
        "POST_ROOT90_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ad28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root90_clr
    },
    {
        "POST_ROOT90_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ad2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root90_tog
    },
    {
        "PRE90",
        "Pre Register",
        4, // Width in bytes
        0x0000ad30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre90
    },
    {
        "PRE_ROOT90_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ad34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root90_set
    },
    {
        "PRE_ROOT90_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ad38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root90_clr
    },
    {
        "PRE_ROOT90_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ad3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root90_tog
    },
    {
        "ACCESS_CTRL90",
        "Access Control Register",
        4, // Width in bytes
        0x0000ad70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl90
    },
    {
        "ACCESS_CTRL_ROOT90_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ad74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root90_set
    },
    {
        "ACCESS_CTRL_ROOT90_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ad78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root90_clr
    },
    {
        "ACCESS_CTRL_ROOT90_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ad7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root90_tog
    },
    {
        "TARGET_ROOT91",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root91
    },
    {
        "TARGET_ROOT91_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root91_set
    },
    {
        "TARGET_ROOT91_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root91_clr
    },
    {
        "TARGET_ROOT91_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ad8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root91_tog
    },
    {
        "MISC91",
        "MISC",
        4, // Width in bytes
        0x0000ad90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc91
    },
    {
        "MISC_ROOT91_SET",
        "Misc",
        4, // Width in bytes
        0x0000ad94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root91_set
    },
    {
        "MISC_ROOT91_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ad98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root91_clr
    },
    {
        "MISC_ROOT91_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ad9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root91_tog
    },
    {
        "POST91",
        "Post Register",
        4, // Width in bytes
        0x0000ada0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post91
    },
    {
        "POST_ROOT91_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ada4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root91_set
    },
    {
        "POST_ROOT91_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ada8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root91_clr
    },
    {
        "POST_ROOT91_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000adac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root91_tog
    },
    {
        "PRE91",
        "Pre Register",
        4, // Width in bytes
        0x0000adb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre91
    },
    {
        "PRE_ROOT91_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000adb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root91_set
    },
    {
        "PRE_ROOT91_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000adb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root91_clr
    },
    {
        "PRE_ROOT91_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000adbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root91_tog
    },
    {
        "ACCESS_CTRL91",
        "Access Control Register",
        4, // Width in bytes
        0x0000adf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl91
    },
    {
        "ACCESS_CTRL_ROOT91_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000adf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root91_set
    },
    {
        "ACCESS_CTRL_ROOT91_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000adf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root91_clr
    },
    {
        "ACCESS_CTRL_ROOT91_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000adfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root91_tog
    },
    {
        "TARGET_ROOT92",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root92
    },
    {
        "TARGET_ROOT92_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root92_set
    },
    {
        "TARGET_ROOT92_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root92_clr
    },
    {
        "TARGET_ROOT92_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root92_tog
    },
    {
        "MISC92",
        "MISC",
        4, // Width in bytes
        0x0000ae10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc92
    },
    {
        "MISC_ROOT92_SET",
        "Misc",
        4, // Width in bytes
        0x0000ae14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root92_set
    },
    {
        "MISC_ROOT92_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ae18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root92_clr
    },
    {
        "MISC_ROOT92_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ae1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root92_tog
    },
    {
        "POST92",
        "Post Register",
        4, // Width in bytes
        0x0000ae20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post92
    },
    {
        "POST_ROOT92_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ae24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root92_set
    },
    {
        "POST_ROOT92_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ae28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root92_clr
    },
    {
        "POST_ROOT92_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ae2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root92_tog
    },
    {
        "PRE92",
        "Pre Register",
        4, // Width in bytes
        0x0000ae30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre92
    },
    {
        "PRE_ROOT92_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ae34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root92_set
    },
    {
        "PRE_ROOT92_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ae38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root92_clr
    },
    {
        "PRE_ROOT92_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ae3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root92_tog
    },
    {
        "ACCESS_CTRL92",
        "Access Control Register",
        4, // Width in bytes
        0x0000ae70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl92
    },
    {
        "ACCESS_CTRL_ROOT92_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ae74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root92_set
    },
    {
        "ACCESS_CTRL_ROOT92_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ae78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root92_clr
    },
    {
        "ACCESS_CTRL_ROOT92_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ae7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root92_tog
    },
    {
        "TARGET_ROOT93",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root93
    },
    {
        "TARGET_ROOT93_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root93_set
    },
    {
        "TARGET_ROOT93_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root93_clr
    },
    {
        "TARGET_ROOT93_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ae8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root93_tog
    },
    {
        "MISC93",
        "MISC",
        4, // Width in bytes
        0x0000ae90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc93
    },
    {
        "MISC_ROOT93_SET",
        "Misc",
        4, // Width in bytes
        0x0000ae94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root93_set
    },
    {
        "MISC_ROOT93_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ae98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root93_clr
    },
    {
        "MISC_ROOT93_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ae9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root93_tog
    },
    {
        "POST93",
        "Post Register",
        4, // Width in bytes
        0x0000aea0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post93
    },
    {
        "POST_ROOT93_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000aea4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root93_set
    },
    {
        "POST_ROOT93_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000aea8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root93_clr
    },
    {
        "POST_ROOT93_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000aeac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root93_tog
    },
    {
        "PRE93",
        "Pre Register",
        4, // Width in bytes
        0x0000aeb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre93
    },
    {
        "PRE_ROOT93_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000aeb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root93_set
    },
    {
        "PRE_ROOT93_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000aeb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root93_clr
    },
    {
        "PRE_ROOT93_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000aebc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root93_tog
    },
    {
        "ACCESS_CTRL93",
        "Access Control Register",
        4, // Width in bytes
        0x0000aef0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl93
    },
    {
        "ACCESS_CTRL_ROOT93_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000aef4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root93_set
    },
    {
        "ACCESS_CTRL_ROOT93_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000aef8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root93_clr
    },
    {
        "ACCESS_CTRL_ROOT93_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000aefc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root93_tog
    },
    {
        "TARGET_ROOT94",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root94
    },
    {
        "TARGET_ROOT94_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root94_set
    },
    {
        "TARGET_ROOT94_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root94_clr
    },
    {
        "TARGET_ROOT94_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root94_tog
    },
    {
        "MISC94",
        "MISC",
        4, // Width in bytes
        0x0000af10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc94
    },
    {
        "MISC_ROOT94_SET",
        "Misc",
        4, // Width in bytes
        0x0000af14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root94_set
    },
    {
        "MISC_ROOT94_CLR",
        "MISC",
        4, // Width in bytes
        0x0000af18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root94_clr
    },
    {
        "MISC_ROOT94_TOG",
        "MISC",
        4, // Width in bytes
        0x0000af1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root94_tog
    },
    {
        "POST94",
        "Post Register",
        4, // Width in bytes
        0x0000af20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post94
    },
    {
        "POST_ROOT94_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000af24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root94_set
    },
    {
        "POST_ROOT94_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000af28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root94_clr
    },
    {
        "POST_ROOT94_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000af2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root94_tog
    },
    {
        "PRE94",
        "Pre Register",
        4, // Width in bytes
        0x0000af30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre94
    },
    {
        "PRE_ROOT94_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000af34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root94_set
    },
    {
        "PRE_ROOT94_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000af38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root94_clr
    },
    {
        "PRE_ROOT94_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000af3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root94_tog
    },
    {
        "ACCESS_CTRL94",
        "Access Control Register",
        4, // Width in bytes
        0x0000af70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl94
    },
    {
        "ACCESS_CTRL_ROOT94_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000af74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root94_set
    },
    {
        "ACCESS_CTRL_ROOT94_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000af78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root94_clr
    },
    {
        "ACCESS_CTRL_ROOT94_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000af7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root94_tog
    },
    {
        "TARGET_ROOT95",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root95
    },
    {
        "TARGET_ROOT95_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root95_set
    },
    {
        "TARGET_ROOT95_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root95_clr
    },
    {
        "TARGET_ROOT95_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000af8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root95_tog
    },
    {
        "MISC95",
        "MISC",
        4, // Width in bytes
        0x0000af90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc95
    },
    {
        "MISC_ROOT95_SET",
        "Misc",
        4, // Width in bytes
        0x0000af94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root95_set
    },
    {
        "MISC_ROOT95_CLR",
        "MISC",
        4, // Width in bytes
        0x0000af98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root95_clr
    },
    {
        "MISC_ROOT95_TOG",
        "MISC",
        4, // Width in bytes
        0x0000af9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root95_tog
    },
    {
        "POST95",
        "Post Register",
        4, // Width in bytes
        0x0000afa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post95
    },
    {
        "POST_ROOT95_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000afa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root95_set
    },
    {
        "POST_ROOT95_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000afa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root95_clr
    },
    {
        "POST_ROOT95_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000afac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root95_tog
    },
    {
        "PRE95",
        "Pre Register",
        4, // Width in bytes
        0x0000afb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre95
    },
    {
        "PRE_ROOT95_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000afb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root95_set
    },
    {
        "PRE_ROOT95_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000afb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root95_clr
    },
    {
        "PRE_ROOT95_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000afbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root95_tog
    },
    {
        "ACCESS_CTRL95",
        "Access Control Register",
        4, // Width in bytes
        0x0000aff0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl95
    },
    {
        "ACCESS_CTRL_ROOT95_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000aff4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root95_set
    },
    {
        "ACCESS_CTRL_ROOT95_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000aff8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root95_clr
    },
    {
        "ACCESS_CTRL_ROOT95_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000affc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root95_tog
    },
    {
        "TARGET_ROOT96",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root96
    },
    {
        "TARGET_ROOT96_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root96_set
    },
    {
        "TARGET_ROOT96_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root96_clr
    },
    {
        "TARGET_ROOT96_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b00c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root96_tog
    },
    {
        "MISC96",
        "MISC",
        4, // Width in bytes
        0x0000b010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc96
    },
    {
        "MISC_ROOT96_SET",
        "Misc",
        4, // Width in bytes
        0x0000b014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root96_set
    },
    {
        "MISC_ROOT96_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b018, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root96_clr
    },
    {
        "MISC_ROOT96_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b01c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root96_tog
    },
    {
        "POST96",
        "Post Register",
        4, // Width in bytes
        0x0000b020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post96
    },
    {
        "POST_ROOT96_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root96_set
    },
    {
        "POST_ROOT96_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root96_clr
    },
    {
        "POST_ROOT96_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b02c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root96_tog
    },
    {
        "PRE96",
        "Pre Register",
        4, // Width in bytes
        0x0000b030, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre96
    },
    {
        "PRE_ROOT96_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b034, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root96_set
    },
    {
        "PRE_ROOT96_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root96_clr
    },
    {
        "PRE_ROOT96_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b03c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root96_tog
    },
    {
        "ACCESS_CTRL96",
        "Access Control Register",
        4, // Width in bytes
        0x0000b070, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl96
    },
    {
        "ACCESS_CTRL_ROOT96_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b074, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root96_set
    },
    {
        "ACCESS_CTRL_ROOT96_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b078, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root96_clr
    },
    {
        "ACCESS_CTRL_ROOT96_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b07c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root96_tog
    },
    {
        "TARGET_ROOT97",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root97
    },
    {
        "TARGET_ROOT97_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root97_set
    },
    {
        "TARGET_ROOT97_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root97_clr
    },
    {
        "TARGET_ROOT97_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b08c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root97_tog
    },
    {
        "MISC97",
        "MISC",
        4, // Width in bytes
        0x0000b090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc97
    },
    {
        "MISC_ROOT97_SET",
        "Misc",
        4, // Width in bytes
        0x0000b094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root97_set
    },
    {
        "MISC_ROOT97_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b098, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root97_clr
    },
    {
        "MISC_ROOT97_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b09c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root97_tog
    },
    {
        "POST97",
        "Post Register",
        4, // Width in bytes
        0x0000b0a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post97
    },
    {
        "POST_ROOT97_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b0a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root97_set
    },
    {
        "POST_ROOT97_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b0a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root97_clr
    },
    {
        "POST_ROOT97_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b0ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root97_tog
    },
    {
        "PRE97",
        "Pre Register",
        4, // Width in bytes
        0x0000b0b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre97
    },
    {
        "PRE_ROOT97_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b0b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root97_set
    },
    {
        "PRE_ROOT97_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b0b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root97_clr
    },
    {
        "PRE_ROOT97_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b0bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root97_tog
    },
    {
        "ACCESS_CTRL97",
        "Access Control Register",
        4, // Width in bytes
        0x0000b0f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl97
    },
    {
        "ACCESS_CTRL_ROOT97_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b0f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root97_set
    },
    {
        "ACCESS_CTRL_ROOT97_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b0f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root97_clr
    },
    {
        "ACCESS_CTRL_ROOT97_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b0fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root97_tog
    },
    {
        "TARGET_ROOT98",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root98
    },
    {
        "TARGET_ROOT98_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root98_set
    },
    {
        "TARGET_ROOT98_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root98_clr
    },
    {
        "TARGET_ROOT98_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b10c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root98_tog
    },
    {
        "MISC98",
        "MISC",
        4, // Width in bytes
        0x0000b110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc98
    },
    {
        "MISC_ROOT98_SET",
        "Misc",
        4, // Width in bytes
        0x0000b114, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root98_set
    },
    {
        "MISC_ROOT98_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root98_clr
    },
    {
        "MISC_ROOT98_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b11c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root98_tog
    },
    {
        "POST98",
        "Post Register",
        4, // Width in bytes
        0x0000b120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post98
    },
    {
        "POST_ROOT98_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root98_set
    },
    {
        "POST_ROOT98_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root98_clr
    },
    {
        "POST_ROOT98_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b12c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root98_tog
    },
    {
        "PRE98",
        "Pre Register",
        4, // Width in bytes
        0x0000b130, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre98
    },
    {
        "PRE_ROOT98_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b134, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root98_set
    },
    {
        "PRE_ROOT98_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b138, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root98_clr
    },
    {
        "PRE_ROOT98_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b13c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root98_tog
    },
    {
        "ACCESS_CTRL98",
        "Access Control Register",
        4, // Width in bytes
        0x0000b170, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl98
    },
    {
        "ACCESS_CTRL_ROOT98_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b174, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root98_set
    },
    {
        "ACCESS_CTRL_ROOT98_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b178, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root98_clr
    },
    {
        "ACCESS_CTRL_ROOT98_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b17c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root98_tog
    },
    {
        "TARGET_ROOT99",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root99
    },
    {
        "TARGET_ROOT99_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root99_set
    },
    {
        "TARGET_ROOT99_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root99_clr
    },
    {
        "TARGET_ROOT99_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b18c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root99_tog
    },
    {
        "MISC99",
        "MISC",
        4, // Width in bytes
        0x0000b190, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc99
    },
    {
        "MISC_ROOT99_SET",
        "Misc",
        4, // Width in bytes
        0x0000b194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root99_set
    },
    {
        "MISC_ROOT99_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b198, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root99_clr
    },
    {
        "MISC_ROOT99_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b19c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root99_tog
    },
    {
        "POST99",
        "Post Register",
        4, // Width in bytes
        0x0000b1a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post99
    },
    {
        "POST_ROOT99_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b1a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root99_set
    },
    {
        "POST_ROOT99_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b1a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root99_clr
    },
    {
        "POST_ROOT99_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b1ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root99_tog
    },
    {
        "PRE99",
        "Pre Register",
        4, // Width in bytes
        0x0000b1b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre99
    },
    {
        "PRE_ROOT99_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b1b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root99_set
    },
    {
        "PRE_ROOT99_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b1b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root99_clr
    },
    {
        "PRE_ROOT99_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b1bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root99_tog
    },
    {
        "ACCESS_CTRL99",
        "Access Control Register",
        4, // Width in bytes
        0x0000b1f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl99
    },
    {
        "ACCESS_CTRL_ROOT99_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b1f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root99_set
    },
    {
        "ACCESS_CTRL_ROOT99_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b1f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root99_clr
    },
    {
        "ACCESS_CTRL_ROOT99_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b1fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root99_tog
    },
    {
        "TARGET_ROOT100",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root100
    },
    {
        "TARGET_ROOT100_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root100_set
    },
    {
        "TARGET_ROOT100_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root100_clr
    },
    {
        "TARGET_ROOT100_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b20c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root100_tog
    },
    {
        "MISC100",
        "MISC",
        4, // Width in bytes
        0x0000b210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc100
    },
    {
        "MISC_ROOT100_SET",
        "Misc",
        4, // Width in bytes
        0x0000b214, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root100_set
    },
    {
        "MISC_ROOT100_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b218, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root100_clr
    },
    {
        "MISC_ROOT100_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b21c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root100_tog
    },
    {
        "POST100",
        "Post Register",
        4, // Width in bytes
        0x0000b220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post100
    },
    {
        "POST_ROOT100_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root100_set
    },
    {
        "POST_ROOT100_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root100_clr
    },
    {
        "POST_ROOT100_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b22c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root100_tog
    },
    {
        "PRE100",
        "Pre Register",
        4, // Width in bytes
        0x0000b230, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre100
    },
    {
        "PRE_ROOT100_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b234, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root100_set
    },
    {
        "PRE_ROOT100_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b238, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root100_clr
    },
    {
        "PRE_ROOT100_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b23c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root100_tog
    },
    {
        "ACCESS_CTRL100",
        "Access Control Register",
        4, // Width in bytes
        0x0000b270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl100
    },
    {
        "ACCESS_CTRL_ROOT100_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root100_set
    },
    {
        "ACCESS_CTRL_ROOT100_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root100_clr
    },
    {
        "ACCESS_CTRL_ROOT100_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b27c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root100_tog
    },
    {
        "TARGET_ROOT101",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root101
    },
    {
        "TARGET_ROOT101_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root101_set
    },
    {
        "TARGET_ROOT101_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root101_clr
    },
    {
        "TARGET_ROOT101_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b28c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root101_tog
    },
    {
        "MISC101",
        "MISC",
        4, // Width in bytes
        0x0000b290, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc101
    },
    {
        "MISC_ROOT101_SET",
        "Misc",
        4, // Width in bytes
        0x0000b294, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root101_set
    },
    {
        "MISC_ROOT101_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b298, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root101_clr
    },
    {
        "MISC_ROOT101_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b29c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root101_tog
    },
    {
        "POST101",
        "Post Register",
        4, // Width in bytes
        0x0000b2a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post101
    },
    {
        "POST_ROOT101_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b2a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root101_set
    },
    {
        "POST_ROOT101_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b2a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root101_clr
    },
    {
        "POST_ROOT101_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b2ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root101_tog
    },
    {
        "PRE101",
        "Pre Register",
        4, // Width in bytes
        0x0000b2b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre101
    },
    {
        "PRE_ROOT101_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b2b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root101_set
    },
    {
        "PRE_ROOT101_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b2b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root101_clr
    },
    {
        "PRE_ROOT101_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b2bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root101_tog
    },
    {
        "ACCESS_CTRL101",
        "Access Control Register",
        4, // Width in bytes
        0x0000b2f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl101
    },
    {
        "ACCESS_CTRL_ROOT101_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b2f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root101_set
    },
    {
        "ACCESS_CTRL_ROOT101_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b2f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root101_clr
    },
    {
        "ACCESS_CTRL_ROOT101_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b2fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root101_tog
    },
    {
        "TARGET_ROOT102",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root102
    },
    {
        "TARGET_ROOT102_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root102_set
    },
    {
        "TARGET_ROOT102_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root102_clr
    },
    {
        "TARGET_ROOT102_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b30c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root102_tog
    },
    {
        "MISC102",
        "MISC",
        4, // Width in bytes
        0x0000b310, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc102
    },
    {
        "MISC_ROOT102_SET",
        "Misc",
        4, // Width in bytes
        0x0000b314, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root102_set
    },
    {
        "MISC_ROOT102_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b318, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root102_clr
    },
    {
        "MISC_ROOT102_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b31c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root102_tog
    },
    {
        "POST102",
        "Post Register",
        4, // Width in bytes
        0x0000b320, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post102
    },
    {
        "POST_ROOT102_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b324, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root102_set
    },
    {
        "POST_ROOT102_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b328, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root102_clr
    },
    {
        "POST_ROOT102_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b32c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root102_tog
    },
    {
        "PRE102",
        "Pre Register",
        4, // Width in bytes
        0x0000b330, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre102
    },
    {
        "PRE_ROOT102_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b334, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root102_set
    },
    {
        "PRE_ROOT102_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b338, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root102_clr
    },
    {
        "PRE_ROOT102_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b33c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root102_tog
    },
    {
        "ACCESS_CTRL102",
        "Access Control Register",
        4, // Width in bytes
        0x0000b370, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl102
    },
    {
        "ACCESS_CTRL_ROOT102_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b374, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root102_set
    },
    {
        "ACCESS_CTRL_ROOT102_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b378, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root102_clr
    },
    {
        "ACCESS_CTRL_ROOT102_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b37c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root102_tog
    },
    {
        "TARGET_ROOT103",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b380, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root103
    },
    {
        "TARGET_ROOT103_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b384, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root103_set
    },
    {
        "TARGET_ROOT103_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b388, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root103_clr
    },
    {
        "TARGET_ROOT103_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b38c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root103_tog
    },
    {
        "MISC103",
        "MISC",
        4, // Width in bytes
        0x0000b390, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc103
    },
    {
        "MISC_ROOT103_SET",
        "Misc",
        4, // Width in bytes
        0x0000b394, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root103_set
    },
    {
        "MISC_ROOT103_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b398, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root103_clr
    },
    {
        "MISC_ROOT103_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b39c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root103_tog
    },
    {
        "POST103",
        "Post Register",
        4, // Width in bytes
        0x0000b3a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post103
    },
    {
        "POST_ROOT103_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b3a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root103_set
    },
    {
        "POST_ROOT103_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b3a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root103_clr
    },
    {
        "POST_ROOT103_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b3ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root103_tog
    },
    {
        "PRE103",
        "Pre Register",
        4, // Width in bytes
        0x0000b3b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre103
    },
    {
        "PRE_ROOT103_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b3b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root103_set
    },
    {
        "PRE_ROOT103_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b3b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root103_clr
    },
    {
        "PRE_ROOT103_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b3bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root103_tog
    },
    {
        "ACCESS_CTRL103",
        "Access Control Register",
        4, // Width in bytes
        0x0000b3f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl103
    },
    {
        "ACCESS_CTRL_ROOT103_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b3f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root103_set
    },
    {
        "ACCESS_CTRL_ROOT103_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b3f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root103_clr
    },
    {
        "ACCESS_CTRL_ROOT103_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b3fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root103_tog
    },
    {
        "TARGET_ROOT104",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b400, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root104
    },
    {
        "TARGET_ROOT104_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root104_set
    },
    {
        "TARGET_ROOT104_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root104_clr
    },
    {
        "TARGET_ROOT104_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b40c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root104_tog
    },
    {
        "MISC104",
        "MISC",
        4, // Width in bytes
        0x0000b410, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc104
    },
    {
        "MISC_ROOT104_SET",
        "Misc",
        4, // Width in bytes
        0x0000b414, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root104_set
    },
    {
        "MISC_ROOT104_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b418, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root104_clr
    },
    {
        "MISC_ROOT104_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b41c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root104_tog
    },
    {
        "POST104",
        "Post Register",
        4, // Width in bytes
        0x0000b420, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post104
    },
    {
        "POST_ROOT104_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b424, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root104_set
    },
    {
        "POST_ROOT104_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b428, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root104_clr
    },
    {
        "POST_ROOT104_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b42c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root104_tog
    },
    {
        "PRE104",
        "Pre Register",
        4, // Width in bytes
        0x0000b430, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre104
    },
    {
        "PRE_ROOT104_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b434, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root104_set
    },
    {
        "PRE_ROOT104_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b438, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root104_clr
    },
    {
        "PRE_ROOT104_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b43c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root104_tog
    },
    {
        "ACCESS_CTRL104",
        "Access Control Register",
        4, // Width in bytes
        0x0000b470, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl104
    },
    {
        "ACCESS_CTRL_ROOT104_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b474, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root104_set
    },
    {
        "ACCESS_CTRL_ROOT104_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b478, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root104_clr
    },
    {
        "ACCESS_CTRL_ROOT104_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b47c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root104_tog
    },
    {
        "TARGET_ROOT105",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b480, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root105
    },
    {
        "TARGET_ROOT105_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root105_set
    },
    {
        "TARGET_ROOT105_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b488, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root105_clr
    },
    {
        "TARGET_ROOT105_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b48c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root105_tog
    },
    {
        "MISC105",
        "MISC",
        4, // Width in bytes
        0x0000b490, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc105
    },
    {
        "MISC_ROOT105_SET",
        "Misc",
        4, // Width in bytes
        0x0000b494, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root105_set
    },
    {
        "MISC_ROOT105_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b498, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root105_clr
    },
    {
        "MISC_ROOT105_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b49c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root105_tog
    },
    {
        "POST105",
        "Post Register",
        4, // Width in bytes
        0x0000b4a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post105
    },
    {
        "POST_ROOT105_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b4a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root105_set
    },
    {
        "POST_ROOT105_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b4a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root105_clr
    },
    {
        "POST_ROOT105_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b4ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root105_tog
    },
    {
        "PRE105",
        "Pre Register",
        4, // Width in bytes
        0x0000b4b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre105
    },
    {
        "PRE_ROOT105_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b4b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root105_set
    },
    {
        "PRE_ROOT105_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b4b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root105_clr
    },
    {
        "PRE_ROOT105_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b4bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root105_tog
    },
    {
        "ACCESS_CTRL105",
        "Access Control Register",
        4, // Width in bytes
        0x0000b4f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl105
    },
    {
        "ACCESS_CTRL_ROOT105_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b4f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root105_set
    },
    {
        "ACCESS_CTRL_ROOT105_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b4f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root105_clr
    },
    {
        "ACCESS_CTRL_ROOT105_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b4fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root105_tog
    },
    {
        "TARGET_ROOT106",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b500, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root106
    },
    {
        "TARGET_ROOT106_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root106_set
    },
    {
        "TARGET_ROOT106_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b508, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root106_clr
    },
    {
        "TARGET_ROOT106_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b50c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root106_tog
    },
    {
        "MISC106",
        "MISC",
        4, // Width in bytes
        0x0000b510, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc106
    },
    {
        "MISC_ROOT106_SET",
        "Misc",
        4, // Width in bytes
        0x0000b514, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root106_set
    },
    {
        "MISC_ROOT106_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b518, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root106_clr
    },
    {
        "MISC_ROOT106_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b51c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root106_tog
    },
    {
        "POST106",
        "Post Register",
        4, // Width in bytes
        0x0000b520, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post106
    },
    {
        "POST_ROOT106_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b524, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root106_set
    },
    {
        "POST_ROOT106_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b528, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root106_clr
    },
    {
        "POST_ROOT106_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b52c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root106_tog
    },
    {
        "PRE106",
        "Pre Register",
        4, // Width in bytes
        0x0000b530, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre106
    },
    {
        "PRE_ROOT106_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b534, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root106_set
    },
    {
        "PRE_ROOT106_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b538, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root106_clr
    },
    {
        "PRE_ROOT106_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b53c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root106_tog
    },
    {
        "ACCESS_CTRL106",
        "Access Control Register",
        4, // Width in bytes
        0x0000b570, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl106
    },
    {
        "ACCESS_CTRL_ROOT106_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b574, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root106_set
    },
    {
        "ACCESS_CTRL_ROOT106_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b578, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root106_clr
    },
    {
        "ACCESS_CTRL_ROOT106_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b57c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root106_tog
    },
    {
        "TARGET_ROOT107",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b580, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root107
    },
    {
        "TARGET_ROOT107_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root107_set
    },
    {
        "TARGET_ROOT107_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b588, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root107_clr
    },
    {
        "TARGET_ROOT107_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b58c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root107_tog
    },
    {
        "MISC107",
        "MISC",
        4, // Width in bytes
        0x0000b590, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc107
    },
    {
        "MISC_ROOT107_SET",
        "Misc",
        4, // Width in bytes
        0x0000b594, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root107_set
    },
    {
        "MISC_ROOT107_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b598, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root107_clr
    },
    {
        "MISC_ROOT107_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b59c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root107_tog
    },
    {
        "POST107",
        "Post Register",
        4, // Width in bytes
        0x0000b5a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post107
    },
    {
        "POST_ROOT107_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b5a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root107_set
    },
    {
        "POST_ROOT107_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b5a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root107_clr
    },
    {
        "POST_ROOT107_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b5ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root107_tog
    },
    {
        "PRE107",
        "Pre Register",
        4, // Width in bytes
        0x0000b5b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre107
    },
    {
        "PRE_ROOT107_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b5b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root107_set
    },
    {
        "PRE_ROOT107_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b5b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root107_clr
    },
    {
        "PRE_ROOT107_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b5bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root107_tog
    },
    {
        "ACCESS_CTRL107",
        "Access Control Register",
        4, // Width in bytes
        0x0000b5f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl107
    },
    {
        "ACCESS_CTRL_ROOT107_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b5f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root107_set
    },
    {
        "ACCESS_CTRL_ROOT107_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b5f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root107_clr
    },
    {
        "ACCESS_CTRL_ROOT107_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b5fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root107_tog
    },
    {
        "TARGET_ROOT108",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b600, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root108
    },
    {
        "TARGET_ROOT108_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root108_set
    },
    {
        "TARGET_ROOT108_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root108_clr
    },
    {
        "TARGET_ROOT108_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b60c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root108_tog
    },
    {
        "MISC108",
        "MISC",
        4, // Width in bytes
        0x0000b610, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc108
    },
    {
        "MISC_ROOT108_SET",
        "Misc",
        4, // Width in bytes
        0x0000b614, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root108_set
    },
    {
        "MISC_ROOT108_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b618, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root108_clr
    },
    {
        "MISC_ROOT108_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b61c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root108_tog
    },
    {
        "POST108",
        "Post Register",
        4, // Width in bytes
        0x0000b620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post108
    },
    {
        "POST_ROOT108_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b624, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root108_set
    },
    {
        "POST_ROOT108_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b628, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root108_clr
    },
    {
        "POST_ROOT108_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b62c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root108_tog
    },
    {
        "PRE108",
        "Pre Register",
        4, // Width in bytes
        0x0000b630, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre108
    },
    {
        "PRE_ROOT108_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b634, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root108_set
    },
    {
        "PRE_ROOT108_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b638, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root108_clr
    },
    {
        "PRE_ROOT108_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b63c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root108_tog
    },
    {
        "ACCESS_CTRL108",
        "Access Control Register",
        4, // Width in bytes
        0x0000b670, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl108
    },
    {
        "ACCESS_CTRL_ROOT108_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b674, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root108_set
    },
    {
        "ACCESS_CTRL_ROOT108_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b678, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root108_clr
    },
    {
        "ACCESS_CTRL_ROOT108_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b67c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root108_tog
    },
    {
        "TARGET_ROOT109",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root109
    },
    {
        "TARGET_ROOT109_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root109_set
    },
    {
        "TARGET_ROOT109_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b688, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root109_clr
    },
    {
        "TARGET_ROOT109_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b68c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root109_tog
    },
    {
        "MISC109",
        "MISC",
        4, // Width in bytes
        0x0000b690, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc109
    },
    {
        "MISC_ROOT109_SET",
        "Misc",
        4, // Width in bytes
        0x0000b694, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root109_set
    },
    {
        "MISC_ROOT109_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b698, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root109_clr
    },
    {
        "MISC_ROOT109_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b69c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root109_tog
    },
    {
        "POST109",
        "Post Register",
        4, // Width in bytes
        0x0000b6a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post109
    },
    {
        "POST_ROOT109_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b6a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root109_set
    },
    {
        "POST_ROOT109_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b6a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root109_clr
    },
    {
        "POST_ROOT109_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b6ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root109_tog
    },
    {
        "PRE109",
        "Pre Register",
        4, // Width in bytes
        0x0000b6b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre109
    },
    {
        "PRE_ROOT109_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b6b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root109_set
    },
    {
        "PRE_ROOT109_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b6b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root109_clr
    },
    {
        "PRE_ROOT109_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b6bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root109_tog
    },
    {
        "ACCESS_CTRL109",
        "Access Control Register",
        4, // Width in bytes
        0x0000b6f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl109
    },
    {
        "ACCESS_CTRL_ROOT109_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b6f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root109_set
    },
    {
        "ACCESS_CTRL_ROOT109_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b6f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root109_clr
    },
    {
        "ACCESS_CTRL_ROOT109_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b6fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root109_tog
    },
    {
        "TARGET_ROOT110",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b700, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root110
    },
    {
        "TARGET_ROOT110_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b704, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root110_set
    },
    {
        "TARGET_ROOT110_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b708, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root110_clr
    },
    {
        "TARGET_ROOT110_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b70c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root110_tog
    },
    {
        "MISC110",
        "MISC",
        4, // Width in bytes
        0x0000b710, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc110
    },
    {
        "MISC_ROOT110_SET",
        "Misc",
        4, // Width in bytes
        0x0000b714, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root110_set
    },
    {
        "MISC_ROOT110_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b718, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root110_clr
    },
    {
        "MISC_ROOT110_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b71c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root110_tog
    },
    {
        "POST110",
        "Post Register",
        4, // Width in bytes
        0x0000b720, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post110
    },
    {
        "POST_ROOT110_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b724, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root110_set
    },
    {
        "POST_ROOT110_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b728, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root110_clr
    },
    {
        "POST_ROOT110_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b72c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root110_tog
    },
    {
        "PRE110",
        "Pre Register",
        4, // Width in bytes
        0x0000b730, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre110
    },
    {
        "PRE_ROOT110_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b734, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root110_set
    },
    {
        "PRE_ROOT110_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b738, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root110_clr
    },
    {
        "PRE_ROOT110_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b73c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root110_tog
    },
    {
        "ACCESS_CTRL110",
        "Access Control Register",
        4, // Width in bytes
        0x0000b770, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl110
    },
    {
        "ACCESS_CTRL_ROOT110_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b774, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root110_set
    },
    {
        "ACCESS_CTRL_ROOT110_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b778, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root110_clr
    },
    {
        "ACCESS_CTRL_ROOT110_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b77c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root110_tog
    },
    {
        "TARGET_ROOT111",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b780, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root111
    },
    {
        "TARGET_ROOT111_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b784, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root111_set
    },
    {
        "TARGET_ROOT111_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b788, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root111_clr
    },
    {
        "TARGET_ROOT111_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b78c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root111_tog
    },
    {
        "MISC111",
        "MISC",
        4, // Width in bytes
        0x0000b790, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc111
    },
    {
        "MISC_ROOT111_SET",
        "Misc",
        4, // Width in bytes
        0x0000b794, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root111_set
    },
    {
        "MISC_ROOT111_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b798, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root111_clr
    },
    {
        "MISC_ROOT111_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b79c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root111_tog
    },
    {
        "POST111",
        "Post Register",
        4, // Width in bytes
        0x0000b7a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post111
    },
    {
        "POST_ROOT111_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b7a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root111_set
    },
    {
        "POST_ROOT111_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b7a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root111_clr
    },
    {
        "POST_ROOT111_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b7ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root111_tog
    },
    {
        "PRE111",
        "Pre Register",
        4, // Width in bytes
        0x0000b7b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre111
    },
    {
        "PRE_ROOT111_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b7b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root111_set
    },
    {
        "PRE_ROOT111_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b7b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root111_clr
    },
    {
        "PRE_ROOT111_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b7bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root111_tog
    },
    {
        "ACCESS_CTRL111",
        "Access Control Register",
        4, // Width in bytes
        0x0000b7f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl111
    },
    {
        "ACCESS_CTRL_ROOT111_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b7f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root111_set
    },
    {
        "ACCESS_CTRL_ROOT111_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b7f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root111_clr
    },
    {
        "ACCESS_CTRL_ROOT111_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b7fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root111_tog
    },
    {
        "TARGET_ROOT112",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b800, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root112
    },
    {
        "TARGET_ROOT112_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b804, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root112_set
    },
    {
        "TARGET_ROOT112_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b808, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root112_clr
    },
    {
        "TARGET_ROOT112_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b80c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root112_tog
    },
    {
        "MISC112",
        "MISC",
        4, // Width in bytes
        0x0000b810, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc112
    },
    {
        "MISC_ROOT112_SET",
        "Misc",
        4, // Width in bytes
        0x0000b814, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root112_set
    },
    {
        "MISC_ROOT112_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b818, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root112_clr
    },
    {
        "MISC_ROOT112_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b81c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root112_tog
    },
    {
        "POST112",
        "Post Register",
        4, // Width in bytes
        0x0000b820, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post112
    },
    {
        "POST_ROOT112_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b824, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root112_set
    },
    {
        "POST_ROOT112_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b828, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root112_clr
    },
    {
        "POST_ROOT112_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b82c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root112_tog
    },
    {
        "PRE112",
        "Pre Register",
        4, // Width in bytes
        0x0000b830, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre112
    },
    {
        "PRE_ROOT112_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b834, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root112_set
    },
    {
        "PRE_ROOT112_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root112_clr
    },
    {
        "PRE_ROOT112_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b83c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root112_tog
    },
    {
        "ACCESS_CTRL112",
        "Access Control Register",
        4, // Width in bytes
        0x0000b870, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl112
    },
    {
        "ACCESS_CTRL_ROOT112_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b874, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root112_set
    },
    {
        "ACCESS_CTRL_ROOT112_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b878, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root112_clr
    },
    {
        "ACCESS_CTRL_ROOT112_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b87c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root112_tog
    },
    {
        "TARGET_ROOT113",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b880, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root113
    },
    {
        "TARGET_ROOT113_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b884, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root113_set
    },
    {
        "TARGET_ROOT113_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b888, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root113_clr
    },
    {
        "TARGET_ROOT113_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b88c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root113_tog
    },
    {
        "MISC113",
        "MISC",
        4, // Width in bytes
        0x0000b890, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc113
    },
    {
        "MISC_ROOT113_SET",
        "Misc",
        4, // Width in bytes
        0x0000b894, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root113_set
    },
    {
        "MISC_ROOT113_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b898, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root113_clr
    },
    {
        "MISC_ROOT113_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b89c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root113_tog
    },
    {
        "POST113",
        "Post Register",
        4, // Width in bytes
        0x0000b8a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post113
    },
    {
        "POST_ROOT113_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b8a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root113_set
    },
    {
        "POST_ROOT113_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b8a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root113_clr
    },
    {
        "POST_ROOT113_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b8ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root113_tog
    },
    {
        "PRE113",
        "Pre Register",
        4, // Width in bytes
        0x0000b8b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre113
    },
    {
        "PRE_ROOT113_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b8b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root113_set
    },
    {
        "PRE_ROOT113_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b8b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root113_clr
    },
    {
        "PRE_ROOT113_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b8bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root113_tog
    },
    {
        "ACCESS_CTRL113",
        "Access Control Register",
        4, // Width in bytes
        0x0000b8f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl113
    },
    {
        "ACCESS_CTRL_ROOT113_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b8f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root113_set
    },
    {
        "ACCESS_CTRL_ROOT113_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b8f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root113_clr
    },
    {
        "ACCESS_CTRL_ROOT113_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b8fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root113_tog
    },
    {
        "TARGET_ROOT114",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b900, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root114
    },
    {
        "TARGET_ROOT114_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b904, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root114_set
    },
    {
        "TARGET_ROOT114_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b908, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root114_clr
    },
    {
        "TARGET_ROOT114_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b90c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root114_tog
    },
    {
        "MISC114",
        "MISC",
        4, // Width in bytes
        0x0000b910, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc114
    },
    {
        "MISC_ROOT114_SET",
        "Misc",
        4, // Width in bytes
        0x0000b914, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root114_set
    },
    {
        "MISC_ROOT114_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b918, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root114_clr
    },
    {
        "MISC_ROOT114_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b91c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root114_tog
    },
    {
        "POST114",
        "Post Register",
        4, // Width in bytes
        0x0000b920, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post114
    },
    {
        "POST_ROOT114_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b924, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root114_set
    },
    {
        "POST_ROOT114_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b928, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root114_clr
    },
    {
        "POST_ROOT114_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b92c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root114_tog
    },
    {
        "PRE114",
        "Pre Register",
        4, // Width in bytes
        0x0000b930, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre114
    },
    {
        "PRE_ROOT114_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b934, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root114_set
    },
    {
        "PRE_ROOT114_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b938, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root114_clr
    },
    {
        "PRE_ROOT114_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b93c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root114_tog
    },
    {
        "ACCESS_CTRL114",
        "Access Control Register",
        4, // Width in bytes
        0x0000b970, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl114
    },
    {
        "ACCESS_CTRL_ROOT114_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b974, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root114_set
    },
    {
        "ACCESS_CTRL_ROOT114_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b978, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root114_clr
    },
    {
        "ACCESS_CTRL_ROOT114_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b97c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root114_tog
    },
    {
        "TARGET_ROOT115",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b980, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root115
    },
    {
        "TARGET_ROOT115_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b984, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root115_set
    },
    {
        "TARGET_ROOT115_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b988, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root115_clr
    },
    {
        "TARGET_ROOT115_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000b98c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root115_tog
    },
    {
        "MISC115",
        "MISC",
        4, // Width in bytes
        0x0000b990, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc115
    },
    {
        "MISC_ROOT115_SET",
        "Misc",
        4, // Width in bytes
        0x0000b994, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root115_set
    },
    {
        "MISC_ROOT115_CLR",
        "MISC",
        4, // Width in bytes
        0x0000b998, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root115_clr
    },
    {
        "MISC_ROOT115_TOG",
        "MISC",
        4, // Width in bytes
        0x0000b99c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root115_tog
    },
    {
        "POST115",
        "Post Register",
        4, // Width in bytes
        0x0000b9a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post115
    },
    {
        "POST_ROOT115_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000b9a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root115_set
    },
    {
        "POST_ROOT115_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000b9a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root115_clr
    },
    {
        "POST_ROOT115_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000b9ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root115_tog
    },
    {
        "PRE115",
        "Pre Register",
        4, // Width in bytes
        0x0000b9b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre115
    },
    {
        "PRE_ROOT115_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000b9b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root115_set
    },
    {
        "PRE_ROOT115_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000b9b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root115_clr
    },
    {
        "PRE_ROOT115_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000b9bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root115_tog
    },
    {
        "ACCESS_CTRL115",
        "Access Control Register",
        4, // Width in bytes
        0x0000b9f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl115
    },
    {
        "ACCESS_CTRL_ROOT115_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000b9f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root115_set
    },
    {
        "ACCESS_CTRL_ROOT115_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000b9f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root115_clr
    },
    {
        "ACCESS_CTRL_ROOT115_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000b9fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root115_tog
    },
    {
        "TARGET_ROOT116",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root116
    },
    {
        "TARGET_ROOT116_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root116_set
    },
    {
        "TARGET_ROOT116_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root116_clr
    },
    {
        "TARGET_ROOT116_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root116_tog
    },
    {
        "MISC116",
        "MISC",
        4, // Width in bytes
        0x0000ba10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc116
    },
    {
        "MISC_ROOT116_SET",
        "Misc",
        4, // Width in bytes
        0x0000ba14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root116_set
    },
    {
        "MISC_ROOT116_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ba18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root116_clr
    },
    {
        "MISC_ROOT116_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ba1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root116_tog
    },
    {
        "POST116",
        "Post Register",
        4, // Width in bytes
        0x0000ba20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post116
    },
    {
        "POST_ROOT116_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000ba24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root116_set
    },
    {
        "POST_ROOT116_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000ba28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root116_clr
    },
    {
        "POST_ROOT116_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000ba2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root116_tog
    },
    {
        "PRE116",
        "Pre Register",
        4, // Width in bytes
        0x0000ba30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre116
    },
    {
        "PRE_ROOT116_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000ba34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root116_set
    },
    {
        "PRE_ROOT116_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000ba38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root116_clr
    },
    {
        "PRE_ROOT116_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000ba3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root116_tog
    },
    {
        "ACCESS_CTRL116",
        "Access Control Register",
        4, // Width in bytes
        0x0000ba70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl116
    },
    {
        "ACCESS_CTRL_ROOT116_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000ba74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root116_set
    },
    {
        "ACCESS_CTRL_ROOT116_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000ba78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root116_clr
    },
    {
        "ACCESS_CTRL_ROOT116_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000ba7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root116_tog
    },
    {
        "TARGET_ROOT117",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root117
    },
    {
        "TARGET_ROOT117_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root117_set
    },
    {
        "TARGET_ROOT117_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root117_clr
    },
    {
        "TARGET_ROOT117_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000ba8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root117_tog
    },
    {
        "MISC117",
        "MISC",
        4, // Width in bytes
        0x0000ba90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc117
    },
    {
        "MISC_ROOT117_SET",
        "Misc",
        4, // Width in bytes
        0x0000ba94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root117_set
    },
    {
        "MISC_ROOT117_CLR",
        "MISC",
        4, // Width in bytes
        0x0000ba98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root117_clr
    },
    {
        "MISC_ROOT117_TOG",
        "MISC",
        4, // Width in bytes
        0x0000ba9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root117_tog
    },
    {
        "POST117",
        "Post Register",
        4, // Width in bytes
        0x0000baa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post117
    },
    {
        "POST_ROOT117_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000baa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root117_set
    },
    {
        "POST_ROOT117_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000baa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root117_clr
    },
    {
        "POST_ROOT117_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000baac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root117_tog
    },
    {
        "PRE117",
        "Pre Register",
        4, // Width in bytes
        0x0000bab0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre117
    },
    {
        "PRE_ROOT117_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bab4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root117_set
    },
    {
        "PRE_ROOT117_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bab8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root117_clr
    },
    {
        "PRE_ROOT117_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000babc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root117_tog
    },
    {
        "ACCESS_CTRL117",
        "Access Control Register",
        4, // Width in bytes
        0x0000baf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl117
    },
    {
        "ACCESS_CTRL_ROOT117_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000baf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root117_set
    },
    {
        "ACCESS_CTRL_ROOT117_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000baf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root117_clr
    },
    {
        "ACCESS_CTRL_ROOT117_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bafc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root117_tog
    },
    {
        "TARGET_ROOT118",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root118
    },
    {
        "TARGET_ROOT118_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root118_set
    },
    {
        "TARGET_ROOT118_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root118_clr
    },
    {
        "TARGET_ROOT118_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root118_tog
    },
    {
        "MISC118",
        "MISC",
        4, // Width in bytes
        0x0000bb10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc118
    },
    {
        "MISC_ROOT118_SET",
        "Misc",
        4, // Width in bytes
        0x0000bb14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root118_set
    },
    {
        "MISC_ROOT118_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bb18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root118_clr
    },
    {
        "MISC_ROOT118_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bb1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root118_tog
    },
    {
        "POST118",
        "Post Register",
        4, // Width in bytes
        0x0000bb20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post118
    },
    {
        "POST_ROOT118_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bb24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root118_set
    },
    {
        "POST_ROOT118_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bb28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root118_clr
    },
    {
        "POST_ROOT118_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bb2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root118_tog
    },
    {
        "PRE118",
        "Pre Register",
        4, // Width in bytes
        0x0000bb30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre118
    },
    {
        "PRE_ROOT118_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bb34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root118_set
    },
    {
        "PRE_ROOT118_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bb38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root118_clr
    },
    {
        "PRE_ROOT118_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bb3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root118_tog
    },
    {
        "ACCESS_CTRL118",
        "Access Control Register",
        4, // Width in bytes
        0x0000bb70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl118
    },
    {
        "ACCESS_CTRL_ROOT118_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bb74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root118_set
    },
    {
        "ACCESS_CTRL_ROOT118_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bb78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root118_clr
    },
    {
        "ACCESS_CTRL_ROOT118_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bb7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root118_tog
    },
    {
        "TARGET_ROOT119",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root119
    },
    {
        "TARGET_ROOT119_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root119_set
    },
    {
        "TARGET_ROOT119_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root119_clr
    },
    {
        "TARGET_ROOT119_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bb8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root119_tog
    },
    {
        "MISC119",
        "MISC",
        4, // Width in bytes
        0x0000bb90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc119
    },
    {
        "MISC_ROOT119_SET",
        "Misc",
        4, // Width in bytes
        0x0000bb94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root119_set
    },
    {
        "MISC_ROOT119_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bb98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root119_clr
    },
    {
        "MISC_ROOT119_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bb9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root119_tog
    },
    {
        "POST119",
        "Post Register",
        4, // Width in bytes
        0x0000bba0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post119
    },
    {
        "POST_ROOT119_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bba4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root119_set
    },
    {
        "POST_ROOT119_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bba8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root119_clr
    },
    {
        "POST_ROOT119_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bbac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root119_tog
    },
    {
        "PRE119",
        "Pre Register",
        4, // Width in bytes
        0x0000bbb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre119
    },
    {
        "PRE_ROOT119_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bbb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root119_set
    },
    {
        "PRE_ROOT119_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bbb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root119_clr
    },
    {
        "PRE_ROOT119_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bbbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root119_tog
    },
    {
        "ACCESS_CTRL119",
        "Access Control Register",
        4, // Width in bytes
        0x0000bbf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl119
    },
    {
        "ACCESS_CTRL_ROOT119_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bbf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root119_set
    },
    {
        "ACCESS_CTRL_ROOT119_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bbf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root119_clr
    },
    {
        "ACCESS_CTRL_ROOT119_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bbfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root119_tog
    },
    {
        "TARGET_ROOT120",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root120
    },
    {
        "TARGET_ROOT120_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root120_set
    },
    {
        "TARGET_ROOT120_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root120_clr
    },
    {
        "TARGET_ROOT120_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root120_tog
    },
    {
        "MISC120",
        "MISC",
        4, // Width in bytes
        0x0000bc10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc120
    },
    {
        "MISC_ROOT120_SET",
        "Misc",
        4, // Width in bytes
        0x0000bc14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root120_set
    },
    {
        "MISC_ROOT120_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bc18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root120_clr
    },
    {
        "MISC_ROOT120_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bc1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root120_tog
    },
    {
        "POST120",
        "Post Register",
        4, // Width in bytes
        0x0000bc20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post120
    },
    {
        "POST_ROOT120_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bc24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root120_set
    },
    {
        "POST_ROOT120_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bc28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root120_clr
    },
    {
        "POST_ROOT120_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bc2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root120_tog
    },
    {
        "PRE120",
        "Pre Register",
        4, // Width in bytes
        0x0000bc30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre120
    },
    {
        "PRE_ROOT120_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bc34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root120_set
    },
    {
        "PRE_ROOT120_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bc38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root120_clr
    },
    {
        "PRE_ROOT120_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bc3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root120_tog
    },
    {
        "ACCESS_CTRL120",
        "Access Control Register",
        4, // Width in bytes
        0x0000bc70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl120
    },
    {
        "ACCESS_CTRL_ROOT120_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bc74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root120_set
    },
    {
        "ACCESS_CTRL_ROOT120_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bc78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root120_clr
    },
    {
        "ACCESS_CTRL_ROOT120_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bc7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root120_tog
    },
    {
        "TARGET_ROOT121",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root121
    },
    {
        "TARGET_ROOT121_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root121_set
    },
    {
        "TARGET_ROOT121_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root121_clr
    },
    {
        "TARGET_ROOT121_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bc8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root121_tog
    },
    {
        "MISC121",
        "MISC",
        4, // Width in bytes
        0x0000bc90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc121
    },
    {
        "MISC_ROOT121_SET",
        "Misc",
        4, // Width in bytes
        0x0000bc94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root121_set
    },
    {
        "MISC_ROOT121_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bc98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root121_clr
    },
    {
        "MISC_ROOT121_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bc9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root121_tog
    },
    {
        "POST121",
        "Post Register",
        4, // Width in bytes
        0x0000bca0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post121
    },
    {
        "POST_ROOT121_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bca4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root121_set
    },
    {
        "POST_ROOT121_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bca8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root121_clr
    },
    {
        "POST_ROOT121_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bcac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root121_tog
    },
    {
        "PRE121",
        "Pre Register",
        4, // Width in bytes
        0x0000bcb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre121
    },
    {
        "PRE_ROOT121_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bcb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root121_set
    },
    {
        "PRE_ROOT121_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bcb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root121_clr
    },
    {
        "PRE_ROOT121_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bcbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root121_tog
    },
    {
        "ACCESS_CTRL121",
        "Access Control Register",
        4, // Width in bytes
        0x0000bcf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl121
    },
    {
        "ACCESS_CTRL_ROOT121_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bcf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root121_set
    },
    {
        "ACCESS_CTRL_ROOT121_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bcf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root121_clr
    },
    {
        "ACCESS_CTRL_ROOT121_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bcfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root121_tog
    },
    {
        "TARGET_ROOT122",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bd00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root122
    },
    {
        "TARGET_ROOT122_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bd04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root122_set
    },
    {
        "TARGET_ROOT122_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bd08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root122_clr
    },
    {
        "TARGET_ROOT122_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bd0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root122_tog
    },
    {
        "MISC122",
        "MISC",
        4, // Width in bytes
        0x0000bd10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc122
    },
    {
        "MISC_ROOT122_SET",
        "Misc",
        4, // Width in bytes
        0x0000bd14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root122_set
    },
    {
        "MISC_ROOT122_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bd18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root122_clr
    },
    {
        "MISC_ROOT122_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bd1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root122_tog
    },
    {
        "POST122",
        "Post Register",
        4, // Width in bytes
        0x0000bd20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post122
    },
    {
        "POST_ROOT122_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bd24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root122_set
    },
    {
        "POST_ROOT122_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bd28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root122_clr
    },
    {
        "POST_ROOT122_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bd2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root122_tog
    },
    {
        "PRE122",
        "Pre Register",
        4, // Width in bytes
        0x0000bd30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre122
    },
    {
        "PRE_ROOT122_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bd34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root122_set
    },
    {
        "PRE_ROOT122_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bd38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root122_clr
    },
    {
        "PRE_ROOT122_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bd3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root122_tog
    },
    {
        "ACCESS_CTRL122",
        "Access Control Register",
        4, // Width in bytes
        0x0000bd70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl122
    },
    {
        "ACCESS_CTRL_ROOT122_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bd74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root122_set
    },
    {
        "ACCESS_CTRL_ROOT122_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bd78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root122_clr
    },
    {
        "ACCESS_CTRL_ROOT122_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bd7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root122_tog
    },
    {
        "TARGET_ROOT123",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bd80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root123
    },
    {
        "TARGET_ROOT123_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bd84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root123_set
    },
    {
        "TARGET_ROOT123_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bd88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root123_clr
    },
    {
        "TARGET_ROOT123_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bd8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root123_tog
    },
    {
        "MISC123",
        "MISC",
        4, // Width in bytes
        0x0000bd90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc123
    },
    {
        "MISC_ROOT123_SET",
        "Misc",
        4, // Width in bytes
        0x0000bd94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root123_set
    },
    {
        "MISC_ROOT123_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bd98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root123_clr
    },
    {
        "MISC_ROOT123_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bd9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root123_tog
    },
    {
        "POST123",
        "Post Register",
        4, // Width in bytes
        0x0000bda0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post123
    },
    {
        "POST_ROOT123_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bda4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root123_set
    },
    {
        "POST_ROOT123_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bda8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root123_clr
    },
    {
        "POST_ROOT123_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bdac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root123_tog
    },
    {
        "PRE123",
        "Pre Register",
        4, // Width in bytes
        0x0000bdb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre123
    },
    {
        "PRE_ROOT123_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bdb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root123_set
    },
    {
        "PRE_ROOT123_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bdb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root123_clr
    },
    {
        "PRE_ROOT123_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bdbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root123_tog
    },
    {
        "ACCESS_CTRL123",
        "Access Control Register",
        4, // Width in bytes
        0x0000bdf0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl123
    },
    {
        "ACCESS_CTRL_ROOT123_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bdf4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root123_set
    },
    {
        "ACCESS_CTRL_ROOT123_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bdf8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root123_clr
    },
    {
        "ACCESS_CTRL_ROOT123_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bdfc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root123_tog
    },
    {
        "TARGET_ROOT124",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000be00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root124
    },
    {
        "TARGET_ROOT124_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000be04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root124_set
    },
    {
        "TARGET_ROOT124_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000be08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root124_clr
    },
    {
        "TARGET_ROOT124_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000be0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root124_tog
    },
    {
        "MISC124",
        "MISC",
        4, // Width in bytes
        0x0000be10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc124
    },
    {
        "MISC_ROOT124_SET",
        "Misc",
        4, // Width in bytes
        0x0000be14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root124_set
    },
    {
        "MISC_ROOT124_CLR",
        "MISC",
        4, // Width in bytes
        0x0000be18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root124_clr
    },
    {
        "MISC_ROOT124_TOG",
        "MISC",
        4, // Width in bytes
        0x0000be1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root124_tog
    },
    {
        "POST124",
        "Post Register",
        4, // Width in bytes
        0x0000be20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post124
    },
    {
        "POST_ROOT124_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000be24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root124_set
    },
    {
        "POST_ROOT124_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000be28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root124_clr
    },
    {
        "POST_ROOT124_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000be2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root124_tog
    },
    {
        "PRE124",
        "Pre Register",
        4, // Width in bytes
        0x0000be30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre124
    },
    {
        "PRE_ROOT124_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000be34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root124_set
    },
    {
        "PRE_ROOT124_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000be38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root124_clr
    },
    {
        "PRE_ROOT124_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000be3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root124_tog
    },
    {
        "ACCESS_CTRL124",
        "Access Control Register",
        4, // Width in bytes
        0x0000be70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl124
    },
    {
        "ACCESS_CTRL_ROOT124_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000be74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root124_set
    },
    {
        "ACCESS_CTRL_ROOT124_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000be78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root124_clr
    },
    {
        "ACCESS_CTRL_ROOT124_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000be7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root124_tog
    },
    {
        "TARGET_ROOT125",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000be80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root125
    },
    {
        "TARGET_ROOT125_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000be84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root125_set
    },
    {
        "TARGET_ROOT125_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000be88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root125_clr
    },
    {
        "TARGET_ROOT125_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000be8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root125_tog
    },
    {
        "MISC125",
        "MISC",
        4, // Width in bytes
        0x0000be90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc125
    },
    {
        "MISC_ROOT125_SET",
        "Misc",
        4, // Width in bytes
        0x0000be94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root125_set
    },
    {
        "MISC_ROOT125_CLR",
        "MISC",
        4, // Width in bytes
        0x0000be98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root125_clr
    },
    {
        "MISC_ROOT125_TOG",
        "MISC",
        4, // Width in bytes
        0x0000be9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root125_tog
    },
    {
        "POST125",
        "Post Register",
        4, // Width in bytes
        0x0000bea0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post125
    },
    {
        "POST_ROOT125_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bea4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root125_set
    },
    {
        "POST_ROOT125_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bea8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root125_clr
    },
    {
        "POST_ROOT125_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000beac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root125_tog
    },
    {
        "PRE125",
        "Pre Register",
        4, // Width in bytes
        0x0000beb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre125
    },
    {
        "PRE_ROOT125_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000beb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root125_set
    },
    {
        "PRE_ROOT125_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000beb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root125_clr
    },
    {
        "PRE_ROOT125_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bebc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root125_tog
    },
    {
        "ACCESS_CTRL125",
        "Access Control Register",
        4, // Width in bytes
        0x0000bef0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl125
    },
    {
        "ACCESS_CTRL_ROOT125_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bef4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root125_set
    },
    {
        "ACCESS_CTRL_ROOT125_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bef8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root125_clr
    },
    {
        "ACCESS_CTRL_ROOT125_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000befc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root125_tog
    },
    {
        "TARGET_ROOT126",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bf00, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root126
    },
    {
        "TARGET_ROOT126_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bf04, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root126_set
    },
    {
        "TARGET_ROOT126_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bf08, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root126_clr
    },
    {
        "TARGET_ROOT126_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bf0c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root126_tog
    },
    {
        "MISC126",
        "MISC",
        4, // Width in bytes
        0x0000bf10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc126
    },
    {
        "MISC_ROOT126_SET",
        "Misc",
        4, // Width in bytes
        0x0000bf14, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root126_set
    },
    {
        "MISC_ROOT126_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bf18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root126_clr
    },
    {
        "MISC_ROOT126_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bf1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root126_tog
    },
    {
        "POST126",
        "Post Register",
        4, // Width in bytes
        0x0000bf20, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post126
    },
    {
        "POST_ROOT126_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bf24, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root126_set
    },
    {
        "POST_ROOT126_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bf28, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root126_clr
    },
    {
        "POST_ROOT126_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bf2c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root126_tog
    },
    {
        "PRE126",
        "Pre Register",
        4, // Width in bytes
        0x0000bf30, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre126
    },
    {
        "PRE_ROOT126_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bf34, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root126_set
    },
    {
        "PRE_ROOT126_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bf38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root126_clr
    },
    {
        "PRE_ROOT126_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bf3c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root126_tog
    },
    {
        "ACCESS_CTRL126",
        "Access Control Register",
        4, // Width in bytes
        0x0000bf70, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl126
    },
    {
        "ACCESS_CTRL_ROOT126_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bf74, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root126_set
    },
    {
        "ACCESS_CTRL_ROOT126_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bf78, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root126_clr
    },
    {
        "ACCESS_CTRL_ROOT126_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bf7c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root126_tog
    },
    {
        "TARGET_ROOT127",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bf80, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root127
    },
    {
        "TARGET_ROOT127_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bf84, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root127_set
    },
    {
        "TARGET_ROOT127_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bf88, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root127_clr
    },
    {
        "TARGET_ROOT127_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000bf8c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root127_tog
    },
    {
        "MISC127",
        "MISC",
        4, // Width in bytes
        0x0000bf90, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc127
    },
    {
        "MISC_ROOT127_SET",
        "Misc",
        4, // Width in bytes
        0x0000bf94, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root127_set
    },
    {
        "MISC_ROOT127_CLR",
        "MISC",
        4, // Width in bytes
        0x0000bf98, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root127_clr
    },
    {
        "MISC_ROOT127_TOG",
        "MISC",
        4, // Width in bytes
        0x0000bf9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root127_tog
    },
    {
        "POST127",
        "Post Register",
        4, // Width in bytes
        0x0000bfa0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post127
    },
    {
        "POST_ROOT127_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000bfa4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root127_set
    },
    {
        "POST_ROOT127_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000bfa8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root127_clr
    },
    {
        "POST_ROOT127_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000bfac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root127_tog
    },
    {
        "PRE127",
        "Pre Register",
        4, // Width in bytes
        0x0000bfb0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre127
    },
    {
        "PRE_ROOT127_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000bfb4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root127_set
    },
    {
        "PRE_ROOT127_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000bfb8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root127_clr
    },
    {
        "PRE_ROOT127_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000bfbc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root127_tog
    },
    {
        "ACCESS_CTRL127",
        "Access Control Register",
        4, // Width in bytes
        0x0000bff0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl127
    },
    {
        "ACCESS_CTRL_ROOT127_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000bff4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root127_set
    },
    {
        "ACCESS_CTRL_ROOT127_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000bff8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root127_clr
    },
    {
        "ACCESS_CTRL_ROOT127_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000bffc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root127_tog
    },
    {
        "TARGET_ROOT128",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root128
    },
    {
        "TARGET_ROOT128_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root128_set
    },
    {
        "TARGET_ROOT128_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root128_clr
    },
    {
        "TARGET_ROOT128_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c00c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root128_tog
    },
    {
        "MISC128",
        "MISC",
        4, // Width in bytes
        0x0000c010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc128
    },
    {
        "MISC_ROOT128_SET",
        "Misc",
        4, // Width in bytes
        0x0000c014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root128_set
    },
    {
        "MISC_ROOT128_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c018, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root128_clr
    },
    {
        "MISC_ROOT128_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c01c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root128_tog
    },
    {
        "POST128",
        "Post Register",
        4, // Width in bytes
        0x0000c020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post128
    },
    {
        "POST_ROOT128_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c024, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root128_set
    },
    {
        "POST_ROOT128_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root128_clr
    },
    {
        "POST_ROOT128_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c02c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root128_tog
    },
    {
        "PRE128",
        "Pre Register",
        4, // Width in bytes
        0x0000c030, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre128
    },
    {
        "PRE_ROOT128_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c034, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root128_set
    },
    {
        "PRE_ROOT128_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root128_clr
    },
    {
        "PRE_ROOT128_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c03c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root128_tog
    },
    {
        "ACCESS_CTRL128",
        "Access Control Register",
        4, // Width in bytes
        0x0000c070, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl128
    },
    {
        "ACCESS_CTRL_ROOT128_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c074, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root128_set
    },
    {
        "ACCESS_CTRL_ROOT128_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c078, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root128_clr
    },
    {
        "ACCESS_CTRL_ROOT128_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c07c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root128_tog
    },
    {
        "TARGET_ROOT129",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c080, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root129
    },
    {
        "TARGET_ROOT129_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root129_set
    },
    {
        "TARGET_ROOT129_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c088, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root129_clr
    },
    {
        "TARGET_ROOT129_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c08c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root129_tog
    },
    {
        "MISC129",
        "MISC",
        4, // Width in bytes
        0x0000c090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc129
    },
    {
        "MISC_ROOT129_SET",
        "Misc",
        4, // Width in bytes
        0x0000c094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root129_set
    },
    {
        "MISC_ROOT129_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c098, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root129_clr
    },
    {
        "MISC_ROOT129_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c09c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root129_tog
    },
    {
        "POST129",
        "Post Register",
        4, // Width in bytes
        0x0000c0a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post129
    },
    {
        "POST_ROOT129_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c0a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root129_set
    },
    {
        "POST_ROOT129_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c0a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root129_clr
    },
    {
        "POST_ROOT129_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c0ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root129_tog
    },
    {
        "PRE129",
        "Pre Register",
        4, // Width in bytes
        0x0000c0b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre129
    },
    {
        "PRE_ROOT129_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c0b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root129_set
    },
    {
        "PRE_ROOT129_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c0b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root129_clr
    },
    {
        "PRE_ROOT129_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c0bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root129_tog
    },
    {
        "ACCESS_CTRL129",
        "Access Control Register",
        4, // Width in bytes
        0x0000c0f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl129
    },
    {
        "ACCESS_CTRL_ROOT129_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c0f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root129_set
    },
    {
        "ACCESS_CTRL_ROOT129_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c0f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root129_clr
    },
    {
        "ACCESS_CTRL_ROOT129_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c0fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root129_tog
    },
    {
        "TARGET_ROOT130",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root130
    },
    {
        "TARGET_ROOT130_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root130_set
    },
    {
        "TARGET_ROOT130_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root130_clr
    },
    {
        "TARGET_ROOT130_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c10c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root130_tog
    },
    {
        "MISC130",
        "MISC",
        4, // Width in bytes
        0x0000c110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc130
    },
    {
        "MISC_ROOT130_SET",
        "Misc",
        4, // Width in bytes
        0x0000c114, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root130_set
    },
    {
        "MISC_ROOT130_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root130_clr
    },
    {
        "MISC_ROOT130_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c11c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root130_tog
    },
    {
        "POST130",
        "Post Register",
        4, // Width in bytes
        0x0000c120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post130
    },
    {
        "POST_ROOT130_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root130_set
    },
    {
        "POST_ROOT130_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root130_clr
    },
    {
        "POST_ROOT130_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c12c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root130_tog
    },
    {
        "PRE130",
        "Pre Register",
        4, // Width in bytes
        0x0000c130, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre130
    },
    {
        "PRE_ROOT130_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c134, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root130_set
    },
    {
        "PRE_ROOT130_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c138, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root130_clr
    },
    {
        "PRE_ROOT130_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c13c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root130_tog
    },
    {
        "ACCESS_CTRL130",
        "Access Control Register",
        4, // Width in bytes
        0x0000c170, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl130
    },
    {
        "ACCESS_CTRL_ROOT130_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c174, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root130_set
    },
    {
        "ACCESS_CTRL_ROOT130_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c178, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root130_clr
    },
    {
        "ACCESS_CTRL_ROOT130_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c17c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root130_tog
    },
    {
        "TARGET_ROOT131",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root131
    },
    {
        "TARGET_ROOT131_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c184, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root131_set
    },
    {
        "TARGET_ROOT131_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c188, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root131_clr
    },
    {
        "TARGET_ROOT131_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c18c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root131_tog
    },
    {
        "MISC131",
        "MISC",
        4, // Width in bytes
        0x0000c190, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc131
    },
    {
        "MISC_ROOT131_SET",
        "Misc",
        4, // Width in bytes
        0x0000c194, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root131_set
    },
    {
        "MISC_ROOT131_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c198, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root131_clr
    },
    {
        "MISC_ROOT131_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c19c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root131_tog
    },
    {
        "POST131",
        "Post Register",
        4, // Width in bytes
        0x0000c1a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post131
    },
    {
        "POST_ROOT131_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c1a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root131_set
    },
    {
        "POST_ROOT131_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c1a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root131_clr
    },
    {
        "POST_ROOT131_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c1ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root131_tog
    },
    {
        "PRE131",
        "Pre Register",
        4, // Width in bytes
        0x0000c1b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre131
    },
    {
        "PRE_ROOT131_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c1b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root131_set
    },
    {
        "PRE_ROOT131_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c1b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root131_clr
    },
    {
        "PRE_ROOT131_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c1bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root131_tog
    },
    {
        "ACCESS_CTRL131",
        "Access Control Register",
        4, // Width in bytes
        0x0000c1f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl131
    },
    {
        "ACCESS_CTRL_ROOT131_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c1f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root131_set
    },
    {
        "ACCESS_CTRL_ROOT131_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c1f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root131_clr
    },
    {
        "ACCESS_CTRL_ROOT131_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c1fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root131_tog
    },
    {
        "TARGET_ROOT132",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root132
    },
    {
        "TARGET_ROOT132_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root132_set
    },
    {
        "TARGET_ROOT132_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root132_clr
    },
    {
        "TARGET_ROOT132_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c20c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root132_tog
    },
    {
        "MISC132",
        "MISC",
        4, // Width in bytes
        0x0000c210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc132
    },
    {
        "MISC_ROOT132_SET",
        "Misc",
        4, // Width in bytes
        0x0000c214, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root132_set
    },
    {
        "MISC_ROOT132_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c218, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root132_clr
    },
    {
        "MISC_ROOT132_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c21c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root132_tog
    },
    {
        "POST132",
        "Post Register",
        4, // Width in bytes
        0x0000c220, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post132
    },
    {
        "POST_ROOT132_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root132_set
    },
    {
        "POST_ROOT132_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root132_clr
    },
    {
        "POST_ROOT132_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c22c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root132_tog
    },
    {
        "PRE132",
        "Pre Register",
        4, // Width in bytes
        0x0000c230, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre132
    },
    {
        "PRE_ROOT132_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c234, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root132_set
    },
    {
        "PRE_ROOT132_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c238, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root132_clr
    },
    {
        "PRE_ROOT132_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c23c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root132_tog
    },
    {
        "ACCESS_CTRL132",
        "Access Control Register",
        4, // Width in bytes
        0x0000c270, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl132
    },
    {
        "ACCESS_CTRL_ROOT132_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c274, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root132_set
    },
    {
        "ACCESS_CTRL_ROOT132_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c278, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root132_clr
    },
    {
        "ACCESS_CTRL_ROOT132_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c27c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root132_tog
    },
    {
        "TARGET_ROOT133",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c280, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root133
    },
    {
        "TARGET_ROOT133_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c284, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root133_set
    },
    {
        "TARGET_ROOT133_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c288, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root133_clr
    },
    {
        "TARGET_ROOT133_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c28c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root133_tog
    },
    {
        "MISC133",
        "MISC",
        4, // Width in bytes
        0x0000c290, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc133
    },
    {
        "MISC_ROOT133_SET",
        "Misc",
        4, // Width in bytes
        0x0000c294, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root133_set
    },
    {
        "MISC_ROOT133_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c298, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root133_clr
    },
    {
        "MISC_ROOT133_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c29c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root133_tog
    },
    {
        "POST133",
        "Post Register",
        4, // Width in bytes
        0x0000c2a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post133
    },
    {
        "POST_ROOT133_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c2a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root133_set
    },
    {
        "POST_ROOT133_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c2a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root133_clr
    },
    {
        "POST_ROOT133_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c2ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root133_tog
    },
    {
        "PRE133",
        "Pre Register",
        4, // Width in bytes
        0x0000c2b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre133
    },
    {
        "PRE_ROOT133_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c2b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root133_set
    },
    {
        "PRE_ROOT133_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c2b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root133_clr
    },
    {
        "PRE_ROOT133_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c2bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root133_tog
    },
    {
        "ACCESS_CTRL133",
        "Access Control Register",
        4, // Width in bytes
        0x0000c2f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl133
    },
    {
        "ACCESS_CTRL_ROOT133_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c2f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root133_set
    },
    {
        "ACCESS_CTRL_ROOT133_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c2f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root133_clr
    },
    {
        "ACCESS_CTRL_ROOT133_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c2fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root133_tog
    },
    {
        "TARGET_ROOT134",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root134
    },
    {
        "TARGET_ROOT134_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c304, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root134_set
    },
    {
        "TARGET_ROOT134_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c308, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root134_clr
    },
    {
        "TARGET_ROOT134_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c30c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root134_tog
    },
    {
        "MISC134",
        "MISC",
        4, // Width in bytes
        0x0000c310, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc134
    },
    {
        "MISC_ROOT134_SET",
        "Misc",
        4, // Width in bytes
        0x0000c314, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root134_set
    },
    {
        "MISC_ROOT134_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c318, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root134_clr
    },
    {
        "MISC_ROOT134_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c31c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root134_tog
    },
    {
        "POST134",
        "Post Register",
        4, // Width in bytes
        0x0000c320, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post134
    },
    {
        "POST_ROOT134_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c324, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root134_set
    },
    {
        "POST_ROOT134_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c328, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root134_clr
    },
    {
        "POST_ROOT134_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c32c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root134_tog
    },
    {
        "PRE134",
        "Pre Register",
        4, // Width in bytes
        0x0000c330, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre134
    },
    {
        "PRE_ROOT134_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c334, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root134_set
    },
    {
        "PRE_ROOT134_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c338, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root134_clr
    },
    {
        "PRE_ROOT134_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c33c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root134_tog
    },
    {
        "ACCESS_CTRL134",
        "Access Control Register",
        4, // Width in bytes
        0x0000c370, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl134
    },
    {
        "ACCESS_CTRL_ROOT134_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c374, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root134_set
    },
    {
        "ACCESS_CTRL_ROOT134_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c378, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root134_clr
    },
    {
        "ACCESS_CTRL_ROOT134_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c37c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root134_tog
    },
    {
        "TARGET_ROOT135",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c380, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root135
    },
    {
        "TARGET_ROOT135_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c384, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root135_set
    },
    {
        "TARGET_ROOT135_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c388, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root135_clr
    },
    {
        "TARGET_ROOT135_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c38c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root135_tog
    },
    {
        "MISC135",
        "MISC",
        4, // Width in bytes
        0x0000c390, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc135
    },
    {
        "MISC_ROOT135_SET",
        "Misc",
        4, // Width in bytes
        0x0000c394, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root135_set
    },
    {
        "MISC_ROOT135_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c398, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root135_clr
    },
    {
        "MISC_ROOT135_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c39c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root135_tog
    },
    {
        "POST135",
        "Post Register",
        4, // Width in bytes
        0x0000c3a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post135
    },
    {
        "POST_ROOT135_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c3a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root135_set
    },
    {
        "POST_ROOT135_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c3a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root135_clr
    },
    {
        "POST_ROOT135_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c3ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root135_tog
    },
    {
        "PRE135",
        "Pre Register",
        4, // Width in bytes
        0x0000c3b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre135
    },
    {
        "PRE_ROOT135_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c3b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root135_set
    },
    {
        "PRE_ROOT135_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c3b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root135_clr
    },
    {
        "PRE_ROOT135_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c3bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root135_tog
    },
    {
        "ACCESS_CTRL135",
        "Access Control Register",
        4, // Width in bytes
        0x0000c3f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl135
    },
    {
        "ACCESS_CTRL_ROOT135_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c3f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root135_set
    },
    {
        "ACCESS_CTRL_ROOT135_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c3f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root135_clr
    },
    {
        "ACCESS_CTRL_ROOT135_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c3fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root135_tog
    },
    {
        "TARGET_ROOT136",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c400, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root136
    },
    {
        "TARGET_ROOT136_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root136_set
    },
    {
        "TARGET_ROOT136_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root136_clr
    },
    {
        "TARGET_ROOT136_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c40c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root136_tog
    },
    {
        "MISC136",
        "MISC",
        4, // Width in bytes
        0x0000c410, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc136
    },
    {
        "MISC_ROOT136_SET",
        "Misc",
        4, // Width in bytes
        0x0000c414, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root136_set
    },
    {
        "MISC_ROOT136_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c418, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root136_clr
    },
    {
        "MISC_ROOT136_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c41c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root136_tog
    },
    {
        "POST136",
        "Post Register",
        4, // Width in bytes
        0x0000c420, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post136
    },
    {
        "POST_ROOT136_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c424, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root136_set
    },
    {
        "POST_ROOT136_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c428, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root136_clr
    },
    {
        "POST_ROOT136_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c42c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root136_tog
    },
    {
        "PRE136",
        "Pre Register",
        4, // Width in bytes
        0x0000c430, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre136
    },
    {
        "PRE_ROOT136_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c434, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root136_set
    },
    {
        "PRE_ROOT136_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c438, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root136_clr
    },
    {
        "PRE_ROOT136_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c43c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root136_tog
    },
    {
        "ACCESS_CTRL136",
        "Access Control Register",
        4, // Width in bytes
        0x0000c470, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl136
    },
    {
        "ACCESS_CTRL_ROOT136_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c474, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root136_set
    },
    {
        "ACCESS_CTRL_ROOT136_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c478, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root136_clr
    },
    {
        "ACCESS_CTRL_ROOT136_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c47c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root136_tog
    },
    {
        "TARGET_ROOT137",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c480, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root137
    },
    {
        "TARGET_ROOT137_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root137_set
    },
    {
        "TARGET_ROOT137_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c488, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root137_clr
    },
    {
        "TARGET_ROOT137_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c48c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root137_tog
    },
    {
        "MISC137",
        "MISC",
        4, // Width in bytes
        0x0000c490, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc137
    },
    {
        "MISC_ROOT137_SET",
        "Misc",
        4, // Width in bytes
        0x0000c494, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root137_set
    },
    {
        "MISC_ROOT137_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c498, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root137_clr
    },
    {
        "MISC_ROOT137_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c49c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root137_tog
    },
    {
        "POST137",
        "Post Register",
        4, // Width in bytes
        0x0000c4a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post137
    },
    {
        "POST_ROOT137_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c4a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root137_set
    },
    {
        "POST_ROOT137_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c4a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root137_clr
    },
    {
        "POST_ROOT137_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c4ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root137_tog
    },
    {
        "PRE137",
        "Pre Register",
        4, // Width in bytes
        0x0000c4b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre137
    },
    {
        "PRE_ROOT137_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c4b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root137_set
    },
    {
        "PRE_ROOT137_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c4b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root137_clr
    },
    {
        "PRE_ROOT137_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c4bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root137_tog
    },
    {
        "ACCESS_CTRL137",
        "Access Control Register",
        4, // Width in bytes
        0x0000c4f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl137
    },
    {
        "ACCESS_CTRL_ROOT137_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c4f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root137_set
    },
    {
        "ACCESS_CTRL_ROOT137_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c4f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root137_clr
    },
    {
        "ACCESS_CTRL_ROOT137_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c4fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root137_tog
    },
    {
        "TARGET_ROOT138",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c500, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root138
    },
    {
        "TARGET_ROOT138_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root138_set
    },
    {
        "TARGET_ROOT138_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c508, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root138_clr
    },
    {
        "TARGET_ROOT138_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c50c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root138_tog
    },
    {
        "MISC138",
        "MISC",
        4, // Width in bytes
        0x0000c510, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc138
    },
    {
        "MISC_ROOT138_SET",
        "Misc",
        4, // Width in bytes
        0x0000c514, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root138_set
    },
    {
        "MISC_ROOT138_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c518, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root138_clr
    },
    {
        "MISC_ROOT138_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c51c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root138_tog
    },
    {
        "POST138",
        "Post Register",
        4, // Width in bytes
        0x0000c520, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post138
    },
    {
        "POST_ROOT138_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c524, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root138_set
    },
    {
        "POST_ROOT138_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c528, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root138_clr
    },
    {
        "POST_ROOT138_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c52c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root138_tog
    },
    {
        "PRE138",
        "Pre Register",
        4, // Width in bytes
        0x0000c530, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre138
    },
    {
        "PRE_ROOT138_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c534, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root138_set
    },
    {
        "PRE_ROOT138_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c538, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root138_clr
    },
    {
        "PRE_ROOT138_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c53c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root138_tog
    },
    {
        "ACCESS_CTRL138",
        "Access Control Register",
        4, // Width in bytes
        0x0000c570, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl138
    },
    {
        "ACCESS_CTRL_ROOT138_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c574, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root138_set
    },
    {
        "ACCESS_CTRL_ROOT138_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c578, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root138_clr
    },
    {
        "ACCESS_CTRL_ROOT138_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c57c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root138_tog
    },
    {
        "TARGET_ROOT139",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c580, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root139
    },
    {
        "TARGET_ROOT139_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root139_set
    },
    {
        "TARGET_ROOT139_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c588, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root139_clr
    },
    {
        "TARGET_ROOT139_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c58c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root139_tog
    },
    {
        "MISC139",
        "MISC",
        4, // Width in bytes
        0x0000c590, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc139
    },
    {
        "MISC_ROOT139_SET",
        "Misc",
        4, // Width in bytes
        0x0000c594, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root139_set
    },
    {
        "MISC_ROOT139_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c598, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root139_clr
    },
    {
        "MISC_ROOT139_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c59c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root139_tog
    },
    {
        "POST139",
        "Post Register",
        4, // Width in bytes
        0x0000c5a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post139
    },
    {
        "POST_ROOT139_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c5a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root139_set
    },
    {
        "POST_ROOT139_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c5a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root139_clr
    },
    {
        "POST_ROOT139_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c5ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root139_tog
    },
    {
        "PRE139",
        "Pre Register",
        4, // Width in bytes
        0x0000c5b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre139
    },
    {
        "PRE_ROOT139_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c5b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root139_set
    },
    {
        "PRE_ROOT139_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c5b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root139_clr
    },
    {
        "PRE_ROOT139_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c5bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root139_tog
    },
    {
        "ACCESS_CTRL139",
        "Access Control Register",
        4, // Width in bytes
        0x0000c5f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl139
    },
    {
        "ACCESS_CTRL_ROOT139_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c5f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root139_set
    },
    {
        "ACCESS_CTRL_ROOT139_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c5f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root139_clr
    },
    {
        "ACCESS_CTRL_ROOT139_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c5fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root139_tog
    },
    {
        "TARGET_ROOT140",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c600, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root140
    },
    {
        "TARGET_ROOT140_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root140_set
    },
    {
        "TARGET_ROOT140_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root140_clr
    },
    {
        "TARGET_ROOT140_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c60c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root140_tog
    },
    {
        "MISC140",
        "MISC",
        4, // Width in bytes
        0x0000c610, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc140
    },
    {
        "MISC_ROOT140_SET",
        "Misc",
        4, // Width in bytes
        0x0000c614, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root140_set
    },
    {
        "MISC_ROOT140_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c618, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root140_clr
    },
    {
        "MISC_ROOT140_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c61c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root140_tog
    },
    {
        "POST140",
        "Post Register",
        4, // Width in bytes
        0x0000c620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post140
    },
    {
        "POST_ROOT140_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c624, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root140_set
    },
    {
        "POST_ROOT140_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c628, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root140_clr
    },
    {
        "POST_ROOT140_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c62c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root140_tog
    },
    {
        "PRE140",
        "Pre Register",
        4, // Width in bytes
        0x0000c630, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre140
    },
    {
        "PRE_ROOT140_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c634, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root140_set
    },
    {
        "PRE_ROOT140_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c638, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root140_clr
    },
    {
        "PRE_ROOT140_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c63c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root140_tog
    },
    {
        "ACCESS_CTRL140",
        "Access Control Register",
        4, // Width in bytes
        0x0000c670, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl140
    },
    {
        "ACCESS_CTRL_ROOT140_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c674, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root140_set
    },
    {
        "ACCESS_CTRL_ROOT140_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c678, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root140_clr
    },
    {
        "ACCESS_CTRL_ROOT140_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c67c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root140_tog
    },
    {
        "TARGET_ROOT141",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c680, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root141
    },
    {
        "TARGET_ROOT141_SET",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root141_set
    },
    {
        "TARGET_ROOT141_CLR",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c688, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root141_clr
    },
    {
        "TARGET_ROOT141_TOG",
        "See Target Interface for more information.",
        4, // Width in bytes
        0x0000c68c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_target_root141_tog
    },
    {
        "MISC141",
        "MISC",
        4, // Width in bytes
        0x0000c690, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc141
    },
    {
        "MISC_ROOT141_SET",
        "Misc",
        4, // Width in bytes
        0x0000c694, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root141_set
    },
    {
        "MISC_ROOT141_CLR",
        "MISC",
        4, // Width in bytes
        0x0000c698, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root141_clr
    },
    {
        "MISC_ROOT141_TOG",
        "MISC",
        4, // Width in bytes
        0x0000c69c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ccm_misc_root141_tog
    },
    {
        "POST141",
        "Post Register",
        4, // Width in bytes
        0x0000c6a0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post141
    },
    {
        "POST_ROOT141_SET",
        "Post Divider Register",
        4, // Width in bytes
        0x0000c6a4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root141_set
    },
    {
        "POST_ROOT141_CLR",
        "Post Root Register",
        4, // Width in bytes
        0x0000c6a8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root141_clr
    },
    {
        "POST_ROOT141_TOG",
        "Post Root Register",
        4, // Width in bytes
        0x0000c6ac, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_post_root141_tog
    },
    {
        "PRE141",
        "Pre Register",
        4, // Width in bytes
        0x0000c6b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre141
    },
    {
        "PRE_ROOT141_SET",
        "Pre Divider Register",
        4, // Width in bytes
        0x0000c6b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root141_set
    },
    {
        "PRE_ROOT141_CLR",
        "Pree Root Register",
        4, // Width in bytes
        0x0000c6b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root141_clr
    },
    {
        "PRE_ROOT141_TOG",
        "Pre Root Register",
        4, // Width in bytes
        0x0000c6bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_pre_root141_tog
    },
    {
        "ACCESS_CTRL141",
        "Access Control Register",
        4, // Width in bytes
        0x0000c6f0, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl141
    },
    {
        "ACCESS_CTRL_ROOT141_SET",
        "Access Control Register",
        4, // Width in bytes
        0x0000c6f4, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root141_set
    },
    {
        "ACCESS_CTRL_ROOT141_CLR",
        "Access Control Register",
        4, // Width in bytes
        0x0000c6f8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root141_clr
    },
    {
        "ACCESS_CTRL_ROOT141_TOG",
        "Access Control Register",
        4, // Width in bytes
        0x0000c6fc, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ccm_access_ctrl_root141_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark CCM_ANALOG
#endif

// Bitfields in register CCM_ANALOG_AUDIO_PLL1_CFG0.
static const field_t hw_ccm_analog_audio_pll1_cfg0[] =
{
    {
        "PLL_OUTPUT_DIV_VAL",
        "PLL output clock divide value Settings must maintain the PLL operation"
        "al range.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_DIV_VAL",
        "PLL reference clock divide value.",
        5, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_NEWDIV_ACK",
        "PLL new fraction divide handshake signal",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PLL_NEWDIV_VAL",
        "PLL new fraction divide input control active high",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS",
        "PLL bypass control active high",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_AUDIO_PLL1_CFG1.
static const field_t hw_ccm_analog_audio_pll1_cfg1[] =
{
    {
        "PLL_INT_DIV_CTL",
        "PLL Integer divide control Settings must maintain the PLL operational "
        "range.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FRAC_DIV_CTL",
        "PLL fraction divide control Settings must maintain the PLL operational"
        " range.",
        7, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_AUDIO_PLL2_CFG0.
static const field_t hw_ccm_analog_audio_pll2_cfg0[] =
{
    {
        "PLL_OUTPUT_DIV_VAL",
        "PLL output clock divide value Settings must maintain the PLL operation"
        "al range.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_DIV_VAL",
        "PLL reference clock divide value.",
        5, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_NEWDIV_ACK",
        "PLL new fraction divide handshake signal",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PLL_NEWDIV_VAL",
        "PLL new fraction divide input control active high",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS",
        "PLL bypass control active high",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_AUDIO_PLL2_CFG1.
static const field_t hw_ccm_analog_audio_pll2_cfg1[] =
{
    {
        "PLL_INT_DIV_CTL",
        "PLL Integer divide control Settings must maintain the PLL operational "
        "range.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FRAC_DIV_CTL",
        "PLL fraction divide control Settings must maintain the PLL operational"
        " range.",
        7, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_VIDEO_PLL1_CFG0.
static const field_t hw_ccm_analog_video_pll1_cfg0[] =
{
    {
        "PLL_OUTPUT_DIV_VAL",
        "PLL output clock divide value Settings must maintain the PLL operation"
        "al range.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_DIV_VAL",
        "PLL reference clock divide value.",
        5, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_NEWDIV_ACK",
        "PLL new fraction divide handshake signal",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PLL_NEWDIV_VAL",
        "PLL new fraction divide input control active high",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS",
        "PLL bypass control active high",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_VIDEO_PLL1_CFG1.
static const field_t hw_ccm_analog_video_pll1_cfg1[] =
{
    {
        "PLL_INT_DIV_CTL",
        "PLL Integer divide control Settings must maintain the PLL operational "
        "range.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FRAC_DIV_CTL",
        "PLL fraction divide control Settings must maintain the PLL operational"
        " range.",
        7, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_GPU_PLL_CFG0.
static const field_t hw_ccm_analog_gpu_pll_cfg0[] =
{
    {
        "PLL_OUTPUT_DIV_VAL",
        "PLL output clock divide value Settings must maintain the PLL operation"
        "al range.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_DIV_VAL",
        "PLL reference clock divide value.",
        5, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_NEWDIV_ACK",
        "PLL new fraction divide handshake signal",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PLL_NEWDIV_VAL",
        "PLL new fraction divide input control active high",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS",
        "PLL bypass control active high",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_GPU_PLL_CFG1.
static const field_t hw_ccm_analog_gpu_pll_cfg1[] =
{
    {
        "PLL_INT_DIV_CTL",
        "PLL Integer divide control Settings must maintain the PLL operational "
        "range.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FRAC_DIV_CTL",
        "PLL fraction divide control Settings must maintain the PLL operational"
        " range.",
        7, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_VPU_PLL_CFG0.
static const field_t hw_ccm_analog_vpu_pll_cfg0[] =
{
    {
        "PLL_OUTPUT_DIV_VAL",
        "PLL output clock divide value Settings must maintain the PLL operation"
        "al range.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_DIV_VAL",
        "PLL reference clock divide value.",
        5, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_NEWDIV_ACK",
        "PLL new fraction divide handshake signal",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PLL_NEWDIV_VAL",
        "PLL new fraction divide input control active high",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS",
        "PLL bypass control active high",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_VPU_PLL_CFG1.
static const field_t hw_ccm_analog_vpu_pll_cfg1[] =
{
    {
        "PLL_INT_DIV_CTL",
        "PLL Integer divide control Settings must maintain the PLL operational "
        "range.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FRAC_DIV_CTL",
        "PLL fraction divide control Settings must maintain the PLL operational"
        " range.",
        7, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ARM_PLL_CFG0.
static const field_t hw_ccm_analog_arm_pll_cfg0[] =
{
    {
        "PLL_OUTPUT_DIV_VAL",
        "PLL output clock divide value Settings must maintain the PLL operation"
        "al range.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_DIV_VAL",
        "PLL reference clock divide value.",
        5, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_NEWDIV_ACK",
        "PLL new fraction divide handshake signal",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PLL_NEWDIV_VAL",
        "PLL new fraction divide input control active high",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS",
        "PLL bypass control active high",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_ARM_PLL_CFG1.
static const field_t hw_ccm_analog_arm_pll_cfg1[] =
{
    {
        "PLL_INT_DIV_CTL",
        "PLL Integer divide control Settings must maintain the PLL operational "
        "range.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FRAC_DIV_CTL",
        "PLL fraction divide control Settings must maintain the PLL operational"
        " range.",
        7, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SYS_PLL1_CFG0.
static const field_t hw_ccm_analog_sys_pll1_cfg0[] =
{
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS2",
        "Internal PLL2 bypass control active high",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS1",
        "Internal PLL1 bypass control active high",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV20_OVERRIDE",
        "Override the PLL_DIV20_CLKE, clock gating enable signal from CCM block"
        " active high",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV20_CLKE",
        "PLL output clock divide by 20 clock gating enable active high",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV10_OVERRIDE",
        "Override the PLL_DIV10_CLKE, clock gating enable signal from CCM block"
        " active high",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV10_CLKE",
        "PLL output clock divide by 10 clock gating enable active high",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV8_OVERRIDE",
        "Override the PLL_DIV8_CLKE, clock gating enable signal from CCM block "
        "active high",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV8_CLKE",
        "PLL output clock divide by 8 clock gating enable active high",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV6_OVERRIDE",
        "Override the PLL_DIV6_CLKE, clock gating enable signal from CCM block "
        "active high",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV6_CLKE",
        "PLL output clock divide by 6 clock gating enable active high",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV5_OVERRIDE",
        "Override the PLL_DIV5_CLKE, clock gating enable signal from CCM block "
        "active high",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV5_CLKE",
        "PLL output clock divide by 5 clock gating enable active high",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV4_OVERRIDE",
        "Override the PLL_DIV4_CLKE, clock gating enable signal from CCM block "
        "active high",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV4_CLKE",
        "PLL output clock divide by 4 clock gating enable active high",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV3_OVERRIDE",
        "Override the PLL_DIV3_CLKE, clock gating enable signal from CCM block "
        "active high",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV3_CLKE",
        "PLL output clock divide by 3 clock gating enable active high",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV2_OVERRIDE",
        "Override the PLL_DIV2_CLKE, clock gating enable signal from CCM block "
        "active high",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV2_CLKE",
        "PLL output clock divide by 2 clock gating enable active high",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SYS_PLL1_CFG1.
static const field_t hw_ccm_analog_sys_pll1_cfg1[] =
{
    {
        "PLL_SSE",
        "Enables Spread Spectrum Mode active high",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMF",
        "Controls Spread Spectrum Modulation Frequency Fmod = SSMF[3:0]*2*Fvco1"
        "/251658",
        1, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMD",
        "Controls Spread Spectrum modulation depth",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSDS",
        "Selects between Spread Spectrum Center Spread and Down Spread Modes.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SYS_PLL1_CFG2.
static const field_t hw_ccm_analog_sys_pll1_cfg2[] =
{
    {
        "PLL_FILTER_RANGE",
        "This sets the internal PLL1 loop filter to work with the post-referenc"
        "e divider frequency.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_OUTPUT_DIV_VAL",
        "Internal PLL2 output clock divider value Fout must be within the range"
        " 20MHz ~ 1200MHz.",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF2",
        "Internal PLL2 reference clock divider value.",
        7, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF1",
        "Internal PLL1 reference clock divider value.",
        13, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR2",
        "Internal PLL2 reference clock divider value.",
        19, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR1",
        "Internal PLL1 reference clock divider value.",
        25, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SYS_PLL2_CFG0.
static const field_t hw_ccm_analog_sys_pll2_cfg0[] =
{
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS2",
        "Internal PLL2 bypass control active high",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS1",
        "Internal PLL1 bypass control active high",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV20_OVERRIDE",
        "Override the PLL_DIV20_CLKE, clock gating enable signal from CCM block"
        " active high",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV20_CLKE",
        "PLL output clock divide by 20 clock gating enable active high",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV10_OVERRIDE",
        "Override the PLL_DIV10_CLKE, clock gating enable signal from CCM block"
        " active high",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV10_CLKE",
        "PLL output clock divide by 10 clock gating enable active high",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV8_OVERRIDE",
        "Override the PLL_DIV8_CLKE, clock gating enable signal from CCM block "
        "active high",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV8_CLKE",
        "PLL output clock divide by 8 clock gating enable active high",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV6_OVERRIDE",
        "Override the PLL_DIV6_CLKE, clock gating enable signal from CCM block "
        "active high",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV6_CLKE",
        "PLL output clock divide by 6 clock gating enable active high",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV5_OVERRIDE",
        "Override the PLL_DIV5_CLKE, clock gating enable signal from CCM block "
        "active high",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV5_CLKE",
        "PLL output clock divide by 5 clock gating enable active high",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV4_OVERRIDE",
        "Override the PLL_DIV4_CLKE, clock gating enable signal from CCM block "
        "active high",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV4_CLKE",
        "PLL output clock divide by 4 clock gating enable active high",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV3_OVERRIDE",
        "Override the PLL_DIV3_CLKE, clock gating enable signal from CCM block "
        "active high",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV3_CLKE",
        "PLL output clock divide by 3 clock gating enable active high",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV2_OVERRIDE",
        "Override the PLL_DIV2_CLKE, clock gating enable signal from CCM block "
        "active high",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV2_CLKE",
        "PLL output clock divide by 2 clock gating enable active high",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SYS_PLL2_CFG1.
static const field_t hw_ccm_analog_sys_pll2_cfg1[] =
{
    {
        "PLL_SSE",
        "Enables Spread Spectrum Mode active high",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMF",
        "Controls Spread Spectrum Modulation Frequency Fmod = SSMF[3:0]*2*Fvco1"
        "/251658",
        1, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMD",
        "Controls Spread Spectrum modulation depth",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSDS",
        "Selects between Spread Spectrum Center Spread and Down Spread Modes.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SYS_PLL2_CFG2.
static const field_t hw_ccm_analog_sys_pll2_cfg2[] =
{
    {
        "PLL_FILTER_RANGE",
        "This sets the internal PLL1 loop filter to work with the post-referenc"
        "e divider frequency.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_OUTPUT_DIV_VAL",
        "Internal PLL2 output clock divider value Fout must be within the range"
        " 20MHz ~ 1200MHz.",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF2",
        "Internal PLL2 reference clock divider value.",
        7, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF1",
        "Internal PLL1 reference clock divider value.",
        13, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR2",
        "Internal PLL2 reference clock divider value.",
        19, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR1",
        "Internal PLL1 reference clock divider value.",
        25, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SYS_PLL3_CFG0.
static const field_t hw_ccm_analog_sys_pll3_cfg0[] =
{
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS2",
        "Internal PLL2 bypass control active high",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS1",
        "Internal PLL1 bypass control active high",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV20_OVERRIDE",
        "Override the PLL_DIV20_CLKE, clock gating enable signal from CCM block"
        " active high",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV20_CLKE",
        "PLL output clock divide by 20 clock gating enable active high",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV10_OVERRIDE",
        "Override the PLL_DIV10_CLKE, clock gating enable signal from CCM block"
        " active high",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV10_CLKE",
        "PLL output clock divide by 10 clock gating enable active high",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV8_OVERRIDE",
        "Override the PLL_DIV8_CLKE, clock gating enable signal from CCM block "
        "active high",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV8_CLKE",
        "PLL output clock divide by 8 clock gating enable active high",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV6_OVERRIDE",
        "Override the PLL_DIV6_CLKE, clock gating enable signal from CCM block "
        "active high",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV6_CLKE",
        "PLL output clock divide by 6 clock gating enable active high",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV5_OVERRIDE",
        "Override the PLL_DIV5_CLKE, clock gating enable signal from CCM block "
        "active high",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV5_CLKE",
        "PLL output clock divide by 5 clock gating enable active high",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV4_OVERRIDE",
        "Override the PLL_DIV4_CLKE, clock gating enable signal from CCM block "
        "active high",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV4_CLKE",
        "PLL output clock divide by 4 clock gating enable active high",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV3_OVERRIDE",
        "Override the PLL_DIV3_CLKE, clock gating enable signal from CCM block "
        "active high",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV3_CLKE",
        "PLL output clock divide by 3 clock gating enable active high",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV2_OVERRIDE",
        "Override the PLL_DIV2_CLKE, clock gating enable signal from CCM block "
        "active high",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_DIV2_CLKE",
        "PLL output clock divide by 2 clock gating enable active high",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SYS_PLL3_CFG1.
static const field_t hw_ccm_analog_sys_pll3_cfg1[] =
{
    {
        "PLL_SSE",
        "Enables Spread Spectrum Mode active high",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMF",
        "Controls Spread Spectrum Modulation Frequency Fmod = SSMF[3:0]*2*Fvco1"
        "/251658",
        1, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMD",
        "Controls Spread Spectrum modulation depth",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSDS",
        "Selects between Spread Spectrum Center Spread and Down Spread Modes.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SYS_PLL3_CFG2.
static const field_t hw_ccm_analog_sys_pll3_cfg2[] =
{
    {
        "PLL_FILTER_RANGE",
        "This sets the internal PLL1 loop filter to work with the post-referenc"
        "e divider frequency.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_OUTPUT_DIV_VAL",
        "Internal PLL2 output clock divider value Fout must be within the range"
        " 20MHz ~ 1200MHz.",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF2",
        "Internal PLL2 reference clock divider value.",
        7, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF1",
        "Internal PLL1 reference clock divider value.",
        13, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR2",
        "Internal PLL2 reference clock divider value.",
        19, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR1",
        "Internal PLL1 reference clock divider value.",
        25, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_VIDEO_PLL2_CFG0.
static const field_t hw_ccm_analog_video_pll2_cfg0[] =
{
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS2",
        "Internal PLL2 bypass control active high",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS1",
        "Internal PLL1 bypass control active high",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_VIDEO_PLL2_CFG1.
static const field_t hw_ccm_analog_video_pll2_cfg1[] =
{
    {
        "PLL_SSE",
        "Enables Spread Spectrum Mode active high",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMF",
        "Controls Spread Spectrum Modulation Frequency Fmod = SSMF[3:0]*2*Fvco1"
        "/251658",
        1, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMD",
        "Controls Spread Spectrum modulation depth",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSDS",
        "Selects between Spread Spectrum Center Spread and Down Spread Modes.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_VIDEO_PLL2_CFG2.
static const field_t hw_ccm_analog_video_pll2_cfg2[] =
{
    {
        "PLL_FILTER_RANGE",
        "This sets the internal PLL1 loop filter to work with the post-referenc"
        "e divider frequency.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_OUTPUT_DIV_VAL",
        "Internal PLL2 output clock divider value Fout must be within the range"
        " 20MHz ~ 1200MHz.",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF2",
        "Internal PLL2 reference clock divider value.",
        7, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF1",
        "Internal PLL1 reference clock divider value.",
        13, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR2",
        "Internal PLL2 reference clock divider value.",
        19, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR1",
        "Internal PLL1 reference clock divider value.",
        25, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_DRAM_PLL_CFG0.
static const field_t hw_ccm_analog_dram_pll_cfg0[] =
{
    {
        "PLL_REFCLK_SEL",
        "PLL reference clocks select",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_COUNTCLK_SEL",
        "PLL maximum lock time counter clock select",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK_SEL",
        "PLL Lock signal select",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS2",
        "Internal PLL2 bypass control active high",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_BYPASS1",
        "Internal PLL1 bypass control active high",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD_OVERRIDE",
        "Override the PLL_PD, clock gating enable signal from CCM block active "
        "high",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_PD",
        "PLL output clock clock gating enable active high",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE_OVERRIDE",
        "Override the PLL_CLKE, clock gating enable signal from CCM block activ"
        "e high",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_CLKE",
        "PLL output clock clock gating enable active high",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_LOCK",
        "PLL lock status active high",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_DRAM_PLL_CFG1.
static const field_t hw_ccm_analog_dram_pll_cfg1[] =
{
    {
        "PLL_SSE",
        "Enables Spread Spectrum Mode active high",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMF",
        "Controls Spread Spectrum Modulation Frequency Fmod = SSMF[3:0]*2*Fvco1"
        "/251658",
        1, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSMD",
        "Controls Spread Spectrum modulation depth",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_SSDS",
        "Selects between Spread Spectrum Center Spread and Down Spread Modes.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_DRAM_PLL_CFG2.
static const field_t hw_ccm_analog_dram_pll_cfg2[] =
{
    {
        "PLL_FILTER_RANGE",
        "This sets the internal PLL1 loop filter to work with the post-referenc"
        "e divider frequency.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_OUTPUT_DIV_VAL",
        "Internal PLL2 output clock divider value Fout must be within the range"
        " 20MHz ~ 1200MHz.",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF2",
        "Internal PLL2 reference clock divider value.",
        7, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_FEEDBACK_DIVF1",
        "Internal PLL1 reference clock divider value.",
        13, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR2",
        "Internal PLL2 reference clock divider value.",
        19, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLL_REF_DIVR1",
        "Internal PLL1 reference clock divider value.",
        25, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_DIGPROG.
static const field_t hw_ccm_analog_digprog[] =
{
    {
        "DIGPROG_MINOR",
        "Bit[7:4] is the base layer revision, Bit[3:0] is the metal layer revis"
        "ion 0x10 stands for Tapeout 1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DIGPROG_MAJOR_LOWER",
        "Bit[7:4] is 0x4, stands for \"Quad\" Bit[3:0] is 0x0, stands for \"Lit"
        "e\"",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DIGPROG_MAJOR_UPPER",
        "Bit[7:4] is 0x8, stands for \"i.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_OSC_MISC_CFG.
static const field_t hw_ccm_analog_osc_misc_cfg[] =
{
    {
        "OSC_32K_SEL",
        "32KHz OSC input select",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_25M_CLKE_OVERRIDE",
        "Override the OSC_27M_CLKE, clock gating enable signal from CCM block a"
        "ctive high",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_25M_CLKE",
        "25MHz OSC output clock gating enable active high",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_27M_CLKE_OVERRIDE",
        "Override the OSC_27M_CLKE, clock gating enable signal from CCM block a"
        "ctive high",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_27M_CLKE",
        "27MHz OSC output clock gating enable active high",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_PLLOUT_MONITOR_CFG.
static const field_t hw_ccm_analog_pllout_monitor_cfg[] =
{
    {
        "PLLOUT_MONITOR_CLK_SEL",
        "Clock monitor output clock",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLLOUT_MONITOR_CKE",
        "Clock monitor output clock gating enable active high",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_FRAC_PLLOUT_DIV_CFG.
static const field_t hw_ccm_analog_frac_pllout_div_cfg[] =
{
    {
        "AUDIO_PLL1_DIV_VAL",
        "AUDIO PLL1 clock divider value, for test purpose.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUDIO_PLL2_DIV_VAL",
        "AUDIO PLL2 clock divider value, for test purpose.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIDEO_PLL1_DIV_VAL",
        "VIDEO PLL1 clock divider value, for test purpose.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PLL_DIV_VAL",
        "GPU PLL clock divider value, for test purpose.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PLL_DIV_VAL",
        "VPU PLL clock divider value, for test purpose.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARM_PLL_DIV_VAL",
        "ARM PLL clock divider value, for test purpose.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CCM_ANALOG_SCCG_PLLOUT_DIV_CFG.
static const field_t hw_ccm_analog_sccg_pllout_div_cfg[] =
{
    {
        "SYSTEM_PLL1_DIV_VAL",
        "System PLL1 clock divider value, for test purpose.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYSTEM_PLL2_DIV_VAL",
        "System PLL2 clock divider value, for test purpose.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYSTEM_PLL3_DIV_VAL",
        "System PLL3 clock divider value, for test purpose.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRAM_PLL_DIV_VAL",
        "DRAM PLL clock divider value, for test purpose.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VIDEO_PLL2_DIV_VAL",
        "VIDEO PLL2 clock divider value, for test purpose.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a CCM_ANALOG module.
static const reg_t hw_ccm_analog[] =
{
    {
        "AUDIO_PLL1_CFG0",
        "AUDIO PLL1 Configuration 0 Register",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_ccm_analog_audio_pll1_cfg0
    },
    {
        "AUDIO_PLL1_CFG1",
        "AUDIO PLL1 Configuration 1 Register",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_audio_pll1_cfg1
    },
    {
        "AUDIO_PLL2_CFG0",
        "AUDIO PLL2 Configuration 0 Register",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_ccm_analog_audio_pll2_cfg0
    },
    {
        "AUDIO_PLL2_CFG1",
        "AUDIO PLL2 Configuration 1 Register",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_audio_pll2_cfg1
    },
    {
        "VIDEO_PLL1_CFG0",
        "VIDEO PLL Configuration 0 Register",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_ccm_analog_video_pll1_cfg0
    },
    {
        "VIDEO_PLL1_CFG1",
        "VIDEO PLL Configuration 1 Register",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_video_pll1_cfg1
    },
    {
        "GPU_PLL_CFG0",
        "GPU PLL Configuration 0 Register",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_ccm_analog_gpu_pll_cfg0
    },
    {
        "GPU_PLL_CFG1",
        "GPU PLL Configuration 1 Register",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_gpu_pll_cfg1
    },
    {
        "VPU_PLL_CFG0",
        "VPU PLL Configuration 0 Register",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_ccm_analog_vpu_pll_cfg0
    },
    {
        "VPU_PLL_CFG1",
        "VPU PLL Configuration 1 Register",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_vpu_pll_cfg1
    },
    {
        "ARM_PLL_CFG0",
        "ARM PLL Configuration 0 Register",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_ccm_analog_arm_pll_cfg0
    },
    {
        "ARM_PLL_CFG1",
        "ARM PLL Configuration 1 Register",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_arm_pll_cfg1
    },
    {
        "SYS_PLL1_CFG0",
        "System PLL Configuration 0 Register",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_ccm_analog_sys_pll1_cfg0
    },
    {
        "SYS_PLL1_CFG1",
        "System PLL Configuration 1 Register",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_analog_sys_pll1_cfg1
    },
    {
        "SYS_PLL1_CFG2",
        "System PLL Configuration 2 Register",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ccm_analog_sys_pll1_cfg2
    },
    {
        "SYS_PLL2_CFG0",
        "System PLL Configuration 0 Register",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_ccm_analog_sys_pll2_cfg0
    },
    {
        "SYS_PLL2_CFG1",
        "System PLL Configuration 1 Register",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_analog_sys_pll2_cfg1
    },
    {
        "SYS_PLL2_CFG2",
        "System PLL Configuration 2 Register",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ccm_analog_sys_pll2_cfg2
    },
    {
        "SYS_PLL3_CFG0",
        "System PLL Configuration 0 Register",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_ccm_analog_sys_pll3_cfg0
    },
    {
        "SYS_PLL3_CFG1",
        "System PLL Configuration 1 Register",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_analog_sys_pll3_cfg1
    },
    {
        "SYS_PLL3_CFG2",
        "System PLL Configuration 2 Register",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ccm_analog_sys_pll3_cfg2
    },
    {
        "VIDEO_PLL2_CFG0",
        "VIDEO PLL2 Configuration 0 Register",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_analog_video_pll2_cfg0
    },
    {
        "VIDEO_PLL2_CFG1",
        "VIDEO PLL2 Configuration 1 Register",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_analog_video_pll2_cfg1
    },
    {
        "VIDEO_PLL2_CFG2",
        "VIDEO PLL2 Configuration 2 Register",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ccm_analog_video_pll2_cfg2
    },
    {
        "DRAM_PLL_CFG0",
        "DRAM PLL Configuration 0 Register",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ccm_analog_dram_pll_cfg0
    },
    {
        "DRAM_PLL_CFG1",
        "DRAM PLL Configuration 1 Register",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ccm_analog_dram_pll_cfg1
    },
    {
        "DRAM_PLL_CFG2",
        "DRAM PLL Configuration 2 Register",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ccm_analog_dram_pll_cfg2
    },
    {
        "DIGPROG",
        "DIGPROG Register",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_ccm_analog_digprog
    },
    {
        "OSC_MISC_CFG",
        "Osc Misc Register",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ccm_analog_osc_misc_cfg
    },
    {
        "PLLOUT_MONITOR_CFG",
        "PLLOUT Monitor Configuration Register",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ccm_analog_pllout_monitor_cfg
    },
    {
        "FRAC_PLLOUT_DIV_CFG",
        "Fractional PLLOUT Divider Configuration Register",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ccm_analog_frac_pllout_div_cfg
    },
    {
        "SCCG_PLLOUT_DIV_CFG",
        "SCCG PLLOUT Divider Configuration Register",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ccm_analog_sccg_pllout_div_cfg
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark BLK_CTL
#endif

// Bitfields in register BLK_CTL_RESET_CTRL.
static const field_t hw_blk_ctl_reset_ctrl[] =
{
    {
        "B_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APB_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTR_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE_CLK_RESETN",
        "Spare clock domain resets, implemented for potential ECO purposes.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_RESET_CTRL_SET.
static const field_t hw_blk_ctl_reset_ctrl_set[] =
{
    {
        "B_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APB_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTR_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE_CLK_RESETN",
        "Spare clock domain resets, implemented for potential ECO purposes.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_RESET_CTRL_CLR.
static const field_t hw_blk_ctl_reset_ctrl_clr[] =
{
    {
        "B_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APB_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTR_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE_CLK_RESETN",
        "Spare clock domain resets, implemented for potential ECO purposes.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_RESET_CTRL_TOG.
static const field_t hw_blk_ctl_reset_ctrl_tog[] =
{
    {
        "B_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APB_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTR_CLK_RESETN",
        "0x0 = assert reset 0x1 = deassert reset",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE_CLK_RESETN",
        "Spare clock domain resets, implemented for potential ECO purposes.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_CONTROL0.
static const field_t hw_blk_ctl_control0[] =
{
    {
        "DISPMIX_REFCLK_SEL",
        "Reference clock source selection.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISPMIX_PIXCLK_SEL",
        "Pixel Clock source selection.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_CONTROL0_SET.
static const field_t hw_blk_ctl_control0_set[] =
{
    {
        "DISPMIX_REFCLK_SEL",
        "Reference clock source selection.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISPMIX_PIXCLK_SEL",
        "Pixel Clock source selection.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_CONTROL0_CLR.
static const field_t hw_blk_ctl_control0_clr[] =
{
    {
        "DISPMIX_REFCLK_SEL",
        "Reference clock source selection.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISPMIX_PIXCLK_SEL",
        "Pixel Clock source selection.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_CONTROL0_TOG.
static const field_t hw_blk_ctl_control0_tog[] =
{
    {
        "DISPMIX_REFCLK_SEL",
        "Reference clock source selection.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISPMIX_PIXCLK_SEL",
        "Pixel Clock source selection.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_CTRL0.
static const field_t hw_blk_ctl_spare_ctrl0[] =
{
    {
        "SPARE_CTRL",
        "Spare control registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_CTRL0_SET.
static const field_t hw_blk_ctl_spare_ctrl0_set[] =
{
    {
        "SPARE_CTRL",
        "Spare control registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_CTRL0_CLR.
static const field_t hw_blk_ctl_spare_ctrl0_clr[] =
{
    {
        "SPARE_CTRL",
        "Spare control registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_CTRL0_TOG.
static const field_t hw_blk_ctl_spare_ctrl0_tog[] =
{
    {
        "SPARE_CTRL",
        "Spare control registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_CTRL1.
static const field_t hw_blk_ctl_spare_ctrl1[] =
{
    {
        "SPARE_CTRL",
        "Spare control registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_CTRL1_SET.
static const field_t hw_blk_ctl_spare_ctrl1_set[] =
{
    {
        "SPARE_CTRL",
        "Spare control registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_CTRL1_CLR.
static const field_t hw_blk_ctl_spare_ctrl1_clr[] =
{
    {
        "SPARE_CTRL",
        "Spare control registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_CTRL1_TOG.
static const field_t hw_blk_ctl_spare_ctrl1_tog[] =
{
    {
        "SPARE_CTRL",
        "Spare control registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_STATUS0.
static const field_t hw_blk_ctl_spare_status0[] =
{
    {
        "SPARE_STATUS",
        "Spare control status registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_STATUS0_SET.
static const field_t hw_blk_ctl_spare_status0_set[] =
{
    {
        "SPARE_STATUS",
        "Spare control status registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_STATUS0_CLR.
static const field_t hw_blk_ctl_spare_status0_clr[] =
{
    {
        "SPARE_STATUS",
        "Spare control status registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register BLK_CTL_SPARE_STATUS0_TOG.
static const field_t hw_blk_ctl_spare_status0_tog[] =
{
    {
        "SPARE_STATUS",
        "Spare control status registers intended for ECO purposes.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a BLK_CTL module.
static const reg_t hw_blk_ctl[] =
{
    {
        "RESET_CTRL",
        "Asynchronous reset register control.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_blk_ctl_reset_ctrl
    },
    {
        "RESET_CTRL_SET",
        "Asynchronous reset register control.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_blk_ctl_reset_ctrl_set
    },
    {
        "RESET_CTRL_CLR",
        "Asynchronous reset register control.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_blk_ctl_reset_ctrl_clr
    },
    {
        "RESET_CTRL_TOG",
        "Asynchronous reset register control.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_blk_ctl_reset_ctrl_tog
    },
    {
        "CONTROL0",
        "Misc.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_blk_ctl_control0
    },
    {
        "CONTROL0_SET",
        "Misc.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_blk_ctl_control0_set
    },
    {
        "CONTROL0_CLR",
        "Misc.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_blk_ctl_control0_clr
    },
    {
        "CONTROL0_TOG",
        "Misc.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_blk_ctl_control0_tog
    },
    {
        "SPARE_CTRL0",
        "Spare ECO Control Registers",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_ctrl0
    },
    {
        "SPARE_CTRL0_SET",
        "Spare ECO Control Registers",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_ctrl0_set
    },
    {
        "SPARE_CTRL0_CLR",
        "Spare ECO Control Registers",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_ctrl0_clr
    },
    {
        "SPARE_CTRL0_TOG",
        "Spare ECO Control Registers",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_ctrl0_tog
    },
    {
        "SPARE_CTRL1",
        "Spare ECO Control Registers",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_ctrl1
    },
    {
        "SPARE_CTRL1_SET",
        "Spare ECO Control Registers",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_ctrl1_set
    },
    {
        "SPARE_CTRL1_CLR",
        "Spare ECO Control Registers",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_ctrl1_clr
    },
    {
        "SPARE_CTRL1_TOG",
        "Spare ECO Control Registers",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_ctrl1_tog
    },
    {
        "SPARE_STATUS0",
        "Spare ECO Control Status Registers",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_status0
    },
    {
        "SPARE_STATUS0_SET",
        "Spare ECO Control Status Registers",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_status0_set
    },
    {
        "SPARE_STATUS0_CLR",
        "Spare ECO Control Status Registers",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_status0_clr
    },
    {
        "SPARE_STATUS0_TOG",
        "Spare ECO Control Status Registers",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_blk_ctl_spare_status0_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark CTX_LD
#endif

// Bitfields in register CTX_LD_CTRL_STATUS.
static const field_t hw_ctx_ld_ctrl_status[] =
{
    {
        "ENABLE",
        "Enable bit for the context loader.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARB_SEL",
        "This selects between always choosing the CTX_LD while it's active vers"
        "es a round robin arbitration scheme of equal weight between the CTX_LD"
        " and the system register access bus.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read bus returns a SLV_ERR or DEC_ERR"
        ".",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_COMP_EN",
        "Enable an interrupt when the DB (double buffer) region loading sequenc"
        "e is complete.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_HP_COMP_EN",
        "Enable an interrupt when the high priority SB region loading sequence "
        "is complete.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_LP_COMP_EN",
        "Enable an interrupt when the low priority SB region loading sequence i"
        "s complete.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_PEND_SB_REC_EN",
        "Enable an interrupt when the DB region is still actively loading regis"
        "ters to the display subsystem AND a kick to load the SB region is rece"
        "ived.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_PEND_DISP_ACTIVE_EN",
        "Enable an interrupt when the SB region is still actively loading regis"
        "ters to the display subsystem AND the display enters the active displa"
        "y time.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_ERR_EN",
        "Enable and interrupt when the internal AHB bus returns an error respon"
        "se.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit to indicate when the AXI read bus returns a SLV_ERR or DEC_"
        "ERR.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_COMP",
        "Status bit to indicate when the DB (double buffer) region loading sequ"
        "ence is complete.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_HP_COMP",
        "Status bit to indicate when the high priority SB region loading sequen"
        "ce is complete.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_LP_COMP",
        "Status bit to indicate when the low priority SB region loading sequenc"
        "e is complete.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_PEND_SB_REC",
        "Status bit to indicate when the DB region is still actively loading re"
        "gisters to the display subsystem AND a kick to load the SB region is r"
        "eceived.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_PEND_DISP_ACTIVE",
        "Status bit to indicate when the SB region is still actively loading re"
        "gisters to the display subsystem AND the display enters the active dis"
        "play time.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_ERR",
        "Status bit to indicate when the internal AHB bus returns an error resp"
        "onse.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CTX_LD_CTRL_STATUS_SET.
static const field_t hw_ctx_ld_ctrl_status_set[] =
{
    {
        "ENABLE",
        "Enable bit for the context loader.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARB_SEL",
        "This selects between always choosing the CTX_LD while it's active vers"
        "es a round robin arbitration scheme of equal weight between the CTX_LD"
        " and the system register access bus.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read bus returns a SLV_ERR or DEC_ERR"
        ".",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_COMP_EN",
        "Enable an interrupt when the DB (double buffer) region loading sequenc"
        "e is complete.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_HP_COMP_EN",
        "Enable an interrupt when the high priority SB region loading sequence "
        "is complete.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_LP_COMP_EN",
        "Enable an interrupt when the low priority SB region loading sequence i"
        "s complete.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_PEND_SB_REC_EN",
        "Enable an interrupt when the DB region is still actively loading regis"
        "ters to the display subsystem AND a kick to load the SB region is rece"
        "ived.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_PEND_DISP_ACTIVE_EN",
        "Enable an interrupt when the SB region is still actively loading regis"
        "ters to the display subsystem AND the display enters the active displa"
        "y time.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_ERR_EN",
        "Enable and interrupt when the internal AHB bus returns an error respon"
        "se.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit to indicate when the AXI read bus returns a SLV_ERR or DEC_"
        "ERR.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_COMP",
        "Status bit to indicate when the DB (double buffer) region loading sequ"
        "ence is complete.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_HP_COMP",
        "Status bit to indicate when the high priority SB region loading sequen"
        "ce is complete.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_LP_COMP",
        "Status bit to indicate when the low priority SB region loading sequenc"
        "e is complete.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_PEND_SB_REC",
        "Status bit to indicate when the DB region is still actively loading re"
        "gisters to the display subsystem AND a kick to load the SB region is r"
        "eceived.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_PEND_DISP_ACTIVE",
        "Status bit to indicate when the SB region is still actively loading re"
        "gisters to the display subsystem AND the display enters the active dis"
        "play time.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_ERR",
        "Status bit to indicate when the internal AHB bus returns an error resp"
        "onse.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CTX_LD_CTRL_STATUS_CLR.
static const field_t hw_ctx_ld_ctrl_status_clr[] =
{
    {
        "ENABLE",
        "Enable bit for the context loader.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARB_SEL",
        "This selects between always choosing the CTX_LD while it's active vers"
        "es a round robin arbitration scheme of equal weight between the CTX_LD"
        " and the system register access bus.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read bus returns a SLV_ERR or DEC_ERR"
        ".",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_COMP_EN",
        "Enable an interrupt when the DB (double buffer) region loading sequenc"
        "e is complete.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_HP_COMP_EN",
        "Enable an interrupt when the high priority SB region loading sequence "
        "is complete.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_LP_COMP_EN",
        "Enable an interrupt when the low priority SB region loading sequence i"
        "s complete.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_PEND_SB_REC_EN",
        "Enable an interrupt when the DB region is still actively loading regis"
        "ters to the display subsystem AND a kick to load the SB region is rece"
        "ived.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_PEND_DISP_ACTIVE_EN",
        "Enable an interrupt when the SB region is still actively loading regis"
        "ters to the display subsystem AND the display enters the active displa"
        "y time.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_ERR_EN",
        "Enable and interrupt when the internal AHB bus returns an error respon"
        "se.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit to indicate when the AXI read bus returns a SLV_ERR or DEC_"
        "ERR.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_COMP",
        "Status bit to indicate when the DB (double buffer) region loading sequ"
        "ence is complete.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_HP_COMP",
        "Status bit to indicate when the high priority SB region loading sequen"
        "ce is complete.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_LP_COMP",
        "Status bit to indicate when the low priority SB region loading sequenc"
        "e is complete.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_PEND_SB_REC",
        "Status bit to indicate when the DB region is still actively loading re"
        "gisters to the display subsystem AND a kick to load the SB region is r"
        "eceived.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_PEND_DISP_ACTIVE",
        "Status bit to indicate when the SB region is still actively loading re"
        "gisters to the display subsystem AND the display enters the active dis"
        "play time.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_ERR",
        "Status bit to indicate when the internal AHB bus returns an error resp"
        "onse.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CTX_LD_CTRL_STATUS_TOG.
static const field_t hw_ctx_ld_ctrl_status_tog[] =
{
    {
        "ENABLE",
        "Enable bit for the context loader.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARB_SEL",
        "This selects between always choosing the CTX_LD while it's active vers"
        "es a round robin arbitration scheme of equal weight between the CTX_LD"
        " and the system register access bus.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read bus returns a SLV_ERR or DEC_ERR"
        ".",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_COMP_EN",
        "Enable an interrupt when the DB (double buffer) region loading sequenc"
        "e is complete.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_HP_COMP_EN",
        "Enable an interrupt when the high priority SB region loading sequence "
        "is complete.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_LP_COMP_EN",
        "Enable an interrupt when the low priority SB region loading sequence i"
        "s complete.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_PEND_SB_REC_EN",
        "Enable an interrupt when the DB region is still actively loading regis"
        "ters to the display subsystem AND a kick to load the SB region is rece"
        "ived.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_PEND_DISP_ACTIVE_EN",
        "Enable an interrupt when the SB region is still actively loading regis"
        "ters to the display subsystem AND the display enters the active displa"
        "y time.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_ERR_EN",
        "Enable and interrupt when the internal AHB bus returns an error respon"
        "se.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit to indicate when the AXI read bus returns a SLV_ERR or DEC_"
        "ERR.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_COMP",
        "Status bit to indicate when the DB (double buffer) region loading sequ"
        "ence is complete.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_HP_COMP",
        "Status bit to indicate when the high priority SB region loading sequen"
        "ce is complete.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_LP_COMP",
        "Status bit to indicate when the low priority SB region loading sequenc"
        "e is complete.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DB_PEND_SB_REC",
        "Status bit to indicate when the DB region is still actively loading re"
        "gisters to the display subsystem AND a kick to load the SB region is r"
        "eceived.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SB_PEND_DISP_ACTIVE",
        "Status bit to indicate when the SB region is still actively loading re"
        "gisters to the display subsystem AND the display enters the active dis"
        "play time.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHB_ERR",
        "Status bit to indicate when the internal AHB bus returns an error resp"
        "onse.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CTX_LD_DB_BASE_ADDR.
static const field_t hw_ctx_ld_db_base_addr[] =
{
    {
        "DB_BASE_ADDR",
        "Stores the system start address(DRAM) of double buffered registers.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CTX_LD_DB_COUNT.
static const field_t hw_ctx_ld_db_count[] =
{
    {
        "DB_COUNT",
        "Number of 64 bit entries of double buffered registers to fetch and loa"
        "d.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CTX_LD_SB_BASE_ADDR.
static const field_t hw_ctx_ld_sb_base_addr[] =
{
    {
        "SB_BASE_ADDR",
        "Stores the system start address(DRAM) of single buffered registers.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CTX_LD_SB_COUNT.
static const field_t hw_ctx_ld_sb_count[] =
{
    {
        "HP_COUNT",
        "Number of 64 bit high priority entries of single buffer registers to f"
        "etch and load.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LP_COUNT",
        "Number of 64 bit low priority entries of single buffered registers to "
        "fetch and load.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register CTX_LD_AHB_ERR_ADDR.
static const field_t hw_ctx_ld_ahb_err_addr[] =
{
    {
        "AHB_ERR_ADDR",
        "Stores the address of the CTX_LD transaction that responded with an AH"
        "B error.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a CTX_LD module.
static const reg_t hw_ctx_ld[] =
{
    {
        "CTRL_STATUS",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_ctx_ld_ctrl_status
    },
    {
        "CTRL_STATUS_SET",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_ctx_ld_ctrl_status_set
    },
    {
        "CTRL_STATUS_CLR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_ctx_ld_ctrl_status_clr
    },
    {
        "CTRL_STATUS_TOG",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_ctx_ld_ctrl_status_tog
    },
    {
        "DB_BASE_ADDR",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ctx_ld_db_base_addr
    },
    {
        "DB_COUNT",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ctx_ld_db_count
    },
    {
        "SB_BASE_ADDR",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ctx_ld_sb_base_addr
    },
    {
        "SB_COUNT",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ctx_ld_sb_count
    },
    {
        "AHB_ERR_ADDR",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ctx_ld_ahb_err_addr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark DEC400D
#endif

// Bitfields in register DEC400D_GCCHIPREV.
static const field_t hw_dec400d_gcchiprev[] =
{
    {
        "GCCHIPREV",
        "This read only field returns the revision number.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCCHIPDATE.
static const field_t hw_dec400d_gcchipdate[] =
{
    {
        "GCCHIPDATE",
        "This read only field returns the date of design release.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGHICHIPPATCHREV.
static const field_t hw_dec400d_gcreghichippatchrev[] =
{
    {
        "GCREGHICHIPPATCHREV",
        "This read only field returns patch revision level.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCPRODUCTID.
static const field_t hw_dec400d_gcproductid[] =
{
    {
        "GCPRODUCTID",
        "This read only field returns the Dec400D Product ID for this implement"
        "ation.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG0.
static const field_t hw_dec400d_gcregahbdecreadconfig0[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG1.
static const field_t hw_dec400d_gcregahbdecreadconfig1[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG2.
static const field_t hw_dec400d_gcregahbdecreadconfig2[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG3.
static const field_t hw_dec400d_gcregahbdecreadconfig3[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG4.
static const field_t hw_dec400d_gcregahbdecreadconfig4[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG5.
static const field_t hw_dec400d_gcregahbdecreadconfig5[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG6.
static const field_t hw_dec400d_gcregahbdecreadconfig6[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG7.
static const field_t hw_dec400d_gcregahbdecreadconfig7[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG8.
static const field_t hw_dec400d_gcregahbdecreadconfig8[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG9.
static const field_t hw_dec400d_gcregahbdecreadconfig9[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG10.
static const field_t hw_dec400d_gcregahbdecreadconfig10[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG11.
static const field_t hw_dec400d_gcregahbdecreadconfig11[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG12.
static const field_t hw_dec400d_gcregahbdecreadconfig12[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG13.
static const field_t hw_dec400d_gcregahbdecreadconfig13[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG14.
static const field_t hw_dec400d_gcregahbdecreadconfig14[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG15.
static const field_t hw_dec400d_gcregahbdecreadconfig15[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG16.
static const field_t hw_dec400d_gcregahbdecreadconfig16[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG17.
static const field_t hw_dec400d_gcregahbdecreadconfig17[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG18.
static const field_t hw_dec400d_gcregahbdecreadconfig18[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG19.
static const field_t hw_dec400d_gcregahbdecreadconfig19[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG20.
static const field_t hw_dec400d_gcregahbdecreadconfig20[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG21.
static const field_t hw_dec400d_gcregahbdecreadconfig21[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG22.
static const field_t hw_dec400d_gcregahbdecreadconfig22[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG23.
static const field_t hw_dec400d_gcregahbdecreadconfig23[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG24.
static const field_t hw_dec400d_gcregahbdecreadconfig24[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG25.
static const field_t hw_dec400d_gcregahbdecreadconfig25[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG26.
static const field_t hw_dec400d_gcregahbdecreadconfig26[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG27.
static const field_t hw_dec400d_gcregahbdecreadconfig27[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG28.
static const field_t hw_dec400d_gcregahbdecreadconfig28[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG29.
static const field_t hw_dec400d_gcregahbdecreadconfig29[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG30.
static const field_t hw_dec400d_gcregahbdecreadconfig30[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCONFIG31.
static const field_t hw_dec400d_gcregahbdecreadconfig31[] =
{
    {
        "COMPRESSION_ENABLE",
        "Compression enable for individual streams.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_FORMAT",
        "Compression color format.",
        3, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMPRESSION_ALIGN_MODE",
        "Compression result size alignment mode.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_ALIGN_MODE",
        "The tile alignment mode.",
        22, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_MODE",
        "How many pixels in the tile and the walking direction in the tile.",
        25, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE0.
static const field_t hw_dec400d_gcregahbdecreadbufferbase0[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE1.
static const field_t hw_dec400d_gcregahbdecreadbufferbase1[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE2.
static const field_t hw_dec400d_gcregahbdecreadbufferbase2[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE3.
static const field_t hw_dec400d_gcregahbdecreadbufferbase3[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE4.
static const field_t hw_dec400d_gcregahbdecreadbufferbase4[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE5.
static const field_t hw_dec400d_gcregahbdecreadbufferbase5[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE6.
static const field_t hw_dec400d_gcregahbdecreadbufferbase6[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE7.
static const field_t hw_dec400d_gcregahbdecreadbufferbase7[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE8.
static const field_t hw_dec400d_gcregahbdecreadbufferbase8[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE9.
static const field_t hw_dec400d_gcregahbdecreadbufferbase9[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE10.
static const field_t hw_dec400d_gcregahbdecreadbufferbase10[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE11.
static const field_t hw_dec400d_gcregahbdecreadbufferbase11[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE12.
static const field_t hw_dec400d_gcregahbdecreadbufferbase12[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE13.
static const field_t hw_dec400d_gcregahbdecreadbufferbase13[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE14.
static const field_t hw_dec400d_gcregahbdecreadbufferbase14[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE15.
static const field_t hw_dec400d_gcregahbdecreadbufferbase15[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE16.
static const field_t hw_dec400d_gcregahbdecreadbufferbase16[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE17.
static const field_t hw_dec400d_gcregahbdecreadbufferbase17[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE18.
static const field_t hw_dec400d_gcregahbdecreadbufferbase18[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE19.
static const field_t hw_dec400d_gcregahbdecreadbufferbase19[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE20.
static const field_t hw_dec400d_gcregahbdecreadbufferbase20[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE21.
static const field_t hw_dec400d_gcregahbdecreadbufferbase21[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE22.
static const field_t hw_dec400d_gcregahbdecreadbufferbase22[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE23.
static const field_t hw_dec400d_gcregahbdecreadbufferbase23[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE24.
static const field_t hw_dec400d_gcregahbdecreadbufferbase24[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE25.
static const field_t hw_dec400d_gcregahbdecreadbufferbase25[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE26.
static const field_t hw_dec400d_gcregahbdecreadbufferbase26[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE27.
static const field_t hw_dec400d_gcregahbdecreadbufferbase27[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE28.
static const field_t hw_dec400d_gcregahbdecreadbufferbase28[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE29.
static const field_t hw_dec400d_gcregahbdecreadbufferbase29[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE30.
static const field_t hw_dec400d_gcregahbdecreadbufferbase30[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFERBASE31.
static const field_t hw_dec400d_gcregahbdecreadbufferbase31[] =
{
    {
        "BUFFER_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE0.
static const field_t hw_dec400d_gcregahbdecreadcachebase0[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE1.
static const field_t hw_dec400d_gcregahbdecreadcachebase1[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE2.
static const field_t hw_dec400d_gcregahbdecreadcachebase2[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE3.
static const field_t hw_dec400d_gcregahbdecreadcachebase3[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE4.
static const field_t hw_dec400d_gcregahbdecreadcachebase4[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE5.
static const field_t hw_dec400d_gcregahbdecreadcachebase5[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE6.
static const field_t hw_dec400d_gcregahbdecreadcachebase6[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE7.
static const field_t hw_dec400d_gcregahbdecreadcachebase7[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE8.
static const field_t hw_dec400d_gcregahbdecreadcachebase8[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE9.
static const field_t hw_dec400d_gcregahbdecreadcachebase9[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE10.
static const field_t hw_dec400d_gcregahbdecreadcachebase10[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE11.
static const field_t hw_dec400d_gcregahbdecreadcachebase11[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE12.
static const field_t hw_dec400d_gcregahbdecreadcachebase12[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE13.
static const field_t hw_dec400d_gcregahbdecreadcachebase13[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE14.
static const field_t hw_dec400d_gcregahbdecreadcachebase14[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE15.
static const field_t hw_dec400d_gcregahbdecreadcachebase15[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE16.
static const field_t hw_dec400d_gcregahbdecreadcachebase16[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE17.
static const field_t hw_dec400d_gcregahbdecreadcachebase17[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE18.
static const field_t hw_dec400d_gcregahbdecreadcachebase18[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE19.
static const field_t hw_dec400d_gcregahbdecreadcachebase19[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE20.
static const field_t hw_dec400d_gcregahbdecreadcachebase20[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE21.
static const field_t hw_dec400d_gcregahbdecreadcachebase21[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE22.
static const field_t hw_dec400d_gcregahbdecreadcachebase22[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE23.
static const field_t hw_dec400d_gcregahbdecreadcachebase23[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE24.
static const field_t hw_dec400d_gcregahbdecreadcachebase24[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE25.
static const field_t hw_dec400d_gcregahbdecreadcachebase25[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE26.
static const field_t hw_dec400d_gcregahbdecreadcachebase26[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE27.
static const field_t hw_dec400d_gcregahbdecreadcachebase27[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE28.
static const field_t hw_dec400d_gcregahbdecreadcachebase28[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE29.
static const field_t hw_dec400d_gcregahbdecreadcachebase29[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE30.
static const field_t hw_dec400d_gcregahbdecreadcachebase30[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADCACHEBASE31.
static const field_t hw_dec400d_gcregahbdecreadcachebase31[] =
{
    {
        "CACHE_ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECCONTROL.
static const field_t hw_dec400d_gcregahbdeccontrol[] =
{
    {
        "FLUSH",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_COMPRESSION",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_RAM_CLOCK_GATING",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_DEBUG_REGISTERS",
        "If this bit is 1, debug registers are clock gated.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOFT_RESET",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_STATUS_READ_ID",
        "",
        6, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_HW_FLUSH",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLK_DIS",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_FLUSH_ID",
        "Bit[23] represents the request type, 0 is read, 1 is write.",
        18, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_MODULE_CLOCK_GATING",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECINTRACKNOWLEDGE.
static const field_t hw_dec400d_gcregahbdecintracknowledge[] =
{
    {
        "INTR_VEC",
        "For each interrupt event, 0=Clear, 1=Interrupt Active Bit 31 is AXI bu"
        "s error interrupt Bits 30:0 is tile status flush done interrupt for wr"
        "ite stream",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECINTRENBL.
static const field_t hw_dec400d_gcregahbdecintrenbl[] =
{
    {
        "INTR_ENBL_VEC",
        "For each bit, 0: Disable interrupt, 1: Enable interrupt.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECTILESTATUSDEBUG.
static const field_t hw_dec400d_gcregahbdectilestatusdebug[] =
{
    {
        "TILE_DEBUG",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECDECODERDEBUG.
static const field_t hw_dec400d_gcregahbdecdecoderdebug[] =
{
    {
        "DEC_DEBUG",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECTOTALREADSIN.
static const field_t hw_dec400d_gcregahbdectotalreadsin[] =
{
    {
        "RDIN_COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECTOTALREADBURSTSIN.
static const field_t hw_dec400d_gcregahbdectotalreadburstsin[] =
{
    {
        "RDIN_BURST_COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECTOTALREADREQIN.
static const field_t hw_dec400d_gcregahbdectotalreadreqin[] =
{
    {
        "RDIN_REQ_COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECTOTALREADLASTSIN.
static const field_t hw_dec400d_gcregahbdectotalreadlastsin[] =
{
    {
        "RDIN_LAST_COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECTOTALREADSOUT.
static const field_t hw_dec400d_gcregahbdectotalreadsout[] =
{
    {
        "RDOUT_COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECTOTALREADBURSTSOUT.
static const field_t hw_dec400d_gcregahbdectotalreadburstsout[] =
{
    {
        "RDOUT_BURST_COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECTOTALREADREQOUT.
static const field_t hw_dec400d_gcregahbdectotalreadreqout[] =
{
    {
        "RDOUT_REQ_COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECTOTALREADLASTSOUT.
static const field_t hw_dec400d_gcregahbdectotalreadlastsout[] =
{
    {
        "RDOUT_LAST_COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECDEBUG0.
static const field_t hw_dec400d_gcregahbdecdebug0[] =
{
    {
        "DEBUG0",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECDEBUG1.
static const field_t hw_dec400d_gcregahbdecdebug1[] =
{
    {
        "DEBUG1",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECDEBUG2.
static const field_t hw_dec400d_gcregahbdecdebug2[] =
{
    {
        "DEBUG2",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECDEBUG3.
static const field_t hw_dec400d_gcregahbdecdebug3[] =
{
    {
        "DEBUG3",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECCONTROLEX.
static const field_t hw_dec400d_gcregahbdeccontrolex[] =
{
    {
        "GCREGAHBDECCONTROLEX",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECSTATECOMMIT.
static const field_t hw_dec400d_gcregahbdecstatecommit[] =
{
    {
        "GCREGAHBDECSTATECOMMIT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECSTATELOCK.
static const field_t hw_dec400d_gcregahbdecstatelock[] =
{
    {
        "GCREGAHBDECSTATELOCK",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG0.
static const field_t hw_dec400d_gcregahbdecreadexconfig0[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG1.
static const field_t hw_dec400d_gcregahbdecreadexconfig1[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG2.
static const field_t hw_dec400d_gcregahbdecreadexconfig2[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG3.
static const field_t hw_dec400d_gcregahbdecreadexconfig3[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG4.
static const field_t hw_dec400d_gcregahbdecreadexconfig4[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG5.
static const field_t hw_dec400d_gcregahbdecreadexconfig5[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG6.
static const field_t hw_dec400d_gcregahbdecreadexconfig6[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG7.
static const field_t hw_dec400d_gcregahbdecreadexconfig7[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG8.
static const field_t hw_dec400d_gcregahbdecreadexconfig8[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG9.
static const field_t hw_dec400d_gcregahbdecreadexconfig9[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG10.
static const field_t hw_dec400d_gcregahbdecreadexconfig10[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG11.
static const field_t hw_dec400d_gcregahbdecreadexconfig11[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG12.
static const field_t hw_dec400d_gcregahbdecreadexconfig12[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG13.
static const field_t hw_dec400d_gcregahbdecreadexconfig13[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG14.
static const field_t hw_dec400d_gcregahbdecreadexconfig14[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG15.
static const field_t hw_dec400d_gcregahbdecreadexconfig15[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG16.
static const field_t hw_dec400d_gcregahbdecreadexconfig16[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG17.
static const field_t hw_dec400d_gcregahbdecreadexconfig17[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG18.
static const field_t hw_dec400d_gcregahbdecreadexconfig18[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG19.
static const field_t hw_dec400d_gcregahbdecreadexconfig19[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG20.
static const field_t hw_dec400d_gcregahbdecreadexconfig20[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG21.
static const field_t hw_dec400d_gcregahbdecreadexconfig21[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG22.
static const field_t hw_dec400d_gcregahbdecreadexconfig22[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG23.
static const field_t hw_dec400d_gcregahbdecreadexconfig23[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG24.
static const field_t hw_dec400d_gcregahbdecreadexconfig24[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG25.
static const field_t hw_dec400d_gcregahbdecreadexconfig25[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG26.
static const field_t hw_dec400d_gcregahbdecreadexconfig26[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG27.
static const field_t hw_dec400d_gcregahbdecreadexconfig27[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG28.
static const field_t hw_dec400d_gcregahbdecreadexconfig28[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG29.
static const field_t hw_dec400d_gcregahbdecreadexconfig29[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG30.
static const field_t hw_dec400d_gcregahbdecreadexconfig30[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADEXCONFIG31.
static const field_t hw_dec400d_gcregahbdecreadexconfig31[] =
{
    {
        "CBSR_WIDTH",
        "For CBSR Align mode, this bitfield indicates Y CBS number included in "
        "one CBSR since CBSG_SADDR field in CBSG table entry is based from each"
        " CBSR start address.",
        3, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BIT_DEPTH",
        "Bit depth for Y/UV/Bayer format.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_Y",
        "Memory layout TileY",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STREAM_MODE",
        "Mode 1-9 only valid for DEC_IPU Mode 10-13 only valid for DEC_VPU Mode"
        " 14-19 only valid for DEC_XYZ Stream mode enumerates the possible stre"
        "ams sent by clients.",
        20, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_READ_MODE",
        "By default, the TS cache for write client is write only cache.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIXEL_CACHE_REPLACEMENT",
        "Replacement method support for pixel overfetch cache.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTEL_P010",
        "Intel's P010 format for 10 bit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_CACHE_REPLACEMENT",
        "Replacement method support for tile status cache.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE0.
static const field_t hw_dec400d_gcregahbdecreadstride0[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE1.
static const field_t hw_dec400d_gcregahbdecreadstride1[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE2.
static const field_t hw_dec400d_gcregahbdecreadstride2[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE3.
static const field_t hw_dec400d_gcregahbdecreadstride3[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE4.
static const field_t hw_dec400d_gcregahbdecreadstride4[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE5.
static const field_t hw_dec400d_gcregahbdecreadstride5[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE6.
static const field_t hw_dec400d_gcregahbdecreadstride6[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE7.
static const field_t hw_dec400d_gcregahbdecreadstride7[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE8.
static const field_t hw_dec400d_gcregahbdecreadstride8[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE9.
static const field_t hw_dec400d_gcregahbdecreadstride9[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE10.
static const field_t hw_dec400d_gcregahbdecreadstride10[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE11.
static const field_t hw_dec400d_gcregahbdecreadstride11[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE12.
static const field_t hw_dec400d_gcregahbdecreadstride12[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE13.
static const field_t hw_dec400d_gcregahbdecreadstride13[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE14.
static const field_t hw_dec400d_gcregahbdecreadstride14[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE15.
static const field_t hw_dec400d_gcregahbdecreadstride15[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE16.
static const field_t hw_dec400d_gcregahbdecreadstride16[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE17.
static const field_t hw_dec400d_gcregahbdecreadstride17[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE18.
static const field_t hw_dec400d_gcregahbdecreadstride18[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE19.
static const field_t hw_dec400d_gcregahbdecreadstride19[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE20.
static const field_t hw_dec400d_gcregahbdecreadstride20[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE21.
static const field_t hw_dec400d_gcregahbdecreadstride21[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE22.
static const field_t hw_dec400d_gcregahbdecreadstride22[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE23.
static const field_t hw_dec400d_gcregahbdecreadstride23[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE24.
static const field_t hw_dec400d_gcregahbdecreadstride24[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE25.
static const field_t hw_dec400d_gcregahbdecreadstride25[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE26.
static const field_t hw_dec400d_gcregahbdecreadstride26[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE27.
static const field_t hw_dec400d_gcregahbdecreadstride27[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE28.
static const field_t hw_dec400d_gcregahbdecreadstride28[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE29.
static const field_t hw_dec400d_gcregahbdecreadstride29[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE30.
static const field_t hw_dec400d_gcregahbdecreadstride30[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADSTRIDE31.
static const field_t hw_dec400d_gcregahbdecreadstride31[] =
{
    {
        "STRIDE",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND0.
static const field_t hw_dec400d_gcregahbdecreadbufferend0[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND1.
static const field_t hw_dec400d_gcregahbdecreadbufferend1[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND2.
static const field_t hw_dec400d_gcregahbdecreadbufferend2[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND3.
static const field_t hw_dec400d_gcregahbdecreadbufferend3[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND4.
static const field_t hw_dec400d_gcregahbdecreadbufferend4[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND5.
static const field_t hw_dec400d_gcregahbdecreadbufferend5[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND6.
static const field_t hw_dec400d_gcregahbdecreadbufferend6[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND7.
static const field_t hw_dec400d_gcregahbdecreadbufferend7[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND8.
static const field_t hw_dec400d_gcregahbdecreadbufferend8[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND9.
static const field_t hw_dec400d_gcregahbdecreadbufferend9[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND10.
static const field_t hw_dec400d_gcregahbdecreadbufferend10[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND11.
static const field_t hw_dec400d_gcregahbdecreadbufferend11[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND12.
static const field_t hw_dec400d_gcregahbdecreadbufferend12[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND13.
static const field_t hw_dec400d_gcregahbdecreadbufferend13[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND14.
static const field_t hw_dec400d_gcregahbdecreadbufferend14[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND15.
static const field_t hw_dec400d_gcregahbdecreadbufferend15[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND16.
static const field_t hw_dec400d_gcregahbdecreadbufferend16[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND17.
static const field_t hw_dec400d_gcregahbdecreadbufferend17[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND18.
static const field_t hw_dec400d_gcregahbdecreadbufferend18[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND19.
static const field_t hw_dec400d_gcregahbdecreadbufferend19[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND20.
static const field_t hw_dec400d_gcregahbdecreadbufferend20[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND21.
static const field_t hw_dec400d_gcregahbdecreadbufferend21[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND22.
static const field_t hw_dec400d_gcregahbdecreadbufferend22[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND23.
static const field_t hw_dec400d_gcregahbdecreadbufferend23[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND24.
static const field_t hw_dec400d_gcregahbdecreadbufferend24[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND25.
static const field_t hw_dec400d_gcregahbdecreadbufferend25[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND26.
static const field_t hw_dec400d_gcregahbdecreadbufferend26[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND27.
static const field_t hw_dec400d_gcregahbdecreadbufferend27[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND28.
static const field_t hw_dec400d_gcregahbdecreadbufferend28[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND29.
static const field_t hw_dec400d_gcregahbdecreadbufferend29[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND30.
static const field_t hw_dec400d_gcregahbdecreadbufferend30[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DEC400D_GCREGAHBDECREADBUFFEREND31.
static const field_t hw_dec400d_gcregahbdecreadbufferend31[] =
{
    {
        "RD_BUFF_END",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a DEC400D module.
static const reg_t hw_dec400d[] =
{
    {
        "GCCHIPREV",
        "This read-only register shows the revision for the chip in BCD.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcchiprev
    },
    {
        "GCCHIPDATE",
        "Shows the release date for the IP in YYYYMMDD (year/month/day) format.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcchipdate
    },
    {
        "GCREGHICHIPPATCHREV",
        "Patch revision level for the chip.",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcreghichippatchrev
    },
    {
        "GCPRODUCTID",
        "This read only register shows the Dec400D Product ID",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcproductid
    },
    {
        "GCREGAHBDECREADCONFIG0",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig0
    },
    {
        "GCREGAHBDECREADCONFIG1",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000804, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig1
    },
    {
        "GCREGAHBDECREADCONFIG2",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000808, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig2
    },
    {
        "GCREGAHBDECREADCONFIG3",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x0000080c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig3
    },
    {
        "GCREGAHBDECREADCONFIG4",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000810, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig4
    },
    {
        "GCREGAHBDECREADCONFIG5",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000814, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig5
    },
    {
        "GCREGAHBDECREADCONFIG6",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000818, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig6
    },
    {
        "GCREGAHBDECREADCONFIG7",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x0000081c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig7
    },
    {
        "GCREGAHBDECREADCONFIG8",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000820, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig8
    },
    {
        "GCREGAHBDECREADCONFIG9",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000824, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig9
    },
    {
        "GCREGAHBDECREADCONFIG10",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000828, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig10
    },
    {
        "GCREGAHBDECREADCONFIG11",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x0000082c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig11
    },
    {
        "GCREGAHBDECREADCONFIG12",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000830, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig12
    },
    {
        "GCREGAHBDECREADCONFIG13",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000834, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig13
    },
    {
        "GCREGAHBDECREADCONFIG14",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000838, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig14
    },
    {
        "GCREGAHBDECREADCONFIG15",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x0000083c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig15
    },
    {
        "GCREGAHBDECREADCONFIG16",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000840, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig16
    },
    {
        "GCREGAHBDECREADCONFIG17",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000844, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig17
    },
    {
        "GCREGAHBDECREADCONFIG18",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000848, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig18
    },
    {
        "GCREGAHBDECREADCONFIG19",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x0000084c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig19
    },
    {
        "GCREGAHBDECREADCONFIG20",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000850, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig20
    },
    {
        "GCREGAHBDECREADCONFIG21",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000854, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig21
    },
    {
        "GCREGAHBDECREADCONFIG22",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000858, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig22
    },
    {
        "GCREGAHBDECREADCONFIG23",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x0000085c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig23
    },
    {
        "GCREGAHBDECREADCONFIG24",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000860, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig24
    },
    {
        "GCREGAHBDECREADCONFIG25",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000864, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig25
    },
    {
        "GCREGAHBDECREADCONFIG26",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000868, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig26
    },
    {
        "GCREGAHBDECREADCONFIG27",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x0000086c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig27
    },
    {
        "GCREGAHBDECREADCONFIG28",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000870, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig28
    },
    {
        "GCREGAHBDECREADCONFIG29",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000874, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig29
    },
    {
        "GCREGAHBDECREADCONFIG30",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x00000878, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig30
    },
    {
        "GCREGAHBDECREADCONFIG31",
        "Dec400D configuration register for read ID.",
        4, // Width in bytes
        0x0000087c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dec400d_gcregahbdecreadconfig31
    },
    {
        "GCREGAHBDECREADBUFFERBASE0",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000900, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase0
    },
    {
        "GCREGAHBDECREADBUFFERBASE1",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000904, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase1
    },
    {
        "GCREGAHBDECREADBUFFERBASE2",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000908, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase2
    },
    {
        "GCREGAHBDECREADBUFFERBASE3",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x0000090c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase3
    },
    {
        "GCREGAHBDECREADBUFFERBASE4",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000910, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase4
    },
    {
        "GCREGAHBDECREADBUFFERBASE5",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000914, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase5
    },
    {
        "GCREGAHBDECREADBUFFERBASE6",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000918, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase6
    },
    {
        "GCREGAHBDECREADBUFFERBASE7",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x0000091c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase7
    },
    {
        "GCREGAHBDECREADBUFFERBASE8",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000920, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase8
    },
    {
        "GCREGAHBDECREADBUFFERBASE9",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000924, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase9
    },
    {
        "GCREGAHBDECREADBUFFERBASE10",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000928, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase10
    },
    {
        "GCREGAHBDECREADBUFFERBASE11",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x0000092c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase11
    },
    {
        "GCREGAHBDECREADBUFFERBASE12",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000930, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase12
    },
    {
        "GCREGAHBDECREADBUFFERBASE13",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000934, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase13
    },
    {
        "GCREGAHBDECREADBUFFERBASE14",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000938, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase14
    },
    {
        "GCREGAHBDECREADBUFFERBASE15",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x0000093c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase15
    },
    {
        "GCREGAHBDECREADBUFFERBASE16",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000940, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase16
    },
    {
        "GCREGAHBDECREADBUFFERBASE17",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000944, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase17
    },
    {
        "GCREGAHBDECREADBUFFERBASE18",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000948, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase18
    },
    {
        "GCREGAHBDECREADBUFFERBASE19",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x0000094c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase19
    },
    {
        "GCREGAHBDECREADBUFFERBASE20",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000950, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase20
    },
    {
        "GCREGAHBDECREADBUFFERBASE21",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000954, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase21
    },
    {
        "GCREGAHBDECREADBUFFERBASE22",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000958, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase22
    },
    {
        "GCREGAHBDECREADBUFFERBASE23",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x0000095c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase23
    },
    {
        "GCREGAHBDECREADBUFFERBASE24",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000960, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase24
    },
    {
        "GCREGAHBDECREADBUFFERBASE25",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000964, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase25
    },
    {
        "GCREGAHBDECREADBUFFERBASE26",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000968, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase26
    },
    {
        "GCREGAHBDECREADBUFFERBASE27",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x0000096c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase27
    },
    {
        "GCREGAHBDECREADBUFFERBASE28",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000970, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase28
    },
    {
        "GCREGAHBDECREADBUFFERBASE29",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000974, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase29
    },
    {
        "GCREGAHBDECREADBUFFERBASE30",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000978, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase30
    },
    {
        "GCREGAHBDECREADBUFFERBASE31",
        "Base address for pixel buffer for read ID.",
        4, // Width in bytes
        0x0000097c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferbase31
    },
    {
        "GCREGAHBDECREADCACHEBASE0",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x00000980, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase0
    },
    {
        "GCREGAHBDECREADCACHEBASE1",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x00000984, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase1
    },
    {
        "GCREGAHBDECREADCACHEBASE2",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x00000988, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase2
    },
    {
        "GCREGAHBDECREADCACHEBASE3",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x0000098c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase3
    },
    {
        "GCREGAHBDECREADCACHEBASE4",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x00000990, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase4
    },
    {
        "GCREGAHBDECREADCACHEBASE5",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x00000994, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase5
    },
    {
        "GCREGAHBDECREADCACHEBASE6",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x00000998, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase6
    },
    {
        "GCREGAHBDECREADCACHEBASE7",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x0000099c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase7
    },
    {
        "GCREGAHBDECREADCACHEBASE8",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase8
    },
    {
        "GCREGAHBDECREADCACHEBASE9",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase9
    },
    {
        "GCREGAHBDECREADCACHEBASE10",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase10
    },
    {
        "GCREGAHBDECREADCACHEBASE11",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase11
    },
    {
        "GCREGAHBDECREADCACHEBASE12",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase12
    },
    {
        "GCREGAHBDECREADCACHEBASE13",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase13
    },
    {
        "GCREGAHBDECREADCACHEBASE14",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009b8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase14
    },
    {
        "GCREGAHBDECREADCACHEBASE15",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009bc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase15
    },
    {
        "GCREGAHBDECREADCACHEBASE16",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase16
    },
    {
        "GCREGAHBDECREADCACHEBASE17",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase17
    },
    {
        "GCREGAHBDECREADCACHEBASE18",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009c8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase18
    },
    {
        "GCREGAHBDECREADCACHEBASE19",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009cc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase19
    },
    {
        "GCREGAHBDECREADCACHEBASE20",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase20
    },
    {
        "GCREGAHBDECREADCACHEBASE21",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase21
    },
    {
        "GCREGAHBDECREADCACHEBASE22",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009d8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase22
    },
    {
        "GCREGAHBDECREADCACHEBASE23",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009dc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase23
    },
    {
        "GCREGAHBDECREADCACHEBASE24",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase24
    },
    {
        "GCREGAHBDECREADCACHEBASE25",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase25
    },
    {
        "GCREGAHBDECREADCACHEBASE26",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase26
    },
    {
        "GCREGAHBDECREADCACHEBASE27",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase27
    },
    {
        "GCREGAHBDECREADCACHEBASE28",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase28
    },
    {
        "GCREGAHBDECREADCACHEBASE29",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase29
    },
    {
        "GCREGAHBDECREADCACHEBASE30",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase30
    },
    {
        "GCREGAHBDECREADCACHEBASE31",
        "Base address for tile status buffer for read ID.",
        4, // Width in bytes
        0x000009fc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadcachebase31
    },
    {
        "GCREGAHBDECCONTROL",
        "Global Dec400D control register.",
        4, // Width in bytes
        0x00000b00, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_dec400d_gcregahbdeccontrol
    },
    {
        "GCREGAHBDECINTRACKNOWLEDGE",
        "Each bit represents a corresponding event being triggered.",
        4, // Width in bytes
        0x00000b04, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecintracknowledge
    },
    {
        "GCREGAHBDECINTRENBL",
        "Each bit enables a corresponding event.",
        4, // Width in bytes
        0x00000b08, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecintrenbl
    },
    {
        "GCREGAHBDECTILESTATUSDEBUG",
        "",
        4, // Width in bytes
        0x00000b0c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdectilestatusdebug
    },
    {
        "GCREGAHBDECDECODERDEBUG",
        "",
        4, // Width in bytes
        0x00000b14, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecdecoderdebug
    },
    {
        "GCREGAHBDECTOTALREADSIN",
        "Total reads in terms of dataWidth in input (pixel engine) side.",
        4, // Width in bytes
        0x00000b18, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdectotalreadsin
    },
    {
        "GCREGAHBDECTOTALREADBURSTSIN",
        "Total read data count in terms of dataWidth in input (pixel engine) si"
        "de.",
        4, // Width in bytes
        0x00000b20, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdectotalreadburstsin
    },
    {
        "GCREGAHBDECTOTALREADREQIN",
        "Total reads request number in input (pixel engine) side.",
        4, // Width in bytes
        0x00000b28, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdectotalreadreqin
    },
    {
        "GCREGAHBDECTOTALREADLASTSIN",
        "Total input read last number in input (pixel engine) side.",
        4, // Width in bytes
        0x00000b30, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdectotalreadlastsin
    },
    {
        "GCREGAHBDECTOTALREADSOUT",
        "Total reads request in terms of dataWidth in output (DDR) side.",
        4, // Width in bytes
        0x00000b38, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdectotalreadsout
    },
    {
        "GCREGAHBDECTOTALREADBURSTSOUT",
        "Total read data count in terms of dataWidth in output (DDR) side.",
        4, // Width in bytes
        0x00000b40, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdectotalreadburstsout
    },
    {
        "GCREGAHBDECTOTALREADREQOUT",
        "Total reads request number in output (DDR) side.",
        4, // Width in bytes
        0x00000b48, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdectotalreadreqout
    },
    {
        "GCREGAHBDECTOTALREADLASTSOUT",
        "Total read last number in output (DDR) side.",
        4, // Width in bytes
        0x00000b50, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdectotalreadlastsout
    },
    {
        "GCREGAHBDECDEBUG0",
        "",
        4, // Width in bytes
        0x00000b58, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecdebug0
    },
    {
        "GCREGAHBDECDEBUG1",
        "",
        4, // Width in bytes
        0x00000b5c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecdebug1
    },
    {
        "GCREGAHBDECDEBUG2",
        "",
        4, // Width in bytes
        0x00000b60, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecdebug2
    },
    {
        "GCREGAHBDECDEBUG3",
        "",
        4, // Width in bytes
        0x00000b64, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecdebug3
    },
    {
        "GCREGAHBDECCONTROLEX",
        "",
        4, // Width in bytes
        0x00000b68, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdeccontrolex
    },
    {
        "GCREGAHBDECSTATECOMMIT",
        "",
        4, // Width in bytes
        0x00000b6c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecstatecommit
    },
    {
        "GCREGAHBDECSTATELOCK",
        "",
        4, // Width in bytes
        0x00000b70, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecstatelock
    },
    {
        "GCREGAHBDECREADEXCONFIG0",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c00, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig0
    },
    {
        "GCREGAHBDECREADEXCONFIG1",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c04, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig1
    },
    {
        "GCREGAHBDECREADEXCONFIG2",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c08, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig2
    },
    {
        "GCREGAHBDECREADEXCONFIG3",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c0c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig3
    },
    {
        "GCREGAHBDECREADEXCONFIG4",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c10, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig4
    },
    {
        "GCREGAHBDECREADEXCONFIG5",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c14, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig5
    },
    {
        "GCREGAHBDECREADEXCONFIG6",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c18, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig6
    },
    {
        "GCREGAHBDECREADEXCONFIG7",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c1c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig7
    },
    {
        "GCREGAHBDECREADEXCONFIG8",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c20, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig8
    },
    {
        "GCREGAHBDECREADEXCONFIG9",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c24, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig9
    },
    {
        "GCREGAHBDECREADEXCONFIG10",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c28, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig10
    },
    {
        "GCREGAHBDECREADEXCONFIG11",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c2c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig11
    },
    {
        "GCREGAHBDECREADEXCONFIG12",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c30, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig12
    },
    {
        "GCREGAHBDECREADEXCONFIG13",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c34, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig13
    },
    {
        "GCREGAHBDECREADEXCONFIG14",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c38, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig14
    },
    {
        "GCREGAHBDECREADEXCONFIG15",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c3c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig15
    },
    {
        "GCREGAHBDECREADEXCONFIG16",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c40, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig16
    },
    {
        "GCREGAHBDECREADEXCONFIG17",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c44, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig17
    },
    {
        "GCREGAHBDECREADEXCONFIG18",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c48, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig18
    },
    {
        "GCREGAHBDECREADEXCONFIG19",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c4c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig19
    },
    {
        "GCREGAHBDECREADEXCONFIG20",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c50, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig20
    },
    {
        "GCREGAHBDECREADEXCONFIG21",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c54, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig21
    },
    {
        "GCREGAHBDECREADEXCONFIG22",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c58, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig22
    },
    {
        "GCREGAHBDECREADEXCONFIG23",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c5c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig23
    },
    {
        "GCREGAHBDECREADEXCONFIG24",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c60, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig24
    },
    {
        "GCREGAHBDECREADEXCONFIG25",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c64, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig25
    },
    {
        "GCREGAHBDECREADEXCONFIG26",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c68, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig26
    },
    {
        "GCREGAHBDECREADEXCONFIG27",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c6c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig27
    },
    {
        "GCREGAHBDECREADEXCONFIG28",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c70, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig28
    },
    {
        "GCREGAHBDECREADEXCONFIG29",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c74, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig29
    },
    {
        "GCREGAHBDECREADEXCONFIG30",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c78, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig30
    },
    {
        "GCREGAHBDECREADEXCONFIG31",
        "Dec400D extra configuration register for read ID.",
        4, // Width in bytes
        0x00000c7c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dec400d_gcregahbdecreadexconfig31
    },
    {
        "GCREGAHBDECREADSTRIDE0",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000c80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride0
    },
    {
        "GCREGAHBDECREADSTRIDE1",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000c84, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride1
    },
    {
        "GCREGAHBDECREADSTRIDE2",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000c88, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride2
    },
    {
        "GCREGAHBDECREADSTRIDE3",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000c8c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride3
    },
    {
        "GCREGAHBDECREADSTRIDE4",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000c90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride4
    },
    {
        "GCREGAHBDECREADSTRIDE5",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000c94, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride5
    },
    {
        "GCREGAHBDECREADSTRIDE6",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000c98, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride6
    },
    {
        "GCREGAHBDECREADSTRIDE7",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000c9c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride7
    },
    {
        "GCREGAHBDECREADSTRIDE8",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000ca0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride8
    },
    {
        "GCREGAHBDECREADSTRIDE9",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000ca4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride9
    },
    {
        "GCREGAHBDECREADSTRIDE10",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000ca8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride10
    },
    {
        "GCREGAHBDECREADSTRIDE11",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride11
    },
    {
        "GCREGAHBDECREADSTRIDE12",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cb0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride12
    },
    {
        "GCREGAHBDECREADSTRIDE13",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cb4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride13
    },
    {
        "GCREGAHBDECREADSTRIDE14",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cb8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride14
    },
    {
        "GCREGAHBDECREADSTRIDE15",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cbc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride15
    },
    {
        "GCREGAHBDECREADSTRIDE16",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cc0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride16
    },
    {
        "GCREGAHBDECREADSTRIDE17",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cc4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride17
    },
    {
        "GCREGAHBDECREADSTRIDE18",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cc8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride18
    },
    {
        "GCREGAHBDECREADSTRIDE19",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000ccc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride19
    },
    {
        "GCREGAHBDECREADSTRIDE20",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cd0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride20
    },
    {
        "GCREGAHBDECREADSTRIDE21",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cd4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride21
    },
    {
        "GCREGAHBDECREADSTRIDE22",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cd8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride22
    },
    {
        "GCREGAHBDECREADSTRIDE23",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cdc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride23
    },
    {
        "GCREGAHBDECREADSTRIDE24",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000ce0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride24
    },
    {
        "GCREGAHBDECREADSTRIDE25",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000ce4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride25
    },
    {
        "GCREGAHBDECREADSTRIDE26",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000ce8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride26
    },
    {
        "GCREGAHBDECREADSTRIDE27",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride27
    },
    {
        "GCREGAHBDECREADSTRIDE28",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cf0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride28
    },
    {
        "GCREGAHBDECREADSTRIDE29",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cf4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride29
    },
    {
        "GCREGAHBDECREADSTRIDE30",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cf8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride30
    },
    {
        "GCREGAHBDECREADSTRIDE31",
        "Dec400D surface stride in bytes for read ID.",
        4, // Width in bytes
        0x00000cfc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadstride31
    },
    {
        "GCREGAHBDECREADBUFFEREND0",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend0
    },
    {
        "GCREGAHBDECREADBUFFEREND1",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e04, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend1
    },
    {
        "GCREGAHBDECREADBUFFEREND2",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e08, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend2
    },
    {
        "GCREGAHBDECREADBUFFEREND3",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e0c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend3
    },
    {
        "GCREGAHBDECREADBUFFEREND4",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend4
    },
    {
        "GCREGAHBDECREADBUFFEREND5",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e14, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend5
    },
    {
        "GCREGAHBDECREADBUFFEREND6",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e18, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend6
    },
    {
        "GCREGAHBDECREADBUFFEREND7",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e1c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend7
    },
    {
        "GCREGAHBDECREADBUFFEREND8",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend8
    },
    {
        "GCREGAHBDECREADBUFFEREND9",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e24, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend9
    },
    {
        "GCREGAHBDECREADBUFFEREND10",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e28, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend10
    },
    {
        "GCREGAHBDECREADBUFFEREND11",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e2c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend11
    },
    {
        "GCREGAHBDECREADBUFFEREND12",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend12
    },
    {
        "GCREGAHBDECREADBUFFEREND13",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e34, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend13
    },
    {
        "GCREGAHBDECREADBUFFEREND14",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e38, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend14
    },
    {
        "GCREGAHBDECREADBUFFEREND15",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e3c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend15
    },
    {
        "GCREGAHBDECREADBUFFEREND16",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend16
    },
    {
        "GCREGAHBDECREADBUFFEREND17",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e44, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend17
    },
    {
        "GCREGAHBDECREADBUFFEREND18",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e48, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend18
    },
    {
        "GCREGAHBDECREADBUFFEREND19",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e4c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend19
    },
    {
        "GCREGAHBDECREADBUFFEREND20",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend20
    },
    {
        "GCREGAHBDECREADBUFFEREND21",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e54, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend21
    },
    {
        "GCREGAHBDECREADBUFFEREND22",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e58, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend22
    },
    {
        "GCREGAHBDECREADBUFFEREND23",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e5c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend23
    },
    {
        "GCREGAHBDECREADBUFFEREND24",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend24
    },
    {
        "GCREGAHBDECREADBUFFEREND25",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e64, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend25
    },
    {
        "GCREGAHBDECREADBUFFEREND26",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e68, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend26
    },
    {
        "GCREGAHBDECREADBUFFEREND27",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e6c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend27
    },
    {
        "GCREGAHBDECREADBUFFEREND28",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend28
    },
    {
        "GCREGAHBDECREADBUFFEREND29",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e74, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend29
    },
    {
        "GCREGAHBDECREADBUFFEREND30",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e78, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend30
    },
    {
        "GCREGAHBDECREADBUFFEREND31",
        "End address for pixel buffer for read ID.",
        4, // Width in bytes
        0x00000e7c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dec400d_gcregahbdecreadbufferend31
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark DPR
#endif

// Bitfields in register DPR_SYSTEM_CTRL0.
static const field_t hw_dpr_system_ctrl0[] =
{
    {
        "RUN_EN",
        "Writing a 1 to this register will start processing the next frame imag"
        "e.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOFT_RESET",
        "This bit is not self-clearing software will need to write a: 0x0 = dea"
        "ssert soft reset 0x1 = assert soft reset Note: Channel 0 soft reset wi"
        "ll reset the SYSTEM_CTRL0:BCMD2AXI_MSTR_ID_CTRL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT_EN",
        "Writing a 1 to this register will enable the timing generator to write"
        " the RUN_EN register on subsequent restarts using the current control "
        "register settings.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHADOW_LOAD_EN",
        "The SHADOW_LOAD_EN bit is written to 1 by software after all control r"
        "egisters are written.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_SHADOW_LOAD_SEL",
        "The SW_SHADOW_LOAD_SEL is used to select the shadow_load_en source.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCMD2AXI_MSTR_ID_CTRL",
        "0x0 = All DPR buscmd master channels assigned a unique AXI ID 0x1 = Al"
        "l DPR buscmd master channels assigned the same AXI ID Note: If the DPR"
        " is configured to have > 1 DPR channel, then DPR channel 0, will contr"
        "ol the BCMD2AXI_MSTR_ID_CTRL for all DPR Channels.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_SYSTEM_CTRL0_SET.
static const field_t hw_dpr_system_ctrl0_set[] =
{
    {
        "RUN_EN",
        "Writing a 1 to this register will start processing the next frame imag"
        "e.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOFT_RESET",
        "This bit is not self-clearing software will need to write a: 0x0 = dea"
        "ssert soft reset 0x1 = assert soft reset Note: Channel 0 soft reset wi"
        "ll reset the SYSTEM_CTRL0:BCMD2AXI_MSTR_ID_CTRL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT_EN",
        "Writing a 1 to this register will enable the timing generator to write"
        " the RUN_EN register on subsequent restarts using the current control "
        "register settings.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHADOW_LOAD_EN",
        "The SHADOW_LOAD_EN bit is written to 1 by software after all control r"
        "egisters are written.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_SHADOW_LOAD_SEL",
        "The SW_SHADOW_LOAD_SEL is used to select the shadow_load_en source.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCMD2AXI_MSTR_ID_CTRL",
        "0x0 = All DPR buscmd master channels assigned a unique AXI ID 0x1 = Al"
        "l DPR buscmd master channels assigned the same AXI ID Note: If the DPR"
        " is configured to have > 1 DPR channel, then DPR channel 0, will contr"
        "ol the BCMD2AXI_MSTR_ID_CTRL for all DPR Channels.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_SYSTEM_CTRL0_CLR.
static const field_t hw_dpr_system_ctrl0_clr[] =
{
    {
        "RUN_EN",
        "Writing a 1 to this register will start processing the next frame imag"
        "e.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOFT_RESET",
        "This bit is not self-clearing software will need to write a: 0x0 = dea"
        "ssert soft reset 0x1 = assert soft reset Note: Channel 0 soft reset wi"
        "ll reset the SYSTEM_CTRL0:BCMD2AXI_MSTR_ID_CTRL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT_EN",
        "Writing a 1 to this register will enable the timing generator to write"
        " the RUN_EN register on subsequent restarts using the current control "
        "register settings.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHADOW_LOAD_EN",
        "The SHADOW_LOAD_EN bit is written to 1 by software after all control r"
        "egisters are written.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_SHADOW_LOAD_SEL",
        "The SW_SHADOW_LOAD_SEL is used to select the shadow_load_en source.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCMD2AXI_MSTR_ID_CTRL",
        "0x0 = All DPR buscmd master channels assigned a unique AXI ID 0x1 = Al"
        "l DPR buscmd master channels assigned the same AXI ID Note: If the DPR"
        " is configured to have > 1 DPR channel, then DPR channel 0, will contr"
        "ol the BCMD2AXI_MSTR_ID_CTRL for all DPR Channels.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_SYSTEM_CTRL0_TOG.
static const field_t hw_dpr_system_ctrl0_tog[] =
{
    {
        "RUN_EN",
        "Writing a 1 to this register will start processing the next frame imag"
        "e.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOFT_RESET",
        "This bit is not self-clearing software will need to write a: 0x0 = dea"
        "ssert soft reset 0x1 = assert soft reset Note: Channel 0 soft reset wi"
        "ll reset the SYSTEM_CTRL0:BCMD2AXI_MSTR_ID_CTRL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT_EN",
        "Writing a 1 to this register will enable the timing generator to write"
        " the RUN_EN register on subsequent restarts using the current control "
        "register settings.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHADOW_LOAD_EN",
        "The SHADOW_LOAD_EN bit is written to 1 by software after all control r"
        "egisters are written.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_SHADOW_LOAD_SEL",
        "The SW_SHADOW_LOAD_SEL is used to select the shadow_load_en source.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCMD2AXI_MSTR_ID_CTRL",
        "0x0 = All DPR buscmd master channels assigned a unique AXI ID 0x1 = Al"
        "l DPR buscmd master channels assigned the same AXI ID Note: If the DPR"
        " is configured to have > 1 DPR channel, then DPR channel 0, will contr"
        "ol the BCMD2AXI_MSTR_ID_CTRL for all DPR Channels.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_MASK.
static const field_t hw_dpr_irq_mask[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Mask off the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Mask off the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED_MASK",
        "Mask off the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Mask off the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Mask off the DPR2RTR_YRGB Fifo Overflow interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Mask off the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Mask off the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Mask off the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_MASK_SET.
static const field_t hw_dpr_irq_mask_set[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Mask off the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Mask off the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED_MASK",
        "Mask off the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Mask off the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Mask off the DPR2RTR_YRGB Fifo Overflow interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Mask off the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Mask off the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Mask off the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_MASK_CLR.
static const field_t hw_dpr_irq_mask_clr[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Mask off the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Mask off the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED_MASK",
        "Mask off the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Mask off the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Mask off the DPR2RTR_YRGB Fifo Overflow interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Mask off the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Mask off the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Mask off the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_MASK_TOG.
static const field_t hw_dpr_irq_mask_tog[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Mask off the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Mask off the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED_MASK",
        "Mask off the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Mask off the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Mask off the DPR2RTR_YRGB Fifo Overflow interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Mask off the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Mask off the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Mask off the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_MASK_STATUS.
static const field_t hw_dpr_irq_mask_status[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Masked interrupt status of the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Masked interrupt status of the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED",
        "Masked interrupt status of the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Masked interrupt status of the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Masked interrupt status of the DPR2RTR_YRGB Fifo Overflow interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Masked interrupt status of the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR in"
        "terrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR inte"
        "rrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_MASK_STATUS_SET.
static const field_t hw_dpr_irq_mask_status_set[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Masked interrupt status of the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Masked interrupt status of the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED",
        "Masked interrupt status of the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Masked interrupt status of the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Masked interrupt status of the DPR2RTR_YRGB Fifo Overflow interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Masked interrupt status of the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR in"
        "terrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR inte"
        "rrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_MASK_STATUS_CLR.
static const field_t hw_dpr_irq_mask_status_clr[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Masked interrupt status of the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Masked interrupt status of the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED",
        "Masked interrupt status of the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Masked interrupt status of the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Masked interrupt status of the DPR2RTR_YRGB Fifo Overflow interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Masked interrupt status of the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR in"
        "terrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR inte"
        "rrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_MASK_STATUS_TOG.
static const field_t hw_dpr_irq_mask_status_tog[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Masked interrupt status of the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Masked interrupt status of the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED",
        "Masked interrupt status of the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Masked interrupt status of the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Masked interrupt status of the DPR2RTR_YRGB Fifo Overflow interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Masked interrupt status of the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR in"
        "terrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR inte"
        "rrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_NONMASK_STATUS.
static const field_t hw_dpr_irq_nonmask_status[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Non-masked interrupt status of the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Non-masked interrupt status of the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED_NMSTAT",
        "Non-masked interrupt status of the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Non-masked interrupt status of the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Non-masked interrupt status of the DPR2RTR_YRGB Fifo Overflow interrup"
        "t.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Non-masked interrupt status of the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Non-masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERRO"
        "R interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Non-masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR "
        "interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_NONMASK_STATUS_SET.
static const field_t hw_dpr_irq_nonmask_status_set[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Non-masked interrupt status of the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Non-masked interrupt status of the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED_NMSTAT",
        "Non-masked interrupt status of the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Non-masked interrupt status of the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Non-masked interrupt status of the DPR2RTR_YRGB Fifo Overflow interrup"
        "t.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Non-masked interrupt status of the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Non-masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERRO"
        "R interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Non-masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR "
        "interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_NONMASK_STATUS_CLR.
static const field_t hw_dpr_irq_nonmask_status_clr[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Non-masked interrupt status of the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Non-masked interrupt status of the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED_NMSTAT",
        "Non-masked interrupt status of the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Non-masked interrupt status of the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Non-masked interrupt status of the DPR2RTR_YRGB Fifo Overflow interrup"
        "t.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Non-masked interrupt status of the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Non-masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERRO"
        "R interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Non-masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR "
        "interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_IRQ_NONMASK_STATUS_TOG.
static const field_t hw_dpr_irq_nonmask_status_tog[] =
{
    {
        "IRQ_DPR_CTRL_DONE",
        "Non-masked interrupt status of the DPR_CTRL_DONE interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_RUN",
        "Non-masked interrupt status of the DPR_RUN interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_DPR_SHADOW_LOADED_NMSTAT",
        "Non-masked interrupt status of the DPR_SHADOW_LOADED interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_AXI_READ_ERROR",
        "Non-masked interrupt status of the AXI Read Error interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_YRGB_FIFO_OVFL",
        "Non-masked interrupt status of the DPR2RTR_YRGB Fifo Overflow interrup"
        "t.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_UV_FIFO_OVFL",
        "Non-masked interrupt status of the DPR2RTR_UV Fifo Overflow interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERROR",
        "Non-masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_YRGB_ERRO"
        "R interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR",
        "Non-masked interrupt status of the DPR2RTR_FIFO_LOAD_BUF_RDY_UV_ERROR "
        "interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_MODE_CTRL0.
static const field_t hw_dpr_mode_ctrl0[] =
{
    {
        "RTR_3BUF_EN",
        "0x0 = Process 2 RTRAM buffers.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTR_4LINE_BUF_EN",
        "0x0 = 8 RTRAM lines per buffer.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_TYPE",
        "0x0 = Linear (raster) tile.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YUV_EN",
        "0x0 = xRGB modes of operation.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_2PLANE_EN",
        "0x0 = 1-Plane operation.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_SIZE",
        "0x0 = 8 bits per pixel 0x1 = 16 bits per pixel 0x2 = 32 bits per pixel"
        " 0x3 = reserved Note: The source frame buffer for 2PYUV420 10 bit pixe"
        "ls are packed horizontally for every row of pixels.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_LUMA_UV_SWAP",
        "If processing 1PYUV422 pixels, swap position of Luma and Chroma pixel "
        "component position.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_UV_SWAP",
        "If processing 1PYUV422 or 2PYUV420 pixels, swap position of Chroma pix"
        "el component position.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "B_COMP_SEL",
        "When processing 32 bit per pixel, such as ARGB888, Blue component byte"
        " select 0x0 = byte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2,"
        " bits[23:16] 0x3 = byte 3, bits[31:24]",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "G_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Green component byte select 0x0 = b"
        "yte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x"
        "3 = byte 3, bits[31:24]",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "R_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Red component byte select 0x0 = byt"
        "e 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x3 "
        "= byte 3, bits[31:24]",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Alpha component byte select 0x0 = b"
        "yte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x"
        "3 = byte 3, bits[31:24]",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_MODE_CTRL0_SET.
static const field_t hw_dpr_mode_ctrl0_set[] =
{
    {
        "RTR_3BUF_EN",
        "0x0 = Process 2 RTRAM buffers.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTR_4LINE_BUF_EN",
        "0x0 = 8 RTRAM lines per buffer.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_TYPE",
        "0x0 = Linear (raster) tile.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YUV_EN",
        "0x0 = xRGB modes of operation.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_2PLANE_EN",
        "0x0 = 1-Plane operation.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_SIZE",
        "0x0 = 8 bits per pixel 0x1 = 16 bits per pixel 0x2 = 32 bits per pixel"
        " 0x3 = reserved Note: The source frame buffer for 2PYUV420 10 bit pixe"
        "ls are packed horizontally for every row of pixels.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_LUMA_UV_SWAP",
        "If processing 1PYUV422 pixels, swap position of Luma and Chroma pixel "
        "component position.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_UV_SWAP",
        "If processing 1PYUV422 or 2PYUV420 pixels, swap position of Chroma pix"
        "el component position.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "B_COMP_SEL",
        "When processing 32 bit per pixel, such as ARGB888, Blue component byte"
        " select 0x0 = byte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2,"
        " bits[23:16] 0x3 = byte 3, bits[31:24]",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "G_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Green component byte select 0x0 = b"
        "yte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x"
        "3 = byte 3, bits[31:24]",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "R_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Red component byte select 0x0 = byt"
        "e 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x3 "
        "= byte 3, bits[31:24]",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Alpha component byte select 0x0 = b"
        "yte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x"
        "3 = byte 3, bits[31:24]",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_MODE_CTRL0_CLR.
static const field_t hw_dpr_mode_ctrl0_clr[] =
{
    {
        "RTR_3BUF_EN",
        "0x0 = Process 2 RTRAM buffers.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTR_4LINE_BUF_EN",
        "0x0 = 8 RTRAM lines per buffer.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_TYPE",
        "0x0 = Linear (raster) tile.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YUV_EN",
        "0x0 = xRGB modes of operation.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_2PLANE_EN",
        "0x0 = 1-Plane operation.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_SIZE",
        "0x0 = 8 bits per pixel 0x1 = 16 bits per pixel 0x2 = 32 bits per pixel"
        " 0x3 = reserved Note: The source frame buffer for 2PYUV420 10 bit pixe"
        "ls are packed horizontally for every row of pixels.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_LUMA_UV_SWAP",
        "If processing 1PYUV422 pixels, swap position of Luma and Chroma pixel "
        "component position.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_UV_SWAP",
        "If processing 1PYUV422 or 2PYUV420 pixels, swap position of Chroma pix"
        "el component position.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "B_COMP_SEL",
        "When processing 32 bit per pixel, such as ARGB888, Blue component byte"
        " select 0x0 = byte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2,"
        " bits[23:16] 0x3 = byte 3, bits[31:24]",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "G_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Green component byte select 0x0 = b"
        "yte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x"
        "3 = byte 3, bits[31:24]",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "R_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Red component byte select 0x0 = byt"
        "e 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x3 "
        "= byte 3, bits[31:24]",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Alpha component byte select 0x0 = b"
        "yte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x"
        "3 = byte 3, bits[31:24]",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_MODE_CTRL0_TOG.
static const field_t hw_dpr_mode_ctrl0_tog[] =
{
    {
        "RTR_3BUF_EN",
        "0x0 = Process 2 RTRAM buffers.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTR_4LINE_BUF_EN",
        "0x0 = 8 RTRAM lines per buffer.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TILE_TYPE",
        "0x0 = Linear (raster) tile.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YUV_EN",
        "0x0 = xRGB modes of operation.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_2PLANE_EN",
        "0x0 = 1-Plane operation.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_SIZE",
        "0x0 = 8 bits per pixel 0x1 = 16 bits per pixel 0x2 = 32 bits per pixel"
        " 0x3 = reserved Note: The source frame buffer for 2PYUV420 10 bit pixe"
        "ls are packed horizontally for every row of pixels.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_LUMA_UV_SWAP",
        "If processing 1PYUV422 pixels, swap position of Luma and Chroma pixel "
        "component position.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PIX_UV_SWAP",
        "If processing 1PYUV422 or 2PYUV420 pixels, swap position of Chroma pix"
        "el component position.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "B_COMP_SEL",
        "When processing 32 bit per pixel, such as ARGB888, Blue component byte"
        " select 0x0 = byte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2,"
        " bits[23:16] 0x3 = byte 3, bits[31:24]",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "G_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Green component byte select 0x0 = b"
        "yte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x"
        "3 = byte 3, bits[31:24]",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "R_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Red component byte select 0x0 = byt"
        "e 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x3 "
        "= byte 3, bits[31:24]",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A_COMP_SEL",
        "32 bit per pixel, such as ARGB888, Alpha component byte select 0x0 = b"
        "yte 0, bits[7:0] 0x1 = byte 1, bits[15:8] 0x2 = byte 2, bits[23:16] 0x"
        "3 = byte 3, bits[31:24]",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_CTRL0.
static const field_t hw_dpr_frame_ctrl0[] =
{
    {
        "HFLIP_EN",
        "Horizontal Flip the output image.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP_EN",
        "Vertical Flip the output image.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROT_ENC",
        "Rotate the output image 0x0 = Rotate by 0 degrees 0x1 = Rotate by 90 d"
        "egrees counter clock wise 0x2 = Rotate by 180 degrees counter clock wi"
        "se 0x3 = Rotate by 270 degrees counter clock wise Rotation by 90 and 2"
        "70 degrees is not supported for the following: All linear (raster) til"
        "e modes of operation 16bpp GPU Standard Tile mode of operation 16bpp G"
        "PU Super Tile mode of operation VPU 2PYUV420 10bpp mode VPU 2PVP9 8bpp"
        " mode VPU 2PVP9 10bpp mode",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROT_FLIP_ORDER_EN",
        "The order of operation for rotate and/or horizontal/vertical flip of t"
        "he output image 0x0 = Rotate followed by horizontal/vertical flip 0x1 "
        "= horizonalt/vertical flip followed by rotate",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PITCH",
        "The number of bytes to next horizontal line.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_CTRL0_SET.
static const field_t hw_dpr_frame_ctrl0_set[] =
{
    {
        "HFLIP_EN",
        "Horizontal Flip the output image.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP_EN",
        "Vertical Flip the output image.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROT_ENC",
        "Rotate the output image 0x0 = Rotate by 0 degrees 0x1 = Rotate by 90 d"
        "egrees counter clock wise 0x2 = Rotate by 180 degrees counter clock wi"
        "se 0x3 = Rotate by 270 degrees counter clock wise Rotation by 90 and 2"
        "70 degrees is not supported for the following: All linear (raster) til"
        "e modes of operation 16bpp GPU Standard Tile mode of operation 16bpp G"
        "PU Super Tile mode of operation VPU 2PYUV420 10bpp mode VPU 2PVP9 8bpp"
        " mode VPU 2PVP9 10bpp mode",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROT_FLIP_ORDER_EN",
        "The order of operation for rotate and/or horizontal/vertical flip of t"
        "he output image 0x0 = Rotate followed by horizontal/vertical flip 0x1 "
        "= horizonalt/vertical flip followed by rotate",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PITCH",
        "The number of bytes to next horizontal line.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_CTRL0_CLR.
static const field_t hw_dpr_frame_ctrl0_clr[] =
{
    {
        "HFLIP_EN",
        "Horizontal Flip the output image.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP_EN",
        "Vertical Flip the output image.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROT_ENC",
        "Rotate the output image 0x0 = Rotate by 0 degrees 0x1 = Rotate by 90 d"
        "egrees counter clock wise 0x2 = Rotate by 180 degrees counter clock wi"
        "se 0x3 = Rotate by 270 degrees counter clock wise Rotation by 90 and 2"
        "70 degrees is not supported for the following: All linear (raster) til"
        "e modes of operation 16bpp GPU Standard Tile mode of operation 16bpp G"
        "PU Super Tile mode of operation VPU 2PYUV420 10bpp mode VPU 2PVP9 8bpp"
        " mode VPU 2PVP9 10bpp mode",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROT_FLIP_ORDER_EN",
        "The order of operation for rotate and/or horizontal/vertical flip of t"
        "he output image 0x0 = Rotate followed by horizontal/vertical flip 0x1 "
        "= horizonalt/vertical flip followed by rotate",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PITCH",
        "The number of bytes to next horizontal line.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_CTRL0_TOG.
static const field_t hw_dpr_frame_ctrl0_tog[] =
{
    {
        "HFLIP_EN",
        "Horizontal Flip the output image.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VFLIP_EN",
        "Vertical Flip the output image.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROT_ENC",
        "Rotate the output image 0x0 = Rotate by 0 degrees 0x1 = Rotate by 90 d"
        "egrees counter clock wise 0x2 = Rotate by 180 degrees counter clock wi"
        "se 0x3 = Rotate by 270 degrees counter clock wise Rotation by 90 and 2"
        "70 degrees is not supported for the following: All linear (raster) til"
        "e modes of operation 16bpp GPU Standard Tile mode of operation 16bpp G"
        "PU Super Tile mode of operation VPU 2PYUV420 10bpp mode VPU 2PVP9 8bpp"
        " mode VPU 2PVP9 10bpp mode",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROT_FLIP_ORDER_EN",
        "The order of operation for rotate and/or horizontal/vertical flip of t"
        "he output image 0x0 = Rotate followed by horizontal/vertical flip 0x1 "
        "= horizonalt/vertical flip followed by rotate",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PITCH",
        "The number of bytes to next horizontal line.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_CTRL0.
static const field_t hw_dpr_frame_1p_ctrl0[] =
{
    {
        "MAX_BYTES_PREQ",
        "Maximum number of bytes to prefetch per request.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_CTRL0_SET.
static const field_t hw_dpr_frame_1p_ctrl0_set[] =
{
    {
        "MAX_BYTES_PREQ",
        "Maximum number of bytes to prefetch per request.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_CTRL0_CLR.
static const field_t hw_dpr_frame_1p_ctrl0_clr[] =
{
    {
        "MAX_BYTES_PREQ",
        "Maximum number of bytes to prefetch per request.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_CTRL0_TOG.
static const field_t hw_dpr_frame_1p_ctrl0_tog[] =
{
    {
        "MAX_BYTES_PREQ",
        "Maximum number of bytes to prefetch per request.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_PIX_X_CTRL.
static const field_t hw_dpr_frame_1p_pix_x_ctrl[] =
{
    {
        "NUM_X_PIX_WIDE",
        "The number of input frame pixels to fetch in the x-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_X",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_PIX_X_CTRL_SET.
static const field_t hw_dpr_frame_1p_pix_x_ctrl_set[] =
{
    {
        "NUM_X_PIX_WIDE",
        "The number of input frame pixels to fetch in the x-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_X",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_PIX_X_CTRL_CLR.
static const field_t hw_dpr_frame_1p_pix_x_ctrl_clr[] =
{
    {
        "NUM_X_PIX_WIDE",
        "The number of input frame pixels to fetch in the x-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_X",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_PIX_X_CTRL_TOG.
static const field_t hw_dpr_frame_1p_pix_x_ctrl_tog[] =
{
    {
        "NUM_X_PIX_WIDE",
        "The number of input frame pixels to fetch in the x-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_X",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_PIX_Y_CTRL.
static const field_t hw_dpr_frame_1p_pix_y_ctrl[] =
{
    {
        "NUM_Y_PIX_HIGH",
        "The number of input frame pixels to fetch in the y-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_Y",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_PIX_Y_CTRL_SET.
static const field_t hw_dpr_frame_1p_pix_y_ctrl_set[] =
{
    {
        "NUM_Y_PIX_HIGH",
        "The number of input frame pixels to fetch in the y-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_Y",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_PIX_Y_CTRL_CLR.
static const field_t hw_dpr_frame_1p_pix_y_ctrl_clr[] =
{
    {
        "NUM_Y_PIX_HIGH",
        "The number of input frame pixels to fetch in the y-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_Y",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_PIX_Y_CTRL_TOG.
static const field_t hw_dpr_frame_1p_pix_y_ctrl_tog[] =
{
    {
        "NUM_Y_PIX_HIGH",
        "The number of input frame pixels to fetch in the y-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_Y",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_BASE_ADDR_CTRL0.
static const field_t hw_dpr_frame_1p_base_addr_ctrl0[] =
{
    {
        "BASE_ADDR",
        "The base address for 1-Plane and 2-Plane Luma.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_BASE_ADDR_CTRL0_SET.
static const field_t hw_dpr_frame_1p_base_addr_ctrl0_set[] =
{
    {
        "BASE_ADDR",
        "The base address for 1-Plane and 2-Plane Luma.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_BASE_ADDR_CTRL0_CLR.
static const field_t hw_dpr_frame_1p_base_addr_ctrl0_clr[] =
{
    {
        "BASE_ADDR",
        "The base address for 1-Plane and 2-Plane Luma.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_1P_BASE_ADDR_CTRL0_TOG.
static const field_t hw_dpr_frame_1p_base_addr_ctrl0_tog[] =
{
    {
        "BASE_ADDR",
        "The base address for 1-Plane and 2-Plane Luma.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_CTRL0.
static const field_t hw_dpr_frame_2p_ctrl0[] =
{
    {
        "MAX_BYTES_PREQ",
        "Maximum number of bytes to prefetch per request.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_CTRL0_SET.
static const field_t hw_dpr_frame_2p_ctrl0_set[] =
{
    {
        "MAX_BYTES_PREQ",
        "Maximum number of bytes to prefetch per request.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_CTRL0_CLR.
static const field_t hw_dpr_frame_2p_ctrl0_clr[] =
{
    {
        "MAX_BYTES_PREQ",
        "Maximum number of bytes to prefetch per request.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_CTRL0_TOG.
static const field_t hw_dpr_frame_2p_ctrl0_tog[] =
{
    {
        "MAX_BYTES_PREQ",
        "Maximum number of bytes to prefetch per request.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_PIX_X_CTRL.
static const field_t hw_dpr_frame_2p_pix_x_ctrl[] =
{
    {
        "NUM_X_PIX_WIDE",
        "The number of input frame pixels to fetch in the x-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_X",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_PIX_X_CTRL_SET.
static const field_t hw_dpr_frame_2p_pix_x_ctrl_set[] =
{
    {
        "NUM_X_PIX_WIDE",
        "The number of input frame pixels to fetch in the x-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_X",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_PIX_X_CTRL_CLR.
static const field_t hw_dpr_frame_2p_pix_x_ctrl_clr[] =
{
    {
        "NUM_X_PIX_WIDE",
        "The number of input frame pixels to fetch in the x-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_X",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_PIX_X_CTRL_TOG.
static const field_t hw_dpr_frame_2p_pix_x_ctrl_tog[] =
{
    {
        "NUM_X_PIX_WIDE",
        "The number of input frame pixels to fetch in the x-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_X",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_PIX_Y_CTRL.
static const field_t hw_dpr_frame_2p_pix_y_ctrl[] =
{
    {
        "NUM_Y_PIX_HIGH",
        "The number of input frame pixels to fetch in the y-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_Y",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_PIX_Y_CTRL_SET.
static const field_t hw_dpr_frame_2p_pix_y_ctrl_set[] =
{
    {
        "NUM_Y_PIX_HIGH",
        "The number of input frame pixels to fetch in the y-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_Y",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_PIX_Y_CTRL_CLR.
static const field_t hw_dpr_frame_2p_pix_y_ctrl_clr[] =
{
    {
        "NUM_Y_PIX_HIGH",
        "The number of input frame pixels to fetch in the y-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_Y",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_PIX_Y_CTRL_TOG.
static const field_t hw_dpr_frame_2p_pix_y_ctrl_tog[] =
{
    {
        "NUM_Y_PIX_HIGH",
        "The number of input frame pixels to fetch in the y-axis direction.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CROP_ULC_Y",
        "Due to the tile geometry in VPU and Super-Tile formats, a simple addre"
        "ss offset cannot be used to crop an image (in all cases).",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_BASE_ADDR_CTRL0.
static const field_t hw_dpr_frame_2p_base_addr_ctrl0[] =
{
    {
        "BASE_ADDR",
        "The base address for 2-Plane Chroma.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_BASE_ADDR_CTRL0_SET.
static const field_t hw_dpr_frame_2p_base_addr_ctrl0_set[] =
{
    {
        "BASE_ADDR",
        "The base address for 2-Plane Chroma.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_BASE_ADDR_CTRL0_CLR.
static const field_t hw_dpr_frame_2p_base_addr_ctrl0_clr[] =
{
    {
        "BASE_ADDR",
        "The base address for 2-Plane Chroma.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_FRAME_2P_BASE_ADDR_CTRL0_TOG.
static const field_t hw_dpr_frame_2p_base_addr_ctrl0_tog[] =
{
    {
        "BASE_ADDR",
        "The base address for 2-Plane Chroma.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_RTRAM_CTRL0.
static const field_t hw_dpr_rtram_ctrl0[] =
{
    {
        "NUM_ROWS_ACTIVE",
        "Configuration to manage the number of rows that are enabled to read.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "THRES_HIGH",
        "Configuration to manage the panic state threshold, or hysteresis, dete"
        "ction logic for each channel.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "THRES_LOW",
        "Configuration to manage the panic state threshold, or hysteresis, dete"
        "ction logic for each channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_SEL",
        "Configuration to manage the bank abort or stall logic.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_RTRAM_CTRL0_SET.
static const field_t hw_dpr_rtram_ctrl0_set[] =
{
    {
        "NUM_ROWS_ACTIVE",
        "Configuration to manage the number of rows that are enabled to read.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "THRES_HIGH",
        "Configuration to manage the panic state threshold, or hysteresis, dete"
        "ction logic for each channel.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "THRES_LOW",
        "Configuration to manage the panic state threshold, or hysteresis, dete"
        "ction logic for each channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_SEL",
        "Configuration to manage the bank abort or stall logic.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_RTRAM_CTRL0_CLR.
static const field_t hw_dpr_rtram_ctrl0_clr[] =
{
    {
        "NUM_ROWS_ACTIVE",
        "Configuration to manage the number of rows that are enabled to read.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "THRES_HIGH",
        "Configuration to manage the panic state threshold, or hysteresis, dete"
        "ction logic for each channel.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "THRES_LOW",
        "Configuration to manage the panic state threshold, or hysteresis, dete"
        "ction logic for each channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_SEL",
        "Configuration to manage the bank abort or stall logic.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DPR_RTRAM_CTRL0_TOG.
static const field_t hw_dpr_rtram_ctrl0_tog[] =
{
    {
        "NUM_ROWS_ACTIVE",
        "Configuration to manage the number of rows that are enabled to read.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "THRES_HIGH",
        "Configuration to manage the panic state threshold, or hysteresis, dete"
        "ction logic for each channel.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "THRES_LOW",
        "Configuration to manage the panic state threshold, or hysteresis, dete"
        "ction logic for each channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_SEL",
        "Configuration to manage the bank abort or stall logic.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a DPR module.
static const reg_t hw_dpr[] =
{
    {
        "SYSTEM_CTRL0",
        "The System Control0 register contains register for DPR block level con"
        "trol functions.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_dpr_system_ctrl0
    },
    {
        "SYSTEM_CTRL0_SET",
        "The System Control0 register contains register for DPR block level con"
        "trol functions.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_dpr_system_ctrl0_set
    },
    {
        "SYSTEM_CTRL0_CLR",
        "The System Control0 register contains register for DPR block level con"
        "trol functions.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_dpr_system_ctrl0_clr
    },
    {
        "SYSTEM_CTRL0_TOG",
        "The System Control0 register contains register for DPR block level con"
        "trol functions.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_dpr_system_ctrl0_tog
    },
    {
        "IRQ_MASK",
        "The IRQ_MASK control register contains interrupt mask control register"
        " bits.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dpr_irq_mask
    },
    {
        "IRQ_MASK_SET",
        "The IRQ_MASK control register contains interrupt mask control register"
        " bits.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dpr_irq_mask_set
    },
    {
        "IRQ_MASK_CLR",
        "The IRQ_MASK control register contains interrupt mask control register"
        " bits.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dpr_irq_mask_clr
    },
    {
        "IRQ_MASK_TOG",
        "The IRQ_MASK control register contains interrupt mask control register"
        " bits.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dpr_irq_mask_tog
    },
    {
        "IRQ_MASK_STATUS",
        "The IRQ_MASK_STATUS control register contains the masked interrupt sta"
        "tus.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_dpr_irq_mask_status
    },
    {
        "IRQ_MASK_STATUS_SET",
        "The IRQ_MASK_STATUS control register contains the masked interrupt sta"
        "tus.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_dpr_irq_mask_status_set
    },
    {
        "IRQ_MASK_STATUS_CLR",
        "The IRQ_MASK_STATUS control register contains the masked interrupt sta"
        "tus.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_dpr_irq_mask_status_clr
    },
    {
        "IRQ_MASK_STATUS_TOG",
        "The IRQ_MASK_STATUS control register contains the masked interrupt sta"
        "tus.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        false, // Writable
        8, // Number of bitfields
        hw_dpr_irq_mask_status_tog
    },
    {
        "IRQ_NONMASK_STATUS",
        "The IRQ_NONMASK_STATUS control register contains the raw interrupt sta"
        "tus before applying the mask.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dpr_irq_nonmask_status
    },
    {
        "IRQ_NONMASK_STATUS_SET",
        "The IRQ_NONMASK_STATUS control register contains the raw interrupt sta"
        "tus before applying the mask.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dpr_irq_nonmask_status_set
    },
    {
        "IRQ_NONMASK_STATUS_CLR",
        "The IRQ_NONMASK_STATUS control register contains the raw interrupt sta"
        "tus before applying the mask.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dpr_irq_nonmask_status_clr
    },
    {
        "IRQ_NONMASK_STATUS_TOG",
        "The IRQ_NONMASK_STATUS control register contains the raw interrupt sta"
        "tus before applying the mask.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dpr_irq_nonmask_status_tog
    },
    {
        "MODE_CTRL0",
        "The Mode Control0 register controls mode of operation configuration.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_dpr_mode_ctrl0
    },
    {
        "MODE_CTRL0_SET",
        "The Mode Control0 register controls mode of operation configuration.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_dpr_mode_ctrl0_set
    },
    {
        "MODE_CTRL0_CLR",
        "The Mode Control0 register controls mode of operation configuration.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_dpr_mode_ctrl0_clr
    },
    {
        "MODE_CTRL0_TOG",
        "The Mode Control0 register controls mode of operation configuration.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_dpr_mode_ctrl0_tog
    },
    {
        "FRAME_CTRL0",
        "The Frame Control0 register controls fields that are common to process"
        "ing both 1-Plane and 2-Plane image processing.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dpr_frame_ctrl0
    },
    {
        "FRAME_CTRL0_SET",
        "The Frame Control0 register controls fields that are common to process"
        "ing both 1-Plane and 2-Plane image processing.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dpr_frame_ctrl0_set
    },
    {
        "FRAME_CTRL0_CLR",
        "The Frame Control0 register controls fields that are common to process"
        "ing both 1-Plane and 2-Plane image processing.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dpr_frame_ctrl0_clr
    },
    {
        "FRAME_CTRL0_TOG",
        "The Frame Control0 register controls fields that are common to process"
        "ing both 1-Plane and 2-Plane image processing.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dpr_frame_ctrl0_tog
    },
    {
        "FRAME_1P_CTRL0",
        "The Frame 1P Control0 register controls fields only for 1-Plane or 2-P"
        "lane Luma image processing.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_1p_ctrl0
    },
    {
        "FRAME_1P_CTRL0_SET",
        "The Frame 1P Control0 register controls fields only for 1-Plane or 2-P"
        "lane Luma image processing.",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_1p_ctrl0_set
    },
    {
        "FRAME_1P_CTRL0_CLR",
        "The Frame 1P Control0 register controls fields only for 1-Plane or 2-P"
        "lane Luma image processing.",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_1p_ctrl0_clr
    },
    {
        "FRAME_1P_CTRL0_TOG",
        "The Frame 1P Control0 register controls fields only for 1-Plane or 2-P"
        "lane Luma image processing.",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_1p_ctrl0_tog
    },
    {
        "FRAME_1P_PIX_X_CTRL",
        "The Frame 1P PIX_X Control register controls x-axis pixel control for "
        "1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_1p_pix_x_ctrl
    },
    {
        "FRAME_1P_PIX_X_CTRL_SET",
        "The Frame 1P PIX_X Control register controls x-axis pixel control for "
        "1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_1p_pix_x_ctrl_set
    },
    {
        "FRAME_1P_PIX_X_CTRL_CLR",
        "The Frame 1P PIX_X Control register controls x-axis pixel control for "
        "1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_1p_pix_x_ctrl_clr
    },
    {
        "FRAME_1P_PIX_X_CTRL_TOG",
        "The Frame 1P PIX_X Control register controls x-axis pixel control for "
        "1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_1p_pix_x_ctrl_tog
    },
    {
        "FRAME_1P_PIX_Y_CTRL",
        "The Frame 1P PIX_Y Control register controls y-axis pixel control for "
        "1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_1p_pix_y_ctrl
    },
    {
        "FRAME_1P_PIX_Y_CTRL_SET",
        "The Frame 1P PIX_Y Control register controls y-axis pixel control for "
        "1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_1p_pix_y_ctrl_set
    },
    {
        "FRAME_1P_PIX_Y_CTRL_CLR",
        "The Frame 1P PIX_Y Control register controls y-axis pixel control for "
        "1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_1p_pix_y_ctrl_clr
    },
    {
        "FRAME_1P_PIX_Y_CTRL_TOG",
        "The Frame 1P PIX_Y Control register controls y-axis pixel control for "
        "1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_1p_pix_y_ctrl_tog
    },
    {
        "FRAME_1P_BASE_ADDR_CTRL0",
        "The Frame 1P Base Address Control0 register is the input frame base ad"
        "dress for 1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_1p_base_addr_ctrl0
    },
    {
        "FRAME_1P_BASE_ADDR_CTRL0_SET",
        "The Frame 1P Base Address Control0 register is the input frame base ad"
        "dress for 1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_1p_base_addr_ctrl0_set
    },
    {
        "FRAME_1P_BASE_ADDR_CTRL0_CLR",
        "The Frame 1P Base Address Control0 register is the input frame base ad"
        "dress for 1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_1p_base_addr_ctrl0_clr
    },
    {
        "FRAME_1P_BASE_ADDR_CTRL0_TOG",
        "The Frame 1P Base Address Control0 register is the input frame base ad"
        "dress for 1-Plane or 2-Plane Luma image processing.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_1p_base_addr_ctrl0_tog
    },
    {
        "FRAME_2P_CTRL0",
        "The Frame 2P Control0 register controls fields only for 2-Plane Chroma"
        " image processing.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_2p_ctrl0
    },
    {
        "FRAME_2P_CTRL0_SET",
        "The Frame 2P Control0 register controls fields only for 2-Plane Chroma"
        " image processing.",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_2p_ctrl0_set
    },
    {
        "FRAME_2P_CTRL0_CLR",
        "The Frame 2P Control0 register controls fields only for 2-Plane Chroma"
        " image processing.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_2p_ctrl0_clr
    },
    {
        "FRAME_2P_CTRL0_TOG",
        "The Frame 2P Control0 register controls fields only for 2-Plane Chroma"
        " image processing.",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_2p_ctrl0_tog
    },
    {
        "FRAME_2P_PIX_X_CTRL",
        "The Frame 2P PIX_X Control register controls x-axis pixel control for "
        "2-Plane UV image processing.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_2p_pix_x_ctrl
    },
    {
        "FRAME_2P_PIX_X_CTRL_SET",
        "The Frame 2P PIX_X Control register controls x-axis pixel control for "
        "2-Plane UV image processing.",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_2p_pix_x_ctrl_set
    },
    {
        "FRAME_2P_PIX_X_CTRL_CLR",
        "The Frame 2P PIX_X Control register controls x-axis pixel control for "
        "2-Plane UV image processing.",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_2p_pix_x_ctrl_clr
    },
    {
        "FRAME_2P_PIX_X_CTRL_TOG",
        "The Frame 2P PIX_X Control register controls x-axis pixel control for "
        "2-Plane UV image processing.",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_2p_pix_x_ctrl_tog
    },
    {
        "FRAME_2P_PIX_Y_CTRL",
        "The Frame 2P PIX_Y Control register controls y-axis pixel control for "
        "2-Plane UV image processing.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_2p_pix_y_ctrl
    },
    {
        "FRAME_2P_PIX_Y_CTRL_SET",
        "The Frame 2P PIX_Y Control register controls y-axis pixel control for "
        "2-Plane UV image processing.",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_2p_pix_y_ctrl_set
    },
    {
        "FRAME_2P_PIX_Y_CTRL_CLR",
        "The Frame 2P PIX_Y Control register controls y-axis pixel control for "
        "2-Plane UV image processing.",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_2p_pix_y_ctrl_clr
    },
    {
        "FRAME_2P_PIX_Y_CTRL_TOG",
        "The Frame 2P PIX_Y Control register controls y-axis pixel control for "
        "2-Plane UV image processing.",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dpr_frame_2p_pix_y_ctrl_tog
    },
    {
        "FRAME_2P_BASE_ADDR_CTRL0",
        "The Frame 2P Base Address Control0 register is the input frame base ad"
        "dress for 2-Plane Chroma image processing.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_2p_base_addr_ctrl0
    },
    {
        "FRAME_2P_BASE_ADDR_CTRL0_SET",
        "The Frame 2P Base Address Control0 register is the input frame base ad"
        "dress for 2-Plane Chroma image processing.",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_2p_base_addr_ctrl0_set
    },
    {
        "FRAME_2P_BASE_ADDR_CTRL0_CLR",
        "The Frame 2P Base Address Control0 register is the input frame base ad"
        "dress for 2-Plane Chroma image processing.",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_2p_base_addr_ctrl0_clr
    },
    {
        "FRAME_2P_BASE_ADDR_CTRL0_TOG",
        "The Frame 2P Base Address Control0 register is the input frame base ad"
        "dress for 2-Plane Chroma image processing.",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dpr_frame_2p_base_addr_ctrl0_tog
    },
    {
        "RTRAM_CTRL0",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_dpr_rtram_ctrl0
    },
    {
        "RTRAM_CTRL0_SET",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_dpr_rtram_ctrl0_set
    },
    {
        "RTRAM_CTRL0_CLR",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_dpr_rtram_ctrl0_clr
    },
    {
        "RTRAM_CTRL0_TOG",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_dpr_rtram_ctrl0_tog
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark DTG
#endif

// Bitfields in register DTG_TC_CONTROL_STATUS.
static const field_t hw_dtg_tc_control_status[] =
{
    {
        "TC_VIDEO_BASE_PATH_ENABLE",
        "Enable channel3 (Dolby_mode:Base Layer channel ) processing.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_VIDEO_ENH_PATH_ENABLE",
        "Enable channel_2 (Dolby_mode:Enhancement channel ) processing.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_OVERLAY_PATH_ENABLE",
        "Enable channel_1 (Dolby_mode:Overlay /HDR10: (GFX)) processing.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_OVERLAY_FIFO_DATA_MODE",
        "Overlay fifo output data in yuv or RGB mode 0: YUV 1: RGB",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_BLENDER_VIDEO_ALPHA_SELECT",
        "alpha_valid 0: No alpha in the ch1 pixel so use default foreground alp"
        "ha TC_DEFAULT_OVERLAY_ALPHA 1: there is an alpha in ch1 pixel",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_GO",
        "Used to start and stop timing controller 0: timing controller inactive"
        ".",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_DOLBY_MODE",
        "Enables Dolby mode.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CH1_PER_PEL_ALPHA_SEL",
        "Enables per pixel alpha for channel1 (Overlay or Graphics) 0: use alph"
        "a from TC_DEFAULT_OVERLAY_ALPHA or foreground alpha 1: use alpha from "
        "channel1 Data stream and apply blending per pixel",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CSS_PIX_COMP_SWAP",
        "Permutes the pixel conponent ordering into the chroma subsampler (CSS)"
        " block.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_DEFAULT_OVERLAY_ALPHA",
        "Default alpha foreground used for the active regions where graphics ch"
        "annel does not provide an alpha value This is used when Graphics chann"
        "el is ONLY RGB",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_DTG_REG1.
static const field_t hw_dtg_tc_dtg_reg1[] =
{
    {
        "TC_DTG_LOWER_RIGHT_X",
        "lower right corner X (horizontal) coordinate of the raster table",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_DTG_LOWER_RIGHT_Y",
        "lower right corner Y (vertical) coordinate of the raster table",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_DISPLAY_REG2.
static const field_t hw_dtg_tc_display_reg2[] =
{
    {
        "TC_DISPLAY_UPPER_LEFT_X",
        "upper left corner X (horizontal) coordinate of the active dispplay reg"
        "ion",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_DISPLAY_UPPER_LEFT_Y",
        "upper left corner Y (vertical) coordinate of the active display region",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_DISPLAY_REG3.
static const field_t hw_dtg_tc_display_reg3[] =
{
    {
        "TC_DISPLAY_LOWER_RIGHT_X",
        "lower rignt corner X (horizontal) coordinate of the active dispplay re"
        "gion",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_DISPLAY_LOWER_RIGHT_Y",
        "lower right corner Y (vertical) coordinate of the active display regio"
        "n",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CH1_REG4.
static const field_t hw_dtg_tc_ch1_reg4[] =
{
    {
        "TC_CHANNEL_1_UPPER_LEFT_X",
        "upper left corner X (horizontal) coordinate of the channel_1 window",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CHANNEL_1_UPPER_LEFT_Y",
        "upper left corner Y (vertical) coordinate of the channel_1 window",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CH1_REG5.
static const field_t hw_dtg_tc_ch1_reg5[] =
{
    {
        "TC_CHANNEL_1_LOWER_RIGHT_X",
        "lower rignt corner X (horizontal) coordinate of the channel_1 window",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CHANNEL_1_LOWER_RIGHT_Y",
        "lower right corner Y (vertical) coordinate of the channel_1 window",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CH2_REG6.
static const field_t hw_dtg_tc_ch2_reg6[] =
{
    {
        "TC_CHANNEL_2_UPPER_LEFT_X",
        "upper left corner X (horizontal) coordinate of the channel_2 window",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CHANNEL_2_UPPER_LEFT_Y",
        "upper left corner Y (vertical) coordinate of the channel_2 window",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CH2_REG7.
static const field_t hw_dtg_tc_ch2_reg7[] =
{
    {
        "TC_CHANNEL_2_LOWER_RIGHT_X",
        "lower rignt corner X (horizontal) coordinate of the channel_2 window",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CHANNEL_2_LOWER_RIGHT_Y",
        "lower right corner Y (vertical) coordinate of the channel_2 window",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CH3_REG8.
static const field_t hw_dtg_tc_ch3_reg8[] =
{
    {
        "TC_CHANNEL_3_UPPER_LEFT_X",
        "upper left corner X (horizontal) coordinate of the channel_3 window",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CHANNEL_3_UPPER_LEFT_Y",
        "upper left corner Y (vertical) coordinate of the channel_3 window",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CH3_REG9.
static const field_t hw_dtg_tc_ch3_reg9[] =
{
    {
        "TC_CHANNEL_3_LOWER_RIGHT_X",
        "lower rignt corner X (horizontal) coordinate of the channel_3 window",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CHANNEL_3_LOWER_RIGHT_Y",
        "lower right corner Y (vertical) coordinate of the channel_3 window",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CTX_LD_REG10.
static const field_t hw_dtg_tc_ctx_ld_reg10[] =
{
    {
        "TC_CNTXT_DB_LINE_COUNT",
        "Line Count for Double Buffered (DB) Context Loading",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CNTXT_SB_LINE_COUNT",
        "Line Count for Sngle Bufferend (SB) Context Loading",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CH1_BKRND_REG11.
static const field_t hw_dtg_tc_ch1_bkrnd_reg11[] =
{
    {
        "TC_CH1_BKRND_PEL_COMP_3",
        "10-bit component ( B or Cr )",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CH1_BKRND_PEL_COMP_2",
        "10-bit component ( G or Cb )",
        10, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CH1_BKRND_PEL_COMP_1",
        "10-bit component ( R or Y )",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CH2_BKRND_REG12.
static const field_t hw_dtg_tc_ch2_bkrnd_reg12[] =
{
    {
        "TC_CH2_BKRND_PEL_COMP_3",
        "10-bit component ( B or Cr )",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CH2_BKRND_PEL_COMP_2",
        "10-bit component ( G or Cb )",
        10, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CH2_BKRND_PEL_COMP_1",
        "10-bit component ( R or Y )",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_BLENDER_DBY_EOTF_RANGEINV.
static const field_t hw_dtg_blender_dby_eotf_rangeinv[] =
{
    {
        "BLENDER_EOTF_RANGEINV",
        "eotf_rangeInv parameter for DBY blender",
        0, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_BLENDER_DBY_EOTF_RANGEMIN.
static const field_t hw_dtg_blender_dby_eotf_rangemin[] =
{
    {
        "BLENDER_EOTF_RANGEMIN",
        "eotf_rangeMin parameter for DBY blender",
        0, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_BLENDER_DBY_BDP.
static const field_t hw_dtg_blender_dby_bdp[] =
{
    {
        "BLENDER_BDP",
        "bitDepth parameter in DBY blender",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_BLENDER_BKRND_I_GRAPHICS.
static const field_t hw_dtg_blender_bkrnd_i_graphics[] =
{
    {
        "BLENDER_BCKRND_I_COMP",
        "28-bit component I component in DBY mode R/Y component in HDR10 MODE",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_BLENDER_BKRND_P_GRAPHICS.
static const field_t hw_dtg_blender_bkrnd_p_graphics[] =
{
    {
        "BLENDER_BCKRND_P_COMP",
        "28-bit component P component in DBY mode G/Cb component in HDR10 MODE",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_BLENDER_BKRND_T_GRAPHICS.
static const field_t hw_dtg_blender_bkrnd_t_graphics[] =
{
    {
        "BLENDER_BCKRND_T_COMP",
        "28-bit component T component in DBY mode B/Cr component in HDR10 MODE",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_LINE1_INT_REG13.
static const field_t hw_dtg_tc_line1_int_reg13[] =
{
    {
        "TC_LINE1_INT_X",
        "X (horizontal) coordinate for line1 interrupt",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE1_INT_Y",
        "Y (vertical) coordinate for line1 interrupt",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_LINE2_INT_REG14.
static const field_t hw_dtg_tc_line2_int_reg14[] =
{
    {
        "TC_LINE2_INT_X",
        "X (horizontal) coordinate for line2 interrupt",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE2_INT_Y",
        "Y (vertical) coordinate for line2 interrupt",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_ALPHA_DEFAULT_REG15.
static const field_t hw_dtg_tc_alpha_default_reg15[] =
{
    {
        "TC_ALPHA_DEF",
        "default background alpha value",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_INTERRUPT_STATUS.
static const field_t hw_dtg_tc_interrupt_status[] =
{
    {
        "TC_LINE0_INTERRUPT",
        "LINE0 interrupt status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TC_LINE1_INTERRUPT",
        "LINE1 interrupt status.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TC_LINE2_INTERRUPT",
        "LINE2 interrupt status.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TC_LINE3_INTERRUPT",
        "LINE3 interrupt status.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TC_RTRAM_CH1_PANIC_INTERRUPT",
        "Panic interrupt is asserted by the scaler for channel1.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TC_RTRAM_CH2_PANIC_INTERRUPT",
        "Panic interrupt is asserted by the scaler for channel2.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TC_RTRAM_CH3_PANIC_INTERRUPT",
        "Panic interrupt is asserted by the scaler for channel3.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_INTRERRUPT_CONTROL_REG17.
static const field_t hw_dtg_tc_intrerrupt_control_reg17[] =
{
    {
        "TC_LINE0_INTERRUPT_CLR",
        "Writing a 1 to this bit clears the respective interrupt in the TC_INTE"
        "RRUPT_STATUS register.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE1_INTERRUPT_CLR",
        "Writing a 1 to this bit clears the respective interrupt in the TC_INTE"
        "RRUPT_STATUS register.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE2_INTERRUPT_CLR",
        "Writing a 1 to this bit clears the respective interrupt in the TC_INTE"
        "RRUPT_STATUS register.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE3_INTERRUPT_CLR",
        "Writing a 1 to this bit clears the respective interrupt in the TC_INTE"
        "RRUPT_STATUS register.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_RTRAM_CH1_PANIC_INTERRUPT_CLR",
        "Writing a 1 to this bit clears the respective interrupt in the TC_INTE"
        "RRUPT_STATUS register.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_RTRAM_CH2_PANIC_INTERRUPT_CLR",
        "Writing a 1 to this bit clears the respective interrupt in the TC_INTE"
        "RRUPT_STATUS register.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_RTRAM_CH3_PANIC_INTERRUPT_CLR",
        "Writing a 1 to this bit clears the respective interrupt in the TC_INTE"
        "RRUPT_STATUS register.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_CH3_BKRND_REG18.
static const field_t hw_dtg_tc_ch3_bkrnd_reg18[] =
{
    {
        "TC_CH3_BKRND_PEL_COMP_3",
        "10-bit component ( B or Cr )",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CH3_BKRND_PEL_COMP_2",
        "10-bit component ( G or Cb )",
        10, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_CH3_BKRND_PEL_COMP_1",
        "10-bit component ( R or Y )",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_INTRERRUPT_MASK.
static const field_t hw_dtg_tc_intrerrupt_mask[] =
{
    {
        "TC_LINE0_INT_MASK",
        "LINE0 interrupt status.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE1_INT_MASK",
        "LINE1 interrupt status.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE2_INT_MASK",
        "LINE2 interrupt status.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE3_INT_MASK",
        "LINE3 interrupt status.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_RTRAM_CH1_PANIC_INT_MASK",
        "Mask bit for Channel 1 Panic interrupt asserted by the scaler 0: inter"
        "rupt is disabled (masked) 1: panic interrupt is enabled",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_RTRAM_CH2_PANIC_INT_MASK",
        "Mask bit for Channel 2 Panic interrupt asserted by the scaler 0: inter"
        "rupt is disabled (masked) 1: panic interrupt is enabled",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_RTRAM_CH3_PANIC_INT_MASK",
        "Mask bit for Channel 3 Panic interrupt asserted by the scaler 0: inter"
        "rupt is disabled (masked) 1: panic interrupt is enabled",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_LINE3_INT_REG.
static const field_t hw_dtg_tc_line3_int_reg[] =
{
    {
        "TC_LINE3_INT_X",
        "X (horizontal) coordinate for line3 interrupt",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE3_INT_Y",
        "Y (vertical) coordinate for line3 interrupt",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_LINE4_INT_REG.
static const field_t hw_dtg_tc_line4_int_reg[] =
{
    {
        "TC_LINE4_INT_X",
        "X (horizontal) coordinate for line4 interrupt",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_LINE4_INT_Y",
        "Y (vertical) coordinate for line4 interrupt",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_OL_DE_CONTROL_REG.
static const field_t hw_dtg_tc_ol_de_control_reg[] =
{
    {
        "TC_DE_SET_LOW_X",
        "X (horizontal) coordinate Where DE control signal is set to 0 in a lin"
        "e.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_DE_SET_HIGH_X",
        "X (horizontal) coordinate Where DE control signal is set to 1 in a lin"
        "e.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_INVERT_DE_X",
        "0: DE signal is not inverted 1: DE signal is INVERTED",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_BL_DE_CONTROL_REG.
static const field_t hw_dtg_tc_bl_de_control_reg[] =
{
    {
        "TC_DE_SET_LOW_X",
        "X (horizontal) coordinate Where DE control signal is set to 0 in a lin"
        "e.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_DE_SET_HIGH_X",
        "X (horizontal) coordinate Where DE control signal is set to 1 in a lin"
        "e.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_INVERT_DE_X",
        "0: DE signal is not inverted 1: DE signal is INVERTED",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTG_TC_EL_DE_CONTROL_REG.
static const field_t hw_dtg_tc_el_de_control_reg[] =
{
    {
        "TC_DE_SET_LOW_X",
        "X (horizontal) coordinate Where DE control signal is set to 0 in a lin"
        "e.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_DE_SET_HIGH_X",
        "X (horizontal) coordinate Where DE control signal is set to 1 in a lin"
        "e.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC_INVERT_DE_X",
        "0: DE signal is not inverted 1: DE signal is INVERTED",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a DTG module.
static const reg_t hw_dtg[] =
{
    {
        "TC_CONTROL_STATUS",
        "Enables and controls the behaviour of timing controller and the three "
        "pixel channels in the display controller",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_dtg_tc_control_status
    },
    {
        "TC_DTG_REG1",
        "The X,Y cooridnates in this register specify the size of the raster ta"
        "ble including blanking regions The upper left coordinate of this is (0"
        ",0)",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_dtg_reg1
    },
    {
        "TC_DISPLAY_REG2",
        "The X,Y cooridnates in this register specify the size of the active di"
        "splay.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_display_reg2
    },
    {
        "TC_DISPLAY_REG3",
        "The X,Y cooridnates in this register specify the size of the active di"
        "splay, Bottom Right Corner with respect to the Upper Left coordinates.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_display_reg3
    },
    {
        "TC_CH1_REG4",
        "The X,Y cooridnates in this register specify the upper left coordinate"
        " of channel_1.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_ch1_reg4
    },
    {
        "TC_CH1_REG5",
        "The X,Y cooridnates in this register specify the Bottom Right coordina"
        "te of the channel_1 pixel window",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_ch1_reg5
    },
    {
        "TC_CH2_REG6",
        "The X,Y cooridnates in this register specify the size of the channel_2"
        " window.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_ch2_reg6
    },
    {
        "TC_CH2_REG7",
        "The X,Y cooridnates in this register specify the Bottom Right coordina"
        "te of the channel_2 pixel window.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_ch2_reg7
    },
    {
        "TC_CH3_REG8",
        "The X,Y cooridnates in this register specify the size of the channel_3"
        " window.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_ch3_reg8
    },
    {
        "TC_CH3_REG9",
        "The X,Y cooridnates in this register specify the size of the channel_3"
        " pixel window.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_ch3_reg9
    },
    {
        "TC_CTX_LD_REG10",
        "Line Count in the raster table where the CTX_LD is triggered for loadi"
        "ng context (some double buffered).",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_ctx_ld_reg10
    },
    {
        "TC_CH1_BKRND_REG11",
        "Outside of the Channel_1 pixel window, This background color is put on"
        " channel_1.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_dtg_tc_ch1_bkrnd_reg11
    },
    {
        "TC_CH2_BKRND_REG12",
        "Outside of the Channel_2 pixel window, This background color is put on"
        " channel_2.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_dtg_tc_ch2_bkrnd_reg12
    },
    {
        "BLENDER_DBY_EOTF_RANGEINV",
        "eotf_rangeInv in DBY Blender EQN.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtg_blender_dby_eotf_rangeinv
    },
    {
        "BLENDER_DBY_EOTF_RANGEMIN",
        "eotf_rangeMin in DBY blender EQN.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtg_blender_dby_eotf_rangemin
    },
    {
        "BLENDER_DBY_BDP",
        "bitDepth parameter for DBY blender equation",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtg_blender_dby_bdp
    },
    {
        "BLENDER_BKRND_I_GRAPHICS",
        "Backgound pixel color sent to blender.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtg_blender_bkrnd_i_graphics
    },
    {
        "BLENDER_BKRND_P_GRAPHICS",
        "Backgound pixel color sent to blender.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtg_blender_bkrnd_p_graphics
    },
    {
        "BLENDER_BKRND_T_GRAPHICS",
        "Backgound pixel color sent to blender.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtg_blender_bkrnd_t_graphics
    },
    {
        "TC_LINE1_INT_REG13",
        "The X,Y cooridnates in this register specify where line1 interrupt is "
        "asserted as timing controller encounters these coordinates.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_line1_int_reg13
    },
    {
        "TC_LINE2_INT_REG14",
        "The X,Y cooridnates in this register specify where line2 interrupt is "
        "asserted as timing controller encounters these coordinates.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_line2_int_reg14
    },
    {
        "TC_ALPHA_DEFAULT_REG15",
        "This background alpha is applied when the per pixel alpha is not enabl"
        "ed",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtg_tc_alpha_default_reg15
    },
    {
        "TC_INTERRUPT_STATUS",
        "This register has per interrupt status bits to indicate which interrup"
        "t(s) has occurred",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        false, // Writable
        7, // Number of bitfields
        hw_dtg_tc_interrupt_status
    },
    {
        "TC_INTRERRUPT_CONTROL_REG17",
        "This register has per interrupt control bits to clear interrupts in th"
        "e TC_INTERRUPT_STATUS register",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_dtg_tc_intrerrupt_control_reg17
    },
    {
        "TC_CH3_BKRND_REG18",
        "Outside of the Channel_3 pixel window, This background color is put on"
        " channel_3.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_dtg_tc_ch3_bkrnd_reg18
    },
    {
        "TC_INTRERRUPT_MASK",
        "This register has per interrupt mask bits to allow interrupts to be di"
        "sabled",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_dtg_tc_intrerrupt_mask
    },
    {
        "TC_LINE3_INT_REG",
        "The X,Y cooridnates in this register specify where line3 interrupt is "
        "asserted as timing controller encounters these coordinates.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_line3_int_reg
    },
    {
        "TC_LINE4_INT_REG",
        "The X,Y cooridnates in this register specify where line4 interrupt is "
        "asserted as timing controller encounters these coordinates.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtg_tc_line4_int_reg
    },
    {
        "TC_OL_DE_CONTROL_REG",
        "This control register pertains to the DBY Overlay (OL) channel.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_dtg_tc_ol_de_control_reg
    },
    {
        "TC_BL_DE_CONTROL_REG",
        "This control register pertains to the DBY Base layer (BL) channel.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_dtg_tc_bl_de_control_reg
    },
    {
        "TC_EL_DE_CONTROL_REG",
        "This control register pertains to the DBY Enhancement layer (EL) chann"
        "el.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_dtg_tc_el_de_control_reg
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark DTRC
#endif

// Bitfields in register DTRC_F0DYDSADDR.
static const field_t hw_dtrc_f0dydsaddr[] =
{
    {
        "F0DYDSADDR",
        "Start address for luma data saved in external memory.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0DCDSADDR.
static const field_t hw_dtrc_f0dcdsaddr[] =
{
    {
        "F0DCDSADDR",
        "Start address for chroma decompression data saved in external memory.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0DYTSADDR.
static const field_t hw_dtrc_f0dytsaddr[] =
{
    {
        "F0DYTSADDR",
        "Start address for luma table data saved in external memory.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0DCTSADDR.
static const field_t hw_dtrc_f0dctsaddr[] =
{
    {
        "F0DCTSADDR",
        "Start address for chroma table data saved in external memory.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0SIZE.
static const field_t hw_dtrc_f0size[] =
{
    {
        "F0WIDTH",
        "Indicates frame width in units of 8 pixels.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0HEIGHT",
        "Indicates frame height in units of 8 lines.",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0SYSSA.
static const field_t hw_dtrc_f0syssa[] =
{
    {
        "F0YSTRBYPASS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0SYSSA",
        "Start of address space of slave interface luma data.",
        4, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0SYSEA.
static const field_t hw_dtrc_f0sysea[] =
{
    {
        "F0YETRBYPASS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0SYSEA",
        "End of address space of slave interface luma data.",
        4, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0SUVSSA.
static const field_t hw_dtrc_f0suvssa[] =
{
    {
        "F0CSTRBYPASS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0SUVSSA",
        "Start of address space of slave interface chroma data.",
        4, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0SUVSEA.
static const field_t hw_dtrc_f0suvsea[] =
{
    {
        "F0CETRBYPASS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0SUVSEA",
        "End of address space of slave interface chroma data.",
        4, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0CROPORIG.
static const field_t hw_dtrc_f0croporig[] =
{
    {
        "F0CROPORIGX",
        "Indicates the x origin of the cropped picture in units of pixels.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0CROPORIGY",
        "Indicates the y origin of the cropped picture in units of pixels.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0CROPSIZE.
static const field_t hw_dtrc_f0cropsize[] =
{
    {
        "F0CROPWIDTH",
        "Indicates the width of the cropped picture in units of pixels.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0CROPHEIGHT",
        "Indicates the height of the cropped picture in units of pixels.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F0DCTL.
static const field_t hw_dtrc_f0dctl[] =
{
    {
        "F0FRAMECFG",
        "Indicates whether or not the frame configuration is ready",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0PIXELBITDEPTH",
        "Indicates pixel bit depth",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0DECOMPRESS",
        "Indicates whether or not decompress is bypassed.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F0CROPENABLE",
        "DTRC outputs the cropped picture data according to the settings of Fra"
        "me0 Cropping Origin Register (F0CROPORIG) and Frame0 Cropping Size Reg"
        "ister (F0CROPSIZE).",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1DYDSADDR.
static const field_t hw_dtrc_f1dydsaddr[] =
{
    {
        "F1DYDSADDR",
        "Start address for luma data saved in external memory.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1DCDSADDR.
static const field_t hw_dtrc_f1dcdsaddr[] =
{
    {
        "F1DCDSADDR",
        "Start address for chroma decompression data saved in external memory.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1DYTSADDR.
static const field_t hw_dtrc_f1dytsaddr[] =
{
    {
        "F1DYTSADDR",
        "Start address for luma table data saved in external memory.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1DCTSADDR.
static const field_t hw_dtrc_f1dctsaddr[] =
{
    {
        "F1DCTSADDR",
        "Start address for chroma table data saved in external memory.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1SIZE.
static const field_t hw_dtrc_f1size[] =
{
    {
        "F1WIDTH",
        "Indicates frame width in units of 8 pixels.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1HEIGHT",
        "Indicates frame height in units of 8 lines.",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1SYSSA.
static const field_t hw_dtrc_f1syssa[] =
{
    {
        "F1YSTRBYPASS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1SYSSA",
        "Start of address space of slave interface luma data.",
        4, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1SYSEA.
static const field_t hw_dtrc_f1sysea[] =
{
    {
        "F1YETRBYPASS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1SYSEA",
        "End of address space of slave interface luma data.",
        4, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1SUVSSA.
static const field_t hw_dtrc_f1suvssa[] =
{
    {
        "F1CSTRBYPASS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1SUVSSA",
        "Start of address space of slave interface chroma data.",
        4, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1SUVSEA.
static const field_t hw_dtrc_f1suvsea[] =
{
    {
        "F1CETRBYPASS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1SUVSEA",
        "End of address space of slave interface chroma data.",
        4, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1CROPORIG.
static const field_t hw_dtrc_f1croporig[] =
{
    {
        "F1CROPORIGX",
        "Indicates the x origin of the cropped picture in units of pixels.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1CROPORIGY",
        "Indicates the y origin of the cropped picture in units of pixels.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1CROPSIZE.
static const field_t hw_dtrc_f1cropsize[] =
{
    {
        "F1CROPWIDTH",
        "Indicates the width of the cropped picture in units of pixels.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1CROPHEIGHT",
        "Indicates the height of the cropped picture in units of pixels.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_F1DCTL.
static const field_t hw_dtrc_f1dctl[] =
{
    {
        "F1FRAMECFG",
        "Indicates whether or not the frame configuration is ready",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1PIXELBITDEPTH",
        "Indicates pixel bit depth",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1DECOMPRESS",
        "Indicates whether or not decompress is bypassed.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1CROPENABLE",
        "DTRC outputs the cropped picture data according to the settings of Fra"
        "me0 Cropping Origin Register (F1CROPORIG) and Frame0 Cropping Size Reg"
        "ister (F1CROPSIZE).",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_DTRCINTEN.
static const field_t hw_dtrc_dtrcinten[] =
{
    {
        "FRAMEFETCHDONE_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSERROR_EN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_EN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLFRAMEFETCHDONE_EN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOTRESETFINISH_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_FDINTR.
static const field_t hw_dtrc_fdintr[] =
{
    {
        "FRAMEFETCHDONE",
        "Set by hardware and cleared after software writes 1'b1.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSERROR",
        "Set by hardware, and cleared after software writes 1'b1",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TIMEOUT",
        "Set by hardware if the value of PFCR is larger than TOCR.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLFRAMEFETCHDONE",
        "Set by hardware when the down-stream IP finishes fetching the data of "
        "one frame from DTRC.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOTRESETFINISH",
        "Write 1 clear.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_DTCTRL.
static const field_t hw_dtrc_dtctrl[] =
{
    {
        "ARIDRCFG",
        "Specify ARIDR mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOTRESETTRIG",
        "Software writes 1 to initiate a hot reset of video decompression and d"
        "etile path.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "G1G2DATA",
        "When this bit is set, F0DCTL[17] and F1DCTL[17] must be 1'b1.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AXIMAXBURSTL",
        "If maximum burst length feature is supported (see DTRCCONFIG[0]), DTRC"
        " sends the G1/G2 relating requests with ARLEN less than or equal to (t"
        "he maximum burst length - 1).",
        4, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTESWAP_SLRAST",
        "bit 4: 8 bit swap bit 5: 16 bit swap bit 6: 32 bit swap bit 7: 64 bit "
        "swap 4'b0000: 0-1-2-3-4-5-6-7-8-9-10-11-12-13-14-15 (the original bit "
        "sequence) 4'b0001: 1-0-3-2-5-4-7-6...",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTESWAP_MCOMPTILE",
        "bit 4: 8 bit swap bit 5: 16 bit swap bit 6: 32 bit swap bit 7: 64 bit "
        "swap 4'b0000: 0-1-2-3-4-5-6-7-8-9-10-11-12-13-14-15 (the original bit "
        "sequence) 4'b0001: 1-0-3-2-5-4-7-6...",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTESWAP_MTABLE",
        "bit 4: 8 bit swap bit 5: 16 bit swap bit 6: 32 bit swap bit 7: 64 bit "
        "swap 4'b0000: 0-1-2-3-4-5-6-7-8-9-10-11-12-13-14-15 (the original bit "
        "sequence) 4'b0001: 1-0-3-2-5-4-7-6...",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTESWAP_M_NONG1G2",
        "bit 4: 8 bit swap bit 5: 16 bit swap bit 6: 32 bit swap bit 7: 64 bit "
        "swap 4'b0000: 0-1-2-3-4-5-6-7-8-9-10-11-12-13-14-15 (the original bit "
        "sequence) 4'b0001: 1-0-3-2-5-4-7-6...",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MERGEG1G2_ARIDEN",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RAST_ENDIAN",
        "This bit indicates the endian mode of DTRC 10-bit raster scan output d"
        "ata.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDR_ARID",
        "Bypass tile-to-rasterscan by Address or AXI ID",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRBUFF_PTR",
        "Frame buffer configure pointer, to indicate current pointer (Frme0 or "
        "Frame1) need to configure.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_ARIDR.
static const field_t hw_dtrc_aridr[] =
{
    {
        "ARIDR",
        "4 ARID, each is 8 bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_DTID2DDR.
static const field_t hw_dtrc_dtid2ddr[] =
{
    {
        "ARID_COMPR",
        "If G2 frame is compressed, this is ARID of compressed data fetching, f"
        "rom DTRC to external memory.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARID_TABLE",
        "If G2 frame is compressed, this is ARID of table fetching, from DTRC t"
        "o external memory.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_DTRCCONFIG.
static const field_t hw_dtrc_dtrcconfig[] =
{
    {
        "G1G2_KEEPORDER",
        "Keep the order between g1/g2 transactions and non-g1/g2 transactions a"
        "t AXI slave interface.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AXI_MAXBURSTL",
        "Maximum burst length of AXI master port.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "G1TILE_INPUT",
        "G1 tile input",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAX_PIC_WIDTH",
        "Maximum supported picture width",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_DTRCVERSION.
static const field_t hw_dtrc_dtrcversion[] =
{
    {
        "CUST_VERSION",
        "Customer Version.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Minor version.",
        4, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Major version.0x00: Version before 0831, including 0831.",
        10, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_PFCTRL.
static const field_t hw_dtrc_pfctrl[] =
{
    {
        "PFC_EN",
        "Performance Counter Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_PFCR.
static const field_t hw_dtrc_pfcr[] =
{
    {
        "PFCR",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DTRC_TOCR.
static const field_t hw_dtrc_tocr[] =
{
    {
        "TOCR",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a DTRC module.
static const reg_t hw_dtrc[] =
{
    {
        "F0DYDSADDR",
        "This register specifies the start address for luma video data saved in"
        " external memory.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_f0dydsaddr
    },
    {
        "F0DCDSADDR",
        "This register specifies the start address for chroma video data saved "
        "in external memory.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_f0dcdsaddr
    },
    {
        "F0DYTSADDR",
        "This register specifies the start address for luma table data saved in"
        " external memory.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_f0dytsaddr
    },
    {
        "F0DCTSADDR",
        "This register specifies the start address for chroma table data saved "
        "in external memory.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_f0dctsaddr
    },
    {
        "F0SIZE",
        "This register specifies frame width and frame height in units of 8.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f0size
    },
    {
        "F0SYSSA",
        "This register specifies the start address range of the luma data assoc"
        "iated to frame 0 and appears at ARADDR_S.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f0syssa
    },
    {
        "F0SYSEA",
        "This register specifies the end address space of luma data.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f0sysea
    },
    {
        "F0SUVSSA",
        "This register specifies the start address of the address range of the "
        "chroma data associated to frame 0 and appears at ARADDR_S.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f0suvssa
    },
    {
        "F0SUVSEA",
        "This register specifies the end address space of slave interface chrom"
        "a data.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f0suvsea
    },
    {
        "F0CROPORIG",
        "This register specifies the origin of the cropped picture.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f0croporig
    },
    {
        "F0CROPSIZE",
        "This register specifies the size of the cropped picture.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f0cropsize
    },
    {
        "F0DCTL",
        "Hardware fetches data of Frame - first after reset.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_dtrc_f0dctl
    },
    {
        "F1DYDSADDR",
        "This register specifies the start address for luma video data saved in"
        " external memory.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_f1dydsaddr
    },
    {
        "F1DCDSADDR",
        "This register specifies the start address for chroma video data saved "
        "in external memory.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_f1dcdsaddr
    },
    {
        "F1DYTSADDR",
        "This register specifies the start address for luma table data saved in"
        " external memory.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_f1dytsaddr
    },
    {
        "F1DCTSADDR",
        "This register specifies the start address for chroma table data saved "
        "in external memory.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_f1dctsaddr
    },
    {
        "F1SIZE",
        "This register specifies frame width and frame height in units of 8.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f1size
    },
    {
        "F1SYSSA",
        "This register specifies the start address range of the luma data assoc"
        "iated to frame 0 and appears at ARADDR_S.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f1syssa
    },
    {
        "F1SYSEA",
        "This register specifies the end address space of luma data.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f1sysea
    },
    {
        "F1SUVSSA",
        "This register specifies the start address of the address range of the "
        "chroma data associated to frame 0 and appears at ARADDR_S.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f1suvssa
    },
    {
        "F1SUVSEA",
        "This register specifies the end address space of slave interface chrom"
        "a data.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f1suvsea
    },
    {
        "F1CROPORIG",
        "This register specifies the origin of the cropped picture.",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f1croporig
    },
    {
        "F1CROPSIZE",
        "This register specifies the size of the cropped picture.",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_f1cropsize
    },
    {
        "F1DCTL",
        "Hardware fetches data of Frame - first after reset.",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_dtrc_f1dctl
    },
    {
        "DTRCINTEN",
        "",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dtrc_dtrcinten
    },
    {
        "FDINTR",
        "",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_dtrc_fdintr
    },
    {
        "DTCTRL",
        "This register specifies some global control information.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_dtrc_dtctrl
    },
    {
        "ARIDR",
        "This register specifies ARID to use to fetch de-tile data or bypass de"
        "-tile data.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_aridr
    },
    {
        "DTID2DDR",
        "This register specifies ARID to use to fetch video data from DTRC to e"
        "xternal memory.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_dtrc_dtid2ddr
    },
    {
        "DTRCCONFIG",
        "This register specifies ARID to use to fetch video data from DTRC to e"
        "xternal memory.",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_dtrc_dtrcconfig
    },
    {
        "DTRCVERSION",
        "This is a constant read-only register that contains encoded informatio"
        "n about the hardware version.",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_dtrc_dtrcversion
    },
    {
        "PFCTRL",
        "This register enables or disables performance counter.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_pfctrl
    },
    {
        "PFCR",
        "This is performance counter to count total clock cycle from DTRC begin"
        "s to send out a frame and finishes sending out the frame.",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_pfcr
    },
    {
        "TOCR",
        "This register sets the clock cycles (decompression clock domain) to wa"
        "it before launching the time-out interrupt.",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dtrc_tocr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark LUT_LD
#endif

// Bitfields in register LUT_LD_CTRL_STATUS.
static const field_t hw_lut_ld_ctrl_status[] =
{
    {
        "ENABLE",
        "Enable bit for the lut loader.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTES_PER_REQ",
        "This field defines the number of bytes fetched for each AXI system mem"
        "ory request.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read response completes with a SLV_ER"
        "R or DEC_ERR.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit that indicates an AXI read response terminates with a SLV_E"
        "RR or DEC_ERR.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LUT_LD_CTRL_STATUS_SET.
static const field_t hw_lut_ld_ctrl_status_set[] =
{
    {
        "ENABLE",
        "Enable bit for the lut loader.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTES_PER_REQ",
        "This field defines the number of bytes fetched for each AXI system mem"
        "ory request.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read response completes with a SLV_ER"
        "R or DEC_ERR.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit that indicates an AXI read response terminates with a SLV_E"
        "RR or DEC_ERR.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LUT_LD_CTRL_STATUS_CLR.
static const field_t hw_lut_ld_ctrl_status_clr[] =
{
    {
        "ENABLE",
        "Enable bit for the lut loader.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTES_PER_REQ",
        "This field defines the number of bytes fetched for each AXI system mem"
        "ory request.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read response completes with a SLV_ER"
        "R or DEC_ERR.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit that indicates an AXI read response terminates with a SLV_E"
        "RR or DEC_ERR.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LUT_LD_CTRL_STATUS_TOG.
static const field_t hw_lut_ld_ctrl_status_tog[] =
{
    {
        "ENABLE",
        "Enable bit for the lut loader.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTES_PER_REQ",
        "This field defines the number of bytes fetched for each AXI system mem"
        "ory request.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read response completes with a SLV_ER"
        "R or DEC_ERR.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit that indicates an AXI read response terminates with a SLV_E"
        "RR or DEC_ERR.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LUT_LD_BASE_ADDR.
static const field_t hw_lut_ld_base_addr[] =
{
    {
        "BASE_ADDR",
        "Base address of continuous 5KB video and 5KB graphics LUT data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a LUT_LD module.
static const reg_t hw_lut_ld[] =
{
    {
        "CTRL_STATUS",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lut_ld_ctrl_status
    },
    {
        "CTRL_STATUS_SET",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lut_ld_ctrl_status_set
    },
    {
        "CTRL_STATUS_CLR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lut_ld_ctrl_status_clr
    },
    {
        "CTRL_STATUS_TOG",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lut_ld_ctrl_status_tog
    },
    {
        "BASE_ADDR",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lut_ld_base_addr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MED_DC_SCALER
#endif

// Bitfields in register MED_DC_SCALER_SCALE_CTRL.
static const field_t hw_med_dc_scaler_scale_ctrl[] =
{
    {
        "ENABLE_SCALER",
        "This bit, when set to logic 1, causes the scaler to begin processing a"
        " frame buffer based on all current programmable settings.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_REPEAT",
        "This bit enables the scaler to restart processing a frame buffer witho"
        "ut receiving a SW \"kick\" event using the ENABLE_SCALER control bit.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_SCALE2MEM",
        "This bit enables the path from the scaler output back to the system me"
        "mory.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_MEM2OFIFO",
        "This bit enables the path from external memory to drive the data into "
        "the scale output FIFO.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_OFIFO_CTRL.
static const field_t hw_med_dc_scaler_scale_ofifo_ctrl[] =
{
    {
        "OFIFO_LOW_THRESH",
        "This value is used to detect when the output FIFO has a number of pixe"
        "ls that are valid that first exceeds this value, and then decrements t"
        "o a value equal to the value programmed in this register.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFIFO_HIGH_THRESH",
        "This value is used to detect when the output FIFO has a number of pixe"
        "ls that are valid that first exceeds this value, and then decrements t"
        "o a value equal to the value programmed in this register.",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLEAR_UNDERRUN_DETECT",
        "This bit clears the underrun detected interrupt.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLEAR_LOW_THRESH_DETECT",
        "This bit clears the low threshold detect interrupt 0: disabled, no act"
        "ion.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLEAR_HIGH_THRESH_DETECT",
        "This bit clears the high threshold detect interrupt.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_UNDERRUN_DETECT",
        "This bit controls if the underrun on the output FIFO can generate an i"
        "nterrupt.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_LOW_THRESH_DETECT",
        "This bit controls if the low threshold detection of the output FIFO ca"
        "n generate an interrupt.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_HIGH_THRESH_DETECT",
        "This bit controls if the high threshold detection of the output FIFO c"
        "an generate an interrupt.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_SRC_DATA_CTRL.
static const field_t hw_med_dc_scaler_scale_src_data_ctrl[] =
{
    {
        "SRC_SELECT",
        "This bit controls whether the source is Video format(YUV) or Graphics("
        "RGB).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTRAM_LINES_PER_BANK",
        "This field determines the number of lines that are used in each bank o"
        "f the RTRAM_CTRL module.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "Y_UV_BYTE_SWAP",
        "This bit controls the swapping of alternate bytes in the incoming data"
        " word.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A2R10G10B10_FORMAT",
        "This field represents the data arrangement in the memory in case 10 RG"
        "B mode.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_BIT_DEPTH.
static const field_t hw_med_dc_scaler_scale_bit_depth[] =
{
    {
        "LUMA_BIT_DEPTH",
        "These bits determine the bit depth of the primary component (Y, RGB) p"
        "rocessing.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHROMA_BIT_DEPTH",
        "These bits determine the bit depth of the alternate component (UV 2-pl"
        "ane) processing.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_SRC_FORMAT.
static const field_t hw_med_dc_scaler_scale_src_format[] =
{
    {
        "SRC_FORMAT",
        "These bits define the input buffer format.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_DST_FORMAT.
static const field_t hw_med_dc_scaler_scale_dst_format[] =
{
    {
        "DST_FORMAT",
        "These bits define the scaler output format.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_SRC_LUMA_RES.
static const field_t hw_med_dc_scaler_scale_src_luma_res[] =
{
    {
        "WIDTH",
        "This field defines the width of the source image in pixels minus 1.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HEIGHT",
        "This field defines the height of the source image in pixels minus 1.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_SRC_CHROMA_RES.
static const field_t hw_med_dc_scaler_scale_src_chroma_res[] =
{
    {
        "WIDTH",
        "This field defines the width of the source image in pixels minus 1.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HEIGHT",
        "This field defines the height of the source image in pixels minus 1.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_DST_LUMA_RES.
static const field_t hw_med_dc_scaler_scale_dst_luma_res[] =
{
    {
        "WIDTH",
        "This field defines the width of the destination image in pixels minus "
        "1.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HEIGHT",
        "This field defines the height of the destination image in pixels minus"
        " 1.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_DST_CHROMA_RES.
static const field_t hw_med_dc_scaler_scale_dst_chroma_res[] =
{
    {
        "WIDTH",
        "This field defines the width of the destination image in pixels minus "
        "1.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_V_LUMA_START.
static const field_t hw_med_dc_scaler_scale_v_luma_start[] =
{
    {
        "V_START",
        "This register contains 13 integer and 13 fractional bits to define the"
        " vertical offset into the start of the prefetched image.",
        0, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_V_LUMA_INC.
static const field_t hw_med_dc_scaler_scale_v_luma_inc[] =
{
    {
        "V_INC",
        "Vertical increment value used for scaling the image.",
        0, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_H_LUMA_START.
static const field_t hw_med_dc_scaler_scale_h_luma_start[] =
{
    {
        "H_START",
        "This register contains 13 integer and 13 fractional bits to define the"
        " horizontal offset into the start of the prefetched image.",
        0, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_H_LUMA_INC.
static const field_t hw_med_dc_scaler_scale_h_luma_inc[] =
{
    {
        "H_INC",
        "Horizontal increment value used for scaling the image.",
        0, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_V_CHROMA_START.
static const field_t hw_med_dc_scaler_scale_v_chroma_start[] =
{
    {
        "V_START",
        "This register contains 13 integer and 13 fractional bits to define the"
        " vertical offset into the start of the prefetched image.",
        0, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_V_CHROMA_INC.
static const field_t hw_med_dc_scaler_scale_v_chroma_inc[] =
{
    {
        "V_INC",
        "Vertical increment value used for scaling the image.",
        0, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_H_CHROMA_START.
static const field_t hw_med_dc_scaler_scale_h_chroma_start[] =
{
    {
        "H_START",
        "This register contains 13 integer and 13 fractional bits to define the"
        " horizontal offset into the start of the prefetched image.",
        0, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_H_CHROMA_INC.
static const field_t hw_med_dc_scaler_scale_h_chroma_inc[] =
{
    {
        "H_INC",
        "Horizontal increment value used for scaling the image.",
        0, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_DC_SCALER_SCALE_COEF_ARRAY.
static const field_t hw_med_dc_scaler_scale_coef_array[] =
{
    {
        "COEF",
        "The coefficients have 1-bit sign, 1-bit integer, and 10-bits fraction.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a MED_DC_SCALER module.
static const reg_t hw_med_dc_scaler[] =
{
    {
        "SCALE_CTRL",
        "This register is the main control register for the scaler.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_med_dc_scaler_scale_ctrl
    },
    {
        "SCALE_OFIFO_CTRL",
        "This register controls when the output FIFO generates an interrupt bas"
        "ed on how many pixels are valid within the FIFO and the programmable t"
        "hresholds.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_med_dc_scaler_scale_ofifo_ctrl
    },
    {
        "SCALE_SRC_DATA_CTRL",
        "This register control aspects related to data formats in the scaler.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_med_dc_scaler_scale_src_data_ctrl
    },
    {
        "SCALE_BIT_DEPTH",
        "This register determines the component bit depth of the source frame b"
        "uffer.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_med_dc_scaler_scale_bit_depth
    },
    {
        "SCALE_SRC_FORMAT",
        "This register controls the format of the source frame buffer.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_src_format
    },
    {
        "SCALE_DST_FORMAT",
        "This register controls the format of the scaler output.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_dst_format
    },
    {
        "SCALE_SRC_LUMA_RES",
        "This register defines the resolution of the source image.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_med_dc_scaler_scale_src_luma_res
    },
    {
        "SCALE_SRC_CHROMA_RES",
        "This register defines the resolution of the source image.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_med_dc_scaler_scale_src_chroma_res
    },
    {
        "SCALE_DST_LUMA_RES",
        "This register defines the resolution of the scaled result, or destinat"
        "ion image.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_med_dc_scaler_scale_dst_luma_res
    },
    {
        "SCALE_DST_CHROMA_RES",
        "This register defines the resolution of the scaled result, or destinat"
        "ion image.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_dst_chroma_res
    },
    {
        "SCALE_V_LUMA_START",
        "This register contains the initial vertical pixel start, or offset, in"
        "to the image that is fetched by the prefetch engine.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_v_luma_start
    },
    {
        "SCALE_V_LUMA_INC",
        "This register contains the increment which is used to define the scali"
        "ng ratio.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_v_luma_inc
    },
    {
        "SCALE_H_LUMA_START",
        "This register contains the initial horizontal pixel start, or offset, "
        "into the image that is fetched by the prefetch engine.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_h_luma_start
    },
    {
        "SCALE_H_LUMA_INC",
        "This register contains the increment which is used to define the scali"
        "ng ratio.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_h_luma_inc
    },
    {
        "SCALE_V_CHROMA_START",
        "This register contains the initial vertical pixel start, or offset, in"
        "to the image that is fetched by the prefetch engine.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_v_chroma_start
    },
    {
        "SCALE_V_CHROMA_INC",
        "This register contains the increment which is used to define the scali"
        "ng ratio.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_v_chroma_inc
    },
    {
        "SCALE_H_CHROMA_START",
        "This register contains the initial horizontal pixel start, or offset, "
        "into the image that is fetched by the prefetch engine.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_h_chroma_start
    },
    {
        "SCALE_H_CHROMA_INC",
        "This register contains the increment which is used to define the scali"
        "ng ratio.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_h_chroma_inc
    },
    {
        "SCALE_COEF_ARRAY",
        "This register is not implemented in HW.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_dc_scaler_scale_coef_array
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MED_HDR10
#endif

// Bitfields in register MED_HDR10_PIPE1_A0_LUT.
static const field_t hw_med_hdr10_pipe1_a0_lut[] =
{
    {
        "PIPE1_A0_LUT",
        "The LUT entries are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_PIPE1_A1_LUT.
static const field_t hw_med_hdr10_pipe1_a1_lut[] =
{
    {
        "PIPE1_A1_LUT",
        "The LUT entries are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_PIPE1_A2_LUT.
static const field_t hw_med_hdr10_pipe1_a2_lut[] =
{
    {
        "PIPE1_A2_LUT",
        "The LUT entries are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_pipe1_csca_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this CSC: Pixels pass thru the CSC unmodiifed 1: This "
        "CSC is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This CSC is enabled only for blened pixels 1: This CSC is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this CSC 1: Pixels pass thru this CSC unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_H00.
static const field_t hw_med_hdr10_hdr_pipe1_csca_h00[] =
{
    {
        "H00",
        "h(0,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_H10.
static const field_t hw_med_hdr10_hdr_pipe1_csca_h10[] =
{
    {
        "H10",
        "h(1,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_H20.
static const field_t hw_med_hdr10_hdr_pipe1_csca_h20[] =
{
    {
        "H20",
        "h(2,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_H01.
static const field_t hw_med_hdr10_hdr_pipe1_csca_h01[] =
{
    {
        "H01",
        "h(0,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_H11.
static const field_t hw_med_hdr10_hdr_pipe1_csca_h11[] =
{
    {
        "H11",
        "h(1,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_H21.
static const field_t hw_med_hdr10_hdr_pipe1_csca_h21[] =
{
    {
        "H21",
        "h(2,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_H02.
static const field_t hw_med_hdr10_hdr_pipe1_csca_h02[] =
{
    {
        "H02",
        "h(0,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_H12.
static const field_t hw_med_hdr10_hdr_pipe1_csca_h12[] =
{
    {
        "H12",
        "h(1,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_H22.
static const field_t hw_med_hdr10_hdr_pipe1_csca_h22[] =
{
    {
        "H22",
        "h(2,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_IO_0.
static const field_t hw_med_hdr10_hdr_pipe1_csca_io_0[] =
{
    {
        "COMPO_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 0 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_IO_1.
static const field_t hw_med_hdr10_hdr_pipe1_csca_io_1[] =
{
    {
        "COMP1_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 1 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_IO_2.
static const field_t hw_med_hdr10_hdr_pipe1_csca_io_2[] =
{
    {
        "COMP2_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 2 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_IO_MIN_0.
static const field_t hw_med_hdr10_hdr_pipe1_csca_io_min_0[] =
{
    {
        "COMP0_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_IO_MIN_1.
static const field_t hw_med_hdr10_hdr_pipe1_csca_io_min_1[] =
{
    {
        "COMP1_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_IO_MIN_2.
static const field_t hw_med_hdr10_hdr_pipe1_csca_io_min_2[] =
{
    {
        "COMP2_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_IO_MAX_0.
static const field_t hw_med_hdr10_hdr_pipe1_csca_io_max_0[] =
{
    {
        "COMP0_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_IO_MAX_1.
static const field_t hw_med_hdr10_hdr_pipe1_csca_io_max_1[] =
{
    {
        "COMP1_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_IO_MAX_2.
static const field_t hw_med_hdr10_hdr_pipe1_csca_io_max_2[] =
{
    {
        "COMP2_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_NORM.
static const field_t hw_med_hdr10_hdr_pipe1_csca_norm[] =
{
    {
        "CSCA_NORM",
        "This 5-bit unsigned value is size if arithmetic shift after matrix mul"
        "tiply.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_OO_0.
static const field_t hw_med_hdr10_hdr_pipe1_csca_oo_0[] =
{
    {
        "CSCA_OO_0",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_OO_1.
static const field_t hw_med_hdr10_hdr_pipe1_csca_oo_1[] =
{
    {
        "CSCA_OO_1",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_OO_2.
static const field_t hw_med_hdr10_hdr_pipe1_csca_oo_2[] =
{
    {
        "CSCA_OO_2",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_OMIN_0.
static const field_t hw_med_hdr10_hdr_pipe1_csca_omin_0[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_OMIN_1.
static const field_t hw_med_hdr10_hdr_pipe1_csca_omin_1[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_OMIN_2.
static const field_t hw_med_hdr10_hdr_pipe1_csca_omin_2[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_OMAX_0.
static const field_t hw_med_hdr10_hdr_pipe1_csca_omax_0[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_OMAX_1.
static const field_t hw_med_hdr10_hdr_pipe1_csca_omax_1[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCA_OMAX_2.
static const field_t hw_med_hdr10_hdr_pipe1_csca_omax_2[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_ENTRY_29.
static const field_t hw_med_hdr10_hdr_pipe1_entry_29[] =
{
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_LUT_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_pipe1_lut_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this LUT: Pixels pass thru the LUT unmodiifed 1: This "
        "LUT is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This LUT is enabled only for blened pixels 1: This LUT is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this LUT 1: Pixels pass thru this LUT unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this CSC: Pixels pass thru the CSC unmodiifed 1: This "
        "CSC is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This CSC is enabled only for blened pixels 1: This CSC is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this CSC 1: Pixels pass thru this CSC unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_H00.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_h00[] =
{
    {
        "H00",
        "h(0,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_H10.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_h10[] =
{
    {
        "H10",
        "h(1,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_H20.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_h20[] =
{
    {
        "H20",
        "h(2,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_H01.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_h01[] =
{
    {
        "H01",
        "h(0,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_H11.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_h11[] =
{
    {
        "H11",
        "h(1,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_H21.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_h21[] =
{
    {
        "H21",
        "h(2,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_H02.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_h02[] =
{
    {
        "H02",
        "h(0,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_H12.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_h12[] =
{
    {
        "H12",
        "h(1,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_H22.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_h22[] =
{
    {
        "H22",
        "h(2,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_IO_0.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_io_0[] =
{
    {
        "COMPO_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 0 of the pixel",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_IO_1.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_io_1[] =
{
    {
        "COMP1_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 1 of the pixel",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_IO_2.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_io_2[] =
{
    {
        "COMP2_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 2 of the pixel",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_IO_MIN_0.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_io_min_0[] =
{
    {
        "COMP0_CLIP_MIN",
        "This 14-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_IO_MIN_1.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_io_min_1[] =
{
    {
        "COMP1_CLIP_MIN",
        "This 14-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_IO_MIN_2.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_io_min_2[] =
{
    {
        "COMP2_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_IO_MAX_0.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_io_max_0[] =
{
    {
        "COMP0_CLIP_MAX",
        "This 14-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_IO_MAX_1.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_io_max_1[] =
{
    {
        "COMP1_CLIP_MAX",
        "This 14-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_IO_MAX_2.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_io_max_2[] =
{
    {
        "COMP2_CLIP_MAX",
        "This 14-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_NORM.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_norm[] =
{
    {
        "CSCB_NORM",
        "This 5-bit unsigned value is size if arithmetic shift after matrix mul"
        "tiply.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_OO_0.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_oo_0[] =
{
    {
        "CSCB_OO_0",
        "Ouput Offset (OO) This is a signed 29-bit number.",
        0, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_OO_1.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_oo_1[] =
{
    {
        "CSCB_OO_1",
        "Ouput Offset (OO) This is a signed 29-bit number.",
        0, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_OO_2.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_oo_2[] =
{
    {
        "CSCB_OO_2",
        "Ouput Offset (OO) This is a signed 29-bit number.",
        0, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_OMIN_0.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_omin_0[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_OMIN_1.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_omin_1[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_OMIN_2.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_omin_2[] =
{
    {
        "POST_OFF_MIN",
        "Minimum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_OMAX_0.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_omax_0[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_OMAX_1.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_omax_1[] =
{
    {
        "POST_OFF_MAX",
        "Maximun clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_CSCB_OMAX_2.
static const field_t hw_med_hdr10_hdr_pipe1_cscb_omax_2[] =
{
    {
        "POST_OFF_MAX",
        "Maximun clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_FL2FX.
static const field_t hw_med_hdr10_hdr_pipe1_fl2fx[] =
{
    {
        "ENABLE",
        "0: Don't enable this Float-to-Fixed converter: Pixels pass thru the Fl"
        "oat-to-Fixed unmodiifed 1: This Float-to-Fixed converter is enabled fo"
        "r current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This Float to Fixed operation is enabled only for blended pixels 1:"
        " This Float to Fixed operation is enabled all pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE1_ENTRY_30.
static const field_t hw_med_hdr10_hdr_pipe1_entry_30[] =
{
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_PIPE2_A0_LUT.
static const field_t hw_med_hdr10_pipe2_a0_lut[] =
{
    {
        "PIPE2_A0_LUT",
        "The LUT entries are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_PIPE2_A1_LUT.
static const field_t hw_med_hdr10_pipe2_a1_lut[] =
{
    {
        "PIPE2_A1_LUT",
        "The LUT entries are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_PIPE2_A2_LUT.
static const field_t hw_med_hdr10_pipe2_a2_lut[] =
{
    {
        "PIPE2_A2_LUT",
        "The LUT entries are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_pipe2_csca_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this CSC: Pixels pass thru the CSC unmodiifed 1: This "
        "CSC is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This CSC is enabled only for blened pixels 1: This CSC is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this CSC 1: Pixels pass thru this CSC unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_H00.
static const field_t hw_med_hdr10_hdr_pipe2_csca_h00[] =
{
    {
        "H00",
        "h(0,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_H10.
static const field_t hw_med_hdr10_hdr_pipe2_csca_h10[] =
{
    {
        "H10",
        "h(1,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_H20.
static const field_t hw_med_hdr10_hdr_pipe2_csca_h20[] =
{
    {
        "H20",
        "h(2,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_H01.
static const field_t hw_med_hdr10_hdr_pipe2_csca_h01[] =
{
    {
        "H01",
        "h(0,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_H11.
static const field_t hw_med_hdr10_hdr_pipe2_csca_h11[] =
{
    {
        "H11",
        "h(1,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_H21.
static const field_t hw_med_hdr10_hdr_pipe2_csca_h21[] =
{
    {
        "H21",
        "h(2,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_H02.
static const field_t hw_med_hdr10_hdr_pipe2_csca_h02[] =
{
    {
        "H02",
        "h(0,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_H12.
static const field_t hw_med_hdr10_hdr_pipe2_csca_h12[] =
{
    {
        "H12",
        "h(1,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_H22.
static const field_t hw_med_hdr10_hdr_pipe2_csca_h22[] =
{
    {
        "H22",
        "h(2,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_IO_0.
static const field_t hw_med_hdr10_hdr_pipe2_csca_io_0[] =
{
    {
        "COMPO_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 0 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_IO_1.
static const field_t hw_med_hdr10_hdr_pipe2_csca_io_1[] =
{
    {
        "COMP1_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 1 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_IO_2.
static const field_t hw_med_hdr10_hdr_pipe2_csca_io_2[] =
{
    {
        "COMP2_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 2 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_IO_MIN_0.
static const field_t hw_med_hdr10_hdr_pipe2_csca_io_min_0[] =
{
    {
        "COMP0_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_IO_MIN_1.
static const field_t hw_med_hdr10_hdr_pipe2_csca_io_min_1[] =
{
    {
        "COMP1_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_IO_MIN_2.
static const field_t hw_med_hdr10_hdr_pipe2_csca_io_min_2[] =
{
    {
        "COMP2_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_IO_MAX_0.
static const field_t hw_med_hdr10_hdr_pipe2_csca_io_max_0[] =
{
    {
        "COMP0_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_IO_MAX_1.
static const field_t hw_med_hdr10_hdr_pipe2_csca_io_max_1[] =
{
    {
        "COMP1_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_IO_MAX_2.
static const field_t hw_med_hdr10_hdr_pipe2_csca_io_max_2[] =
{
    {
        "COMP2_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_NORM.
static const field_t hw_med_hdr10_hdr_pipe2_csca_norm[] =
{
    {
        "CSCA_NORM",
        "This 5-bit unsigned value is size if arithmetic shift after matrix mul"
        "tiply.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_OO_0.
static const field_t hw_med_hdr10_hdr_pipe2_csca_oo_0[] =
{
    {
        "CSCA_OO_0",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_OO_1.
static const field_t hw_med_hdr10_hdr_pipe2_csca_oo_1[] =
{
    {
        "CSCA_OO_1",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_OO_2.
static const field_t hw_med_hdr10_hdr_pipe2_csca_oo_2[] =
{
    {
        "CSCA_OO_2",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_OMIN_0.
static const field_t hw_med_hdr10_hdr_pipe2_csca_omin_0[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_OMIN_1.
static const field_t hw_med_hdr10_hdr_pipe2_csca_omin_1[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_OMIN_2.
static const field_t hw_med_hdr10_hdr_pipe2_csca_omin_2[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_OMAX_0.
static const field_t hw_med_hdr10_hdr_pipe2_csca_omax_0[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_OMAX_1.
static const field_t hw_med_hdr10_hdr_pipe2_csca_omax_1[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCA_OMAX_2.
static const field_t hw_med_hdr10_hdr_pipe2_csca_omax_2[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_ENTRY_29.
static const field_t hw_med_hdr10_hdr_pipe2_entry_29[] =
{
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_LUT_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_pipe2_lut_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this LUT: Pixels pass thru the LUT unmodiifed 1: This "
        "LUT is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This LUT is enabled only for blened pixels 1: This LUT is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this LUT 1: Pixels pass thru this LUT unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this CSC: Pixels pass thru the CSC unmodiifed 1: This "
        "CSC is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This CSC is enabled only for blened pixels 1: This CSC is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this CSC 1: Pixels pass thru this CSC unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_H00.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_h00[] =
{
    {
        "H00",
        "h(0,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_H10.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_h10[] =
{
    {
        "H10",
        "h(1,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_H20.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_h20[] =
{
    {
        "H20",
        "h(2,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_H01.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_h01[] =
{
    {
        "H01",
        "h(0,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_H11.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_h11[] =
{
    {
        "H11",
        "h(1,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_H21.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_h21[] =
{
    {
        "H21",
        "h(2,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_H02.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_h02[] =
{
    {
        "H02",
        "h(0,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_H12.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_h12[] =
{
    {
        "H12",
        "h(1,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_H22.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_h22[] =
{
    {
        "H22",
        "h(2,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_IO_0.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_io_0[] =
{
    {
        "COMPO_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 0 of the pixel",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_IO_1.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_io_1[] =
{
    {
        "COMP1_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 1 of the pixel",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_IO_2.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_io_2[] =
{
    {
        "COMP2_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 2 of the pixel",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_IO_MIN_0.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_io_min_0[] =
{
    {
        "COMP0_CLIP_MIN",
        "This 14-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_IO_MIN_1.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_io_min_1[] =
{
    {
        "COMP1_CLIP_MIN",
        "This 14-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_IO_MIN_2.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_io_min_2[] =
{
    {
        "COMP2_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_IO_MAX_0.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_io_max_0[] =
{
    {
        "COMP0_CLIP_MAX",
        "This 14-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_IO_MAX_1.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_io_max_1[] =
{
    {
        "COMP1_CLIP_MAX",
        "This 14-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_IO_MAX_2.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_io_max_2[] =
{
    {
        "COMP2_CLIP_MAX",
        "This 14-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_NORM.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_norm[] =
{
    {
        "CSCB_NORM",
        "This 5-bit unsigned value is size if arithmetic shift after matrix mul"
        "tiply.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_OO_0.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_oo_0[] =
{
    {
        "CSCB_OO_0",
        "Ouput Offset (OO) This is a signed 29-bit number.",
        0, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_OO_1.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_oo_1[] =
{
    {
        "CSCB_OO_1",
        "Ouput Offset (OO) This is a signed 29-bit number.",
        0, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_OO_2.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_oo_2[] =
{
    {
        "CSCB_OO_2",
        "Ouput Offset (OO) This is a signed 29-bit number.",
        0, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_OMIN_0.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_omin_0[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_OMIN_1.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_omin_1[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_OMIN_2.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_omin_2[] =
{
    {
        "POST_OFF_MIN",
        "Minimum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_OMAX_0.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_omax_0[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_OMAX_1.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_omax_1[] =
{
    {
        "POST_OFF_MAX",
        "Maximun clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_CSCB_OMAX_2.
static const field_t hw_med_hdr10_hdr_pipe2_cscb_omax_2[] =
{
    {
        "POST_OFF_MAX",
        "Maximun clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_FL2FX.
static const field_t hw_med_hdr10_hdr_pipe2_fl2fx[] =
{
    {
        "ENABLE",
        "0: Don't enable this Float-to-Fixed converter: Pixels pass thru the Fl"
        "oat-to-Fixed unmodiifed 1: This Float-to-Fixed converter is enabled fo"
        "r current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This Float to Fixed operation is enabled only for blended pixels 1:"
        " This Float to Fixed operation is enabled all pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE2_ENTRY_30.
static const field_t hw_med_hdr10_hdr_pipe2_entry_30[] =
{
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_PIPE3_A0_LUT.
static const field_t hw_med_hdr10_pipe3_a0_lut[] =
{
    {
        "PIPE3_A0_LUT",
        "The LUT entries are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_PIPE3_A1_LUT.
static const field_t hw_med_hdr10_pipe3_a1_lut[] =
{
    {
        "PIPE3_A1_LUT",
        "The LUT entries are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_PIPE3_A2_LUT.
static const field_t hw_med_hdr10_pipe3_a2_lut[] =
{
    {
        "PIPE3_A2_LUT",
        "The LUT entries are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_pipe3_csca_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this CSC: Pixels pass thru the CSC unmodiifed 1: This "
        "CSC is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This CSC is enabled only for blened pixels 1: This CSC is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this CSC 1: Pixels pass thru this CSC unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_H00.
static const field_t hw_med_hdr10_hdr_pipe3_csca_h00[] =
{
    {
        "H00",
        "h(0,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_H10.
static const field_t hw_med_hdr10_hdr_pipe3_csca_h10[] =
{
    {
        "H10",
        "h(1,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_H20.
static const field_t hw_med_hdr10_hdr_pipe3_csca_h20[] =
{
    {
        "H20",
        "h(2,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_H01.
static const field_t hw_med_hdr10_hdr_pipe3_csca_h01[] =
{
    {
        "H01",
        "h(0,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_H11.
static const field_t hw_med_hdr10_hdr_pipe3_csca_h11[] =
{
    {
        "H11",
        "h(1,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_H21.
static const field_t hw_med_hdr10_hdr_pipe3_csca_h21[] =
{
    {
        "H21",
        "h(2,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_H02.
static const field_t hw_med_hdr10_hdr_pipe3_csca_h02[] =
{
    {
        "H02",
        "h(0,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_H12.
static const field_t hw_med_hdr10_hdr_pipe3_csca_h12[] =
{
    {
        "H12",
        "h(1,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_H22.
static const field_t hw_med_hdr10_hdr_pipe3_csca_h22[] =
{
    {
        "H22",
        "h(2,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_IO_0.
static const field_t hw_med_hdr10_hdr_pipe3_csca_io_0[] =
{
    {
        "COMPO_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 0 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_IO_1.
static const field_t hw_med_hdr10_hdr_pipe3_csca_io_1[] =
{
    {
        "COMP1_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 1 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_IO_2.
static const field_t hw_med_hdr10_hdr_pipe3_csca_io_2[] =
{
    {
        "COMP2_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 2 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_IO_MIN_0.
static const field_t hw_med_hdr10_hdr_pipe3_csca_io_min_0[] =
{
    {
        "COMP0_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_IO_MIN_1.
static const field_t hw_med_hdr10_hdr_pipe3_csca_io_min_1[] =
{
    {
        "COMP1_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_IO_MIN_2.
static const field_t hw_med_hdr10_hdr_pipe3_csca_io_min_2[] =
{
    {
        "COMP2_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_IO_MAX_0.
static const field_t hw_med_hdr10_hdr_pipe3_csca_io_max_0[] =
{
    {
        "COMP0_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_IO_MAX_1.
static const field_t hw_med_hdr10_hdr_pipe3_csca_io_max_1[] =
{
    {
        "COMP1_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_IO_MAX_2.
static const field_t hw_med_hdr10_hdr_pipe3_csca_io_max_2[] =
{
    {
        "COMP2_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_NORM.
static const field_t hw_med_hdr10_hdr_pipe3_csca_norm[] =
{
    {
        "CSCA_NORM",
        "This 5-bit unsigned value is size if arithmetic shift after matrix mul"
        "tiply.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_OO_0.
static const field_t hw_med_hdr10_hdr_pipe3_csca_oo_0[] =
{
    {
        "CSCA_OO_0",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_OO_1.
static const field_t hw_med_hdr10_hdr_pipe3_csca_oo_1[] =
{
    {
        "CSCA_OO_1",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_OO_2.
static const field_t hw_med_hdr10_hdr_pipe3_csca_oo_2[] =
{
    {
        "CSCA_OO_2",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_OMIN_0.
static const field_t hw_med_hdr10_hdr_pipe3_csca_omin_0[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_OMIN_1.
static const field_t hw_med_hdr10_hdr_pipe3_csca_omin_1[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_OMIN_2.
static const field_t hw_med_hdr10_hdr_pipe3_csca_omin_2[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_OMAX_0.
static const field_t hw_med_hdr10_hdr_pipe3_csca_omax_0[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_OMAX_1.
static const field_t hw_med_hdr10_hdr_pipe3_csca_omax_1[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCA_OMAX_2.
static const field_t hw_med_hdr10_hdr_pipe3_csca_omax_2[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_ENTRY_29.
static const field_t hw_med_hdr10_hdr_pipe3_entry_29[] =
{
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_LUT_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_pipe3_lut_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this LUT: Pixels pass thru the LUT unmodiifed 1: This "
        "LUT is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This LUT is enabled only for blened pixels 1: This LUT is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this LUT 1: Pixels pass thru this LUT unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this CSC: Pixels pass thru the CSC unmodiifed 1: This "
        "CSC is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This CSC is enabled only for blened pixels 1: This CSC is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this CSC 1: Pixels pass thru this CSC unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_H00.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_h00[] =
{
    {
        "H00",
        "h(0,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_H10.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_h10[] =
{
    {
        "H10",
        "h(1,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_H20.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_h20[] =
{
    {
        "H20",
        "h(2,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_H01.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_h01[] =
{
    {
        "H01",
        "h(0,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_H11.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_h11[] =
{
    {
        "H11",
        "h(1,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_H21.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_h21[] =
{
    {
        "H21",
        "h(2,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_H02.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_h02[] =
{
    {
        "H02",
        "h(0,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_H12.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_h12[] =
{
    {
        "H12",
        "h(1,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_H22.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_h22[] =
{
    {
        "H22",
        "h(2,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_IO_0.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_io_0[] =
{
    {
        "COMPO_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 0 of the pixel",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_IO_1.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_io_1[] =
{
    {
        "COMP1_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 1 of the pixel",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_IO_2.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_io_2[] =
{
    {
        "COMP2_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 2 of the pixel",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_IO_MIN_0.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_io_min_0[] =
{
    {
        "COMP0_CLIP_MIN",
        "This 14-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_IO_MIN_1.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_io_min_1[] =
{
    {
        "COMP1_CLIP_MIN",
        "This 14-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_IO_MIN_2.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_io_min_2[] =
{
    {
        "COMP2_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_IO_MAX_0.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_io_max_0[] =
{
    {
        "COMP0_CLIP_MAX",
        "This 14-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_IO_MAX_1.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_io_max_1[] =
{
    {
        "COMP1_CLIP_MAX",
        "This 14-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_IO_MAX_2.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_io_max_2[] =
{
    {
        "COMP2_CLIP_MAX",
        "This 14-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_NORM.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_norm[] =
{
    {
        "CSCB_NORM",
        "This 5-bit unsigned value is size if arithmetic shift after matrix mul"
        "tiply.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_OO_0.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_oo_0[] =
{
    {
        "CSCB_OO_0",
        "Ouput Offset (OO) This is a signed 29-bit number.",
        0, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_OO_1.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_oo_1[] =
{
    {
        "CSCB_OO_1",
        "Ouput Offset (OO) This is a signed 29-bit number.",
        0, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_OO_2.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_oo_2[] =
{
    {
        "CSCB_OO_2",
        "Ouput Offset (OO) This is a signed 29-bit number.",
        0, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_OMIN_0.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_omin_0[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_OMIN_1.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_omin_1[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_OMIN_2.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_omin_2[] =
{
    {
        "POST_OFF_MIN",
        "Minimum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_OMAX_0.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_omax_0[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_OMAX_1.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_omax_1[] =
{
    {
        "POST_OFF_MAX",
        "Maximun clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_CSCB_OMAX_2.
static const field_t hw_med_hdr10_hdr_pipe3_cscb_omax_2[] =
{
    {
        "POST_OFF_MAX",
        "Maximun clipped pixel component.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_FL2FX.
static const field_t hw_med_hdr10_hdr_pipe3_fl2fx[] =
{
    {
        "ENABLE",
        "0: Don't enable this Float-to-Fixed converter: Pixels pass thru the Fl"
        "oat-to-Fixed unmodiifed 1: This Float-to-Fixed converter is enabled fo"
        "r current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This Float to Fixed operation is enabled only for blended pixels 1:"
        " This Float to Fixed operation is enabled all pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_PIPE3_ENTRY_30.
static const field_t hw_med_hdr10_hdr_pipe3_entry_30[] =
{
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_OPIPE_A0_TABLE.
static const field_t hw_med_hdr10_opipe_a0_table[] =
{
    {
        "OPIPE_A0_TABLE",
        "The TABLE Nodes are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_OPIPE_A1_TABLE.
static const field_t hw_med_hdr10_opipe_a1_table[] =
{
    {
        "OPIPE_A1_TABLE",
        "The TABLE Nodes are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_OPIPE_A2_TABLE.
static const field_t hw_med_hdr10_opipe_a2_table[] =
{
    {
        "OPIPE_A2_TABLE",
        "The TABLE Nodes are 14 bits wide.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_opipe_csc_control_reg[] =
{
    {
        "ENABLE",
        "0: Don't enable this CSC: Pixels pass thru the CSC unmodiifed 1: This "
        "CSC is enabled for current picture",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_FOR_ALL_PELS",
        "0: This CSC is enabled only for blened pixels 1: This CSC is enabled a"
        "ll pixels",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS",
        "0: Don't bypass this CSC 1: Pixels pass thru this CSC unmodiifed",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_H00.
static const field_t hw_med_hdr10_hdr_opipe_csc_h00[] =
{
    {
        "H00",
        "h(0,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_H10.
static const field_t hw_med_hdr10_hdr_opipe_csc_h10[] =
{
    {
        "H10",
        "h(1,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_H20.
static const field_t hw_med_hdr10_hdr_opipe_csc_h20[] =
{
    {
        "H20",
        "h(2,0) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_H01.
static const field_t hw_med_hdr10_hdr_opipe_csc_h01[] =
{
    {
        "H01",
        "h(0,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_H11.
static const field_t hw_med_hdr10_hdr_opipe_csc_h11[] =
{
    {
        "H11",
        "h(1,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_H21.
static const field_t hw_med_hdr10_hdr_opipe_csc_h21[] =
{
    {
        "H21",
        "h(2,1) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_H02.
static const field_t hw_med_hdr10_hdr_opipe_csc_h02[] =
{
    {
        "H02",
        "h(0,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_H12.
static const field_t hw_med_hdr10_hdr_opipe_csc_h12[] =
{
    {
        "H12",
        "h(1,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_.
static const field_t hw_med_hdr10_hdr_[] =
{
    {
        "H22",
        "h(2,2) 16 bit signed coefficient",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_IO_0.
static const field_t hw_med_hdr10_hdr_opipe_csc_io_0[] =
{
    {
        "COMPO_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 0 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_IO_1.
static const field_t hw_med_hdr10_hdr_opipe_csc_io_1[] =
{
    {
        "COMP1_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 1 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_IO_2.
static const field_t hw_med_hdr10_hdr_opipe_csc_io_2[] =
{
    {
        "COMP2_PRE_OFFSET",
        "Before the color space conversion matrix multiply, This offset is adde"
        "d to component 2 of the pixel",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_MIN_0.
static const field_t hw_med_hdr10_hdr_opipe_csc_min_0[] =
{
    {
        "COMP0_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_MIN_1.
static const field_t hw_med_hdr10_hdr_opipe_csc_min_1[] =
{
    {
        "COMP1_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_MIN_2.
static const field_t hw_med_hdr10_hdr_opipe_csc_min_2[] =
{
    {
        "COMP2_CLIP_MIN",
        "This 10-bit signed value is the minimum value of pixel component after"
        " the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_MAX_0.
static const field_t hw_med_hdr10_hdr_opipe_csc_max_0[] =
{
    {
        "COMP0_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_MAX_1.
static const field_t hw_med_hdr10_hdr_opipe_csc_max_1[] =
{
    {
        "COMP1_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_MAX_2.
static const field_t hw_med_hdr10_hdr_opipe_csc_max_2[] =
{
    {
        "COMP2_CLIP_MAX",
        "This 10-bit unsigned value is the maximun value of pixel component aft"
        "er the pre-increment.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_NORM.
static const field_t hw_med_hdr10_hdr_opipe_csc_norm[] =
{
    {
        "CSC_NORM",
        "This 5-bit unsigned value is size if arithmetic shift after matrix mul"
        "tiply.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_OO_0.
static const field_t hw_med_hdr10_hdr_opipe_csc_oo_0[] =
{
    {
        "CSC_OO_0",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_OO_1.
static const field_t hw_med_hdr10_hdr_opipe_csc_oo_1[] =
{
    {
        "CSC_OO_1",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_OO_2.
static const field_t hw_med_hdr10_hdr_opipe_csc_oo_2[] =
{
    {
        "CSC_OO_2",
        "Ouput Offset (OO) This is a signed 28-bit number.",
        0, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_OMIN_0.
static const field_t hw_med_hdr10_hdr_opipe_csc_omin_0[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_OMIN_1.
static const field_t hw_med_hdr10_hdr_opipe_csc_omin_1[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_OMIN_2.
static const field_t hw_med_hdr10_hdr_opipe_csc_omin_2[] =
{
    {
        "POST_OFF_MIN",
        "Minum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_OMAX_0.
static const field_t hw_med_hdr10_hdr_opipe_csc_omax_0[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_OMAX_1.
static const field_t hw_med_hdr10_hdr_opipe_csc_omax_1[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_CSC_OMAX_2.
static const field_t hw_med_hdr10_hdr_opipe_csc_omax_2[] =
{
    {
        "POST_OFF_MAX",
        "Maximum clipped pixel component.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MED_HDR10_HDR_OPIPE_2NL_CONTROL_REG.
static const field_t hw_med_hdr10_hdr_opipe_2nl_control_reg[] =
{
    {
        "PASS_THRU",
        "0: Process the pixels with linear to non-linear pipeline 1: Pass the d"
        "ata through the linear to non-linear pipeline unmodified",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_FIXED_TO_FLOAT",
        "0: The 28 bit input component is converted to floating point format to"
        " be processed by the linear to non-linear converter 1: The 28 bit fixe"
        "d point number is truncated to 14 bits and passed the passed to the li"
        "near to non linear pipe",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LTNL_ENABLE_FOR_ALL_PELS",
        "0: When 0 linear_to_non linear conversion is enabled for blended pels "
        "1: When 1 linear_to_non linear conversion is enabled for all pels",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIX2FLT_ENABLE_FOR_ALL_PELS",
        "0: fixed-to_float is enabled for blended pels 1: fixed-to_float is ena"
        "bled for all pels",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a MED_HDR10 module.
static const reg_t hw_med_hdr10[] =
{
    {
        "PIPE1_A0_LUT",
        "The LUT table has 1024 entries.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_pipe1_a0_lut
    },
    {
        "PIPE1_A1_LUT",
        "The LUT table has 1024 entries.",
        4, // Width in bytes
        0x00001000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_pipe1_a1_lut
    },
    {
        "PIPE1_A2_LUT",
        "The LUT table has 1024 entries.",
        4, // Width in bytes
        0x00002000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_pipe1_a2_lut
    },
    {
        "HDR_PIPE1_CSCA_CONTROL_REG",
        "Controls the Color-Space-Converter-A (CSCA) in pipe1.",
        4, // Width in bytes
        0x00003000, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_control_reg
    },
    {
        "HDR_PIPE1_CSCA_H00",
        "h(0,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_h00
    },
    {
        "HDR_PIPE1_CSCA_H10",
        "h(1,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_h10
    },
    {
        "HDR_PIPE1_CSCA_H20",
        "h(2,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000300c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_h20
    },
    {
        "HDR_PIPE1_CSCA_H01",
        "h(0,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_h01
    },
    {
        "HDR_PIPE1_CSCA_H11",
        "h(1,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_h11
    },
    {
        "HDR_PIPE1_CSCA_H21",
        "h(2,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_h21
    },
    {
        "HDR_PIPE1_CSCA_H02",
        "h(0,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000301c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_h02
    },
    {
        "HDR_PIPE1_CSCA_H12",
        "h(1,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_h12
    },
    {
        "HDR_PIPE1_CSCA_H22",
        "h(2,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_h22
    },
    {
        "HDR_PIPE1_CSCA_IO_0",
        "An signed 10-bit offset is added to component 0 (R,Y) before matrix mu"
        "ltiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x00003028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_io_0
    },
    {
        "HDR_PIPE1_CSCA_IO_1",
        "An signed 10-bit offset is added to component 1 (G,Cb) before matrix m"
        "ultiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000302c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_io_1
    },
    {
        "HDR_PIPE1_CSCA_IO_2",
        "An signed 10-bit offset is added to component 2 (B,Cr) before matrix m"
        "ultiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x00003030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_io_2
    },
    {
        "HDR_PIPE1_CSCA_IO_MIN_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_io_min_0
    },
    {
        "HDR_PIPE1_CSCA_IO_MIN_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_io_min_1
    },
    {
        "HDR_PIPE1_CSCA_IO_MIN_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000303c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_io_min_2
    },
    {
        "HDR_PIPE1_CSCA_IO_MAX_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_io_max_0
    },
    {
        "HDR_PIPE1_CSCA_IO_MAX_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_io_max_1
    },
    {
        "HDR_PIPE1_CSCA_IO_MAX_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_io_max_2
    },
    {
        "HDR_PIPE1_CSCA_NORM",
        "After the CSC matrix multiply, all components of the result are shifte"
        "d right by the amount in this register.",
        4, // Width in bytes
        0x0000304c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_norm
    },
    {
        "HDR_PIPE1_CSCA_OO_0",
        "After the CSC normalization, this offset value is added to component 0"
        ".",
        4, // Width in bytes
        0x00003050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_oo_0
    },
    {
        "HDR_PIPE1_CSCA_OO_1",
        "After the CSC normalization, this offset value is added to component 1"
        ".",
        4, // Width in bytes
        0x00003054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_oo_1
    },
    {
        "HDR_PIPE1_CSCA_OO_2",
        "After the CSC normalization, this offset value is added to component 2"
        ".",
        4, // Width in bytes
        0x00003058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_oo_2
    },
    {
        "HDR_PIPE1_CSCA_OMIN_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000305c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_omin_0
    },
    {
        "HDR_PIPE1_CSCA_OMIN_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00003060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_omin_1
    },
    {
        "HDR_PIPE1_CSCA_OMIN_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00003064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_omin_2
    },
    {
        "HDR_PIPE1_CSCA_OMAX_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00003068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_omax_0
    },
    {
        "HDR_PIPE1_CSCA_OMAX_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000306c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_omax_1
    },
    {
        "HDR_PIPE1_CSCA_OMAX_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00003070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_csca_omax_2
    },
    {
        "HDR_PIPE1_ENTRY_29",
        "PIPE1: NOT USED",
        4, // Width in bytes
        0x00003074, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_entry_29
    },
    {
        "HDR_PIPE1_LUT_CONTROL_REG",
        "Controls the Look-Up-Table in pipe1.",
        4, // Width in bytes
        0x00003080, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_lut_control_reg
    },
    {
        "HDR_PIPE1_CSCB_CONTROL_REG",
        "Controls the Color-Space-Converter-B (CSCB) in pipe1.",
        4, // Width in bytes
        0x00003800, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_control_reg
    },
    {
        "HDR_PIPE1_CSCB_H00",
        "h(0,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003804, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_h00
    },
    {
        "HDR_PIPE1_CSCB_H10",
        "h(1,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003808, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_h10
    },
    {
        "HDR_PIPE1_CSCB_H20",
        "h(2,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000380c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_h20
    },
    {
        "HDR_PIPE1_CSCB_H01",
        "h(0,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003810, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_h01
    },
    {
        "HDR_PIPE1_CSCB_H11",
        "h(1,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003814, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_h11
    },
    {
        "HDR_PIPE1_CSCB_H21",
        "h(2,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003818, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_h21
    },
    {
        "HDR_PIPE1_CSCB_H02",
        "h(0,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000381c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_h02
    },
    {
        "HDR_PIPE1_CSCB_H12",
        "h(1,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003820, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_h12
    },
    {
        "HDR_PIPE1_CSCB_H22",
        "h(2,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00003824, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_h22
    },
    {
        "HDR_PIPE1_CSCB_IO_0",
        "A signed 14-bit offset is added to component 0 (R,Y) before matrix mul"
        "tiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x00003828, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_io_0
    },
    {
        "HDR_PIPE1_CSCB_IO_1",
        "A signed 14-bit offset is added to component 1 (G,Cb) before matrix mu"
        "ltiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000382c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_io_1
    },
    {
        "HDR_PIPE1_CSCB_IO_2",
        "A signed 14-bit offset is added to component 2 (B,Cr) before matrix mu"
        "ltiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x00003830, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_io_2
    },
    {
        "HDR_PIPE1_CSCB_IO_MIN_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003834, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_io_min_0
    },
    {
        "HDR_PIPE1_CSCB_IO_MIN_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003838, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_io_min_1
    },
    {
        "HDR_PIPE1_CSCB_IO_MIN_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000383c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_io_min_2
    },
    {
        "HDR_PIPE1_CSCB_IO_MAX_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003840, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_io_max_0
    },
    {
        "HDR_PIPE1_CSCB_IO_MAX_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003844, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_io_max_1
    },
    {
        "HDR_PIPE1_CSCB_IO_MAX_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00003848, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_io_max_2
    },
    {
        "HDR_PIPE1_CSCB_NORM",
        "After the CSC matrix multiply, all components of the result are shifte"
        "d right by the amount in this register.",
        4, // Width in bytes
        0x0000384c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_norm
    },
    {
        "HDR_PIPE1_CSCB_OO_0",
        "After the CSC normalization, this offset value is added to component 0"
        ".",
        4, // Width in bytes
        0x00003850, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_oo_0
    },
    {
        "HDR_PIPE1_CSCB_OO_1",
        "After the CSC normalization, this offset value is added to component 1"
        ".",
        4, // Width in bytes
        0x00003854, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_oo_1
    },
    {
        "HDR_PIPE1_CSCB_OO_2",
        "After the CSC normalization, this offset value is added to component 2"
        ".",
        4, // Width in bytes
        0x00003858, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_oo_2
    },
    {
        "HDR_PIPE1_CSCB_OMIN_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000385c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_omin_0
    },
    {
        "HDR_PIPE1_CSCB_OMIN_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00003860, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_omin_1
    },
    {
        "HDR_PIPE1_CSCB_OMIN_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00003864, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_omin_2
    },
    {
        "HDR_PIPE1_CSCB_OMAX_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00003868, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_omax_0
    },
    {
        "HDR_PIPE1_CSCB_OMAX_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000386c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_omax_1
    },
    {
        "HDR_PIPE1_CSCB_OMAX_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00003870, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_cscb_omax_2
    },
    {
        "HDR_PIPE1_FL2FX",
        "Pipe1 floating point to fixed point control Pipe1 is also called chann"
        "el1.",
        4, // Width in bytes
        0x00003874, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_fl2fx
    },
    {
        "HDR_PIPE1_ENTRY_30",
        "PIPE1: NOT USED",
        4, // Width in bytes
        0x00003878, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_med_hdr10_hdr_pipe1_entry_30
    },
    {
        "PIPE2_A0_LUT",
        "The LUT table has 1024 entries.",
        4, // Width in bytes
        0x00004000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_pipe2_a0_lut
    },
    {
        "PIPE2_A1_LUT",
        "The LUT table has 1024 entries.",
        4, // Width in bytes
        0x00005000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_pipe2_a1_lut
    },
    {
        "PIPE2_A2_LUT",
        "The LUT table has 1024 entries.",
        4, // Width in bytes
        0x00006000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_pipe2_a2_lut
    },
    {
        "HDR_PIPE2_CSCA_CONTROL_REG",
        "Controls the Color-Space-Converter-A (CSCA) in pipe1.",
        4, // Width in bytes
        0x00007000, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_control_reg
    },
    {
        "HDR_PIPE2_CSCA_H00",
        "h(0,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_h00
    },
    {
        "HDR_PIPE2_CSCA_H10",
        "h(1,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_h10
    },
    {
        "HDR_PIPE2_CSCA_H20",
        "h(2,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000700c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_h20
    },
    {
        "HDR_PIPE2_CSCA_H01",
        "h(0,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_h01
    },
    {
        "HDR_PIPE2_CSCA_H11",
        "h(1,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_h11
    },
    {
        "HDR_PIPE2_CSCA_H21",
        "h(2,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_h21
    },
    {
        "HDR_PIPE2_CSCA_H02",
        "h(0,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000701c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_h02
    },
    {
        "HDR_PIPE2_CSCA_H12",
        "h(1,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_h12
    },
    {
        "HDR_PIPE2_CSCA_H22",
        "h(2,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_h22
    },
    {
        "HDR_PIPE2_CSCA_IO_0",
        "An signed 10-bit offset is added to component 0 (R,Y) before matrix mu"
        "ltiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x00007028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_io_0
    },
    {
        "HDR_PIPE2_CSCA_IO_1",
        "An signed 10-bit offset is added to component 1 (G,Cb) before matrix m"
        "ultiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000702c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_io_1
    },
    {
        "HDR_PIPE2_CSCA_IO_2",
        "An signed 10-bit offset is added to component 2 (B,Cr) before matrix m"
        "ultiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x00007030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_io_2
    },
    {
        "HDR_PIPE2_CSCA_IO_MIN_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_io_min_0
    },
    {
        "HDR_PIPE2_CSCA_IO_MIN_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_io_min_1
    },
    {
        "HDR_PIPE2_CSCA_IO_MIN_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000703c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_io_min_2
    },
    {
        "HDR_PIPE2_CSCA_IO_MAX_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_io_max_0
    },
    {
        "HDR_PIPE2_CSCA_IO_MAX_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_io_max_1
    },
    {
        "HDR_PIPE2_CSCA_IO_MAX_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_io_max_2
    },
    {
        "HDR_PIPE2_CSCA_NORM",
        "After the CSC matrix multiply, all components of the result are shifte"
        "d right by the amount in this register.",
        4, // Width in bytes
        0x0000704c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_norm
    },
    {
        "HDR_PIPE2_CSCA_OO_0",
        "After the CSC normalization, this offset value is added to component 0"
        ".",
        4, // Width in bytes
        0x00007050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_oo_0
    },
    {
        "HDR_PIPE2_CSCA_OO_1",
        "After the CSC normalization, this offset value is added to component 1"
        ".",
        4, // Width in bytes
        0x00007054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_oo_1
    },
    {
        "HDR_PIPE2_CSCA_OO_2",
        "After the CSC normalization, this offset value is added to component 2"
        ".",
        4, // Width in bytes
        0x00007058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_oo_2
    },
    {
        "HDR_PIPE2_CSCA_OMIN_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000705c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_omin_0
    },
    {
        "HDR_PIPE2_CSCA_OMIN_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00007060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_omin_1
    },
    {
        "HDR_PIPE2_CSCA_OMIN_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00007064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_omin_2
    },
    {
        "HDR_PIPE2_CSCA_OMAX_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00007068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_omax_0
    },
    {
        "HDR_PIPE2_CSCA_OMAX_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000706c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_omax_1
    },
    {
        "HDR_PIPE2_CSCA_OMAX_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00007070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_csca_omax_2
    },
    {
        "HDR_PIPE2_ENTRY_29",
        "PIPE2: NOT USED",
        4, // Width in bytes
        0x00007074, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_entry_29
    },
    {
        "HDR_PIPE2_LUT_CONTROL_REG",
        "Controls the Look-Up-Table in pipe1.",
        4, // Width in bytes
        0x00007080, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_lut_control_reg
    },
    {
        "HDR_PIPE2_CSCB_CONTROL_REG",
        "Controls the Color-Space-Converter-B (CSCB) in pipe1.",
        4, // Width in bytes
        0x00007800, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_control_reg
    },
    {
        "HDR_PIPE2_CSCB_H00",
        "h(0,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007804, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_h00
    },
    {
        "HDR_PIPE2_CSCB_H10",
        "h(1,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007808, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_h10
    },
    {
        "HDR_PIPE2_CSCB_H20",
        "h(2,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000780c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_h20
    },
    {
        "HDR_PIPE2_CSCB_H01",
        "h(0,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007810, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_h01
    },
    {
        "HDR_PIPE2_CSCB_H11",
        "h(1,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007814, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_h11
    },
    {
        "HDR_PIPE2_CSCB_H21",
        "h(2,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007818, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_h21
    },
    {
        "HDR_PIPE2_CSCB_H02",
        "h(0,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000781c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_h02
    },
    {
        "HDR_PIPE2_CSCB_H12",
        "h(1,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007820, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_h12
    },
    {
        "HDR_PIPE2_CSCB_H22",
        "h(2,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x00007824, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_h22
    },
    {
        "HDR_PIPE2_CSCB_IO_0",
        "A signed 14-bit offset is added to component 0 (R,Y) before matrix mul"
        "tiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x00007828, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_io_0
    },
    {
        "HDR_PIPE2_CSCB_IO_1",
        "A signed 14-bit offset is added to component 1 (G,Cb) before matrix mu"
        "ltiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000782c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_io_1
    },
    {
        "HDR_PIPE2_CSCB_IO_2",
        "A signed 14-bit offset is added to component 2 (B,Cr) before matrix mu"
        "ltiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x00007830, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_io_2
    },
    {
        "HDR_PIPE2_CSCB_IO_MIN_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007834, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_io_min_0
    },
    {
        "HDR_PIPE2_CSCB_IO_MIN_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007838, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_io_min_1
    },
    {
        "HDR_PIPE2_CSCB_IO_MIN_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000783c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_io_min_2
    },
    {
        "HDR_PIPE2_CSCB_IO_MAX_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007840, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_io_max_0
    },
    {
        "HDR_PIPE2_CSCB_IO_MAX_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007844, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_io_max_1
    },
    {
        "HDR_PIPE2_CSCB_IO_MAX_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x00007848, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_io_max_2
    },
    {
        "HDR_PIPE2_CSCB_NORM",
        "After the CSC matrix multiply, all components of the result are shifte"
        "d right by the amount in this register.",
        4, // Width in bytes
        0x0000784c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_norm
    },
    {
        "HDR_PIPE2_CSCB_OO_0",
        "After the CSC normalization, this offset value is added to component 0"
        ".",
        4, // Width in bytes
        0x00007850, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_oo_0
    },
    {
        "HDR_PIPE2_CSCB_OO_1",
        "After the CSC normalization, this offset value is added to component 1"
        ".",
        4, // Width in bytes
        0x00007854, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_oo_1
    },
    {
        "HDR_PIPE2_CSCB_OO_2",
        "After the CSC normalization, this offset value is added to component 2"
        ".",
        4, // Width in bytes
        0x00007858, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_oo_2
    },
    {
        "HDR_PIPE2_CSCB_OMIN_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000785c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_omin_0
    },
    {
        "HDR_PIPE2_CSCB_OMIN_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00007860, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_omin_1
    },
    {
        "HDR_PIPE2_CSCB_OMIN_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00007864, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_omin_2
    },
    {
        "HDR_PIPE2_CSCB_OMAX_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00007868, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_omax_0
    },
    {
        "HDR_PIPE2_CSCB_OMAX_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000786c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_omax_1
    },
    {
        "HDR_PIPE2_CSCB_OMAX_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x00007870, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_cscb_omax_2
    },
    {
        "HDR_PIPE2_FL2FX",
        "Pipe1 floating point to fixed point control Pipe1 is also called chann"
        "el1.",
        4, // Width in bytes
        0x00007874, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_fl2fx
    },
    {
        "HDR_PIPE2_ENTRY_30",
        "PIPE2: NOT USED",
        4, // Width in bytes
        0x00007878, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_med_hdr10_hdr_pipe2_entry_30
    },
    {
        "PIPE3_A0_LUT",
        "The LUT table has 1024 entries.",
        4, // Width in bytes
        0x00008000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_pipe3_a0_lut
    },
    {
        "PIPE3_A1_LUT",
        "The LUT table has 1024 entries.",
        4, // Width in bytes
        0x00009000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_pipe3_a1_lut
    },
    {
        "PIPE3_A2_LUT",
        "The LUT table has 1024 entries.",
        4, // Width in bytes
        0x0000a000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_pipe3_a2_lut
    },
    {
        "HDR_PIPE3_CSCA_CONTROL_REG",
        "Controls the Color-Space-Converter-A (CSCA) in pipe1.",
        4, // Width in bytes
        0x0000b000, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_control_reg
    },
    {
        "HDR_PIPE3_CSCA_H00",
        "h(0,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_h00
    },
    {
        "HDR_PIPE3_CSCA_H10",
        "h(1,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_h10
    },
    {
        "HDR_PIPE3_CSCA_H20",
        "h(2,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b00c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_h20
    },
    {
        "HDR_PIPE3_CSCA_H01",
        "h(0,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_h01
    },
    {
        "HDR_PIPE3_CSCA_H11",
        "h(1,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_h11
    },
    {
        "HDR_PIPE3_CSCA_H21",
        "h(2,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_h21
    },
    {
        "HDR_PIPE3_CSCA_H02",
        "h(0,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b01c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_h02
    },
    {
        "HDR_PIPE3_CSCA_H12",
        "h(1,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_h12
    },
    {
        "HDR_PIPE3_CSCA_H22",
        "h(2,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_h22
    },
    {
        "HDR_PIPE3_CSCA_IO_0",
        "An signed 10-bit offset is added to component 0 (R,Y) before matrix mu"
        "ltiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000b028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_io_0
    },
    {
        "HDR_PIPE3_CSCA_IO_1",
        "An signed 10-bit offset is added to component 1 (G,Cb) before matrix m"
        "ultiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000b02c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_io_1
    },
    {
        "HDR_PIPE3_CSCA_IO_2",
        "An signed 10-bit offset is added to component 2 (B,Cr) before matrix m"
        "ultiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000b030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_io_2
    },
    {
        "HDR_PIPE3_CSCA_IO_MIN_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_io_min_0
    },
    {
        "HDR_PIPE3_CSCA_IO_MIN_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_io_min_1
    },
    {
        "HDR_PIPE3_CSCA_IO_MIN_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b03c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_io_min_2
    },
    {
        "HDR_PIPE3_CSCA_IO_MAX_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_io_max_0
    },
    {
        "HDR_PIPE3_CSCA_IO_MAX_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_io_max_1
    },
    {
        "HDR_PIPE3_CSCA_IO_MAX_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_io_max_2
    },
    {
        "HDR_PIPE3_CSCA_NORM",
        "After the CSC matrix multiply, all components of the result are shifte"
        "d right by the amount in this register.",
        4, // Width in bytes
        0x0000b04c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_norm
    },
    {
        "HDR_PIPE3_CSCA_OO_0",
        "After the CSC normalization, this offset value is added to component 0"
        ".",
        4, // Width in bytes
        0x0000b050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_oo_0
    },
    {
        "HDR_PIPE3_CSCA_OO_1",
        "After the CSC normalization, this offset value is added to component 1"
        ".",
        4, // Width in bytes
        0x0000b054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_oo_1
    },
    {
        "HDR_PIPE3_CSCA_OO_2",
        "After the CSC normalization, this offset value is added to component 2"
        ".",
        4, // Width in bytes
        0x0000b058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_oo_2
    },
    {
        "HDR_PIPE3_CSCA_OMIN_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b05c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_omin_0
    },
    {
        "HDR_PIPE3_CSCA_OMIN_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_omin_1
    },
    {
        "HDR_PIPE3_CSCA_OMIN_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_omin_2
    },
    {
        "HDR_PIPE3_CSCA_OMAX_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_omax_0
    },
    {
        "HDR_PIPE3_CSCA_OMAX_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b06c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_omax_1
    },
    {
        "HDR_PIPE3_CSCA_OMAX_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_csca_omax_2
    },
    {
        "HDR_PIPE3_ENTRY_29",
        "PIPE3: NOT USED",
        4, // Width in bytes
        0x0000b074, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_entry_29
    },
    {
        "HDR_PIPE3_LUT_CONTROL_REG",
        "Controls the Look-Up-Table in pipe1.",
        4, // Width in bytes
        0x0000b080, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_lut_control_reg
    },
    {
        "HDR_PIPE3_CSCB_CONTROL_REG",
        "Controls the Color-Space-Converter-B (CSCB) in pipe1.",
        4, // Width in bytes
        0x0000b800, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_control_reg
    },
    {
        "HDR_PIPE3_CSCB_H00",
        "h(0,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b804, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_h00
    },
    {
        "HDR_PIPE3_CSCB_H10",
        "h(1,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b808, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_h10
    },
    {
        "HDR_PIPE3_CSCB_H20",
        "h(2,0) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b80c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_h20
    },
    {
        "HDR_PIPE3_CSCB_H01",
        "h(0,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b810, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_h01
    },
    {
        "HDR_PIPE3_CSCB_H11",
        "h(1,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b814, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_h11
    },
    {
        "HDR_PIPE3_CSCB_H21",
        "h(2,1) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b818, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_h21
    },
    {
        "HDR_PIPE3_CSCB_H02",
        "h(0,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b81c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_h02
    },
    {
        "HDR_PIPE3_CSCB_H12",
        "h(1,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b820, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_h12
    },
    {
        "HDR_PIPE3_CSCB_H22",
        "h(2,2) coefficient in color space matrix multiply Pipe1 is also called"
        " channel1.",
        4, // Width in bytes
        0x0000b824, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_h22
    },
    {
        "HDR_PIPE3_CSCB_IO_0",
        "A signed 14-bit offset is added to component 0 (R,Y) before matrix mul"
        "tiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000b828, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_io_0
    },
    {
        "HDR_PIPE3_CSCB_IO_1",
        "A signed 14-bit offset is added to component 1 (G,Cb) before matrix mu"
        "ltiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000b82c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_io_1
    },
    {
        "HDR_PIPE3_CSCB_IO_2",
        "A signed 14-bit offset is added to component 2 (B,Cr) before matrix mu"
        "ltiply Pipe1 is also called channel1.",
        4, // Width in bytes
        0x0000b830, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_io_2
    },
    {
        "HDR_PIPE3_CSCB_IO_MIN_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b834, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_io_min_0
    },
    {
        "HDR_PIPE3_CSCB_IO_MIN_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b838, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_io_min_1
    },
    {
        "HDR_PIPE3_CSCB_IO_MIN_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b83c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_io_min_2
    },
    {
        "HDR_PIPE3_CSCB_IO_MAX_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b840, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_io_max_0
    },
    {
        "HDR_PIPE3_CSCB_IO_MAX_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b844, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_io_max_1
    },
    {
        "HDR_PIPE3_CSCB_IO_MAX_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000b848, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_io_max_2
    },
    {
        "HDR_PIPE3_CSCB_NORM",
        "After the CSC matrix multiply, all components of the result are shifte"
        "d right by the amount in this register.",
        4, // Width in bytes
        0x0000b84c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_norm
    },
    {
        "HDR_PIPE3_CSCB_OO_0",
        "After the CSC normalization, this offset value is added to component 0"
        ".",
        4, // Width in bytes
        0x0000b850, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_oo_0
    },
    {
        "HDR_PIPE3_CSCB_OO_1",
        "After the CSC normalization, this offset value is added to component 1"
        ".",
        4, // Width in bytes
        0x0000b854, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_oo_1
    },
    {
        "HDR_PIPE3_CSCB_OO_2",
        "After the CSC normalization, this offset value is added to component 2"
        ".",
        4, // Width in bytes
        0x0000b858, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_oo_2
    },
    {
        "HDR_PIPE3_CSCB_OMIN_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b85c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_omin_0
    },
    {
        "HDR_PIPE3_CSCB_OMIN_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b860, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_omin_1
    },
    {
        "HDR_PIPE3_CSCB_OMIN_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b864, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_omin_2
    },
    {
        "HDR_PIPE3_CSCB_OMAX_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b868, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_omax_0
    },
    {
        "HDR_PIPE3_CSCB_OMAX_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b86c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_omax_1
    },
    {
        "HDR_PIPE3_CSCB_OMAX_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000b870, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_cscb_omax_2
    },
    {
        "HDR_PIPE3_FL2FX",
        "Pipe1 floating point to fixed point control Pipe1 is also called chann"
        "el1.",
        4, // Width in bytes
        0x0000b874, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_fl2fx
    },
    {
        "HDR_PIPE3_ENTRY_30",
        "PIPE3: NOT USED",
        4, // Width in bytes
        0x0000b878, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_med_hdr10_hdr_pipe3_entry_30
    },
    {
        "OPIPE_A0_TABLE",
        "The Linear to Non Linear Conversion is done using a binary search algo"
        "rithm.",
        4, // Width in bytes
        0x0000c000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_opipe_a0_table
    },
    {
        "OPIPE_A1_TABLE",
        "The Linear to Non Linear Conversion is done using a binary search algo"
        "rithm.",
        4, // Width in bytes
        0x0000d000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_opipe_a1_table
    },
    {
        "OPIPE_A2_TABLE",
        "The Linear to Non Linear Conversion is done using a binary search algo"
        "rithm.",
        4, // Width in bytes
        0x0000e000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_opipe_a2_table
    },
    {
        "HDR_OPIPE_CSC_CONTROL_REG",
        "Controls the Color-Space-Converter (CSC) in HDR output stage.",
        4, // Width in bytes
        0x0000f000, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_control_reg
    },
    {
        "HDR_OPIPE_CSC_H00",
        "h(0,0) coefficient in color space matrix multiply",
        4, // Width in bytes
        0x0000f004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_h00
    },
    {
        "HDR_OPIPE_CSC_H10",
        "h(1,0) coefficient in color space matrix multiply",
        4, // Width in bytes
        0x0000f008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_h10
    },
    {
        "HDR_OPIPE_CSC_H20",
        "h(2,0) coefficient in color space matrix multiply",
        4, // Width in bytes
        0x0000f00c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_h20
    },
    {
        "HDR_OPIPE_CSC_H01",
        "h(0,1) coefficient in color space matrix multiply",
        4, // Width in bytes
        0x0000f010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_h01
    },
    {
        "HDR_OPIPE_CSC_H11",
        "h(1,1) coefficient in color space matrix multiply",
        4, // Width in bytes
        0x0000f014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_h11
    },
    {
        "HDR_OPIPE_CSC_H21",
        "h(2,1) coefficient in color space matrix multiply",
        4, // Width in bytes
        0x0000f018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_h21
    },
    {
        "HDR_OPIPE_CSC_H02",
        "h(0,2) coefficient in color space matrix multiply",
        4, // Width in bytes
        0x0000f01c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_h02
    },
    {
        "HDR_OPIPE_CSC_H12",
        "h(1,2) coefficient in color space matrix multiply",
        4, // Width in bytes
        0x0000f020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_h12
    },
    {
        "HDR_",
        "h(2,2) coefficient in color space matrix multiply",
        4, // Width in bytes
        0x0000f024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_
    },
    {
        "HDR_OPIPE_CSC_IO_0",
        "An signed 10-bit offset is added to component 0 (R,Y) before matrix mu"
        "ltiply",
        4, // Width in bytes
        0x0000f028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_io_0
    },
    {
        "HDR_OPIPE_CSC_IO_1",
        "An signed 10-bit offset is added to component 1 (G,Cb) before matrix m"
        "ultiply",
        4, // Width in bytes
        0x0000f02c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_io_1
    },
    {
        "HDR_OPIPE_CSC_IO_2",
        "An signed 10-bit offset is added to component 2 (B,Cr) before matrix m"
        "ultiply",
        4, // Width in bytes
        0x0000f030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_io_2
    },
    {
        "HDR_OPIPE_CSC_MIN_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000f034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_min_0
    },
    {
        "HDR_OPIPE_CSC_MIN_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000f038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_min_1
    },
    {
        "HDR_OPIPE_CSC_MIN_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000f03c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_min_2
    },
    {
        "HDR_OPIPE_CSC_MAX_0",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000f040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_max_0
    },
    {
        "HDR_OPIPE_CSC_MAX_1",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000f044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_max_1
    },
    {
        "HDR_OPIPE_CSC_MAX_2",
        "After the pre-increment, The result is clipped.",
        4, // Width in bytes
        0x0000f048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_max_2
    },
    {
        "HDR_OPIPE_CSC_NORM",
        "After the CSC matrix multiply, all components of the result are shifte"
        "d right by the amount in this register.",
        4, // Width in bytes
        0x0000f04c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_norm
    },
    {
        "HDR_OPIPE_CSC_OO_0",
        "After the CSC normalization, this offset value is added to component 0"
        ".",
        4, // Width in bytes
        0x0000f050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_oo_0
    },
    {
        "HDR_OPIPE_CSC_OO_1",
        "After the CSC normalization, this offset value is added to component 1"
        ".",
        4, // Width in bytes
        0x0000f054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_oo_1
    },
    {
        "HDR_OPIPE_CSC_OO_2",
        "After the CSC normalization, this offset value is added to component 2"
        ".",
        4, // Width in bytes
        0x0000f058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_oo_2
    },
    {
        "HDR_OPIPE_CSC_OMIN_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000f05c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_omin_0
    },
    {
        "HDR_OPIPE_CSC_OMIN_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000f060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_omin_1
    },
    {
        "HDR_OPIPE_CSC_OMIN_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000f064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_omin_2
    },
    {
        "HDR_OPIPE_CSC_OMAX_0",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000f068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_omax_0
    },
    {
        "HDR_OPIPE_CSC_OMAX_1",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000f06c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_omax_1
    },
    {
        "HDR_OPIPE_CSC_OMAX_2",
        "After the post offset is added thie component is clipped.",
        4, // Width in bytes
        0x0000f070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_med_hdr10_hdr_opipe_csc_omax_2
    },
    {
        "HDR_OPIPE_2NL_CONTROL_REG",
        "HDR OUTPUT -TO NON LINEAR pipeline control and fixed_to_float control",
        4, // Width in bytes
        0x0000f874, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_med_hdr10_hdr_opipe_2nl_control_reg
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark RD_SRC
#endif

// Bitfields in register RD_SRC_CTRL_STATUS.
static const field_t hw_rd_src_ctrl_status[] =
{
    {
        "ENABLE",
        "Enable bit for read surface bus master.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BPP",
        "Holds the number of bits/pixel format interface on the input.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SIZE",
        "Holds the AXI system bus transaction size per request in bytes.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_SIZE",
        "Holds the payload size per AXI burst sequence.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_COMP_EN",
        "Enable an interrupt when the read surface engine is finished processin"
        "g a frame.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read response completes with a SLV_ER"
        "R or DEC_ERR.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_SIZE",
        "This is the fifo size implemented in the HW.",
        16, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAME_COMP",
        "Status bit that indicates the current frame processing is complete.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit that indicates an AXI read response terminates with a SLV_E"
        "RR or DEC_ERR.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RD_SRC_CTRL_STATUS_SET.
static const field_t hw_rd_src_ctrl_status_set[] =
{
    {
        "ENABLE",
        "Enable bit for read surface bus master.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BPP",
        "Holds the number of bits/pixel format interface on the input.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SIZE",
        "Holds the AXI system bus transaction size per request in bytes.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_SIZE",
        "Holds the payload size per AXI burst sequence.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_COMP_EN",
        "Enable an interrupt when the read surface engine is finished processin"
        "g a frame.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read response completes with a SLV_ER"
        "R or DEC_ERR.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_SIZE",
        "This is the fifo size implemented in the HW.",
        16, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAME_COMP",
        "Status bit that indicates the current frame processing is complete.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit that indicates an AXI read response terminates with a SLV_E"
        "RR or DEC_ERR.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RD_SRC_CTRL_STATUS_CLR.
static const field_t hw_rd_src_ctrl_status_clr[] =
{
    {
        "ENABLE",
        "Enable bit for read surface bus master.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BPP",
        "Holds the number of bits/pixel format interface on the input.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SIZE",
        "Holds the AXI system bus transaction size per request in bytes.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_SIZE",
        "Holds the payload size per AXI burst sequence.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_COMP_EN",
        "Enable an interrupt when the read surface engine is finished processin"
        "g a frame.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read response completes with a SLV_ER"
        "R or DEC_ERR.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_SIZE",
        "This is the fifo size implemented in the HW.",
        16, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAME_COMP",
        "Status bit that indicates the current frame processing is complete.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit that indicates an AXI read response terminates with a SLV_E"
        "RR or DEC_ERR.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RD_SRC_CTRL_STATUS_TOG.
static const field_t hw_rd_src_ctrl_status_tog[] =
{
    {
        "ENABLE",
        "Enable bit for read surface bus master.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BPP",
        "Holds the number of bits/pixel format interface on the input.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SIZE",
        "Holds the AXI system bus transaction size per request in bytes.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_SIZE",
        "Holds the payload size per AXI burst sequence.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_COMP_EN",
        "Enable an interrupt when the read surface engine is finished processin"
        "g a frame.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR_EN",
        "Enable an interrupt when the AXI read response completes with a SLV_ER"
        "R or DEC_ERR.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_SIZE",
        "This is the fifo size implemented in the HW.",
        16, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAME_COMP",
        "Status bit that indicates the current frame processing is complete.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ERR",
        "Status bit that indicates an AXI read response terminates with a SLV_E"
        "RR or DEC_ERR.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RD_SRC_BASE_ADDR.
static const field_t hw_rd_src_base_addr[] =
{
    {
        "BASE_ADDR",
        "System address of source buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RD_SRC_PITCH.
static const field_t hw_rd_src_pitch[] =
{
    {
        "PITCH",
        "Number of bytes between 2 vertically adjacent pixels in system memory.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RD_SRC_WIDTH.
static const field_t hw_rd_src_width[] =
{
    {
        "WIDTH",
        "Width, in pixels, of the source frame buffer.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RD_SRC_HEIGHT.
static const field_t hw_rd_src_height[] =
{
    {
        "HEIGHT",
        "Height, in pixels, of the source frame buffer.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a RD_SRC module.
static const reg_t hw_rd_src[] =
{
    {
        "CTRL_STATUS",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_rd_src_ctrl_status
    },
    {
        "CTRL_STATUS_SET",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_rd_src_ctrl_status_set
    },
    {
        "CTRL_STATUS_CLR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_rd_src_ctrl_status_clr
    },
    {
        "CTRL_STATUS_TOG",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_rd_src_ctrl_status_tog
    },
    {
        "BASE_ADDR",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rd_src_base_addr
    },
    {
        "PITCH",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rd_src_pitch
    },
    {
        "WIDTH",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rd_src_width
    },
    {
        "HEIGHT",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rd_src_height
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SUBSAM
#endif

// Bitfields in register SUBSAM_SS_SYS_CTRL.
static const field_t hw_subsam_ss_sys_ctrl[] =
{
    {
        "RUN_EN",
        "Software sets this bit to indicate when the subsam module is ready to "
        "be enabled.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_SYS_CTRL_SET.
static const field_t hw_subsam_ss_sys_ctrl_set[] =
{
    {
        "RUN_EN",
        "Software sets this bit to indicate when the subsam module is ready to "
        "be enabled.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_SYS_CTRL_CLR.
static const field_t hw_subsam_ss_sys_ctrl_clr[] =
{
    {
        "RUN_EN",
        "Software sets this bit to indicate when the subsam module is ready to "
        "be enabled.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_SYS_CTRL_TOG.
static const field_t hw_subsam_ss_sys_ctrl_tog[] =
{
    {
        "RUN_EN",
        "Software sets this bit to indicate when the subsam module is ready to "
        "be enabled.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DISPLAY.
static const field_t hw_subsam_ss_display[] =
{
    {
        "LRC_X",
        "Holds the lower right corner x coordinate.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRC_Y",
        "Holds the lower right corner y coordinate.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DISPLAY_SET.
static const field_t hw_subsam_ss_display_set[] =
{
    {
        "LRC_X",
        "Holds the lower right corner x coordinate.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRC_Y",
        "Holds the lower right corner y coordinate.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DISPLAY_CLR.
static const field_t hw_subsam_ss_display_clr[] =
{
    {
        "LRC_X",
        "Holds the lower right corner x coordinate.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRC_Y",
        "Holds the lower right corner y coordinate.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DISPLAY_TOG.
static const field_t hw_subsam_ss_display_tog[] =
{
    {
        "LRC_X",
        "Holds the lower right corner x coordinate.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRC_Y",
        "Holds the lower right corner y coordinate.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_HSYNC.
static const field_t hw_subsam_ss_hsync[] =
{
    {
        "START",
        "horizontal sync is asserted when horizontal count == START",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END",
        "horizontal sync is de-asserted when horizontal count == END",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of sync signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_HSYNC_SET.
static const field_t hw_subsam_ss_hsync_set[] =
{
    {
        "START",
        "horizontal sync is asserted when horizontal count == START",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END",
        "horizontal sync is de-asserted when horizontal count == END",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of sync signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_HSYNC_CLR.
static const field_t hw_subsam_ss_hsync_clr[] =
{
    {
        "START",
        "horizontal sync is asserted when horizontal count == START",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END",
        "horizontal sync is de-asserted when horizontal count == END",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of sync signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_HSYNC_TOG.
static const field_t hw_subsam_ss_hsync_tog[] =
{
    {
        "START",
        "horizontal sync is asserted when horizontal count == START",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END",
        "horizontal sync is de-asserted when horizontal count == END",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of sync signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_VSYNC.
static const field_t hw_subsam_ss_vsync[] =
{
    {
        "START",
        "When v_count = START and h_count = CSR_SS_LRC_X then vsync goes active",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END",
        "When v_count = END h_count = CSR_SS_LRC_X vsync goes inactive",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of sync signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_VSYNC_SET.
static const field_t hw_subsam_ss_vsync_set[] =
{
    {
        "START",
        "When v_count = START and h_count = CSR_SS_LRC_X then vsync goes active",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END",
        "When v_count = END h_count = CSR_SS_LRC_X vsync goes inactive",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of sync signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_VSYNC_CLR.
static const field_t hw_subsam_ss_vsync_clr[] =
{
    {
        "START",
        "When v_count = START and h_count = CSR_SS_LRC_X then vsync goes active",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END",
        "When v_count = END h_count = CSR_SS_LRC_X vsync goes inactive",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of sync signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_VSYNC_TOG.
static const field_t hw_subsam_ss_vsync_tog[] =
{
    {
        "START",
        "When v_count = START and h_count = CSR_SS_LRC_X then vsync goes active",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END",
        "When v_count = END h_count = CSR_SS_LRC_X vsync goes inactive",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of sync signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DE_ULC.
static const field_t hw_subsam_ss_de_ulc[] =
{
    {
        "ULC_X",
        "Horizontal position in the scan line that determines when DE goes acti"
        "ve.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ULC_Y",
        "Vertical position in the display that determines when the DE goes acti"
        "ve.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of DE signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DE_ULC_SET.
static const field_t hw_subsam_ss_de_ulc_set[] =
{
    {
        "ULC_X",
        "Horizontal position in the scan line that determines when DE goes acti"
        "ve.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ULC_Y",
        "Vertical position in the display that determines when the DE goes acti"
        "ve.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of DE signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DE_ULC_CLR.
static const field_t hw_subsam_ss_de_ulc_clr[] =
{
    {
        "ULC_X",
        "Horizontal position in the scan line that determines when DE goes acti"
        "ve.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ULC_Y",
        "Vertical position in the display that determines when the DE goes acti"
        "ve.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of DE signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DE_ULC_TOG.
static const field_t hw_subsam_ss_de_ulc_tog[] =
{
    {
        "ULC_X",
        "Horizontal position in the scan line that determines when DE goes acti"
        "ve.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ULC_Y",
        "Vertical position in the display that determines when the DE goes acti"
        "ve.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POL",
        "Polarity of DE signal.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DE_LRC.
static const field_t hw_subsam_ss_de_lrc[] =
{
    {
        "LRC_X",
        "Horizontal position in the scan line that determines when DE goes inac"
        "tive.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRC_Y",
        "Vertical position in the display that determines when the DE goes inac"
        "tive.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DE_LRC_SET.
static const field_t hw_subsam_ss_de_lrc_set[] =
{
    {
        "LRC_X",
        "Horizontal position in the scan line that determines when DE goes inac"
        "tive.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRC_Y",
        "Vertical position in the display that determines when the DE goes inac"
        "tive.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DE_LRC_CLR.
static const field_t hw_subsam_ss_de_lrc_clr[] =
{
    {
        "LRC_X",
        "Horizontal position in the scan line that determines when DE goes inac"
        "tive.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRC_Y",
        "Vertical position in the display that determines when the DE goes inac"
        "tive.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_DE_LRC_TOG.
static const field_t hw_subsam_ss_de_lrc_tog[] =
{
    {
        "LRC_X",
        "Horizontal position in the scan line that determines when DE goes inac"
        "tive.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRC_Y",
        "Vertical position in the display that determines when the DE goes inac"
        "tive.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_MODE.
static const field_t hw_subsam_ss_mode[] =
{
    {
        "PIPE_MODE",
        "Sets the sub-sampler mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL0_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the lowest 12-bit position (hdmi_pdata[11:0]) on the output 36-bit"
        " pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL1_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the middle 12-bit position (hdmi_pdata[23:12]) on the output 36-bi"
        "t pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL2_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the highest 12-bit position (hdmi_pdata[35:24]) on the output 36-b"
        "it pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL0_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Cb component on the input 36-bit pixel bus (pixdp_data[35:0]): 00"
        ": Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL1_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Cr component on the input 36-bit pixel bus (pixdp_data[35:0]): 00"
        ": Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL2_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Y component on the input 36-bit pixel bus (pixdp_data[35:0]): 00:"
        " Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_MODE_SET.
static const field_t hw_subsam_ss_mode_set[] =
{
    {
        "PIPE_MODE",
        "Sets the sub-sampler mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL0_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the lowest 12-bit position (hdmi_pdata[11:0]) on the output 36-bit"
        " pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL1_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the middle 12-bit position (hdmi_pdata[23:12]) on the output 36-bi"
        "t pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL2_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the highest 12-bit position (hdmi_pdata[35:24]) on the output 36-b"
        "it pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL0_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Cb component on the input 36-bit pixel bus (pixdp_data[35:0]): 00"
        ": Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL1_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Cr component on the input 36-bit pixel bus (pixdp_data[35:0]): 00"
        ": Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL2_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Y component on the input 36-bit pixel bus (pixdp_data[35:0]): 00:"
        " Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_MODE_CLR.
static const field_t hw_subsam_ss_mode_clr[] =
{
    {
        "PIPE_MODE",
        "Sets the sub-sampler mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL0_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the lowest 12-bit position (hdmi_pdata[11:0]) on the output 36-bit"
        " pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL1_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the middle 12-bit position (hdmi_pdata[23:12]) on the output 36-bi"
        "t pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL2_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the highest 12-bit position (hdmi_pdata[35:24]) on the output 36-b"
        "it pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL0_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Cb component on the input 36-bit pixel bus (pixdp_data[35:0]): 00"
        ": Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL1_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Cr component on the input 36-bit pixel bus (pixdp_data[35:0]): 00"
        ": Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL2_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Y component on the input 36-bit pixel bus (pixdp_data[35:0]): 00:"
        " Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_MODE_TOG.
static const field_t hw_subsam_ss_mode_tog[] =
{
    {
        "PIPE_MODE",
        "Sets the sub-sampler mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL0_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the lowest 12-bit position (hdmi_pdata[11:0]) on the output 36-bit"
        " pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL1_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the middle 12-bit position (hdmi_pdata[23:12]) on the output 36-bi"
        "t pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL2_OUT",
        "This register field is used to select which 12-bit pixel lane is MUXed"
        " to the highest 12-bit position (hdmi_pdata[35:24]) on the output 36-b"
        "it pixel bus: 00: Cr 01: Cb 10: Y 11: N/A",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL0_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Cb component on the input 36-bit pixel bus (pixdp_data[35:0]): 00"
        ": Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL1_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Cr component on the input 36-bit pixel bus (pixdp_data[35:0]): 00"
        ": Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMP_SEL2_IN",
        "This register field is used to select which 12-bit pixel lane contains"
        " the Y component on the input 36-bit pixel bus (pixdp_data[35:0]): 00:"
        " Bits [11:0] 01: Bits [23:12] 10: Bits [35:24] 11: N/A",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_COEFF.
static const field_t hw_subsam_ss_coeff[] =
{
    {
        "HORIZ_A",
        "Sets the 4 bit horizontal A coefficient.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_B",
        "Sets the 4 bit horizontal B coefficient.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_C",
        "Sets the 4 bit horizontal C coefficient.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_NORM",
        "Sets the 3 bit horizontal filter normalization factor.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_A",
        "Sets the 4 bit vertical A coefficient.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_B",
        "Sets the 4 bit vertical B coefficient.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_C",
        "Sets the 4 bit vertical C coefficient.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_NORM",
        "Sets the 3 bit vertical filter normalization factor.",
        28, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_COEFF_SET.
static const field_t hw_subsam_ss_coeff_set[] =
{
    {
        "HORIZ_A",
        "Sets the 4 bit horizontal A coefficient.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_B",
        "Sets the 4 bit horizontal B coefficient.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_C",
        "Sets the 4 bit horizontal C coefficient.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_NORM",
        "Sets the 3 bit horizontal filter normalization factor.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_A",
        "Sets the 4 bit vertical A coefficient.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_B",
        "Sets the 4 bit vertical B coefficient.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_C",
        "Sets the 4 bit vertical C coefficient.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_NORM",
        "Sets the 3 bit vertical filter normalization factor.",
        28, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_COEFF_CLR.
static const field_t hw_subsam_ss_coeff_clr[] =
{
    {
        "HORIZ_A",
        "Sets the 4 bit horizontal A coefficient.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_B",
        "Sets the 4 bit horizontal B coefficient.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_C",
        "Sets the 4 bit horizontal C coefficient.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_NORM",
        "Sets the 3 bit horizontal filter normalization factor.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_A",
        "Sets the 4 bit vertical A coefficient.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_B",
        "Sets the 4 bit vertical B coefficient.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_C",
        "Sets the 4 bit vertical C coefficient.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_NORM",
        "Sets the 3 bit vertical filter normalization factor.",
        28, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_COEFF_TOG.
static const field_t hw_subsam_ss_coeff_tog[] =
{
    {
        "HORIZ_A",
        "Sets the 4 bit horizontal A coefficient.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_B",
        "Sets the 4 bit horizontal B coefficient.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_C",
        "Sets the 4 bit horizontal C coefficient.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZ_NORM",
        "Sets the 3 bit horizontal filter normalization factor.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_A",
        "Sets the 4 bit vertical A coefficient.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_B",
        "Sets the 4 bit vertical B coefficient.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_C",
        "Sets the 4 bit vertical C coefficient.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VERT_NORM",
        "Sets the 3 bit vertical filter normalization factor.",
        28, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CLIP_CB.
static const field_t hw_subsam_ss_clip_cb[] =
{
    {
        "MIN",
        "Set minimum value for Cb clipping function.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX",
        "Set maximum value for Cb clipping function.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CLIP_CB_SET.
static const field_t hw_subsam_ss_clip_cb_set[] =
{
    {
        "MIN",
        "Set minimum value for Cb clipping function.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX",
        "Set maximum value for Cb clipping function.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CLIP_CB_CLR.
static const field_t hw_subsam_ss_clip_cb_clr[] =
{
    {
        "MIN",
        "Set minimum value for Cb clipping function.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX",
        "Set maximum value for Cb clipping function.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CLIP_CB_TOG.
static const field_t hw_subsam_ss_clip_cb_tog[] =
{
    {
        "MIN",
        "Set minimum value for Cb clipping function.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX",
        "Set maximum value for Cb clipping function.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CLIP_CR.
static const field_t hw_subsam_ss_clip_cr[] =
{
    {
        "MIN",
        "Set minimum value for Cr clipping function.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX",
        "Set maximum value for Cr clipping function.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CLIP_CR_SET.
static const field_t hw_subsam_ss_clip_cr_set[] =
{
    {
        "MIN",
        "Set minimum value for Cr clipping function.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX",
        "Set maximum value for Cr clipping function.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CLIP_CR_CLR.
static const field_t hw_subsam_ss_clip_cr_clr[] =
{
    {
        "MIN",
        "Set minimum value for Cr clipping function.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX",
        "Set maximum value for Cr clipping function.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CLIP_CR_TOG.
static const field_t hw_subsam_ss_clip_cr_tog[] =
{
    {
        "MIN",
        "Set minimum value for Cr clipping function.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX",
        "Set maximum value for Cr clipping function.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_INTER_MODE.
static const field_t hw_subsam_ss_inter_mode[] =
{
    {
        "INT_EN",
        "Set this bit to 1 to enable interlaced HDMI timing.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_SHIFT",
        "Set 0 to run in general interlaced mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_INTER_MODE_SET.
static const field_t hw_subsam_ss_inter_mode_set[] =
{
    {
        "INT_EN",
        "Set this bit to 1 to enable interlaced HDMI timing.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_SHIFT",
        "Set 0 to run in general interlaced mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_INTER_MODE_CLR.
static const field_t hw_subsam_ss_inter_mode_clr[] =
{
    {
        "INT_EN",
        "Set this bit to 1 to enable interlaced HDMI timing.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_SHIFT",
        "Set 0 to run in general interlaced mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_INTER_MODE_TOG.
static const field_t hw_subsam_ss_inter_mode_tog[] =
{
    {
        "INT_EN",
        "Set this bit to 1 to enable interlaced HDMI timing.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_SHIFT",
        "Set 0 to run in general interlaced mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CHKSUM_CTRL.
static const field_t hw_subsam_ss_chksum_ctrl[] =
{
    {
        "CHKSUM_EN",
        "This register field is used to enable or disable the checksum hardware"
        " from running.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM_FRAMES",
        "This register field is used to select the duration of a checksum measu"
        "rement.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CHKSUM_START.
static const field_t hw_subsam_ss_chksum_start[] =
{
    {
        "VCOUNT_START",
        "This register field selects the starting vertical coordinate within a "
        "frame to begin running the checksum generator.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HCOUNT_START",
        "This register field selects the starting horizontal coordinate within "
        "a frame to begin running the checksum generator.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CHKSUM_END.
static const field_t hw_subsam_ss_chksum_end[] =
{
    {
        "VCOUNT_END",
        "This register field selects the vertical coordinate within a frame to "
        "stop running the checksum generator.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HCOUNT_END",
        "This register field selects the horizontal coordinate within a frame t"
        "o stop running the checksum generator.",
        16, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CHKSUM_DATA_LOW.
static const field_t hw_subsam_ss_chksum_data_low[] =
{
    {
        "CHKSUM_RESULT",
        "This register holds the lowest 32-bits of the 42-bit checksum result.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SUBSAM_SS_CHKSUM_DATA_HIGH.
static const field_t hw_subsam_ss_chksum_data_high[] =
{
    {
        "CHKSUM_RESULT",
        "This register holds the lowest 32-bits of the 42-bit checksum result.",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHKSUM_VLD",
        "This register field is used to indicate then the CHKSUM_RESULT is vali"
        "d.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SUBSAM module.
static const reg_t hw_subsam[] =
{
    {
        "SS_SYS_CTRL",
        "The ss_sys_ctrl register contains all top level system control fields.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_subsam_ss_sys_ctrl
    },
    {
        "SS_SYS_CTRL_SET",
        "The ss_sys_ctrl register contains all top level system control fields.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_subsam_ss_sys_ctrl_set
    },
    {
        "SS_SYS_CTRL_CLR",
        "The ss_sys_ctrl register contains all top level system control fields.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_subsam_ss_sys_ctrl_clr
    },
    {
        "SS_SYS_CTRL_TOG",
        "The ss_sys_ctrl register contains all top level system control fields.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_subsam_ss_sys_ctrl_tog
    },
    {
        "SS_DISPLAY",
        "The csr_ss_display register defines the entire size of the display tim"
        "ing window.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_display
    },
    {
        "SS_DISPLAY_SET",
        "The csr_ss_display register defines the entire size of the display tim"
        "ing window.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_display_set
    },
    {
        "SS_DISPLAY_CLR",
        "The csr_ss_display register defines the entire size of the display tim"
        "ing window.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_display_clr
    },
    {
        "SS_DISPLAY_TOG",
        "The csr_ss_display register defines the entire size of the display tim"
        "ing window.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_display_tog
    },
    {
        "SS_HSYNC",
        "Defines when horizontal sync signal goes high/low.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_hsync
    },
    {
        "SS_HSYNC_SET",
        "Defines when horizontal sync signal goes high/low.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_hsync_set
    },
    {
        "SS_HSYNC_CLR",
        "Defines when horizontal sync signal goes high/low.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_hsync_clr
    },
    {
        "SS_HSYNC_TOG",
        "Defines when horizontal sync signal goes high/low.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_hsync_tog
    },
    {
        "SS_VSYNC",
        "Defines Y coordinate when vertical sync signal goes high/low.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_vsync
    },
    {
        "SS_VSYNC_SET",
        "Defines Y coordinate when vertical sync signal goes high/low.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_vsync_set
    },
    {
        "SS_VSYNC_CLR",
        "Defines Y coordinate when vertical sync signal goes high/low.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_vsync_clr
    },
    {
        "SS_VSYNC_TOG",
        "Defines Y coordinate when vertical sync signal goes high/low.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_vsync_tog
    },
    {
        "SS_DE_ULC",
        "Upper left coordinate of frame that defines when DE goes active.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_de_ulc
    },
    {
        "SS_DE_ULC_SET",
        "Upper left coordinate of frame that defines when DE goes active.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_de_ulc_set
    },
    {
        "SS_DE_ULC_CLR",
        "Upper left coordinate of frame that defines when DE goes active.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_de_ulc_clr
    },
    {
        "SS_DE_ULC_TOG",
        "Upper left coordinate of frame that defines when DE goes active.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_subsam_ss_de_ulc_tog
    },
    {
        "SS_DE_LRC",
        "Lower right coordinate that defines when DE goes NOT active.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_de_lrc
    },
    {
        "SS_DE_LRC_SET",
        "Lower right coordinate that defines when DE goes NOT active.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_de_lrc_set
    },
    {
        "SS_DE_LRC_CLR",
        "Lower right coordinate that defines when DE goes NOT active.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_de_lrc_clr
    },
    {
        "SS_DE_LRC_TOG",
        "Lower right coordinate that defines when DE goes NOT active.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_de_lrc_tog
    },
    {
        "SS_MODE",
        "This register is used to select the type of chroma sub-sampling used.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_subsam_ss_mode
    },
    {
        "SS_MODE_SET",
        "This register is used to select the type of chroma sub-sampling used.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_subsam_ss_mode_set
    },
    {
        "SS_MODE_CLR",
        "This register is used to select the type of chroma sub-sampling used.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_subsam_ss_mode_clr
    },
    {
        "SS_MODE_TOG",
        "This register is used to select the type of chroma sub-sampling used.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_subsam_ss_mode_tog
    },
    {
        "SS_COEFF",
        "Holds coefficients for both vertical + horizontal filters.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_subsam_ss_coeff
    },
    {
        "SS_COEFF_SET",
        "Holds coefficients for both vertical + horizontal filters.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_subsam_ss_coeff_set
    },
    {
        "SS_COEFF_CLR",
        "Holds coefficients for both vertical + horizontal filters.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_subsam_ss_coeff_clr
    },
    {
        "SS_COEFF_TOG",
        "Holds coefficients for both vertical + horizontal filters.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_subsam_ss_coeff_tog
    },
    {
        "SS_CLIP_CB",
        "Contains clipping fields for Cb chroma components.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_clip_cb
    },
    {
        "SS_CLIP_CB_SET",
        "Contains clipping fields for Cb chroma components.",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_clip_cb_set
    },
    {
        "SS_CLIP_CB_CLR",
        "Contains clipping fields for Cb chroma components.",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_clip_cb_clr
    },
    {
        "SS_CLIP_CB_TOG",
        "Contains clipping fields for Cb chroma components.",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_clip_cb_tog
    },
    {
        "SS_CLIP_CR",
        "Contains clipping fields for Cr chroma components.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_clip_cr
    },
    {
        "SS_CLIP_CR_SET",
        "Contains clipping fields for Cr chroma components.",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_clip_cr_set
    },
    {
        "SS_CLIP_CR_CLR",
        "Contains clipping fields for Cr chroma components.",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_clip_cr_clr
    },
    {
        "SS_CLIP_CR_TOG",
        "Contains clipping fields for Cr chroma components.",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_clip_cr_tog
    },
    {
        "SS_INTER_MODE",
        "Contains bits to enable HDMI timing in interlaced mode.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_inter_mode
    },
    {
        "SS_INTER_MODE_SET",
        "Contains bits to enable HDMI timing in interlaced mode.",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_inter_mode_set
    },
    {
        "SS_INTER_MODE_CLR",
        "Contains bits to enable HDMI timing in interlaced mode.",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_inter_mode_clr
    },
    {
        "SS_INTER_MODE_TOG",
        "Contains bits to enable HDMI timing in interlaced mode.",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_inter_mode_tog
    },
    {
        "SS_CHKSUM_CTRL",
        "The CSS contains a checksum generator in the output stage of the pixel"
        " datapath.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_chksum_ctrl
    },
    {
        "SS_CHKSUM_START",
        "This register is used to define the starting coordinate within a frame"
        " for the checksum accumulator to begin running.",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_chksum_start
    },
    {
        "SS_CHKSUM_END",
        "This register is used to define the end coordinate within a frame for "
        "the checksum accumulator to stop running.",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_chksum_end
    },
    {
        "SS_CHKSUM_DATA_LOW",
        "This register holds the lowest 32-bits of the 42-bit checksum result.",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_subsam_ss_chksum_data_low
    },
    {
        "SS_CHKSUM_DATA_HIGH",
        "This register holds the upper 10-bits of the 42-bit checksum result.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_subsam_ss_chksum_data_high
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark WR_SCL
#endif

// Bitfields in register WR_SCL_CTRL_STATUS.
static const field_t hw_wr_scl_ctrl_status[] =
{
    {
        "ENABLE",
        "Enable bit for the write_scalar.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT",
        "Repeat bit for the write_scalar.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BPP",
        "Holds the number of bits / pixel format interface on the output.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SIZE",
        "Holds the transaction size / request.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_SIZE",
        "Holds the payload size.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_FREQ",
        "P_FREQ*8 is the number of clocks between payload requests.",
        10, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_SIZE",
        "This is the fifo size in the HW.",
        18, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAME_COMP_EN",
        "If set, it allows FRAME_COMP to create an irq whenever processing a fr"
        "ame finishes.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_COMP",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ERR_EN",
        "If set, it allows WR_ERR to create an irq whenever there is an error r"
        "esponsde to a write request.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ERR",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WR_SCL_CTRL_STATUS_SET.
static const field_t hw_wr_scl_ctrl_status_set[] =
{
    {
        "ENABLE",
        "Enable bit for the write_scalar.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT",
        "Repeat bit for the write_scalar.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BPP",
        "Holds the number of bits / pixel format interface on the output.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SIZE",
        "Holds the transaction size / request.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_SIZE",
        "Holds the payload size.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_FREQ",
        "P_FREQ*8 is the number of clocks between payload requests.",
        10, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_SIZE",
        "This is the fifo size in the HW.",
        18, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAME_COMP_EN",
        "If set, it allows FRAME_COMP to create an irq whenever processing a fr"
        "ame finishes.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_COMP",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ERR_EN",
        "If set, it allows WR_ERR to create an irq whenever there is an error r"
        "esponsde to a write request.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ERR",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WR_SCL_CTRL_STATUS_CLR.
static const field_t hw_wr_scl_ctrl_status_clr[] =
{
    {
        "ENABLE",
        "Enable bit for the write_scalar.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT",
        "Repeat bit for the write_scalar.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BPP",
        "Holds the number of bits / pixel format interface on the output.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SIZE",
        "Holds the transaction size / request.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_SIZE",
        "Holds the payload size.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_FREQ",
        "P_FREQ*8 is the number of clocks between payload requests.",
        10, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_SIZE",
        "This is the fifo size in the HW.",
        18, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAME_COMP_EN",
        "If set, it allows FRAME_COMP to create an irq whenever processing a fr"
        "ame finishes.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_COMP",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ERR_EN",
        "If set, it allows WR_ERR to create an irq whenever there is an error r"
        "esponsde to a write request.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ERR",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WR_SCL_CTRL_STATUS_TOG.
static const field_t hw_wr_scl_ctrl_status_tog[] =
{
    {
        "ENABLE",
        "Enable bit for the write_scalar.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT",
        "Repeat bit for the write_scalar.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BPP",
        "Holds the number of bits / pixel format interface on the output.",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SIZE",
        "Holds the transaction size / request.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_SIZE",
        "Holds the payload size.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "P_FREQ",
        "P_FREQ*8 is the number of clocks between payload requests.",
        10, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_SIZE",
        "This is the fifo size in the HW.",
        18, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAME_COMP_EN",
        "If set, it allows FRAME_COMP to create an irq whenever processing a fr"
        "ame finishes.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAME_COMP",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ERR_EN",
        "If set, it allows WR_ERR to create an irq whenever there is an error r"
        "esponsde to a write request.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ERR",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WR_SCL_BASE_ADDR.
static const field_t hw_wr_scl_base_addr[] =
{
    {
        "BASE_ADDR",
        "System address of source buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WR_SCL_PITCH.
static const field_t hw_wr_scl_pitch[] =
{
    {
        "PITCH",
        "Number of bytes between 2 vertically adjacent pixels in system memory.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a WR_SCL module.
static const reg_t hw_wr_scl[] =
{
    {
        "CTRL_STATUS",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_wr_scl_ctrl_status
    },
    {
        "CTRL_STATUS_SET",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_wr_scl_ctrl_status_set
    },
    {
        "CTRL_STATUS_CLR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_wr_scl_ctrl_status_clr
    },
    {
        "CTRL_STATUS_TOG",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_wr_scl_ctrl_status_tog
    },
    {
        "BASE_ADDR",
        "First comment.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_wr_scl_base_addr
    },
    {
        "PITCH",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_wr_scl_pitch
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark DDRC_REGS
#endif

// Bitfields in register DDRC_REGS_MSTR.
static const field_t hw_ddrc_regs_mstr[] =
{
    {
        "DDR3",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDDR2",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDDR3",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR4",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDDR4",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURSTCHOP",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_2T_TIMING_MODE",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GEARDOWN_MODE",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_BUS_WIDTH",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_OFF_MODE",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_RDWR",
        "All other values are reserved.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FREQUENCY_RATIO",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_RANKS",
        "1 - populated 0 - unpopulated LSB is the lowest rank number.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FREQUENCY_MODE",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEVICE_CONFIG",
        "",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_STAT.
static const field_t hw_ddrc_regs_stat[] =
{
    {
        "OPERATING_MODE",
        "This is 3-bits wide in configurations with mDDR/LPDDR2/LPDDR3/LPDDR4/D"
        "DR4 support and 2-bits in all other configurations.",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELFREF_TYPE",
        "",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SELFREF_STATE",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_MRCTRL0.
static const field_t hw_ddrc_regs_mrctrl0[] =
{
    {
        "MR_TYPE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MPR_EN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDA_EN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_INIT_INT",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR_RANK",
        "",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR_ADDR",
        "Don't Care for LPDDR2/LPDDR3/LPDDR4 (see MRCTRL1.mr_data for mode regi"
        "ster addressing in LPDDR2/LPDDR3/LPDDR4) This signal is also used for "
        "writing to control words of the register chip on RDIMMs/LRDIMMs.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PBA_MODE",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR_WR",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_MRCTRL1.
static const field_t hw_ddrc_regs_mrctrl1[] =
{
    {
        "MR_DATA",
        "",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_MRSTAT.
static const field_t hw_ddrc_regs_mrstat[] =
{
    {
        "MR_WR_BUSY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDA_DONE",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_MRCTRL2.
static const field_t hw_ddrc_regs_mrctrl2[] =
{
    {
        "MR_DEVICE_SEL",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DERATEEN.
static const field_t hw_ddrc_regs_derateen[] =
{
    {
        "DERATE_ENABLE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DERATE_VALUE",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DERATE_BYTE",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_DERATE_VALUE",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DERATEINT.
static const field_t hw_ddrc_regs_derateint[] =
{
    {
        "MR4_READ_INTERVAL",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PWRCTL.
static const field_t hw_ddrc_regs_pwrctl[] =
{
    {
        "SELFREF_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POWERDOWN_EN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEEPPOWERDOWN_EN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_DFI_DRAM_CLK_DISABLE",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MPSM_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELFREF_SW",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STAY_IN_SELFREF",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PWRTMG.
static const field_t hw_ddrc_regs_pwrtmg[] =
{
    {
        "POWERDOWN_TO_X32",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_DPD_X4096",
        "",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SELFREF_TO_X32",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_HWLPCTL.
static const field_t hw_ddrc_regs_hwlpctl[] =
{
    {
        "HW_LP_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HW_LP_EXIT_IDLE_EN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HW_LP_IDLE_X32",
        "",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_RFSHCTL0.
static const field_t hw_ddrc_regs_rfshctl0[] =
{
    {
        "PER_BANK_REFRESH",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_BURST",
        "",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_TO_X32",
        "",
        12, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_MARGIN",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_RFSHCTL1.
static const field_t hw_ddrc_regs_rfshctl1[] =
{
    {
        "REFRESH_TIMER0_START_VALUE_X32",
        "",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_TIMER1_START_VALUE_X32",
        "",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_RFSHCTL3.
static const field_t hw_ddrc_regs_rfshctl3[] =
{
    {
        "DIS_AUTO_REFRESH",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_UPDATE_LEVEL",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_MODE",
        "",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_RFSHTMG.
static const field_t hw_ddrc_regs_rfshtmg[] =
{
    {
        "T_RFC_MIN",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDDR3_TREFBW_EN",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RFC_NOM_X32",
        "",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_CRCPARCTL0.
static const field_t hw_ddrc_regs_crcparctl0[] =
{
    {
        "DFI_ALERT_ERR_INT_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_ALERT_ERR_INT_CLR",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_ALERT_ERR_CNT_CLR",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_CRCPARCTL1.
static const field_t hw_ddrc_regs_crcparctl1[] =
{
    {
        "PARITY_ENABLE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_ENABLE",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_INC_DM",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAPARITY_DISABLE_BEFORE_SR",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_CRCPARSTAT.
static const field_t hw_ddrc_regs_crcparstat[] =
{
    {
        "DFI_ALERT_ERR_CNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DFI_ALERT_ERR_INT",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT0.
static const field_t hw_ddrc_regs_init0[] =
{
    {
        "PRE_CKE_X1024",
        "",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POST_CKE_X1024",
        "",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SKIP_DRAM_INIT",
        "",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT1.
static const field_t hw_ddrc_regs_init1[] =
{
    {
        "PRE_OCD_X32",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRAM_RSTN_X1024",
        "",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT2.
static const field_t hw_ddrc_regs_init2[] =
{
    {
        "MIN_STABLE_CLOCK_X1",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDLE_AFTER_RESET_X32",
        "",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT3.
static const field_t hw_ddrc_regs_init3[] =
{
    {
        "EMR",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT4.
static const field_t hw_ddrc_regs_init4[] =
{
    {
        "EMR3",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMR2",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT5.
static const field_t hw_ddrc_regs_init5[] =
{
    {
        "MAX_AUTO_INIT_X1024",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_ZQINIT_X32",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT6.
static const field_t hw_ddrc_regs_init6[] =
{
    {
        "MR5",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR4",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT7.
static const field_t hw_ddrc_regs_init7[] =
{
    {
        "MR6",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DIMMCTL.
static const field_t hw_ddrc_regs_dimmctl[] =
{
    {
        "DIMM_STAGGER_CS_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIMM_ADDR_MIRR_EN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIMM_OUTPUT_INV_EN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MRS_A17_EN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MRS_BG1_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIMM_DIS_BG_MIRRORING",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LRDIMM_BCOM_CMD_PROT",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_RANKCTL.
static const field_t hw_ddrc_regs_rankctl[] =
{
    {
        "MAX_RANK_RD",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIFF_RANK_RD_GAP",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIFF_RANK_WR_GAP",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG0.
static const field_t hw_ddrc_regs_dramtmg0[] =
{
    {
        "T_RAS_MIN",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RAS_MAX",
        "",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_FAW",
        "",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR2PRE",
        "",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG1.
static const field_t hw_ddrc_regs_dramtmg1[] =
{
    {
        "T_RC",
        "",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD2PRE",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XP",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG2.
static const field_t hw_ddrc_regs_dramtmg2[] =
{
    {
        "WR2RD",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD2WR",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_LATENCY",
        "",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_LATENCY",
        "",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG3.
static const field_t hw_ddrc_regs_dramtmg3[] =
{
    {
        "T_MOD",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MRD",
        "",
        12, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MRW",
        "",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG4.
static const field_t hw_ddrc_regs_dramtmg4[] =
{
    {
        "T_RP",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RRD",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CCD",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RCD",
        "",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG5.
static const field_t hw_ddrc_regs_dramtmg5[] =
{
    {
        "T_CKE",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKESR",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKSRE",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKSRX",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG6.
static const field_t hw_ddrc_regs_dramtmg6[] =
{
    {
        "T_CKCSX",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKDPDX",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKDPDE",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG7.
static const field_t hw_ddrc_regs_dramtmg7[] =
{
    {
        "T_CKPDX",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKPDE",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG8.
static const field_t hw_ddrc_regs_dramtmg8[] =
{
    {
        "T_XS_X32",
        "",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XS_DLL_X32",
        "",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XS_ABORT_X32",
        "",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XS_FAST_X32",
        "",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG9.
static const field_t hw_ddrc_regs_dramtmg9[] =
{
    {
        "WR2RD_S",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RRD_S",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CCD_S",
        "",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR4_WR_PREAMBLE",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG10.
static const field_t hw_ddrc_regs_dramtmg10[] =
{
    {
        "T_GEAR_HOLD",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_GEAR_SETUP",
        "",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CMD_GEAR",
        "",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SYNC_GEAR",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG11.
static const field_t hw_ddrc_regs_dramtmg11[] =
{
    {
        "T_CKMPE",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MPX_S",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MPX_LH",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POST_MPSM_GAP_X32",
        "",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG12.
static const field_t hw_ddrc_regs_dramtmg12[] =
{
    {
        "T_MRD_PDA",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKEHCMD",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CMDCKE",
        "",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG13.
static const field_t hw_ddrc_regs_dramtmg13[] =
{
    {
        "T_PPD",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CCD_MW",
        "",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODTLOFF",
        "",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG14.
static const field_t hw_ddrc_regs_dramtmg14[] =
{
    {
        "T_XSR",
        "",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG15.
static const field_t hw_ddrc_regs_dramtmg15[] =
{
    {
        "T_STAB_X32",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_DFI_LP_T_STAB",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ZQCTL0.
static const field_t hw_ddrc_regs_zqctl0[] =
{
    {
        "T_ZQ_SHORT_NOP",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_ZQ_LONG_NOP",
        "",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_MPSMX_ZQCL",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_RESISTOR_SHARED",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_SRX_ZQCL",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_AUTO_ZQ",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ZQCTL1.
static const field_t hw_ddrc_regs_zqctl1[] =
{
    {
        "T_ZQ_SHORT_INTERVAL_X1024",
        "",
        0, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_ZQ_RESET_NOP",
        "",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ZQCTL2.
static const field_t hw_ddrc_regs_zqctl2[] =
{
    {
        "ZQ_RESET",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ZQSTAT.
static const field_t hw_ddrc_regs_zqstat[] =
{
    {
        "ZQ_RESET_BUSY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFITMG0.
static const field_t hw_ddrc_regs_dfitmg0[] =
{
    {
        "DFI_TPHY_WRLAT",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_TPHY_WRDATA",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_WRDATA_USE_SDR",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_RDDATA_EN",
        "",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_RDDATA_USE_SDR",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_CTRL_DELAY",
        "",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFITMG1.
static const field_t hw_ddrc_regs_dfitmg1[] =
{
    {
        "DFI_T_DRAM_CLK_ENABLE",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_DRAM_CLK_DISABLE",
        "",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_WRDATA_DELAY",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_PARIN_LAT",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_CMD_LAT",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFILPCFG0.
static const field_t hw_ddrc_regs_dfilpcfg0[] =
{
    {
        "DFI_LP_EN_PD",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_WAKEUP_PD",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_EN_SR",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_WAKEUP_SR",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_EN_DPD",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_WAKEUP_DPD",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_TLP_RESP",
        "",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFILPCFG1.
static const field_t hw_ddrc_regs_dfilpcfg1[] =
{
    {
        "DFI_LP_EN_MPSM",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_LP_WAKEUP_MPSM",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFIUPD0.
static const field_t hw_ddrc_regs_dfiupd0[] =
{
    {
        "DFI_T_CTRLUP_MIN",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_CTRLUP_MAX",
        "",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRLUPD_PRE_SRX",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_AUTO_CTRLUPD_SRX",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_AUTO_CTRLUPD",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFIUPD1.
static const field_t hw_ddrc_regs_dfiupd1[] =
{
    {
        "DFI_T_CTRLUPD_INTERVAL_MAX_X1024",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_CTRLUPD_INTERVAL_MIN_X1024",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFIUPD2.
static const field_t hw_ddrc_regs_dfiupd2[] =
{
    {
        "DFI_PHYUPD_EN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFIMISC.
static const field_t hw_ddrc_regs_dfimisc[] =
{
    {
        "DFI_INIT_COMPLETE_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHY_DBI_MODE",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_DATA_CS_POLARITY",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTL_IDLE_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_INIT_START",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_FREQUENCY",
        "",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFITMG2.
static const field_t hw_ddrc_regs_dfitmg2[] =
{
    {
        "DFI_TPHY_WRCSLAT",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_TPHY_RDCSLAT",
        "",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFITMG3.
static const field_t hw_ddrc_regs_dfitmg3[] =
{
    {
        "DFI_T_GEARDOWN_DELAY",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFISTAT.
static const field_t hw_ddrc_regs_dfistat[] =
{
    {
        "DFI_INIT_COMPLETE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DFI_LP_ACK",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DBICTL.
static const field_t hw_ddrc_regs_dbictl[] =
{
    {
        "DM_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_DBI_EN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_DBI_EN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP0.
static const field_t hw_ddrc_regs_addrmap0[] =
{
    {
        "ADDRMAP_CS_BIT0",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP1.
static const field_t hw_ddrc_regs_addrmap1[] =
{
    {
        "ADDRMAP_BANK_B0",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_BANK_B1",
        "",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_BANK_B2",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP2.
static const field_t hw_ddrc_regs_addrmap2[] =
{
    {
        "ADDRMAP_COL_B2",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B3",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B4",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B5",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP3.
static const field_t hw_ddrc_regs_addrmap3[] =
{
    {
        "ADDRMAP_COL_B6",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B7",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B8",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B9",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP4.
static const field_t hw_ddrc_regs_addrmap4[] =
{
    {
        "ADDRMAP_COL_B10",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_COL_B11",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP5.
static const field_t hw_ddrc_regs_addrmap5[] =
{
    {
        "ADDRMAP_ROW_B0",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B1",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B2_10",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B11",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP6.
static const field_t hw_ddrc_regs_addrmap6[] =
{
    {
        "ADDRMAP_ROW_B12",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B13",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B14",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B15",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDDR3_6GB_12GB",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP7.
static const field_t hw_ddrc_regs_addrmap7[] =
{
    {
        "ADDRMAP_ROW_B16",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B17",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP8.
static const field_t hw_ddrc_regs_addrmap8[] =
{
    {
        "ADDRMAP_BG_B0",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_BG_B1",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP9.
static const field_t hw_ddrc_regs_addrmap9[] =
{
    {
        "ADDRMAP_ROW_B2",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B3",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B4",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B5",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP10.
static const field_t hw_ddrc_regs_addrmap10[] =
{
    {
        "ADDRMAP_ROW_B6",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B7",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B8",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRMAP_ROW_B9",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ADDRMAP11.
static const field_t hw_ddrc_regs_addrmap11[] =
{
    {
        "ADDRMAP_ROW_B10",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ODTCFG.
static const field_t hw_ddrc_regs_odtcfg[] =
{
    {
        "RD_ODT_DELAY",
        "",
        2, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ODT_HOLD",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ODT_DELAY",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ODT_HOLD",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ODTMAP.
static const field_t hw_ddrc_regs_odtmap[] =
{
    {
        "RANK0_WR_ODT",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANK0_RD_ODT",
        "",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANK1_WR_ODT",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANK1_RD_ODT",
        "",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_SCHED.
static const field_t hw_ddrc_regs_sched[] =
{
    {
        "FORCE_LOW_PRI_N",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PREFER_WRITE",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGECLOSE",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPR_NUM_ENTRIES",
        "",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GO2CRITICAL_HYSTERESIS",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDWR_IDLE_GAP",
        "",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_SCHED1.
static const field_t hw_ddrc_regs_sched1[] =
{
    {
        "PAGECLOSE_TIMER",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PERFHPR1.
static const field_t hw_ddrc_regs_perfhpr1[] =
{
    {
        "HPR_MAX_STARVE",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPR_XACT_RUN_LENGTH",
        "",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PERFLPR1.
static const field_t hw_ddrc_regs_perflpr1[] =
{
    {
        "LPR_MAX_STARVE",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPR_XACT_RUN_LENGTH",
        "",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PERFWR1.
static const field_t hw_ddrc_regs_perfwr1[] =
{
    {
        "W_MAX_STARVE",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "W_XACT_RUN_LENGTH",
        "",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DBG0.
static const field_t hw_ddrc_regs_dbg0[] =
{
    {
        "DIS_WC",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_RD_BYPASS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_ACT_BYPASS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_COLLISION_PAGE_OPT",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DBG1.
static const field_t hw_ddrc_regs_dbg1[] =
{
    {
        "DIS_DQ",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_HIF",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DBGCAM.
static const field_t hw_ddrc_regs_dbgcam[] =
{
    {
        "DBG_HPR_Q_DEPTH",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_LPR_Q_DEPTH",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_W_Q_DEPTH",
        "",
        16, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_STALL",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_RD_Q_EMPTY",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_WR_Q_EMPTY",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_DATA_PIPELINE_EMPTY",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_DATA_PIPELINE_EMPTY",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_STALL_WR",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DBG_STALL_RD",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DBGCMD.
static const field_t hw_ddrc_regs_dbgcmd[] =
{
    {
        "RANK0_REFRESH",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANK1_REFRESH",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_CALIB_SHORT",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTRLUPD",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DBGSTAT.
static const field_t hw_ddrc_regs_dbgstat[] =
{
    {
        "RANK0_REFRESH_BUSY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RANK1_REFRESH_BUSY",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ZQ_CALIB_SHORT_BUSY",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CTRLUPD_BUSY",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_SWCTL.
static const field_t hw_ddrc_regs_swctl[] =
{
    {
        "SW_DONE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_SWSTAT.
static const field_t hw_ddrc_regs_swstat[] =
{
    {
        "SW_DONE_ACK",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_POISONCFG.
static const field_t hw_ddrc_regs_poisoncfg[] =
{
    {
        "WR_POISON_SLVERR_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_POISON_INTR_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_POISON_INTR_CLR",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_POISON_SLVERR_EN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_POISON_INTR_EN",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_POISON_INTR_CLR",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_POISONSTAT.
static const field_t hw_ddrc_regs_poisonstat[] =
{
    {
        "WR_POISON_INTR_0",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RD_POISON_INTR_0",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PSTAT.
static const field_t hw_ddrc_regs_pstat[] =
{
    {
        "RD_PORT_BUSY_0",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WR_PORT_BUSY_0",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PCCFG.
static const field_t hw_ddrc_regs_pccfg[] =
{
    {
        "GO2CRITICAL_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAGEMATCH_LIMIT",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BL_EXP_MODE",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PCFGR_0.
static const field_t hw_ddrc_regs_pcfgr_0[] =
{
    {
        "RD_PORT_PRIORITY",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_PORT_AGING_EN",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_PORT_URGENT_EN",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_PORT_PAGEMATCH_EN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDWR_ORDERED_EN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PCFGW_0.
static const field_t hw_ddrc_regs_pcfgw_0[] =
{
    {
        "WR_PORT_PRIORITY",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_PORT_AGING_EN",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_PORT_URGENT_EN",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_PORT_PAGEMATCH_EN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PCTRL_0.
static const field_t hw_ddrc_regs_pctrl_0[] =
{
    {
        "PORT_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PCFGQOS0_0.
static const field_t hw_ddrc_regs_pcfgqos0_0[] =
{
    {
        "RQOS_MAP_LEVEL1",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RQOS_MAP_REGION0",
        "",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RQOS_MAP_REGION1",
        "",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PCFGQOS1_0.
static const field_t hw_ddrc_regs_pcfgqos1_0[] =
{
    {
        "RQOS_MAP_TIMEOUTB",
        "",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RQOS_MAP_TIMEOUTR",
        "",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PCFGWQOS0_0.
static const field_t hw_ddrc_regs_pcfgwqos0_0[] =
{
    {
        "WQOS_MAP_LEVEL",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WQOS_MAP_REGION0",
        "",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WQOS_MAP_REGION1",
        "",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_PCFGWQOS1_0.
static const field_t hw_ddrc_regs_pcfgwqos1_0[] =
{
    {
        "WQOS_MAP_TIMEOUT",
        "",
        0, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DERATEEN_SHADOW.
static const field_t hw_ddrc_regs_derateen_shadow[] =
{
    {
        "DERATE_ENABLE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DERATE_VALUE",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DERATE_BYTE",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RC_DERATE_VALUE",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DERATEINT_SHADOW.
static const field_t hw_ddrc_regs_derateint_shadow[] =
{
    {
        "MR4_READ_INTERVAL",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_RFSHCTL0_SHADOW.
static const field_t hw_ddrc_regs_rfshctl0_shadow[] =
{
    {
        "PER_BANK_REFRESH",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_BURST",
        "",
        4, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_TO_X32",
        "",
        12, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFRESH_MARGIN",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_RFSHTMG_SHADOW.
static const field_t hw_ddrc_regs_rfshtmg_shadow[] =
{
    {
        "T_RFC_MIN",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDDR3_TREFBW_EN",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RFC_NOM_X32",
        "",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT3_SHADOW.
static const field_t hw_ddrc_regs_init3_shadow[] =
{
    {
        "EMR",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT4_SHADOW.
static const field_t hw_ddrc_regs_init4_shadow[] =
{
    {
        "EMR3",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMR2",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT6_SHADOW.
static const field_t hw_ddrc_regs_init6_shadow[] =
{
    {
        "MR5",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MR4",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_INIT7_SHADOW.
static const field_t hw_ddrc_regs_init7_shadow[] =
{
    {
        "MR6",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG0_SHADOW.
static const field_t hw_ddrc_regs_dramtmg0_shadow[] =
{
    {
        "T_RAS_MIN",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RAS_MAX",
        "",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_FAW",
        "",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR2PRE",
        "",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG1_SHADOW.
static const field_t hw_ddrc_regs_dramtmg1_shadow[] =
{
    {
        "T_RC",
        "",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD2PRE",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XP",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG2_SHADOW.
static const field_t hw_ddrc_regs_dramtmg2_shadow[] =
{
    {
        "WR2RD",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD2WR",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_LATENCY",
        "",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_LATENCY",
        "",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG3_SHADOW.
static const field_t hw_ddrc_regs_dramtmg3_shadow[] =
{
    {
        "T_MOD",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MRD",
        "",
        12, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MRW",
        "",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG4_SHADOW.
static const field_t hw_ddrc_regs_dramtmg4_shadow[] =
{
    {
        "T_RP",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RRD",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CCD",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RCD",
        "",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG5_SHADOW.
static const field_t hw_ddrc_regs_dramtmg5_shadow[] =
{
    {
        "T_CKE",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKESR",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKSRE",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKSRX",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG6_SHADOW.
static const field_t hw_ddrc_regs_dramtmg6_shadow[] =
{
    {
        "T_CKCSX",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKDPDX",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKDPDE",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG7_SHADOW.
static const field_t hw_ddrc_regs_dramtmg7_shadow[] =
{
    {
        "T_CKPDX",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKPDE",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG8_SHADOW.
static const field_t hw_ddrc_regs_dramtmg8_shadow[] =
{
    {
        "T_XS_X32",
        "",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XS_DLL_X32",
        "",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XS_ABORT_X32",
        "",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_XS_FAST_X32",
        "",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG9_SHADOW.
static const field_t hw_ddrc_regs_dramtmg9_shadow[] =
{
    {
        "WR2RD_S",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_RRD_S",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CCD_S",
        "",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR4_WR_PREAMBLE",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG10_SHADOW.
static const field_t hw_ddrc_regs_dramtmg10_shadow[] =
{
    {
        "T_GEAR_HOLD",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_GEAR_SETUP",
        "",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CMD_GEAR",
        "",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_SYNC_GEAR",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG11_SHADOW.
static const field_t hw_ddrc_regs_dramtmg11_shadow[] =
{
    {
        "T_CKMPE",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MPX_S",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_MPX_LH",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POST_MPSM_GAP_X32",
        "",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG12_SHADOW.
static const field_t hw_ddrc_regs_dramtmg12_shadow[] =
{
    {
        "T_MRD_PDA",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CKEHCMD",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CMDCKE",
        "",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG13_SHADOW.
static const field_t hw_ddrc_regs_dramtmg13_shadow[] =
{
    {
        "T_PPD",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_CCD_MW",
        "",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODTLOFF",
        "",
        24, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG14_SHADOW.
static const field_t hw_ddrc_regs_dramtmg14_shadow[] =
{
    {
        "T_XSR",
        "",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DRAMTMG15_SHADOW.
static const field_t hw_ddrc_regs_dramtmg15_shadow[] =
{
    {
        "T_STAB_X32",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_DFI_LP_T_STAB",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ZQCTL0_SHADOW.
static const field_t hw_ddrc_regs_zqctl0_shadow[] =
{
    {
        "T_ZQ_SHORT_NOP",
        "",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "T_ZQ_LONG_NOP",
        "",
        16, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_MPSMX_ZQCL",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZQ_RESISTOR_SHARED",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_SRX_ZQCL",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_AUTO_ZQ",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFITMG0_SHADOW.
static const field_t hw_ddrc_regs_dfitmg0_shadow[] =
{
    {
        "DFI_TPHY_WRLAT",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_TPHY_WRDATA",
        "",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_WRDATA_USE_SDR",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_RDDATA_EN",
        "",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_RDDATA_USE_SDR",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_CTRL_DELAY",
        "",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFITMG1_SHADOW.
static const field_t hw_ddrc_regs_dfitmg1_shadow[] =
{
    {
        "DFI_T_DRAM_CLK_ENABLE",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_DRAM_CLK_DISABLE",
        "",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_WRDATA_DELAY",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_PARIN_LAT",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_T_CMD_LAT",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFITMG2_SHADOW.
static const field_t hw_ddrc_regs_dfitmg2_shadow[] =
{
    {
        "DFI_TPHY_WRCSLAT",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFI_TPHY_RDCSLAT",
        "",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_DFITMG3_SHADOW.
static const field_t hw_ddrc_regs_dfitmg3_shadow[] =
{
    {
        "DFI_T_GEARDOWN_DELAY",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DDRC_REGS_ODTCFG_SHADOW.
static const field_t hw_ddrc_regs_odtcfg_shadow[] =
{
    {
        "RD_ODT_DELAY",
        "",
        2, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_ODT_HOLD",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ODT_DELAY",
        "",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_ODT_HOLD",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a DDRC_REGS module.
static const reg_t hw_ddrc_regs[] =
{
    {
        "MSTR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_ddrc_regs_mstr
    },
    {
        "STAT",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_stat
    },
    {
        "MRCTRL0",
        "Mode Register Read/Write Control Register 0.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ddrc_regs_mrctrl0
    },
    {
        "MRCTRL1",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_mrctrl1
    },
    {
        "MRSTAT",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_mrstat
    },
    {
        "MRCTRL2",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_mrctrl2
    },
    {
        "DERATEEN",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_derateen
    },
    {
        "DERATEINT",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_derateint
    },
    {
        "PWRCTL",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_ddrc_regs_pwrctl
    },
    {
        "PWRTMG",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_pwrtmg
    },
    {
        "HWLPCTL",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_hwlpctl
    },
    {
        "RFSHCTL0",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_rfshctl0
    },
    {
        "RFSHCTL1",
        "",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_rfshctl1
    },
    {
        "RFSHCTL3",
        "",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_rfshctl3
    },
    {
        "RFSHTMG",
        "",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_rfshtmg
    },
    {
        "CRCPARCTL0",
        "",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_crcparctl0
    },
    {
        "CRCPARCTL1",
        "",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_crcparctl1
    },
    {
        "CRCPARSTAT",
        "",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_crcparstat
    },
    {
        "INIT0",
        "",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_init0
    },
    {
        "INIT1",
        "",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_init1
    },
    {
        "INIT2",
        "",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_init2
    },
    {
        "INIT3",
        "",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_init3
    },
    {
        "INIT4",
        "",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_init4
    },
    {
        "INIT5",
        "",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_init5
    },
    {
        "INIT6",
        "",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_init6
    },
    {
        "INIT7",
        "",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_init7
    },
    {
        "DIMMCTL",
        "",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_ddrc_regs_dimmctl
    },
    {
        "RANKCTL",
        "",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_rankctl
    },
    {
        "DRAMTMG0",
        "",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg0
    },
    {
        "DRAMTMG1",
        "",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg1
    },
    {
        "DRAMTMG2",
        "",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg2
    },
    {
        "DRAMTMG3",
        "",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg3
    },
    {
        "DRAMTMG4",
        "",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg4
    },
    {
        "DRAMTMG5",
        "",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg5
    },
    {
        "DRAMTMG6",
        "",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg6
    },
    {
        "DRAMTMG7",
        "",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dramtmg7
    },
    {
        "DRAMTMG8",
        "",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg8
    },
    {
        "DRAMTMG9",
        "",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg9
    },
    {
        "DRAMTMG10",
        "",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg10
    },
    {
        "DRAMTMG11",
        "",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg11
    },
    {
        "DRAMTMG12",
        "",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg12
    },
    {
        "DRAMTMG13",
        "",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg13
    },
    {
        "DRAMTMG14",
        "",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_dramtmg14
    },
    {
        "DRAMTMG15",
        "",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dramtmg15
    },
    {
        "ZQCTL0",
        "",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddrc_regs_zqctl0
    },
    {
        "ZQCTL1",
        "",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_zqctl1
    },
    {
        "ZQCTL2",
        "",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_zqctl2
    },
    {
        "ZQSTAT",
        "",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_zqstat
    },
    {
        "DFITMG0",
        "",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddrc_regs_dfitmg0
    },
    {
        "DFITMG1",
        "",
        4, // Width in bytes
        0x00000194, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_regs_dfitmg1
    },
    {
        "DFILPCFG0",
        "",
        4, // Width in bytes
        0x00000198, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_ddrc_regs_dfilpcfg0
    },
    {
        "DFILPCFG1",
        "",
        4, // Width in bytes
        0x0000019c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dfilpcfg1
    },
    {
        "DFIUPD0",
        "",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_regs_dfiupd0
    },
    {
        "DFIUPD1",
        "",
        4, // Width in bytes
        0x000001a4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dfiupd1
    },
    {
        "DFIUPD2",
        "",
        4, // Width in bytes
        0x000001a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_dfiupd2
    },
    {
        "DFIMISC",
        "",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddrc_regs_dfimisc
    },
    {
        "DFITMG2",
        "",
        4, // Width in bytes
        0x000001b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dfitmg2
    },
    {
        "DFITMG3",
        "",
        4, // Width in bytes
        0x000001b8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_dfitmg3
    },
    {
        "DFISTAT",
        "",
        4, // Width in bytes
        0x000001bc, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dfistat
    },
    {
        "DBICTL",
        "",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dbictl
    },
    {
        "ADDRMAP0",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_addrmap0
    },
    {
        "ADDRMAP1",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_addrmap1
    },
    {
        "ADDRMAP2",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_addrmap2
    },
    {
        "ADDRMAP3",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_addrmap3
    },
    {
        "ADDRMAP4",
        "",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_addrmap4
    },
    {
        "ADDRMAP5",
        "",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_addrmap5
    },
    {
        "ADDRMAP6",
        "",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_regs_addrmap6
    },
    {
        "ADDRMAP7",
        "",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_addrmap7
    },
    {
        "ADDRMAP8",
        "",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_addrmap8
    },
    {
        "ADDRMAP9",
        "",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_addrmap9
    },
    {
        "ADDRMAP10",
        "",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_addrmap10
    },
    {
        "ADDRMAP11",
        "",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_addrmap11
    },
    {
        "ODTCFG",
        "",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_odtcfg
    },
    {
        "ODTMAP",
        "",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_odtmap
    },
    {
        "SCHED",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddrc_regs_sched
    },
    {
        "SCHED1",
        "",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_sched1
    },
    {
        "PERFHPR1",
        "",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_perfhpr1
    },
    {
        "PERFLPR1",
        "",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_perflpr1
    },
    {
        "PERFWR1",
        "",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_perfwr1
    },
    {
        "DBG0",
        "",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dbg0
    },
    {
        "DBG1",
        "",
        4, // Width in bytes
        0x00000304, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dbg1
    },
    {
        "DBGCAM",
        "",
        4, // Width in bytes
        0x00000308, // Base address offset
        true, // Readable
        false, // Writable
        10, // Number of bitfields
        hw_ddrc_regs_dbgcam
    },
    {
        "DBGCMD",
        "",
        4, // Width in bytes
        0x0000030c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dbgcmd
    },
    {
        "DBGSTAT",
        "",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dbgstat
    },
    {
        "SWCTL",
        "",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_swctl
    },
    {
        "SWSTAT",
        "",
        4, // Width in bytes
        0x00000324, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_swstat
    },
    {
        "POISONCFG",
        "AXI Poison Configuration Register.",
        4, // Width in bytes
        0x0000036c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddrc_regs_poisoncfg
    },
    {
        "POISONSTAT",
        "",
        4, // Width in bytes
        0x00000370, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_poisonstat
    },
    {
        "PSTAT",
        "",
        4, // Width in bytes
        0x000003fc, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_pstat
    },
    {
        "PCCFG",
        "",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_pccfg
    },
    {
        "PCFGR_0",
        "",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_regs_pcfgr_0
    },
    {
        "PCFGW_0",
        "",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_pcfgw_0
    },
    {
        "PCTRL_0",
        "",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_pctrl_0
    },
    {
        "PCFGQOS0_0",
        "",
        4, // Width in bytes
        0x00000494, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_pcfgqos0_0
    },
    {
        "PCFGQOS1_0",
        "",
        4, // Width in bytes
        0x00000498, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_pcfgqos1_0
    },
    {
        "PCFGWQOS0_0",
        "",
        4, // Width in bytes
        0x0000049c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_pcfgwqos0_0
    },
    {
        "PCFGWQOS1_0",
        "",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_pcfgwqos1_0
    },
    {
        "DERATEEN_SHADOW",
        "",
        4, // Width in bytes
        0x00002020, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_derateen_shadow
    },
    {
        "DERATEINT_SHADOW",
        "",
        4, // Width in bytes
        0x00002024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_derateint_shadow
    },
    {
        "RFSHCTL0_SHADOW",
        "",
        4, // Width in bytes
        0x00002050, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_rfshctl0_shadow
    },
    {
        "RFSHTMG_SHADOW",
        "",
        4, // Width in bytes
        0x00002064, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_rfshtmg_shadow
    },
    {
        "INIT3_SHADOW",
        "",
        4, // Width in bytes
        0x000020dc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_init3_shadow
    },
    {
        "INIT4_SHADOW",
        "",
        4, // Width in bytes
        0x000020e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_init4_shadow
    },
    {
        "INIT6_SHADOW",
        "",
        4, // Width in bytes
        0x000020e8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_init6_shadow
    },
    {
        "INIT7_SHADOW",
        "",
        4, // Width in bytes
        0x000020ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_init7_shadow
    },
    {
        "DRAMTMG0_SHADOW",
        "",
        4, // Width in bytes
        0x00002100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg0_shadow
    },
    {
        "DRAMTMG1_SHADOW",
        "",
        4, // Width in bytes
        0x00002104, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg1_shadow
    },
    {
        "DRAMTMG2_SHADOW",
        "",
        4, // Width in bytes
        0x00002108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg2_shadow
    },
    {
        "DRAMTMG3_SHADOW",
        "",
        4, // Width in bytes
        0x0000210c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg3_shadow
    },
    {
        "DRAMTMG4_SHADOW",
        "",
        4, // Width in bytes
        0x00002110, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg4_shadow
    },
    {
        "DRAMTMG5_SHADOW",
        "",
        4, // Width in bytes
        0x00002114, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg5_shadow
    },
    {
        "DRAMTMG6_SHADOW",
        "",
        4, // Width in bytes
        0x00002118, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg6_shadow
    },
    {
        "DRAMTMG7_SHADOW",
        "",
        4, // Width in bytes
        0x0000211c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dramtmg7_shadow
    },
    {
        "DRAMTMG8_SHADOW",
        "",
        4, // Width in bytes
        0x00002120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg8_shadow
    },
    {
        "DRAMTMG9_SHADOW",
        "",
        4, // Width in bytes
        0x00002124, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg9_shadow
    },
    {
        "DRAMTMG10_SHADOW",
        "",
        4, // Width in bytes
        0x00002128, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg10_shadow
    },
    {
        "DRAMTMG11_SHADOW",
        "",
        4, // Width in bytes
        0x0000212c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_dramtmg11_shadow
    },
    {
        "DRAMTMG12_SHADOW",
        "",
        4, // Width in bytes
        0x00002130, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg12_shadow
    },
    {
        "DRAMTMG13_SHADOW",
        "",
        4, // Width in bytes
        0x00002134, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ddrc_regs_dramtmg13_shadow
    },
    {
        "DRAMTMG14_SHADOW",
        "",
        4, // Width in bytes
        0x00002138, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_dramtmg14_shadow
    },
    {
        "DRAMTMG15_SHADOW",
        "",
        4, // Width in bytes
        0x0000213c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dramtmg15_shadow
    },
    {
        "ZQCTL0_SHADOW",
        "",
        4, // Width in bytes
        0x00002180, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddrc_regs_zqctl0_shadow
    },
    {
        "DFITMG0_SHADOW",
        "",
        4, // Width in bytes
        0x00002190, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ddrc_regs_dfitmg0_shadow
    },
    {
        "DFITMG1_SHADOW",
        "",
        4, // Width in bytes
        0x00002194, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ddrc_regs_dfitmg1_shadow
    },
    {
        "DFITMG2_SHADOW",
        "",
        4, // Width in bytes
        0x000021b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ddrc_regs_dfitmg2_shadow
    },
    {
        "DFITMG3_SHADOW",
        "",
        4, // Width in bytes
        0x000021b8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ddrc_regs_dfitmg3_shadow
    },
    {
        "ODTCFG_SHADOW",
        "",
        4, // Width in bytes
        0x00002240, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_ddrc_regs_odtcfg_shadow
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark DWT
#endif

// Bitfields in register DWT_CTRL.
static const field_t hw_dwt_ctrl[] =
{
    {
        "CYCCNTENA",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POSTPRESET",
        "",
        1, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POSTINIT",
        "",
        5, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CYCTAP",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCTAP",
        "",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCSAMPLENA",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXCTRCENA",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPIEVTENA",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXCEVTENA",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLEEPEVTENA",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LSUEVTENA",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FOLDEVTENA",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CYCEVTENA",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NOPFRCNT",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NOCYCCNT",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NOEXTTRIG",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NOTRCPKT",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NUMCOMP",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_CYCCNT.
static const field_t hw_dwt_cyccnt[] =
{
    {
        "CYCCNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_CPICNT.
static const field_t hw_dwt_cpicnt[] =
{
    {
        "CPICNT",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_EXCCNT.
static const field_t hw_dwt_exccnt[] =
{
    {
        "EXCCNT",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_SLEEPCNT.
static const field_t hw_dwt_sleepcnt[] =
{
    {
        "SLEEPCNT",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_LSUCNT.
static const field_t hw_dwt_lsucnt[] =
{
    {
        "LSUCNT",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_FOLDCNT.
static const field_t hw_dwt_foldcnt[] =
{
    {
        "FOLDCNT",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_PCSR.
static const field_t hw_dwt_pcsr[] =
{
    {
        "EIASAMPLE",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_COMP0.
static const field_t hw_dwt_comp0[] =
{
    {
        "COMP",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_MASK0.
static const field_t hw_dwt_mask0[] =
{
    {
        "MASK",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_FUNCTION0.
static const field_t hw_dwt_function0[] =
{
    {
        "FUNCTION",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMITRANGE",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CYCMATCH",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVMATCH",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LNK1ENA",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DATAVSIZE",
        "",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVADDR0",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVADDR1",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MATCHED",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_COMP1.
static const field_t hw_dwt_comp1[] =
{
    {
        "COMP",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_MASK1.
static const field_t hw_dwt_mask1[] =
{
    {
        "MASK",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_FUNCTION1.
static const field_t hw_dwt_function1[] =
{
    {
        "FUNCTION",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMITRANGE",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVMATCH",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LNK1ENA",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DATAVSIZE",
        "",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVADDR0",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVADDR1",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MATCHED",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_COMP2.
static const field_t hw_dwt_comp2[] =
{
    {
        "COMP",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_MASK2.
static const field_t hw_dwt_mask2[] =
{
    {
        "MASK",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_FUNCTION2.
static const field_t hw_dwt_function2[] =
{
    {
        "FUNCTION",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMITRANGE",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVMATCH",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LNK1ENA",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DATAVSIZE",
        "",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVADDR0",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVADDR1",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MATCHED",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_COMP3.
static const field_t hw_dwt_comp3[] =
{
    {
        "COMP",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_MASK3.
static const field_t hw_dwt_mask3[] =
{
    {
        "MASK",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_FUNCTION3.
static const field_t hw_dwt_function3[] =
{
    {
        "FUNCTION",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMITRANGE",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVMATCH",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LNK1ENA",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DATAVSIZE",
        "",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVADDR0",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATAVADDR1",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MATCHED",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_PID4.
static const field_t hw_dwt_pid4[] =
{
    {
        "JEP106",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "C4KB",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_PID5.
static const field_t hw_dwt_pid5[] =
{
    { 0 } // Terminator
};

// Bitfields in register DWT_PID6.
static const field_t hw_dwt_pid6[] =
{
    { 0 } // Terminator
};

// Bitfields in register DWT_PID7.
static const field_t hw_dwt_pid7[] =
{
    { 0 } // Terminator
};

// Bitfields in register DWT_PID0.
static const field_t hw_dwt_pid0[] =
{
    {
        "PARTNUMBER",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_PID1.
static const field_t hw_dwt_pid1[] =
{
    {
        "PARTNUMBER",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "JEP106_IDENTITY_CODE",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_PID2.
static const field_t hw_dwt_pid2[] =
{
    {
        "JEP106_IDENTITY_CODE",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REVISION",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_PID3.
static const field_t hw_dwt_pid3[] =
{
    {
        "CUSTOMERMODIFIED",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REVAND",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_CID0.
static const field_t hw_dwt_cid0[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_CID1.
static const field_t hw_dwt_cid1[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPONENTCLASS",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_CID2.
static const field_t hw_dwt_cid2[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register DWT_CID3.
static const field_t hw_dwt_cid3[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a DWT module.
static const reg_t hw_dwt[] =
{
    {
        "CTRL",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_dwt_ctrl
    },
    {
        "CYCCNT",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_cyccnt
    },
    {
        "CPICNT",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_cpicnt
    },
    {
        "EXCCNT",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_exccnt
    },
    {
        "SLEEPCNT",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_sleepcnt
    },
    {
        "LSUCNT",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_lsucnt
    },
    {
        "FOLDCNT",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_foldcnt
    },
    {
        "PCSR",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dwt_pcsr
    },
    {
        "COMP0",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_comp0
    },
    {
        "MASK0",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_mask0
    },
    {
        "FUNCTION0",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_dwt_function0
    },
    {
        "COMP1",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_comp1
    },
    {
        "MASK1",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_mask1
    },
    {
        "FUNCTION1",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dwt_function1
    },
    {
        "COMP2",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_comp2
    },
    {
        "MASK2",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_mask2
    },
    {
        "FUNCTION2",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dwt_function2
    },
    {
        "COMP3",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_comp3
    },
    {
        "MASK3",
        "",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_dwt_mask3
    },
    {
        "FUNCTION3",
        "",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_dwt_function3
    },
    {
        "PID4",
        "",
        4, // Width in bytes
        0x00000fd0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_dwt_pid4
    },
    {
        "PID5",
        "",
        4, // Width in bytes
        0x00000fd4, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_dwt_pid5
    },
    {
        "PID6",
        "",
        4, // Width in bytes
        0x00000fd8, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_dwt_pid6
    },
    {
        "PID7",
        "",
        4, // Width in bytes
        0x00000fdc, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_dwt_pid7
    },
    {
        "PID0",
        "",
        4, // Width in bytes
        0x00000fe0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dwt_pid0
    },
    {
        "PID1",
        "",
        4, // Width in bytes
        0x00000fe4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_dwt_pid1
    },
    {
        "PID2",
        "",
        4, // Width in bytes
        0x00000fe8, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_dwt_pid2
    },
    {
        "PID3",
        "",
        4, // Width in bytes
        0x00000fec, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_dwt_pid3
    },
    {
        "CID0",
        "",
        4, // Width in bytes
        0x00000ff0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dwt_cid0
    },
    {
        "CID1",
        "",
        4, // Width in bytes
        0x00000ff4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_dwt_cid1
    },
    {
        "CID2",
        "",
        4, // Width in bytes
        0x00000ff8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dwt_cid2
    },
    {
        "CID3",
        "",
        4, // Width in bytes
        0x00000ffc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_dwt_cid3
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark ECSPI
#endif

// Bitfields in register ECSPI_RXDATA.
static const field_t hw_ecspi_rxdata[] =
{
    {
        "ECSPI_RXDATA",
        "Receive Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_TXDATA.
static const field_t hw_ecspi_txdata[] =
{
    {
        "ECSPI_TXDATA",
        "Transmit Data.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_CONREG.
static const field_t hw_ecspi_conreg[] =
{
    {
        "EN",
        "SPI Block Enable Control.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HT",
        "Hardware Trigger Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XCH",
        "SPI Exchange Bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMC",
        "Start Mode Control.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_MODE",
        "SPI CHANNEL MODE selects the mode for each SPI channel.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POST_DIVIDER",
        "SPI Post Divider.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRE_DIVIDER",
        "SPI Pre Divider.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRCTL",
        "SPI Data Ready Control.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_SELECT",
        "SPI CHANNEL SELECT bits.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_LENGTH",
        "Burst Length.",
        20, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_CONFIGREG.
static const field_t hw_ecspi_configreg[] =
{
    {
        "SCLK_PHA",
        "SPI Clock/Data Phase Control.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCLK_POL",
        "SPI Clock Polarity Control.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SS_CTL",
        "SPI SS Wave Form Select.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SS_POL",
        "SPI SS Polarity Select.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_CTL",
        "DATA CTL.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCLK_CTL",
        "SCLK CTL.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HT_LENGTH",
        "HT LENGTH.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_INTREG.
static const field_t hw_ecspi_intreg[] =
{
    {
        "TEEN",
        "TXFIFO Empty Interrupt enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDREN",
        "TXFIFO Data Request Interrupt enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TFEN",
        "TXFIFO Full Interrupt enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RREN",
        "RXFIFO Ready Interrupt enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDREN",
        "RXFIFO Data Request Interrupt enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFEN",
        "RXFIFO Full Interrupt enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROEN",
        "RXFIFO Overflow Interrupt enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCEN",
        "Transfer Completed Interrupt enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_DMAREG.
static const field_t hw_ecspi_dmareg[] =
{
    {
        "TX_THRESHOLD",
        "TX THRESHOLD.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEDEN",
        "TXFIFO Empty DMA Request Enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_THRESHOLD",
        "RX THRESHOLD.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDEN",
        "RXFIFO DMA Request Enable.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_DMA_LENGTH",
        "RX DMA LENGTH.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXTDEN",
        "RXFIFO TAIL DMA Request/Interrupt Enable.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_STATREG.
static const field_t hw_ecspi_statreg[] =
{
    {
        "TE",
        "TXFIFO Empty.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TDR",
        "TXFIFO Data Request.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TF",
        "TXFIFO Full.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RR",
        "RXFIFO Ready.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RDR",
        "RXFIFO Data Request.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RF",
        "RXFIFO Full.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RO",
        "RXFIFO Overflow.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC",
        "Transfer Completed Status bit.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_PERIODREG.
static const field_t hw_ecspi_periodreg[] =
{
    {
        "SAMPLE_PERIOD",
        "Sample Period Control.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSRC",
        "Clock Source Control.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSD_CTL",
        "Chip Select Delay Control bits.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_TESTREG.
static const field_t hw_ecspi_testreg[] =
{
    {
        "TXCNT",
        "TXFIFO Counter.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXCNT",
        "RXFIFO Counter.",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LBC",
        "Loop Back Control.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ECSPI_MSGDATA.
static const field_t hw_ecspi_msgdata[] =
{
    {
        "ECSPI_MSGDATA",
        "ECSPI_MSGDATA holds the top word of MSG Data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a ECSPI module.
static const reg_t hw_ecspi[] =
{
    {
        "RXDATA",
        "The Receive Data register (ECSPI_RXDATA) is a read-only register that "
        "forms the top word of the 64 x 32 receive FIFO.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ecspi_rxdata
    },
    {
        "TXDATA",
        "The Transmit Data (ECSPI_TXDATA) register is a write-only data registe"
        "r that forms the bottom word of the 64 x 32 TXFIFO.",
        4, // Width in bytes
        0x00000004, // Base address offset
        false, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ecspi_txdata
    },
    {
        "CONREG",
        "The Control Register (ECSPI_CONREG) allows software to enable the ECSP"
        "I , configure its operating modes, specify the divider value, and SPI_"
        "RDY control signal, and define the transfer length.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_ecspi_conreg
    },
    {
        "CONFIGREG",
        "The Config Register (ECSPI_CONFIGREG) allows software to configure eac"
        "h SPI channel, configure its operating modes, specify the phase and po"
        "larity of the clock, configure the Chip Select (SS), and define the HT"
        " transfer length.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_ecspi_configreg
    },
    {
        "INTREG",
        "The Interrupt Control Register (ECSPI_INTREG) enables the generation o"
        "f interrupts to the host processor.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ecspi_intreg
    },
    {
        "DMAREG",
        "The Direct Memory Access Control Register (ECSPI_DMAREG) provides soft"
        "ware a way to use an on-chip DMA controller for ECSPI data.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_ecspi_dmareg
    },
    {
        "STATREG",
        "The ECSPI Status Register (ECSPI_STATREG) reflects the status of the E"
        "CSPI's operating condition.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_ecspi_statreg
    },
    {
        "PERIODREG",
        "The Sample Period Control Register (ECSPI_PERIODREG) provides software"
        " a way to insert delays (wait states) between consecutive SPI transfer"
        "s.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ecspi_periodreg
    },
    {
        "TESTREG",
        "The Test Control Register (ECSPI_TESTREG) provides software a mechanis"
        "m to internally connect the receive and transmit devices of the ECSPI "
        ", and monitor the contents of the receive and transmit FIFOs.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ecspi_testreg
    },
    {
        "MSGDATA",
        "The Message Data Register (ECSPI_MSGDATA) forms the top word of the 16"
        " x 32 MSG Data FIFO.",
        4, // Width in bytes
        0x00000040, // Base address offset
        false, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_ecspi_msgdata
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark ENET
#endif

// Bitfields in register ENET_EIR.
static const field_t hw_enet_eir[] =
{
    {
        "RXB1",
        "This field indicates that a receive buffer descriptor, that not the la"
        "st in the frame, has been updated (ring/class 1).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF1",
        "This field indicates that a frame has been received and the last corre"
        "sponding buffer descriptor has been updated (ring/class 1).",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB1",
        "This field indicates that a transmit buffer descriptor has been update"
        "d (ring/class 1).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF1",
        "This bit indicates that a frame has been transmitted and the last corr"
        "esponding buffer descriptor has been updated (ring/class 1).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXB2",
        "This field indicates that a receive buffer descriptor, that not the la"
        "st in the frame, has been updated (ring/class 2).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF2",
        "This field indicates that a frame has been received and the last corre"
        "sponding buffer descriptor has been updated (ring/class 2).",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB2",
        "This field indicates that a transmit buffer descriptor has been update"
        "d (ring/class 2).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF2",
        "This bit indicates that a frame has been transmitted and the last corr"
        "esponding buffer descriptor has been updated (ring/class 2).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_0",
        "RX DMA Ring 0 flush indication.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_1",
        "RX DMA Ring 1 flush indication.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_2",
        "RX DMA Ring 2 flush indication.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_TIMER",
        "The adjustable timer reached the period event.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_AVAIL",
        "Indicates that the timestamp of the last transmitted timing frame is a"
        "vailable in the ATSTMP register.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAKEUP",
        "Read-only status bit to indicate that a magic packet has been detected"
        ".",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLR",
        "Indicates a frame was received with a payload length error.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UN",
        "Indicates the transmit FIFO became empty before the complete frame was"
        " transmitted.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Indicates a collision occurred on each of 16 successive attempts to tr"
        "ansmit the frame.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LC",
        "Indicates a collision occurred beyond the collision window (slot time)"
        " in half-duplex mode.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EBERR",
        "Indicates a system bus error occurred when a uDMA transaction is under"
        "way.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MII",
        "Indicates that the MII has completed the data transfer requested.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXB",
        "Indicates a receive buffer descriptor is not the last in the frame has"
        " been updated.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF",
        "Indicates a frame has been received and the last corresponding buffer "
        "descriptor has been updated.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB",
        "Indicates a transmit buffer descriptor has been updated.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF",
        "Indicates a frame has been transmitted and the last corresponding buff"
        "er descriptor has been updated.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GRA",
        "This interrupt is asserted after the transmitter is put into a pause s"
        "tate after completion of the frame currently being transmitted.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BABT",
        "Indicates the transmitted frame length exceeds RCR[MAX_FL] bytes.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BABR",
        "Indicates a frame was received with length in excess of RCR[MAX_FL] by"
        "tes.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_EIMR.
static const field_t hw_enet_eimr[] =
{
    {
        "RXB1",
        "Corresponds to interrupt source EIR[RXB1] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF1",
        "Corresponds to interrupt source EIR[RXF1] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB1",
        "Corresponds to interrupt source EIR[TXB1] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF1",
        "Corresponds to interrupt source EIR[TXF1] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXB2",
        "Corresponds to interrupt source EIR[RXB2] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF2",
        "Corresponds to interrupt source EIR[RXF2] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB2",
        "Corresponds to interrupt source EIR[TXB2] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF2",
        "Corresponds to interrupt source EIR[TXF2] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_0",
        "Corresponds to interrupt source EIR[RXFLUSH_0] and determines whether "
        "an interrupt condition can generate an interrupt.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_1",
        "Corresponds to interrupt source EIR[RXFLUSH_1] and determines whether "
        "an interrupt condition can generate an interrupt.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFLUSH_2",
        "Corresponds to interrupt source EIR[RXFLUSH_2] and determines whether "
        "an interrupt condition can generate an interrupt.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_TIMER",
        "Corresponds to interrupt source EIR[TS_TIMER] register and determines "
        "whether an interrupt condition can generate an interrupt.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TS_AVAIL",
        "Corresponds to interrupt source EIR[TS_AVAIL] register and determines "
        "whether an interrupt condition can generate an interrupt.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAKEUP",
        "Corresponds to interrupt source EIR[WAKEUP] register and determines wh"
        "ether an interrupt condition can generate an interrupt.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PLR",
        "Corresponds to interrupt source EIR[PLR] and determines whether an int"
        "errupt condition can generate an interrupt.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UN",
        "Corresponds to interrupt source EIR[UN] and determines whether an inte"
        "rrupt condition can generate an interrupt.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RL",
        "Corresponds to interrupt source EIR[RL] and determines whether an inte"
        "rrupt condition can generate an interrupt.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LC",
        "Corresponds to interrupt source EIR[LC] and determines whether an inte"
        "rrupt condition can generate an interrupt.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EBERR",
        "Corresponds to interrupt source EIR[EBERR] and determines whether an i"
        "nterrupt condition can generate an interrupt.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MII",
        "Corresponds to interrupt source EIR[MII] and determines whether an int"
        "errupt condition can generate an interrupt.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXB",
        "Corresponds to interrupt source EIR[RXB] and determines whether an int"
        "errupt condition can generate an interrupt.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXF",
        "Corresponds to interrupt source EIR[RXF] and determines whether an int"
        "errupt condition can generate an interrupt.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB",
        "Corresponds to interrupt source EIR[TXB] and determines whether an int"
        "errupt condition can generate an interrupt.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXF",
        "Corresponds to interrupt source EIR[TXF] and determines whether an int"
        "errupt condition can generate an interrupt.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GRA",
        "Corresponds to interrupt source EIR[GRA] and determines whether an int"
        "errupt condition can generate an interrupt.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BABT",
        "Corresponds to interrupt source EIR[BABT] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BABR",
        "Corresponds to interrupt source EIR[BABR] and determines whether an in"
        "terrupt condition can generate an interrupt.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDAR.
static const field_t hw_enet_rdar[] =
{
    {
        "RDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDAR.
static const field_t hw_enet_tdar[] =
{
    {
        "TDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ECR.
static const field_t hw_enet_ecr[] =
{
    {
        "RESET",
        "When this field is set, it clears the ETHEREN field.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ETHEREN",
        "Enables/disables the Ethernet MAC.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAGICEN",
        "Enables/disables magic packet detection.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLEEP",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN1588",
        "Enables enhanced functionality of the MAC.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPEED",
        "Selects between 10/100-Mbit/s and 1000-Mbit/s modes of operation.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGEN",
        "Enables the MAC to enter hardware freeze mode when the device enters d"
        "ebug mode.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBSWP",
        "Swaps the byte locations of the buffer descriptors.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SVLANEN",
        "Enable additional detection of S-VLAN tag according to IEEE802.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VLANUSE2ND",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SVLANDBL",
        "If enabled, S-VLAN detection requires a double-tagged frame to define "
        "a frame as being a VLAN frame.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MMFR.
static const field_t hw_enet_mmfr[] =
{
    {
        "DATA",
        "This is the field for data to be written to or read from the PHY regis"
        "ter.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TA",
        "This field must be programmed to 10 to generate a valid MII management"
        " frame.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RA",
        "See (Clause 22) or (Clause 45) for correct value.",
        18, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PA",
        "See (Clause 22) or (Clause 45) for correct value.",
        23, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OP",
        "See (Clause 22) or (Clause 45) for correct value.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ST",
        "See (Clause 22) or (Clause 45) for correct value.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MSCR.
static const field_t hw_enet_mscr[] =
{
    {
        "MII_SPEED",
        "Controls the frequency of the MII management interface clock (MDC) rel"
        "ative to the internal module clock.",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_PRE",
        "Enables/disables prepending a preamble to the MII management frame.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOLDTIME",
        "IEEE802.3 clause 22 defines a minimum of 10 ns for the hold time on th"
        "e MDIO output.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MIBC.
static const field_t hw_enet_mibc[] =
{
    {
        "MIB_CLEAR",
        "This field is not self-clearing.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIB_IDLE",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MIB_DIS",
        "If this control field is set,",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RCR.
static const field_t hw_enet_rcr[] =
{
    {
        "LOOP",
        "This is an MII internal loopback, therefore MII_MODE must be written t"
        "o 1 and RMII_MODE must be written to 0.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRT",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MII_MODE",
        "This field must always be set.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PROM",
        "All frames are accepted regardless of address matching.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BC_REJ",
        "If set, frames with destination address (DA) equal to 0xFFFF_FFFF_FFFF"
        " are rejected unless the PROM field is set.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FCE",
        "If set, the receiver detects PAUSE frames.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGMII_EN",
        "Do not set both RCR[RGMII_EN] and RCR[RMII_MODE].",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RMII_MODE",
        "Specifies whether the MAC is configured for MII mode or RMII operation"
        " , when ECR[SPEED] is cleared .",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RMII_10T",
        "Enables 10-Mbit/s mode of the RMII or RGMII .",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PADEN",
        "Specifies whether the MAC removes padding from received frames.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAUFWD",
        "Specifies whether pause frames are terminated or forwarded.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRCFWD",
        "Specifies whether the CRC field of received frames is transmitted or s"
        "tripped.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFEN",
        "Enables/disables the MAC control frame.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MAX_FL",
        "Resets to decimal 1518.",
        16, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NLC",
        "Enables/disables a payload length check.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GRS",
        "Read-only status indicating that the MAC receive datapath is stopped.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCR.
static const field_t hw_enet_tcr[] =
{
    {
        "GTS",
        "When this field is set, MAC stops transmission after any frame current"
        "ly transmitted is complete and EIR[GRA] is set.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FDEN",
        "If this field is set, frames transmit independent of carrier sense and"
        " collision inputs.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TFC_PAUSE",
        "Pauses frame transmission.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFC_PAUSE",
        "This status field is set when a full-duplex flow control pause frame i"
        "s received and the transmitter pauses for the duration defined in this"
        " pause frame.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADDSEL",
        "If ADDINS is set, indicates the MAC address that overwrites the source"
        " MAC address.",
        5, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDINS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRCFWD",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_PALR.
static const field_t hw_enet_palr[] =
{
    {
        "PADDR1",
        "Bytes 0 (bits 31:24), 1 (bits 23:16), 2 (bits 15:8), and 3 (bits 7:0) "
        "of the 6-byte individual address are used for exact match and the sour"
        "ce address field in PAUSE frames.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_PAUR.
static const field_t hw_enet_paur[] =
{
    {
        "TYPE",
        "These fields have a constant value of 0x8808.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PADDR2",
        "Bytes 4 (bits 31:24) and 5 (bits 23:16) of the 6-byte individual addre"
        "ss used for exact match, and the source address field in PAUSE frames.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_OPD.
static const field_t hw_enet_opd[] =
{
    {
        "PAUSE_DUR",
        "Pause duration field used in PAUSE frames.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPCODE",
        "These fields have a constant value of 0x0001.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TXIC0.
static const field_t hw_enet_txic0[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be transmitted fo"
        "r raising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TXIC1.
static const field_t hw_enet_txic1[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be transmitted fo"
        "r raising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TXIC2.
static const field_t hw_enet_txic2[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be transmitted fo"
        "r raising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RXIC0.
static const field_t hw_enet_rxic0[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be received for r"
        "aising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RXIC1.
static const field_t hw_enet_rxic1[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be received for r"
        "aising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RXIC2.
static const field_t hw_enet_rxic2[] =
{
    {
        "ICTT",
        "Interrupt coalescing timer threshold in units of 64 clock periods.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICFT",
        "This value determines the number of frames needed to be received for r"
        "aising an interrupt.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICCS",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IAUR.
static const field_t hw_enet_iaur[] =
{
    {
        "IADDR1",
        "Contains the upper 32 bits of the 64-bit hash table used in the addres"
        "s recognition process for receive frames with a unicast address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IALR.
static const field_t hw_enet_ialr[] =
{
    {
        "IADDR2",
        "Contains the lower 32 bits of the 64-bit hash table used in the addres"
        "s recognition process for receive frames with a unicast address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_GAUR.
static const field_t hw_enet_gaur[] =
{
    {
        "GADDR1",
        "Contains the upper 32 bits of the 64-bit hash table used in the addres"
        "s recognition process for receive frames with a multicast address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_GALR.
static const field_t hw_enet_galr[] =
{
    {
        "GADDR2",
        "Contains the lower 32 bits of the 64-bit hash table used in the addres"
        "s recognition process for receive frames with a multicast address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TFWR.
static const field_t hw_enet_tfwr[] =
{
    {
        "TFWR",
        "If TFWR[STRFWD] is cleared, this field indicates the number of bytes, "
        "in steps of 64 bytes, written to the transmit FIFO before transmission"
        " of a frame begins.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STRFWD",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDSR1.
static const field_t hw_enet_rdsr1[] =
{
    {
        "R_DES_START",
        "Pointer to the beginning of the receive buffer descriptor queue 1.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDSR1.
static const field_t hw_enet_tdsr1[] =
{
    {
        "X_DES_START",
        "Pointer to the beginning of transmit buffer descriptor queue 1.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MRBR1.
static const field_t hw_enet_mrbr1[] =
{
    {
        "R_BUF_SIZE",
        "Receive buffer size in bytes.",
        4, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDSR2.
static const field_t hw_enet_rdsr2[] =
{
    {
        "R_DES_START",
        "Pointer to the beginning of receive buffer descriptor queue 2.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDSR2.
static const field_t hw_enet_tdsr2[] =
{
    {
        "X_DES_START",
        "Pointer to the beginning of transmit buffer descriptor queue 2.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MRBR2.
static const field_t hw_enet_mrbr2[] =
{
    {
        "R_BUF_SIZE",
        "Receive buffer size in bytes.",
        4, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDSR.
static const field_t hw_enet_rdsr[] =
{
    {
        "R_DES_START",
        "Pointer to the beginning of the receive buffer descriptor queue.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDSR.
static const field_t hw_enet_tdsr[] =
{
    {
        "X_DES_START",
        "Pointer to the beginning of the transmit buffer descriptor queue.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_MRBR.
static const field_t hw_enet_mrbr[] =
{
    {
        "R_BUF_SIZE",
        "Receive buffer size in bytes.",
        4, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RSFL.
static const field_t hw_enet_rsfl[] =
{
    {
        "RX_SECTION_FULL",
        "Value, in 64-bit words, of the receive FIFO section full threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RSEM.
static const field_t hw_enet_rsem[] =
{
    {
        "RX_SECTION_EMPTY",
        "Value, in 64-bit words, of the receive FIFO section empty threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STAT_SECTION_EMPTY",
        "Defines number of frames in the receive FIFO, independent of its size,"
        " that can be accepted.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RAEM.
static const field_t hw_enet_raem[] =
{
    {
        "RX_ALMOST_EMPTY",
        "Value, in 64-bit words, of the receive FIFO almost empty threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RAFL.
static const field_t hw_enet_rafl[] =
{
    {
        "RX_ALMOST_FULL",
        "Value, in 64-bit words, of the receive FIFO almost full threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TSEM.
static const field_t hw_enet_tsem[] =
{
    {
        "TX_SECTION_EMPTY",
        "Value, in 64-bit words, of the transmit FIFO section empty threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TAEM.
static const field_t hw_enet_taem[] =
{
    {
        "TX_ALMOST_EMPTY",
        "Value, in 64-bit words, of the transmit FIFO almost empty threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TAFL.
static const field_t hw_enet_tafl[] =
{
    {
        "TX_ALMOST_FULL",
        "Value, in 64-bit words, of the transmit FIFO almost full threshold.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TIPG.
static const field_t hw_enet_tipg[] =
{
    {
        "IPG",
        "Indicates the IPG, in bytes, between transmitted frames.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_FTRL.
static const field_t hw_enet_ftrl[] =
{
    {
        "TRUNC_FL",
        "Indicates the value a receive frame is truncated, if it is greater tha"
        "n this value.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TACC.
static const field_t hw_enet_tacc[] =
{
    {
        "SHIFT16",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPCHK",
        "Enables insertion of IP header checksum.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PROCHK",
        "Enables insertion of protocol checksum.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RACC.
static const field_t hw_enet_racc[] =
{
    {
        "PADREM",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPDIS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRODIS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LINEDIS",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT16",
        "When this field is set, the actual frame data starts at bit 16 of the "
        "first word read from the RX FIFO aligning the Ethernet payload on a 32"
        "-bit boundary.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RCMR1.
static const field_t hw_enet_rcmr1[] =
{
    {
        "CMP0",
        "A three-bit value that will be compared with the frame's VLAN priority"
        " field (if a VLAN frame is received).",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP1",
        "Second value to compare against.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP2",
        "Third value to compare against.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP3",
        "Fourth value to compare against.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MATCHEN",
        "A comparison is done only on incoming VLAN frames.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RCMR2.
static const field_t hw_enet_rcmr2[] =
{
    {
        "CMP0",
        "A three-bit value that will be compared with the frame's VLAN priority"
        " field (if a VLAN frame is received).",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP1",
        "Second value to compare against.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP2",
        "Third value to compare against.",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP3",
        "Fourth value to compare against.",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MATCHEN",
        "A comparison is done only on incoming VLAN frames.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_DMA1CFG.
static const field_t hw_enet_dma1cfg[] =
{
    {
        "IDLE_SLOPE",
        "16-bit value to define the per class idle slope setting used by the cr"
        "edit based shaper defining allocated bandwidth for the class.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_CLASS_EN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CALC_NOIPG",
        "Disable inclusion of IPG bytes for bandwidth calculations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_DMA2CFG.
static const field_t hw_enet_dma2cfg[] =
{
    {
        "IDLE_SLOPE",
        "16-bit value to define the per class idle slope setting used by the cr"
        "edit based shaper defining allocated bandwidth for the class.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_CLASS_EN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CALC_NOIPG",
        "Disable inclusion of IPG bytes for bandwidth calculations.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDAR1.
static const field_t hw_enet_rdar1[] =
{
    {
        "RDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDAR1.
static const field_t hw_enet_tdar1[] =
{
    {
        "TDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RDAR2.
static const field_t hw_enet_rdar2[] =
{
    {
        "RDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TDAR2.
static const field_t hw_enet_tdar2[] =
{
    {
        "TDAR",
        "Always set to 1 when this register is written, regardless of the value"
        " written.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_QOS.
static const field_t hw_enet_qos[] =
{
    {
        "TX_SCHEME",
        "Configuration information for DMA to select transmitter queue selectio"
        "n/arbitration scheme.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_FLUSH0",
        "Enable or disable RX Flush for ring 0.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_FLUSH1",
        "Enable or disable RX Flush for ring 1.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RX_FLUSH2",
        "Enable or disable RX Flush for ring 2.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_DROP.
static const field_t hw_enet_rmon_t_drop[] =
{
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_PACKETS.
static const field_t hw_enet_rmon_t_packets[] =
{
    {
        "TXPKTS",
        "Transmit packet count",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_BC_PKT.
static const field_t hw_enet_rmon_t_bc_pkt[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_MC_PKT.
static const field_t hw_enet_rmon_t_mc_pkt[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_CRC_ALIGN.
static const field_t hw_enet_rmon_t_crc_align[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_UNDERSIZE.
static const field_t hw_enet_rmon_t_undersize[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_OVERSIZE.
static const field_t hw_enet_rmon_t_oversize[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_FRAG.
static const field_t hw_enet_rmon_t_frag[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_JAB.
static const field_t hw_enet_rmon_t_jab[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_COL.
static const field_t hw_enet_rmon_t_col[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P64.
static const field_t hw_enet_rmon_t_p64[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P65TO127.
static const field_t hw_enet_rmon_t_p65to127[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P128TO255.
static const field_t hw_enet_rmon_t_p128to255[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P256TO511.
static const field_t hw_enet_rmon_t_p256to511[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P512TO1023.
static const field_t hw_enet_rmon_t_p512to1023[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P1024TO2047.
static const field_t hw_enet_rmon_t_p1024to2047[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_P_GTE2048.
static const field_t hw_enet_rmon_t_p_gte2048[] =
{
    {
        "TXPKTS",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_T_OCTETS.
static const field_t hw_enet_rmon_t_octets[] =
{
    {
        "TXOCTS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_DROP.
static const field_t hw_enet_ieee_t_drop[] =
{
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_FRAME_OK.
static const field_t hw_enet_ieee_t_frame_ok[] =
{
    {
        "COUNT",
        "Does not increment for the broadcast frames when broadcast reject is e"
        "nabled and promiscuous mode is disabled within the receive control reg"
        "ister (RCR).",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_1COL.
static const field_t hw_enet_ieee_t_1col[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_MCOL.
static const field_t hw_enet_ieee_t_mcol[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_DEF.
static const field_t hw_enet_ieee_t_def[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_LCOL.
static const field_t hw_enet_ieee_t_lcol[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_EXCOL.
static const field_t hw_enet_ieee_t_excol[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_MACERR.
static const field_t hw_enet_ieee_t_macerr[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_CSERR.
static const field_t hw_enet_ieee_t_cserr[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_SQE.
static const field_t hw_enet_ieee_t_sqe[] =
{
    {
        "COUNT",
        "This read-only field is reserved and always has the value 0.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_FDXFC.
static const field_t hw_enet_ieee_t_fdxfc[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_T_OCTETS_OK.
static const field_t hw_enet_ieee_t_octets_ok[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_PACKETS.
static const field_t hw_enet_rmon_r_packets[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_BC_PKT.
static const field_t hw_enet_rmon_r_bc_pkt[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_MC_PKT.
static const field_t hw_enet_rmon_r_mc_pkt[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_CRC_ALIGN.
static const field_t hw_enet_rmon_r_crc_align[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_UNDERSIZE.
static const field_t hw_enet_rmon_r_undersize[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_OVERSIZE.
static const field_t hw_enet_rmon_r_oversize[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_FRAG.
static const field_t hw_enet_rmon_r_frag[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_JAB.
static const field_t hw_enet_rmon_r_jab[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_RESVD_0.
static const field_t hw_enet_rmon_r_resvd_0[] =
{
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P64.
static const field_t hw_enet_rmon_r_p64[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P65TO127.
static const field_t hw_enet_rmon_r_p65to127[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P128TO255.
static const field_t hw_enet_rmon_r_p128to255[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P256TO511.
static const field_t hw_enet_rmon_r_p256to511[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P512TO1023.
static const field_t hw_enet_rmon_r_p512to1023[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P1024TO2047.
static const field_t hw_enet_rmon_r_p1024to2047[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_P_GTE2048.
static const field_t hw_enet_rmon_r_p_gte2048[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_RMON_R_OCTETS.
static const field_t hw_enet_rmon_r_octets[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_DROP.
static const field_t hw_enet_ieee_r_drop[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_FRAME_OK.
static const field_t hw_enet_ieee_r_frame_ok[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_CRC.
static const field_t hw_enet_ieee_r_crc[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_ALIGN.
static const field_t hw_enet_ieee_r_align[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_MACERR.
static const field_t hw_enet_ieee_r_macerr[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_FDXFC.
static const field_t hw_enet_ieee_r_fdxfc[] =
{
    {
        "COUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_IEEE_R_OCTETS_OK.
static const field_t hw_enet_ieee_r_octets_ok[] =
{
    {
        "COUNT",
        "Counts total octets (includes header and FCS fields).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATCR.
static const field_t hw_enet_atcr[] =
{
    {
        "EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFEN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OFFRST",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PEREN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PINPER",
        "Enables event signal output assertion on period event.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESTART",
        "Resets the timer to zero.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAPTURE",
        "When this field is set, all other fields are ignored during a write.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLAVE",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATVR.
static const field_t hw_enet_atvr[] =
{
    {
        "ATIME",
        "A write sets the timer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATOFF.
static const field_t hw_enet_atoff[] =
{
    {
        "OFFSET",
        "Offset value for one-shot event generation.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATPER.
static const field_t hw_enet_atper[] =
{
    {
        "PERIOD",
        "Value for generating periodic events.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATCOR.
static const field_t hw_enet_atcor[] =
{
    {
        "COR",
        "Defines after how many timer clock cycles (ts_clk) the correction coun"
        "ter should be reset and trigger a correction increment on the timer.",
        0, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATINC.
static const field_t hw_enet_atinc[] =
{
    {
        "INC",
        "The timer increments by this amount each clock cycle.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INC_CORR",
        "This value is added every time the correction timer expires (every clo"
        "ck cycle given in ATCOR).",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_ATSTMP.
static const field_t hw_enet_atstmp[] =
{
    {
        "TIMESTAMP",
        "Timestamp of the last frame transmitted by the core that had TxBD[TS] "
        "set .",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TGSR.
static const field_t hw_enet_tgsr[] =
{
    {
        "TF0",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF1",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF2",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF3",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCSR0.
static const field_t hw_enet_tcsr0[] =
{
    {
        "TDRE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TMODE",
        "Updating the Timer Mode field takes a few cycles to register because i"
        "t is synchronized to the 1588 clock.",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF",
        "Sets when input capture or output compare occurs.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCCR0.
static const field_t hw_enet_tccr0[] =
{
    {
        "TCC",
        "This register is double buffered between the module clock and 1588 clo"
        "ck domains.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCSR1.
static const field_t hw_enet_tcsr1[] =
{
    {
        "TDRE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TMODE",
        "Updating the Timer Mode field takes a few cycles to register because i"
        "t is synchronized to the 1588 clock.",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF",
        "Sets when input capture or output compare occurs.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCCR1.
static const field_t hw_enet_tccr1[] =
{
    {
        "TCC",
        "This register is double buffered between the module clock and 1588 clo"
        "ck domains.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCSR2.
static const field_t hw_enet_tcsr2[] =
{
    {
        "TDRE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TMODE",
        "Updating the Timer Mode field takes a few cycles to register because i"
        "t is synchronized to the 1588 clock.",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF",
        "Sets when input capture or output compare occurs.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCCR2.
static const field_t hw_enet_tccr2[] =
{
    {
        "TCC",
        "This register is double buffered between the module clock and 1588 clo"
        "ck domains.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCSR3.
static const field_t hw_enet_tcsr3[] =
{
    {
        "TDRE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TMODE",
        "Updating the Timer Mode field takes a few cycles to register because i"
        "t is synchronized to the 1588 clock.",
        2, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIE",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TF",
        "Sets when input capture or output compare occurs.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ENET_TCCR3.
static const field_t hw_enet_tccr3[] =
{
    {
        "TCC",
        "This register is double buffered between the module clock and 1588 clo"
        "ck domains.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a ENET module.
static const reg_t hw_enet[] =
{
    {
        "EIR",
        "When an event occurs that sets a bit in EIR, an interrupt occurs if th"
        "e corresponding bit in the interrupt mask register (EIMR) is also set.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        27, // Number of bitfields
        hw_enet_eir
    },
    {
        "EIMR",
        "EIMR controls which interrupt events are allowed to generate actual in"
        "terrupts.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        27, // Number of bitfields
        hw_enet_eimr
    },
    {
        "RDAR",
        "RDAR is a command register, written by the user, to indicate that the "
        "receive descriptor ring 0 has been updated, that is, that the driver p"
        "roduced empty receive buffers with the empty bit set.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdar
    },
    {
        "TDAR",
        "The TDAR is a command register that the user writes to indicate that t"
        "he transmit descriptor ring 0 has been updated, that is, that transmit"
        " buffers have been produced by the driver with the ready bit set in th"
        "e buffer descriptor.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdar
    },
    {
        "ECR",
        "ECR is a read/write user register, though hardware may also alter fiel"
        "ds in this register.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_enet_ecr
    },
    {
        "MMFR",
        "Writing to MMFR triggers a management frame transaction to the PHY dev"
        "ice unless MSCR is programmed to zero.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_enet_mmfr
    },
    {
        "MSCR",
        "MSCR provides control of the MII clock (MDC pin) frequency and allows "
        "a preamble drop on the MII management frame.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_mscr
    },
    {
        "MIBC",
        "MIBC is a read/write register controlling and observing the state of t"
        "he MIB block.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_mibc
    },
    {
        "RCR",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_enet_rcr
    },
    {
        "TCR",
        "TCR is read/write and configures the transmit block.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_enet_tcr
    },
    {
        "PALR",
        "PALR contains the lower 32 bits (bytes 0, 1, 2, 3) of the 48-bit addre"
        "ss used in the address recognition process to compare with the destina"
        "tion address (DA) field of receive frames with an individual DA.",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_palr
    },
    {
        "PAUR",
        "PAUR contains the upper 16 bits (bytes 4 and 5) of the 48-bit address "
        "used in the address recognition process to compare with the destinatio"
        "n address (DA) field of receive frames with an individual DA.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_paur
    },
    {
        "OPD",
        "OPD is read/write accessible.",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_opd
    },
    {
        "TXIC0",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_txic0
    },
    {
        "TXIC1",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_txic1
    },
    {
        "TXIC2",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_txic2
    },
    {
        "RXIC0",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_rxic0
    },
    {
        "RXIC1",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_rxic1
    },
    {
        "RXIC2",
        "See Interrupt coalescence for more information.",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_rxic2
    },
    {
        "IAUR",
        "IAUR contains the upper 32 bits of the 64-bit individual address hash "
        "table.",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_iaur
    },
    {
        "IALR",
        "IALR contains the lower 32 bits of the 64-bit individual address hash "
        "table.",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_ialr
    },
    {
        "GAUR",
        "GAUR contains the upper 32 bits of the 64-bit hash table used in the a"
        "ddress recognition process for receive frames with a multicast address"
        ".",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_gaur
    },
    {
        "GALR",
        "GALR contains the lower 32 bits of the 64-bit hash table used in the a"
        "ddress recognition process for receive frames with a multicast address"
        ".",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_galr
    },
    {
        "TFWR",
        "If TFWR[STRFWD] is cleared, TFWR[TFWR] controls the amount of data req"
        "uired in the transmit FIFO before transmission of a frame can begin.",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_tfwr
    },
    {
        "RDSR1",
        "RDSR1 points to the beginning of circular receive buffer descriptor qu"
        "eue 1 in external memory.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdsr1
    },
    {
        "TDSR1",
        "TDSR1 provides a pointer to the beginning of the circular transmit buf"
        "fer descriptor queue 1 in external memory.",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdsr1
    },
    {
        "MRBR1",
        "MRBR1 is a user-programmable register that dictates the maximum size o"
        "f all ring-1 receive buffers.",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_mrbr1
    },
    {
        "RDSR2",
        "RDSR points to the beginning of circular receive buffer descriptor que"
        "ue 2 in external memory.",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdsr2
    },
    {
        "TDSR2",
        "TDSR2 provides a pointer to the beginning of circular transmit buffer "
        "descriptor queue 2 in external memory.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdsr2
    },
    {
        "MRBR2",
        "MRBR2 is a user-programmable register that dictates the maximum size o"
        "f all ring-2 receive buffers.",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_mrbr2
    },
    {
        "RDSR",
        "RDSR points to the beginning of the circular receive buffer descriptor"
        " queue in external memory.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdsr
    },
    {
        "TDSR",
        "TDSR provides a pointer to the beginning of the circular transmit buff"
        "er descriptor queue 0 in external memory.",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdsr
    },
    {
        "MRBR",
        "The MRBR is a user-programmable register that dictates the maximum siz"
        "e of all ring-0 receive buffers.",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_mrbr
    },
    {
        "RSFL",
        "",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rsfl
    },
    {
        "RSEM",
        "",
        4, // Width in bytes
        0x00000194, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_rsem
    },
    {
        "RAEM",
        "",
        4, // Width in bytes
        0x00000198, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_raem
    },
    {
        "RAFL",
        "",
        4, // Width in bytes
        0x0000019c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rafl
    },
    {
        "TSEM",
        "",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tsem
    },
    {
        "TAEM",
        "",
        4, // Width in bytes
        0x000001a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_taem
    },
    {
        "TAFL",
        "",
        4, // Width in bytes
        0x000001a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tafl
    },
    {
        "TIPG",
        "",
        4, // Width in bytes
        0x000001ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tipg
    },
    {
        "FTRL",
        "",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_ftrl
    },
    {
        "TACC",
        "TACC controls accelerator actions when sending frames.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_tacc
    },
    {
        "RACC",
        "",
        4, // Width in bytes
        0x000001c4, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_enet_racc
    },
    {
        "RCMR1",
        "This match register allows specifying up to four priorities, which are"
        " tested (OR'ed) simultaneously.",
        4, // Width in bytes
        0x000001c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_enet_rcmr1
    },
    {
        "RCMR2",
        "This match register allows specifying up to four priorities, which are"
        " tested (OR'ed) simultaneously.",
        4, // Width in bytes
        0x000001cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_enet_rcmr2
    },
    {
        "DMA1CFG",
        "The DMA class based configuration registers are used to configure the "
        "DMA controller interface to support the additional class 1 (buffer des"
        "criptor ring 1) and class 2 (buffer descriptor ring 2) traffic and def"
        "ine configuration options such as bandwidth allocation as needed.",
        4, // Width in bytes
        0x000001d8, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_dma1cfg
    },
    {
        "DMA2CFG",
        "The DMA class based configuration registers are used to configure the "
        "DMA controller interface to support the additional class 1 (buffer des"
        "criptor ring 1) and class 2 (buffer descriptor ring 2) traffic and def"
        "ine configuration options such as bandwidth allocation as needed.",
        4, // Width in bytes
        0x000001dc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_enet_dma2cfg
    },
    {
        "RDAR1",
        "RDAR1 is a command register, written by the user, to indicate that the"
        " receive descriptor ring 1 has been updated, that is, that the driver "
        "produced empty receive buffers with the empty bit set.",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdar1
    },
    {
        "TDAR1",
        "TDAR1 is a command register that the user writes to indicate that tran"
        "smit descriptor ring 1 has been updated, that is, that transmit buffer"
        "s have been produced by the driver with the ready bit set in the buffe"
        "r descriptor.",
        4, // Width in bytes
        0x000001e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdar1
    },
    {
        "RDAR2",
        "RDAR2 is a command register, written by the user, to indicate that the"
        " receive descriptor ring 2 has been updated, that is, that the driver "
        "produced empty receive buffers with the empty bit set.",
        4, // Width in bytes
        0x000001e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_rdar2
    },
    {
        "TDAR2",
        "TDAR2 is a command register that the user writes to indicate that tran"
        "smit descriptor ring 2 has been updated, that is, that transmit buffer"
        "s have been produced by the driver with the ready bit set in the buffe"
        "r descriptor.",
        4, // Width in bytes
        0x000001ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tdar2
    },
    {
        "QOS",
        "This register sets the QOS scheme.",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_qos
    },
    {
        "RMON_T_DROP",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_enet_rmon_t_drop
    },
    {
        "RMON_T_PACKETS",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_packets
    },
    {
        "RMON_T_BC_PKT",
        "RMON Tx Broadcast Packets",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_bc_pkt
    },
    {
        "RMON_T_MC_PKT",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_mc_pkt
    },
    {
        "RMON_T_CRC_ALIGN",
        "",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_crc_align
    },
    {
        "RMON_T_UNDERSIZE",
        "",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_undersize
    },
    {
        "RMON_T_OVERSIZE",
        "",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_oversize
    },
    {
        "RMON_T_FRAG",
        ".",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_frag
    },
    {
        "RMON_T_JAB",
        "",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_jab
    },
    {
        "RMON_T_COL",
        "",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_col
    },
    {
        "RMON_T_P64",
        ".",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p64
    },
    {
        "RMON_T_P65TO127",
        "",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p65to127
    },
    {
        "RMON_T_P128TO255",
        "",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p128to255
    },
    {
        "RMON_T_P256TO511",
        "",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p256to511
    },
    {
        "RMON_T_P512TO1023",
        ".",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p512to1023
    },
    {
        "RMON_T_P1024TO2047",
        "",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p1024to2047
    },
    {
        "RMON_T_P_GTE2048",
        "",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_p_gte2048
    },
    {
        "RMON_T_OCTETS",
        "",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_t_octets
    },
    {
        "IEEE_T_DROP",
        "",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_enet_ieee_t_drop
    },
    {
        "IEEE_T_FRAME_OK",
        "",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_frame_ok
    },
    {
        "IEEE_T_1COL",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_1col
    },
    {
        "IEEE_T_MCOL",
        "",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_mcol
    },
    {
        "IEEE_T_DEF",
        "",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_def
    },
    {
        "IEEE_T_LCOL",
        "",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_lcol
    },
    {
        "IEEE_T_EXCOL",
        "",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_excol
    },
    {
        "IEEE_T_MACERR",
        "",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_macerr
    },
    {
        "IEEE_T_CSERR",
        "",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_cserr
    },
    {
        "IEEE_T_SQE",
        "",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_sqe
    },
    {
        "IEEE_T_FDXFC",
        "",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_fdxfc
    },
    {
        "IEEE_T_OCTETS_OK",
        "",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_t_octets_ok
    },
    {
        "RMON_R_PACKETS",
        "",
        4, // Width in bytes
        0x00000284, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_packets
    },
    {
        "RMON_R_BC_PKT",
        "",
        4, // Width in bytes
        0x00000288, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_bc_pkt
    },
    {
        "RMON_R_MC_PKT",
        "",
        4, // Width in bytes
        0x0000028c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_mc_pkt
    },
    {
        "RMON_R_CRC_ALIGN",
        "",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_crc_align
    },
    {
        "RMON_R_UNDERSIZE",
        "",
        4, // Width in bytes
        0x00000294, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_undersize
    },
    {
        "RMON_R_OVERSIZE",
        "",
        4, // Width in bytes
        0x00000298, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_oversize
    },
    {
        "RMON_R_FRAG",
        "",
        4, // Width in bytes
        0x0000029c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_frag
    },
    {
        "RMON_R_JAB",
        "",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_jab
    },
    {
        "RMON_R_RESVD_0",
        "",
        4, // Width in bytes
        0x000002a4, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_enet_rmon_r_resvd_0
    },
    {
        "RMON_R_P64",
        "",
        4, // Width in bytes
        0x000002a8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p64
    },
    {
        "RMON_R_P65TO127",
        "",
        4, // Width in bytes
        0x000002ac, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p65to127
    },
    {
        "RMON_R_P128TO255",
        "",
        4, // Width in bytes
        0x000002b0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p128to255
    },
    {
        "RMON_R_P256TO511",
        "",
        4, // Width in bytes
        0x000002b4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p256to511
    },
    {
        "RMON_R_P512TO1023",
        "",
        4, // Width in bytes
        0x000002b8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p512to1023
    },
    {
        "RMON_R_P1024TO2047",
        "",
        4, // Width in bytes
        0x000002bc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p1024to2047
    },
    {
        "RMON_R_P_GTE2048",
        "",
        4, // Width in bytes
        0x000002c0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_p_gte2048
    },
    {
        "RMON_R_OCTETS",
        "",
        4, // Width in bytes
        0x000002c4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_rmon_r_octets
    },
    {
        "IEEE_R_DROP",
        "Counter increments if a frame with invalid or missing SFD character is"
        " detected and has been dropped.",
        4, // Width in bytes
        0x000002c8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_drop
    },
    {
        "IEEE_R_FRAME_OK",
        "",
        4, // Width in bytes
        0x000002cc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_frame_ok
    },
    {
        "IEEE_R_CRC",
        "",
        4, // Width in bytes
        0x000002d0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_crc
    },
    {
        "IEEE_R_ALIGN",
        "",
        4, // Width in bytes
        0x000002d4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_align
    },
    {
        "IEEE_R_MACERR",
        "",
        4, // Width in bytes
        0x000002d8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_macerr
    },
    {
        "IEEE_R_FDXFC",
        "",
        4, // Width in bytes
        0x000002dc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_fdxfc
    },
    {
        "IEEE_R_OCTETS_OK",
        "",
        4, // Width in bytes
        0x000002e0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_ieee_r_octets_ok
    },
    {
        "ATCR",
        "ATCR command fields can trigger the corresponding events directly.",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_enet_atcr
    },
    {
        "ATVR",
        "",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_atvr
    },
    {
        "ATOFF",
        "",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_atoff
    },
    {
        "ATPER",
        "",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_atper
    },
    {
        "ATCOR",
        "",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_atcor
    },
    {
        "ATINC",
        "",
        4, // Width in bytes
        0x00000414, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_enet_atinc
    },
    {
        "ATSTMP",
        "",
        4, // Width in bytes
        0x00000418, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_enet_atstmp
    },
    {
        "TGSR",
        "",
        4, // Width in bytes
        0x00000604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tgsr
    },
    {
        "TCSR0",
        "",
        4, // Width in bytes
        0x00000608, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tcsr0
    },
    {
        "TCCR0",
        "",
        4, // Width in bytes
        0x0000060c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tccr0
    },
    {
        "TCSR1",
        "",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tcsr1
    },
    {
        "TCCR1",
        "",
        4, // Width in bytes
        0x00000614, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tccr1
    },
    {
        "TCSR2",
        "",
        4, // Width in bytes
        0x00000618, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tcsr2
    },
    {
        "TCCR2",
        "",
        4, // Width in bytes
        0x0000061c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tccr2
    },
    {
        "TCSR3",
        "",
        4, // Width in bytes
        0x00000620, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_enet_tcsr3
    },
    {
        "TCCR3",
        "",
        4, // Width in bytes
        0x00000624, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_enet_tccr3
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark ETM
#endif

// Bitfields in register ETM_ETMCR.
static const field_t hw_etm_etmcr[] =
{
    {
        "ETMPD",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS",
        "",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SP",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BO",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DRC",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ETMP",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ETMPS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PM2",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PM",
        "",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS3",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TE",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMCCR.
static const field_t hw_etm_etmccr[] =
{
    {
        "NUMBEROFADDRESSCOMPARATORPAIRS",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NDVC",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NMMD",
        "",
        8, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NC",
        "",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SP",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEI",
        "",
        17, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NEO",
        "",
        20, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FFLP",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NCIDC",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TSSBP",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMA",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ETMIDRP",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMTRIGGER.
static const field_t hw_etm_etmtrigger[] =
{
    {
        "TRIGGEREVENT",
        "",
        0, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMSR.
static const field_t hw_etm_etmsr[] =
{
    {
        "UOF",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PROGBIT",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRIGGER",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMSCR.
static const field_t hw_etm_etmscr[] =
{
    {
        "MAXIMUMPORTSIZE",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFOFULLSUPPORTED",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAXIMUMPORTSIZE3",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PORTSIZESUPPORTED",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PORTMODESUPPORTED",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "N",
        "",
        12, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NOFETCHCOMPARISONS",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMEEVR.
static const field_t hw_etm_etmeevr[] =
{
    {
        "TRACEENABLEEVENT",
        "",
        0, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMTECR1.
static const field_t hw_etm_etmtecr1[] =
{
    {
        "TRACECONTROLENABLE",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMFFLR.
static const field_t hw_etm_etmfflr[] =
{
    {
        "FIFOFULLLEVEL",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMCNTRLDVR1.
static const field_t hw_etm_etmcntrldvr1[] =
{
    {
        "INTITIALCOUNT",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMSYNCFR.
static const field_t hw_etm_etmsyncfr[] =
{
    {
        "SYNCFREQUENCY",
        "",
        0, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMIDR.
static const field_t hw_etm_etmidr[] =
{
    {
        "IMPLEMENTATIONREVISION",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINORETMARCHITECTUREVERSION",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJORETMARCHITECTUREVERSION",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PROCESSORFAMILY",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOADPCFIRST",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "THUMBINSTRUCTIONTRACING",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SECURITYEXTENSIONSUPPORT",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BRANCHPACKETENCODING",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IMPLEMENTORCODE",
        "",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMCCER.
static const field_t hw_etm_etmccer[] =
{
    {
        "EXTENDEDEXTERNALINPUTSELECTORS",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EXTENDEDEXTERNALINPUTBUS",
        "",
        3, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "READABLEREGISTERS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DATAADDRESSCOMPARISONS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "INSTRUMENTATIONRESOURCES",
        "",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMBEDDEDICEWATCHPOINTINPUTS",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TRACESTARTSTOPBLOCKUSESEMBEDDEDICEWATCHPOINTINPUTS",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EMBEDDEDICEBEHAVIORCONTROLIMPLEMENTED",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TIMESTAMPINGIMPLEMENTED",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REDUCEDFUNCTIONCOUNTER",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TIMESTAMPENCODING",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TIMESTAMPSIZE",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMTESSEICR.
static const field_t hw_etm_etmtesseicr[] =
{
    {
        "STARTRESOURCESELECTION",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOPRESOURCESELECTION",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMTSEVR.
static const field_t hw_etm_etmtsevr[] =
{
    {
        "TIMESTAMPEVENT",
        "",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMTRACEIDR.
static const field_t hw_etm_etmtraceidr[] =
{
    {
        "TRACEID",
        "",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMIDR2.
static const field_t hw_etm_etmidr2[] =
{
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMPDSR.
static const field_t hw_etm_etmpdsr[] =
{
    {
        "ETMPOWEREDUP",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ITMISCIN.
static const field_t hw_etm_itmiscin[] =
{
    {
        "EXTIN",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COREHALT",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ITTRIGOUT.
static const field_t hw_etm_ittrigout[] =
{
    {
        "TRIGGER",
        "",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ITATBCTR2.
static const field_t hw_etm_itatbctr2[] =
{
    {
        "ATREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ITATBCTR0.
static const field_t hw_etm_itatbctr0[] =
{
    {
        "ATVALID",
        "",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMITCTRL.
static const field_t hw_etm_etmitctrl[] =
{
    {
        "MODE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMCLAIMSET.
static const field_t hw_etm_etmclaimset[] =
{
    {
        "CLAIMSET",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMCLAIMCLR.
static const field_t hw_etm_etmclaimclr[] =
{
    {
        "CLAIMCLR",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMLAR.
static const field_t hw_etm_etmlar[] =
{
    {
        "WRITEACCESSCODE",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMLSR.
static const field_t hw_etm_etmlsr[] =
{
    {
        "IMP",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S8BIT",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMAUTHSTATUS.
static const field_t hw_etm_etmauthstatus[] =
{
    {
        "NSID",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NSNID",
        "",
        2, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SID",
        "",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SNID",
        "",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMDEVTYPE.
static const field_t hw_etm_etmdevtype[] =
{
    {
        "MAJORTYPE",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SUBTYPE",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMPIDR4.
static const field_t hw_etm_etmpidr4[] =
{
    {
        "JEP106",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "C4KB",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMPIDR5.
static const field_t hw_etm_etmpidr5[] =
{
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMPIDR6.
static const field_t hw_etm_etmpidr6[] =
{
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMPIDR7.
static const field_t hw_etm_etmpidr7[] =
{
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMPIDR0.
static const field_t hw_etm_etmpidr0[] =
{
    {
        "PARTNUMBER",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMPIDR1.
static const field_t hw_etm_etmpidr1[] =
{
    {
        "PARTNUMBER",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "JEP106_IDENTITY_CODE",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMPIDR2.
static const field_t hw_etm_etmpidr2[] =
{
    {
        "JEP106_IDENTITY_CODE",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REVISION",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMPIDR3.
static const field_t hw_etm_etmpidr3[] =
{
    {
        "CUSTOMERMODIFIED",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REVAND",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMCIDR0.
static const field_t hw_etm_etmcidr0[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMCIDR1.
static const field_t hw_etm_etmcidr1[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPONENTCLASS",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMCIDR2.
static const field_t hw_etm_etmcidr2[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ETM_ETMCIDR3.
static const field_t hw_etm_etmcidr3[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a ETM module.
static const reg_t hw_etm[] =
{
    {
        "ETMCR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_etm_etmcr
    },
    {
        "ETMCCR",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_etm_etmccr
    },
    {
        "ETMTRIGGER",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmtrigger
    },
    {
        "ETMSR",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_etm_etmsr
    },
    {
        "ETMSCR",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        7, // Number of bitfields
        hw_etm_etmscr
    },
    {
        "ETMEEVR",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmeevr
    },
    {
        "ETMTECR1",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmtecr1
    },
    {
        "ETMFFLR",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmfflr
    },
    {
        "ETMCNTRLDVR1",
        "",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmcntrldvr1
    },
    {
        "ETMSYNCFR",
        "",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_etm_etmsyncfr
    },
    {
        "ETMIDR",
        "",
        4, // Width in bytes
        0x000001e4, // Base address offset
        true, // Readable
        false, // Writable
        9, // Number of bitfields
        hw_etm_etmidr
    },
    {
        "ETMCCER",
        "",
        4, // Width in bytes
        0x000001e8, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_etm_etmccer
    },
    {
        "ETMTESSEICR",
        "",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_etm_etmtesseicr
    },
    {
        "ETMTSEVR",
        "",
        4, // Width in bytes
        0x000001f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmtsevr
    },
    {
        "ETMTRACEIDR",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmtraceidr
    },
    {
        "ETMIDR2",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_etm_etmidr2
    },
    {
        "ETMPDSR",
        "",
        4, // Width in bytes
        0x00000314, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_etm_etmpdsr
    },
    {
        "ITMISCIN",
        "",
        4, // Width in bytes
        0x00000ee0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_etm_itmiscin
    },
    {
        "ITTRIGOUT",
        "",
        4, // Width in bytes
        0x00000ee8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_etm_ittrigout
    },
    {
        "ITATBCTR2",
        "",
        4, // Width in bytes
        0x00000ef0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_etm_itatbctr2
    },
    {
        "ITATBCTR0",
        "",
        4, // Width in bytes
        0x00000ef8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_etm_itatbctr0
    },
    {
        "ETMITCTRL",
        "",
        4, // Width in bytes
        0x00000f00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmitctrl
    },
    {
        "ETMCLAIMSET",
        "",
        4, // Width in bytes
        0x00000fa0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmclaimset
    },
    {
        "ETMCLAIMCLR",
        "",
        4, // Width in bytes
        0x00000fa4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmclaimclr
    },
    {
        "ETMLAR",
        "",
        4, // Width in bytes
        0x00000fb0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_etm_etmlar
    },
    {
        "ETMLSR",
        "",
        4, // Width in bytes
        0x00000fb4, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_etm_etmlsr
    },
    {
        "ETMAUTHSTATUS",
        "",
        4, // Width in bytes
        0x00000fb8, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_etm_etmauthstatus
    },
    {
        "ETMDEVTYPE",
        "",
        4, // Width in bytes
        0x00000fcc, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_etm_etmdevtype
    },
    {
        "ETMPIDR4",
        "",
        4, // Width in bytes
        0x00000fd0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_etm_etmpidr4
    },
    {
        "ETMPIDR5",
        "",
        4, // Width in bytes
        0x00000fd4, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_etm_etmpidr5
    },
    {
        "ETMPIDR6",
        "",
        4, // Width in bytes
        0x00000fd8, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_etm_etmpidr6
    },
    {
        "ETMPIDR7",
        "",
        4, // Width in bytes
        0x00000fdc, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_etm_etmpidr7
    },
    {
        "ETMPIDR0",
        "",
        4, // Width in bytes
        0x00000fe0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_etm_etmpidr0
    },
    {
        "ETMPIDR1",
        "",
        4, // Width in bytes
        0x00000fe4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_etm_etmpidr1
    },
    {
        "ETMPIDR2",
        "",
        4, // Width in bytes
        0x00000fe8, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_etm_etmpidr2
    },
    {
        "ETMPIDR3",
        "",
        4, // Width in bytes
        0x00000fec, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_etm_etmpidr3
    },
    {
        "ETMCIDR0",
        "",
        4, // Width in bytes
        0x00000ff0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_etm_etmcidr0
    },
    {
        "ETMCIDR1",
        "",
        4, // Width in bytes
        0x00000ff4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_etm_etmcidr1
    },
    {
        "ETMCIDR2",
        "",
        4, // Width in bytes
        0x00000ff8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_etm_etmcidr2
    },
    {
        "ETMCIDR3",
        "",
        4, // Width in bytes
        0x00000ffc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_etm_etmcidr3
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPC
#endif

// Bitfields in register GPC_LPCR_A53_BSC.
static const field_t hw_gpc_lpcr_a53_bsc[] =
{
    {
        "LPM0",
        "CORE0 Setting the low power mode that system will enter on next assert"
        "ion of dsm_request signal.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPM1",
        "CORE1 Setting the low power mode that system will enter on next assert"
        "ion of dsm_request signal.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MST_LPM_HSK_MASK",
        "MASTER0(SCU) will hankshake with GPC in LPM follow, when you want this"
        " master power off.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPU_CLK_ON_LPM",
        "Define if A53 clocks will be disabled on wait/stop mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CORE0_WFI",
        "CORE0 Wait For Interrupt Mask",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CORE1_WFI",
        "CORE1 Wait For Interrupt Mask",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CORE2_WFI",
        "CORE2 Wait For Interrupt Mask",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_CORE3_WFI",
        "CORE3 Wait For Interrupt Mask",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_SRC_C2",
        "LPCR_A53_BSC[IRQ_SRC_C0], LPCR_A53_BSC[IRQ_SRC_C1], LPCR_A53_BSC[IRQ_S"
        "RC_C2], LPCR_A53_BSC[IRQ_SRC_C3], and LPCR_A53_BSC[IRQ_SRC_A53_WUP] wo"
        "rk together to decide the wake up source for A53 LPM and core0/core1/c"
        "ore2/core3 power.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_SRC_C3",
        "LPCR_A53_BSC[IRQ_SRC_C0], LPCR_A53_BSC[IRQ_SRC_C1], LPCR_A53_BSC[IRQ_S"
        "RC_C2], LPCR_A53_BSC[IRQ_SRC_C3], and LPCR_A53_BSC[IRQ_SRC_A53_WUP] wo"
        "rk together to decide the wake up source for A53 LPM and core0/core1/c"
        "ore2/core3 power.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_SCU_WFI",
        "SCU Wait For Interrupt Mask Register",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_L2CC_WFI",
        "L2 cache controller Wait For Interrupt Mask Register",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_SRC_C0",
        "LPCR_A53_BSC[IRQ_SRC_C0], LPCR_A53_BSC[IRQ_SRC_C1], LPCR_A53_BSC[IRQ_S"
        "RC_C2], LPCR_A53_BSC[IRQ_SRC_C3], and LPCR_A53_BSC[IRQ_SRC_A53_WUP] wo"
        "rk together to decide the wake up source for A53 LPM and core0/core1/c"
        "ore2/core3 power.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_SRC_C1",
        "LPCR_A53_BSC[IRQ_SRC_C0], LPCR_A53_BSC[IRQ_SRC_C1], LPCR_A53_BSC[IRQ_S"
        "RC_C2], LPCR_A53_BSC[IRQ_SRC_C3], and LPCR_A53_BSC[IRQ_SRC_A53_WUP] wo"
        "rk together to decide the wake up source for A53 LPM and core0/core1/c"
        "ore2/core3 power.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_SRC_A53_WUP",
        "LPCR_A53_BSC[IRQ_SRC_C0], LPCR_A53_BSC[IRQ_SRC_C1], LPCR_A53_BSC[IRQ_S"
        "RC_C2], LPCR_A53_BSC[IRQ_SRC_C3], and LPCR_A53_BSC[IRQ_SRC_A53_WUP] wo"
        "rk together to decide the wake up source for A53 LPM and core0/core1/c"
        "ore2/core3 power.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_DSM_TRIGGER",
        "DSM Trigger Mask",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_LPCR_A53_AD.
static const field_t hw_gpc_lpcr_a53_ad[] =
{
    {
        "EN_C0_WFI_PDN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C0_PDN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C1_WFI_PDN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C1_PDN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_PLAT_PDN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_L2_WFI_PDN",
        "Before reset, L2 WFI is 1 and make GPC generate an error DSM request.",
        5, // LSB
        5, // MSB
        false, // Readable
        false // Writable
    },
    {
        "EN_C0_IRQ_PUP",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C0_PUP",
        "(only used wake up from CPU01_OFF mode)",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C1_IRQ_PUP",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C1_PUP",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C2_WFI_PDN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C2_PDN",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C3_WFI_PDN",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C3_PDN",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C0_WFI_PDN_DIS",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C1_WFI_PDN_DIS",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C2_WFI_PDN_DIS",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C3_WFI_PDN_DIS",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C2_IRQ_PUP",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C2_PUP",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C3_IRQ_PUP",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_C3_PUP",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2PGE",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_LPCR_M4.
static const field_t hw_gpc_lpcr_m4[] =
{
    {
        "LPM0",
        "Setting the low power mode that system will enter on next assertion of"
        " dsm_request signal.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_M4_PDN",
        "Enable m4 virtual PGC power down with LPM enter",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_M4_PUP",
        "Enable m4 virtual PGC power up with LPM enter",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CPU_CLK_ON_LPM",
        "Define if M4 clocks will be disabled on wait/stop mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_M4_WFI",
        "M4 WFI Mask",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_DSM_TRIGGER",
        "M4 WFI Mask",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLPCR.
static const field_t hw_gpc_slpcr[] =
{
    {
        "BYPASS_PMIC_READY",
        "By asserting this bit GPC will bypass waiting for PMIC_READY signal wh"
        "en coming out of DSM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SBYOS",
        "Standby clock oscillator bit.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSTBY",
        "Voltage standby request bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STBY_COUNT",
        "Standby counter definition.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COSC_PWRDOWN",
        "In run mode, software can manually control powering down of on chip os"
        "cillator, i.e.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COSC_EN",
        "On-chip oscillator enable bit - this bit value is reflected on the out"
        "put cosc_en.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSCCNT",
        "Oscillator ready counter value.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A53_FASTWUP_WAIT_MODE",
        "Enable A53 fast wake up wait mode, relevant PLLs will not be closed in"
        " this mode.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_A53_FASTWUP_STOP_MODE",
        "Enable A53 fast wake up stop mode, relevant PLLs will not be closed in"
        " this mode.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_M4_FASTWUP_WAIT_MODE",
        "Enable M4 fast wake up wait mode, relevant PLLs will not be closed in "
        "this mode.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_M4_FASTWUP_STOP_MODE",
        "Enable M4 fast wake up stop mode, relevant PLLs will not be closed in "
        "this mode.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_A53_IS_DSM",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REG_BYPASS_COUNT",
        "Counter for REG_BYPASS signal assertion after standby voltage request "
        "by PMIC_STBY_REQ.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBC_EN",
        "Enable for REG_BYPASS_COUNTER.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_DSM",
        "DSM enable",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_MST_CPU_MAPPING.
static const field_t hw_gpc_mst_cpu_mapping[] =
{
    {
        "MST0_CPU_MAPPING",
        "SCU LPM handshake mask.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMLP_RET_PGEN",
        "Delay counter for \"retnx\" and \"pgen\"",
        1, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_MLPCR.
static const field_t hw_gpc_mlpcr[] =
{
    {
        "MEMLP_CTL_DIS",
        "RAM low-power control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMLP_RET_SEL",
        "Retention select",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROMLP_PDN_DIS",
        "ROM shut down control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMLP_ENT_CNT",
        "Delay counter to make sure all clock off after pll_dis_req is issued b"
        "y smc",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEM_EXT_CNT",
        "Delay counter to start existing from memory low power",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMLP_RET_PGEN",
        "Delay conter for \"retnx\" and \"pgen\"",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_ACK_SEL_A53.
static const field_t hw_gpc_pgc_ack_sel_a53[] =
{
    {
        "A53_C0_PGC_PDN_ACK",
        "Select power down acknowledge signal of A53 CORE0 PGC as the power dow"
        "n acknowledge for A53 LPM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_C1_PGC_PDN_ACK",
        "Select power down acknowledge signal of A53 CORE1 PGC as the power dow"
        "n acknowledge for A53 LPM.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_PLAT_PGC_PDN_ACK",
        "Select power down acknowledge signal of A53 PLATFORM PGC as the power "
        "down acknowledge for A53 LPM.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_C2_PGC_PDN_ACK",
        "Select power down acknowledge signal of A53 CORE2 PGC as the power dow"
        "n acknowledge for A53 LPM.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_C3_PGC_PDN_ACK",
        "Select power down acknowledge signal of A53 CORE3 PGC as the power dow"
        "n acknowledge for A53 LPM.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_PGC_PDN_ACK",
        "Select power down acknowledge signal of A53 (dummy) PGC as the power d"
        "own acknowledge for A53 LPM.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_C0_PGC_PUP_ACK",
        "Select power up acknowledge signal of A53 CORE0 PGC as the power up ac"
        "knowledge for A53 LPM.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_C1_PGC_PUP_ACK",
        "Select power up acknowledge signal of A53 CORE1 PGC as the power up ac"
        "knowledge for A53 LPM.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_PLAT_PGC_PUP_ACK",
        "Select power up acknowledge signal of A53 PLATFORM PGC as the power up"
        " acknowledge for A53 LPM.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_C2_PGC_PUP_ACK",
        "Select power up acknowledge signal of A53 CORE2 PGC as the power up ac"
        "knowledge for A53 LPM.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_C3_PGC_PUP_ACK",
        "Select power up acknowledge signal of A53 CORE3 PGC as the power up ac"
        "knowledge for A53 LPM.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_PGC_PUP_ACK",
        "Select power up acknowledge signal of A53 (dummy) PGC as the power up "
        "acknowledge for A53 LPM.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_ACK_SEL_M4.
static const field_t hw_gpc_pgc_ack_sel_m4[] =
{
    {
        "M4_VIRTUAL_PGC_PDN_ACK",
        "Select power down acknowledge signal of M4 virtual PGC as the power do"
        "wn acknowledge for M4 LPM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_DUMMY_PGC_PDN_ACK",
        "Select power down acknowledge signal of M4 (dummy) PGC as the power do"
        "wn acknowledge for M4 LPM.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_VIRTUAL_PGC_PUP_ACK",
        "Select power up acknowledge signal of M4 virtual PGC as the power up a"
        "cknowledge for M4 LPM.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_DUMMY_PGC_PUP_ACK",
        "Select power up acknowledge signal of M4 (dummy) PGC as the power up a"
        "cknowledge for M4 LPM.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_MISC.
static const field_t hw_gpc_misc[] =
{
    {
        "M4_SLEEP_HOLD_REQ_B",
        "M4 sleep hold",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_SLEEP_HOLD_REQ_B",
        "A53 sleep hold",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_IRQ_MASK",
        "GPC interrupt/event masking",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_REQ_MASK",
        "M4 power-down mask",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_BYPASS_PUP_MASK",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_BYPASS_PUP_MASK",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR1_CORE0_A53.
static const field_t hw_gpc_imr1_core0_a53[] =
{
    {
        "IMR1_CORE0_A53",
        "A53 core0 IRQ[31:0] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR2_CORE0_A53.
static const field_t hw_gpc_imr2_core0_a53[] =
{
    {
        "IMR2_CORE0_A53",
        "A53 core0 IRQ[63:32] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR3_CORE0_A53.
static const field_t hw_gpc_imr3_core0_a53[] =
{
    {
        "IMR3_CORE0_A53",
        "A53 core0 IRQ[95:64] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR4_CORE0_A53.
static const field_t hw_gpc_imr4_core0_a53[] =
{
    {
        "IMR4_CORE0_A53",
        "A53 core0 IRQ[127:96] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR1_CORE1_A53.
static const field_t hw_gpc_imr1_core1_a53[] =
{
    {
        "IMR1_CORE1_A53",
        "A53 core1 IRQ[31:0] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR2_CORE1_A53.
static const field_t hw_gpc_imr2_core1_a53[] =
{
    {
        "IMR2_CORE1_A53",
        "A53 core1 IRQ[63:32] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR3_CORE1_A53.
static const field_t hw_gpc_imr3_core1_a53[] =
{
    {
        "IMR3_CORE1_A53",
        "A53 core1 IRQ[95:64] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR4_CORE1_A53.
static const field_t hw_gpc_imr4_core1_a53[] =
{
    {
        "IMR4_CORE1_A53",
        "A53 core1 IRQ[127:96] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR1_M4.
static const field_t hw_gpc_imr1_m4[] =
{
    {
        "IMR1_M4",
        "M4 IRQ[31:0] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR2_M4.
static const field_t hw_gpc_imr2_m4[] =
{
    {
        "IMR2_M4",
        "M4 IRQ[63:32] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR3_M4.
static const field_t hw_gpc_imr3_m4[] =
{
    {
        "IMR3_M4",
        "M4 IRQ[95:64] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR4_M4.
static const field_t hw_gpc_imr4_m4[] =
{
    {
        "IMR4_M4",
        "M4 IRQ[127:96] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR1_A53.
static const field_t hw_gpc_isr1_a53[] =
{
    {
        "ISR1_A53",
        "A53 IRQ[31:0] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR2_A53.
static const field_t hw_gpc_isr2_a53[] =
{
    {
        "ISR2_A53",
        "A53 IRQ[63:32] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR3_A53.
static const field_t hw_gpc_isr3_a53[] =
{
    {
        "ISR3_A53",
        "A53 IRQ[95:64] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR4_A53.
static const field_t hw_gpc_isr4_a53[] =
{
    {
        "ISR4_A53",
        "A53 IRQ[127:96] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR1_M4.
static const field_t hw_gpc_isr1_m4[] =
{
    {
        "ISR1_M4",
        "M4 IRQ[31:0] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR2_M4.
static const field_t hw_gpc_isr2_m4[] =
{
    {
        "ISR2_M4",
        "M4 IRQ[63:32] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR3_M4.
static const field_t hw_gpc_isr3_m4[] =
{
    {
        "ISR3_M4",
        "M4 IRQ[95:64] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ISR4_M4.
static const field_t hw_gpc_isr4_m4[] =
{
    {
        "ISR4_M4",
        "M4 IRQ[127:96] status",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT0_CFG.
static const field_t hw_gpc_slt0_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT1_CFG.
static const field_t hw_gpc_slt1_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT2_CFG.
static const field_t hw_gpc_slt2_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT3_CFG.
static const field_t hw_gpc_slt3_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT4_CFG.
static const field_t hw_gpc_slt4_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT5_CFG.
static const field_t hw_gpc_slt5_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT6_CFG.
static const field_t hw_gpc_slt6_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT7_CFG.
static const field_t hw_gpc_slt7_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT8_CFG.
static const field_t hw_gpc_slt8_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT9_CFG.
static const field_t hw_gpc_slt9_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT10_CFG.
static const field_t hw_gpc_slt10_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT11_CFG.
static const field_t hw_gpc_slt11_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT12_CFG.
static const field_t hw_gpc_slt12_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT13_CFG.
static const field_t hw_gpc_slt13_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT14_CFG.
static const field_t hw_gpc_slt14_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_CPU_0_1_MAPPING.
static const field_t hw_gpc_pgc_cpu_0_1_mapping[] =
{
    {
        "MF_A53_DOMAIN",
        "MF_A53_DOMAIN",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_A53_DOMAIN",
        "MIPI A53 DOMAIN",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_A53_DOMAIN",
        "PCIE_A53_DOMAIN",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_A53_DOMAIN",
        "OTG1_A53_DOMAIN",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_A53_DOMAIN",
        "OTG2_A53_DOMAIN",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_A53_DOMAIN",
        "DDR1_A53_DOMAIN",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_A53_DOMAIN",
        "DDR2_A53_DOMAIN",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_A53_DOMAIN",
        "GPU_A53_DOMAIN",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_A53_DOMAIN",
        "VPU_A53_DOMAIN",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_A53_DOMAIN",
        "HDMI_A53_DOMAIN",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_A53_DOMAIN",
        "DISP_A53_DOMAIN",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_A53_DOMAIN",
        "MIPI_CSI1_A53_DOMAIN",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_A53_DOMAIN",
        "MIPI_CSI2_A53_DOMAIN",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_A53_DOMAIN",
        "PCIE2_A53_DOMAIN",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_M4_DOMAIN",
        "MF_M4_DOMAIN",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_M4_DOMAIN",
        "MIPI_M4_DOMAIN",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_M4_DOMAIN",
        "PCIE_M4_DOMAIN",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_M4_DOMAIN",
        "OTG1_M4_DOMAIN",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_M4_DOMAIN",
        "OTG2_M4_DOMAIN",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_M4_DOMAIN",
        "DDR1_M4_DOMAIN",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_M4_DOMAIN",
        "DDR2_M4_DOMAIN",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_M4_DOMAIN",
        "GPU_M4_DOMAIN",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_M4_DOMAIN",
        "VPU_M4_DOMAIN",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_M4_DOMAIN",
        "HDMI_M4_DOMAIN",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_M4_DOMAIN",
        "DISP_M4_DOMAIN",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_M4_DOMAIN",
        "MIPI_CSI1_M4_DOMAIN",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_M4_DOMAIN",
        "MIPI_CSI2_M4_DOMAIN",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_M4_DOMAIN",
        "PCIE2_M4_DOMAIN",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_CPU_PGC_SW_PUP_REQ.
static const field_t hw_gpc_cpu_pgc_sw_pup_req[] =
{
    {
        "CORE0_A53_SW_PUP_REQ",
        "Software power up trigger for Core0 A53 PGC",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_SW_PUP_REQ",
        "Software power up trigger for Core1 A53 PGC",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_A53_SW_PUP_REQ",
        "Software power up trigger for SCU A53",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_SW_PUP_REQ",
        "Software power up trigger for Core2 A53 PGC",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_SW_PUP_REQ",
        "Software power up trigger for Core3 A53 PGC",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_MIX_PGC_SW_PUP_REQ.
static const field_t hw_gpc_mix_pgc_sw_pup_req[] =
{
    {
        "MIX_SW_PUP_REQ",
        "Software power up trigger for MIX PGC",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PU_PGC_SW_PUP_REQ.
static const field_t hw_gpc_pu_pgc_sw_pup_req[] =
{
    {
        "MIPI_SW_PUP_REQ",
        "Software power up trigger for MIPI",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_SW_PUP_REQ",
        "Software power up trigger for PCIE",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_SW_PUP_REQ",
        "Software power up trigger for USB_OTG1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_SW_PUP_REQ",
        "Software power up trigger for USB_OTG2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_SW_PUP_REQ",
        "Software power up trigger for DDR1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_SW_PUP_REQ",
        "Software power up trigger for DDR2",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_SW_PUP_REQ",
        "Software power up trigger for GPU",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_SW_PUP_REQ",
        "Software power up trigger for VPU",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_SW_PUP_REQ",
        "Software power up trigger for HDMI",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_SW_PUP_REQ",
        "Software power up trigger for DISP",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_SW_PUP_REQ",
        "Software power up trigger for MIPI CSI1",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_SW_PUP_REQ",
        "Software power up trigger for MIPI CSI2",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_SW_PUP_REQ",
        "Software power up trigger for PCIE2",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_CPU_PGC_SW_PDN_REQ.
static const field_t hw_gpc_cpu_pgc_sw_pdn_req[] =
{
    {
        "CORE0_A53_SW_PDN_REQ",
        "Software power down trigger for Core0 A53 PGC",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_SW_PDN_REQ",
        "Software power down trigger for Core1 A53 PGC",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_A53_SW_PDN_REQ",
        "Software power down trigger for SCU A53",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_SW_PUP_REQ",
        "Software power up trigger for Core2 A53 PGC",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_SW_PUP_REQ",
        "Software power up trigger for Core3 A53 PGC",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_MIX_PGC_SW_PDN_REQ.
static const field_t hw_gpc_mix_pgc_sw_pdn_req[] =
{
    {
        "MIX_SW_PDN_REQ",
        "Software power down trigger for MIX PGC",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PU_PGC_SW_PDN_REQ.
static const field_t hw_gpc_pu_pgc_sw_pdn_req[] =
{
    {
        "MIPI_SW_PDN_REQ",
        "Software power down trigger for MIPI",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_SW_PDN_REQ",
        "Software power down trigger for PCIE",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_SW_PDN_REQ",
        "Software power down trigger for USB_OTG1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_SW_PDN_REQ",
        "Software power down trigger for USB_OTG2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_SW_PDN_REQ",
        "Software power down trigger for DDR1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_SW_PDN_REQ",
        "Software power down trigger for DDR2",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_SW_PDN_REQ",
        "Software power down trigger for GPU",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_SW_PDN_REQ",
        "Software power down trigger for VPU",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_SW_PDN_REQ",
        "Software power down trigger for HDMI",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_SW_PDN_REQ",
        "Software power down trigger for DISP",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_SW_PDN_REQ",
        "Software power down trigger for MIPI CSI1",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_SW_PDN_REQ",
        "Software power down trigger for MIPI CSI2",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_SW_PDN_REQ",
        "Software power down trigger for PCIE2",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_LPCR_A53_BSC2.
static const field_t hw_gpc_lpcr_a53_bsc2[] =
{
    {
        "LPM2",
        "CORE2 Setting the low power mode that system will enter on next assert"
        "ion of dsm_request signal.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPM3",
        "CORE3 Setting the low power mode that system will enter on next assert"
        "ion of dsm_request signal.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_CPU_PGC_PUP_STATUS1.
static const field_t hw_gpc_cpu_pgc_pup_status1[] =
{
    {
        "CORE0_A53_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE1_A53_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SCU_A53_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE2_A53_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE3_A53_PUP_REQ",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_MIX_PGC_PUP_STATUS0.
static const field_t hw_gpc_a53_mix_pgc_pup_status0[] =
{
    {
        "A53_MIX_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_MIX_PGC_PUP_STATUS1.
static const field_t hw_gpc_a53_mix_pgc_pup_status1[] =
{
    {
        "A53_MIX_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_MIX_PGC_PUP_STATUS2.
static const field_t hw_gpc_a53_mix_pgc_pup_status2[] =
{
    {
        "A53_MIX_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_MIX_PGC_PUP_STATUS0.
static const field_t hw_gpc_m4_mix_pgc_pup_status0[] =
{
    {
        "M4_MIX_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_MIX_PGC_PUP_STATUS1.
static const field_t hw_gpc_m4_mix_pgc_pup_status1[] =
{
    {
        "M4_MIX_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_MIX_PGC_PUP_STATUS2.
static const field_t hw_gpc_m4_mix_pgc_pup_status2[] =
{
    {
        "M4_MIX_PGC_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_PU_PGC_PUP_STATUS0.
static const field_t hw_gpc_a53_pu_pgc_pup_status0[] =
{
    {
        "A53_MIPI_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG1_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG2_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DDR1_PUP_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_GPU_PUP_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_VPU_PUP_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_HDMI_PUP_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DISP_PUP_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI1_PUP_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI2_PUP_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE2_PUP_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_PU_PGC_PUP_STATUS1.
static const field_t hw_gpc_a53_pu_pgc_pup_status1[] =
{
    {
        "A53_MIPI_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG1_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG2_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DDR1_PUP_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_GPU_PUP_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_VPU_PUP_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_HDMI_PUP_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DISP_PUP_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI1_PUP_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI2_PUP_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE2_PUP_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_PU_PGC_PUP_STATUS2.
static const field_t hw_gpc_a53_pu_pgc_pup_status2[] =
{
    {
        "A53_MIPI_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG1_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG2_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DDR1_PUP_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_GPU_PUP_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_VPU_PUP_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_HDMI_PUP_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DISP_PUP_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI1_PUP_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI2_PUP_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE2_PUP_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PUP_STATUS0.
static const field_t hw_gpc_m4_pu_pgc_pup_status0[] =
{
    {
        "M4_MIPI_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG1_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG2_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DDR1_PUP_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_GPU_PUP_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_VPU_PUP_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_HDMI_PUP_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DISP_PUP_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI1_PUP_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI2_PUP_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE2_PUP_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PUP_STATUS1.
static const field_t hw_gpc_m4_pu_pgc_pup_status1[] =
{
    {
        "M4_MIPI_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG1_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG2_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DDR1_PUP_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_GPU_PUP_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_VPU_PUP_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_HDMI_PUP_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DISP_PUP_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI1_PUP_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI2_PUP_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE2_PUP_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PUP_STATUS2.
static const field_t hw_gpc_m4_pu_pgc_pup_status2[] =
{
    {
        "M4_MIPI_PUP_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE_PUP_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG1_PUP_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG2_PUP_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DDR1_PUP_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_GPU_PUP_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_VPU_PUP_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_HDMI_PUP_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DISP_PUP_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI1_PUP_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI2_PUP_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE2_PUP_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_CPU_PGC_PDN_STATUS1.
static const field_t hw_gpc_cpu_pgc_pdn_status1[] =
{
    {
        "CORE0_A53_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE1_A53_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SCU_A53_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CORE2_A53_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_REQ",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_MIX_PGC_PDN_STATUS0.
static const field_t hw_gpc_a53_mix_pgc_pdn_status0[] =
{
    {
        "A53_MIX_PGC_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_MIX_PGC_PDN_STATUS1.
static const field_t hw_gpc_a53_mix_pgc_pdn_status1[] =
{
    {
        "A53_MIX_PGC_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_MIX_PGC_PDN_STATUS2.
static const field_t hw_gpc_a53_mix_pgc_pdn_status2[] =
{
    {
        "A53_MIX_PGC_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_MIX_PGC_PDN_STATUS0.
static const field_t hw_gpc_m4_mix_pgc_pdn_status0[] =
{
    {
        "M4_MIX_PGC_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_MIX_PGC_PDN_STATUS1.
static const field_t hw_gpc_m4_mix_pgc_pdn_status1[] =
{
    {
        "M4_MIX_PGC_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_MIX_PGC_PDN_STATUS2.
static const field_t hw_gpc_m4_mix_pgc_pdn_status2[] =
{
    {
        "M4_MIX_PGC_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_PU_PGC_PDN_STATUS0.
static const field_t hw_gpc_a53_pu_pgc_pdn_status0[] =
{
    {
        "A53_MIPI_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG1_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG2_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DDR1_PDN_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_GPU_PDN_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_VPU_PDN_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_HDMI_PDN_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DISP_PDN_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI1_PDN_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI2_PDN_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE2_PDN_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_PU_PGC_PDN_STATUS1.
static const field_t hw_gpc_a53_pu_pgc_pdn_status1[] =
{
    {
        "A53_MIPI_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG1_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG2_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DDR1_PDN_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_GPU_PDN_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_VPU_PDN_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_HDMI_PDN_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DISP_PDN_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI1_PDN_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI2_PDN_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE2_PDN_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_PU_PGC_PDN_STATUS2.
static const field_t hw_gpc_a53_pu_pgc_pdn_status2[] =
{
    {
        "A53_MIPI_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG1_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_OTG2_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DDR1_PDN_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_GPU_PDN_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_VPU_PDN_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_HDMI_PDN_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_DISP_PDN_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI1_PDN_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_MIPI_CSI2_PDN_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_PCIE2_PDN_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PDN_STATUS0.
static const field_t hw_gpc_m4_pu_pgc_pdn_status0[] =
{
    {
        "M4_MIPI_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG1_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG2_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DDR1_PDN_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_GPU_PDN_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_VPU_PDN_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_HDMI_PDN_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DISP_PDN_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI1_PDN_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI2_PDN_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE2_PDN_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PDN_STATUS1.
static const field_t hw_gpc_m4_pu_pgc_pdn_status1[] =
{
    {
        "M4_MIPI_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG1_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG2_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DDR1_PDN_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_GPU_PDN_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_VPU_PDN_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_HDMI_PDN_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DISP_PDN_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI1_PDN_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI2_PDN_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE2_PDN_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PGC_PDN_STATUS2.
static const field_t hw_gpc_m4_pu_pgc_pdn_status2[] =
{
    {
        "M4_MIPI_PDN_STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE_PDN_STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG1_PDN_STATUS",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_OTG2_PDN_STATUS",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DDR1_PDN_STATUS",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_GPU_PDN_STATUS",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_VPU_PDN_STATUS",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_HDMI_PDN_STATUS",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_DISP_PDN_STATUS",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI1_PDN_STATUS",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_MIPI_CSI2_PDN_STATUS",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4_PCIE2_PDN_STATUS",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_MIX_PDN_FLG.
static const field_t hw_gpc_a53_mix_pdn_flg[] =
{
    {
        "A53_MIX_PDN_FLAG",
        "A53 MIX power-down flag",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_A53_PU_PDN_FLG.
static const field_t hw_gpc_a53_pu_pdn_flg[] =
{
    {
        "A53_PU_PDN_FLG",
        "A53 PGC power-down flag",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_MIX_PDN_FLG.
static const field_t hw_gpc_m4_mix_pdn_flg[] =
{
    {
        "M4_MIX_PDN_FLAG",
        "M4_MIX power-down flag",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_M4_PU_PDN_FLG.
static const field_t hw_gpc_m4_pu_pdn_flg[] =
{
    {
        "M4_PU_PDN_FLG",
        "M4 power-down flag",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR1_CORE2_A53.
static const field_t hw_gpc_imr1_core2_a53[] =
{
    {
        "IMR1_CORE2_A53",
        "A53 core2 IRQ[31:0] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR2_CORE2_A53.
static const field_t hw_gpc_imr2_core2_a53[] =
{
    {
        "IMR2_CORE2_A53",
        "A53 core2 IRQ[63:32] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR3_CORE2_A53.
static const field_t hw_gpc_imr3_core2_a53[] =
{
    {
        "IMR3_CORE2_A53",
        "A53 core2 IRQ[95:64] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR4_CORE2_A53.
static const field_t hw_gpc_imr4_core2_a53[] =
{
    {
        "IMR4_CORE2_A53",
        "A53 core2 IRQ[127:96] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR1_CORE3_A53.
static const field_t hw_gpc_imr1_core3_a53[] =
{
    {
        "IMR1_CORE3_A53",
        "A53 core3 IRQ[31:0] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR2_CORE3_A53.
static const field_t hw_gpc_imr2_core3_a53[] =
{
    {
        "IMR2_CORE3_A53",
        "A53 core3 IRQ[63:32] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR3_CORE3_A53.
static const field_t hw_gpc_imr3_core3_a53[] =
{
    {
        "IMR3_CORE3_A53",
        "A53 core3 IRQ[95:64] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_IMR4_CORE3_A53.
static const field_t hw_gpc_imr4_core3_a53[] =
{
    {
        "IMR4_CORE3_A53",
        "A53 core3 IRQ[127:96] masking bits:",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ACK_SEL_A53_PU.
static const field_t hw_gpc_ack_sel_a53_pu[] =
{
    {
        "MF_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIX PGC as the power down ackn"
        "owledge for A53 LPM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIPI PGC as the power down ack"
        "nowledge for A53 LPM.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PGC_PDN_ACK",
        "Select power down acknowledge signal of PCIE PGC as the power down ack"
        "nowledge for A53 LPM.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_OTG1 PGC as the power down"
        " acknowledge for A53 LPM.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_OTG2 PGC as the power down"
        " acknowledge for A53 LPM.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PGC_PDN_ACK",
        "Select power down acknowledge signal of DDR1 PGC as the power down ack"
        "nowledge for A53 LPM.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PGC_PDN_ACK",
        "Select power down acknowledge signal of DDR2 PGC as the power down ack"
        "nowledge for A53 LPM.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PGC_PDN_ACK",
        "Select power down acknowledge signal of GPU PGC as the power down ackn"
        "owledge for A53 LPM.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PGC_PDN_ACK",
        "Select power down acknowledge signal of VPU PGC as the power down ackn"
        "owledge for A53 LPM.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PGC_PDN_ACK",
        "Select power down acknowledge signal of HDMI PGC as the power down ack"
        "nowledge for A53 LPM.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PGC_PDN_ACK",
        "Select power down acknowledge signal of DISP PGC as the power down ack"
        "nowledge for A53 LPM.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PGC_PDN_ACK",
        "Select power down acknowledge signal of MPI_CSI1 PGC as the power down"
        " acknowledge for A53 LPM.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIPI_CSI2 PGC as the power dow"
        "n acknowledge for A53 LPM.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PGC_PDN_ACK",
        "Select power down acknowledge signal of PCIE2 PGC as the power down ac"
        "knowledge for A53 LPM.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PGC_PUP_ACK",
        "Select power down acknowledge signal of MIX PGC as the power up acknow"
        "ledge for A53 LPM.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PGC_PUP_ACK",
        "Select power down acknowledge signal of MIPI PGC as the power up ackno"
        "wledge for A53 LPM.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PGC_PUP_ACK",
        "Select power down acknowledge signal of PCIE PGC as the power up ackno"
        "wledge for A53 LPM.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PGC_PUP_ACK",
        "Select power down acknowledge signal of USB_OTG1 PGC as the power up a"
        "cknowledge for A53 LPM.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PGC_PUP_ACK",
        "Select power down acknowledge signal of USB_OTG2 PGC as the power up a"
        "cknowledge for A53 LPM.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PGC_PUP_ACK",
        "Select power down acknowledge signal of DDR1 PGC as the power up ackno"
        "wledge for A53 LPM.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PGC_PUP_ACK",
        "Select power down acknowledge signal of DDR2 PGC as the power up ackno"
        "wledge for A53 LPM.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PGC_PUP_ACK",
        "Select power down acknowledge signal of GPU PGC as the power up acknow"
        "ledge for A53 LPM.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PGC_PUP_ACK",
        "Select power down acknowledge signal of VPU PGC as the power up acknow"
        "ledge for A53 LPM.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PGC_PUP_ACK",
        "Select power down acknowledge signal of HDMI PGC as the power up ackno"
        "wledge for A53 LPM.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PGC_PUP_ACK",
        "Select power down acknowledge signal of DISP PGC as the power up ackno"
        "wledge for A53 LPM.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PGC_PUP_ACK",
        "Select power down acknowledge signal of MIPI_CSI1 PGC as the power up "
        "acknowledge for A53 LPM.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PGC_PUP_ACK",
        "Select power down acknowledge signal of MIPI_CSI2 PGC as the power up "
        "acknowledge for A53 LPM.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PGC_PUP_ACK",
        "Select power down acknowledge signal of PCIE2 PGC as the power up ackn"
        "owledge for A53 LPM.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_ACK_SEL_M4_PU.
static const field_t hw_gpc_ack_sel_m4_pu[] =
{
    {
        "MF_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIX PGC as the power down ackn"
        "owledge for M4 LPM.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIPI PGC as the power down ack"
        "nowledge for M4 LPM.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PGC_PDN_ACK",
        "Select power down acknowledge signal of PCIE PGC as the power down ack"
        "nowledge for M4 LPM.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_OTG1 PGC as the power down"
        " acknowledge for M4 LPM.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PGC_PDN_ACK",
        "Select power down acknowledge signal of USB_OTG2 PGC as the power down"
        " acknowledge for M4 LPM.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PGC_PDN_ACK",
        "Select power down acknowledge signal of DDR1 PGC as the power down ack"
        "nowledge for M4 LPM.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PGC_PDN_ACK",
        "Select power down acknowledge signal of DDR2 PGC as the power down ack"
        "nowledge for M4 LPM.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PGC_PDN_ACK",
        "Select power down acknowledge signal of GPU PGC as the power down ackn"
        "owledge for M4 LPM.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PGC_PDN_ACK",
        "Select power down acknowledge signal of VPU PGC as the power down ackn"
        "owledge for M4 LPM.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PGC_PDN_ACK",
        "Select power down acknowledge signal of HDMI PGC as the power down ack"
        "nowledge for M4 LPM.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PGC_PDN_ACK",
        "Select power down acknowledge signal of DISP PGC as the power down ack"
        "nowledge for M4 LPM.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PGC_PDN_ACK",
        "Select power down acknowledge signal of MPI_CSI1 PGC as the power down"
        " acknowledge for M4 LPM.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PGC_PDN_ACK",
        "Select power down acknowledge signal of MIPI_CSI2 PGC as the power dow"
        "n acknowledge for M4 LPM.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PGC_PDN_ACK",
        "Select power down acknowledge signal of PCIE2 PGC as the power down ac"
        "knowledge for M4 LPM.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PGC_PUP_ACK",
        "Select power down acknowledge signal of MIX PGC as the power up acknow"
        "ledge for M4 LPM.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PGC_PUP_ACK",
        "Select power down acknowledge signal of MIPI PGC as the power up ackno"
        "wledge for M4 LPM.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PGC_PUP_ACK",
        "Select power down acknowledge signal of PCIE PGC as the power up ackno"
        "wledge for M4 LPM.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG1_PGC_PUP_ACK",
        "Select power down acknowledge signal of USB_OTG1 PGC as the power up a"
        "cknowledge for M4 LPM.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USB_OTG2_PGC_PUP_ACK",
        "Select power down acknowledge signal of USB_OTG2 PGC as the power up a"
        "cknowledge for M4 LPM.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PGC_PUP_ACK",
        "Select power down acknowledge signal of DDR1 PGC as the power up ackno"
        "wledge for M4 LPM.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PGC_PUP_ACK",
        "Select power down acknowledge signal of DDR2 PGC as the power up ackno"
        "wledge for M4 LPM.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PGC_PUP_ACK",
        "Select power down acknowledge signal of GPU PGC as the power up acknow"
        "ledge for M4 LPM.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PGC_PUP_ACK",
        "Select power down acknowledge signal of VPU PGC as the power up acknow"
        "ledge for M4 LPM.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PGC_PUP_ACK",
        "Select power down acknowledge signal of HDMI PGC as the power up ackno"
        "wledge for M4 LPM.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PGC_PUP_ACK",
        "Select power down acknowledge signal of DISP PGC as the power up ackno"
        "wledge for M4 LPM.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PGC_PUP_ACK",
        "Select power down acknowledge signal of MIPI_CSI1 PGC as the power up "
        "acknowledge for M4 LPM.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PGC_PUP_ACK",
        "Select power down acknowledge signal of MIPI_CSI2 PGC as the power up "
        "acknowledge for M4 LPM.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PGC_PUP_ACK",
        "Select power down acknowledge signal of PCIE2 PGC as the power up ackn"
        "owledge for M4 LPM.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT15_CFG.
static const field_t hw_gpc_slt15_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT16_CFG.
static const field_t hw_gpc_slt16_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT17_CFG.
static const field_t hw_gpc_slt17_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT18_CFG.
static const field_t hw_gpc_slt18_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT19_CFG.
static const field_t hw_gpc_slt19_cfg[] =
{
    {
        "CORE0_A53_PDN_SLOT_CONTROL",
        "CORE0 A53 Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE0_A53_PUP_SLOT_CONTROL",
        "CORE0 A53 Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PDN_SLOT_CONTROL",
        "CORE1 A53 Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE1_A53_PUP_SLOT_CONTROL",
        "CORE1 A53 Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PDN_SLOT_CONTROL",
        "CORE2 A53 Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE2_A53_PUP_SLOT_CONTROL",
        "CORE2 A53 Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PDN_SLOT_CONTROL",
        "CORE3 A53 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CORE3_A53_PUP_SLOT_CONTROL",
        "CORE3 A53 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SCU_PUP_SLOT_CONTROL",
        "SCU Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PU_PWRHSK.
static const field_t hw_gpc_pu_pwrhsk[] =
{
    {
        "GPC_DDR1_CORE_CSYSREQ",
        "DDR1 controller Hardware Low-Power Request",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR1_AXI_CSYSREQ",
        "DDR1 AXI Low-Power Request",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR2_CORE_CSYSREQ",
        "DDR2 controller Hardware Low-Power Request",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR2_AXI_CSYSREQ",
        "DDR2 AXI Low-Power Request",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DISPMIX_PWRDNREQN",
        "DISPMIX ADB400 power down request.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_VPUMIX_PWRDNREQN",
        "VPU ADB400 power down request.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_GPUMIX_PWRDNREQN",
        "GPU ADB400 power down request.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR1_CORE_CSYSACK",
        "DDR1 controller Hardware Low_Power ack",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR1_CORE_CACTIVE",
        "DDR1 controller Hardware Low-Power Clock active",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR1_AXI_CSYSACK",
        "DDR1 AXI Low-Power Request ack",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR1_AXI_CACTIVE",
        "DDR1 AXI Clock Active",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR2_CORE_CSYSACK",
        "DDR2 controller Hardware Low_Power ack",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR2_CORE_CACTIVE",
        "DDR2 controller Hardware Low-Power Clock active",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR2_AXI_CSYSACK",
        "DDR2 AXI Low-Power Request ack",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DDR2_AXI_CACTIVE",
        "DDR2 AXI Clock Active",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_DISPMIX_PWRDNACKN",
        "DISPMIX ADB400 power down ack.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_VPUMIX_PWRDNACKN",
        "VPU ADB400 power down ack.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPC_GPUMIX_PWRDNACKN",
        "GPU ADB400 power down ack.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT0_CFG_PU.
static const field_t hw_gpc_slt0_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT1_CFG_PU.
static const field_t hw_gpc_slt1_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT2_CFG_PU.
static const field_t hw_gpc_slt2_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT3_CFG_PU.
static const field_t hw_gpc_slt3_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT4_CFG_PU.
static const field_t hw_gpc_slt4_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT5_CFG_PU.
static const field_t hw_gpc_slt5_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT6_CFG_PU.
static const field_t hw_gpc_slt6_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT7_CFG_PU.
static const field_t hw_gpc_slt7_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT8_CFG_PU.
static const field_t hw_gpc_slt8_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT9_CFG_PU.
static const field_t hw_gpc_slt9_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT10_CFG_PU.
static const field_t hw_gpc_slt10_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT11_CFG_PU.
static const field_t hw_gpc_slt11_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT12_CFG_PU.
static const field_t hw_gpc_slt12_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT13_CFG_PU.
static const field_t hw_gpc_slt13_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT14_CFG_PU.
static const field_t hw_gpc_slt14_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT15_CFG_PU.
static const field_t hw_gpc_slt15_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT16_CFG_PU.
static const field_t hw_gpc_slt16_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT17_CFG_PU.
static const field_t hw_gpc_slt17_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT18_CFG_PU.
static const field_t hw_gpc_slt18_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_SLT19_CFG_PU.
static const field_t hw_gpc_slt19_cfg_pu[] =
{
    {
        "MF_PDN_SLOT_CONTROL",
        "MF Power-down slot control",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF_PUP_SLOT_CONTROL",
        "MF Power-up slot control",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PDN_SLOT_CONTROL",
        "MIPI Power-down slot control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_PUP_SLOT_CONTROL",
        "MIPI Power-up slot control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PDN_SLOT_CONTROL",
        "SCU Power-down slot control",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PUP_SLOT_CONTROL",
        "PCIE Power-up slot control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PDN_SLOT_CONTROL",
        "OTG1 Power-down slot control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG1_PUP_SLOT_CONTROL",
        "OTG1 Power-up slot control",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PDN_SLOT_CONTROL",
        "OTG2 Power-down slot control",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OTG2_PUP_SLOT_CONTROL",
        "OTG2 Power-up slot control",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PDN_SLOT_CONTROL",
        "M4 Power-down slot control",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "M4_PUP_SLOT_CONTROL",
        "M4 Power-up slot control",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PDN_SLOT_CONTROL",
        "DDR1 Power-down slot control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR1_PUP_SLOT_CONTROL",
        "DDR1 Power-up slot control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PDN_SLOT_CONTROL",
        "DDR2 Power-down slot control",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR2_PUP_SLOT_CONTROL",
        "DDR2 Power-up slot control",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PDN_SLOT_CONTROL",
        "GPU Power-down slot control",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPU_PUP_SLOT_CONTROL",
        "GPU Power-up slot control",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PDN_SLOT_CONTROL",
        "VPU Power-down slot control",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VPU_PUP_SLOT_CONTROL",
        "VPU Power-up slot control",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PDN_SLOT_CONTROL",
        "HDMI Power-down slot control",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_PUP_SLOT_CONTROL",
        "HDMI Power-up slot control",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PDN_SLOT_CONTROL",
        "DISP Power-down slot control",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISP_PUP_SLOT_CONTROL",
        "DISP Power-up slot control",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PDN_SLOT_CONTROL",
        "MIPI_CSI1 Power-down slot control",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PUP_SLOT_CONTROL",
        "MIPI_CSI1 Power-up slot control",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PDN_SLOT_CONTROL",
        "MIPI_CSI2 Power-down slot control",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PUP_SLOT_CONTROL",
        "MIPI_CSI2 Power-up slot control",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PDN_SLOT_CONTROL",
        "PCIE2 Power-down slot control",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PUP_SLOT_CONTROL",
        "PCIE2 Power-up slot control",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPC module.
static const reg_t hw_gpc[] =
{
    {
        "LPCR_A53_BSC",
        "LPCR_A53_BSC[CPU_CLK_ON_LPM] should be set 1'b1 when using A53 low pow"
        "er debug feature Always set LPM1/LPM0 with same value",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_gpc_lpcr_a53_bsc
    },
    {
        "LPCR_A53_AD",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        23, // Number of bitfields
        hw_gpc_lpcr_a53_ad
    },
    {
        "LPCR_M4",
        "LPCR_M4[CPU_CLK_ON_LPM] should be set 1'b0 if M4 goes to LPM without t"
        "rigger power down of related domains",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpc_lpcr_m4
    },
    {
        "SLPCR",
        "SLPCR[VSTBY] must be set to 1'b1 if SLPCR[RBC_EN] is set to 1'b1; SLPC"
        "R[SBYOS] must be set to 1'b1 if SLPCR[VSTBY] is set to 1'b1.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_gpc_slpcr
    },
    {
        "MST_CPU_MAPPING",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpc_mst_cpu_mapping
    },
    {
        "MLPCR",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpc_mlpcr
    },
    {
        "PGC_ACK_SEL_A53",
        "The register can only be accessed by A53 platform",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpc_pgc_ack_sel_a53
    },
    {
        "PGC_ACK_SEL_M4",
        "This register can only be accessed by the M4 platform.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_ack_sel_m4
    },
    {
        "MISC",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpc_misc
    },
    {
        "IMR1_CORE0_A53",
        "The four IMRn_CORE0_A53 (n = 1,2,3,4) registers are used as interrupt "
        "mask for A53 core0.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr1_core0_a53
    },
    {
        "IMR2_CORE0_A53",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr2_core0_a53
    },
    {
        "IMR3_CORE0_A53",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr3_core0_a53
    },
    {
        "IMR4_CORE0_A53",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr4_core0_a53
    },
    {
        "IMR1_CORE1_A53",
        "The four IMRn_CORE1_A53 (n = 1,2,3,4) registers are used as interrupt "
        "mask for A53 core1.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr1_core1_a53
    },
    {
        "IMR2_CORE1_A53",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr2_core1_a53
    },
    {
        "IMR3_CORE1_A53",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr3_core1_a53
    },
    {
        "IMR4_CORE1_A53",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr4_core1_a53
    },
    {
        "IMR1_M4",
        "The four IMRn_M4 (n = 1,2,3,4) registers are used as interrupt mask fo"
        "r M4.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr1_m4
    },
    {
        "IMR2_M4",
        "",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr2_m4
    },
    {
        "IMR3_M4",
        "",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr3_m4
    },
    {
        "IMR4_M4",
        "",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr4_m4
    },
    {
        "ISR1_A53",
        "The four ISRn_A53 (n = 1,2,3,4) registers, all of them are read only r"
        "egister",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr1_a53
    },
    {
        "ISR2_A53",
        "",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr2_a53
    },
    {
        "ISR3_A53",
        "",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr3_a53
    },
    {
        "ISR4_A53",
        "",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr4_a53
    },
    {
        "ISR1_M4",
        "The four ISRn_M4 (n = 1,2,3,4) registers, all of them are read only re"
        "gister",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr1_m4
    },
    {
        "ISR2_M4",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr2_m4
    },
    {
        "ISR3_M4",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr3_m4
    },
    {
        "ISR4_M4",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_isr4_m4
    },
    {
        "SLT0_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt0_cfg
    },
    {
        "SLT1_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt1_cfg
    },
    {
        "SLT2_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt2_cfg
    },
    {
        "SLT3_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt3_cfg
    },
    {
        "SLT4_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt4_cfg
    },
    {
        "SLT5_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt5_cfg
    },
    {
        "SLT6_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt6_cfg
    },
    {
        "SLT7_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt7_cfg
    },
    {
        "SLT8_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt8_cfg
    },
    {
        "SLT9_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt9_cfg
    },
    {
        "SLT10_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt10_cfg
    },
    {
        "SLT11_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt11_cfg
    },
    {
        "SLT12_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt12_cfg
    },
    {
        "SLT13_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt13_cfg
    },
    {
        "SLT14_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt14_cfg
    },
    {
        "PGC_CPU_0_1_MAPPING",
        "",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        28, // Number of bitfields
        hw_gpc_pgc_cpu_0_1_mapping
    },
    {
        "CPU_PGC_SW_PUP_REQ",
        "",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_cpu_pgc_sw_pup_req
    },
    {
        "MIX_PGC_SW_PUP_REQ",
        "",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_mix_pgc_sw_pup_req
    },
    {
        "PU_PGC_SW_PUP_REQ",
        "",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_gpc_pu_pgc_sw_pup_req
    },
    {
        "CPU_PGC_SW_PDN_REQ",
        "",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_cpu_pgc_sw_pdn_req
    },
    {
        "MIX_PGC_SW_PDN_REQ",
        "",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_mix_pgc_sw_pdn_req
    },
    {
        "PU_PGC_SW_PDN_REQ",
        "",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_gpc_pu_pgc_sw_pdn_req
    },
    {
        "LPCR_A53_BSC2",
        "",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpc_lpcr_a53_bsc2
    },
    {
        "CPU_PGC_PUP_STATUS1",
        "CPU_PGC_PUP_STATUS1 is a read only register, represents the results fo"
        "r power up software trigger for CPU type PGCs.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_gpc_cpu_pgc_pup_status1
    },
    {
        "A53_MIX_PGC_PUP_STATUS0",
        "A53_MIX_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represen"
        "ts the results for power up software trigger from A53 platform to MIX "
        "type PGCs.",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_a53_mix_pgc_pup_status0
    },
    {
        "A53_MIX_PGC_PUP_STATUS1",
        "A53_MIX_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represen"
        "ts the results for power up software trigger from A53 platform to MIX "
        "type PGCs.",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_a53_mix_pgc_pup_status1
    },
    {
        "A53_MIX_PGC_PUP_STATUS2",
        "A53_MIX_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represen"
        "ts the results for power up software trigger from A53 platform to MIX "
        "type PGCs.",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_a53_mix_pgc_pup_status2
    },
    {
        "M4_MIX_PGC_PUP_STATUS0",
        "M4_MIX_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power up software trigger from M4 platform to MIX ty"
        "pe PGCs.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_m4_mix_pgc_pup_status0
    },
    {
        "M4_MIX_PGC_PUP_STATUS1",
        "M4_MIX_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power up software trigger from M4 platform to MIX ty"
        "pe PGCs.",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_m4_mix_pgc_pup_status1
    },
    {
        "M4_MIX_PGC_PUP_STATUS2",
        "M4_MIX_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power up software trigger from M4 platform to MIX ty"
        "pe PGCs.",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_m4_mix_pgc_pup_status2
    },
    {
        "A53_PU_PGC_PUP_STATUS0",
        "A53_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power up software trigger from A53 platform to PU ty"
        "pe PGCs.",
        4, // Width in bytes
        0x0000014c, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_a53_pu_pgc_pup_status0
    },
    {
        "A53_PU_PGC_PUP_STATUS1",
        "A53_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power up software trigger from A53 platform to PU ty"
        "pe PGCs.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_a53_pu_pgc_pup_status1
    },
    {
        "A53_PU_PGC_PUP_STATUS2",
        "A53_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power up software trigger from A53 platform to PU ty"
        "pe PGCs.",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_a53_pu_pgc_pup_status2
    },
    {
        "M4_PU_PGC_PUP_STATUS0",
        "M4_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power up software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000158, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_m4_pu_pgc_pup_status0
    },
    {
        "M4_PU_PGC_PUP_STATUS1",
        "M4_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power up software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x0000015c, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_m4_pu_pgc_pup_status1
    },
    {
        "M4_PU_PGC_PUP_STATUS2",
        "M4_PU_PGC_PUP_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power up software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_m4_pu_pgc_pup_status2
    },
    {
        "CPU_PGC_PDN_STATUS1",
        "CPU_PGC_PDN_STATUS1 is a read only register, represents the results fo"
        "r power DN software trigger for CPU type PGCs.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_cpu_pgc_pdn_status1
    },
    {
        "A53_MIX_PGC_PDN_STATUS0",
        "A53_MIX_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represen"
        "ts the results for power down software trigger from A53 platform to MI"
        "X type PGCs.",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_a53_mix_pgc_pdn_status0
    },
    {
        "A53_MIX_PGC_PDN_STATUS1",
        "A53_MIX_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represen"
        "ts the results for power down software trigger from A53 platform to MI"
        "X type PGCs.",
        4, // Width in bytes
        0x00000178, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_a53_mix_pgc_pdn_status1
    },
    {
        "A53_MIX_PGC_PDN_STATUS2",
        "A53_MIX_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represen"
        "ts the results for power down software trigger from A53 platform to MI"
        "X type PGCs.",
        4, // Width in bytes
        0x0000017c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_a53_mix_pgc_pdn_status2
    },
    {
        "M4_MIX_PGC_PDN_STATUS0",
        "M4_MIX_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power down software trigger from M4 platform to MIX "
        "type PGCs.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_m4_mix_pgc_pdn_status0
    },
    {
        "M4_MIX_PGC_PDN_STATUS1",
        "M4_MIX_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power down software trigger from M4 platform to MIX "
        "type PGCs.",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_m4_mix_pgc_pdn_status1
    },
    {
        "M4_MIX_PGC_PDN_STATUS2",
        "M4_MIX_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power down software trigger from M4 platform to MIX "
        "type PGCs.",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpc_m4_mix_pgc_pdn_status2
    },
    {
        "A53_PU_PGC_PDN_STATUS0",
        "A53_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power DN software trigger from A53 platform to PU ty"
        "pe PGCs.",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_a53_pu_pgc_pdn_status0
    },
    {
        "A53_PU_PGC_PDN_STATUS1",
        "A53_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power DN software trigger from A53 platform to PU ty"
        "pe PGCs.",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_a53_pu_pgc_pdn_status1
    },
    {
        "A53_PU_PGC_PDN_STATUS2",
        "A53_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represent"
        "s the results for power DN software trigger from A53 platform to PU ty"
        "pe PGCs.",
        4, // Width in bytes
        0x00000194, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_a53_pu_pgc_pdn_status2
    },
    {
        "M4_PU_PGC_PDN_STATUS0",
        "M4_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power DN software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x00000198, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_m4_pu_pgc_pdn_status0
    },
    {
        "M4_PU_PGC_PDN_STATUS1",
        "M4_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power DN software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x0000019c, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_m4_pu_pgc_pdn_status1
    },
    {
        "M4_PU_PGC_PDN_STATUS2",
        "M4_PU_PGC_PDN_STATUSn (n = 0,1,2) are a read only register, represents"
        " the results for power DN software trigger from M4 platform to PU type"
        " PGCs.",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        false, // Writable
        12, // Number of bitfields
        hw_gpc_m4_pu_pgc_pdn_status2
    },
    {
        "A53_MIX_PDN_FLG",
        "This is flag bit relevant domain control, represents A53 CPU platform "
        "wants to power down MIX PGC.",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_a53_mix_pdn_flg
    },
    {
        "A53_PU_PDN_FLG",
        "The register field is show in the table below.",
        4, // Width in bytes
        0x000001b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_a53_pu_pdn_flg
    },
    {
        "M4_MIX_PDN_FLG",
        "This is flag bit relevant domain control, represents M4 CPU platform w"
        "ants to power down MIX PGC.",
        4, // Width in bytes
        0x000001b8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_m4_mix_pdn_flg
    },
    {
        "M4_PU_PDN_FLG",
        "The register field is show in the table below.",
        4, // Width in bytes
        0x000001bc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_m4_pu_pdn_flg
    },
    {
        "IMR1_CORE2_A53",
        "The four IMRn_CORE2_A53 (n = 1,2,3,4) registers are used as interrupt "
        "mask for A53 core2.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr1_core2_a53
    },
    {
        "IMR2_CORE2_A53",
        "",
        4, // Width in bytes
        0x000001c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr2_core2_a53
    },
    {
        "IMR3_CORE2_A53",
        "",
        4, // Width in bytes
        0x000001c8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr3_core2_a53
    },
    {
        "IMR4_CORE2_A53",
        "",
        4, // Width in bytes
        0x000001cc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr4_core2_a53
    },
    {
        "IMR1_CORE3_A53",
        "The four IMRn_CORE2_A53 (n = 1,2,3,4) registers are used as interrupt "
        "mask for A53 core3.",
        4, // Width in bytes
        0x000001d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr1_core3_a53
    },
    {
        "IMR2_CORE3_A53",
        "",
        4, // Width in bytes
        0x000001d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr2_core3_a53
    },
    {
        "IMR3_CORE3_A53",
        "",
        4, // Width in bytes
        0x000001d8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr3_core3_a53
    },
    {
        "IMR4_CORE3_A53",
        "",
        4, // Width in bytes
        0x000001dc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpc_imr4_core3_a53
    },
    {
        "ACK_SEL_A53_PU",
        "",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        true, // Writable
        28, // Number of bitfields
        hw_gpc_ack_sel_a53_pu
    },
    {
        "ACK_SEL_M4_PU",
        "",
        4, // Width in bytes
        0x000001e4, // Base address offset
        true, // Readable
        true, // Writable
        28, // Number of bitfields
        hw_gpc_ack_sel_m4_pu
    },
    {
        "SLT15_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000001e8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt15_cfg
    },
    {
        "SLT16_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000001ec, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt16_cfg
    },
    {
        "SLT17_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt17_cfg
    },
    {
        "SLT18_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000001f4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt18_cfg
    },
    {
        "SLT19_CFG",
        "There are 20 slots in each SLTn_CFG(n = 0~19) will define the power up"
        " or power down behavior of one or more A53 CORE or SCU PGC in that eac"
        "h slot.",
        4, // Width in bytes
        0x000001f8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_gpc_slt19_cfg
    },
    {
        "PU_PWRHSK",
        "",
        4, // Width in bytes
        0x000001fc, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_gpc_pu_pwrhsk
    },
    {
        "SLT0_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt0_cfg_pu
    },
    {
        "SLT1_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt1_cfg_pu
    },
    {
        "SLT2_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt2_cfg_pu
    },
    {
        "SLT3_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt3_cfg_pu
    },
    {
        "SLT4_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt4_cfg_pu
    },
    {
        "SLT5_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt5_cfg_pu
    },
    {
        "SLT6_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt6_cfg_pu
    },
    {
        "SLT7_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt7_cfg_pu
    },
    {
        "SLT8_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt8_cfg_pu
    },
    {
        "SLT9_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt9_cfg_pu
    },
    {
        "SLT10_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt10_cfg_pu
    },
    {
        "SLT11_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt11_cfg_pu
    },
    {
        "SLT12_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt12_cfg_pu
    },
    {
        "SLT13_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt13_cfg_pu
    },
    {
        "SLT14_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt14_cfg_pu
    },
    {
        "SLT15_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt15_cfg_pu
    },
    {
        "SLT16_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt16_cfg_pu
    },
    {
        "SLT17_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt17_cfg_pu
    },
    {
        "SLT18_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt18_cfg_pu
    },
    {
        "SLT19_CFG_PU",
        "Slot configure register for PUs (M4 dummy)",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        30, // Number of bitfields
        hw_gpc_slt19_cfg_pu
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPC_PGC
#endif

// Bitfields in register GPC_PGC_A53CORE0_CTRL.
static const field_t hw_gpc_pgc_a53core0_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE0_PUPSCR.
static const field_t hw_gpc_pgc_a53core0_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE0_PDNSCR.
static const field_t hw_gpc_pgc_a53core0_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE0_SR.
static const field_t hw_gpc_pgc_a53core0_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE0_AUXSW.
static const field_t hw_gpc_pgc_a53core0_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE1_CTRL.
static const field_t hw_gpc_pgc_a53core1_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE1_PUPSCR.
static const field_t hw_gpc_pgc_a53core1_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE1_PDNSCR.
static const field_t hw_gpc_pgc_a53core1_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE1_SR.
static const field_t hw_gpc_pgc_a53core1_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE1_AUXSW.
static const field_t hw_gpc_pgc_a53core1_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE2_CTRL.
static const field_t hw_gpc_pgc_a53core2_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE2_PUPSCR.
static const field_t hw_gpc_pgc_a53core2_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE2_PDNSCR.
static const field_t hw_gpc_pgc_a53core2_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE2_SR.
static const field_t hw_gpc_pgc_a53core2_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE2_AUXSW.
static const field_t hw_gpc_pgc_a53core2_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE3_CTRL.
static const field_t hw_gpc_pgc_a53core3_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE3_PUPSCR.
static const field_t hw_gpc_pgc_a53core3_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE3_PDNSCR.
static const field_t hw_gpc_pgc_a53core3_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE3_SR.
static const field_t hw_gpc_pgc_a53core3_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53CORE3_AUXSW.
static const field_t hw_gpc_pgc_a53core3_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53SCU_CTRL.
static const field_t hw_gpc_pgc_a53scu_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53SCU_PUPSCR.
static const field_t hw_gpc_pgc_a53scu_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53SCU_PDNSCR.
static const field_t hw_gpc_pgc_a53scu_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53SCU_SR.
static const field_t hw_gpc_pgc_a53scu_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_A53SCU_AUXSW.
static const field_t hw_gpc_pgc_a53scu_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_MIX_CTRL.
static const field_t hw_gpc_pgc_mix_ctrl[] =
{
    {
        "MIX_PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_MIX_PUPSCR.
static const field_t hw_gpc_pgc_mix_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_MIX_PDNSCR.
static const field_t hw_gpc_pgc_mix_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_MIX_SR.
static const field_t hw_gpc_pgc_mix_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_MIX_AUXSW.
static const field_t hw_gpc_pgc_mix_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU0_CTRL.
static const field_t hw_gpc_pgc_pu0_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU0_PUPSCR.
static const field_t hw_gpc_pgc_pu0_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU0_PDNSCR.
static const field_t hw_gpc_pgc_pu0_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU0_SR.
static const field_t hw_gpc_pgc_pu0_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU0_AUXSW.
static const field_t hw_gpc_pgc_pu0_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU1_CTRL.
static const field_t hw_gpc_pgc_pu1_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU1_PUPSCR.
static const field_t hw_gpc_pgc_pu1_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU1_PDNSCR.
static const field_t hw_gpc_pgc_pu1_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU1_SR.
static const field_t hw_gpc_pgc_pu1_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU1_AUXSW.
static const field_t hw_gpc_pgc_pu1_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU2_CTRL.
static const field_t hw_gpc_pgc_pu2_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU2_PUPSCR.
static const field_t hw_gpc_pgc_pu2_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU2_PDNSCR.
static const field_t hw_gpc_pgc_pu2_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU2_SR.
static const field_t hw_gpc_pgc_pu2_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU2_AUXSW.
static const field_t hw_gpc_pgc_pu2_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU3_CTRL.
static const field_t hw_gpc_pgc_pu3_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU3_PUPSCR.
static const field_t hw_gpc_pgc_pu3_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU3_PDNSCR.
static const field_t hw_gpc_pgc_pu3_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU3_SR.
static const field_t hw_gpc_pgc_pu3_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU3_AUXSW.
static const field_t hw_gpc_pgc_pu3_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU4_CTRL.
static const field_t hw_gpc_pgc_pu4_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU4_PUPSCR.
static const field_t hw_gpc_pgc_pu4_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU4_PDNSCR.
static const field_t hw_gpc_pgc_pu4_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU4_SR.
static const field_t hw_gpc_pgc_pu4_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU4_AUXSW.
static const field_t hw_gpc_pgc_pu4_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU5_CTRL.
static const field_t hw_gpc_pgc_pu5_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU5_PUPSCR.
static const field_t hw_gpc_pgc_pu5_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU5_PDNSCR.
static const field_t hw_gpc_pgc_pu5_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU5_SR.
static const field_t hw_gpc_pgc_pu5_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU5_AUXSW.
static const field_t hw_gpc_pgc_pu5_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU6_CTRL.
static const field_t hw_gpc_pgc_pu6_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU6_PUPSCR.
static const field_t hw_gpc_pgc_pu6_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU6_PDNSCR.
static const field_t hw_gpc_pgc_pu6_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU6_SR.
static const field_t hw_gpc_pgc_pu6_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU6_AUXSW.
static const field_t hw_gpc_pgc_pu6_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU7_CTRL.
static const field_t hw_gpc_pgc_pu7_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU7_PUPSCR.
static const field_t hw_gpc_pgc_pu7_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU7_PDNSCR.
static const field_t hw_gpc_pgc_pu7_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU7_SR.
static const field_t hw_gpc_pgc_pu7_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU7_AUXSW.
static const field_t hw_gpc_pgc_pu7_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU8_CTRL.
static const field_t hw_gpc_pgc_pu8_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU8_PUPSCR.
static const field_t hw_gpc_pgc_pu8_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU8_PDNSCR.
static const field_t hw_gpc_pgc_pu8_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU8_SR.
static const field_t hw_gpc_pgc_pu8_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU8_AUXSW.
static const field_t hw_gpc_pgc_pu8_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU9_CTRL.
static const field_t hw_gpc_pgc_pu9_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU9_PUPSCR.
static const field_t hw_gpc_pgc_pu9_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU9_PDNSCR.
static const field_t hw_gpc_pgc_pu9_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU9_SR.
static const field_t hw_gpc_pgc_pu9_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU9_AUXSW.
static const field_t hw_gpc_pgc_pu9_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU10_CTRL.
static const field_t hw_gpc_pgc_pu10_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU10_PUPSCR.
static const field_t hw_gpc_pgc_pu10_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU10_PDNSCR.
static const field_t hw_gpc_pgc_pu10_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU10_SR.
static const field_t hw_gpc_pgc_pu10_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU10_AUXSW.
static const field_t hw_gpc_pgc_pu10_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU11_CTRL.
static const field_t hw_gpc_pgc_pu11_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU11_PUPSCR.
static const field_t hw_gpc_pgc_pu11_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU11_PDNSCR.
static const field_t hw_gpc_pgc_pu11_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU11_SR.
static const field_t hw_gpc_pgc_pu11_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU11_AUXSW.
static const field_t hw_gpc_pgc_pu11_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU12_CTRL.
static const field_t hw_gpc_pgc_pu12_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU12_PUPSCR.
static const field_t hw_gpc_pgc_pu12_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU12_PDNSCR.
static const field_t hw_gpc_pgc_pu12_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU12_SR.
static const field_t hw_gpc_pgc_pu12_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU12_AUXSW.
static const field_t hw_gpc_pgc_pu12_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU13_CTRL.
static const field_t hw_gpc_pgc_pu13_ctrl[] =
{
    {
        "PCR",
        "Power ControlPCR must not change from power-down request (pdn_req) ass"
        "ertion until the target subsystem is completely powered up.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS",
        "After scu pdn_req, count this value to assert A53 l2rstdis to 1'b1, it"
        " will be clear automatically once any of A53 core0/core1/core2/core3 i"
        "s wakeup Can't be programmed to zero (This register control only for S"
        "CU Type PGC)",
        1, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DFTRAM_TCD1",
        "After scu pdn_req, count this value to assert A53 dftram to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RETN_TCD1_TDR",
        "After scu pdn_req, count this value to assert A53 l2retn to 1'b0 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMPWR_TCD1_TDR_TRM",
        "After scu pdn_req, count this value to assert A53 mempwr to 1'b1 Can't"
        " be programmed to zero (This register control only for SCU Type PGC)",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU13_PUPSCR.
static const field_t hw_gpc_pgc_pu13_pupscr[] =
{
    {
        "SW",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW before asserting switch_b SW must no"
        "t be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_WAIT_SCALL_OUT",
        "After SCALL asserting to 1'b0, wait handshake signal SCALL_OUT to retu"
        "rn to 1'b0 (This register control only for MIX Type PGC)",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW2ISO",
        "After asserting switch_b, the PGC waits a number of clocks equal to th"
        "e value of SW2ISO before negating isolation.",
        7, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCALL_SCALLOUT_CNT",
        "After SCALL asserting to 1'b0, count this value to complete switch pow"
        "er up Only valid when pup_wait_scall_out is set to 1'b0.",
        23, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU13_PDNSCR.
static const field_t hw_gpc_pgc_pu13_pdnscr[] =
{
    {
        "ISO",
        "Aafte a power-down request (pdn_req assertion), the PGC waits a number"
        " of clocks equal to the value of ISO before asserting isolation ISO mu"
        "st not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_WAIT_SCALL_OUT",
        "If set to 1'b1, after SCALL asserting to 1'b1, wait handshake signal S"
        "CALL_OUT to change to 1'b1.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW",
        "After asserting isolation(by pdn_req assertion), the PGC waits a numbe"
        "r of clocks equal to the value of ISO2SW before negating switch_b ISO2"
        "SW must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDN_SCALL_SCALLOUT_CNT",
        "Default 8'h0.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUP_SCPRE_SCALL_CNT",
        "After SCPRE asserting to 1'b0, count this value to assert SCALL to 1'b"
        "0 (This register control only for MIX Type PGC)",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU13_SR.
static const field_t hw_gpc_pgc_pu13_sr[] =
{
    {
        "PSR",
        "Power status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "L2RETN_FLAG",
        "L2 Retention Flag Software should write \"1\" to clear this flag after"
        " A53 is wakeup from L2 retention mode, otherwise it will always keep t"
        "o 1 (This register control only for SCU Type PGC)",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOFF_FLAG",
        "All-off flag.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PUP_CLK_DIV_SEL",
        "Clock divider select for the clock of power up counter(count_clk is 32"
        "KHz for CPU/SCU type PGC, ipg_clk(66MHz) for MIX/PU Type PGC)",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "L2RSTDIS_DEASSERT_CNT",
        "Count this value to de-assert L2RSTDISABLE to LOW after CPU0 or CPU1 p"
        "ower up This value can't be programmed to zero (This register control "
        "only for SCU Type PGC)",
        8, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPC_PGC_PU13_AUXSW.
static const field_t hw_gpc_pgc_pu13_auxsw[] =
{
    {
        "SW2",
        "After a power-up request (pup_req assertion), the PGC waits a number o"
        "f clocks equal to the value of SW2 before asserting switch2_b(1P8 Powe"
        "r) SW2 must not be programmed to zero.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISO2SW2",
        "after asserting isolation by power-down request(pdn_req assertion), th"
        "e PGC waits a number of clocks equal to the value of ISO2SW2 before ne"
        "gating switch2_b(1P8 Power) ISO2SW2 must not be programmed to zero.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PDN_CLK_DIV_SEL",
        "Clock divider select for the clock of power down counter",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPC_PGC module.
static const reg_t hw_gpc_pgc[] =
{
    {
        "A53CORE0_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core0_ctrl
    },
    {
        "A53CORE0_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_a53core0_pupscr
    },
    {
        "A53CORE0_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core0_pdnscr
    },
    {
        "A53CORE0_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core0_sr
    },
    {
        "A53CORE0_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_a53core0_auxsw
    },
    {
        "A53CORE1_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core1_ctrl
    },
    {
        "A53CORE1_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_a53core1_pupscr
    },
    {
        "A53CORE1_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core1_pdnscr
    },
    {
        "A53CORE1_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core1_sr
    },
    {
        "A53CORE1_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_a53core1_auxsw
    },
    {
        "A53CORE2_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core2_ctrl
    },
    {
        "A53CORE2_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_a53core2_pupscr
    },
    {
        "A53CORE2_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core2_pdnscr
    },
    {
        "A53CORE2_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core2_sr
    },
    {
        "A53CORE2_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_a53core2_auxsw
    },
    {
        "A53CORE3_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core3_ctrl
    },
    {
        "A53CORE3_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_a53core3_pupscr
    },
    {
        "A53CORE3_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core3_pdnscr
    },
    {
        "A53CORE3_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53core3_sr
    },
    {
        "A53CORE3_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_a53core3_auxsw
    },
    {
        "A53SCU_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53scu_ctrl
    },
    {
        "A53SCU_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_a53scu_pupscr
    },
    {
        "A53SCU_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53scu_pdnscr
    },
    {
        "A53SCU_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_a53scu_sr
    },
    {
        "A53SCU_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_a53scu_auxsw
    },
    {
        "MIX_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_mix_ctrl
    },
    {
        "MIX_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_mix_pupscr
    },
    {
        "MIX_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_mix_pdnscr
    },
    {
        "MIX_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_mix_sr
    },
    {
        "MIX_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_mix_auxsw
    },
    {
        "PU0_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu0_ctrl
    },
    {
        "PU0_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu0_pupscr
    },
    {
        "PU0_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu0_pdnscr
    },
    {
        "PU0_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu0_sr
    },
    {
        "PU0_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu0_auxsw
    },
    {
        "PU1_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu1_ctrl
    },
    {
        "PU1_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000444, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu1_pupscr
    },
    {
        "PU1_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000448, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu1_pdnscr
    },
    {
        "PU1_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000044c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu1_sr
    },
    {
        "PU1_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu1_auxsw
    },
    {
        "PU2_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu2_ctrl
    },
    {
        "PU2_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000484, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu2_pupscr
    },
    {
        "PU2_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000488, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu2_pdnscr
    },
    {
        "PU2_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000048c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu2_sr
    },
    {
        "PU2_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu2_auxsw
    },
    {
        "PU3_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu3_ctrl
    },
    {
        "PU3_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x000004c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu3_pupscr
    },
    {
        "PU3_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x000004c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu3_pdnscr
    },
    {
        "PU3_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x000004cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu3_sr
    },
    {
        "PU3_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu3_auxsw
    },
    {
        "PU4_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000500, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu4_ctrl
    },
    {
        "PU4_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000504, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu4_pupscr
    },
    {
        "PU4_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000508, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu4_pdnscr
    },
    {
        "PU4_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000050c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu4_sr
    },
    {
        "PU4_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000510, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu4_auxsw
    },
    {
        "PU5_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000540, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu5_ctrl
    },
    {
        "PU5_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000544, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu5_pupscr
    },
    {
        "PU5_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000548, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu5_pdnscr
    },
    {
        "PU5_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000054c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu5_sr
    },
    {
        "PU5_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000550, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu5_auxsw
    },
    {
        "PU6_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000580, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu6_ctrl
    },
    {
        "PU6_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000584, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu6_pupscr
    },
    {
        "PU6_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000588, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu6_pdnscr
    },
    {
        "PU6_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000058c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu6_sr
    },
    {
        "PU6_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000590, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu6_auxsw
    },
    {
        "PU7_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x000005c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu7_ctrl
    },
    {
        "PU7_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x000005c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu7_pupscr
    },
    {
        "PU7_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x000005c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu7_pdnscr
    },
    {
        "PU7_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x000005cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu7_sr
    },
    {
        "PU7_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x000005d0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu7_auxsw
    },
    {
        "PU8_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000600, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu8_ctrl
    },
    {
        "PU8_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000604, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu8_pupscr
    },
    {
        "PU8_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000608, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu8_pdnscr
    },
    {
        "PU8_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000060c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu8_sr
    },
    {
        "PU8_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu8_auxsw
    },
    {
        "PU9_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000640, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu9_ctrl
    },
    {
        "PU9_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000644, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu9_pupscr
    },
    {
        "PU9_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000648, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu9_pdnscr
    },
    {
        "PU9_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000064c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu9_sr
    },
    {
        "PU9_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000650, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu9_auxsw
    },
    {
        "PU10_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000680, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu10_ctrl
    },
    {
        "PU10_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000684, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu10_pupscr
    },
    {
        "PU10_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000688, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu10_pdnscr
    },
    {
        "PU10_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000068c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu10_sr
    },
    {
        "PU10_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000690, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu10_auxsw
    },
    {
        "PU11_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x000006c0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu11_ctrl
    },
    {
        "PU11_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x000006c4, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu11_pupscr
    },
    {
        "PU11_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x000006c8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu11_pdnscr
    },
    {
        "PU11_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x000006cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu11_sr
    },
    {
        "PU11_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x000006d0, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu11_auxsw
    },
    {
        "PU12_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000700, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu12_ctrl
    },
    {
        "PU12_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000704, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu12_pupscr
    },
    {
        "PU12_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000708, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu12_pdnscr
    },
    {
        "PU12_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000070c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu12_sr
    },
    {
        "PU12_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000710, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu12_auxsw
    },
    {
        "PU13_CTRL",
        "GPC PGC Control Register",
        4, // Width in bytes
        0x00000740, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu13_ctrl
    },
    {
        "PU13_PUPSCR",
        "GPC PGC Up Sequence Control Register",
        4, // Width in bytes
        0x00000744, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpc_pgc_pu13_pupscr
    },
    {
        "PU13_PDNSCR",
        "GPC PGC Down Sequence Control Register",
        4, // Width in bytes
        0x00000748, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu13_pdnscr
    },
    {
        "PU13_SR",
        "GPC PGC Status Register",
        4, // Width in bytes
        0x0000074c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_gpc_pgc_pu13_sr
    },
    {
        "PU13_AUXSW",
        "GPC PGC Auxiliary Power Switch Control Register.",
        4, // Width in bytes
        0x00000750, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_gpc_pgc_pu13_auxsw
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPIO
#endif

// Bitfields in register GPIO_DR.
static const field_t hw_gpio_dr[] =
{
    {
        "DR",
        "Data bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_GDIR.
static const field_t hw_gpio_gdir[] =
{
    {
        "GDIR",
        "GPIO direction bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_PSR.
static const field_t hw_gpio_psr[] =
{
    {
        "PSR",
        "GPIO pad status bits (status bits).",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_ICR1.
static const field_t hw_gpio_icr1[] =
{
    {
        "ICR0",
        "Interrupt configuration 1 fields.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR1",
        "Interrupt configuration 1 fields.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR2",
        "Interrupt configuration 1 fields.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR3",
        "Interrupt configuration 1 fields.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR4",
        "Interrupt configuration 1 fields.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR5",
        "Interrupt configuration 1 fields.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR6",
        "Interrupt configuration 1 fields.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR7",
        "Interrupt configuration 1 fields.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR8",
        "Interrupt configuration 1 fields.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR9",
        "Interrupt configuration 1 fields.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR10",
        "Interrupt configuration 1 fields.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR11",
        "Interrupt configuration 1 fields.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR12",
        "Interrupt configuration 1 fields.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR13",
        "Interrupt configuration 1 fields.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR14",
        "Interrupt configuration 1 fields.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR15",
        "Interrupt configuration 1 fields.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_ICR2.
static const field_t hw_gpio_icr2[] =
{
    {
        "ICR16",
        "Interrupt configuration 2 fields.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR17",
        "Interrupt configuration 2 fields.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR18",
        "Interrupt configuration 2 fields.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR19",
        "Interrupt configuration 2 fields.",
        6, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR20",
        "Interrupt configuration 2 fields.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR21",
        "Interrupt configuration 2 fields.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR22",
        "Interrupt configuration 2 fields.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR23",
        "Interrupt configuration 2 fields.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR24",
        "Interrupt configuration 2 fields.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR25",
        "Interrupt configuration 2 fields.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR26",
        "Interrupt configuration 2 fields.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR27",
        "Interrupt configuration 2 fields.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR28",
        "Interrupt configuration 2 fields.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR29",
        "Interrupt configuration 2 fields.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR30",
        "Interrupt configuration 2 fields.",
        28, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICR31",
        "Interrupt configuration 2 fields.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_IMR.
static const field_t hw_gpio_imr[] =
{
    {
        "IMR",
        "Interrupt Mask bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_ISR.
static const field_t hw_gpio_isr[] =
{
    {
        "ISR",
        "Interrupt status bits - Bit n of this register is asserted (active hig"
        "h) when the active condition (as determined by the corresponding ICR b"
        "it) is detected on the GPIO input and is waiting for service.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPIO_EDGE_SEL.
static const field_t hw_gpio_edge_sel[] =
{
    {
        "GPIO_EDGE_SEL",
        "Edge select.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPIO module.
static const reg_t hw_gpio[] =
{
    {
        "DR",
        "The 32-bit GPIO_DR register stores data that is ready to be driven to "
        "the output lines.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_dr
    },
    {
        "GDIR",
        "GPIO_GDIR functions as direction control when the IOMUXC is in GPIO mo"
        "de.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_gdir
    },
    {
        "PSR",
        "GPIO_PSR is a read-only register.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpio_psr
    },
    {
        "ICR1",
        "GPIO_ICR1 contains 16 two-bit fields, where each field specifies the i"
        "nterrupt configuration for a different input signal.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_gpio_icr1
    },
    {
        "ICR2",
        "GPIO_ICR2 contains 16 two-bit fields, where each field specifies the i"
        "nterrupt configuration for a different input signal.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_gpio_icr2
    },
    {
        "IMR",
        "GPIO_IMR contains masking bits for each interrupt line.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_imr
    },
    {
        "ISR",
        "The GPIO_ISR functions as an interrupt status indicator.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_isr
    },
    {
        "EDGE_SEL",
        "GPIO_EDGE_SEL may be used to override the ICR registers' configuration"
        ".",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpio_edge_sel
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPMI
#endif

// Bitfields in register GPMI_CTRL0.
static const field_t hw_gpmi_ctrl0[] =
{
    {
        "XFER_COUNT",
        "Number of bytes to transfer for this command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_INCREMENT",
        "In ATA mode, the address will increment with each cycle.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS",
        "Specifies the three address lines for ATA mode.",
        17, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS",
        "Selects which chip select is active for this command.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "This bit should only be changed when RUN==0.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMMAND_MODE",
        "WRITE = 0x0 Write mode.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UDMA",
        "DISABLED = 0x0 Use ATA-PIO mode on the external bus.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK_CS",
        "For ATA/NAND mode: 0= Deassert chip select (CS) after RUN is complete.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ_EN",
        "When set to '1' and ATA_IRQ pin is asserted, the GPMI_IRQ output will "
        "assert.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RUN",
        "The GPMI is busy running a command whenever this bit is set to '1'.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "Set this bit zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set to zero for normal operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL0_SET.
static const field_t hw_gpmi_ctrl0_set[] =
{
    {
        "XFER_COUNT",
        "Number of bytes to transfer for this command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_INCREMENT",
        "In ATA mode, the address will increment with each cycle.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS",
        "Specifies the three address lines for ATA mode.",
        17, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS",
        "Selects which chip select is active for this command.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "This bit should only be changed when RUN==0.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMMAND_MODE",
        "WRITE = 0x0 Write mode.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UDMA",
        "DISABLED = 0x0 Use ATA-PIO mode on the external bus.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK_CS",
        "For ATA/NAND mode: 0= Deassert chip select (CS) after RUN is complete.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ_EN",
        "When set to '1' and ATA_IRQ pin is asserted, the GPMI_IRQ output will "
        "assert.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RUN",
        "The GPMI is busy running a command whenever this bit is set to '1'.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "Set this bit zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set to zero for normal operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL0_CLR.
static const field_t hw_gpmi_ctrl0_clr[] =
{
    {
        "XFER_COUNT",
        "Number of bytes to transfer for this command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_INCREMENT",
        "In ATA mode, the address will increment with each cycle.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS",
        "Specifies the three address lines for ATA mode.",
        17, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS",
        "Selects which chip select is active for this command.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "This bit should only be changed when RUN==0.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMMAND_MODE",
        "WRITE = 0x0 Write mode.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UDMA",
        "DISABLED = 0x0 Use ATA-PIO mode on the external bus.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK_CS",
        "For ATA/NAND mode: 0= Deassert chip select (CS) after RUN is complete.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ_EN",
        "When set to '1' and ATA_IRQ pin is asserted, the GPMI_IRQ output will "
        "assert.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RUN",
        "The GPMI is busy running a command whenever this bit is set to '1'.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "Set this bit zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set to zero for normal operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL0_TOG.
static const field_t hw_gpmi_ctrl0_tog[] =
{
    {
        "XFER_COUNT",
        "Number of bytes to transfer for this command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_INCREMENT",
        "In ATA mode, the address will increment with each cycle.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS",
        "Specifies the three address lines for ATA mode.",
        17, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CS",
        "Selects which chip select is active for this command.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "This bit should only be changed when RUN==0.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMMAND_MODE",
        "WRITE = 0x0 Write mode.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UDMA",
        "DISABLED = 0x0 Use ATA-PIO mode on the external bus.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK_CS",
        "For ATA/NAND mode: 0= Deassert chip select (CS) after RUN is complete.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ_EN",
        "When set to '1' and ATA_IRQ pin is asserted, the GPMI_IRQ output will "
        "assert.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RUN",
        "The GPMI is busy running a command whenever this bit is set to '1'.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "Set this bit zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "Set to zero for normal operation.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_COMPARE.
static const field_t hw_gpmi_compare[] =
{
    {
        "REFERENCE",
        "16-bit value which is XORed with data read from the NAND device.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK",
        "16-bit mask which is applied after the read data is XORed with the REF"
        "ERENCE bit field.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCTRL.
static const field_t hw_gpmi_eccctrl[] =
{
    {
        "BUFFER_MASK",
        "ECC buffer information.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANDOMIZER_TYPE",
        "Set randomizer type",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANDOMIZER_ENABLE",
        "Enable randomizer function.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ECC",
        "Enable ECC processing of GPMI transfers.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_CMD",
        "ECC Command information.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Always write zeroes to this bit field.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDLE",
        "This is a register available to software to attach an identifier to a "
        "transaction in progress.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCTRL_SET.
static const field_t hw_gpmi_eccctrl_set[] =
{
    {
        "BUFFER_MASK",
        "ECC buffer information.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANDOMIZER_TYPE",
        "Set randomizer type",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANDOMIZER_ENABLE",
        "Enable randomizer function.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ECC",
        "Enable ECC processing of GPMI transfers.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_CMD",
        "ECC Command information.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Always write zeroes to this bit field.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDLE",
        "This is a register available to software to attach an identifier to a "
        "transaction in progress.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCTRL_CLR.
static const field_t hw_gpmi_eccctrl_clr[] =
{
    {
        "BUFFER_MASK",
        "ECC buffer information.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANDOMIZER_TYPE",
        "Set randomizer type",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANDOMIZER_ENABLE",
        "Enable randomizer function.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ECC",
        "Enable ECC processing of GPMI transfers.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_CMD",
        "ECC Command information.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Always write zeroes to this bit field.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDLE",
        "This is a register available to software to attach an identifier to a "
        "transaction in progress.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCTRL_TOG.
static const field_t hw_gpmi_eccctrl_tog[] =
{
    {
        "BUFFER_MASK",
        "ECC buffer information.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANDOMIZER_TYPE",
        "Set randomizer type",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANDOMIZER_ENABLE",
        "Enable randomizer function.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_ECC",
        "Enable ECC processing of GPMI transfers.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ECC_CMD",
        "ECC Command information.",
        13, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD2",
        "Always write zeroes to this bit field.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HANDLE",
        "This is a register available to software to attach an identifier to a "
        "transaction in progress.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_ECCCOUNT.
static const field_t hw_gpmi_ecccount[] =
{
    {
        "COUNT",
        "Number of bytes to pass through ECC.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RANDOMIZER_PAGE",
        "Set NAND page number needed to be randomized.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_PAYLOAD.
static const field_t hw_gpmi_payload[] =
{
    {
        "RSVD0",
        "Always write zeroes to this bit field.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADDRESS",
        "Pointer to an array of one or more 512 byte payload buffers.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_AUXILIARY.
static const field_t hw_gpmi_auxiliary[] =
{
    {
        "RSVD0",
        "Always write zeroes to this bit field.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADDRESS",
        "Pointer to ECC control structure and meta-data storage.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL1.
static const field_t hw_gpmi_ctrl1[] =
{
    {
        "GPMI_MODE",
        "ATA mode is only supported on channel zero.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAMERA_MODE",
        "When set to 1 and ATA UDMA is enabled the UDMA interface becomes a cam"
        "era interface.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATA_IRQRDY_POLARITY",
        "For ATA MODE: Note NAND_RDY_BUSY[3:2] are not affected by this bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_RESET",
        "ENABLED = 0x0 NANDF_WP_B(WPN) pin is held low (asserted).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_FOR_READY_CHANNEL",
        "Abort a wait for ready command on selected channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_REQUEST",
        "Request to abort \"wait for ready\" command on channel indicated by AB"
        "ORT_WAIT_FOR_READY_CHANNEL.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_EN",
        "When set to 1 each DMA request will generate a 4-transfer burst on the"
        " APB bus.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ",
        "This bit is set when a timeout occurs using the Device_Busy_Timeout va"
        "lue.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ",
        "This bit is set when an Interrupt is received from the ATA device.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA2ECC_MODE",
        "This is mainly for testing HWECC without involving the Nand device.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDN_DELAY",
        "This variable is a factor in the calculated delay to apply to the inte"
        "rnal read strobe for correct read data sampling.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_PERIOD",
        "Set this bit to 1 if the GPMI clock period is greater than 16ns for pr"
        "oper DLL operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_ENABLE",
        "Set this bit to 1 to enable the GPMI DLL.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCH_MODE",
        "This bit selects which error correction unit will access GPMI.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GANGED_RDYBUSY",
        "Set this bit to 1 will force all Nand RDY_BUSY inputs to be sourced fr"
        "om (tied to) RDY_BUSY0.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ_EN",
        "Setting this bit to '1' will enable timeout IRQ for transfers in ATA m"
        "ode only, and for WAIT_FOR_READY commands in both ATA and Nand mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_TRIGGER",
        "Test Trigger Enable",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRN_DLY_SEL",
        "Since the GPMI write strobe (WRN) is a fast clock pin, the delay on th"
        "is signal can be programmed to match the load on this pin.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOUPLE_CS",
        "Decouple Chip Select from DMA Channel.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNCMODE",
        "source synchronouse mode 1 or asynchrous mode 0.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPDATE_CS",
        "force the CS value is be updated to external chip select pin, even GPM"
        "I is idle.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPMI_CLK_DIV2_EN",
        "This bit should be reset to 0 in asynchronous mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOGGLE_MODE",
        "enable samsung toggle mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_CLK_STOP",
        "In onfi source synchronous mode, host may save power during the data w"
        "rite cycles by holding the CLK signal high (i.e.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNC_CLK_STOP",
        "set this bit to 1 will stop the source synchronous mode clk.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_CLK_STOP",
        "set this bit to 1 will stop gpmi io working clk.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL1_SET.
static const field_t hw_gpmi_ctrl1_set[] =
{
    {
        "GPMI_MODE",
        "ATA mode is only supported on channel zero.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAMERA_MODE",
        "When set to 1 and ATA UDMA is enabled the UDMA interface becomes a cam"
        "era interface.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATA_IRQRDY_POLARITY",
        "For ATA MODE: Note NAND_RDY_BUSY[3:2] are not affected by this bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_RESET",
        "ENABLED = 0x0 NANDF_WP_B(WPN) pin is held low (asserted).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_FOR_READY_CHANNEL",
        "Abort a wait for ready command on selected channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_REQUEST",
        "Request to abort \"wait for ready\" command on channel indicated by AB"
        "ORT_WAIT_FOR_READY_CHANNEL.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_EN",
        "When set to 1 each DMA request will generate a 4-transfer burst on the"
        " APB bus.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ",
        "This bit is set when a timeout occurs using the Device_Busy_Timeout va"
        "lue.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ",
        "This bit is set when an Interrupt is received from the ATA device.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA2ECC_MODE",
        "This is mainly for testing HWECC without involving the Nand device.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDN_DELAY",
        "This variable is a factor in the calculated delay to apply to the inte"
        "rnal read strobe for correct read data sampling.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_PERIOD",
        "Set this bit to 1 if the GPMI clock period is greater than 16ns for pr"
        "oper DLL operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_ENABLE",
        "Set this bit to 1 to enable the GPMI DLL.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCH_MODE",
        "This bit selects which error correction unit will access GPMI.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GANGED_RDYBUSY",
        "Set this bit to 1 will force all Nand RDY_BUSY inputs to be sourced fr"
        "om (tied to) RDY_BUSY0.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ_EN",
        "Setting this bit to '1' will enable timeout IRQ for transfers in ATA m"
        "ode only, and for WAIT_FOR_READY commands in both ATA and Nand mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_TRIGGER",
        "Test Trigger Enable",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRN_DLY_SEL",
        "Since the GPMI write strobe (WRN) is a fast clock pin, the delay on th"
        "is signal can be programmed to match the load on this pin.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOUPLE_CS",
        "Decouple Chip Select from DMA Channel.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNCMODE",
        "source synchronouse mode 1 or asynchrous mode 0.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPDATE_CS",
        "force the CS value is be updated to external chip select pin, even GPM"
        "I is idle.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPMI_CLK_DIV2_EN",
        "This bit should be reset to 0 in asynchronous mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOGGLE_MODE",
        "enable samsung toggle mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_CLK_STOP",
        "In onfi source synchronous mode, host may save power during the data w"
        "rite cycles by holding the CLK signal high (i.e.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNC_CLK_STOP",
        "set this bit to 1 will stop the source synchronous mode clk.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_CLK_STOP",
        "set this bit to 1 will stop gpmi io working clk.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL1_CLR.
static const field_t hw_gpmi_ctrl1_clr[] =
{
    {
        "GPMI_MODE",
        "ATA mode is only supported on channel zero.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAMERA_MODE",
        "When set to 1 and ATA UDMA is enabled the UDMA interface becomes a cam"
        "era interface.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATA_IRQRDY_POLARITY",
        "For ATA MODE: Note NAND_RDY_BUSY[3:2] are not affected by this bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_RESET",
        "ENABLED = 0x0 NANDF_WP_B(WPN) pin is held low (asserted).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_FOR_READY_CHANNEL",
        "Abort a wait for ready command on selected channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_REQUEST",
        "Request to abort \"wait for ready\" command on channel indicated by AB"
        "ORT_WAIT_FOR_READY_CHANNEL.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_EN",
        "When set to 1 each DMA request will generate a 4-transfer burst on the"
        " APB bus.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ",
        "This bit is set when a timeout occurs using the Device_Busy_Timeout va"
        "lue.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ",
        "This bit is set when an Interrupt is received from the ATA device.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA2ECC_MODE",
        "This is mainly for testing HWECC without involving the Nand device.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDN_DELAY",
        "This variable is a factor in the calculated delay to apply to the inte"
        "rnal read strobe for correct read data sampling.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_PERIOD",
        "Set this bit to 1 if the GPMI clock period is greater than 16ns for pr"
        "oper DLL operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_ENABLE",
        "Set this bit to 1 to enable the GPMI DLL.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCH_MODE",
        "This bit selects which error correction unit will access GPMI.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GANGED_RDYBUSY",
        "Set this bit to 1 will force all Nand RDY_BUSY inputs to be sourced fr"
        "om (tied to) RDY_BUSY0.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ_EN",
        "Setting this bit to '1' will enable timeout IRQ for transfers in ATA m"
        "ode only, and for WAIT_FOR_READY commands in both ATA and Nand mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_TRIGGER",
        "Test Trigger Enable",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRN_DLY_SEL",
        "Since the GPMI write strobe (WRN) is a fast clock pin, the delay on th"
        "is signal can be programmed to match the load on this pin.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOUPLE_CS",
        "Decouple Chip Select from DMA Channel.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNCMODE",
        "source synchronouse mode 1 or asynchrous mode 0.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPDATE_CS",
        "force the CS value is be updated to external chip select pin, even GPM"
        "I is idle.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPMI_CLK_DIV2_EN",
        "This bit should be reset to 0 in asynchronous mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOGGLE_MODE",
        "enable samsung toggle mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_CLK_STOP",
        "In onfi source synchronous mode, host may save power during the data w"
        "rite cycles by holding the CLK signal high (i.e.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNC_CLK_STOP",
        "set this bit to 1 will stop the source synchronous mode clk.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_CLK_STOP",
        "set this bit to 1 will stop gpmi io working clk.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_CTRL1_TOG.
static const field_t hw_gpmi_ctrl1_tog[] =
{
    {
        "GPMI_MODE",
        "ATA mode is only supported on channel zero.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAMERA_MODE",
        "When set to 1 and ATA UDMA is enabled the UDMA interface becomes a cam"
        "era interface.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATA_IRQRDY_POLARITY",
        "For ATA MODE: Note NAND_RDY_BUSY[3:2] are not affected by this bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_RESET",
        "ENABLED = 0x0 NANDF_WP_B(WPN) pin is held low (asserted).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_FOR_READY_CHANNEL",
        "Abort a wait for ready command on selected channel.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABORT_WAIT_REQUEST",
        "Request to abort \"wait for ready\" command on channel indicated by AB"
        "ORT_WAIT_FOR_READY_CHANNEL.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_EN",
        "When set to 1 each DMA request will generate a 4-transfer burst on the"
        " APB bus.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ",
        "This bit is set when a timeout occurs using the Device_Busy_Timeout va"
        "lue.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_IRQ",
        "This bit is set when an Interrupt is received from the ATA device.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA2ECC_MODE",
        "This is mainly for testing HWECC without involving the Nand device.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDN_DELAY",
        "This variable is a factor in the calculated delay to apply to the inte"
        "rnal read strobe for correct read data sampling.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_PERIOD",
        "Set this bit to 1 if the GPMI clock period is greater than 16ns for pr"
        "oper DLL operation.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_ENABLE",
        "Set this bit to 1 to enable the GPMI DLL.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCH_MODE",
        "This bit selects which error correction unit will access GPMI.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GANGED_RDYBUSY",
        "Set this bit to 1 will force all Nand RDY_BUSY inputs to be sourced fr"
        "om (tied to) RDY_BUSY0.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIMEOUT_IRQ_EN",
        "Setting this bit to '1' will enable timeout IRQ for transfers in ATA m"
        "ode only, and for WAIT_FOR_READY commands in both ATA and Nand mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEST_TRIGGER",
        "Test Trigger Enable",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRN_DLY_SEL",
        "Since the GPMI write strobe (WRN) is a fast clock pin, the delay on th"
        "is signal can be programmed to match the load on this pin.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DECOUPLE_CS",
        "Decouple Chip Select from DMA Channel.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNCMODE",
        "source synchronouse mode 1 or asynchrous mode 0.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UPDATE_CS",
        "force the CS value is be updated to external chip select pin, even GPM"
        "I is idle.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPMI_CLK_DIV2_EN",
        "This bit should be reset to 0 in asynchronous mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOGGLE_MODE",
        "enable samsung toggle mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WRITE_CLK_STOP",
        "In onfi source synchronous mode, host may save power during the data w"
        "rite cycles by holding the CLK signal high (i.e.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSYNC_CLK_STOP",
        "set this bit to 1 will stop the source synchronous mode clk.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEV_CLK_STOP",
        "set this bit to 1 will stop gpmi io working clk.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_TIMING0.
static const field_t hw_gpmi_timing0[] =
{
    {
        "DATA_SETUP",
        "Data bus setup time in GPMICLK cycles.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_HOLD",
        "Data bus hold time in GPMICLK cycles.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRESS_SETUP",
        "Number of GPMICLK cycles that the CE/ADDR signals are active before a "
        "strobe is asserted.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Always write zeroes to this bit field.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_TIMING1.
static const field_t hw_gpmi_timing1[] =
{
    {
        "RSVD1",
        "Always write zeroes to this bit field.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEVICE_BUSY_TIMEOUT",
        "Timeout waiting for NAND Ready/Busy or ATA IRQ.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_TIMING2.
static const field_t hw_gpmi_timing2[] =
{
    {
        "DATA_PAUSE",
        "GPMI delay time from data pause to data resume in GPMICLK cycles.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMDADD_PAUSE",
        "GPMI delay time from command or addres pause to command or address res"
        "ume in GPMICLK cycles.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POSTAMBLE_DELAY",
        "GPMI post-amble delay in GPMICLK cycles.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PREAMBLE_DELAY",
        "GPMI pre-amble delay in GPMICLK cycles.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CE_DELAY",
        "GPMI dealy from CEn assert to W/Rn changing edge.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Always write zeroes to this bit field.",
        21, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "READ_LATENCY",
        "This field is for double data rate read latency configuration.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCR",
        "Only for Toggle NAND timing control delay (TCR+1) GPMICLK cycles for C"
        "En_B low to RE_B low, 0 is less than or equal to TCR, which is less th"
        "an the PREAMBLE_DELAY",
        27, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRPSTH",
        "Only for Toggle NAND timing control delay TRPSTH GPMICLK cycles for CE"
        "n_B high to RE_B high, A value of zero is interpreted as 8",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_DATA.
static const field_t hw_gpmi_data[] =
{
    {
        "DATA",
        "In 8-bit mode, one, two, three or four bytes can can be accessed to se"
        "nd the same number of bus cycles.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_STAT.
static const field_t hw_gpmi_stat[] =
{
    {
        "PRESENT",
        "UNAVAILABLE = 0x0 GPMI is not present in this product.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO_FULL",
        "NOT_FULL = 0x0 FIFO is not full.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO_EMPTY",
        "NOT_EMPTY = 0x0 FIFO is not empty.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "INVALID_BUFFER_MASK",
        "Buffer Mask Validity bit.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ATA_IRQ",
        "Status of the ATA_IRQ input pin.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Always write zeroes to this bit field.",
        5, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV0_ERROR",
        "DMA channel 0 (Timeout or compare failure, depending on COMMAND_MODE).",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV1_ERROR",
        "DMA channel 1 (Timeout or compare failure, depending on COMMAND_MODE).",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV2_ERROR",
        "DMA channel 2 (Timeout or compare failure, depending on COMMAND_MODE).",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV3_ERROR",
        "DMA channel 3 (Timeout or compare failure, depending on COMMAND_MODE).",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV4_ERROR",
        "DMA channel 4 (Timeout or compare failure, depending on COMMAND_MODE).",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV5_ERROR",
        "DMA channel 5 (Timeout or compare failure, depending on COMMAND_MODE).",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV6_ERROR",
        "DMA channel 6 (Timeout or compare failure, depending on COMMAND_MODE).",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DEV7_ERROR",
        "DMA channel 7 (Timeout or compare failure, depending on COMMAND_MODE).",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RDY_TIMEOUT",
        "State of the RDY/BUSY Timeout Flags.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "READY_BUSY",
        "Read-only view of NAND Ready_Busy Input pins.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_DEBUG.
static const field_t hw_gpmi_debug[] =
{
    {
        "CMD_END",
        "Read Only view of the Command End toggle signals to DMA.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DMAREQ",
        "Read-only view of DMA request line for 8 DMA channels.",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DMA_SENSE",
        "Read-only view of sense state of the 8 DMA channels.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WAIT_FOR_READY_END",
        "Read Only view of the Wait_For_Ready End toggle signals to DMA.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_VERSION.
static const field_t hw_gpmi_version[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value reflecting the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value reflecting the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_DEBUG2.
static const field_t hw_gpmi_debug2[] =
{
    {
        "RDN_TAP",
        "This is the DLL tap calculated by the DLL controller.",
        0, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UPDATE_WINDOW",
        "A 1 indicates that the DLL is busy generating the required delay.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VIEW_DELAYED_RDN",
        "Set to a 1 to select the delayed feedback RE_B to drive the GPMI_ADDR["
        "0] (Nand CLE) pin.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYND2GPMI_READY",
        "Data handshake Input from BCH.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SYND2GPMI_VALID",
        "Data handshake Input from BCH.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPMI2SYND_READY",
        "Data handshake output to BCH.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPMI2SYND_VALID",
        "Data handshake output to BCH.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SYND2GPMI_BE",
        "Data byte enable Input from BCH.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAIN_STATE",
        "parameter MSM_IDLE = 4'h0, MSM_BYTCNT = 4'h1, MSM_WAITFE = 4'h2, MSM_W"
        "AITFR = 4'h3, MSM_DMAREQ = 4'h4, MSM_DMAACK = 4'h5, MSM_WAITFF = 4'h6,"
        " MSM_LDFIFO = 4'h7, MSM_LDDMAR = 4'h8, MSM_RDCMP = 4'h9, MSM_DONE = 4'"
        "hA.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PIN_STATE",
        "parameter PSM_IDLE = 3'h0, PSM_BYTCNT = 3'h1, PSM_ADDR = 3'h2, PSM_STA"
        "LL = 3'h3, PSM_STROBE = 3'h4, PSM_ATARDY = 3'h5, PSM_DHOLD = 3'h6, PSM"
        "_DONE = 3'h7.",
        20, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY",
        "When asserted the GPMI is busy.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UDMA_STATE",
        "USM_IDLE = 4'h0, idle USM_DMARQ = 4'h1, DMA req USM_ACK = 4'h2, DMA AC"
        "K USM_FIFO_E = 4'h3, Fifo empty USM_WPAUSE = 4'h4, WR DMA Paused by de"
        "vice USM_TSTRB = 4'h5, Toggle HSTROBE USM_CAPTUR = 4'h6, Capture Stage"
        ", (data sampled with DSTROBE is valid) USM_DATOUT = 4'h7, Change Burst"
        " DATAOUT USM_CRC = 4'h8, Source CRC to Device USM_WAIT_R = 4'h9, Waiti"
        "ng for DDMARDY- USM_END = 4'ha; Negate DMAACK (end of DMA) USM_WAIT_S "
        "= 4'hb, Waiting for DSTROBE USM_RPAUSE = 4'hc, Rd DMA Paused by Host U"
        "SM_RSTOP = 4'hd, Rd DMA Stopped by Host USM_WTERM = 4'he, Wr DMA Termi"
        "nation State USM_RTERM = 4'hf, Rd DMA Termination state",
        24, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Always write zeroes to this bit field.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_DEBUG3.
static const field_t hw_gpmi_debug3[] =
{
    {
        "DEV_WORD_CNTR",
        "Reflects the number of bytes remains to be transferred on the ATA/Nand"
        " bus.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "APB_WORD_CNTR",
        "Reflects the number of bytes remains to be transferred on the APB bus.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_READ_DDR_DLL_CTRL.
static const field_t hw_gpmi_read_ddr_dll_ctrl[] =
{
    {
        "ENABLE",
        "Set this bit to 1 to enable the DLL and delay chain; otherwise; set to"
        " 0 to bypasses DLL.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET",
        "Setting this bit to 1 force a reset on DLL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_FORCE_UPD",
        "Setting this bit to 1, forces the slave delay line to update to the DL"
        "L calibrated value immediately.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_DLY_TARGET",
        "The delay target for the read clock is can be programmed in 1/16th inc"
        "rements of an GPMICLK half-period.",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GATE_UPDATE",
        "Setting this bit to 1, forces the slave delay line not update",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFCLK_ON",
        "set this bit to 1 will turn on the reference clock",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_OVERRIDE",
        "Set this bit to 1 to Enable manual override for slave delay chain usin"
        "g SLV_OVERRIDE_VAL; to set 0 to disable manual override.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_OVERRIDE_VAL",
        "When SLV_OVERRIDE=1 This field is used to select 1 of 256 physical tap"
        "s manually.",
        10, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved",
        18, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SLV_UPDATE_INT",
        "Setting a value greater than 0 in this field, shall over-ride the defa"
        "ult slave delay-line update interval of 256 GPMICLK cycles.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REF_UPDATE_INT",
        "This field allows the user to add additional delay cycles to the DLL c"
        "ontrol loop (reference delay line control).",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_WRITE_DDR_DLL_CTRL.
static const field_t hw_gpmi_write_ddr_dll_ctrl[] =
{
    {
        "ENABLE",
        "Set this bit to 1 to enable the DLL and delay chain; otherwise; set to"
        " 0 to bypasses DLL.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESET",
        "Setting this bit to 1 force a reset on DLL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_FORCE_UPD",
        "Setting this bit to 1, forces the slave delay line to update to the DL"
        "L calibrated value immediately.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_DLY_TARGET",
        "The delay target for the read clock can be programmed in 1/16th increm"
        "ents of an GPMICLK half-period.",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GATE_UPDATE",
        "Setting this bit to 1, forces the slave delay line not update",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REFCLK_ON",
        "set this bit to 1 will turn on the reference clock",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_OVERRIDE",
        "Set this bit to 1 to Enable manual override for slave delay chain usin"
        "g SLV_OVERRIDE_VAL; to set 0 to disable manual override.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLV_OVERRIDE_VAL",
        "When SLV_OVERRIDE=1 This field is used to select 1 of 256 physical tap"
        "s manually.",
        10, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved",
        18, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SLV_UPDATE_INT",
        "Setting a value greater than 0 in this field, shall over-ride the defa"
        "ult slave delay-line update interval of 256 GPMICLK cycles.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REF_UPDATE_INT",
        "This field allows the user to add additional delay cycles to the DLL c"
        "ontrol loop (reference delay line control).",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_READ_DDR_DLL_STS.
static const field_t hw_gpmi_read_ddr_dll_sts[] =
{
    {
        "SLV_LOCK",
        "Slave delay-line lock status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SLV_SEL",
        "Slave delay line select status",
        1, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REF_LOCK",
        "Reference DLL lock status.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REF_SEL",
        "Reference delay line select status.",
        17, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPMI_WRITE_DDR_DLL_STS.
static const field_t hw_gpmi_write_ddr_dll_sts[] =
{
    {
        "SLV_LOCK",
        "Slave delay-line lock status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SLV_SEL",
        "Slave delay line select status",
        1, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD0",
        "Reserved",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REF_LOCK",
        "Reference DLL lock status.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REF_SEL",
        "Reference delay line select status.",
        17, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSVD1",
        "Reserved",
        25, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPMI module.
static const reg_t hw_gpmi[] =
{
    {
        "CTRL0",
        "The GPMI control register 0 specifies the GPMI transaction to perform "
        "for the current command chain item.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpmi_ctrl0
    },
    {
        "CTRL0_SET",
        "The GPMI control register 0 specifies the GPMI transaction to perform "
        "for the current command chain item.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpmi_ctrl0_set
    },
    {
        "CTRL0_CLR",
        "The GPMI control register 0 specifies the GPMI transaction to perform "
        "for the current command chain item.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpmi_ctrl0_clr
    },
    {
        "CTRL0_TOG",
        "The GPMI control register 0 specifies the GPMI transaction to perform "
        "for the current command chain item.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_gpmi_ctrl0_tog
    },
    {
        "COMPARE",
        "The GPMI compare register specifies the expect data and the xor mask f"
        "or comparing to the status values read from the device.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpmi_compare
    },
    {
        "ECCCTRL",
        "The GPMI ECC control register handles configuration of the integrated "
        "ECC / Randomizer accelerator.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_gpmi_eccctrl
    },
    {
        "ECCCTRL_SET",
        "The GPMI ECC control register handles configuration of the integrated "
        "ECC / Randomizer accelerator.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_gpmi_eccctrl_set
    },
    {
        "ECCCTRL_CLR",
        "The GPMI ECC control register handles configuration of the integrated "
        "ECC / Randomizer accelerator.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_gpmi_eccctrl_clr
    },
    {
        "ECCCTRL_TOG",
        "The GPMI ECC control register handles configuration of the integrated "
        "ECC / Randomizer accelerator.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_gpmi_eccctrl_tog
    },
    {
        "ECCCOUNT",
        "The GPMI ECC Transfer Count Register contains the count of bytes that "
        "flow through the ECC / Randomizer sub­system.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpmi_ecccount
    },
    {
        "PAYLOAD",
        "The GPMI payload address register specifies the location of the data b"
        "uffers in system memory.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpmi_payload
    },
    {
        "AUXILIARY",
        "The GPMI auxiliary address register specifies the location of the auxi"
        "liary buffers in system memory.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpmi_auxiliary
    },
    {
        "CTRL1",
        "The GPMI control register 1 specifies additional control fields that a"
        "re not used on a per-transaction basis.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_gpmi_ctrl1
    },
    {
        "CTRL1_SET",
        "The GPMI control register 1 specifies additional control fields that a"
        "re not used on a per-transaction basis.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_gpmi_ctrl1_set
    },
    {
        "CTRL1_CLR",
        "The GPMI control register 1 specifies additional control fields that a"
        "re not used on a per-transaction basis.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_gpmi_ctrl1_clr
    },
    {
        "CTRL1_TOG",
        "The GPMI control register 1 specifies additional control fields that a"
        "re not used on a per-transaction basis.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        26, // Number of bitfields
        hw_gpmi_ctrl1_tog
    },
    {
        "TIMING0",
        "The GPMI timing register 0 specifies the timing parameters that are us"
        "ed by the cycle state machine to guarantee the various setup, hold and"
        " cycle times for the external media type.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_gpmi_timing0
    },
    {
        "TIMING1",
        "The GPMI timing register 1 specifies the timeouts used when monitoring"
        " the NAND READY pin or the ATA IRQ and IOWAIT signals.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpmi_timing1
    },
    {
        "TIMING2",
        "The GPMI timing register 2 specifies the double data rate timing param"
        "eters that are used by the cycle state machine to guarantee the variou"
        "s cs delay, pre-amble delay, post-amble delay, command/address delay, "
        "data delay, TCR, TRPSTH, and read latency cycle times for the external"
        " media type.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_gpmi_timing2
    },
    {
        "DATA",
        "The GPMI DMA data transfer register is used by the DMA to read or writ"
        "e data to or from the ATA/NAND control state machine.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpmi_data
    },
    {
        "STAT",
        "The GPMI control and status register provides a read back path for var"
        "ious operational states of the GPMI controller.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        false, // Writable
        16, // Number of bitfields
        hw_gpmi_stat
    },
    {
        "DEBUG",
        "The GPMI debug information register provides a read back path for diag"
        "nostics to determine the current operating state of the GPMI controlle"
        "r.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_gpmi_debug
    },
    {
        "VERSION",
        "This register reflects the version number for the GPMI.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_gpmi_version
    },
    {
        "DEBUG2",
        "The GPMI Debug2 information register provides a read back path for dia"
        "gnostics to determine the cur­rent operating state of the GPMI contro"
        "ller.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_gpmi_debug2
    },
    {
        "DEBUG3",
        "The GPMI Debug3 information register provides a read back path for dia"
        "gnostics to determine the cur­rent operating state of the GPMI contro"
        "ller.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_gpmi_debug3
    },
    {
        "READ_DDR_DLL_CTRL",
        "GPMI DDR Read Delay Loop Lock Control Register.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_gpmi_read_ddr_dll_ctrl
    },
    {
        "WRITE_DDR_DLL_CTRL",
        "GPMI DDR Write Delay Loop Lock Control Register.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_gpmi_write_ddr_dll_ctrl
    },
    {
        "READ_DDR_DLL_STS",
        "GPMI Double Rate Read DLL Status Register, Read Only.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        false, // Writable
        6, // Number of bitfields
        hw_gpmi_read_ddr_dll_sts
    },
    {
        "WRITE_DDR_DLL_STS",
        "GPMI Double Rate Write DLL Status Register, Read Only.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        false, // Writable
        6, // Number of bitfields
        hw_gpmi_write_ddr_dll_sts
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark GPT
#endif

// Bitfields in register GPT_CR.
static const field_t hw_gpt_cr[] =
{
    {
        "EN",
        "GPT Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENMOD",
        "GPT Enable mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGEN",
        "GPT debug mode enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAITEN",
        "GPT Wait Mode enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOZEEN",
        "GPT Doze Mode Enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOPEN",
        "GPT Stop Mode enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKSRC",
        "Clock Source select.",
        6, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRR",
        "Free-Run or Restart mode.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN_24M",
        "Enable 24 MHz clock input from crystal.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Software reset.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IM1",
        "See IM2",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IM2",
        "IM2 (bits 19-18, Input Capture Channel 2 operating mode) IM1 (bits 17-"
        "16, Input Capture Channel 1 operating mode) The IMn bit field determin"
        "es the transition on the input pin (for Input capture channel n), whic"
        "h will trigger a capture event.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OM1",
        "See OM3",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OM2",
        "See OM3",
        23, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OM3",
        "OM3 (bits 28-26) controls the Output Compare Channel 3 operating mode.",
        26, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FO1",
        "See F03",
        29, // LSB
        29, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FO2",
        "See F03",
        30, // LSB
        30, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FO3",
        "FO3 Force Output Compare Channel 3 FO2 Force Output Compare Channel 2 "
        "FO1 Force Output Compare Channel 1 The FOn bit causes the pin action p"
        "rogrammed for the timer Output Compare n pin (according to the OMn bit"
        "s in this register).",
        31, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_PR.
static const field_t hw_gpt_pr[] =
{
    {
        "PRESCALER",
        "Prescaler bits.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRESCALER24M",
        "Prescaler bits.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_SR.
static const field_t hw_gpt_sr[] =
{
    {
        "OF1",
        "See OF3",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OF2",
        "See OF3",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OF3",
        "OF3 Output Compare 3 Flag OF2 Output Compare 2 Flag OF1 Output Compare"
        " 1 Flag The OFn bit indicates that a compare event has occurred on Out"
        "put Compare channel n.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IF1",
        "See IF2",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IF2",
        "IF2 Input capture 2 Flag IF1 Input capture 1 Flag The IFn bit indicate"
        "s that a capture event has occurred on Input Capture channel n.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROV",
        "Rollover Flag.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_IR.
static const field_t hw_gpt_ir[] =
{
    {
        "OF1IE",
        "See OF3IE",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OF2IE",
        "See OF3IE",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OF3IE",
        "OF3IE Output Compare 3 Interrupt Enable OF2IE Output Compare 2 Interru"
        "pt Enable OF1IE Output Compare 1 Interrupt Enable The OFnIE bit contro"
        "ls the Output Compare Channel n interrupt.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IF1IE",
        "See IF2IE",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IF2IE",
        "IF2IE Input capture 2 Interrupt Enable IF1IE Input capture 1 Interrupt"
        " Enable The IFnIE bit controls the IFnIE Input Capture n Interrupt Ena"
        "ble.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROVIE",
        "Rollover Interrupt Enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_OCR1.
static const field_t hw_gpt_ocr1[] =
{
    {
        "COMP",
        "Compare Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_OCR2.
static const field_t hw_gpt_ocr2[] =
{
    {
        "COMP",
        "Compare Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_OCR3.
static const field_t hw_gpt_ocr3[] =
{
    {
        "COMP",
        "Compare Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_ICR1.
static const field_t hw_gpt_icr1[] =
{
    {
        "CAPT",
        "Capture Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_ICR2.
static const field_t hw_gpt_icr2[] =
{
    {
        "CAPT",
        "Capture Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register GPT_CNT.
static const field_t hw_gpt_cnt[] =
{
    {
        "COUNT",
        "Counter Value.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a GPT module.
static const reg_t hw_gpt[] =
{
    {
        "CR",
        "The GPT Control Register (GPT_CR) is used to program and configure GPT"
        " operations.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_gpt_cr
    },
    {
        "PR",
        "The GPT Prescaler Register (GPT_PR) contains bits that determine the d"
        "ivide value of the clock that runs the counter.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_gpt_pr
    },
    {
        "SR",
        "The GPT Status Register (GPT_SR) contains bits that indicate that a co"
        "unter has rolled over, and if any event has occurred on the Input Capt"
        "ure and Output Compare channels.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpt_sr
    },
    {
        "IR",
        "The GPT Interrupt Register (GPT_IR) contains bits that control whether"
        " interrupts are generated after rollover, input capture and output com"
        "pare events.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_gpt_ir
    },
    {
        "OCR1",
        "The GPT Compare Register 1 (GPT_OCR1) holds the value that determines "
        "when a compare event will be generated on Output Compare Channel 1.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpt_ocr1
    },
    {
        "OCR2",
        "The GPT Compare Register 2 (GPT_OCR2) holds the value that determines "
        "when a compare event will be generated on Output Compare Channel 2.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpt_ocr2
    },
    {
        "OCR3",
        "The GPT Compare Register 3 (GPT_OCR3) holds the value that determines "
        "when a compare event will be generated on Output Compare Channel 3.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_gpt_ocr3
    },
    {
        "ICR1",
        "The GPT Input Capture Register 1 (GPT_ICR1) is a read-only register th"
        "at holds the value that was in the counter during the last capture eve"
        "nt on Input Capture Channel 1.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpt_icr1
    },
    {
        "ICR2",
        "The GPT Input capture Register 2 (GPT_ICR2) is a read-only register wh"
        "ich holds the value that was in the counter during the last capture ev"
        "ent on input capture channel 2.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpt_icr2
    },
    {
        "CNT",
        "The GPT Counter Register (GPT_CNT) is the main counter's register.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_gpt_cnt
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark HDMI_TX
#endif

// Bitfields in register HDMI_TX_APB_CTRL.
static const field_t hw_hdmi_tx_apb_ctrl[] =
{
    {
        "APB_XT_RESET",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APB_DRAM_PATH",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APB_IRAM_PATH",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        3, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_xt_int_ctrl.
static const field_t hw_hdmi_tx_xt_int_ctrl[] =
{
    {
        "XT_INT_POLARITY",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        2, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_MAILBOX_FULL_ADDR.
static const field_t hw_hdmi_tx_mailbox_full_addr[] =
{
    {
        "MAILBOX_FULL",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_MAILBOX_EMPTY_ADDR.
static const field_t hw_hdmi_tx_mailbox_empty_addr[] =
{
    {
        "MAILBOX_EMPTY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_mailbox0_wr_data.
static const field_t hw_hdmi_tx_mailbox0_wr_data[] =
{
    {
        "MAILBOX0_WR_DATA",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_mailbox0_rd_data.
static const field_t hw_hdmi_tx_mailbox0_rd_data[] =
{
    {
        "MAILBOX0_RD_DATA",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_KEEP_ALIVE.
static const field_t hw_hdmi_tx_keep_alive[] =
{
    {
        "KEEP_ALIVE_CNT",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_VER_L.
static const field_t hw_hdmi_tx_ver_l[] =
{
    {
        "VER_LSB",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_VER_H.
static const field_t hw_hdmi_tx_ver_h[] =
{
    {
        "VER_MSB",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_VER_LIB_L_ADDR.
static const field_t hw_hdmi_tx_ver_lib_l_addr[] =
{
    {
        "SW_LIB_VER_L",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_VER_LIB_H_ADDR.
static const field_t hw_hdmi_tx_ver_lib_h_addr[] =
{
    {
        "SW_LIB_VER_H",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SW_DEBUG_L.
static const field_t hw_hdmi_tx_sw_debug_l[] =
{
    {
        "SW_DEBUG_7_0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SW_DEBUG_H.
static const field_t hw_hdmi_tx_sw_debug_h[] =
{
    {
        "SW_DEBUG_15_8",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_MAILBOX_INT_MASK.
static const field_t hw_hdmi_tx_mailbox_int_mask[] =
{
    {
        "MAILBOX_INT_MASK",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        2, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_MAILBOX_INT_STATUS.
static const field_t hw_hdmi_tx_mailbox_int_status[] =
{
    {
        "MAILBOX_INT_STATUS",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        2, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SW_CLK_L.
static const field_t hw_hdmi_tx_sw_clk_l[] =
{
    {
        "SW_CLOCK_VAL_L",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SW_CLK_H.
static const field_t hw_hdmi_tx_sw_clk_h[] =
{
    {
        "SW_CLOCK_VAL_H",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SW_EVENTS0.
static const field_t hw_hdmi_tx_sw_events0[] =
{
    {
        "SW_EVENTS7_0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SW_EVENTS1.
static const field_t hw_hdmi_tx_sw_events1[] =
{
    {
        "SW_EVENTS15_8",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SW_EVENTS2.
static const field_t hw_hdmi_tx_sw_events2[] =
{
    {
        "SW_EVENTS23_16",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SW_EVENTS3.
static const field_t hw_hdmi_tx_sw_events3[] =
{
    {
        "SW_EVENTS31_24",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        8, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_XT_OCD_CTRL.
static const field_t hw_hdmi_tx_xt_ocd_ctrl[] =
{
    {
        "XT_DRESET",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "XT_OCDHALTONRESET",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        2, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_XT_OCD_CTRL_RO.
static const field_t hw_hdmi_tx_xt_ocd_ctrl_ro[] =
{
    {
        "XT_XOCDMODE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_APB_INT_MASK.
static const field_t hw_hdmi_tx_apb_int_mask[] =
{
    {
        "APB_INTR_MASK",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        3, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_APB_STATUS_MASK.
static const field_t hw_hdmi_tx_apb_status_mask[] =
{
    {
        "APB_INTR_STATUS",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        3, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_AUDIO_SRC_CNTL.
static const field_t hw_hdmi_tx_audio_src_cntl[] =
{
    {
        "SW_RST",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "I2S_DEC_START",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "I2S_BLOCK_START_FORCE",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPDIF_TS_EN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "I2S_TS_EN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS_FORCE",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_ALL",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        7, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_AUDIO_SRC_CNFG.
static const field_t hw_hdmi_tx_audio_src_cnfg[] =
{
    {
        "LOW_INDEX_MSB",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WS_POLARITY",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUDIO_CH_NUM",
        "",
        2, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUDIO_SAMPLE_JUST",
        "",
        7, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUDIO_SAMPLE_WIDTH",
        "",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRANS_SMPL_WIDTH",
        "",
        11, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUDIO_CHANNEL_TYPE",
        "",
        13, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "I2S_DEC_PORT_EN",
        "",
        17, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        21, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_COM_CH_STTS_BITS.
static const field_t hw_hdmi_tx_com_ch_stts_bits[] =
{
    {
        "BYTE0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CATEGORY_CODE",
        "",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SAMPLING_FREQ",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLOCK_ACCURACY",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ORIGINAL_SAMP_FREQ",
        "",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH01.
static const field_t hw_hdmi_tx_stts_bit_ch01[] =
{
    {
        "SOURCE_NUM_CH0",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH0",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH0",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH1",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH1",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH1",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS1_0",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH23.
static const field_t hw_hdmi_tx_stts_bit_ch23[] =
{
    {
        "SOURCE_NUM_CH2",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH2",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH2",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH3",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH3",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH3",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS3_2",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH45.
static const field_t hw_hdmi_tx_stts_bit_ch45[] =
{
    {
        "SOURCE_NUM_CH4",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH4",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH4",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH5",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH5",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH5",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS5_4",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH67.
static const field_t hw_hdmi_tx_stts_bit_ch67[] =
{
    {
        "SOURCE_NUM_CH6",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH6",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH6",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH7",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH7",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH7",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS7_6",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH89.
static const field_t hw_hdmi_tx_stts_bit_ch89[] =
{
    {
        "SOURCE_NUM_CH8",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH8",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH8",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH9",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH9",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH9",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS9_8",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH1011.
static const field_t hw_hdmi_tx_stts_bit_ch1011[] =
{
    {
        "SOURCE_NUM_CH10",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH10",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH10",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH11",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH11",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH11",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS11_10",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH1213.
static const field_t hw_hdmi_tx_stts_bit_ch1213[] =
{
    {
        "SOURCE_NUM_CH12",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH12",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH12",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH13",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH13",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH13",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS13_12",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH1415.
static const field_t hw_hdmi_tx_stts_bit_ch1415[] =
{
    {
        "SOURCE_NUM_CH14",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH14",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH14",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH15",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH15",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH15",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS15_14",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH1617.
static const field_t hw_hdmi_tx_stts_bit_ch1617[] =
{
    {
        "SOURCE_NUM_CH16",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH16",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH16",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH17",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH17",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH17",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS17_16",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH1819.
static const field_t hw_hdmi_tx_stts_bit_ch1819[] =
{
    {
        "SOURCE_NUM_CH18",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH18",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH18",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH19",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH19",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH19",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS19_18",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH2021.
static const field_t hw_hdmi_tx_stts_bit_ch2021[] =
{
    {
        "SOURCE_NUM_CH20",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH20",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH20",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH21",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH21",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH21",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS21_20",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH2223.
static const field_t hw_hdmi_tx_stts_bit_ch2223[] =
{
    {
        "SOURCE_NUM_CH22",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH22",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH22",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH23",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH23",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH23",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS23_22",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH2425.
static const field_t hw_hdmi_tx_stts_bit_ch2425[] =
{
    {
        "SOURCE_NUM_CH24",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH24",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH24",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH25",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH25",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH25",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS25_24",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH2627.
static const field_t hw_hdmi_tx_stts_bit_ch2627[] =
{
    {
        "SOURCE_NUM_CH26",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH26",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH26",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH27",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH27",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH27",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS27_26",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH2829.
static const field_t hw_hdmi_tx_stts_bit_ch2829[] =
{
    {
        "SOURCE_NUM_CH28",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH28",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH28",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH29",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH29",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH29",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS29_28",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_STTS_BIT_CH3031.
static const field_t hw_hdmi_tx_stts_bit_ch3031[] =
{
    {
        "SOURCE_NUM_CH30",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH30",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH30",
        "",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOURCE_NUM_CH31",
        "",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHANNEL_NUM_CH31",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH_CH31",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALID_BITS31_30",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CTRL_ADDR.
static const field_t hw_hdmi_tx_spdif_ctrl_addr[] =
{
    {
        "SPDIF_JITTER_AVG_WIN",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPDIF_JITTER_THRSH",
        "",
        3, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPDIF_FIFO_MID_RANGE",
        "",
        11, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPDIF_JITTER_BYPASS",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPDIF_AVG_SEL",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPDIF_ENABLE",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPDIF_JITTER_STATUS",
        "",
        22, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH1_CS_3100_ADDR.
static const field_t hw_hdmi_tx_spdif_ch1_cs_3100_addr[] =
{
    {
        "SPDIF_CH1_ST_STTS_BITS3100",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH1_CS_6332_ADDR.
static const field_t hw_hdmi_tx_spdif_ch1_cs_6332_addr[] =
{
    {
        "SPDIF_CH1_ST_STTS_BITS6332",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH1_CS_9564_ADDR.
static const field_t hw_hdmi_tx_spdif_ch1_cs_9564_addr[] =
{
    {
        "SPDIF_CH1_ST_STTS_BITS9564",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH1_CS_12796_ADDR.
static const field_t hw_hdmi_tx_spdif_ch1_cs_12796_addr[] =
{
    {
        "SPDIF_CH1_ST_STTS_BITS12796",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH1_CS_159128_ADDR.
static const field_t hw_hdmi_tx_spdif_ch1_cs_159128_addr[] =
{
    {
        "SPDIF_CH1_ST_STTS_BITS159128",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH1_CS_191160_ADDR.
static const field_t hw_hdmi_tx_spdif_ch1_cs_191160_addr[] =
{
    {
        "SPDIF_CH1_ST_STTS_BITS191160",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH2_CS_3100_ADDR.
static const field_t hw_hdmi_tx_spdif_ch2_cs_3100_addr[] =
{
    {
        "SPDIF_CH2_ST_STTS_BITS3100",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH2_CS_6332_ADDR.
static const field_t hw_hdmi_tx_spdif_ch2_cs_6332_addr[] =
{
    {
        "SPDIF_CH2_ST_STTS_BITS6332",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH2_CS_9564_ADDR.
static const field_t hw_hdmi_tx_spdif_ch2_cs_9564_addr[] =
{
    {
        "SPDIF_CH2_ST_STTS_BITS9564",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH2_CS_12796_ADDR.
static const field_t hw_hdmi_tx_spdif_ch2_cs_12796_addr[] =
{
    {
        "SPDIF_CH2_ST_STTS_BITS12796",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH2_CS_159128_ADDR.
static const field_t hw_hdmi_tx_spdif_ch2_cs_159128_addr[] =
{
    {
        "SPDIF_CH2_ST_STTS_BITS159128",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SPDIF_CH2_CS_191160_ADDR.
static const field_t hw_hdmi_tx_spdif_ch2_cs_191160_addr[] =
{
    {
        "SPDIF_CH2_ST_STTS_BITS191160",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_WR_ADDR.
static const field_t hw_hdmi_tx_source_pif_wr_addr[] =
{
    {
        "WR_ADDR",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        4, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_WR_REQ.
static const field_t hw_hdmi_tx_source_pif_wr_req[] =
{
    {
        "HOST_WR",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_RD_ADDR.
static const field_t hw_hdmi_tx_source_pif_rd_addr[] =
{
    {
        "RD_ADDR",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        4, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_RD_REQ.
static const field_t hw_hdmi_tx_source_pif_rd_req[] =
{
    {
        "HOST_RD",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_DATA_WR.
static const field_t hw_hdmi_tx_source_pif_data_wr[] =
{
    {
        "DATA_WR",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_DATA_RD.
static const field_t hw_hdmi_tx_source_pif_data_rd[] =
{
    {
        "FIFO2_DATA_OUT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_FIFO1_FLUSH.
static const field_t hw_hdmi_tx_source_pif_fifo1_flush[] =
{
    {
        "FIFO1_FLUSH",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_FIFO2_FLUSH.
static const field_t hw_hdmi_tx_source_pif_fifo2_flush[] =
{
    {
        "FIFO2_FLUSH",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_STATUS.
static const field_t hw_hdmi_tx_source_pif_status[] =
{
    {
        "SOURCE_PKT_MEM_CTRL_FSM_STATE",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO1_FULL",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO2_EMPTY",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        4, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_INTERRUPT_SOURCE.
static const field_t hw_hdmi_tx_source_pif_interrupt_source[] =
{
    {
        "HOST_WR_DONE_INT",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HOST_RD_DONE_INT",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NONVALID_TYPE_REQUESTED_INT",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PSLVERR",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOC_WR_DONE",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ALLOC_WR_ERROR",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO1_OVERFLOW",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO1_UNDERFLOW",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO2_OVERFLOW",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO2_UNDERFLOW",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        10, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_INTERRUPT_MASK.
static const field_t hw_hdmi_tx_source_pif_interrupt_mask[] =
{
    {
        "HOST_WR_DONE_INT_MASK",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HOST_RD_DONE_INT_MASK",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NONVALID_TYPE_REQUESTED_INT_MASK",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PSLVERR_MASK",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALLOC_WR_DONE_MASK",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALLOC_WR_ERROR_MASK",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO1_OVERFLOW_MASK",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO1_UNDERFLOW_MASK",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO2_OVERFLOW_MASK",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO2_UNDERFLOW_MASK",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        10, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_PKT_ALLOC_REG.
static const field_t hw_hdmi_tx_source_pif_pkt_alloc_reg[] =
{
    {
        "PKT_ALLOC_ADDRESS",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PACKET_TYPE",
        "",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TYPE_VALID",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACTIVE_IDLE_TYPE",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_1",
        "",
        18, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_PKT_ALLOC_WR_EN.
static const field_t hw_hdmi_tx_source_pif_pkt_alloc_wr_en[] =
{
    {
        "PKT_ALLOC_WR_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SOURCE_PIF_SW_RESET.
static const field_t hw_hdmi_tx_source_pif_sw_reset[] =
{
    {
        "SW_RST",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SMPL2PKT_CNTL.
static const field_t hw_hdmi_tx_smpl2pkt_cntl[] =
{
    {
        "SW_RST",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMPL2PKT_EN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        2, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SMPL2PKT_CNFG.
static const field_t hw_hdmi_tx_smpl2pkt_cnfg[] =
{
    {
        "MAX_NUM_CH",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM_OF_I2S_PORTS",
        "",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUDIO_TYPE",
        "",
        7, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFG_SUB_PCKT_NUM",
        "",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFG_BLOCK_LPCM_FIRST_PKT",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFG_EN_AUTO_SUB_PCKT_NUM",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFG_SAMPLE_PRESENT",
        "",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFG_SAMPLE_PRESENT_FORCE",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        21, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_FIFO_CNTL.
static const field_t hw_hdmi_tx_fifo_cntl[] =
{
    {
        "FIFO_SW_RST",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNC_WR_TO_CH_ZERO",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_DIR",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_EMPTY_CALC",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFG_DIS_PORT3",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_FIFO_STTS.
static const field_t hw_hdmi_tx_fifo_stts[] =
{
    {
        "WFULL",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REMPTY",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVERRUN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UNDERRUN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESERVED_0",
        "",
        4, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register HDMI_TX_SUB_PCKT_THRSH.
static const field_t hw_hdmi_tx_sub_pckt_thrsh[] =
{
    {
        "CFG_MEM_FIFO_THRSH1",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFG_MEM_FIFO_THRSH2",
        "",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFG_MEM_FIFO_THRSH3",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RESERVED_0",
        "",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a HDMI_TX module.
static const reg_t hw_hdmi_tx[] =
{
    {
        "APB_CTRL",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_hdmi_tx_apb_ctrl
    },
    {
        "xt_int_ctrl",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_xt_int_ctrl
    },
    {
        "MAILBOX_FULL_ADDR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_mailbox_full_addr
    },
    {
        "MAILBOX_EMPTY_ADDR",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_mailbox_empty_addr
    },
    {
        "mailbox0_wr_data",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_mailbox0_wr_data
    },
    {
        "mailbox0_rd_data",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_mailbox0_rd_data
    },
    {
        "KEEP_ALIVE",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_keep_alive
    },
    {
        "VER_L",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_ver_l
    },
    {
        "VER_H",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_ver_h
    },
    {
        "VER_LIB_L_ADDR",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_ver_lib_l_addr
    },
    {
        "VER_LIB_H_ADDR",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_ver_lib_h_addr
    },
    {
        "SW_DEBUG_L",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_sw_debug_l
    },
    {
        "SW_DEBUG_H",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_sw_debug_h
    },
    {
        "MAILBOX_INT_MASK",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_mailbox_int_mask
    },
    {
        "MAILBOX_INT_STATUS",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_mailbox_int_status
    },
    {
        "SW_CLK_L",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_sw_clk_l
    },
    {
        "SW_CLK_H",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_sw_clk_h
    },
    {
        "SW_EVENTS0",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_sw_events0
    },
    {
        "SW_EVENTS1",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_sw_events1
    },
    {
        "SW_EVENTS2",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_sw_events2
    },
    {
        "SW_EVENTS3",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_sw_events3
    },
    {
        "XT_OCD_CTRL",
        "",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_hdmi_tx_xt_ocd_ctrl
    },
    {
        "XT_OCD_CTRL_RO",
        "",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_xt_ocd_ctrl_ro
    },
    {
        "APB_INT_MASK",
        "",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_apb_int_mask
    },
    {
        "APB_STATUS_MASK",
        "",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_apb_status_mask
    },
    {
        "AUDIO_SRC_CNTL",
        "",
        4, // Width in bytes
        0x00030000, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_audio_src_cntl
    },
    {
        "AUDIO_SRC_CNFG",
        "",
        4, // Width in bytes
        0x00030004, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_hdmi_tx_audio_src_cnfg
    },
    {
        "COM_CH_STTS_BITS",
        "",
        4, // Width in bytes
        0x00030008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_hdmi_tx_com_ch_stts_bits
    },
    {
        "STTS_BIT_CH01",
        "",
        4, // Width in bytes
        0x0003000c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch01
    },
    {
        "STTS_BIT_CH23",
        "",
        4, // Width in bytes
        0x00030010, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch23
    },
    {
        "STTS_BIT_CH45",
        "",
        4, // Width in bytes
        0x00030014, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch45
    },
    {
        "STTS_BIT_CH67",
        "",
        4, // Width in bytes
        0x00030018, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch67
    },
    {
        "STTS_BIT_CH89",
        "",
        4, // Width in bytes
        0x0003001c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch89
    },
    {
        "STTS_BIT_CH1011",
        "",
        4, // Width in bytes
        0x00030020, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch1011
    },
    {
        "STTS_BIT_CH1213",
        "",
        4, // Width in bytes
        0x00030024, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch1213
    },
    {
        "STTS_BIT_CH1415",
        "",
        4, // Width in bytes
        0x00030028, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch1415
    },
    {
        "STTS_BIT_CH1617",
        "",
        4, // Width in bytes
        0x0003002c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch1617
    },
    {
        "STTS_BIT_CH1819",
        "",
        4, // Width in bytes
        0x00030030, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch1819
    },
    {
        "STTS_BIT_CH2021",
        "",
        4, // Width in bytes
        0x00030034, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch2021
    },
    {
        "STTS_BIT_CH2223",
        "",
        4, // Width in bytes
        0x00030038, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch2223
    },
    {
        "STTS_BIT_CH2425",
        "",
        4, // Width in bytes
        0x0003003c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch2425
    },
    {
        "STTS_BIT_CH2627",
        "",
        4, // Width in bytes
        0x00030040, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch2627
    },
    {
        "STTS_BIT_CH2829",
        "",
        4, // Width in bytes
        0x00030044, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch2829
    },
    {
        "STTS_BIT_CH3031",
        "",
        4, // Width in bytes
        0x00030048, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_stts_bit_ch3031
    },
    {
        "SPDIF_CTRL_ADDR",
        "",
        4, // Width in bytes
        0x0003004c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_hdmi_tx_spdif_ctrl_addr
    },
    {
        "SPDIF_CH1_CS_3100_ADDR",
        "",
        4, // Width in bytes
        0x00030050, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch1_cs_3100_addr
    },
    {
        "SPDIF_CH1_CS_6332_ADDR",
        "",
        4, // Width in bytes
        0x00030054, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch1_cs_6332_addr
    },
    {
        "SPDIF_CH1_CS_9564_ADDR",
        "",
        4, // Width in bytes
        0x00030058, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch1_cs_9564_addr
    },
    {
        "SPDIF_CH1_CS_12796_ADDR",
        "",
        4, // Width in bytes
        0x0003005c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch1_cs_12796_addr
    },
    {
        "SPDIF_CH1_CS_159128_ADDR",
        "",
        4, // Width in bytes
        0x00030060, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch1_cs_159128_addr
    },
    {
        "SPDIF_CH1_CS_191160_ADDR",
        "",
        4, // Width in bytes
        0x00030064, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch1_cs_191160_addr
    },
    {
        "SPDIF_CH2_CS_3100_ADDR",
        "",
        4, // Width in bytes
        0x00030068, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch2_cs_3100_addr
    },
    {
        "SPDIF_CH2_CS_6332_ADDR",
        "",
        4, // Width in bytes
        0x0003006c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch2_cs_6332_addr
    },
    {
        "SPDIF_CH2_CS_9564_ADDR",
        "",
        4, // Width in bytes
        0x00030070, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch2_cs_9564_addr
    },
    {
        "SPDIF_CH2_CS_12796_ADDR",
        "",
        4, // Width in bytes
        0x00030074, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch2_cs_12796_addr
    },
    {
        "SPDIF_CH2_CS_159128_ADDR",
        "",
        4, // Width in bytes
        0x00030078, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch2_cs_159128_addr
    },
    {
        "SPDIF_CH2_CS_191160_ADDR",
        "",
        4, // Width in bytes
        0x0003007c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_spdif_ch2_cs_191160_addr
    },
    {
        "SOURCE_PIF_WR_ADDR",
        "",
        4, // Width in bytes
        0x00030800, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_source_pif_wr_addr
    },
    {
        "SOURCE_PIF_WR_REQ",
        "",
        4, // Width in bytes
        0x00030804, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_source_pif_wr_req
    },
    {
        "SOURCE_PIF_RD_ADDR",
        "",
        4, // Width in bytes
        0x00030808, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_source_pif_rd_addr
    },
    {
        "SOURCE_PIF_RD_REQ",
        "",
        4, // Width in bytes
        0x0003080c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_source_pif_rd_req
    },
    {
        "SOURCE_PIF_DATA_WR",
        "",
        4, // Width in bytes
        0x00030810, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_source_pif_data_wr
    },
    {
        "SOURCE_PIF_DATA_RD",
        "",
        4, // Width in bytes
        0x00030814, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_hdmi_tx_source_pif_data_rd
    },
    {
        "SOURCE_PIF_FIFO1_FLUSH",
        "",
        4, // Width in bytes
        0x00030818, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_source_pif_fifo1_flush
    },
    {
        "SOURCE_PIF_FIFO2_FLUSH",
        "",
        4, // Width in bytes
        0x0003081c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_source_pif_fifo2_flush
    },
    {
        "SOURCE_PIF_STATUS",
        "",
        4, // Width in bytes
        0x00030820, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_hdmi_tx_source_pif_status
    },
    {
        "SOURCE_PIF_INTERRUPT_SOURCE",
        "",
        4, // Width in bytes
        0x00030824, // Base address offset
        true, // Readable
        false, // Writable
        11, // Number of bitfields
        hw_hdmi_tx_source_pif_interrupt_source
    },
    {
        "SOURCE_PIF_INTERRUPT_MASK",
        "",
        4, // Width in bytes
        0x00030828, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_hdmi_tx_source_pif_interrupt_mask
    },
    {
        "SOURCE_PIF_PKT_ALLOC_REG",
        "",
        4, // Width in bytes
        0x0003082c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_hdmi_tx_source_pif_pkt_alloc_reg
    },
    {
        "SOURCE_PIF_PKT_ALLOC_WR_EN",
        "",
        4, // Width in bytes
        0x00030830, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_source_pif_pkt_alloc_wr_en
    },
    {
        "SOURCE_PIF_SW_RESET",
        "",
        4, // Width in bytes
        0x00030834, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_hdmi_tx_source_pif_sw_reset
    },
    {
        "SMPL2PKT_CNTL",
        "",
        4, // Width in bytes
        0x00030080, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_hdmi_tx_smpl2pkt_cntl
    },
    {
        "SMPL2PKT_CNFG",
        "",
        4, // Width in bytes
        0x00030084, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_hdmi_tx_smpl2pkt_cnfg
    },
    {
        "FIFO_CNTL",
        "",
        4, // Width in bytes
        0x00030088, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_hdmi_tx_fifo_cntl
    },
    {
        "FIFO_STTS",
        "",
        4, // Width in bytes
        0x0003008c, // Base address offset
        true, // Readable
        false, // Writable
        5, // Number of bitfields
        hw_hdmi_tx_fifo_stts
    },
    {
        "SUB_PCKT_THRSH",
        "",
        4, // Width in bytes
        0x00030090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_hdmi_tx_sub_pckt_thrsh
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark I2C
#endif

// Bitfields in register I2C_IADR.
static const field_t hw_i2c_iadr[] =
{
    {
        "ADR",
        "Slave address.",
        1, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2C_IFDR.
static const field_t hw_i2c_ifdr[] =
{
    {
        "IC",
        "I2C clock rate.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2C_I2CR.
static const field_t hw_i2c_i2cr[] =
{
    {
        "RSTA",
        "Repeat start.",
        2, // LSB
        2, // MSB
        false, // Readable
        false // Writable
    },
    {
        "TXAK",
        "Transmit acknowledge enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MTX",
        "Transmit/Receive mode select bit.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSTA",
        "Master/Slave mode select bit.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IIEN",
        "I2C interrupt enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IEN",
        "I2C enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2C_I2SR.
static const field_t hw_i2c_i2sr[] =
{
    {
        "RXAK",
        "Received acknowledge.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IIF",
        "I2C interrupt.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRW",
        "Slave read/write.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IAL",
        "Arbitration lost.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IBB",
        "I2C bus busy bit.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IAAS",
        "I2C addressed as a slave bit.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ICF",
        "Data transferring bit.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register I2C_I2DR.
static const field_t hw_i2c_i2dr[] =
{
    {
        "DATA",
        "Data Byte.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a I2C module.
static const reg_t hw_i2c[] =
{
    {
        "IADR",
        "",
        2, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2c_iadr
    },
    {
        "IFDR",
        "The I2C_IFDR provides a programmable prescaler to configure the clock "
        "for bit-rate selection.",
        2, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2c_ifdr
    },
    {
        "I2CR",
        "The I2C_I2CR is used to enable the I2C and the I2C interrupt.",
        2, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_i2c_i2cr
    },
    {
        "I2SR",
        "The I2C_I2SR contains bits that indicate transaction direction and sta"
        "tus.",
        2, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_i2c_i2sr
    },
    {
        "I2DR",
        "In Master Receive mode, reading the data register allows a read to occ"
        "ur and initiates the next byte to be received.",
        2, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_i2c_i2dr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SAI
#endif

// Bitfields in register SAI_VERID.
static const field_t hw_sai_verid[] =
{
    {
        "FEATURE",
        "This read only field returns the feature set number.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "This read only field returns the minor version number for the specific"
        "ation.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "This read only field returns the major version number for the specific"
        "ation.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_PARAM.
static const field_t hw_sai_param[] =
{
    {
        "DATALINE",
        "The number of datalines implemented.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FIFO",
        "The number of words in each FIFO is 2^FIFO.",
        8, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAME",
        "The maximum number of slots per frame is 2^FRAME.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TCSR.
static const field_t hw_sai_tcsr[] =
{
    {
        "FRDE",
        "Enables/disables DMA requests.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWDE",
        "Enables/disables DMA requests.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRIE",
        "Enables/disables FIFO request interrupts.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWIE",
        "Enables/disables FIFO warning interrupts.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FEIE",
        "Enables/disables FIFO error interrupts.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEIE",
        "Enables/disables sync error interrupts.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSIE",
        "Enables/disables word start interrupts.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRF",
        "Indicates that the number of words in an enabled transmit channel FIFO"
        " is less than or equal to the transmit FIFO watermark.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FWF",
        "Indicates that an enabled transmit FIFO is empty.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FEF",
        "Indicates that an enabled transmit FIFO has underrun.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEF",
        "Indicates that an error in the externally-generated frame sync has bee"
        "n detected.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSF",
        "Indicates that the start of the configured word has been detected.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SR",
        "When set, resets the internal transmitter logic including the FIFO rea"
        "d and write pointers.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FR",
        "Empties the FIFO, and sets the FIFO read and write pointers to the sam"
        "e value, which may or may not be zero.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BCE",
        "Enables the transmit bit clock, separately from the TE.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGE",
        "Enables/disables transmitter operation in Debug mode.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TE",
        "Enables/disables the transmitter.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TCR1.
static const field_t hw_sai_tcr1[] =
{
    {
        "TFW",
        "Configures the watermark level for all enabled transmit channels.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TCR2.
static const field_t hw_sai_tcr2[] =
{
    {
        "DIV",
        "Divides down the audio master clock to generate the bit clock when con"
        "figured for an internal bit clock.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Configures the direction of the bit clock.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCP",
        "Configures the polarity of the bit clock.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSEL",
        "Selects the audio Master Clock option used to generate an internally g"
        "enerated bit clock.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCI",
        "When this field is set and using an internally generated bit clock in "
        "either synchronous or asynchronous mode, the bit clock actually used b"
        "y the transmitter is delayed by the pad output delay (the transmitter "
        "is clocked by the pad input as if the clock was externally generated).",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "This field swaps the bit clock used by the transmitter.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNC",
        "Configures between asynchronous and synchronous modes of operation.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TCR3.
static const field_t hw_sai_tcr3[] =
{
    {
        "WDFL",
        "Configures which word sets the start of word flag.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCE",
        "Enables the corresponding data channel for transmit operation.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFR",
        "Resets the FIFO pointers for a specific channel.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TCR4.
static const field_t hw_sai_tcr4[] =
{
    {
        "FSD",
        "Configures the direction of the frame sync.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSP",
        "Configures the polarity of the frame sync.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ONDEM",
        "When set, and the frame sync is generated internally, a frame sync is "
        "only generated when the FIFO warning flag is clear.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSE",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF",
        "Configures whether the LSB or the MSB is transmitted first.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CHMOD",
        "Configures if transmit data pins are configured for TDM mode or Output"
        " mode.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYWD",
        "Configures the length of the frame sync in number of bit clocks.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRSZ",
        "Configures the number of words in each frame.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FPACK",
        "Enables packing of 8-bit data or 16-bit data into each 32-bit FIFO wor"
        "d.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FCOMB",
        "When FIFO combine mode is enabled for FIFO writes, software writing to"
        " any FIFO data register will alternate the write among the enabled dat"
        "a channel FIFOs.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FCONT",
        "Configures when the SAI will continue transmitting after a FIFO error "
        "has been detected.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TCR5.
static const field_t hw_sai_tcr5[] =
{
    {
        "FBT",
        "Configures the bit index for the first bit transmitted for each word i"
        "n the frame.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "W0W",
        "Configures the number of bits in the first word in each frame.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WNW",
        "Configures the number of bits in each word, for each word except the f"
        "irst in the frame.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TDR0.
static const field_t hw_sai_tdr0[] =
{
    {
        "TDR",
        "Writes to this register when the transmit FIFO is not full will push t"
        "he data written into the transmit data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TDR1.
static const field_t hw_sai_tdr1[] =
{
    {
        "TDR",
        "Writes to this register when the transmit FIFO is not full will push t"
        "he data written into the transmit data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TDR2.
static const field_t hw_sai_tdr2[] =
{
    {
        "TDR",
        "Writes to this register when the transmit FIFO is not full will push t"
        "he data written into the transmit data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TDR3.
static const field_t hw_sai_tdr3[] =
{
    {
        "TDR",
        "Writes to this register when the transmit FIFO is not full will push t"
        "he data written into the transmit data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TDR4.
static const field_t hw_sai_tdr4[] =
{
    {
        "TDR",
        "Writes to this register when the transmit FIFO is not full will push t"
        "he data written into the transmit data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TDR5.
static const field_t hw_sai_tdr5[] =
{
    {
        "TDR",
        "Writes to this register when the transmit FIFO is not full will push t"
        "he data written into the transmit data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TDR6.
static const field_t hw_sai_tdr6[] =
{
    {
        "TDR",
        "Writes to this register when the transmit FIFO is not full will push t"
        "he data written into the transmit data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TDR7.
static const field_t hw_sai_tdr7[] =
{
    {
        "TDR",
        "Writes to this register when the transmit FIFO is not full will push t"
        "he data written into the transmit data FIFO.",
        0, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TFR0.
static const field_t hw_sai_tfr0[] =
{
    {
        "RFP",
        "FIFO read pointer for transmit data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for transmit data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WCP",
        "When FIFO Combine mode is enabled for writes, indicates that this data"
        " channel is the next FIFO to be written.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TFR1.
static const field_t hw_sai_tfr1[] =
{
    {
        "RFP",
        "FIFO read pointer for transmit data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for transmit data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WCP",
        "When FIFO Combine mode is enabled for writes, indicates that this data"
        " channel is the next FIFO to be written.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TFR2.
static const field_t hw_sai_tfr2[] =
{
    {
        "RFP",
        "FIFO read pointer for transmit data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for transmit data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WCP",
        "When FIFO Combine mode is enabled for writes, indicates that this data"
        " channel is the next FIFO to be written.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TFR3.
static const field_t hw_sai_tfr3[] =
{
    {
        "RFP",
        "FIFO read pointer for transmit data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for transmit data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WCP",
        "When FIFO Combine mode is enabled for writes, indicates that this data"
        " channel is the next FIFO to be written.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TFR4.
static const field_t hw_sai_tfr4[] =
{
    {
        "RFP",
        "FIFO read pointer for transmit data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for transmit data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WCP",
        "When FIFO Combine mode is enabled for writes, indicates that this data"
        " channel is the next FIFO to be written.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TFR5.
static const field_t hw_sai_tfr5[] =
{
    {
        "RFP",
        "FIFO read pointer for transmit data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for transmit data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WCP",
        "When FIFO Combine mode is enabled for writes, indicates that this data"
        " channel is the next FIFO to be written.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TFR6.
static const field_t hw_sai_tfr6[] =
{
    {
        "RFP",
        "FIFO read pointer for transmit data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for transmit data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WCP",
        "When FIFO Combine mode is enabled for writes, indicates that this data"
        " channel is the next FIFO to be written.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TFR7.
static const field_t hw_sai_tfr7[] =
{
    {
        "RFP",
        "FIFO read pointer for transmit data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for transmit data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WCP",
        "When FIFO Combine mode is enabled for writes, indicates that this data"
        " channel is the next FIFO to be written.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_TMR.
static const field_t hw_sai_tmr[] =
{
    {
        "TWM",
        "Configures whether the transmit word is masked (transmit data pins are"
        " tri-stated or drive zero and transmit data not read from FIFO) for th"
        "e corresponding word in the frame.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RCSR.
static const field_t hw_sai_rcsr[] =
{
    {
        "FRDE",
        "Enables/disables DMA requests.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWDE",
        "Enables/disables DMA requests.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRIE",
        "Enables/disables FIFO request interrupts.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWIE",
        "Enables/disables FIFO warning interrupts.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FEIE",
        "Enables/disables FIFO error interrupts.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEIE",
        "Enables/disables sync error interrupts.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSIE",
        "Enables/disables word start interrupts.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRF",
        "Indicates that the number of words in an enabled receive channel FIFO "
        "is greater than the receive FIFO watermark.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FWF",
        "Indicates that an enabled receive FIFO is full.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FEF",
        "Indicates that an enabled receive FIFO has overflowed.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEF",
        "Indicates that an error in the externally-generated frame sync has bee"
        "n detected.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSF",
        "Indicates that the start of the configured word has been detected.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SR",
        "Resets the internal receiver logic including the FIFO pointers.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FR",
        "Empties the FIFO, and sets the FIFO read and write pointers to the sam"
        "e value, which may or may not be zero.",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BCE",
        "Enables the receive bit clock, separately from RE.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGE",
        "Enables/disables receiver operation in Debug mode.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RE",
        "Enables/disables the receiver.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RCR1.
static const field_t hw_sai_rcr1[] =
{
    {
        "RFW",
        "Configures the watermark level for all enabled receiver channels.",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RCR2.
static const field_t hw_sai_rcr2[] =
{
    {
        "DIV",
        "Divides down the audio master clock to generate the bit clock when con"
        "figured for an internal bit clock.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCD",
        "Configures the direction of the bit clock.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCP",
        "Configures the polarity of the bit clock.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSEL",
        "Selects the audio Master Clock option used to generate an internally g"
        "enerated bit clock.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCI",
        "When this field is set and using an internally generated bit clock in "
        "either synchronous or asynchronous mode, the bit clock actually used b"
        "y the receiver is delayed by the pad output delay (the receiver is clo"
        "cked by the pad input as if the clock was externally generated).",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCS",
        "This field swaps the bit clock used by the receiver.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNC",
        "Configures between asynchronous and synchronous modes of operation.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RCR3.
static const field_t hw_sai_rcr3[] =
{
    {
        "WDFL",
        "Configures which word the start of word flag is set.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RCE",
        "Enables the corresponding data channel for receive operation.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CFR",
        "Resets the FIFO pointers for a specific channel.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RCR4.
static const field_t hw_sai_rcr4[] =
{
    {
        "FSD",
        "Configures the direction of the frame sync.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSP",
        "Configures the polarity of the frame sync.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ONDEM",
        "When set, and the frame sync is generated internally, a frame sync is "
        "only generated when the FIFO warning flag is clear.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FSE",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MF",
        "Configures whether the LSB or the MSB is received first.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYWD",
        "Configures the length of the frame sync in number of bit clocks.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRSZ",
        "Configures the number of words in each frame.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FPACK",
        "Enables packing of 8-bit data or 16-bit data into each 32-bit FIFO wor"
        "d.",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FCOMB",
        "When FIFO combine mode is enabled for FIFO reads, software reading any"
        " FIFO data register will alternate the read among the enabled data cha"
        "nnel FIFOs.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FCONT",
        "Configures when the SAI will continue receiving after a FIFO error has"
        " been detected.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RCR5.
static const field_t hw_sai_rcr5[] =
{
    {
        "FBT",
        "Configures the bit index for the first bit received for each word in t"
        "he frame.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "W0W",
        "Configures the number of bits in the first word in each frame.",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WNW",
        "Configures the number of bits in each word, for each word except the f"
        "irst in the frame.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RDR0.
static const field_t hw_sai_rdr0[] =
{
    {
        "RDR",
        "Reads from this register when the receive FIFO is not empty will retur"
        "n the data from the top of the receive FIFO.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RDR1.
static const field_t hw_sai_rdr1[] =
{
    {
        "RDR",
        "Reads from this register when the receive FIFO is not empty will retur"
        "n the data from the top of the receive FIFO.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RDR2.
static const field_t hw_sai_rdr2[] =
{
    {
        "RDR",
        "Reads from this register when the receive FIFO is not empty will retur"
        "n the data from the top of the receive FIFO.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RDR3.
static const field_t hw_sai_rdr3[] =
{
    {
        "RDR",
        "Reads from this register when the receive FIFO is not empty will retur"
        "n the data from the top of the receive FIFO.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RDR4.
static const field_t hw_sai_rdr4[] =
{
    {
        "RDR",
        "Reads from this register when the receive FIFO is not empty will retur"
        "n the data from the top of the receive FIFO.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RDR5.
static const field_t hw_sai_rdr5[] =
{
    {
        "RDR",
        "Reads from this register when the receive FIFO is not empty will retur"
        "n the data from the top of the receive FIFO.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RDR6.
static const field_t hw_sai_rdr6[] =
{
    {
        "RDR",
        "Reads from this register when the receive FIFO is not empty will retur"
        "n the data from the top of the receive FIFO.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RDR7.
static const field_t hw_sai_rdr7[] =
{
    {
        "RDR",
        "Reads from this register when the receive FIFO is not empty will retur"
        "n the data from the top of the receive FIFO.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RFR0.
static const field_t hw_sai_rfr0[] =
{
    {
        "RFP",
        "FIFO read pointer for receive data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCP",
        "When FIFO Combine mode is enabled for reads, indicates that this data "
        "channel is the next FIFO to be read.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for receive data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RFR1.
static const field_t hw_sai_rfr1[] =
{
    {
        "RFP",
        "FIFO read pointer for receive data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCP",
        "When FIFO Combine mode is enabled for reads, indicates that this data "
        "channel is the next FIFO to be read.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for receive data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RFR2.
static const field_t hw_sai_rfr2[] =
{
    {
        "RFP",
        "FIFO read pointer for receive data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCP",
        "When FIFO Combine mode is enabled for reads, indicates that this data "
        "channel is the next FIFO to be read.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for receive data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RFR3.
static const field_t hw_sai_rfr3[] =
{
    {
        "RFP",
        "FIFO read pointer for receive data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCP",
        "When FIFO Combine mode is enabled for reads, indicates that this data "
        "channel is the next FIFO to be read.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for receive data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RFR4.
static const field_t hw_sai_rfr4[] =
{
    {
        "RFP",
        "FIFO read pointer for receive data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCP",
        "When FIFO Combine mode is enabled for reads, indicates that this data "
        "channel is the next FIFO to be read.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for receive data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RFR5.
static const field_t hw_sai_rfr5[] =
{
    {
        "RFP",
        "FIFO read pointer for receive data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCP",
        "When FIFO Combine mode is enabled for reads, indicates that this data "
        "channel is the next FIFO to be read.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for receive data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RFR6.
static const field_t hw_sai_rfr6[] =
{
    {
        "RFP",
        "FIFO read pointer for receive data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCP",
        "When FIFO Combine mode is enabled for reads, indicates that this data "
        "channel is the next FIFO to be read.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for receive data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RFR7.
static const field_t hw_sai_rfr7[] =
{
    {
        "RFP",
        "FIFO read pointer for receive data channel.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCP",
        "When FIFO Combine mode is enabled for reads, indicates that this data "
        "channel is the next FIFO to be read.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WFP",
        "FIFO write pointer for receive data channel.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SAI_RMR.
static const field_t hw_sai_rmr[] =
{
    {
        "RWM",
        "Configures whether the receive word is masked (received data ignored a"
        "nd not written to receive FIFO) for the corresponding word in the fram"
        "e.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SAI module.
static const reg_t hw_sai[] =
{
    {
        "VERID",
        ".",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_verid
    },
    {
        "PARAM",
        ".",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_param
    },
    {
        "TCSR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_sai_tcsr
    },
    {
        "TCR1",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tcr1
    },
    {
        "TCR2",
        "This register must not be altered when TCSR[TE] is set.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_sai_tcr2
    },
    {
        "TCR3",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_sai_tcr3
    },
    {
        "TCR4",
        "This register must not be altered when TCSR[TE] is set.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_sai_tcr4
    },
    {
        "TCR5",
        "This register must not be altered when TCSR[TE] is set.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_sai_tcr5
    },
    {
        "TDR0",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        false, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tdr0
    },
    {
        "TDR1",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        false, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tdr1
    },
    {
        "TDR2",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        false, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tdr2
    },
    {
        "TDR3",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        false, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tdr3
    },
    {
        "TDR4",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        false, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tdr4
    },
    {
        "TDR5",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        false, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tdr5
    },
    {
        "TDR6",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        false, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tdr6
    },
    {
        "TDR7",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        false, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tdr7
    },
    {
        "TFR0",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_tfr0
    },
    {
        "TFR1",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_tfr1
    },
    {
        "TFR2",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_tfr2
    },
    {
        "TFR3",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_tfr3
    },
    {
        "TFR4",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_tfr4
    },
    {
        "TFR5",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_tfr5
    },
    {
        "TFR6",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_tfr6
    },
    {
        "TFR7",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_tfr7
    },
    {
        "TMR",
        "This register is double-buffered and updates: When TCSR[TE] is first s"
        "et At the end of each frame.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_tmr
    },
    {
        "RCSR",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_sai_rcsr
    },
    {
        "RCR1",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_rcr1
    },
    {
        "RCR2",
        "This register must not be altered when RCSR[RE] is set.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_sai_rcr2
    },
    {
        "RCR3",
        "",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_sai_rcr3
    },
    {
        "RCR4",
        "This register must not be altered when RCSR[RE] is set.",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_sai_rcr4
    },
    {
        "RCR5",
        "This register must not be altered when RCSR[RE] is set.",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_sai_rcr5
    },
    {
        "RDR0",
        "Reading this register introduces one additional peripheral clock wait "
        "state on each read.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sai_rdr0
    },
    {
        "RDR1",
        "Reading this register introduces one additional peripheral clock wait "
        "state on each read.",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sai_rdr1
    },
    {
        "RDR2",
        "Reading this register introduces one additional peripheral clock wait "
        "state on each read.",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sai_rdr2
    },
    {
        "RDR3",
        "Reading this register introduces one additional peripheral clock wait "
        "state on each read.",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sai_rdr3
    },
    {
        "RDR4",
        "Reading this register introduces one additional peripheral clock wait "
        "state on each read.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sai_rdr4
    },
    {
        "RDR5",
        "Reading this register introduces one additional peripheral clock wait "
        "state on each read.",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sai_rdr5
    },
    {
        "RDR6",
        "Reading this register introduces one additional peripheral clock wait "
        "state on each read.",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sai_rdr6
    },
    {
        "RDR7",
        "Reading this register introduces one additional peripheral clock wait "
        "state on each read.",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sai_rdr7
    },
    {
        "RFR0",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_rfr0
    },
    {
        "RFR1",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_rfr1
    },
    {
        "RFR2",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_rfr2
    },
    {
        "RFR3",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_rfr3
    },
    {
        "RFR4",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_rfr4
    },
    {
        "RFR5",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_rfr5
    },
    {
        "RFR6",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_rfr6
    },
    {
        "RFR7",
        "The MSB of the read and write pointers is used to distinguish between "
        "FIFO full and empty conditions.",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_sai_rfr7
    },
    {
        "RMR",
        "This register is double-buffered and updates: When RCSR[RE] is first s"
        "et At the end of each frame This allows the masked words in each frame"
        " to change from frame to frame.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sai_rmr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark IOMUXC
#endif

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_PMIC_STBY_REQ.
static const field_t hw_iomuxc_sw_mux_ctl_pad_pmic_stby_req[] =
{
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_PMIC_ON_REQ.
static const field_t hw_iomuxc_sw_mux_ctl_pad_pmic_on_req[] =
{
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ONOFF.
static const field_t hw_iomuxc_sw_mux_ctl_pad_onoff[] =
{
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_POR_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_por_b[] =
{
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_RTC_RESET_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_rtc_reset_b[] =
{
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO00.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io00[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: GPIO1_IO00",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO01.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io01[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: GPIO1_IO01",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO02.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io02[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: GPIO1_IO02",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO03.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io03[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: GPIO1_IO03",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO04.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io04[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: GPIO1_IO04",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO05.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io05[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: GPIO1_IO05",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO06.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io06[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: GPIO1_IO06",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO07.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io07[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: GPIO1_IO07",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO08.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io08[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: GPIO1_IO08",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO09.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io09[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: GPIO1_IO09",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO10.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io10[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: GPIO1_IO10",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO11.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io11[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: GPIO1_IO11",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO12.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io12[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: GPIO1_IO12",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO13.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io13[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: GPIO1_IO13",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO14.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io14[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: GPIO1_IO14",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_GPIO1_IO15.
static const field_t hw_iomuxc_sw_mux_ctl_pad_gpio1_io15[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: GPIO1_IO15",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_MDC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_mdc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_MDC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_MDIO.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_mdio[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_MDIO",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_TD3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_td3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_TD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_TD2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_td2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ENET_TD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_TD1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_td1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_TD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_TD0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_td0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_TD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_TX_CTL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_tx_ctl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_TX_CTL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_TXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_txc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ENET_TXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_RX_CTL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_rx_ctl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_RX_CTL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_RXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_rxc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ENET_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_RD0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_rd0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_RD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_RD1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_rd1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_RD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_RD2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_rd2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_RD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ENET_RD3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_enet_rd3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: ENET_RD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_CLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_clk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_CLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_CMD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_cmd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_CMD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_DATA0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_DATA1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_DATA2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_DATA3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA4.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data4[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_DATA4",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA5.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data5[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_DATA5",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA6.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data6[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_DATA6",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_DATA7.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_data7[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_DATA7",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_RESET_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_reset_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_RESET_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD1_STROBE.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd1_strobe[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD1_STROBE",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_CD_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_cd_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD2_CD_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_CLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_clk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD2_CLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_CMD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_cmd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD2_CMD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_DATA0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_data0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD2_DATA0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_DATA1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_data1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD2_DATA1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_DATA2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_data2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD2_DATA2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_DATA3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_data3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD2_DATA3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_RESET_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_reset_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD2_RESET_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SD2_WP.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sd2_wp[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: SD2_WP",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_ALE.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_ale[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_ALE",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_CE0_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_ce0_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_CE0_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_CE1_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_ce1_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_CE1_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_CE2_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_ce2_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_CE2_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_CE3_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_ce3_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_CE3_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_CLE.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_cle[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_CLE",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_DATA00.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_data00[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_DATA00",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_DATA01.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_data01[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_DATA01",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_DATA02.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_data02[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_DATA02",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_DATA03.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_data03[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_DATA03",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_DATA04.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_data04[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_DATA04",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_DATA05.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_data05[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_DATA05",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_DATA06.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_data06[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_DATA06",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_DATA07.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_data07[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_DATA07",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_DQS.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_dqs[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_DQS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_RE_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_re_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: NAND_RE_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_READY_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_ready_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: NAND_READY_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_WE_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_we_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: NAND_WE_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_NAND_WP_B.
static const field_t hw_iomuxc_sw_mux_ctl_pad_nand_wp_b[] =
{
    {
        "MUX_MODE",
        "Select 1 of 2 iomux modes to be used for pad: NAND_WP_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI5_RXFS.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai5_rxfs[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI5_RXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI5_RXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai5_rxc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI5_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI5_RXD0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai5_rxd0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI5_RXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI5_RXD1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai5_rxd1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI5_RXD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI5_RXD2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai5_rxd2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI5_RXD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI5_RXD3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai5_rxd3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI5_RXD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI5_MCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai5_mclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI5_MCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXFS.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxfs[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI1_RXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI1_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXD0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxd0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI1_RXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXD1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxd1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI1_RXD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXD2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxd2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI1_RXD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXD3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxd3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI1_RXD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXD4.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxd4[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: SAI1_RXD4",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXD5.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxd5[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SAI1_RXD5",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXD6.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxd6[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: SAI1_RXD6",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_RXD7.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_rxd7[] =
{
    {
        "MUX_MODE",
        "Select 1 of 7 iomux modes to be used for pad: SAI1_RXD7",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXFS.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txfs[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI1_TXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI1_TXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXD0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txd0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI1_TXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXD1.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txd1[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI1_TXD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXD2.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txd2[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI1_TXD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXD3.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txd3[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI1_TXD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXD4.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txd4[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: SAI1_TXD4",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXD5.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txd5[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: SAI1_TXD5",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXD6.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txd6[] =
{
    {
        "MUX_MODE",
        "Select 1 of 6 iomux modes to be used for pad: SAI1_TXD6",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_TXD7.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_txd7[] =
{
    {
        "MUX_MODE",
        "Select 1 of 5 iomux modes to be used for pad: SAI1_TXD7",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI1_MCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai1_mclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI1_MCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_RXFS.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_rxfs[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI2_RXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_RXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_rxc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI2_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_RXD0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_rxd0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI2_RXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_TXFS.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_txfs[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI2_TXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_TXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_txc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI2_TXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_TXD0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_txd0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI2_TXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI2_MCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai2_mclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SAI2_MCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI3_RXFS.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai3_rxfs[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI3_RXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI3_RXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai3_rxc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI3_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI3_RXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai3_rxd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI3_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI3_TXFS.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai3_txfs[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI3_TXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI3_TXC.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai3_txc[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI3_TXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI3_TXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai3_txd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI3_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SAI3_MCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_sai3_mclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: SAI3_MCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SPDIF_TX.
static const field_t hw_iomuxc_sw_mux_ctl_pad_spdif_tx[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SPDIF_TX",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SPDIF_RX.
static const field_t hw_iomuxc_sw_mux_ctl_pad_spdif_rx[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SPDIF_RX",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_SPDIF_EXT_CLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_spdif_ext_clk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: SPDIF_EXT_CLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI1_SCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi1_sclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ECSPI1_SCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI1_MOSI.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi1_mosi[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ECSPI1_MOSI",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI1_MISO.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi1_miso[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ECSPI1_MISO",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI1_SS0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi1_ss0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ECSPI1_SS0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI2_SCLK.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi2_sclk[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ECSPI2_SCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI2_MOSI.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi2_mosi[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ECSPI2_MOSI",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI2_MISO.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi2_miso[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ECSPI2_MISO",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_ECSPI2_SS0.
static const field_t hw_iomuxc_sw_mux_ctl_pad_ecspi2_ss0[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: ECSPI2_SS0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C1_SCL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c1_scl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: I2C1_SCL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C1_SDA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c1_sda[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: I2C1_SDA",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C2_SCL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c2_scl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: I2C2_SCL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C2_SDA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c2_sda[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: I2C2_SDA",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C3_SCL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c3_scl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: I2C3_SCL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C3_SDA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c3_sda[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: I2C3_SDA",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C4_SCL.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c4_scl[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: I2C4_SCL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_I2C4_SDA.
static const field_t hw_iomuxc_sw_mux_ctl_pad_i2c4_sda[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: I2C4_SDA",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART1_RXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart1_rxd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: UART1_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART1_TXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart1_txd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: UART1_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART2_RXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart2_rxd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: UART2_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART2_TXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart2_txd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: UART2_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART3_RXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart3_rxd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: UART3_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART3_TXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart3_txd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 3 iomux modes to be used for pad: UART3_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART4_RXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart4_rxd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: UART4_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_MUX_CTL_PAD_UART4_TXD.
static const field_t hw_iomuxc_sw_mux_ctl_pad_uart4_txd[] =
{
    {
        "MUX_MODE",
        "Select 1 of 4 iomux modes to be used for pad: UART4_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SION",
        "Force the select mux mode Input path no matter of MUX_MODE functionali"
        "ty",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_TEST_MODE.
static const field_t hw_iomuxc_sw_pad_ctl_pad_test_mode[] =
{
    {
        "ODE",
        "Select one out of next values for pad: TEST_MODE",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_BOOT_MODE0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_boot_mode0[] =
{
    {
        "ODE",
        "Select one out of next values for pad: BOOT_MODE0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_BOOT_MODE1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_boot_mode1[] =
{
    {
        "ODE",
        "Select one out of next values for pad: BOOT_MODE1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_MOD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_mod[] =
{
    {
        "ODE",
        "Select one out of next values for pad: JTAG_MOD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: JTAG_MOD",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TRST_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_trst_b[] =
{
    {
        "ODE",
        "Select one out of next values for pad: JTAG_TRST_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TDI.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_tdi[] =
{
    {
        "ODE",
        "Select one out of next values for pad: JTAG_TDI",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TMS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_tms[] =
{
    {
        "ODE",
        "Select one out of next values for pad: JTAG_TMS",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TCK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_tck[] =
{
    {
        "ODE",
        "Select one out of next values for pad: JTAG_TCK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_JTAG_TDO.
static const field_t hw_iomuxc_sw_pad_ctl_pad_jtag_tdo[] =
{
    {
        "ODE",
        "Select one out of next values for pad: JTAG_TDO",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_RTC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_rtc[] =
{
    {
        "ODE",
        "Select one out of next values for pad: RTC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_PMIC_STBY_REQ.
static const field_t hw_iomuxc_sw_pad_ctl_pad_pmic_stby_req[] =
{
    {
        "DSE",
        "Select one out of next values for pad: PMIC_STBY_REQ",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: PMIC_STBY_REQ",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_PMIC_ON_REQ.
static const field_t hw_iomuxc_sw_pad_ctl_pad_pmic_on_req[] =
{
    {
        "DSE",
        "Select one out of next values for pad: PMIC_ON_REQ",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: PMIC_ON_REQ",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: PMIC_ON_REQ",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ONOFF.
static const field_t hw_iomuxc_sw_pad_ctl_pad_onoff[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ONOFF",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ONOFF",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_POR_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_por_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: POR_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: POR_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_RTC_RESET_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_rtc_reset_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: RTC_RESET_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: RTC_RESET_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO00.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io00[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO00",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO00",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO01.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io01[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO01",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO01",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO02.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io02[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO02",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO02",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO03.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io03[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO03",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO03",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO04.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io04[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO04",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO04",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO05.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io05[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO05",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO05",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO06.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io06[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO06",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO06",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO07.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io07[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO07",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO07",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: GPIO1_IO07",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO08.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io08[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO08",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO08",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO09.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io09[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO09",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO09",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO10.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io10[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO10",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO10",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO11.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io11[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO11",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO11",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO12.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io12[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO12",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO12",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO13.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io13[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO13",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO13",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO14.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io14[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO14",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO14",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_GPIO1_IO15.
static const field_t hw_iomuxc_sw_pad_ctl_pad_gpio1_io15[] =
{
    {
        "DSE",
        "Select one out of next values for pad: GPIO1_IO15",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: GPIO1_IO15",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_MDC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_mdc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_MDC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_MDC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_MDIO.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_mdio[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_MDIO",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_MDIO",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_TD3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_td3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_TD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_TD3",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_TD2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_td2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_TD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_TD2",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_TD1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_td1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_TD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_TD1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_TD0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_td0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_TD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_TD0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_TX_CTL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_tx_ctl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_TX_CTL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_TX_CTL",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: ENET_TX_CTL",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_TXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_txc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_TXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_TXC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_RX_CTL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_rx_ctl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_RX_CTL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_RX_CTL",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_RXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_rxc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_RXC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_RD0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_rd0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_RD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_RD0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_RD1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_rd1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_RD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_RD1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_RD2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_rd2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_RD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_RD2",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ENET_RD3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_enet_rd3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ENET_RD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ENET_RD3",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_CLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_clk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_CLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_CLK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_CMD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_cmd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_CMD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_CMD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_DATA0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_DATA1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_DATA2",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_DATA3",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: SD1_DATA3",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA4.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data4[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA4",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_DATA4",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA5.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data5[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA5",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_DATA5",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA6.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data6[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA6",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_DATA6",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_DATA7.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_data7[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_DATA7",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_DATA7",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_RESET_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_reset_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_RESET_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_RESET_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD1_STROBE.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd1_strobe[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD1_STROBE",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD1_STROBE",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_CD_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_cd_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_CD_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD2_CD_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_CLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_clk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_CLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD2_CLK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_CMD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_cmd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_CMD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD2_CMD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_DATA0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_data0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_DATA0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD2_DATA0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: SD2_DATA0",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_DATA1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_data1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_DATA1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD2_DATA1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_DATA2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_data2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_DATA2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD2_DATA2",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_DATA3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_data3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_DATA3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD2_DATA3",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_RESET_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_reset_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_RESET_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD2_RESET_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SD2_WP.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sd2_wp[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SD2_WP",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SD2_WP",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_ALE.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_ale[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_ALE",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_ALE",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_CE0_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_ce0_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_CE0_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_CE0_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_CE1_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_ce1_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_CE1_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_CE1_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_CE2_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_ce2_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_CE2_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_CE2_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_CE3_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_ce3_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_CE3_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_CE3_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_CLE.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_cle[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_CLE",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_CLE",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_DATA00.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_data00[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_DATA00",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_DATA00",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_DATA01.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_data01[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_DATA01",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_DATA01",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_DATA02.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_data02[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_DATA02",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_DATA02",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_DATA03.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_data03[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_DATA03",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_DATA03",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: NAND_DATA03",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_DATA04.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_data04[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_DATA04",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_DATA04",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_DATA05.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_data05[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_DATA05",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_DATA05",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_DATA06.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_data06[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_DATA06",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_DATA06",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_DATA07.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_data07[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_DATA07",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_DATA07",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_DQS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_dqs[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_DQS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_DQS",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_RE_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_re_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_RE_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_RE_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_READY_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_ready_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_READY_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_READY_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_WE_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_we_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_WE_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_WE_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_NAND_WP_B.
static const field_t hw_iomuxc_sw_pad_ctl_pad_nand_wp_b[] =
{
    {
        "DSE",
        "Select one out of next values for pad: NAND_WP_B",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: NAND_WP_B",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI5_RXFS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai5_rxfs[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI5_RXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI5_RXFS",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI5_RXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai5_rxc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI5_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI5_RXC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI5_RXD0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai5_rxd0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI5_RXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI5_RXD0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI5_RXD1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai5_rxd1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI5_RXD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI5_RXD1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: SAI5_RXD1",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI5_RXD2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai5_rxd2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI5_RXD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI5_RXD2",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI5_RXD3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai5_rxd3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI5_RXD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI5_RXD3",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI5_MCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai5_mclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI5_MCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI5_MCLK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXFS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxfs[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXFS",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXD0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxd0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXD0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXD1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxd1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXD1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXD2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxd2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXD2",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXD3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxd3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXD3",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXD4.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxd4[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXD4",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXD4",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXD5.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxd5[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXD5",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXD5",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXD6.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxd6[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXD6",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXD6",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_RXD7.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_rxd7[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_RXD7",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_RXD7",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXFS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txfs[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXFS",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: SAI1_TXFS",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXD0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txd0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXD0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXD1.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txd1[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXD1",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXD1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXD2.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txd2[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXD2",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXD2",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXD3.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txd3[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXD3",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXD3",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXD4.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txd4[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXD4",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXD4",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXD5.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txd5[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXD5",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXD5",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXD6.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txd6[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXD6",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXD6",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_TXD7.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_txd7[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_TXD7",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_TXD7",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI1_MCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai1_mclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI1_MCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI1_MCLK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_RXFS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_rxfs[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_RXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI2_RXFS",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_RXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_rxc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI2_RXC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_RXD0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_rxd0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_RXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI2_RXD0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_TXFS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_txfs[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_TXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI2_TXFS",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: SAI2_TXFS",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_TXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_txc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_TXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI2_TXC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_TXD0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_txd0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_TXD0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI2_TXD0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI2_MCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai2_mclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI2_MCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI2_MCLK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI3_RXFS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai3_rxfs[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI3_RXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI3_RXFS",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI3_RXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai3_rxc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI3_RXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI3_RXC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI3_RXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai3_rxd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI3_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI3_RXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI3_TXFS.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai3_txfs[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI3_TXFS",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI3_TXFS",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI3_TXC.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai3_txc[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI3_TXC",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI3_TXC",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: SAI3_TXC",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI3_TXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai3_txd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI3_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI3_TXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SAI3_MCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_sai3_mclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SAI3_MCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SAI3_MCLK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SPDIF_TX.
static const field_t hw_iomuxc_sw_pad_ctl_pad_spdif_tx[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SPDIF_TX",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SPDIF_TX",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SPDIF_RX.
static const field_t hw_iomuxc_sw_pad_ctl_pad_spdif_rx[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SPDIF_RX",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SPDIF_RX",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_SPDIF_EXT_CLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_spdif_ext_clk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: SPDIF_EXT_CLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: SPDIF_EXT_CLK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI1_SCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi1_sclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI1_SCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ECSPI1_SCLK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI1_MOSI.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi1_mosi[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI1_MOSI",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ECSPI1_MOSI",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI1_MISO.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi1_miso[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI1_MISO",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ECSPI1_MISO",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI1_SS0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi1_ss0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI1_SS0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ECSPI1_SS0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI2_SCLK.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi2_sclk[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI2_SCLK",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ECSPI2_SCLK",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: ECSPI2_SCLK",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI2_MOSI.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi2_mosi[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI2_MOSI",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ECSPI2_MOSI",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI2_MISO.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi2_miso[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI2_MISO",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ECSPI2_MISO",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_ECSPI2_SS0.
static const field_t hw_iomuxc_sw_pad_ctl_pad_ecspi2_ss0[] =
{
    {
        "DSE",
        "Select one out of next values for pad: ECSPI2_SS0",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: ECSPI2_SS0",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C1_SCL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c1_scl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C1_SCL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: I2C1_SCL",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C1_SDA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c1_sda[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C1_SDA",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: I2C1_SDA",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C2_SCL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c2_scl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C2_SCL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: I2C2_SCL",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C2_SDA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c2_sda[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C2_SDA",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: I2C2_SDA",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C3_SCL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c3_scl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C3_SCL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: I2C3_SCL",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: I2C3_SCL",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C3_SDA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c3_sda[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C3_SDA",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: I2C3_SDA",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C4_SCL.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c4_scl[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C4_SCL",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: I2C4_SCL",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_I2C4_SDA.
static const field_t hw_iomuxc_sw_pad_ctl_pad_i2c4_sda[] =
{
    {
        "DSE",
        "Select one out of next values for pad: I2C4_SDA",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: I2C4_SDA",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART1_RXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart1_rxd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART1_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: UART1_RXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART1_TXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart1_txd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART1_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: UART1_TXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART2_RXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart2_rxd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART2_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: UART2_RXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART2_TXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart2_txd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART2_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: UART2_TXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART3_RXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart3_rxd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART3_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: UART3_RXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSEL",
        "Select one out of next values for pad: UART3_RXD",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART3_TXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart3_txd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART3_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: UART3_TXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART4_RXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart4_rxd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART4_RXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: UART4_RXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SW_PAD_CTL_PAD_UART4_TXD.
static const field_t hw_iomuxc_sw_pad_ctl_pad_uart4_txd[] =
{
    {
        "DSE",
        "Select one out of next values for pad: UART4_TXD",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "2-bit slew rate control signals to select between 50,100 and 200MHz I/"
        "O cell operation frequency range with reduced switching noise.",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ODE",
        "Select one out of next values for pad: UART4_TXD",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUE",
        "Control signal to select internal pullup resistor",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HYS",
        "Control signal to select Schymitt trigger",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LVTTL",
        "Control signal to select LVTTL input",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_CCM_PMIC_READY_SELECT_INPUT.
static const field_t hw_iomuxc_ccm_pmic_ready_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_ENET1_MDIO_SELECT_INPUT.
static const field_t hw_iomuxc_enet1_mdio_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI1_RX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai1_rx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI1_TX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai1_tx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI1_TX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai1_tx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI5_RX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai5_rx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI5_RXD0_SELECT_INPUT.
static const field_t hw_iomuxc_sai5_rxd0_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI5_RXD1_SELECT_INPUT.
static const field_t hw_iomuxc_sai5_rxd1_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI5_RXD2_SELECT_INPUT.
static const field_t hw_iomuxc_sai5_rxd2_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI5_RXD3_SELECT_INPUT.
static const field_t hw_iomuxc_sai5_rxd3_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI5_RX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai5_rx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI5_TX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai5_tx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI5_TX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai5_tx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART1_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart1_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART1_RXD_SELECT_INPUT.
static const field_t hw_iomuxc_uart1_rxd_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART2_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart2_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART2_RXD_SELECT_INPUT.
static const field_t hw_iomuxc_uart2_rxd_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART3_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart3_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART3_RXD_SELECT_INPUT.
static const field_t hw_iomuxc_uart3_rxd_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART4_RTS_B_SELECT_INPUT.
static const field_t hw_iomuxc_uart4_rts_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_UART4_RXD_SELECT_INPUT.
static const field_t hw_iomuxc_uart4_rxd_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI6_RX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai6_rx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI6_RXD0_SELECT_INPUT.
static const field_t hw_iomuxc_sai6_rxd0_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI6_RX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai6_rx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI6_TX_BCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai6_tx_bclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI6_TX_SYNC_SELECT_INPUT.
static const field_t hw_iomuxc_sai6_tx_sync_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_PCIE1_CLKREQ_B_SELECT_INPUT.
static const field_t hw_iomuxc_pcie1_clkreq_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_PCIE2_CLKREQ_B_SELECT_INPUT.
static const field_t hw_iomuxc_pcie2_clkreq_b_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI5_MCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai5_mclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_SAI6_MCLK_SELECT_INPUT.
static const field_t hw_iomuxc_sai6_mclk_select_input[] =
{
    {
        "DAISY",
        "Selecting Pads Involved in Daisy Chain",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a IOMUXC module.
static const reg_t hw_iomuxc[] =
{
    {
        "SW_MUX_CTL_PAD_PMIC_STBY_REQ",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_pmic_stby_req
    },
    {
        "SW_MUX_CTL_PAD_PMIC_ON_REQ",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_pmic_on_req
    },
    {
        "SW_MUX_CTL_PAD_ONOFF",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_onoff
    },
    {
        "SW_MUX_CTL_PAD_POR_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_por_b
    },
    {
        "SW_MUX_CTL_PAD_RTC_RESET_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_rtc_reset_b
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO00",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io00
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO01",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io01
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO02",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io02
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO03",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io03
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO04",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io04
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO05",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io05
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO06",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io06
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO07",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io07
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO08",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io08
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO09",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io09
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO10",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io10
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO11",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io11
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO12",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io12
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO13",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io13
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO14",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io14
    },
    {
        "SW_MUX_CTL_PAD_GPIO1_IO15",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_gpio1_io15
    },
    {
        "SW_MUX_CTL_PAD_ENET_MDC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_mdc
    },
    {
        "SW_MUX_CTL_PAD_ENET_MDIO",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_mdio
    },
    {
        "SW_MUX_CTL_PAD_ENET_TD3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_td3
    },
    {
        "SW_MUX_CTL_PAD_ENET_TD2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_td2
    },
    {
        "SW_MUX_CTL_PAD_ENET_TD1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_td1
    },
    {
        "SW_MUX_CTL_PAD_ENET_TD0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_td0
    },
    {
        "SW_MUX_CTL_PAD_ENET_TX_CTL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_tx_ctl
    },
    {
        "SW_MUX_CTL_PAD_ENET_TXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_txc
    },
    {
        "SW_MUX_CTL_PAD_ENET_RX_CTL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_rx_ctl
    },
    {
        "SW_MUX_CTL_PAD_ENET_RXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_rxc
    },
    {
        "SW_MUX_CTL_PAD_ENET_RD0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_rd0
    },
    {
        "SW_MUX_CTL_PAD_ENET_RD1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_rd1
    },
    {
        "SW_MUX_CTL_PAD_ENET_RD2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_rd2
    },
    {
        "SW_MUX_CTL_PAD_ENET_RD3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_enet_rd3
    },
    {
        "SW_MUX_CTL_PAD_SD1_CLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_clk
    },
    {
        "SW_MUX_CTL_PAD_SD1_CMD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_cmd
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data0
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data1
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data2
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data3
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA4",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data4
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA5",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data5
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA6",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data6
    },
    {
        "SW_MUX_CTL_PAD_SD1_DATA7",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_data7
    },
    {
        "SW_MUX_CTL_PAD_SD1_RESET_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_reset_b
    },
    {
        "SW_MUX_CTL_PAD_SD1_STROBE",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd1_strobe
    },
    {
        "SW_MUX_CTL_PAD_SD2_CD_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_cd_b
    },
    {
        "SW_MUX_CTL_PAD_SD2_CLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_clk
    },
    {
        "SW_MUX_CTL_PAD_SD2_CMD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_cmd
    },
    {
        "SW_MUX_CTL_PAD_SD2_DATA0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_data0
    },
    {
        "SW_MUX_CTL_PAD_SD2_DATA1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_data1
    },
    {
        "SW_MUX_CTL_PAD_SD2_DATA2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_data2
    },
    {
        "SW_MUX_CTL_PAD_SD2_DATA3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_data3
    },
    {
        "SW_MUX_CTL_PAD_SD2_RESET_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_reset_b
    },
    {
        "SW_MUX_CTL_PAD_SD2_WP",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sd2_wp
    },
    {
        "SW_MUX_CTL_PAD_NAND_ALE",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_ale
    },
    {
        "SW_MUX_CTL_PAD_NAND_CE0_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000f8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_ce0_b
    },
    {
        "SW_MUX_CTL_PAD_NAND_CE1_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_ce1_b
    },
    {
        "SW_MUX_CTL_PAD_NAND_CE2_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_ce2_b
    },
    {
        "SW_MUX_CTL_PAD_NAND_CE3_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_ce3_b
    },
    {
        "SW_MUX_CTL_PAD_NAND_CLE",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_cle
    },
    {
        "SW_MUX_CTL_PAD_NAND_DATA00",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_data00
    },
    {
        "SW_MUX_CTL_PAD_NAND_DATA01",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_data01
    },
    {
        "SW_MUX_CTL_PAD_NAND_DATA02",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_data02
    },
    {
        "SW_MUX_CTL_PAD_NAND_DATA03",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_data03
    },
    {
        "SW_MUX_CTL_PAD_NAND_DATA04",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_data04
    },
    {
        "SW_MUX_CTL_PAD_NAND_DATA05",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_data05
    },
    {
        "SW_MUX_CTL_PAD_NAND_DATA06",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_data06
    },
    {
        "SW_MUX_CTL_PAD_NAND_DATA07",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_data07
    },
    {
        "SW_MUX_CTL_PAD_NAND_DQS",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_dqs
    },
    {
        "SW_MUX_CTL_PAD_NAND_RE_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_re_b
    },
    {
        "SW_MUX_CTL_PAD_NAND_READY_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_ready_b
    },
    {
        "SW_MUX_CTL_PAD_NAND_WE_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_we_b
    },
    {
        "SW_MUX_CTL_PAD_NAND_WP_B",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_nand_wp_b
    },
    {
        "SW_MUX_CTL_PAD_SAI5_RXFS",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai5_rxfs
    },
    {
        "SW_MUX_CTL_PAD_SAI5_RXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai5_rxc
    },
    {
        "SW_MUX_CTL_PAD_SAI5_RXD0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai5_rxd0
    },
    {
        "SW_MUX_CTL_PAD_SAI5_RXD1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000014c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai5_rxd1
    },
    {
        "SW_MUX_CTL_PAD_SAI5_RXD2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai5_rxd2
    },
    {
        "SW_MUX_CTL_PAD_SAI5_RXD3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai5_rxd3
    },
    {
        "SW_MUX_CTL_PAD_SAI5_MCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000158, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai5_mclk
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXFS",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000015c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxfs
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxc
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXD0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxd0
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXD1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxd1
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXD2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxd2
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXD3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxd3
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXD4",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxd4
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXD5",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000178, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxd5
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXD6",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000017c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxd6
    },
    {
        "SW_MUX_CTL_PAD_SAI1_RXD7",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_rxd7
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXFS",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txfs
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txc
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXD0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txd0
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXD1",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txd1
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXD2",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000194, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txd2
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXD3",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000198, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txd3
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXD4",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000019c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txd4
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXD5",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txd5
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXD6",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001a4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txd6
    },
    {
        "SW_MUX_CTL_PAD_SAI1_TXD7",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001a8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_txd7
    },
    {
        "SW_MUX_CTL_PAD_SAI1_MCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001ac, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai1_mclk
    },
    {
        "SW_MUX_CTL_PAD_SAI2_RXFS",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_rxfs
    },
    {
        "SW_MUX_CTL_PAD_SAI2_RXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001b4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_rxc
    },
    {
        "SW_MUX_CTL_PAD_SAI2_RXD0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001b8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_rxd0
    },
    {
        "SW_MUX_CTL_PAD_SAI2_TXFS",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001bc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_txfs
    },
    {
        "SW_MUX_CTL_PAD_SAI2_TXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_txc
    },
    {
        "SW_MUX_CTL_PAD_SAI2_TXD0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001c4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_txd0
    },
    {
        "SW_MUX_CTL_PAD_SAI2_MCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001c8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai2_mclk
    },
    {
        "SW_MUX_CTL_PAD_SAI3_RXFS",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001cc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai3_rxfs
    },
    {
        "SW_MUX_CTL_PAD_SAI3_RXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001d0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai3_rxc
    },
    {
        "SW_MUX_CTL_PAD_SAI3_RXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001d4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai3_rxd
    },
    {
        "SW_MUX_CTL_PAD_SAI3_TXFS",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001d8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai3_txfs
    },
    {
        "SW_MUX_CTL_PAD_SAI3_TXC",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001dc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai3_txc
    },
    {
        "SW_MUX_CTL_PAD_SAI3_TXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai3_txd
    },
    {
        "SW_MUX_CTL_PAD_SAI3_MCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001e4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_sai3_mclk
    },
    {
        "SW_MUX_CTL_PAD_SPDIF_TX",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001e8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_spdif_tx
    },
    {
        "SW_MUX_CTL_PAD_SPDIF_RX",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001ec, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_spdif_rx
    },
    {
        "SW_MUX_CTL_PAD_SPDIF_EXT_CLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_spdif_ext_clk
    },
    {
        "SW_MUX_CTL_PAD_ECSPI1_SCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001f4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi1_sclk
    },
    {
        "SW_MUX_CTL_PAD_ECSPI1_MOSI",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001f8, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi1_mosi
    },
    {
        "SW_MUX_CTL_PAD_ECSPI1_MISO",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x000001fc, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi1_miso
    },
    {
        "SW_MUX_CTL_PAD_ECSPI1_SS0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi1_ss0
    },
    {
        "SW_MUX_CTL_PAD_ECSPI2_SCLK",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi2_sclk
    },
    {
        "SW_MUX_CTL_PAD_ECSPI2_MOSI",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi2_mosi
    },
    {
        "SW_MUX_CTL_PAD_ECSPI2_MISO",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi2_miso
    },
    {
        "SW_MUX_CTL_PAD_ECSPI2_SS0",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_ecspi2_ss0
    },
    {
        "SW_MUX_CTL_PAD_I2C1_SCL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c1_scl
    },
    {
        "SW_MUX_CTL_PAD_I2C1_SDA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c1_sda
    },
    {
        "SW_MUX_CTL_PAD_I2C2_SCL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c2_scl
    },
    {
        "SW_MUX_CTL_PAD_I2C2_SDA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c2_sda
    },
    {
        "SW_MUX_CTL_PAD_I2C3_SCL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c3_scl
    },
    {
        "SW_MUX_CTL_PAD_I2C3_SDA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c3_sda
    },
    {
        "SW_MUX_CTL_PAD_I2C4_SCL",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c4_scl
    },
    {
        "SW_MUX_CTL_PAD_I2C4_SDA",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_i2c4_sda
    },
    {
        "SW_MUX_CTL_PAD_UART1_RXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart1_rxd
    },
    {
        "SW_MUX_CTL_PAD_UART1_TXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart1_txd
    },
    {
        "SW_MUX_CTL_PAD_UART2_RXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart2_rxd
    },
    {
        "SW_MUX_CTL_PAD_UART2_TXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart2_txd
    },
    {
        "SW_MUX_CTL_PAD_UART3_RXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart3_rxd
    },
    {
        "SW_MUX_CTL_PAD_UART3_TXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart3_txd
    },
    {
        "SW_MUX_CTL_PAD_UART4_RXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart4_rxd
    },
    {
        "SW_MUX_CTL_PAD_UART4_TXD",
        "SW_MUX_CTL Register",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_iomuxc_sw_mux_ctl_pad_uart4_txd
    },
    {
        "SW_PAD_CTL_PAD_TEST_MODE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_test_mode
    },
    {
        "SW_PAD_CTL_PAD_BOOT_MODE0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_boot_mode0
    },
    {
        "SW_PAD_CTL_PAD_BOOT_MODE1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_boot_mode1
    },
    {
        "SW_PAD_CTL_PAD_JTAG_MOD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_mod
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TRST_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_trst_b
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TDI",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_tdi
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TMS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_tms
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TCK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_tck
    },
    {
        "SW_PAD_CTL_PAD_JTAG_TDO",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_jtag_tdo
    },
    {
        "SW_PAD_CTL_PAD_RTC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000278, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_rtc
    },
    {
        "SW_PAD_CTL_PAD_PMIC_STBY_REQ",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000027c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_pmic_stby_req
    },
    {
        "SW_PAD_CTL_PAD_PMIC_ON_REQ",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000280, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_pmic_on_req
    },
    {
        "SW_PAD_CTL_PAD_ONOFF",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000284, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_onoff
    },
    {
        "SW_PAD_CTL_PAD_POR_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000288, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_por_b
    },
    {
        "SW_PAD_CTL_PAD_RTC_RESET_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000028c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_rtc_reset_b
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO00",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io00
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO01",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000294, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io01
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO02",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000298, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io02
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO03",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000029c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io03
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO04",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io04
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO05",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002a4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io05
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO06",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002a8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io06
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO07",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002ac, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io07
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO08",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002b0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io08
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO09",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002b4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io09
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO10",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002b8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io10
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO11",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002bc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io11
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO12",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002c0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io12
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO13",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002c4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io13
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO14",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002c8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io14
    },
    {
        "SW_PAD_CTL_PAD_GPIO1_IO15",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002cc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_gpio1_io15
    },
    {
        "SW_PAD_CTL_PAD_ENET_MDC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002d0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_mdc
    },
    {
        "SW_PAD_CTL_PAD_ENET_MDIO",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002d4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_mdio
    },
    {
        "SW_PAD_CTL_PAD_ENET_TD3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002d8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_td3
    },
    {
        "SW_PAD_CTL_PAD_ENET_TD2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002dc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_td2
    },
    {
        "SW_PAD_CTL_PAD_ENET_TD1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002e0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_td1
    },
    {
        "SW_PAD_CTL_PAD_ENET_TD0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002e4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_td0
    },
    {
        "SW_PAD_CTL_PAD_ENET_TX_CTL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002e8, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_tx_ctl
    },
    {
        "SW_PAD_CTL_PAD_ENET_TXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002ec, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_txc
    },
    {
        "SW_PAD_CTL_PAD_ENET_RX_CTL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002f0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_rx_ctl
    },
    {
        "SW_PAD_CTL_PAD_ENET_RXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002f4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_rxc
    },
    {
        "SW_PAD_CTL_PAD_ENET_RD0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002f8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_rd0
    },
    {
        "SW_PAD_CTL_PAD_ENET_RD1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000002fc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_rd1
    },
    {
        "SW_PAD_CTL_PAD_ENET_RD2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_rd2
    },
    {
        "SW_PAD_CTL_PAD_ENET_RD3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000304, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_enet_rd3
    },
    {
        "SW_PAD_CTL_PAD_SD1_CLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000308, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_clk
    },
    {
        "SW_PAD_CTL_PAD_SD1_CMD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000030c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_cmd
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data0
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000314, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data1
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000318, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data2
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000031c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data3
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA4",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data4
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA5",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000324, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data5
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA6",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000328, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data6
    },
    {
        "SW_PAD_CTL_PAD_SD1_DATA7",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000032c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_data7
    },
    {
        "SW_PAD_CTL_PAD_SD1_RESET_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000330, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_reset_b
    },
    {
        "SW_PAD_CTL_PAD_SD1_STROBE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000334, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd1_strobe
    },
    {
        "SW_PAD_CTL_PAD_SD2_CD_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000338, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_cd_b
    },
    {
        "SW_PAD_CTL_PAD_SD2_CLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000033c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_clk
    },
    {
        "SW_PAD_CTL_PAD_SD2_CMD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000340, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_cmd
    },
    {
        "SW_PAD_CTL_PAD_SD2_DATA0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000344, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_data0
    },
    {
        "SW_PAD_CTL_PAD_SD2_DATA1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000348, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_data1
    },
    {
        "SW_PAD_CTL_PAD_SD2_DATA2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000034c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_data2
    },
    {
        "SW_PAD_CTL_PAD_SD2_DATA3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000350, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_data3
    },
    {
        "SW_PAD_CTL_PAD_SD2_RESET_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000354, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_reset_b
    },
    {
        "SW_PAD_CTL_PAD_SD2_WP",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000358, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sd2_wp
    },
    {
        "SW_PAD_CTL_PAD_NAND_ALE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000035c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_ale
    },
    {
        "SW_PAD_CTL_PAD_NAND_CE0_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000360, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_ce0_b
    },
    {
        "SW_PAD_CTL_PAD_NAND_CE1_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000364, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_ce1_b
    },
    {
        "SW_PAD_CTL_PAD_NAND_CE2_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000368, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_ce2_b
    },
    {
        "SW_PAD_CTL_PAD_NAND_CE3_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000036c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_ce3_b
    },
    {
        "SW_PAD_CTL_PAD_NAND_CLE",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000370, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_cle
    },
    {
        "SW_PAD_CTL_PAD_NAND_DATA00",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000374, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_data00
    },
    {
        "SW_PAD_CTL_PAD_NAND_DATA01",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000378, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_data01
    },
    {
        "SW_PAD_CTL_PAD_NAND_DATA02",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000037c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_data02
    },
    {
        "SW_PAD_CTL_PAD_NAND_DATA03",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000380, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_data03
    },
    {
        "SW_PAD_CTL_PAD_NAND_DATA04",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000384, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_data04
    },
    {
        "SW_PAD_CTL_PAD_NAND_DATA05",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000388, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_data05
    },
    {
        "SW_PAD_CTL_PAD_NAND_DATA06",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000038c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_data06
    },
    {
        "SW_PAD_CTL_PAD_NAND_DATA07",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000390, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_data07
    },
    {
        "SW_PAD_CTL_PAD_NAND_DQS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000394, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_dqs
    },
    {
        "SW_PAD_CTL_PAD_NAND_RE_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000398, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_re_b
    },
    {
        "SW_PAD_CTL_PAD_NAND_READY_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000039c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_ready_b
    },
    {
        "SW_PAD_CTL_PAD_NAND_WE_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003a0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_we_b
    },
    {
        "SW_PAD_CTL_PAD_NAND_WP_B",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003a4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_nand_wp_b
    },
    {
        "SW_PAD_CTL_PAD_SAI5_RXFS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003a8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai5_rxfs
    },
    {
        "SW_PAD_CTL_PAD_SAI5_RXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003ac, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai5_rxc
    },
    {
        "SW_PAD_CTL_PAD_SAI5_RXD0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003b0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai5_rxd0
    },
    {
        "SW_PAD_CTL_PAD_SAI5_RXD1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003b4, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai5_rxd1
    },
    {
        "SW_PAD_CTL_PAD_SAI5_RXD2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003b8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai5_rxd2
    },
    {
        "SW_PAD_CTL_PAD_SAI5_RXD3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003bc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai5_rxd3
    },
    {
        "SW_PAD_CTL_PAD_SAI5_MCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003c0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai5_mclk
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXFS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003c4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxfs
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003c8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxc
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXD0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003cc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxd0
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXD1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003d0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxd1
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXD2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003d4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxd2
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXD3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003d8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxd3
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXD4",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003dc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxd4
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXD5",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003e0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxd5
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXD6",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003e4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxd6
    },
    {
        "SW_PAD_CTL_PAD_SAI1_RXD7",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003e8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_rxd7
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXFS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003ec, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txfs
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003f0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txc
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXD0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003f4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txd0
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXD1",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003f8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txd1
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXD2",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000003fc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txd2
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXD3",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txd3
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXD4",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txd4
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXD5",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txd5
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXD6",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txd6
    },
    {
        "SW_PAD_CTL_PAD_SAI1_TXD7",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_txd7
    },
    {
        "SW_PAD_CTL_PAD_SAI1_MCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000414, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai1_mclk
    },
    {
        "SW_PAD_CTL_PAD_SAI2_RXFS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000418, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_rxfs
    },
    {
        "SW_PAD_CTL_PAD_SAI2_RXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000041c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_rxc
    },
    {
        "SW_PAD_CTL_PAD_SAI2_RXD0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_rxd0
    },
    {
        "SW_PAD_CTL_PAD_SAI2_TXFS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000424, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_txfs
    },
    {
        "SW_PAD_CTL_PAD_SAI2_TXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000428, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_txc
    },
    {
        "SW_PAD_CTL_PAD_SAI2_TXD0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000042c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_txd0
    },
    {
        "SW_PAD_CTL_PAD_SAI2_MCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000430, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai2_mclk
    },
    {
        "SW_PAD_CTL_PAD_SAI3_RXFS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000434, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai3_rxfs
    },
    {
        "SW_PAD_CTL_PAD_SAI3_RXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000438, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai3_rxc
    },
    {
        "SW_PAD_CTL_PAD_SAI3_RXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000043c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai3_rxd
    },
    {
        "SW_PAD_CTL_PAD_SAI3_TXFS",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai3_txfs
    },
    {
        "SW_PAD_CTL_PAD_SAI3_TXC",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000444, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai3_txc
    },
    {
        "SW_PAD_CTL_PAD_SAI3_TXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000448, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai3_txd
    },
    {
        "SW_PAD_CTL_PAD_SAI3_MCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000044c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_sai3_mclk
    },
    {
        "SW_PAD_CTL_PAD_SPDIF_TX",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_spdif_tx
    },
    {
        "SW_PAD_CTL_PAD_SPDIF_RX",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000454, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_spdif_rx
    },
    {
        "SW_PAD_CTL_PAD_SPDIF_EXT_CLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000458, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_spdif_ext_clk
    },
    {
        "SW_PAD_CTL_PAD_ECSPI1_SCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000045c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi1_sclk
    },
    {
        "SW_PAD_CTL_PAD_ECSPI1_MOSI",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi1_mosi
    },
    {
        "SW_PAD_CTL_PAD_ECSPI1_MISO",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000464, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi1_miso
    },
    {
        "SW_PAD_CTL_PAD_ECSPI1_SS0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000468, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi1_ss0
    },
    {
        "SW_PAD_CTL_PAD_ECSPI2_SCLK",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000046c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi2_sclk
    },
    {
        "SW_PAD_CTL_PAD_ECSPI2_MOSI",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi2_mosi
    },
    {
        "SW_PAD_CTL_PAD_ECSPI2_MISO",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000474, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi2_miso
    },
    {
        "SW_PAD_CTL_PAD_ECSPI2_SS0",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000478, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_ecspi2_ss0
    },
    {
        "SW_PAD_CTL_PAD_I2C1_SCL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000047c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c1_scl
    },
    {
        "SW_PAD_CTL_PAD_I2C1_SDA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c1_sda
    },
    {
        "SW_PAD_CTL_PAD_I2C2_SCL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000484, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c2_scl
    },
    {
        "SW_PAD_CTL_PAD_I2C2_SDA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000488, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c2_sda
    },
    {
        "SW_PAD_CTL_PAD_I2C3_SCL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000048c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c3_scl
    },
    {
        "SW_PAD_CTL_PAD_I2C3_SDA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c3_sda
    },
    {
        "SW_PAD_CTL_PAD_I2C4_SCL",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000494, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c4_scl
    },
    {
        "SW_PAD_CTL_PAD_I2C4_SDA",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x00000498, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_i2c4_sda
    },
    {
        "SW_PAD_CTL_PAD_UART1_RXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x0000049c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart1_rxd
    },
    {
        "SW_PAD_CTL_PAD_UART1_TXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart1_txd
    },
    {
        "SW_PAD_CTL_PAD_UART2_RXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004a4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart2_rxd
    },
    {
        "SW_PAD_CTL_PAD_UART2_TXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004a8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart2_txd
    },
    {
        "SW_PAD_CTL_PAD_UART3_RXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004ac, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart3_rxd
    },
    {
        "SW_PAD_CTL_PAD_UART3_TXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004b0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart3_txd
    },
    {
        "SW_PAD_CTL_PAD_UART4_RXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004b4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart4_rxd
    },
    {
        "SW_PAD_CTL_PAD_UART4_TXD",
        "SW_PAD_CTL Register",
        4, // Width in bytes
        0x000004b8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_sw_pad_ctl_pad_uart4_txd
    },
    {
        "CCM_PMIC_READY_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004bc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_ccm_pmic_ready_select_input
    },
    {
        "ENET1_MDIO_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_enet1_mdio_select_input
    },
    {
        "SAI1_RX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai1_rx_sync_select_input
    },
    {
        "SAI1_TX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004c8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai1_tx_bclk_select_input
    },
    {
        "SAI1_TX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004cc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai1_tx_sync_select_input
    },
    {
        "SAI5_RX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai5_rx_bclk_select_input
    },
    {
        "SAI5_RXD0_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai5_rxd0_select_input
    },
    {
        "SAI5_RXD1_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004d8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai5_rxd1_select_input
    },
    {
        "SAI5_RXD2_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004dc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai5_rxd2_select_input
    },
    {
        "SAI5_RXD3_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai5_rxd3_select_input
    },
    {
        "SAI5_RX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai5_rx_sync_select_input
    },
    {
        "SAI5_TX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai5_tx_bclk_select_input
    },
    {
        "SAI5_TX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai5_tx_sync_select_input
    },
    {
        "UART1_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart1_rts_b_select_input
    },
    {
        "UART1_RXD_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart1_rxd_select_input
    },
    {
        "UART2_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004f8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart2_rts_b_select_input
    },
    {
        "UART2_RXD_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x000004fc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart2_rxd_select_input
    },
    {
        "UART3_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000500, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart3_rts_b_select_input
    },
    {
        "UART3_RXD_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000504, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart3_rxd_select_input
    },
    {
        "UART4_RTS_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000508, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart4_rts_b_select_input
    },
    {
        "UART4_RXD_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000050c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_uart4_rxd_select_input
    },
    {
        "SAI6_RX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000510, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai6_rx_bclk_select_input
    },
    {
        "SAI6_RXD0_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000514, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai6_rxd0_select_input
    },
    {
        "SAI6_RX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000518, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai6_rx_sync_select_input
    },
    {
        "SAI6_TX_BCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000051c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai6_tx_bclk_select_input
    },
    {
        "SAI6_TX_SYNC_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000520, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai6_tx_sync_select_input
    },
    {
        "PCIE1_CLKREQ_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000524, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_pcie1_clkreq_b_select_input
    },
    {
        "PCIE2_CLKREQ_B_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000528, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_pcie2_clkreq_b_select_input
    },
    {
        "SAI5_MCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x0000052c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai5_mclk_select_input
    },
    {
        "SAI6_MCLK_SELECT_INPUT",
        "DAISY Register",
        4, // Width in bytes
        0x00000530, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_iomuxc_sai6_mclk_select_input
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark IOMUXC_GPR
#endif

// Bitfields in register IOMUXC_GPR_GPR0.
static const field_t hw_iomuxc_gpr_gpr0[] =
{
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR1.
static const field_t hw_iomuxc_gpr_gpr1[] =
{
    {
        "IRQ",
        "Interrupt signal which is connected to CPU IRQS[0].",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET1_TX_CLK_SEL",
        "ENET1 reference clock mode select",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_ANAMIX_IPT_MODE",
        "GPR_ANAMIX_IPT_MODE",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TZASC1_SECURE_BOOT_LOCK",
        "TZASC-1 Secure Boot Lock",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBG_ACK",
        "Debug Acknowledge",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR2.
static const field_t hw_iomuxc_gpr_gpr2[] =
{
    {
        "GPR_SAI1_EXT_MCLK_EN",
        "SAI1 External MCLK Enable",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_SAI2_EXT_MCLK_EN",
        "SAI2 External MCLK Enable",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_SAI3_EXT_MCLK_EN",
        "SAI3 External MCLK Enable",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_SAI4_EXT_MCLK_EN",
        "SAI4 External MCLK Enable",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_SAI5_EXT_MCLK_EN",
        "SAI5 External MCLK Enable",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_SAI6_EXT_MCLK_EN",
        "SAI6 External MCLK Enable",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR3.
static const field_t hw_iomuxc_gpr_gpr3[] =
{
    {
        "RDATA_WAIT_EN",
        "On-chip RAM read data wait state control When the read data wait state"
        " is enabled, it will cost 2 cycles for each read access, (each beat of"
        " a read burst).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RADDR_PIPE_EN",
        "On-chip RAM read address pipeline enable When this feature is enabled,"
        " the read address from the AXI master would be delayed 1 cycle before "
        "it can be accepted by the on-chip RAM.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDATA_PIPE_EN",
        "On-chip RAM write data pipeline enable When this feature is enabled, t"
        "he write data from the AXI master would be delayed 1 cycle before it c"
        "an be accepted by the on-chip RAM.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WADDR_PIPE_EN",
        "On-chip RAM write address pipeline enable When this feature is enabled"
        ", the write address from the AXI master would be delayed 1 cycle befor"
        "e it can be accepted by the on-chip RAM.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_RDATA_WAIT_EN",
        "State Retention On-chip RAM read data wait state control For descripti"
        "on, please refer to RDATA_WAIT_EN bit",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_RADDR_PIPE_EN",
        "State Retention On-chip RAM read address pipeline enable For descripti"
        "on, please refer to RADDR_PIPE_EN bit",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_WDATA_PIPE_EN",
        "State Retention On-chip RAM write data pipeline enable For description"
        ", please refer to WDATA_PIPE_EN bit",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "S_WADDR_PIPE_EN",
        "State Retention On-chip RAM write address pipeline enable For descript"
        "ion, please refer to WADDR_PIPE_EN bit",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RDATA_WAIT_EN_PDG",
        "On-chip RAM read data wait state control update is pending",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RADDR_PIPE_EN_PDG",
        "On-chip RAM read address pipeline enable update is pending",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WDATA_PIPE_EN_PDG",
        "On-chip RAM write data pipeline enable update is pending",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WADDR_PIPE_EN_PNDG",
        "On-chip RAM write address pipeline enable update is pending",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_RDATA_WAIT_EN_PNDG",
        "State Retention On-chip RAM read data wait state control update is pen"
        "ding",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_RADDR_PIPE_EN_PNDG",
        "State Retention On-chip RAM read address pipeline enable update is pen"
        "ding",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_WDATA_PIPE_EN_PNDG",
        "State Retention On-chip RAM write data pipeline enable update is pendi"
        "ng",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S_WADDR_PIPE_EN_PNDG",
        "State Retention On-chip RAM write address pipeline enable update is pe"
        "nding",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR4.
static const field_t hw_iomuxc_gpr_gpr4[] =
{
    {
        "SDMA1_IPG_STOP",
        "SDMA1 stop request",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET1_IPD_REQ_TIMER_SEL0",
        "ENET1 IPD_REQ Timer Select 0",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET1_IPD_REQ_TIMER_SEL1",
        "ENET1 IPD_REQ Timer Select 1",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENET1_IPG_STOP",
        "ENET1 stop request",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDMA2_IPG_STOP",
        "SDMA2 stop request",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDMA1_IPG_STOP_ACK",
        "SDMA1 stop acknowledge",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ENET1_IPG_STOP_ACK",
        "ENET1 stop acknowledge",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SDMA2_IPG_STOP_ACK",
        "SDMA2 stop acknowledge",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SAI1_IPG_STOP_ACK",
        "SAI1 stop acknowledge",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SAI2_IPG_STOP_ACK",
        "SAI2 stop acknowledge",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SAI3_IPG_STOP_ACK",
        "SAI3 stop acknowledge",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SAI4_IPG_STOP_ACK",
        "SAI4 stop acknowledge",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SAI5_IPG_STOP_ACK",
        "SAI5 stop acknowledge",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SAI6_IPG_STOP_ACK",
        "SAI6 stop acknowledge",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR5.
static const field_t hw_iomuxc_gpr_gpr5[] =
{
    {
        "HDMI_HPD_PD",
        "Connect to hdmi_hpd_pd_pad",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_DDC_SDA_PD",
        "Connect to hdmi_ddc_sda_pd_pad",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_DDC_SCL_PD",
        "Connect to hdmi_ddc_scl_pd_pad",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HDMI_CEC_PD",
        "Connect to hdmi_cec_pd_pad",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG1_MASK",
        "WDOG1 Timeout Mask",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG2_MASK",
        "WDOG2 Timeout Mask",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG3_MASK",
        "WDOG3 Timeout Mask",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR6.
static const field_t hw_iomuxc_gpr_gpr6[] =
{
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR7.
static const field_t hw_iomuxc_gpr_gpr7[] =
{
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR8.
static const field_t hw_iomuxc_gpr_gpr8[] =
{
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR9.
static const field_t hw_iomuxc_gpr_gpr9[] =
{
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR10.
static const field_t hw_iomuxc_gpr_gpr10[] =
{
    {
        "TZASC_EN",
        "Connect to tzasc_en input on tzasc_id_wrap",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TZASC_ID_SWAP_BYPASS",
        "Connect to id_swap_bypass input on tzasc_id_wrap",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEC_ERR_RESP_EN",
        "Security error response enable for all security gaskets (on both AHB a"
        "nd AXI busses) This is a \"lock\" type bit",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXC_ERR_RESP_EN",
        "Security exclusive access error response enable for all security gaske"
        "ts (on both AHB and AXI busses).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TZASC_EN_LOCK",
        "Lock bit for TZASC_EN",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TZASC_ID_SWAP_BYPASS_LOCK",
        "Lock bit for TZASC_ID_SWAP_BYPASS",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEC_ERR_RESP_EN_LOCK",
        "Lock bit for SEC_ERR_RESP_EN",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXC_ERR_RESP_EN_LOCK",
        "Lock bit for EXC_ERR_RESP_EN",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR11.
static const field_t hw_iomuxc_gpr_gpr11[] =
{
    {
        "OCRAM_TZ_EN",
        "OCRAM TrustZone (TZ) enable This is a \"lock\" type bit",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_TZ_ADDR",
        "OCRAM TrustZone (TZ) start address.",
        1, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_S_TZ_EN",
        "State Retention OCRAM TrustZone (TZ) enable This is a \"lock\" type bi"
        "t",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_S_TZ_ADDR",
        "State Retention OCRAM TrustZone (TZ) start address.",
        11, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_TZ_EN_LOCK",
        "Lock Bit",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_TZ_ADDR_LOCK",
        "Lock Bits",
        17, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_S_TZ_EN_LOCK",
        "Lock Bit",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OCRAM_S_TZ_ADDR_LOCK",
        "Lock Bits",
        27, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR12.
static const field_t hw_iomuxc_gpr_gpr12[] =
{
    {
        "PCIE2_CTRL_DEVICE_TYPE",
        "PCI Express device/port type",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_CTRL_DEVICE_TYPE",
        "PCI Express device/port type",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_CTRL_DIAG_STATUS_BUS_SELECT",
        "PCI Express Diagnostic Status Bus Select",
        17, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_CTRL_DIAG_CTRL_BUS",
        "PCI Express Diagnostic Control Bus",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_CTRL_DIAG_STATUS_BUS_SELECT",
        "PCI Express Diagnostic Status Bus Select",
        25, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_CTRL_DIAG_CTRL_BUS",
        "PCI Express Diagnostic Control Bus",
        29, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_DIAG_BUS_SEL",
        "Control the source of the PCIE DIAG STATUS bus, PCIe1 or PCIe2.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR13.
static const field_t hw_iomuxc_gpr_gpr13[] =
{
    {
        "ARCACHE_USDHC",
        "USDHC 1-3 AXI Master ARCACHE Override Value Note: this bit always over"
        "rides",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_USDHC",
        "USDHC 1-3 AXI Master AWCACHE Override Value Note: this bit always over"
        "rides",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_MUX_SEL",
        "MIPI MUX SEL",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_MUX_INV",
        "MIPI MUX INV",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_PCIE1",
        "PCIe AXI Master Port ARCACHE Override Value Note: this bit only takes "
        "effect when ARCACHE_PCIE_EN = 1",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PCIE1",
        "PCIe AXI Master Port AWCACHE Override Value Note: this bit only takes "
        "effect when AWCACHE_PCIE_EN = 1",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_LCDIF",
        "LCDIF AXI Master Port ARCACHE Override Value Note: this bit only takes"
        " effect when ARCACHE_LCDIF_EN = 1",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_PCIE2_EN",
        "PCIe AXI Master Port ARCACHE Override Enable",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PCIE2_EN",
        "PCIe AXI Master Port AWCACHE Override Enable",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_PCIE1_EN",
        "PCIe AXI Master Port ARCACHE Override Enable",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PCIE1_EN",
        "PCIe AXI Master Port AWCACHE Override Enable",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_LCDIF_EN",
        "LCDIF AXI Master Port ARCACHE Override Enable",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARCACHE_PCIE2",
        "PCIe AXI Master Port ARCACHE Override Value Note: this bit only takes "
        "effect when ARCACHE_PCIE_EN = 1",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWCACHE_PCIE2",
        "PCIe AXI Master Port AWCACHE Override Value Note: this bit only takes "
        "effect when AWCACHE_PCIE_EN = 1",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR14.
static const field_t hw_iomuxc_gpr_gpr14[] =
{
    {
        "PCIE1_APP_CLK_PM_EN",
        "To PCIe PHY",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_REF_USE_PAD",
        "To PCIe PHY",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_CLKREQ_B_OVERRIDE_EN",
        "Control the PCIE_CLKREQ_B to the pad together with CLKREQ_B from contr"
        "oller",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_CLKREQ_B_OVERRIDE",
        "Control the PCIE_CLKREQ_B to the pad together with CLKREQ_B from contr"
        "oller",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_VREG_BYPASS",
        "To PCIe PHY",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_PHY_TX_VBOOST_LVL",
        "To PCIe PHY",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_PHY_TX0_TERM_OFFSET",
        "To PCIe PHY",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_PHY_RX0_EQ",
        "To PCIe PHY",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_PHY_LOS_LEVEL",
        "To PCIe PHY",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_PHY_LOS_BIAS",
        "To PCIe PHY",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR15.
static const field_t hw_iomuxc_gpr_gpr15[] =
{
    {
        "PCIE1_PCS_TX_SWING_LOW",
        "To PCIe PHY",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_PCS_TX_SWING_FULL",
        "To PCIe PHY",
        7, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_PCS_TX_DEEMPH_GEN2_6DB",
        "To PCIe PHY",
        14, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_PCS_TX_DEEMPH_GEN2_3P5DB",
        "To PCIe PHY",
        20, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE1_PCS_TX_DEEMPH_GEN1",
        "To PCIe PHY",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR16.
static const field_t hw_iomuxc_gpr_gpr16[] =
{
    {
        "PCIE2_APP_CLK_PM_EN",
        "To PCIe PHY",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_REF_USE_PAD",
        "To PCIe PHY",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_CLKREQ_B_OVERRIDE_EN",
        "Control the PCIE_CLKREQ_B to the pad together with CLKREQ_B from contr"
        "oller",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_CLKREQ_B_OVERRIDE",
        "Control the PCIE_CLKREQ_B to the pad together with CLKREQ_B from contr"
        "oller",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_VREG_BYPASS",
        "To PCIe PHY",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PHY_TX_VBOOST_LVL",
        "To PCIe PHY",
        13, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PHY_TX0_TERM_OFFSET",
        "To PCIe PHY",
        16, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PHY_RX0_EQ",
        "To PCIe PHY",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PHY_LOS_LEVEL",
        "To PCIe PHY",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PHY_LOS_BIAS",
        "To PCIe PHY",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR17.
static const field_t hw_iomuxc_gpr_gpr17[] =
{
    {
        "PCIE2_PCS_TX_SWING_LOW",
        "To PCIe PHY",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PCS_TX_SWING_FULL",
        "To PCIe PHY",
        7, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PCS_TX_DEEMPH_GEN2_6DB",
        "To PCIe PHY",
        14, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PCS_TX_DEEMPH_GEN2_3P5DB",
        "To PCIe PHY",
        20, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE2_PCS_TX_DEEMPH_GEN1",
        "To PCIe PHY",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR18.
static const field_t hw_iomuxc_gpr_gpr18[] =
{
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR19.
static const field_t hw_iomuxc_gpr_gpr19[] =
{
    {
        "PCIE_DIAG_STATUS",
        "PCIe DIAG Status Bus",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR20.
static const field_t hw_iomuxc_gpr_gpr20[] =
{
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR21.
static const field_t hw_iomuxc_gpr_gpr21[] =
{
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR22.
static const field_t hw_iomuxc_gpr_gpr22[] =
{
    {
        "CPU_STANDBYWFI",
        "Status of CPU STANDBYWFI low power states MSB: status of core 3 STANDB"
        "YWFI low power state LSB: status of core 0 STANDBYWFI low power state",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CPU_STANDBYWFE",
        "Status of CPU STANDBYWFE low power states MSB: status of core 3 STANDB"
        "YWFE low power state LSB: status of core 0 STANDBYWFE low power state",
        20, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR23.
static const field_t hw_iomuxc_gpr_gpr23[] =
{
    {
        "DSI_RX_RCAL",
        "For DSI Control",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSI_RTERM_SEL",
        "For DSI Control",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSI_RCALT",
        "For DSI Control",
        3, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSI_NOCAL",
        "For DSI Control",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSI_HSEL",
        "For DSI Control",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSI_TX_ULPS_ENABLE",
        "For DSI Control",
        7, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSI_TRIGGER_SEND",
        "For DSI Control",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSI_TRIGGER_REQ",
        "For DSI Control",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDSI_DPHY_TURNAROUND",
        "For DSI Control",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR24.
static const field_t hw_iomuxc_gpr_gpr24[] =
{
    {
        "DSI_TWO_BIT_ERR",
        "for DSI status",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_ECC_ONE_BIT_ERR_POS",
        "for DSI status",
        1, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_ECC_ONE_BIT_ERR",
        "for DSI status",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_ECC_ERR_POS",
        "for DSI status",
        7, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_ECC_ERR",
        "for DSI status",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_HOST_UNDERRUN_ERR",
        "for DSI status",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_TRIGGER_ACK",
        "for DSI status",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_LP_RX_TIMEOUT",
        "for DSI status",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_HS_TX_TIMEOUT",
        "for DSI status",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_HOST_BTA_TIMEOUT",
        "for DSI status",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_DPHY_DIRECTION",
        "for DSI status",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_CRC_ERR",
        "for DSI status",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_CALOUT",
        "for DSI status",
        18, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_CALCOMPL",
        "for DSI status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_ULPS_ACTIVE",
        "for DSI status",
        21, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR25.
static const field_t hw_iomuxc_gpr_gpr25[] =
{
    {
        "DSI_UI_STATUS3_RO",
        "for DSI status: host_ui_status[125:96]",
        0, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR26.
static const field_t hw_iomuxc_gpr_gpr26[] =
{
    {
        "DSI_UI_STATUS2_RO",
        "for DSI status: host_ui_status[95:64]",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR27.
static const field_t hw_iomuxc_gpr_gpr27[] =
{
    {
        "DSI_UI_STATUS1_RO",
        "for DSI status: host_ui_status[63:32]",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR28.
static const field_t hw_iomuxc_gpr_gpr28[] =
{
    {
        "DSI_UI_STATUS0_RO",
        "for DSI status: host_ui_status[31:0]",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR29.
static const field_t hw_iomuxc_gpr_gpr29[] =
{
    {
        "DSI_TEST_PATTERN",
        "for DSI test control",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR30.
static const field_t hw_iomuxc_gpr_gpr30[] =
{
    {
        "DSI_D0_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_D0_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_D0_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR31.
static const field_t hw_iomuxc_gpr_gpr31[] =
{
    {
        "DSI_D1_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_D1_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_D1_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR32.
static const field_t hw_iomuxc_gpr_gpr32[] =
{
    {
        "DSI_D2_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_D2_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_D2_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR33.
static const field_t hw_iomuxc_gpr_gpr33[] =
{
    {
        "DSI_D3_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_D3_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DSI_D3_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR34.
static const field_t hw_iomuxc_gpr_gpr34[] =
{
    {
        "CSI2_1_RX_RCAL",
        "for CSI2_1 control",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_1_S_PRG_RXHS_SETTLE",
        "for DSI test status",
        2, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_1_CONT_CLK_MODE",
        "for DSI test status",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_1_AUTO_PD_EN",
        "for DSI test status",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_1_HSEL",
        "for DSI test status",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_1_PD_RX",
        "for DSI test status",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_1_VID_INTFC_ENB",
        "for DSI test status",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_1_RX_ENABLE",
        "for DSI test status",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR35.
static const field_t hw_iomuxc_gpr_gpr35[] =
{
    {
        "CSI2_1_ECC_TWO_BIT_ERROR",
        "for CSI2_1 status",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_ECC_ONE_BIT_ERR_POS",
        "for CSI2_1 status",
        1, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_ECC_ONE_BIT_ERROR",
        "for CSI2_1 status",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_ECC_ERR_POS",
        "for CSI2_1 status",
        7, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_ECC_ERR",
        "for CSI2_1 status",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_ULPS_MARK_ACTIVE",
        "for CSI2_1 status",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_RX_DPHY_RDY",
        "for CSI2_1 status",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_CRC_ERR",
        "for CSI2_1 status",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_ULPS_ACTIVE",
        "for CSI2_1 status",
        18, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_ERR_FIFO_WR_OVFL",
        "for CSI2_1 status",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_ERR_SEND_LEVEL",
        "for CSI2_1 status",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR36.
static const field_t hw_iomuxc_gpr_gpr36[] =
{
    {
        "CSI2_1_TEST_PATTERN",
        "for CSI2_1 test control",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR37.
static const field_t hw_iomuxc_gpr_gpr37[] =
{
    {
        "CSI2_1_D0_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_D0_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_D0_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR38.
static const field_t hw_iomuxc_gpr_gpr38[] =
{
    {
        "CSI2_1_D1_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_D1_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_D1_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR39.
static const field_t hw_iomuxc_gpr_gpr39[] =
{
    {
        "CSI2_1_D2_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_D2_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_D2_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR40.
static const field_t hw_iomuxc_gpr_gpr40[] =
{
    {
        "CSI2_1_D3_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_D3_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_1_D3_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR41.
static const field_t hw_iomuxc_gpr_gpr41[] =
{
    {
        "CSI2_2_RX_RCAL",
        "for CSI2_2 control",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_2_S_PRG_RXHS_SETTLE",
        "for DSI test status",
        2, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_2_CONT_CLK_MODE",
        "for DSI test status",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_2_AUTO_PD_EN",
        "for DSI test status",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_2_HSEL",
        "for DSI test status",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_2_PD_RX",
        "for DSI test status",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_2_VID_INTFC_ENB",
        "for DSI test status",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2_2_RX_ENABLE",
        "for DSI test status",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR42.
static const field_t hw_iomuxc_gpr_gpr42[] =
{
    {
        "CSI2_2_ECC_TWO_BIT_ERROR",
        "for CSI2_2 status",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_ECC_ONE_BIT_ERR_POS",
        "for CSI2_2 status",
        1, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_ECC_ONE_BIT_ERROR",
        "for CSI2_2 status",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_ECC_ERR_POS",
        "for CSI2_2 status",
        7, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_ECC_ERR",
        "for CSI2_2 status",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_ULPS_MARK_ACTIVE",
        "for CSI2_2 status",
        11, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_RX_DPHY_RDY",
        "for CSI2_2 status",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_CRC_ERR",
        "for CSI2_2 status",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_ULPS_ACTIVE",
        "for CSI2_2 status",
        18, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_ERR_FIFO_WR_OVFL",
        "for CSI2_2 status",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_ERR_SEND_LEVEL",
        "for CSI2_2 status",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR43.
static const field_t hw_iomuxc_gpr_gpr43[] =
{
    {
        "CSI2_2_TEST_PATTERN",
        "for CSI2_2 test control",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR44.
static const field_t hw_iomuxc_gpr_gpr44[] =
{
    {
        "CSI2_2_D0_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_D0_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_D0_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR45.
static const field_t hw_iomuxc_gpr_gpr45[] =
{
    {
        "CSI2_2_D1_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_D1_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_D1_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR46.
static const field_t hw_iomuxc_gpr_gpr46[] =
{
    {
        "CSI2_2_D2_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_D2_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_D2_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IOMUXC_GPR_GPR47.
static const field_t hw_iomuxc_gpr_gpr47[] =
{
    {
        "CSI2_2_D3_INT_LB_BYTE_CNT",
        "for DSI test status",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_D3_INT_LB_ERR_CNT",
        "for DSI test status",
        10, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI2_2_D3_LB_ACTIVE",
        "for DSI test status",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a IOMUXC_GPR module.
static const reg_t hw_iomuxc_gpr[] =
{
    {
        "GPR0",
        "GPR Register",
        4, // Width in bytes
        0x00000000, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_iomuxc_gpr_gpr0
    },
    {
        "GPR1",
        "GPR Register",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_gpr_gpr1
    },
    {
        "GPR2",
        "GPR Register",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_iomuxc_gpr_gpr2
    },
    {
        "GPR3",
        "GPR Register",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_iomuxc_gpr_gpr3
    },
    {
        "GPR4",
        "GPR Register",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_iomuxc_gpr_gpr4
    },
    {
        "GPR5",
        "GPR Register",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_gpr_gpr5
    },
    {
        "GPR6",
        "GPR Register",
        4, // Width in bytes
        0x00000018, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_iomuxc_gpr_gpr6
    },
    {
        "GPR7",
        "GPR Register",
        4, // Width in bytes
        0x0000001c, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_iomuxc_gpr_gpr7
    },
    {
        "GPR8",
        "GPR Register",
        4, // Width in bytes
        0x00000020, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_iomuxc_gpr_gpr8
    },
    {
        "GPR9",
        "GPR Register",
        4, // Width in bytes
        0x00000024, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_iomuxc_gpr_gpr9
    },
    {
        "GPR10",
        "GPR Register",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_iomuxc_gpr_gpr10
    },
    {
        "GPR11",
        "GPR Register",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_iomuxc_gpr_gpr11
    },
    {
        "GPR12",
        "GPR Register",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_iomuxc_gpr_gpr12
    },
    {
        "GPR13",
        "GPR Register",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_iomuxc_gpr_gpr13
    },
    {
        "GPR14",
        "GPR Register",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_iomuxc_gpr_gpr14
    },
    {
        "GPR15",
        "GPR Register",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_gpr_gpr15
    },
    {
        "GPR16",
        "GPR Register",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_iomuxc_gpr_gpr16
    },
    {
        "GPR17",
        "GPR Register",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_iomuxc_gpr_gpr17
    },
    {
        "GPR18",
        "GPR Register",
        4, // Width in bytes
        0x00000048, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_iomuxc_gpr_gpr18
    },
    {
        "GPR19",
        "GPR Register",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_iomuxc_gpr_gpr19
    },
    {
        "GPR20",
        "GPR Register",
        4, // Width in bytes
        0x00000050, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_iomuxc_gpr_gpr20
    },
    {
        "GPR21",
        "GPR Register",
        4, // Width in bytes
        0x00000054, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_iomuxc_gpr_gpr21
    },
    {
        "GPR22",
        "GPR Register",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_iomuxc_gpr_gpr22
    },
    {
        "GPR23",
        "GPR Register",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_iomuxc_gpr_gpr23
    },
    {
        "GPR24",
        "GPR Register",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        false, // Writable
        15, // Number of bitfields
        hw_iomuxc_gpr_gpr24
    },
    {
        "GPR25",
        "GPR Register",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_iomuxc_gpr_gpr25
    },
    {
        "GPR26",
        "GPR Register",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_iomuxc_gpr_gpr26
    },
    {
        "GPR27",
        "GPR Register",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_iomuxc_gpr_gpr27
    },
    {
        "GPR28",
        "GPR Register",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_iomuxc_gpr_gpr28
    },
    {
        "GPR29",
        "GPR Register",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_iomuxc_gpr_gpr29
    },
    {
        "GPR30",
        "GPR Register",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr30
    },
    {
        "GPR31",
        "GPR Register",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr31
    },
    {
        "GPR32",
        "GPR Register",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr32
    },
    {
        "GPR33",
        "GPR Register",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr33
    },
    {
        "GPR34",
        "GPR Register",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_iomuxc_gpr_gpr34
    },
    {
        "GPR35",
        "GPR Register",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        false, // Writable
        11, // Number of bitfields
        hw_iomuxc_gpr_gpr35
    },
    {
        "GPR36",
        "GPR Register",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_iomuxc_gpr_gpr36
    },
    {
        "GPR37",
        "GPR Register",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr37
    },
    {
        "GPR38",
        "GPR Register",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr38
    },
    {
        "GPR39",
        "GPR Register",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr39
    },
    {
        "GPR40",
        "GPR Register",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr40
    },
    {
        "GPR41",
        "GPR Register",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_iomuxc_gpr_gpr41
    },
    {
        "GPR42",
        "GPR Register",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        false, // Writable
        11, // Number of bitfields
        hw_iomuxc_gpr_gpr42
    },
    {
        "GPR43",
        "GPR Register",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_iomuxc_gpr_gpr43
    },
    {
        "GPR44",
        "GPR Register",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr44
    },
    {
        "GPR45",
        "GPR Register",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr45
    },
    {
        "GPR46",
        "GPR Register",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr46
    },
    {
        "GPR47",
        "GPR Register",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_iomuxc_gpr_gpr47
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark IRQ_STEER
#endif

// Bitfields in register IRQ_STEER_CHANnCTL.
static const field_t hw_irq_steer_channctl[] =
{
    {
        "CH0",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH1",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH2",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH3",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CH4",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK0.
static const field_t hw_irq_steer_chn_mask0[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK1.
static const field_t hw_irq_steer_chn_mask1[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK2.
static const field_t hw_irq_steer_chn_mask2[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK3.
static const field_t hw_irq_steer_chn_mask3[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK4.
static const field_t hw_irq_steer_chn_mask4[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK5.
static const field_t hw_irq_steer_chn_mask5[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK6.
static const field_t hw_irq_steer_chn_mask6[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK7.
static const field_t hw_irq_steer_chn_mask7[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK8.
static const field_t hw_irq_steer_chn_mask8[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK9.
static const field_t hw_irq_steer_chn_mask9[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK10.
static const field_t hw_irq_steer_chn_mask10[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK11.
static const field_t hw_irq_steer_chn_mask11[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK12.
static const field_t hw_irq_steer_chn_mask12[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK13.
static const field_t hw_irq_steer_chn_mask13[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK14.
static const field_t hw_irq_steer_chn_mask14[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MASK15.
static const field_t hw_irq_steer_chn_mask15[] =
{
    {
        "MASKFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET0.
static const field_t hw_irq_steer_chn_set0[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET1.
static const field_t hw_irq_steer_chn_set1[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET2.
static const field_t hw_irq_steer_chn_set2[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET3.
static const field_t hw_irq_steer_chn_set3[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET4.
static const field_t hw_irq_steer_chn_set4[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET5.
static const field_t hw_irq_steer_chn_set5[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET6.
static const field_t hw_irq_steer_chn_set6[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET7.
static const field_t hw_irq_steer_chn_set7[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET8.
static const field_t hw_irq_steer_chn_set8[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET9.
static const field_t hw_irq_steer_chn_set9[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET10.
static const field_t hw_irq_steer_chn_set10[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET11.
static const field_t hw_irq_steer_chn_set11[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET12.
static const field_t hw_irq_steer_chn_set12[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET13.
static const field_t hw_irq_steer_chn_set13[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET14.
static const field_t hw_irq_steer_chn_set14[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_SET15.
static const field_t hw_irq_steer_chn_set15[] =
{
    {
        "FORCEFLD",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS0.
static const field_t hw_irq_steer_chn_status0[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS1.
static const field_t hw_irq_steer_chn_status1[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS2.
static const field_t hw_irq_steer_chn_status2[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS3.
static const field_t hw_irq_steer_chn_status3[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS4.
static const field_t hw_irq_steer_chn_status4[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS5.
static const field_t hw_irq_steer_chn_status5[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS6.
static const field_t hw_irq_steer_chn_status6[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS7.
static const field_t hw_irq_steer_chn_status7[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS8.
static const field_t hw_irq_steer_chn_status8[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS9.
static const field_t hw_irq_steer_chn_status9[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS10.
static const field_t hw_irq_steer_chn_status10[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS11.
static const field_t hw_irq_steer_chn_status11[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS12.
static const field_t hw_irq_steer_chn_status12[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS13.
static const field_t hw_irq_steer_chn_status13[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS14.
static const field_t hw_irq_steer_chn_status14[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_STATUS15.
static const field_t hw_irq_steer_chn_status15[] =
{
    {
        "STATUS",
        "See for the correlation between an interrupt and its register and bit "
        "offset.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MINTDIS.
static const field_t hw_irq_steer_chn_mintdis[] =
{
    {
        "DISABLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register IRQ_STEER_CHn_MSTRSTAT.
static const field_t hw_irq_steer_chn_mstrstat[] =
{
    {
        "STATUS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a IRQ_STEER module.
static const reg_t hw_irq_steer[] =
{
    {
        "CHANnCTL",
        "This register is used to disable or \"zero-out\" outputs on a per-chan"
        "nel basis.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_irq_steer_channctl
    },
    {
        "CHn_MASK0",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask0
    },
    {
        "CHn_MASK1",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask1
    },
    {
        "CHn_MASK2",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask2
    },
    {
        "CHn_MASK3",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask3
    },
    {
        "CHn_MASK4",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask4
    },
    {
        "CHn_MASK5",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask5
    },
    {
        "CHn_MASK6",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask6
    },
    {
        "CHn_MASK7",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask7
    },
    {
        "CHn_MASK8",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask8
    },
    {
        "CHn_MASK9",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask9
    },
    {
        "CHn_MASK10",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask10
    },
    {
        "CHn_MASK11",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask11
    },
    {
        "CHn_MASK12",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask12
    },
    {
        "CHn_MASK13",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask13
    },
    {
        "CHn_MASK14",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask14
    },
    {
        "CHn_MASK15",
        "The MASK registers are used to mask any of the 512 individual interrup"
        "ts.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mask15
    },
    {
        "CHn_SET0",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set0
    },
    {
        "CHn_SET1",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set1
    },
    {
        "CHn_SET2",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set2
    },
    {
        "CHn_SET3",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set3
    },
    {
        "CHn_SET4",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set4
    },
    {
        "CHn_SET5",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set5
    },
    {
        "CHn_SET6",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set6
    },
    {
        "CHn_SET7",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set7
    },
    {
        "CHn_SET8",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set8
    },
    {
        "CHn_SET9",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set9
    },
    {
        "CHn_SET10",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set10
    },
    {
        "CHn_SET11",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set11
    },
    {
        "CHn_SET12",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set12
    },
    {
        "CHn_SET13",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set13
    },
    {
        "CHn_SET14",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set14
    },
    {
        "CHn_SET15",
        "This register is used to force an interrupt.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_set15
    },
    {
        "CHn_STATUS0",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status0
    },
    {
        "CHn_STATUS1",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status1
    },
    {
        "CHn_STATUS2",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status2
    },
    {
        "CHn_STATUS3",
        "",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status3
    },
    {
        "CHn_STATUS4",
        "",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status4
    },
    {
        "CHn_STATUS5",
        "",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status5
    },
    {
        "CHn_STATUS6",
        "",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status6
    },
    {
        "CHn_STATUS7",
        "",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status7
    },
    {
        "CHn_STATUS8",
        "",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status8
    },
    {
        "CHn_STATUS9",
        "",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status9
    },
    {
        "CHn_STATUS10",
        "",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status10
    },
    {
        "CHn_STATUS11",
        "",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status11
    },
    {
        "CHn_STATUS12",
        "",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status12
    },
    {
        "CHn_STATUS13",
        "",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status13
    },
    {
        "CHn_STATUS14",
        "",
        4, // Width in bytes
        0x000000bc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status14
    },
    {
        "CHn_STATUS15",
        "",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_status15
    },
    {
        "CHn_MINTDIS",
        "Interrupt disable mapping STATUS bit Interrupts disabled 7 511 - 448 6"
        " 447 - 384 5 383 - 320 4 319 - 256 3 255 - 192 2 191 - 128 1 127 - 64 "
        "0 63 - 0",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mintdis
    },
    {
        "CHn_MSTRSTAT",
        "",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_irq_steer_chn_mstrstat
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark ITM
#endif

// Bitfields in register ITM_STIM0_READ.
static const field_t hw_itm_stim0_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM0_WRITE.
static const field_t hw_itm_stim0_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM1_READ.
static const field_t hw_itm_stim1_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM1_WRITE.
static const field_t hw_itm_stim1_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM2_READ.
static const field_t hw_itm_stim2_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM2_WRITE.
static const field_t hw_itm_stim2_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM3_READ.
static const field_t hw_itm_stim3_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM3_WRITE.
static const field_t hw_itm_stim3_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM4_READ.
static const field_t hw_itm_stim4_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM4_WRITE.
static const field_t hw_itm_stim4_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM5_READ.
static const field_t hw_itm_stim5_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM5_WRITE.
static const field_t hw_itm_stim5_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM6_READ.
static const field_t hw_itm_stim6_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM6_WRITE.
static const field_t hw_itm_stim6_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM7_READ.
static const field_t hw_itm_stim7_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM7_WRITE.
static const field_t hw_itm_stim7_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM8_READ.
static const field_t hw_itm_stim8_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM8_WRITE.
static const field_t hw_itm_stim8_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM9_READ.
static const field_t hw_itm_stim9_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM9_WRITE.
static const field_t hw_itm_stim9_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM10_READ.
static const field_t hw_itm_stim10_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM10_WRITE.
static const field_t hw_itm_stim10_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM11_READ.
static const field_t hw_itm_stim11_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM11_WRITE.
static const field_t hw_itm_stim11_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM12_READ.
static const field_t hw_itm_stim12_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM12_WRITE.
static const field_t hw_itm_stim12_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM13_READ.
static const field_t hw_itm_stim13_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM13_WRITE.
static const field_t hw_itm_stim13_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM14_READ.
static const field_t hw_itm_stim14_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM14_WRITE.
static const field_t hw_itm_stim14_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM15_READ.
static const field_t hw_itm_stim15_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM15_WRITE.
static const field_t hw_itm_stim15_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM16_READ.
static const field_t hw_itm_stim16_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM16_WRITE.
static const field_t hw_itm_stim16_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM17_READ.
static const field_t hw_itm_stim17_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM17_WRITE.
static const field_t hw_itm_stim17_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM18_READ.
static const field_t hw_itm_stim18_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM18_WRITE.
static const field_t hw_itm_stim18_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM19_READ.
static const field_t hw_itm_stim19_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM19_WRITE.
static const field_t hw_itm_stim19_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM20_READ.
static const field_t hw_itm_stim20_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM20_WRITE.
static const field_t hw_itm_stim20_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM21_READ.
static const field_t hw_itm_stim21_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM21_WRITE.
static const field_t hw_itm_stim21_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM22_READ.
static const field_t hw_itm_stim22_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM22_WRITE.
static const field_t hw_itm_stim22_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM23_READ.
static const field_t hw_itm_stim23_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM23_WRITE.
static const field_t hw_itm_stim23_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM24_READ.
static const field_t hw_itm_stim24_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM24_WRITE.
static const field_t hw_itm_stim24_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM25_READ.
static const field_t hw_itm_stim25_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM25_WRITE.
static const field_t hw_itm_stim25_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM26_READ.
static const field_t hw_itm_stim26_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM26_WRITE.
static const field_t hw_itm_stim26_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM27_READ.
static const field_t hw_itm_stim27_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM27_WRITE.
static const field_t hw_itm_stim27_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM28_READ.
static const field_t hw_itm_stim28_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM28_WRITE.
static const field_t hw_itm_stim28_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM29_READ.
static const field_t hw_itm_stim29_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM29_WRITE.
static const field_t hw_itm_stim29_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM30_READ.
static const field_t hw_itm_stim30_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM30_WRITE.
static const field_t hw_itm_stim30_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM31_READ.
static const field_t hw_itm_stim31_read[] =
{
    {
        "FIFOREADY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_STIM31_WRITE.
static const field_t hw_itm_stim31_write[] =
{
    {
        "STIMULUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_TER.
static const field_t hw_itm_ter[] =
{
    {
        "STIMENA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_TPR.
static const field_t hw_itm_tpr[] =
{
    {
        "PRIVMASK",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_TCR.
static const field_t hw_itm_tcr[] =
{
    {
        "ITMENA",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TSENA",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNCENA",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXENA",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWOENA",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TSPRESCALE",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GTSFREQ",
        "",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRACEBUSID",
        "",
        16, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_LAR.
static const field_t hw_itm_lar[] =
{
    {
        "WRITEACCESSCODE",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_LSR.
static const field_t hw_itm_lsr[] =
{
    {
        "IMP",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STATUS",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "S8BIT",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_PID4.
static const field_t hw_itm_pid4[] =
{
    {
        "JEP106",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "C4KB",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_PID5.
static const field_t hw_itm_pid5[] =
{
    { 0 } // Terminator
};

// Bitfields in register ITM_PID6.
static const field_t hw_itm_pid6[] =
{
    { 0 } // Terminator
};

// Bitfields in register ITM_PID7.
static const field_t hw_itm_pid7[] =
{
    { 0 } // Terminator
};

// Bitfields in register ITM_PID0.
static const field_t hw_itm_pid0[] =
{
    {
        "PARTNUMBER",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_PID1.
static const field_t hw_itm_pid1[] =
{
    {
        "PARTNUMBER",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "JEP106_IDENTITY_CODE",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_PID2.
static const field_t hw_itm_pid2[] =
{
    {
        "JEP106_IDENTITY_CODE",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REVISION",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_PID3.
static const field_t hw_itm_pid3[] =
{
    {
        "CUSTOMERMODIFIED",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "REVAND",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_CID0.
static const field_t hw_itm_cid0[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_CID1.
static const field_t hw_itm_cid1[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "COMPONENTCLASS",
        "",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_CID2.
static const field_t hw_itm_cid2[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ITM_CID3.
static const field_t hw_itm_cid3[] =
{
    {
        "PREAMBLE",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a ITM module.
static const reg_t hw_itm[] =
{
    {
        "STIM0_READ",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim0_read
    },
    {
        "STIM0_WRITE",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim0_write
    },
    {
        "STIM1_READ",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim1_read
    },
    {
        "STIM1_WRITE",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim1_write
    },
    {
        "STIM2_READ",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim2_read
    },
    {
        "STIM2_WRITE",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim2_write
    },
    {
        "STIM3_READ",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim3_read
    },
    {
        "STIM3_WRITE",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim3_write
    },
    {
        "STIM4_READ",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim4_read
    },
    {
        "STIM4_WRITE",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim4_write
    },
    {
        "STIM5_READ",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim5_read
    },
    {
        "STIM5_WRITE",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim5_write
    },
    {
        "STIM6_READ",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim6_read
    },
    {
        "STIM6_WRITE",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim6_write
    },
    {
        "STIM7_READ",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim7_read
    },
    {
        "STIM7_WRITE",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim7_write
    },
    {
        "STIM8_READ",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim8_read
    },
    {
        "STIM8_WRITE",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim8_write
    },
    {
        "STIM9_READ",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim9_read
    },
    {
        "STIM9_WRITE",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim9_write
    },
    {
        "STIM10_READ",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim10_read
    },
    {
        "STIM10_WRITE",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim10_write
    },
    {
        "STIM11_READ",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim11_read
    },
    {
        "STIM11_WRITE",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim11_write
    },
    {
        "STIM12_READ",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim12_read
    },
    {
        "STIM12_WRITE",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim12_write
    },
    {
        "STIM13_READ",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim13_read
    },
    {
        "STIM13_WRITE",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim13_write
    },
    {
        "STIM14_READ",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim14_read
    },
    {
        "STIM14_WRITE",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim14_write
    },
    {
        "STIM15_READ",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim15_read
    },
    {
        "STIM15_WRITE",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim15_write
    },
    {
        "STIM16_READ",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim16_read
    },
    {
        "STIM16_WRITE",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim16_write
    },
    {
        "STIM17_READ",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim17_read
    },
    {
        "STIM17_WRITE",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim17_write
    },
    {
        "STIM18_READ",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim18_read
    },
    {
        "STIM18_WRITE",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim18_write
    },
    {
        "STIM19_READ",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim19_read
    },
    {
        "STIM19_WRITE",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim19_write
    },
    {
        "STIM20_READ",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim20_read
    },
    {
        "STIM20_WRITE",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim20_write
    },
    {
        "STIM21_READ",
        "",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim21_read
    },
    {
        "STIM21_WRITE",
        "",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim21_write
    },
    {
        "STIM22_READ",
        "",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim22_read
    },
    {
        "STIM22_WRITE",
        "",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim22_write
    },
    {
        "STIM23_READ",
        "",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim23_read
    },
    {
        "STIM23_WRITE",
        "",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim23_write
    },
    {
        "STIM24_READ",
        "",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim24_read
    },
    {
        "STIM24_WRITE",
        "",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim24_write
    },
    {
        "STIM25_READ",
        "",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim25_read
    },
    {
        "STIM25_WRITE",
        "",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim25_write
    },
    {
        "STIM26_READ",
        "",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim26_read
    },
    {
        "STIM26_WRITE",
        "",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim26_write
    },
    {
        "STIM27_READ",
        "",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim27_read
    },
    {
        "STIM27_WRITE",
        "",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim27_write
    },
    {
        "STIM28_READ",
        "",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim28_read
    },
    {
        "STIM28_WRITE",
        "",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim28_write
    },
    {
        "STIM29_READ",
        "",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim29_read
    },
    {
        "STIM29_WRITE",
        "",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim29_write
    },
    {
        "STIM30_READ",
        "",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim30_read
    },
    {
        "STIM30_WRITE",
        "",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim30_write
    },
    {
        "STIM31_READ",
        "",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim31_read
    },
    {
        "STIM31_WRITE",
        "",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_stim31_write
    },
    {
        "TER",
        "",
        4, // Width in bytes
        0x00000e00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_ter
    },
    {
        "TPR",
        "",
        4, // Width in bytes
        0x00000e40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_tpr
    },
    {
        "TCR",
        "",
        4, // Width in bytes
        0x00000e80, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_itm_tcr
    },
    {
        "LAR",
        "",
        4, // Width in bytes
        0x00000fb0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_itm_lar
    },
    {
        "LSR",
        "",
        4, // Width in bytes
        0x00000fb4, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_itm_lsr
    },
    {
        "PID4",
        "",
        4, // Width in bytes
        0x00000fd0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_itm_pid4
    },
    {
        "PID5",
        "",
        4, // Width in bytes
        0x00000fd4, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_itm_pid5
    },
    {
        "PID6",
        "",
        4, // Width in bytes
        0x00000fd8, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_itm_pid6
    },
    {
        "PID7",
        "",
        4, // Width in bytes
        0x00000fdc, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_itm_pid7
    },
    {
        "PID0",
        "",
        4, // Width in bytes
        0x00000fe0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_itm_pid0
    },
    {
        "PID1",
        "",
        4, // Width in bytes
        0x00000fe4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_itm_pid1
    },
    {
        "PID2",
        "",
        4, // Width in bytes
        0x00000fe8, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_itm_pid2
    },
    {
        "PID3",
        "",
        4, // Width in bytes
        0x00000fec, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_itm_pid3
    },
    {
        "CID0",
        "",
        4, // Width in bytes
        0x00000ff0, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_itm_cid0
    },
    {
        "CID1",
        "",
        4, // Width in bytes
        0x00000ff4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_itm_cid1
    },
    {
        "CID2",
        "",
        4, // Width in bytes
        0x00000ff8, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_itm_cid2
    },
    {
        "CID3",
        "",
        4, // Width in bytes
        0x00000ffc, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_itm_cid3
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark LCDIF
#endif

// Bitfields in register LCDIF_CTRL.
static const field_t hw_lcdif_ctrl[] =
{
    {
        "RUN",
        "When this bit is set by software, the LCDIF will begin transferring da"
        "ta between the SoC and the display.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_24_BIT",
        "Used only when WORD_LENGTH = 3, i.e.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_18_BIT",
        "Used only when WORD_LENGTH = 2, i.e.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_16_BIT",
        "When this bit is 1 and WORD_LENGTH = 0, it implies that the 16-bit dat"
        "a is in ARGB555 format.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "MASTER",
        "Set this bit to make the LCDIF act as a bus master.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PXP_HANDSHAKE",
        "If this bit is set and LCDIF_MASTER bit is set, the LCDIF will act as "
        "bus master and the handshake mechanism between LCDIF and PXP will be t"
        "urned on.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB_TO_YCBCR422_CSC",
        "Set this bit to 1 to enable conversion from RGB to YCbCr colorspace.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "Input data format.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCD_DATABUS_WIDTH",
        "LCD Data bus transfer width.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSC_DATA_SWIZZLE",
        "This field specifies how to swap the bytes after the data has been con"
        "verted into an internal representation of 24 bits per pixel and before"
        " it is transmitted over the LCD interface bus.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes fetched by the bus master i"
        "nterface.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SELECT",
        "Command Mode polarity bit.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_MODE",
        "Set this bit to 1 to make the hardware go into the DOTCLK mode, i.e.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_MODE",
        "Setting this bit to 1 will make the LCDIF hardware go into VSYNC mode.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_COUNT",
        "When this bit is 0, it means that LCDIF will stop the block operation "
        "and turn off the RUN bit after the amount of data indicated by the LCD"
        "IF_TRANSFER_COUNT register has been transferred out.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DVI_MODE",
        "Set this bit to 1 to get into the ITU-R BT.656 digital video interface"
        " mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_NUM_BITS",
        "The data to be transmitted is shifted left or right by this number of "
        "bits.",
        21, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SHIFT_DIR",
        "Use this bit to determine the direction of shift of transmit data.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAIT_FOR_VSYNC_EDGE",
        "Setting this bit to 1 will make the hardware wait for the triggering V"
        "SYNC edge before starting write transfers to the LCD.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_WRITEB",
        "By default, LCDIF is in the write mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCBCR422_INPUT",
        "Zero implies input data is in RGB color space.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "This bit must be set to zero to enable normal operation of the LCDIF.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL_SET.
static const field_t hw_lcdif_ctrl_set[] =
{
    {
        "RUN",
        "When this bit is set by software, the LCDIF will begin transferring da"
        "ta between the SoC and the display.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_24_BIT",
        "Used only when WORD_LENGTH = 3, i.e.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_18_BIT",
        "Used only when WORD_LENGTH = 2, i.e.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_16_BIT",
        "When this bit is 1 and WORD_LENGTH = 0, it implies that the 16-bit dat"
        "a is in ARGB555 format.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "MASTER",
        "Set this bit to make the LCDIF act as a bus master.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PXP_HANDSHAKE",
        "If this bit is set and LCDIF_MASTER bit is set, the LCDIF will act as "
        "bus master and the handshake mechanism between LCDIF and PXP will be t"
        "urned on.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB_TO_YCBCR422_CSC",
        "Set this bit to 1 to enable conversion from RGB to YCbCr colorspace.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "Input data format.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCD_DATABUS_WIDTH",
        "LCD Data bus transfer width.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSC_DATA_SWIZZLE",
        "This field specifies how to swap the bytes after the data has been con"
        "verted into an internal representation of 24 bits per pixel and before"
        " it is transmitted over the LCD interface bus.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes fetched by the bus master i"
        "nterface.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SELECT",
        "Command Mode polarity bit.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_MODE",
        "Set this bit to 1 to make the hardware go into the DOTCLK mode, i.e.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_MODE",
        "Setting this bit to 1 will make the LCDIF hardware go into VSYNC mode.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_COUNT",
        "When this bit is 0, it means that LCDIF will stop the block operation "
        "and turn off the RUN bit after the amount of data indicated by the LCD"
        "IF_TRANSFER_COUNT register has been transferred out.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DVI_MODE",
        "Set this bit to 1 to get into the ITU-R BT.656 digital video interface"
        " mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_NUM_BITS",
        "The data to be transmitted is shifted left or right by this number of "
        "bits.",
        21, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SHIFT_DIR",
        "Use this bit to determine the direction of shift of transmit data.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAIT_FOR_VSYNC_EDGE",
        "Setting this bit to 1 will make the hardware wait for the triggering V"
        "SYNC edge before starting write transfers to the LCD.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_WRITEB",
        "By default, LCDIF is in the write mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCBCR422_INPUT",
        "Zero implies input data is in RGB color space.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "This bit must be set to zero to enable normal operation of the LCDIF.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL_CLR.
static const field_t hw_lcdif_ctrl_clr[] =
{
    {
        "RUN",
        "When this bit is set by software, the LCDIF will begin transferring da"
        "ta between the SoC and the display.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_24_BIT",
        "Used only when WORD_LENGTH = 3, i.e.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_18_BIT",
        "Used only when WORD_LENGTH = 2, i.e.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_16_BIT",
        "When this bit is 1 and WORD_LENGTH = 0, it implies that the 16-bit dat"
        "a is in ARGB555 format.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "MASTER",
        "Set this bit to make the LCDIF act as a bus master.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PXP_HANDSHAKE",
        "If this bit is set and LCDIF_MASTER bit is set, the LCDIF will act as "
        "bus master and the handshake mechanism between LCDIF and PXP will be t"
        "urned on.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB_TO_YCBCR422_CSC",
        "Set this bit to 1 to enable conversion from RGB to YCbCr colorspace.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "Input data format.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCD_DATABUS_WIDTH",
        "LCD Data bus transfer width.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSC_DATA_SWIZZLE",
        "This field specifies how to swap the bytes after the data has been con"
        "verted into an internal representation of 24 bits per pixel and before"
        " it is transmitted over the LCD interface bus.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes fetched by the bus master i"
        "nterface.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SELECT",
        "Command Mode polarity bit.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_MODE",
        "Set this bit to 1 to make the hardware go into the DOTCLK mode, i.e.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_MODE",
        "Setting this bit to 1 will make the LCDIF hardware go into VSYNC mode.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_COUNT",
        "When this bit is 0, it means that LCDIF will stop the block operation "
        "and turn off the RUN bit after the amount of data indicated by the LCD"
        "IF_TRANSFER_COUNT register has been transferred out.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DVI_MODE",
        "Set this bit to 1 to get into the ITU-R BT.656 digital video interface"
        " mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_NUM_BITS",
        "The data to be transmitted is shifted left or right by this number of "
        "bits.",
        21, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SHIFT_DIR",
        "Use this bit to determine the direction of shift of transmit data.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAIT_FOR_VSYNC_EDGE",
        "Setting this bit to 1 will make the hardware wait for the triggering V"
        "SYNC edge before starting write transfers to the LCD.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_WRITEB",
        "By default, LCDIF is in the write mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCBCR422_INPUT",
        "Zero implies input data is in RGB color space.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "This bit must be set to zero to enable normal operation of the LCDIF.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL_TOG.
static const field_t hw_lcdif_ctrl_tog[] =
{
    {
        "RUN",
        "When this bit is set by software, the LCDIF will begin transferring da"
        "ta between the SoC and the display.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_24_BIT",
        "Used only when WORD_LENGTH = 3, i.e.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_18_BIT",
        "Used only when WORD_LENGTH = 2, i.e.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_FORMAT_16_BIT",
        "When this bit is 1 and WORD_LENGTH = 0, it implies that the 16-bit dat"
        "a is in ARGB555 format.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "MASTER",
        "Set this bit to make the LCDIF act as a bus master.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PXP_HANDSHAKE",
        "If this bit is set and LCDIF_MASTER bit is set, the LCDIF will act as "
        "bus master and the handshake mechanism between LCDIF and PXP will be t"
        "urned on.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RGB_TO_YCBCR422_CSC",
        "Set this bit to 1 to enable conversion from RGB to YCbCr colorspace.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WORD_LENGTH",
        "Input data format.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCD_DATABUS_WIDTH",
        "LCD Data bus transfer width.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSC_DATA_SWIZZLE",
        "This field specifies how to swap the bytes after the data has been con"
        "verted into an internal representation of 24 bits per pixel and before"
        " it is transmitted over the LCD interface bus.",
        12, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes fetched by the bus master i"
        "nterface.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SELECT",
        "Command Mode polarity bit.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_MODE",
        "Set this bit to 1 to make the hardware go into the DOTCLK mode, i.e.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_MODE",
        "Setting this bit to 1 will make the LCDIF hardware go into VSYNC mode.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYPASS_COUNT",
        "When this bit is 0, it means that LCDIF will stop the block operation "
        "and turn off the RUN bit after the amount of data indicated by the LCD"
        "IF_TRANSFER_COUNT register has been transferred out.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DVI_MODE",
        "Set this bit to 1 to get into the ITU-R BT.656 digital video interface"
        " mode.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SHIFT_NUM_BITS",
        "The data to be transmitted is shifted left or right by this number of "
        "bits.",
        21, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_SHIFT_DIR",
        "Use this bit to determine the direction of shift of transmit data.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAIT_FOR_VSYNC_EDGE",
        "Setting this bit to 1 will make the hardware wait for the triggering V"
        "SYNC edge before starting write transfers to the LCD.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_WRITEB",
        "By default, LCDIF is in the write mode.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "YCBCR422_INPUT",
        "Zero implies input data is in RGB color space.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKGATE",
        "This bit must be set to zero for normal operation.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SFTRST",
        "This bit must be set to zero to enable normal operation of the LCDIF.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL1.
static const field_t hw_lcdif_ctrl1[] =
{
    {
        "RESET",
        "Reset bit for the external LCD controller.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MODE86",
        "This bit is used to select between the 8080 and 6800 series of micropr"
        "ocessor modes.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY_ENABLE",
        "This bit enables the use of the interface's busy signal input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        3, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VSYNC_EDGE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_EDGE_IRQ_EN",
        "This bit is set to enable an interrupt every time the hardware encount"
        "ers the leading VSYNC edge in the VSYNC and DOTCLK modes, or the begin"
        "ning of every field in DVI mode.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ_EN",
        "This bit is set to 1 enable an interrupt every time the hardware enter"
        "s in the vertical blanking state.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ_EN",
        "This bit is set to enable an underflow interrupt in the TXFIFO in the "
        "write mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ_EN",
        "This bit is set to enable an overflow interrupt in the TXFIFO in the w"
        "rite mode.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTE_PACKING_FORMAT",
        "This bitfield is used to show which data bytes in a 32-bit word are va"
        "lid.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_ON_ALTERNATE_FIELDS",
        "If this bit is set, the LCDIF block will assert the cur_frame_done int"
        "errupt only on alternate fields, otherwise it will issue the interrupt"
        " on both odd and even field.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_CLEAR",
        "Set this bit to clear all the data in the latency FIFO (LFIFO), TXFIFO"
        " and the RXFIFO.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START_INTERLACE_FROM_SECOND_FIELD",
        "The default is to grab the odd lines first and then the even lines.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTERLACE_FIELDS",
        "Set this bit if it is required that the LCDIF block fetches odd lines "
        "in one field and even lines in the other field.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RECOVER_ON_UNDERFLOW",
        "Set this bit to enable the LCDIF block to recover in the next field/fr"
        "ame if there was an underflow in the current field/frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ_EN",
        "This bit is set to enable bus master error interrupt in the LCDIF mast"
        "er mode.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE_MPU_WR_STRB",
        "If this bit is not set, the write strobe will be driven on LCD_WR_RWn "
        "pin in the 8080 mode and on the LCD_RD_E pin in the 6800 mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL1_SET.
static const field_t hw_lcdif_ctrl1_set[] =
{
    {
        "RESET",
        "Reset bit for the external LCD controller.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MODE86",
        "This bit is used to select between the 8080 and 6800 series of micropr"
        "ocessor modes.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY_ENABLE",
        "This bit enables the use of the interface's busy signal input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        3, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VSYNC_EDGE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_EDGE_IRQ_EN",
        "This bit is set to enable an interrupt every time the hardware encount"
        "ers the leading VSYNC edge in the VSYNC and DOTCLK modes, or the begin"
        "ning of every field in DVI mode.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ_EN",
        "This bit is set to 1 enable an interrupt every time the hardware enter"
        "s in the vertical blanking state.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ_EN",
        "This bit is set to enable an underflow interrupt in the TXFIFO in the "
        "write mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ_EN",
        "This bit is set to enable an overflow interrupt in the TXFIFO in the w"
        "rite mode.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTE_PACKING_FORMAT",
        "This bitfield is used to show which data bytes in a 32-bit word are va"
        "lid.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_ON_ALTERNATE_FIELDS",
        "If this bit is set, the LCDIF block will assert the cur_frame_done int"
        "errupt only on alternate fields, otherwise it will issue the interrupt"
        " on both odd and even field.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_CLEAR",
        "Set this bit to clear all the data in the latency FIFO (LFIFO), TXFIFO"
        " and the RXFIFO.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START_INTERLACE_FROM_SECOND_FIELD",
        "The default is to grab the odd lines first and then the even lines.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTERLACE_FIELDS",
        "Set this bit if it is required that the LCDIF block fetches odd lines "
        "in one field and even lines in the other field.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RECOVER_ON_UNDERFLOW",
        "Set this bit to enable the LCDIF block to recover in the next field/fr"
        "ame if there was an underflow in the current field/frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ_EN",
        "This bit is set to enable bus master error interrupt in the LCDIF mast"
        "er mode.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE_MPU_WR_STRB",
        "If this bit is not set, the write strobe will be driven on LCD_WR_RWn "
        "pin in the 8080 mode and on the LCD_RD_E pin in the 6800 mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL1_CLR.
static const field_t hw_lcdif_ctrl1_clr[] =
{
    {
        "RESET",
        "Reset bit for the external LCD controller.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MODE86",
        "This bit is used to select between the 8080 and 6800 series of micropr"
        "ocessor modes.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY_ENABLE",
        "This bit enables the use of the interface's busy signal input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        3, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VSYNC_EDGE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_EDGE_IRQ_EN",
        "This bit is set to enable an interrupt every time the hardware encount"
        "ers the leading VSYNC edge in the VSYNC and DOTCLK modes, or the begin"
        "ning of every field in DVI mode.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ_EN",
        "This bit is set to 1 enable an interrupt every time the hardware enter"
        "s in the vertical blanking state.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ_EN",
        "This bit is set to enable an underflow interrupt in the TXFIFO in the "
        "write mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ_EN",
        "This bit is set to enable an overflow interrupt in the TXFIFO in the w"
        "rite mode.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTE_PACKING_FORMAT",
        "This bitfield is used to show which data bytes in a 32-bit word are va"
        "lid.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_ON_ALTERNATE_FIELDS",
        "If this bit is set, the LCDIF block will assert the cur_frame_done int"
        "errupt only on alternate fields, otherwise it will issue the interrupt"
        " on both odd and even field.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_CLEAR",
        "Set this bit to clear all the data in the latency FIFO (LFIFO), TXFIFO"
        " and the RXFIFO.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START_INTERLACE_FROM_SECOND_FIELD",
        "The default is to grab the odd lines first and then the even lines.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTERLACE_FIELDS",
        "Set this bit if it is required that the LCDIF block fetches odd lines "
        "in one field and even lines in the other field.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RECOVER_ON_UNDERFLOW",
        "Set this bit to enable the LCDIF block to recover in the next field/fr"
        "ame if there was an underflow in the current field/frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ_EN",
        "This bit is set to enable bus master error interrupt in the LCDIF mast"
        "er mode.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE_MPU_WR_STRB",
        "If this bit is not set, the write strobe will be driven on LCD_WR_RWn "
        "pin in the 8080 mode and on the LCD_RD_E pin in the 6800 mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL1_TOG.
static const field_t hw_lcdif_ctrl1_tog[] =
{
    {
        "RESET",
        "Reset bit for the external LCD controller.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MODE86",
        "This bit is used to select between the 8080 and 6800 series of micropr"
        "ocessor modes.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY_ENABLE",
        "This bit enables the use of the interface's busy signal input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        3, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VSYNC_EDGE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_EDGE_IRQ_EN",
        "This bit is set to enable an interrupt every time the hardware encount"
        "ers the leading VSYNC edge in the VSYNC and DOTCLK modes, or the begin"
        "ning of every field in DVI mode.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CUR_FRAME_DONE_IRQ_EN",
        "This bit is set to 1 enable an interrupt every time the hardware enter"
        "s in the vertical blanking state.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDERFLOW_IRQ_EN",
        "This bit is set to enable an underflow interrupt in the TXFIFO in the "
        "write mode.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OVERFLOW_IRQ_EN",
        "This bit is set to enable an overflow interrupt in the TXFIFO in the w"
        "rite mode.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BYTE_PACKING_FORMAT",
        "This bitfield is used to show which data bytes in a 32-bit word are va"
        "lid.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRQ_ON_ALTERNATE_FIELDS",
        "If this bit is set, the LCDIF block will assert the cur_frame_done int"
        "errupt only on alternate fields, otherwise it will issue the interrupt"
        " on both odd and even field.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIFO_CLEAR",
        "Set this bit to clear all the data in the latency FIFO (LFIFO), TXFIFO"
        " and the RXFIFO.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "START_INTERLACE_FROM_SECOND_FIELD",
        "The default is to grab the odd lines first and then the even lines.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INTERLACE_FIELDS",
        "Set this bit if it is required that the LCDIF block fetches odd lines "
        "in one field and even lines in the other field.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RECOVER_ON_UNDERFLOW",
        "Set this bit to enable the LCDIF block to recover in the next field/fr"
        "ame if there was an underflow in the current field/frame.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ",
        "This bit is set to indicate that an interrupt is requested by the LCDI"
        "F block.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BM_ERROR_IRQ_EN",
        "This bit is set to enable bus master error interrupt in the LCDIF mast"
        "er mode.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COMBINE_MPU_WR_STRB",
        "If this bit is not set, the write strobe will be driven on LCD_WR_RWn "
        "pin in the 8080 mode and on the LCD_RD_E pin in the 6800 mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL2.
static const field_t hw_lcdif_ctrl2[] =
{
    {
        "RSRVD0",
        "Reserved bits.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "INITIAL_DUMMY_READ",
        "The value in this field determines the number of dummy 8/16/18/24-bit "
        "subwords that have to be read back from the LCD panel/controller.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_NUM_PACKED_SUBWORDS",
        "Indicates the number of valid 8/16/18/24-bit subwords that will be pac"
        "ked into the 32-bit word in read mode.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READ_MODE_6_BIT_INPUT",
        "Setting this bit to 1 indicates to LCDIF that even though LCD_DATABUS_"
        "WIDTH is set to 8 bits, the input data is actually only 6 bits wide an"
        "d exists on D5-D0.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_OUTPUT_IN_RGB_FORMAT",
        "Setting this bit will enable the LCDIF to convert the incoming data to"
        " the RGB format given by WORD_LENGTH bitfield.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_PACK_DIR",
        "The default value of 0 indicates data is stored in the little endian f"
        "ormat.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        11, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "EVEN_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " EVEN lines (line numbers 2,4,6,..).",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD3",
        "Reserved bits.",
        15, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ODD_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " ODD lines (line numbers 1,3,5,..).",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD4",
        "Reserved bits.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BURST_LEN_8",
        "By default, when the LCDIF is in the bus master mode, it will issue AX"
        "I bursts of length 16 (except when in packed 24 bpp mode, it will issu"
        "e bursts of length 15).",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTSTANDING_REQS",
        "This bitfield indicates the maximum number of outstanding transactions"
        " that LCDIF should request when it is acting as a bus master.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD5",
        "Reserved bits.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL2_SET.
static const field_t hw_lcdif_ctrl2_set[] =
{
    {
        "RSRVD0",
        "Reserved bits.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "INITIAL_DUMMY_READ",
        "The value in this field determines the number of dummy 8/16/18/24-bit "
        "subwords that have to be read back from the LCD panel/controller.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_NUM_PACKED_SUBWORDS",
        "Indicates the number of valid 8/16/18/24-bit subwords that will be pac"
        "ked into the 32-bit word in read mode.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READ_MODE_6_BIT_INPUT",
        "Setting this bit to 1 indicates to LCDIF that even though LCD_DATABUS_"
        "WIDTH is set to 8 bits, the input data is actually only 6 bits wide an"
        "d exists on D5-D0.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_OUTPUT_IN_RGB_FORMAT",
        "Setting this bit will enable the LCDIF to convert the incoming data to"
        " the RGB format given by WORD_LENGTH bitfield.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_PACK_DIR",
        "The default value of 0 indicates data is stored in the little endian f"
        "ormat.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        11, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "EVEN_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " EVEN lines (line numbers 2,4,6,..).",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD3",
        "Reserved bits.",
        15, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ODD_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " ODD lines (line numbers 1,3,5,..).",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD4",
        "Reserved bits.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BURST_LEN_8",
        "By default, when the LCDIF is in the bus master mode, it will issue AX"
        "I bursts of length 16 (except when in packed 24 bpp mode, it will issu"
        "e bursts of length 15).",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTSTANDING_REQS",
        "This bitfield indicates the maximum number of outstanding transactions"
        " that LCDIF should request when it is acting as a bus master.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD5",
        "Reserved bits.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL2_CLR.
static const field_t hw_lcdif_ctrl2_clr[] =
{
    {
        "RSRVD0",
        "Reserved bits.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "INITIAL_DUMMY_READ",
        "The value in this field determines the number of dummy 8/16/18/24-bit "
        "subwords that have to be read back from the LCD panel/controller.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_NUM_PACKED_SUBWORDS",
        "Indicates the number of valid 8/16/18/24-bit subwords that will be pac"
        "ked into the 32-bit word in read mode.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READ_MODE_6_BIT_INPUT",
        "Setting this bit to 1 indicates to LCDIF that even though LCD_DATABUS_"
        "WIDTH is set to 8 bits, the input data is actually only 6 bits wide an"
        "d exists on D5-D0.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_OUTPUT_IN_RGB_FORMAT",
        "Setting this bit will enable the LCDIF to convert the incoming data to"
        " the RGB format given by WORD_LENGTH bitfield.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_PACK_DIR",
        "The default value of 0 indicates data is stored in the little endian f"
        "ormat.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        11, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "EVEN_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " EVEN lines (line numbers 2,4,6,..).",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD3",
        "Reserved bits.",
        15, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ODD_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " ODD lines (line numbers 1,3,5,..).",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD4",
        "Reserved bits.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BURST_LEN_8",
        "By default, when the LCDIF is in the bus master mode, it will issue AX"
        "I bursts of length 16 (except when in packed 24 bpp mode, it will issu"
        "e bursts of length 15).",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTSTANDING_REQS",
        "This bitfield indicates the maximum number of outstanding transactions"
        " that LCDIF should request when it is acting as a bus master.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD5",
        "Reserved bits.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CTRL2_TOG.
static const field_t hw_lcdif_ctrl2_tog[] =
{
    {
        "RSRVD0",
        "Reserved bits.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "INITIAL_DUMMY_READ",
        "The value in this field determines the number of dummy 8/16/18/24-bit "
        "subwords that have to be read back from the LCD panel/controller.",
        1, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_NUM_PACKED_SUBWORDS",
        "Indicates the number of valid 8/16/18/24-bit subwords that will be pac"
        "ked into the 32-bit word in read mode.",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "READ_MODE_6_BIT_INPUT",
        "Setting this bit to 1 indicates to LCDIF that even though LCD_DATABUS_"
        "WIDTH is set to 8 bits, the input data is actually only 6 bits wide an"
        "d exists on D5-D0.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_MODE_OUTPUT_IN_RGB_FORMAT",
        "Setting this bit will enable the LCDIF to convert the incoming data to"
        " the RGB format given by WORD_LENGTH bitfield.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "READ_PACK_DIR",
        "The default value of 0 indicates data is stored in the little endian f"
        "ormat.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        11, // LSB
        11, // MSB
        false, // Readable
        false // Writable
    },
    {
        "EVEN_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " EVEN lines (line numbers 2,4,6,..).",
        12, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD3",
        "Reserved bits.",
        15, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ODD_LINE_PATTERN",
        "This field determines the order of the RGB components of each pixel in"
        " ODD lines (line numbers 1,3,5,..).",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD4",
        "Reserved bits.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BURST_LEN_8",
        "By default, when the LCDIF is in the bus master mode, it will issue AX"
        "I bursts of length 16 (except when in packed 24 bpp mode, it will issu"
        "e bursts of length 15).",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OUTSTANDING_REQS",
        "This bitfield indicates the maximum number of outstanding transactions"
        " that LCDIF should request when it is acting as a bus master.",
        21, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD5",
        "Reserved bits.",
        24, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_TRANSFER_COUNT.
static const field_t hw_lcdif_transfer_count[] =
{
    {
        "H_COUNT",
        "Total valid data (pixels) in each horizontal line.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V_COUNT",
        "Number of horizontal lines per frame which contain valid data.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CUR_BUF.
static const field_t hw_lcdif_cur_buf[] =
{
    {
        "ADDR",
        "Address of the current frame being transmitted by LCDIF.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_NEXT_BUF.
static const field_t hw_lcdif_next_buf[] =
{
    {
        "ADDR",
        "Address of the next frame that will be transmitted by LCDIF.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_TIMING.
static const field_t hw_lcdif_timing[] =
{
    {
        "DATA_SETUP",
        "Data bus setup time in DISPLAY CLOCK (pix_clk) cycles.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_HOLD",
        "Data bus hold time in DISPLAY CLOCK (pix_clk) cycles.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMD_SETUP",
        "Number of DISPLAY CLOCK (pix_clk) cycles that the LCD_RS signal is act"
        "ive before LCD_CS is asserted.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMD_HOLD",
        "Number of DISPLAY CLOCK (pix_clk) cycles that the LCD_RS signal is act"
        "ive after LCD_CS is deasserted.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL0.
static const field_t hw_lcdif_vdctrl0[] =
{
    {
        "VSYNC_PULSE_WIDTH",
        "Number of units for which VSYNC signal is active.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE_MODE",
        "When this bit is 0, the first field (VSYNC period) will end in half a "
        "horizontal line and the second field will begin with half a horizontal"
        " line.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE",
        "Setting this bit to 1 will make the total VSYNC period equal to the VS"
        "YNC_PERIOD field plus half the HORIZONTAL_PERIOD field (i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PULSE_WIDTH_UNIT",
        "Default 0 for counting VSYNC_PULSE_WIDTH in terms of DISPLAY CLOCK (pi"
        "x_clk) cycles.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PERIOD_UNIT",
        "Default 0 for counting VSYNC_PERIOD in terms of DISPLAY CLOCK (pix_clk"
        ") cycles.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ENABLE_POL",
        "Default 0 active low during valid data transfer on each horizontal lin"
        "e.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_POL",
        "Default is data launched at negative edge of DOTCLK and captured at po"
        "sitive edge.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_POL",
        "Default 0 active low during HSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the HSYNC period.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRESENT",
        "Setting this bit to 1 will make the hardware generate the ENABLE signa"
        "l in the DOTCLK mode, thereby making it the true RGB interface along w"
        "ith the remaining three signals VSYNC, HSYNC and DOTCLK.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_OEB",
        "0 means the VSYNC signal is an output, 1 means it is an input.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL0_SET.
static const field_t hw_lcdif_vdctrl0_set[] =
{
    {
        "VSYNC_PULSE_WIDTH",
        "Number of units for which VSYNC signal is active.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE_MODE",
        "When this bit is 0, the first field (VSYNC period) will end in half a "
        "horizontal line and the second field will begin with half a horizontal"
        " line.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE",
        "Setting this bit to 1 will make the total VSYNC period equal to the VS"
        "YNC_PERIOD field plus half the HORIZONTAL_PERIOD field (i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PULSE_WIDTH_UNIT",
        "Default 0 for counting VSYNC_PULSE_WIDTH in terms of DISPLAY CLOCK (pi"
        "x_clk) cycles.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PERIOD_UNIT",
        "Default 0 for counting VSYNC_PERIOD in terms of DISPLAY CLOCK (pix_clk"
        ") cycles.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ENABLE_POL",
        "Default 0 active low during valid data transfer on each horizontal lin"
        "e.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_POL",
        "Default is data launched at negative edge of DOTCLK and captured at po"
        "sitive edge.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_POL",
        "Default 0 active low during HSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the HSYNC period.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRESENT",
        "Setting this bit to 1 will make the hardware generate the ENABLE signa"
        "l in the DOTCLK mode, thereby making it the true RGB interface along w"
        "ith the remaining three signals VSYNC, HSYNC and DOTCLK.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_OEB",
        "0 means the VSYNC signal is an output, 1 means it is an input.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL0_CLR.
static const field_t hw_lcdif_vdctrl0_clr[] =
{
    {
        "VSYNC_PULSE_WIDTH",
        "Number of units for which VSYNC signal is active.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE_MODE",
        "When this bit is 0, the first field (VSYNC period) will end in half a "
        "horizontal line and the second field will begin with half a horizontal"
        " line.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE",
        "Setting this bit to 1 will make the total VSYNC period equal to the VS"
        "YNC_PERIOD field plus half the HORIZONTAL_PERIOD field (i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PULSE_WIDTH_UNIT",
        "Default 0 for counting VSYNC_PULSE_WIDTH in terms of DISPLAY CLOCK (pi"
        "x_clk) cycles.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PERIOD_UNIT",
        "Default 0 for counting VSYNC_PERIOD in terms of DISPLAY CLOCK (pix_clk"
        ") cycles.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ENABLE_POL",
        "Default 0 active low during valid data transfer on each horizontal lin"
        "e.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_POL",
        "Default is data launched at negative edge of DOTCLK and captured at po"
        "sitive edge.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_POL",
        "Default 0 active low during HSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the HSYNC period.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRESENT",
        "Setting this bit to 1 will make the hardware generate the ENABLE signa"
        "l in the DOTCLK mode, thereby making it the true RGB interface along w"
        "ith the remaining three signals VSYNC, HSYNC and DOTCLK.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_OEB",
        "0 means the VSYNC signal is an output, 1 means it is an input.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL0_TOG.
static const field_t hw_lcdif_vdctrl0_tog[] =
{
    {
        "VSYNC_PULSE_WIDTH",
        "Number of units for which VSYNC signal is active.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE_MODE",
        "When this bit is 0, the first field (VSYNC period) will end in half a "
        "horizontal line and the second field will begin with half a horizontal"
        " line.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HALF_LINE",
        "Setting this bit to 1 will make the total VSYNC period equal to the VS"
        "YNC_PERIOD field plus half the HORIZONTAL_PERIOD field (i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PULSE_WIDTH_UNIT",
        "Default 0 for counting VSYNC_PULSE_WIDTH in terms of DISPLAY CLOCK (pi"
        "x_clk) cycles.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_PERIOD_UNIT",
        "Default 0 for counting VSYNC_PERIOD in terms of DISPLAY CLOCK (pix_clk"
        ") cycles.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        22, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "ENABLE_POL",
        "Default 0 active low during valid data transfer on each horizontal lin"
        "e.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOTCLK_POL",
        "Default is data launched at negative edge of DOTCLK and captured at po"
        "sitive edge.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_POL",
        "Default 0 active low during HSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the HSYNC period.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_PRESENT",
        "Setting this bit to 1 will make the hardware generate the ENABLE signa"
        "l in the DOTCLK mode, thereby making it the true RGB interface along w"
        "ith the remaining three signals VSYNC, HSYNC and DOTCLK.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_OEB",
        "0 means the VSYNC signal is an output, 1 means it is an input.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL1.
static const field_t hw_lcdif_vdctrl1[] =
{
    {
        "VSYNC_PERIOD",
        "Total number of units between two positive or two negative edges of th"
        "e VSYNC signal.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL2.
static const field_t hw_lcdif_vdctrl2[] =
{
    {
        "HSYNC_PERIOD",
        "Total number of DISPLAY CLOCK (pix_clk) cycles between two positive or"
        " two negative edges of the HSYNC signal.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HSYNC_PULSE_WIDTH",
        "Number of DISPLAY CLOCK (pix_clk) cycles for which HSYNC signal is act"
        "ive.",
        18, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL3.
static const field_t hw_lcdif_vdctrl3[] =
{
    {
        "VERTICAL_WAIT_CNT",
        "In the VSYNC interface mode, wait for this number of DISPLAY CLOCK (pi"
        "x_clk) cycles from the falling VSYNC edge (or rising if VSYNC_POL is 1"
        ") before starting LCD transactions and is applicable only if WAIT_FOR_"
        "VSYNC_EDGE is set.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HORIZONTAL_WAIT_CNT",
        "In the DOTCLK mode, wait for this number of clocks from falling edge ("
        "or rising if HSYNC_POL is 1) of HSYNC signal to account for horizontal"
        " back porch plus the number of DOTCLKs before the moving picture infor"
        "mation begins.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSYNC_ONLY",
        "This bit must be set to 1 in the VSYNC mode of operation, and 0 in the"
        " DOTCLK mode of operation.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUX_SYNC_SIGNALS",
        "When this bit is set, the LCDIF block will internally mux HSYNC with L"
        "CD_D14, DOTCLK with LCD_D13 and ENABLE with LCD_D12, otherwise these s"
        "ignals will go out on separate pins.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_VDCTRL4.
static const field_t hw_lcdif_vdctrl4[] =
{
    {
        "DOTCLK_H_VALID_DATA_CNT",
        "Total number of DISPLAY CLOCK (pix_clk) cycles on each horizontal line"
        " that carry valid data in DOTCLK mode.",
        0, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYNC_SIGNALS_ON",
        "Set this field to 1 if the LCD controller requires that the VSYNC or V"
        "SYNC/HSYNC/DOTCLK control signals should be active at least one frame "
        "before the data transfers actually start and remain active at least on"
        "e frame after the data transfers end.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        19, // LSB
        28, // MSB
        false, // Readable
        false // Writable
    },
    {
        "DOTCLK_DLY_SEL",
        "This bitfield selects the amount of time by which the DOTCLK signal sh"
        "ould be delayed before coming out of the LCD_DOTCK pin.",
        29, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL0.
static const field_t hw_lcdif_dvictrl0[] =
{
    {
        "H_BLANKING_CNT",
        "Number of blanking samples to be inserted between EAV and SAV during h"
        "orizontal blanking interval.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        12, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "H_ACTIVE_CNT",
        "Number of active video samples to be transmitted.",
        16, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        28, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL1.
static const field_t hw_lcdif_dvictrl1[] =
{
    {
        "F2_START_LINE",
        "Vertical line number from which Field 2 begins.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1_END_LINE",
        "Vertical line number at which Field1 ends.",
        10, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F1_START_LINE",
        "Vertical line number from which Field 1 begins.",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL2.
static const field_t hw_lcdif_dvictrl2[] =
{
    {
        "V1_BLANK_END_LINE",
        "Vertical line number in the beginning part of Field2 where first Verti"
        "cal Blanking interval ends.",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V1_BLANK_START_LINE",
        "Vertical line number towards the end of Field1 where first Vertical Bl"
        "anking interval starts.",
        10, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "F2_END_LINE",
        "Vertical line number at which Field 2 ends.",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL3.
static const field_t hw_lcdif_dvictrl3[] =
{
    {
        "V_LINES_CNT",
        "Total number of vertical lines per frame (generally 525 or 625)",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V2_BLANK_END_LINE",
        "Vertical line number in the beginning part of Field1 where second Vert"
        "ical Blanking interval ends.",
        10, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V2_BLANK_START_LINE",
        "Vertical line number towards the end of Field2 where second Vertical B"
        "lanking interval starts.",
        20, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        30, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DVICTRL4.
static const field_t hw_lcdif_dvictrl4[] =
{
    {
        "H_FILL_CNT",
        "Number of active video samples that have to be filled with the filler "
        "data in the front and back portions of the active horizontal interval.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CR_FILL_VALUE",
        "Value of CR component of filler data.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CB_FILL_VALUE",
        "Value of CB component of filler data",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "Y_FILL_VALUE",
        "Value of Y component of filler data",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF0.
static const field_t hw_lcdif_csc_coeff0[] =
{
    {
        "CSC_SUBSAMPLE_FILTER",
        "This register describes the filtering and subsampling scheme to be per"
        "formed on the chroma components in order to convert from YCbCr 4:4:4 t"
        "o YCbCr 4:2:2 space.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        2, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C0",
        "Two's complement red multiplier coefficient for Y",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF1.
static const field_t hw_lcdif_csc_coeff1[] =
{
    {
        "C1",
        "Two's complement green multiplier coefficient for Y",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        10, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C2",
        "Two's complement blue multiplier coefficient for Y",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF2.
static const field_t hw_lcdif_csc_coeff2[] =
{
    {
        "C3",
        "Two's complement red multiplier coefficient for Cb",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        10, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C4",
        "Two's complement green multiplier coefficient for Cb",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF3.
static const field_t hw_lcdif_csc_coeff3[] =
{
    {
        "C5",
        "Two's complement blue multiplier coefficient for Cb",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        10, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C6",
        "Two's complement red multiplier coefficient for Cr",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_COEFF4.
static const field_t hw_lcdif_csc_coeff4[] =
{
    {
        "C7",
        "Two's complement green multiplier coefficient for Cr",
        0, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        10, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "C8",
        "Two's complement blue multiplier coefficient for Cr",
        16, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        26, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_OFFSET.
static const field_t hw_lcdif_csc_offset[] =
{
    {
        "Y_OFFSET",
        "Two's complement offset for the Y component",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "Reserved bits, write as 0.",
        9, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CBCR_OFFSET",
        "Two's complement offset for the Cb and Cr components",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits, write as 0.",
        25, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CSC_LIMIT.
static const field_t hw_lcdif_csc_limit[] =
{
    {
        "Y_MAX",
        "Upper limit of Y after RGB to 4:2:2 YCbCr conversion",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "Y_MIN",
        "Lower limit of Y after RGB to 4:2:2 YCbCr conversion",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CBCR_MAX",
        "Upper limit of Cb and Cr after RGB to 4:2:2 YCbCr conversion",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CBCR_MIN",
        "Lower limit of Cb and Cr after RGB to 4:2:2 YCbCr conversion",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_DATA.
static const field_t hw_lcdif_data[] =
{
    {
        "DATA_ZERO",
        "Byte 0 (least significant byte) of data written to LCDIF.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_ONE",
        "Byte 1 of data written to LCDIF.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_TWO",
        "Byte 2 of data written to LCDIF.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DATA_THREE",
        "Byte 3 (most significant byte) of data written to LCDIF.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_BM_ERROR_STAT.
static const field_t hw_lcdif_bm_error_stat[] =
{
    {
        "ADDR",
        "Virtual address at which bus master error occurred.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_CRC_STAT.
static const field_t hw_lcdif_crc_stat[] =
{
    {
        "CRC_VALUE",
        "Calculated CRC value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_STAT.
static const field_t hw_lcdif_stat[] =
{
    {
        "LFIFO_COUNT",
        "Read only view of the current count in Latency buffer (LFIFO).",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSRVD0",
        "Reserved bits.",
        9, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    {
        "DVI_CURRENT_FIELD",
        "Read only view of the current field being transmitted.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BUSY",
        "Read only view of the input busy signal from the external LCD controll"
        "er.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXFIFO_EMPTY",
        "Read only view of the signals that indicates LCD TXFIFO is empty.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXFIFO_FULL",
        "Read only view of the signals that indicates LCD TXFIFO is full.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LFIFO_EMPTY",
        "Read only view of the signals that indicates LCD LFIFO is empty.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LFIFO_FULL",
        "Read only view of the signals that indicates LCD LFIFO is full.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRESENT",
        "0: LCDIF not present on this product 1: LCDIF is present.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_THRES.
static const field_t hw_lcdif_thres[] =
{
    {
        "PANIC",
        "This value should be set to a value of pixels from 0 to 511.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD1",
        "Reserved bits.",
        9, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FASTCLOCK",
        "This value should be set to a value of pixels, from 0 to 511.",
        16, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD2",
        "Reserved bits.",
        25, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_CTRL.
static const field_t hw_lcdif_as_ctrl[] =
{
    {
        "AS_ENABLE",
        "When this bit is set by software, the LCDIF will start fetching AS buf"
        "fer data in bus master mode and combine it with another buffer.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA_CTRL",
        "Determines how the alpha value is constructed for this alpha surface.",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_COLORKEY",
        "Indicates that colorkey functionality is enabled for this alpha surfac"
        "e.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FORMAT",
        "Indicates the input buffer format for AS.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA",
        "Alpha modifier used when the ALPHA_MULTIPLY or ALPHA_OVERRIDE values a"
        "re programmed in REG_AS_CTRL[ALPHA_CTRL].",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROP",
        "Indicates a raster operation to perform when enabled.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPHA_INVERT",
        "Setting this bit to logic 0 will not alter the alpha value.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INPUT_DATA_SWIZZLE",
        "This field specifies how to swap the bytes either in the HW_LCDIF_DATA"
        " register or those fetched by the AXI master part of LCDIF.",
        21, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PS_DISABLE",
        "When this bit is set by software, the LCDIF will disable PS buffer dat"
        "a.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RVDS1",
        "Reserved, always set to zero.",
        24, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CSI_SYNC_ON_IRQ",
        "this bit is set by software to decide which vsync generate mode.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI_SYNC_ON_IRQ_EN",
        "This bit is set to enable an interrupt when LCDIF lock with CSI vsync "
        "input.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI_VSYNC_MODE",
        "this bit is set by software to decide which vsync generate mode.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI_VSYNC_POL",
        "Default 0 active low during VSYNC_PULSE_WIDTH time and will be high du"
        "ring the rest of the VSYNC period.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI_VSYNC_ENABLE",
        "When this bit is set by software, the LCDIF work as sync mode with CSI"
        " input.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_BUF.
static const field_t hw_lcdif_as_buf[] =
{
    {
        "ADDR",
        "Address pointer for the alpha surface 0 buffer.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_NEXT_BUF.
static const field_t hw_lcdif_as_next_buf[] =
{
    {
        "ADDR",
        "Address of the next frame that will be transmitted by LCDIF.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_CLRKEYLOW.
static const field_t hw_lcdif_as_clrkeylow[] =
{
    {
        "PIXEL",
        "Low range of RGB color key applied to AS buffer",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_AS_CLRKEYHIGH.
static const field_t hw_lcdif_as_clrkeyhigh[] =
{
    {
        "PIXEL",
        "High range of RGB color key applied to AS buffer",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved, always set to zero.",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LCDIF_SYNC_DELAY.
static const field_t hw_lcdif_sync_delay[] =
{
    {
        "H_COUNT_DELAY",
        "LCDIF VSYNC delayed counter for CSI_VSYNC.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "V_COUNT_DELAY",
        "LCDIF VSYNC delayed counter for CSI_VSYNC.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a LCDIF module.
static const reg_t hw_lcdif[] =
{
    {
        "CTRL",
        "The LCD Interface Control Register provides overall control of the LCD"
        "IF block.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_lcdif_ctrl
    },
    {
        "CTRL_SET",
        "The LCD Interface Control Register provides overall control of the LCD"
        "IF block.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_lcdif_ctrl_set
    },
    {
        "CTRL_CLR",
        "The LCD Interface Control Register provides overall control of the LCD"
        "IF block.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_lcdif_ctrl_clr
    },
    {
        "CTRL_TOG",
        "The LCD Interface Control Register provides overall control of the LCD"
        "IF block.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        24, // Number of bitfields
        hw_lcdif_ctrl_tog
    },
    {
        "CTRL1",
        "The LCDIF Control Register provides overall control of the LCDIF block"
        ".",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_lcdif_ctrl1
    },
    {
        "CTRL1_SET",
        "The LCDIF Control Register provides overall control of the LCDIF block"
        ".",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_lcdif_ctrl1_set
    },
    {
        "CTRL1_CLR",
        "The LCDIF Control Register provides overall control of the LCDIF block"
        ".",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_lcdif_ctrl1_clr
    },
    {
        "CTRL1_TOG",
        "The LCDIF Control Register provides overall control of the LCDIF block"
        ".",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_lcdif_ctrl1_tog
    },
    {
        "CTRL2",
        "The LCDIF Control Register provides overall control of the LCDIF block"
        ".",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_ctrl2
    },
    {
        "CTRL2_SET",
        "The LCDIF Control Register provides overall control of the LCDIF block"
        ".",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_ctrl2_set
    },
    {
        "CTRL2_CLR",
        "The LCDIF Control Register provides overall control of the LCDIF block"
        ".",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_ctrl2_clr
    },
    {
        "CTRL2_TOG",
        "The LCDIF Control Register provides overall control of the LCDIF block"
        ".",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_ctrl2_tog
    },
    {
        "TRANSFER_COUNT",
        "This register tells the LCDIF how much data will be sent for this fram"
        "e, or transaction.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_transfer_count
    },
    {
        "CUR_BUF",
        "This register indicates the address of the current frame being transmi"
        "tted by LCDIF.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_cur_buf
    },
    {
        "NEXT_BUF",
        "This register indicates the address of next frame that will be transmi"
        "tted by LCDIF.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_next_buf
    },
    {
        "TIMING",
        "The LCD interface timing register controls the various setup and hold "
        "times enforced by the LCD interface in the 6800/8080 MPU and VSYNC mod"
        "es of operation.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_timing
    },
    {
        "VDCTRL0",
        "This register is used to control the VSYNC and DOTCLK modes of the LCD"
        "IF so as to work with different types of LCDs like moving picture disp"
        "lays and delta pixel displays.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_lcdif_vdctrl0
    },
    {
        "VDCTRL0_SET",
        "This register is used to control the VSYNC and DOTCLK modes of the LCD"
        "IF so as to work with different types of LCDs like moving picture disp"
        "lays and delta pixel displays.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_lcdif_vdctrl0_set
    },
    {
        "VDCTRL0_CLR",
        "This register is used to control the VSYNC and DOTCLK modes of the LCD"
        "IF so as to work with different types of LCDs like moving picture disp"
        "lays and delta pixel displays.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_lcdif_vdctrl0_clr
    },
    {
        "VDCTRL0_TOG",
        "This register is used to control the VSYNC and DOTCLK modes of the LCD"
        "IF so as to work with different types of LCDs like moving picture disp"
        "lays and delta pixel displays.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_lcdif_vdctrl0_tog
    },
    {
        "VDCTRL1",
        "This register is used to control the VSYNC signal in the VSYNC and DOT"
        "CLK modes of the block.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_vdctrl1
    },
    {
        "VDCTRL2",
        "This register is used to control the HSYNC signal in the DOTCLK mode o"
        "f the block.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_vdctrl2
    },
    {
        "VDCTRL3",
        "This register is used to determine the vertical and horizontal wait co"
        "unts.",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_lcdif_vdctrl3
    },
    {
        "VDCTRL4",
        "This register is used to control the DOTCLK mode of the block.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_vdctrl4
    },
    {
        "DVICTRL0",
        "The Digital Video interface Control0 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl0
    },
    {
        "DVICTRL1",
        "The Digital Video interface Control1 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x000000d0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl1
    },
    {
        "DVICTRL2",
        "The Digital Video interface Control2 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl2
    },
    {
        "DVICTRL3",
        "The Digital Video interface Control3 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl3
    },
    {
        "DVICTRL4",
        "The Digital Video interface Control4 register provides the overall con"
        "trol of the Digital Video interface.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_dvictrl4
    },
    {
        "CSC_COEFF0",
        "LCDIF_CSC_COEFF0 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff0
    },
    {
        "CSC_COEFF1",
        "LCDIF_CSC_COEFF1 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff1
    },
    {
        "CSC_COEFF2",
        "LCDIF_CSC_COEFF2 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff2
    },
    {
        "CSC_COEFF3",
        "LCDIF_CSC_COEFF3 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff3
    },
    {
        "CSC_COEFF4",
        "LCDIF_CSC_COEFF4 register provides overall control over color space co"
        "nversion from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_coeff4
    },
    {
        "CSC_OFFSET",
        "LCDIF_CSC_ register provides overall control over color space conversi"
        "on from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_offset
    },
    {
        "CSC_LIMIT",
        "LCDIF_CSC_CTRL0 register provides overall control over color space con"
        "version from RGB to 4:2:2 YCbCr.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_csc_limit
    },
    {
        "DATA",
        "This register is used to transfer data using the PIO interface mode of"
        " operation.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_data
    },
    {
        "BM_ERROR_STAT",
        "This register reflects the virtual address at which the AXI master rec"
        "eived an error response from the slave.",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_bm_error_stat
    },
    {
        "CRC_STAT",
        "This register reflects the CRC value of each frame sent out by LCDIF.",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_crc_stat
    },
    {
        "STAT",
        "The LCD interface status register can be used to check the current sta"
        "tus of the LCDIF block.",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        false, // Writable
        9, // Number of bitfields
        hw_lcdif_stat
    },
    {
        "THRES",
        "This register is used to activate control signals when the number of p"
        "ixels reaches the programmed threshold.",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_lcdif_thres
    },
    {
        "AS_CTRL",
        "The Alpha Surface Parameter register provides additional controls for "
        "AS.",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_lcdif_as_ctrl
    },
    {
        "AS_BUF",
        "This register is used to indicate the base address of the AS buffer.",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_as_buf
    },
    {
        "AS_NEXT_BUF",
        "When the LCDIF is behaving as a master, this address points to the add"
        "ress of the next frame of data that will be sent out via the LCDIF.",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lcdif_as_next_buf
    },
    {
        "AS_CLRKEYLOW",
        "If a pixel in the current overlay image with a color that falls in the"
        " range from the ASCOLORKEYLOW to ASCOLORKEYHIGH range, it will use the"
        " PS pixel value for that location.",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_as_clrkeylow
    },
    {
        "AS_CLRKEYHIGH",
        "If a pixel in the current overlay image with a color that falls in the"
        " range from the ASCOLORKEYLOW to ASCOLORKEYHIGH range, it will use the"
        " PS pixel value for that location.",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_as_clrkeyhigh
    },
    {
        "SYNC_DELAY",
        "The LCDIF DOTCLK mode VSYNC will delay from CSI_VSYNC as ( V_COUNT_DEL"
        "AY * HSYNC_PERIOD + H_COUNT_DELAY) PIXCLK cycles",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lcdif_sync_delay
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark LMEM
#endif

// Bitfields in register LMEM_PCCCR.
static const field_t hw_lmem_pcccr[] =
{
    {
        "ENCACHE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENWRBUF",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCCR2",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCCR3",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVW0",
        "If the PUSHW0 and INVW0 bits are set, then after setting the GO bit, p"
        "ush all modified lines in way 0 and invalidate all lines in way 0 (cle"
        "ar way 0).",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUSHW0",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVW1",
        "If the PUSHW1 and INVW1 bits are set, then after setting the GO bit, p"
        "ush all modified lines in way 1 and invalidate all lines in way 1 (cle"
        "ar way 1).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUSHW1",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GO",
        "Setting this bit initiates the cache command indicated by bits 27-24.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PCCLCR.
static const field_t hw_lmem_pcclcr[] =
{
    {
        "LGO",
        "Setting this bit initiates the cache line command indicated by bits 27"
        "-24.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CACHEADDR",
        "CLCR[11:4] bits are used to access the tag arrays CLCR[11:2] bits are "
        "used to access the data arrays",
        2, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSEL",
        "Selects the way for line commands.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDSEL",
        "Selects tag or data for search and read or write commands.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCIVB",
        "If command used cache address and way, then this bit shows the initial"
        " state of the valid bit If command used physical address and a hit, th"
        "en this bit shows the initial state of the valid bit.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCIMB",
        "If command used cache address and way, then this bit shows the initial"
        " state of the modified bit If command used physical address and a hit,"
        " then this bit shows the initial state of the modified bit.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCWAY",
        "Indicates the way used by the line command.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCMD",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LADSEL",
        "When using the cache address, the way must also be specified in CLCR[W"
        "SEL].",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LACC",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PCCSAR.
static const field_t hw_lmem_pccsar[] =
{
    {
        "LGO",
        "Setting this bit initiates the cache line command indicated by bits 27"
        "-24.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHYADDR",
        "PHYADDR represents bits [31:2] of the system address.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PCCCVR.
static const field_t hw_lmem_pcccvr[] =
{
    {
        "DATA",
        "For tag search, read or write: CCVR[31:12] bits are used for tag array"
        " R/W value CCVR[11:4] bits are used for tag set address on reads; unus"
        "ed on writes CCVR[3:2] bits are reserved For data search, read or writ"
        "e: CCVR[31:0] bits are used for data array R/W value",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PSCCR.
static const field_t hw_lmem_psccr[] =
{
    {
        "ENCACHE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENWRBUF",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVW0",
        "If the PUSHW0 and INVW0 bits are set, then after setting the GO bit, p"
        "ush all modified lines in way 0 and invalidate all lines in way 0 (cle"
        "ar way 0).",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUSHW0",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVW1",
        "If the PUSHW1 and INVW1 bits are set, then after setting the GO bit, p"
        "ush all modified lines in way 1 and invalidate all lines in way 1 (cle"
        "ar way 1).",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PUSHW1",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GO",
        "Setting this bit initiates the cache command indicated by bits 27-24.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PSCLCR.
static const field_t hw_lmem_psclcr[] =
{
    {
        "LGO",
        "Setting this bit initiates the cache line command indicated by bits 27"
        "-24.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CACHEADDR",
        "CLCR[11:4] bits are used to access the tag arrays CLCR[11:2] bits are "
        "used to access the data arrays",
        2, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WSEL",
        "Selects the way for line commands.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDSEL",
        "Selects tag or data for search and read or write commands.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCIVB",
        "If command used cache address and way, then this bit shows the initial"
        " state of the valid bit If command used physical address and a hit, th"
        "en this bit shows the initial state of the valid bit.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCIMB",
        "If command used cache address and way, then this bit shows the initial"
        " state of the modified bit If command used physical address and a hit,"
        " then this bit shows the initial state of the modified bit.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCWAY",
        "Indicates the way used by the line command.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LCMD",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LADSEL",
        "When using the cache address, the way must also be specified in CLCR[W"
        "SEL].",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LACC",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PSCSAR.
static const field_t hw_lmem_pscsar[] =
{
    {
        "LGO",
        "Setting this bit initiates the cache line command indicated by bits 27"
        "-24.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PHYADDR",
        "PHYADDR represents bits [31:2] of the system address.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register LMEM_PSCCVR.
static const field_t hw_lmem_psccvr[] =
{
    {
        "DATA",
        "For tag search, read or write: CCVR[31:12] bits are used for tag array"
        " R/W value CCVR[11:4] bits are used for tag set address on reads; unus"
        "ed on writes CCVR[3:2] bits are reserved For data search, read or writ"
        "e: CCVR[31:0] bits are used for data array R/W value",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a LMEM module.
static const reg_t hw_lmem[] =
{
    {
        "PCCCR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_lmem_pcccr
    },
    {
        "PCCLCR",
        "This register defines specific line-sized cache operations to be perfo"
        "rmed using a specific cache line address or a physical address.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_lmem_pcclcr
    },
    {
        "PCCSAR",
        "The CSAR register is used to define the explicit cache address or the "
        "physical address for line-sized commands specified in the CLCR[LADSEL]"
        " bit.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lmem_pccsar
    },
    {
        "PCCCVR",
        "The CCVR register is used to source write data or return read data for"
        " the commands specified in the CLCR register.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lmem_pcccvr
    },
    {
        "PSCCR",
        "",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_lmem_psccr
    },
    {
        "PSCLCR",
        "This register defines specific line-sized cache operations to be perfo"
        "rmed using a specific cache line address or a physical address.",
        4, // Width in bytes
        0x00000804, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_lmem_psclcr
    },
    {
        "PSCSAR",
        "The CSAR register is used to define the explicit cache address or the "
        "physical address for line-sized commands specified in the CLCR[LADSEL]"
        " bit.",
        4, // Width in bytes
        0x00000808, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_lmem_pscsar
    },
    {
        "PSCCVR",
        "The CCVR register is used to source write data or return read data for"
        " the commands specified in the CLCR register.",
        4, // Width in bytes
        0x0000080c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_lmem_psccvr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MCM
#endif

// Bitfields in register MCM_PLASC.
static const field_t hw_mcm_plasc[] =
{
    {
        "ASC",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MCM_PLAMC.
static const field_t hw_mcm_plamc[] =
{
    {
        "AMC",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MCM_PLACR.
static const field_t hw_mcm_placr[] =
{
    { 0 } // Terminator
};

// Bitfields in register MCM_FADR.
static const field_t hw_mcm_fadr[] =
{
    {
        "ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MCM_FATR.
static const field_t hw_mcm_fatr[] =
{
    {
        "BEDA",
        "Indicates the type of cache write buffer access when the error was det"
        "ected.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BEMD",
        "Indicates the privilege level of the cache write buffer access when th"
        "e error was detected.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BESZ",
        "Indicates the size of the cache write buffer access when the error was"
        " detected.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BEWT",
        "Indicates the type of system bus access when the error was detected.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BEMN",
        "Crossbar switch bus master number of the captured cache write buffer b"
        "us error.",
        8, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BEOVR",
        "Indicates if anothercache write buffer bus error is detected before sy"
        "stem software has retrieved all the error information from the origina"
        "l event, this overrun flag is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MCM_FDR.
static const field_t hw_mcm_fdr[] =
{
    {
        "DATA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a MCM module.
static const reg_t hw_mcm[] =
{
    {
        "PLASC",
        "PLASC is a 16-bit read-only register identifying the presence/absence "
        "of bus slave connections to the device's crossbar switch.",
        2, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mcm_plasc
    },
    {
        "PLAMC",
        "PLAMC is a 16-bit read-only register identifying the presence/absence "
        "of bus master connections to the device's crossbar switch.",
        2, // Width in bytes
        0x0000000a, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mcm_plamc
    },
    {
        "PLACR",
        "The PLACR register selects the arbitration policy for the crossbar mas"
        "ters.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_mcm_placr
    },
    {
        "FADR",
        "When a properly-enabled cache write buffer error interrupt event is de"
        "tected, the faulting address is captured in the MCM_FADR register.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mcm_fadr
    },
    {
        "FATR",
        "When a properly-enabled cache write buffer error interrupt event is de"
        "tected, the faulting attributes are captured in the MCM_FATR register.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        6, // Number of bitfields
        hw_mcm_fatr
    },
    {
        "FDR",
        "When a properly-enabled cache write buffer error interrupt event is de"
        "tected, the faulting data is captured in the MCM_FDR register.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mcm_fdr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MEMORY
#endif

// Registers in a MEMORY module.
static const reg_t hw_memory[] =
{
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MIPI_CSI2RX
#endif

// Bitfields in register MIPI_CSI2RX_CSI2RX_CFG_NUM_LANES.
static const field_t hw_mipi_csi2rx_csi2rx_cfg_num_lanes[] =
{
    {
        "CSI2RX_CFG_NUM_LANES",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_CFG_DISABLE_DATA_LANES.
static const field_t hw_mipi_csi2rx_csi2rx_cfg_disable_data_lanes[] =
{
    {
        "CSI2RX_CFG_DISABLE_DATA_LANES",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_BIT_ERR.
static const field_t hw_mipi_csi2rx_csi2rx_bit_err[] =
{
    {
        "CSI2RX_BIT_ERR",
        "Bit [0] - value of '1' indicates ECC two bit error has occurred since "
        "the last read of this register Bit [1] - value of '1' indicates ECC on"
        "e bit error has occurred since the last read of this register Bit [6:2"
        "] - ECC one bit error bit position that occurred since the last read o"
        "f this register Bit [7] - value of '1' indicates a CRC error has occur"
        "red since the last read of this register Bit [8] - value of '1' indica"
        "tes that rx video interface signal vid_err_send_level has asserted sin"
        "ce the last read of this register.",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_IRQ_STATUS.
static const field_t hw_mipi_csi2rx_csi2rx_irq_status[] =
{
    {
        "CSI2RX_IRQ_STATUS",
        "[0] - crc error [1] - one bit ecc error [2] - two bit ecc error [3] - "
        "ULPS status change [4] - DPHY ErrSotHS has occurred [5] - DPHY ErrSotS"
        "ync_HS has occurred [6] - DPHY ErrEsc has occurred [7] - DPHY ErrSyncE"
        "sc has occurred [8] - DPHY ErrControl has occurred",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_IRQ_MASK.
static const field_t hw_mipi_csi2rx_csi2rx_irq_mask[] =
{
    {
        "CSI2RX_IRQ_MASK",
        "Each bit in IRQ_MASK corresponds to each bit in IRQ_STATUS.",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_ULPS_STATUS.
static const field_t hw_mipi_csi2rx_csi2rx_ulps_status[] =
{
    {
        "CSI2RX_ULPS_STATUS",
        "[0] - Value '1' indicates Clock Lane in ULPS state [1] - Value '1' ind"
        "icates Data Lane 0 in ULPS state [2] - Value '1' indicates Data Lane 1"
        " in ULPS state [3] - Value '1' indicates Data Lane 2 in ULPS state [4]"
        " - Value '1' indicates Data Lane 3 in ULPS state [5] - Value '1' indic"
        "ates Clock Lane in Mark state [6] - Value '1' indicates Data Lane 0 in"
        " Mark state [7] - Value '1' indicates Data Lane 1 in Mark state [8] - "
        "Value '1' indicates Data Lane 2 in Mark state [9] - Value '1' indicate"
        "s Data Lane 3 in Mark state",
        0, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_PPI_ERRSOT_HS.
static const field_t hw_mipi_csi2rx_csi2rx_ppi_errsot_hs[] =
{
    {
        "CSI2RX_PPI_ERRSOT_HS",
        "[0] - data lane 0 [1] - data lane 1 [2] - data lane 2 [3] - data lane "
        "3",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_PPI_ERRSOTSYNC_HS.
static const field_t hw_mipi_csi2rx_csi2rx_ppi_errsotsync_hs[] =
{
    {
        "CSI2RX_PPI_ERRSOTSYNC_HS",
        "[0] - data lane 0 [1] - data lane 1 [2] - data lane 2 [3] - data lane "
        "3",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_PPI_ERRESC.
static const field_t hw_mipi_csi2rx_csi2rx_ppi_erresc[] =
{
    {
        "CSI2RX_PPI_ERRESC",
        "[0] - data lane 0 [1] - data lane 1 [2] - data lane 2 [3] - data lane "
        "3",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_PPI_ERRSYNCESC.
static const field_t hw_mipi_csi2rx_csi2rx_ppi_errsyncesc[] =
{
    {
        "CSI2RX_PPI_ERRSYNCESC",
        "[0] - data lane 0 [1] - data lane 1 [2] - data lane 2 [3] - data lane "
        "3",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_PPI_ERRCONTROL.
static const field_t hw_mipi_csi2rx_csi2rx_ppi_errcontrol[] =
{
    {
        "CSI2RX_PPI_ERRCONTROL",
        "[0] - data lane 0 [1] - data lane 1 [2] - data lane 2 [3] - data lane "
        "3",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_CFG_DISABLE_PAYLOAD_0.
static const field_t hw_mipi_csi2rx_csi2rx_cfg_disable_payload_0[] =
{
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_NULL",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_BLANK",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_EMBEDDED",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_LEGACY_YUV_8",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_YUV_8",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_YUV_10",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RGB444",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RGB555",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RGB565",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RGB666",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RGB888",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RAW6",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RAW7",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RAW8",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RAW10",
        "",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RAW12",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_RAW14",
        "",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_CSI2RX_CSI2RX_CFG_DISABLE_PAYLOAD_1.
static const field_t hw_mipi_csi2rx_csi2rx_cfg_disable_payload_1[] =
{
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_UDEF_30",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_UDEF_31",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_UDEF_32",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_UDEF_33",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_UDEF_34",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_UDEF_35",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_UDEF_36",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_UDEF_37",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_UNSUPPORTED",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a MIPI_CSI2RX module.
static const reg_t hw_mipi_csi2rx[] =
{
    {
        "CSI2RX_CFG_NUM_LANES",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_cfg_num_lanes
    },
    {
        "CSI2RX_CFG_DISABLE_DATA_LANES",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_cfg_disable_data_lanes
    },
    {
        "CSI2RX_BIT_ERR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_bit_err
    },
    {
        "CSI2RX_IRQ_STATUS",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_irq_status
    },
    {
        "CSI2RX_IRQ_MASK",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_irq_mask
    },
    {
        "CSI2RX_ULPS_STATUS",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_ulps_status
    },
    {
        "CSI2RX_PPI_ERRSOT_HS",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_ppi_errsot_hs
    },
    {
        "CSI2RX_PPI_ERRSOTSYNC_HS",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_ppi_errsotsync_hs
    },
    {
        "CSI2RX_PPI_ERRESC",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_ppi_erresc
    },
    {
        "CSI2RX_PPI_ERRSYNCESC",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_ppi_errsyncesc
    },
    {
        "CSI2RX_PPI_ERRCONTROL",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_ppi_errcontrol
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_0",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_cfg_disable_payload_0
    },
    {
        "CSI2RX_CFG_DISABLE_PAYLOAD_1",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_mipi_csi2rx_csi2rx_cfg_disable_payload_1
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MIPI_DSI_HOST
#endif

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_NUM_LANES.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_num_lanes[] =
{
    {
        "DSI_HOST_CFG_NUM_LANES",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_NONCONTINUOUS_CLK.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_noncontinuous_clk[] =
{
    {
        "DSI_HOST_CFG_NONCONTINUOUS_CLK",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_T_PRE.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_t_pre[] =
{
    {
        "DSI_HOST_CFG_T_PRE",
        "",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_T_POST.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_t_post[] =
{
    {
        "DSI_HOST_CFG_T_POST",
        "",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_TX_GAP.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_tx_gap[] =
{
    {
        "DSI_HOST_CFG_TX_GAP",
        "",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_AUTOINSERT_EOTP.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_autoinsert_eotp[] =
{
    {
        "DSI_HOST_CFG_AUTOINSERT_EOTP",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_EXTRA_CMDS_AFTER_EOTP.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_extra_cmds_after_eotp[] =
{
    {
        "DSI_HOST_CFG_EXTRA_CMDS_AFTER_EOTP",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_HTX_TO_COUNT.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_htx_to_count[] =
{
    {
        "DSI_HOST_CFG_HTX_TO_COUNT",
        "",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_LRX_H_TO_COUNT.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_lrx_h_to_count[] =
{
    {
        "DSI_HOST_CFG_LRX_H_TO_COUNT",
        "",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_BTA_H_TO_COUNT.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_bta_h_to_count[] =
{
    {
        "DSI_HOST_CFG_BTA_H_TO_COUNT",
        "",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_TWAKEUP.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_twakeup[] =
{
    {
        "DSI_HOST_CFG_TWAKEUP",
        "",
        0, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_CFG_STATUS_OUT.
static const field_t hw_mipi_dsi_host_dsi_host_cfg_status_out[] =
{
    {
        "SOT_ERROR",
        "SoT Error - Start of Transmission (SoT) Error from peripheral error re"
        "port, cleared upon read.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SOT_SYNC_ERROR",
        "SoT Sync Error - Start of Transmission (SoT) Sync Error from periphera"
        "l error report, cleared upon read",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EOT_SYNC_ERROR",
        "EoT Sync Error - End of Transmission (EoT) Sync Error from peripheral "
        "error report, cleared upon read",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ESCAPE_MODE_ENTRY_CMD_ERROR",
        "Escape Mode Entry Command Error - Escape Mode Entry Command Error from"
        " peripheral error report, cleared upon read",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LP_TX_SYNC_ERROR",
        "Low-Power Transmit Sync Error - Low Power Transmit Sync error from per"
        "ipheral error report, cleared upon read.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PERIPH_TIMEOUT_ERROR",
        "Peripheral Timeout Error - Peripheral Timeout error from peripheral er"
        "ror report, cleared upon read",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FALSE_CONTROL_ERROR",
        "False Control Error - False Control Error from peripheral error report"
        ", cleared upon read",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CONTENTION_DETECT",
        "Contention Detected - Contention Detection from peripheral error repor"
        "t, cleared upon read",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ECC_ERROR_SINGLE_BIT",
        "ECC single bit error from peripheral error report, cleared upon read.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ECC_ERROR_MULTI_BIT",
        "ECC Error, multi-bit (detected, not corrected) - ECC multi-bit error f"
        "rom peripheral error report, cleared upon read",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHECKSUM_ERROR",
        "Checksum Error (long packet only) - Checksum error from peripheral err"
        "or report, cleared upon read",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DSI_HOST_RX_ERROR_STATUS.
static const field_t hw_mipi_dsi_host_dsi_host_rx_error_status[] =
{
    {
        "DSI_HOST_RX_ERROR_STATUS",
        "",
        0, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a MIPI_DSI_HOST module.
static const reg_t hw_mipi_dsi_host[] =
{
    {
        "DSI_HOST_CFG_NUM_LANES",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_num_lanes
    },
    {
        "DSI_HOST_CFG_NONCONTINUOUS_CLK",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_noncontinuous_clk
    },
    {
        "DSI_HOST_CFG_T_PRE",
        "Please refer to the MIPI Alliance Specification for D-PHY (Global Oper"
        "ation Timing Parameters) for details on calculating the parameter desc"
        "ribed below",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_t_pre
    },
    {
        "DSI_HOST_CFG_T_POST",
        "Please refer to the MIPI Alliance Specification for D-PHY (Global Oper"
        "ation Timing Parameters) for details on calculating the parameter desc"
        "ribed below",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_t_post
    },
    {
        "DSI_HOST_CFG_TX_GAP",
        "Please refer to the MIPI Alliance Specification for D-PHY (Global Oper"
        "ation Timing Parameters) for details on calculating the parameter desc"
        "ribed below",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_tx_gap
    },
    {
        "DSI_HOST_CFG_AUTOINSERT_EOTP",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_autoinsert_eotp
    },
    {
        "DSI_HOST_CFG_EXTRA_CMDS_AFTER_EOTP",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_extra_cmds_after_eotp
    },
    {
        "DSI_HOST_CFG_HTX_TO_COUNT",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_htx_to_count
    },
    {
        "DSI_HOST_CFG_LRX_H_TO_COUNT",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_lrx_h_to_count
    },
    {
        "DSI_HOST_CFG_BTA_H_TO_COUNT",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_bta_h_to_count
    },
    {
        "DSI_HOST_CFG_TWAKEUP",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_twakeup
    },
    {
        "DSI_HOST_CFG_STATUS_OUT",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        false, // Writable
        11, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_cfg_status_out
    },
    {
        "DSI_HOST_RX_ERROR_STATUS",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dsi_host_rx_error_status
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MIPI_DSI_HOST_APB_PKT_IF
#endif

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_TX_PAYLOAD.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_tx_payload[] =
{
    {
        "DSI_HOST_TX_PAYLOAD",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_PKT_CONTROL.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_control[] =
{
    {
        "DSI_HOST_PKT_CONTROL",
        "",
        0, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_SEND_PACKET.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_send_packet[] =
{
    {
        "DSI_HOST_SEND_PACKET",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_PKT_STATUS.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_status[] =
{
    {
        "DSI_HOST_PKT_STATUS",
        "",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_PKT_FIFO_WR_LEVEL.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_fifo_wr_level[] =
{
    {
        "DSI_HOST_PKT_FIFO_WR_LEVEL",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_PKT_FIFO_RD_LEVEL.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_fifo_rd_level[] =
{
    {
        "DSI_HOST_PKT_FIFO_RD_LEVEL",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_PKT_RX_PAYLOAD.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_rx_payload[] =
{
    {
        "DSI_HOST_PKT_RX_PAYLOAD",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_PKT_RX_PKT_HEADER.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_rx_pkt_header[] =
{
    {
        "DSI_HOST_PKT_RX_PKT_HEADER",
        "",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_IRQ_STATUS.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_irq_status[] =
{
    {
        "DSI_HOST_IRQ_STATUS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_IRQ_STATUS2.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_irq_status2[] =
{
    {
        "DSI_HOST_IRQ_STATUS2",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_IRQ_MASK.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_irq_mask[] =
{
    {
        "DSI_HOST_IRQ_MASK",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_APB_PKT_IF_DSI_HOST_IRQ_MASK2.
static const field_t hw_mipi_dsi_host_apb_pkt_if_dsi_host_irq_mask2[] =
{
    {
        "DSI_HOST_IRQ_MASK2",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a MIPI_DSI_HOST_APB_PKT_IF module.
static const reg_t hw_mipi_dsi_host_apb_pkt_if[] =
{
    {
        "DSI_HOST_TX_PAYLOAD",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_tx_payload
    },
    {
        "DSI_HOST_PKT_CONTROL",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_control
    },
    {
        "DSI_HOST_SEND_PACKET",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_send_packet
    },
    {
        "DSI_HOST_PKT_STATUS",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_status
    },
    {
        "DSI_HOST_PKT_FIFO_WR_LEVEL",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_fifo_wr_level
    },
    {
        "DSI_HOST_PKT_FIFO_RD_LEVEL",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_fifo_rd_level
    },
    {
        "DSI_HOST_PKT_RX_PAYLOAD",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_rx_payload
    },
    {
        "DSI_HOST_PKT_RX_PKT_HEADER",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_pkt_rx_pkt_header
    },
    {
        "DSI_HOST_IRQ_STATUS",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_irq_status
    },
    {
        "DSI_HOST_IRQ_STATUS2",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_irq_status2
    },
    {
        "DSI_HOST_IRQ_MASK",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_irq_mask
    },
    {
        "DSI_HOST_IRQ_MASK2",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_apb_pkt_if_dsi_host_irq_mask2
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MIPI_DSI_HOST_DPI_INTFC
#endif

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_PIXEL_PAYLOAD_SIZE.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_pixel_payload_size[] =
{
    {
        "DSI_HOST_CFG_DPI_PIXEL_PAYLOAD_SIZE",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_PIXEL_FIFO_SEND_LEVEL.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_pixel_fifo_send_level[] =
{
    {
        "DSI_HOST_CFG_DPI_PIXEL_FIFO_SEND_LEVEL",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_INTERFACE_COLOR_CODING.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_interface_color_coding[] =
{
    {
        "DSI_HOST_CFG_DPI_INTERFACE_COLOR_CODING",
        "",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_PIXEL_FORMAT.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_pixel_format[] =
{
    {
        "DSI_HOST_CFG_DPI_PIXEL_FORMAT",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_VSYNC_POLARITY.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vsync_polarity[] =
{
    {
        "DSI_HOST_CFG_DPI_VSYNC_POLARITY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_HSYNC_POLARITY.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_hsync_polarity[] =
{
    {
        "DSI_HOST_CFG_DPI_HSYNC_POLARITY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_VIDEO_MODE.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_video_mode[] =
{
    {
        "DSI_HOST_CFG_DPI_VIDEO_MODE",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_HFP.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_hfp[] =
{
    {
        "DSI_HOST_CFG_DPI_HFP",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_HBP.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_hbp[] =
{
    {
        "DSI_HOST_CFG_DPI_HBP",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_HSA.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_hsa[] =
{
    {
        "DSI_HOST_CFG_DPI_HSA",
        "",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_ENABLE_MULT_PKTS.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_enable_mult_pkts[] =
{
    {
        "DSI_HOST_CFG_DPI_ENABLE_MULT_PKTS",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_VBP.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vbp[] =
{
    {
        "DSI_HOST_CFG_DPI_VBP",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_VFP.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vfp[] =
{
    {
        "DSI_HOST_CFG_DPI_VFP",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_BLLP_MODE.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_bllp_mode[] =
{
    {
        "DSI_HOST_CFG_DPI_BLLP_MODE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_USE_NULL_PKT_BLLP.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_use_null_pkt_bllp[] =
{
    {
        "DSI_HOST_CFG_DPI_USE_NULL_PKT_BLLP",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_VACTIVE.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vactive[] =
{
    {
        "DSI_HOST_CFG_DPI_VACTIVE",
        "",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_DPI_INTFC_DSI_HOST_CFG_DPI_VC.
static const field_t hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vc[] =
{
    {
        "DSI_HOST_CFG_DPI_VC",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a MIPI_DSI_HOST_DPI_INTFC module.
static const reg_t hw_mipi_dsi_host_dpi_intfc[] =
{
    {
        "DSI_HOST_CFG_DPI_PIXEL_PAYLOAD_SIZE",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_pixel_payload_size
    },
    {
        "DSI_HOST_CFG_DPI_PIXEL_FIFO_SEND_LEVEL",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_pixel_fifo_send_level
    },
    {
        "DSI_HOST_CFG_DPI_INTERFACE_COLOR_CODING",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_interface_color_coding
    },
    {
        "DSI_HOST_CFG_DPI_PIXEL_FORMAT",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_pixel_format
    },
    {
        "DSI_HOST_CFG_DPI_VSYNC_POLARITY",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vsync_polarity
    },
    {
        "DSI_HOST_CFG_DPI_HSYNC_POLARITY",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_hsync_polarity
    },
    {
        "DSI_HOST_CFG_DPI_VIDEO_MODE",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_video_mode
    },
    {
        "DSI_HOST_CFG_DPI_HFP",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_hfp
    },
    {
        "DSI_HOST_CFG_DPI_HBP",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_hbp
    },
    {
        "DSI_HOST_CFG_DPI_HSA",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_hsa
    },
    {
        "DSI_HOST_CFG_DPI_ENABLE_MULT_PKTS",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_enable_mult_pkts
    },
    {
        "DSI_HOST_CFG_DPI_VBP",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vbp
    },
    {
        "DSI_HOST_CFG_DPI_VFP",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vfp
    },
    {
        "DSI_HOST_CFG_DPI_BLLP_MODE",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_bllp_mode
    },
    {
        "DSI_HOST_CFG_DPI_USE_NULL_PKT_BLLP",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_use_null_pkt_bllp
    },
    {
        "DSI_HOST_CFG_DPI_VACTIVE",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vactive
    },
    {
        "DSI_HOST_CFG_DPI_VC",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_dpi_intfc_dsi_host_cfg_dpi_vc
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC
#endif

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_PD_DPHY.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_pd_dphy[] =
{
    {
        "DPHY_PD_DPHY",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_M_PRG_HS_PREPARE.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_m_prg_hs_prepare[] =
{
    {
        "DPHY_M_PRG_HS_PREPARE",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_MC_PRG_HS_PREPARE.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_mc_prg_hs_prepare[] =
{
    {
        "DPHY_MC_PRG_HS_PREPARE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_M_PRG_HS_ZERO.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_m_prg_hs_zero[] =
{
    {
        "DPHY_M_PRG_HS_ZERO",
        "",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_MC_PRG_HS_ZERO.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_mc_prg_hs_zero[] =
{
    {
        "DPHY_MC_PRG_HS_ZERO",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_M_PRG_HS_TRAIL.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_m_prg_hs_trail[] =
{
    {
        "DPHY_M_PRG_HS_TRAIL",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_MC_PRG_HS_TRAIL.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_mc_prg_hs_trail[] =
{
    {
        "DPHY_MC_PRG_HS_TRAIL",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_PD_PLL.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_pd_pll[] =
{
    {
        "PD",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_TST.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_tst[] =
{
    {
        "TST",
        "",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_CN.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_cn[] =
{
    {
        "CN",
        "DPHY PLL Input Divider.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_CM.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_cm[] =
{
    {
        "CM",
        "DPHY PLL Feedback Divider.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_CO.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_co[] =
{
    {
        "CO",
        "DPHY PLL Output Divider.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_LOCK.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_lock[] =
{
    {
        "LOCK",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_LOCK_BYP.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_lock_byp[] =
{
    {
        "DPHY_LOCK_BYP",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_RTERM_SEL.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_rterm_sel[] =
{
    {
        "DPHY_RTERM_SEL",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_AUTO_PD_EN.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_auto_pd_en[] =
{
    {
        "DPHY_AUTO_PD_EN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_RXLPRP.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_rxlprp[] =
{
    {
        "DPHY_RXLPRP",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC_DPHY_RXCDRP.
static const field_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_rxcdrp[] =
{
    {
        "DPHY_RXCDRP",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC module.
static const reg_t hw_mipi_dsi_host_fsl_ip1_dphy_intfc[] =
{
    {
        "DPHY_PD_DPHY",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_pd_dphy
    },
    {
        "DPHY_M_PRG_HS_PREPARE",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_m_prg_hs_prepare
    },
    {
        "DPHY_MC_PRG_HS_PREPARE",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_mc_prg_hs_prepare
    },
    {
        "DPHY_M_PRG_HS_ZERO",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_m_prg_hs_zero
    },
    {
        "DPHY_MC_PRG_HS_ZERO",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_mc_prg_hs_zero
    },
    {
        "DPHY_M_PRG_HS_TRAIL",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_m_prg_hs_trail
    },
    {
        "DPHY_MC_PRG_HS_TRAIL",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_mc_prg_hs_trail
    },
    {
        "DPHY_PD_PLL",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_pd_pll
    },
    {
        "DPHY_TST",
        "",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_tst
    },
    {
        "DPHY_CN",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_cn
    },
    {
        "DPHY_CM",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_cm
    },
    {
        "DPHY_CO",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_co
    },
    {
        "DPHY_LOCK",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_lock
    },
    {
        "DPHY_LOCK_BYP",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_lock_byp
    },
    {
        "DPHY_RTERM_SEL",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_rterm_sel
    },
    {
        "DPHY_AUTO_PD_EN",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_auto_pd_en
    },
    {
        "DPHY_RXLPRP",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_rxlprp
    },
    {
        "DPHY_RXCDRP",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mipi_dsi_host_fsl_ip1_dphy_intfc_dphy_rxcdrp
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark MUB
#endif

// Bitfields in register MUB_BTR0.
static const field_t hw_mub_btr0[] =
{
    {
        "BTR0",
        "Processor B Transmit Register 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MUB_BTR1.
static const field_t hw_mub_btr1[] =
{
    {
        "BTR1",
        "Processor B Transmit Register 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MUB_BTR2.
static const field_t hw_mub_btr2[] =
{
    {
        "BTR2",
        "Processor B Transmit Register 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MUB_BTR3.
static const field_t hw_mub_btr3[] =
{
    {
        "BTR3",
        "Processor B Transmit Register 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MUB_BRR0.
static const field_t hw_mub_brr0[] =
{
    {
        "BRR0",
        "Processor B Receive Register 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MUB_BRR1.
static const field_t hw_mub_brr1[] =
{
    {
        "BRR1",
        "Processor B Receive Register 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MUB_BRR2.
static const field_t hw_mub_brr2[] =
{
    {
        "BRR2",
        "Processor B Receive Register 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MUB_BRR3.
static const field_t hw_mub_brr3[] =
{
    {
        "BRR3",
        "Processor B Receive Register 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MUB_BSR.
static const field_t hw_mub_bsr[] =
{
    {
        "FN",
        "For n = {0, 1, 2} Processor B-Side Flag n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EP",
        "Processor B-Side Event Pending.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "APM",
        "Processor A Power Mode.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ARS",
        "Processor A Reset State.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FUP",
        "Processor B Flags Update Pending.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEN",
        "For n = {0, 1, 2, 3} Processor B Transmit Register n Empty.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFN",
        "For n = {0, 1, 2, 3} Processor B Receive Register n Full.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GIPN",
        "For n = {0, 1, 2, 3} Processor B General Interrupt Request n Pending.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register MUB_BCR.
static const field_t hw_mub_bcr[] =
{
    {
        "BAFN",
        "For n = {0, 1, 2} Processor B to Processor A Flag n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HRM",
        "Processor B Hardware Reset Mask.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GIRN",
        "For n = {0, 1, 2, 3} Processor B General Purpose Interrupt Request n.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TIEN",
        "For n = {0, 1, 2, 3} Processor B Transmit Interrupt Enable n.",
        20, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RIEN",
        "For n = {0, 1, 2, 3} Processor B Receive Interrupt Enable n.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GIEN",
        "For n = {0, 1, 2, 3} Processor B General Purpose Interrupt Enable n.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a MUB module.
static const reg_t hw_mub[] =
{
    {
        "BTR0",
        "Use Processor B Transmit Register 0 (BTR0, 32-bit, write-only) to tran"
        "smit a message or data to the Processor A.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mub_btr0
    },
    {
        "BTR1",
        "Use Processor B Transmit Register 1 (BTR1, 32-bit, write-only) to tran"
        "smit a message or data to the Processor A.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mub_btr1
    },
    {
        "BTR2",
        "Use Processor B Transmit Register 2 (BTR2, 32-bit, write-only) to tran"
        "smit a message or data to the Processor A.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mub_btr2
    },
    {
        "BTR3",
        "Use Processor B Transmit Register 3 (BTR3, 32-bit, write-only) to tran"
        "smit a message or data to the Processor A.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_mub_btr3
    },
    {
        "BRR0",
        "Use Processor B Receive Register 0 (BRR0, 32-bit, read-only) to receiv"
        "e a message or data from the Processor A.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mub_brr0
    },
    {
        "BRR1",
        "Use Processor B Receive Register 1 (BRR1, 32-bit, read-only) to receiv"
        "e a message or data from the Processor A.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mub_brr1
    },
    {
        "BRR2",
        "Use Processor B Receive Register 2 (BRR2, 32-bit, read-only) to receiv"
        "e a message or data from the Processor A.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mub_brr2
    },
    {
        "BRR3",
        "Use Processor B Receive Register 3 (BRR3, 32-bit, read-only) to receiv"
        "e a message or data from the Processor A.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_mub_brr3
    },
    {
        "BSR",
        "Use the Processor B Status Register (BSR, 32-bit, read-write) to show "
        "interrupt status from the Processor B, general purpose flags, the Proc"
        "essor A power mode, and to set dual function control-status bits.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_mub_bsr
    },
    {
        "BCR",
        "Use the Processor B Control Register (BCR, 32-bit, read-write) to enab"
        "le the MU interrupts on the Processor B-side, and trigger events and i"
        "nterrupts on the Processor A-side (wake from STOP, hardware reset, fla"
        "g update).",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_mub_bcr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark NVIC
#endif

// Bitfields in register NVIC_NVICISER0.
static const field_t hw_nvic_nviciser0[] =
{
    {
        "SETENA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICISER1.
static const field_t hw_nvic_nviciser1[] =
{
    {
        "SETENA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICISER2.
static const field_t hw_nvic_nviciser2[] =
{
    {
        "SETENA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICISER3.
static const field_t hw_nvic_nviciser3[] =
{
    {
        "SETENA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICICER0.
static const field_t hw_nvic_nvicicer0[] =
{
    {
        "CLRENA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICICER1.
static const field_t hw_nvic_nvicicer1[] =
{
    {
        "CLRENA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICICER2.
static const field_t hw_nvic_nvicicer2[] =
{
    {
        "CLRENA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICICER3.
static const field_t hw_nvic_nvicicer3[] =
{
    {
        "CLRENA",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICISPR0.
static const field_t hw_nvic_nvicispr0[] =
{
    {
        "SETPEND",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICISPR1.
static const field_t hw_nvic_nvicispr1[] =
{
    {
        "SETPEND",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICISPR2.
static const field_t hw_nvic_nvicispr2[] =
{
    {
        "SETPEND",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICISPR3.
static const field_t hw_nvic_nvicispr3[] =
{
    {
        "SETPEND",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICICPR0.
static const field_t hw_nvic_nvicicpr0[] =
{
    {
        "CLRPEND",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICICPR1.
static const field_t hw_nvic_nvicicpr1[] =
{
    {
        "CLRPEND",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICICPR2.
static const field_t hw_nvic_nvicicpr2[] =
{
    {
        "CLRPEND",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICICPR3.
static const field_t hw_nvic_nvicicpr3[] =
{
    {
        "CLRPEND",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIABR0.
static const field_t hw_nvic_nviciabr0[] =
{
    {
        "ACTIVE",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIABR1.
static const field_t hw_nvic_nviciabr1[] =
{
    {
        "ACTIVE",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIABR2.
static const field_t hw_nvic_nviciabr2[] =
{
    {
        "ACTIVE",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIABR3.
static const field_t hw_nvic_nviciabr3[] =
{
    {
        "ACTIVE",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP0.
static const field_t hw_nvic_nvicip0[] =
{
    {
        "PRI0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP1.
static const field_t hw_nvic_nvicip1[] =
{
    {
        "PRI1",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP2.
static const field_t hw_nvic_nvicip2[] =
{
    {
        "PRI2",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP3.
static const field_t hw_nvic_nvicip3[] =
{
    {
        "PRI3",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP4.
static const field_t hw_nvic_nvicip4[] =
{
    {
        "PRI4",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP5.
static const field_t hw_nvic_nvicip5[] =
{
    {
        "PRI5",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP6.
static const field_t hw_nvic_nvicip6[] =
{
    {
        "PRI6",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP7.
static const field_t hw_nvic_nvicip7[] =
{
    {
        "PRI7",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP8.
static const field_t hw_nvic_nvicip8[] =
{
    {
        "PRI8",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP9.
static const field_t hw_nvic_nvicip9[] =
{
    {
        "PRI9",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP10.
static const field_t hw_nvic_nvicip10[] =
{
    {
        "PRI10",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP11.
static const field_t hw_nvic_nvicip11[] =
{
    {
        "PRI11",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP12.
static const field_t hw_nvic_nvicip12[] =
{
    {
        "PRI12",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP13.
static const field_t hw_nvic_nvicip13[] =
{
    {
        "PRI13",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP14.
static const field_t hw_nvic_nvicip14[] =
{
    {
        "PRI14",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP15.
static const field_t hw_nvic_nvicip15[] =
{
    {
        "PRI15",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP16.
static const field_t hw_nvic_nvicip16[] =
{
    {
        "PRI16",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP17.
static const field_t hw_nvic_nvicip17[] =
{
    {
        "PRI17",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP18.
static const field_t hw_nvic_nvicip18[] =
{
    {
        "PRI18",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP19.
static const field_t hw_nvic_nvicip19[] =
{
    {
        "PRI19",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP20.
static const field_t hw_nvic_nvicip20[] =
{
    {
        "PRI20",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP21.
static const field_t hw_nvic_nvicip21[] =
{
    {
        "PRI21",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP22.
static const field_t hw_nvic_nvicip22[] =
{
    {
        "PRI22",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP23.
static const field_t hw_nvic_nvicip23[] =
{
    {
        "PRI23",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP24.
static const field_t hw_nvic_nvicip24[] =
{
    {
        "PRI24",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP25.
static const field_t hw_nvic_nvicip25[] =
{
    {
        "PRI25",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP26.
static const field_t hw_nvic_nvicip26[] =
{
    {
        "PRI26",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP27.
static const field_t hw_nvic_nvicip27[] =
{
    {
        "PRI27",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP28.
static const field_t hw_nvic_nvicip28[] =
{
    {
        "PRI28",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP29.
static const field_t hw_nvic_nvicip29[] =
{
    {
        "PRI29",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP30.
static const field_t hw_nvic_nvicip30[] =
{
    {
        "PRI30",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP31.
static const field_t hw_nvic_nvicip31[] =
{
    {
        "PRI31",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP32.
static const field_t hw_nvic_nvicip32[] =
{
    {
        "PRI32",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP33.
static const field_t hw_nvic_nvicip33[] =
{
    {
        "PRI33",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP34.
static const field_t hw_nvic_nvicip34[] =
{
    {
        "PRI34",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP35.
static const field_t hw_nvic_nvicip35[] =
{
    {
        "PRI35",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP36.
static const field_t hw_nvic_nvicip36[] =
{
    {
        "PRI36",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP37.
static const field_t hw_nvic_nvicip37[] =
{
    {
        "PRI37",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP38.
static const field_t hw_nvic_nvicip38[] =
{
    {
        "PRI38",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP39.
static const field_t hw_nvic_nvicip39[] =
{
    {
        "PRI39",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP40.
static const field_t hw_nvic_nvicip40[] =
{
    {
        "PRI40",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP41.
static const field_t hw_nvic_nvicip41[] =
{
    {
        "PRI41",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP42.
static const field_t hw_nvic_nvicip42[] =
{
    {
        "PRI42",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP43.
static const field_t hw_nvic_nvicip43[] =
{
    {
        "PRI43",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP44.
static const field_t hw_nvic_nvicip44[] =
{
    {
        "PRI44",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP45.
static const field_t hw_nvic_nvicip45[] =
{
    {
        "PRI45",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP46.
static const field_t hw_nvic_nvicip46[] =
{
    {
        "PRI46",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP47.
static const field_t hw_nvic_nvicip47[] =
{
    {
        "PRI47",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP48.
static const field_t hw_nvic_nvicip48[] =
{
    {
        "PRI48",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP49.
static const field_t hw_nvic_nvicip49[] =
{
    {
        "PRI49",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP50.
static const field_t hw_nvic_nvicip50[] =
{
    {
        "PRI50",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP51.
static const field_t hw_nvic_nvicip51[] =
{
    {
        "PRI51",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP52.
static const field_t hw_nvic_nvicip52[] =
{
    {
        "PRI52",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP53.
static const field_t hw_nvic_nvicip53[] =
{
    {
        "PRI53",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP54.
static const field_t hw_nvic_nvicip54[] =
{
    {
        "PRI54",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP55.
static const field_t hw_nvic_nvicip55[] =
{
    {
        "PRI55",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP56.
static const field_t hw_nvic_nvicip56[] =
{
    {
        "PRI56",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP57.
static const field_t hw_nvic_nvicip57[] =
{
    {
        "PRI57",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP58.
static const field_t hw_nvic_nvicip58[] =
{
    {
        "PRI58",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP59.
static const field_t hw_nvic_nvicip59[] =
{
    {
        "PRI59",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP60.
static const field_t hw_nvic_nvicip60[] =
{
    {
        "PRI60",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP61.
static const field_t hw_nvic_nvicip61[] =
{
    {
        "PRI61",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP62.
static const field_t hw_nvic_nvicip62[] =
{
    {
        "PRI62",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP63.
static const field_t hw_nvic_nvicip63[] =
{
    {
        "PRI63",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP64.
static const field_t hw_nvic_nvicip64[] =
{
    {
        "PRI64",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP65.
static const field_t hw_nvic_nvicip65[] =
{
    {
        "PRI65",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP66.
static const field_t hw_nvic_nvicip66[] =
{
    {
        "PRI66",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP67.
static const field_t hw_nvic_nvicip67[] =
{
    {
        "PRI67",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP68.
static const field_t hw_nvic_nvicip68[] =
{
    {
        "PRI68",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP69.
static const field_t hw_nvic_nvicip69[] =
{
    {
        "PRI69",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP70.
static const field_t hw_nvic_nvicip70[] =
{
    {
        "PRI70",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP71.
static const field_t hw_nvic_nvicip71[] =
{
    {
        "PRI71",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP72.
static const field_t hw_nvic_nvicip72[] =
{
    {
        "PRI72",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP73.
static const field_t hw_nvic_nvicip73[] =
{
    {
        "PRI73",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP74.
static const field_t hw_nvic_nvicip74[] =
{
    {
        "PRI74",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP75.
static const field_t hw_nvic_nvicip75[] =
{
    {
        "PRI75",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP76.
static const field_t hw_nvic_nvicip76[] =
{
    {
        "PRI76",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP77.
static const field_t hw_nvic_nvicip77[] =
{
    {
        "PRI77",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP78.
static const field_t hw_nvic_nvicip78[] =
{
    {
        "PRI78",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP79.
static const field_t hw_nvic_nvicip79[] =
{
    {
        "PRI79",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP80.
static const field_t hw_nvic_nvicip80[] =
{
    {
        "PRI80",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP81.
static const field_t hw_nvic_nvicip81[] =
{
    {
        "PRI81",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP82.
static const field_t hw_nvic_nvicip82[] =
{
    {
        "PRI82",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP83.
static const field_t hw_nvic_nvicip83[] =
{
    {
        "PRI83",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP84.
static const field_t hw_nvic_nvicip84[] =
{
    {
        "PRI84",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP85.
static const field_t hw_nvic_nvicip85[] =
{
    {
        "PRI85",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP86.
static const field_t hw_nvic_nvicip86[] =
{
    {
        "PRI86",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP87.
static const field_t hw_nvic_nvicip87[] =
{
    {
        "PRI87",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP88.
static const field_t hw_nvic_nvicip88[] =
{
    {
        "PRI88",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP89.
static const field_t hw_nvic_nvicip89[] =
{
    {
        "PRI89",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP90.
static const field_t hw_nvic_nvicip90[] =
{
    {
        "PRI90",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP91.
static const field_t hw_nvic_nvicip91[] =
{
    {
        "PRI91",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP92.
static const field_t hw_nvic_nvicip92[] =
{
    {
        "PRI92",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP93.
static const field_t hw_nvic_nvicip93[] =
{
    {
        "PRI93",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP94.
static const field_t hw_nvic_nvicip94[] =
{
    {
        "PRI94",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP95.
static const field_t hw_nvic_nvicip95[] =
{
    {
        "PRI95",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP96.
static const field_t hw_nvic_nvicip96[] =
{
    {
        "PRI96",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP97.
static const field_t hw_nvic_nvicip97[] =
{
    {
        "PRI97",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP98.
static const field_t hw_nvic_nvicip98[] =
{
    {
        "PRI98",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP99.
static const field_t hw_nvic_nvicip99[] =
{
    {
        "PRI99",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP100.
static const field_t hw_nvic_nvicip100[] =
{
    {
        "PRI100",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP101.
static const field_t hw_nvic_nvicip101[] =
{
    {
        "PRI101",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP102.
static const field_t hw_nvic_nvicip102[] =
{
    {
        "PRI102",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP103.
static const field_t hw_nvic_nvicip103[] =
{
    {
        "PRI103",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP104.
static const field_t hw_nvic_nvicip104[] =
{
    {
        "PRI104",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICIP105.
static const field_t hw_nvic_nvicip105[] =
{
    {
        "PRI105",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register NVIC_NVICSTIR.
static const field_t hw_nvic_nvicstir[] =
{
    {
        "INTID",
        "",
        0, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a NVIC module.
static const reg_t hw_nvic[] =
{
    {
        "NVICISER0",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nviciser0
    },
    {
        "NVICISER1",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nviciser1
    },
    {
        "NVICISER2",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nviciser2
    },
    {
        "NVICISER3",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nviciser3
    },
    {
        "NVICICER0",
        "",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicicer0
    },
    {
        "NVICICER1",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicicer1
    },
    {
        "NVICICER2",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicicer2
    },
    {
        "NVICICER3",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicicer3
    },
    {
        "NVICISPR0",
        "",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicispr0
    },
    {
        "NVICISPR1",
        "",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicispr1
    },
    {
        "NVICISPR2",
        "",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicispr2
    },
    {
        "NVICISPR3",
        "",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicispr3
    },
    {
        "NVICICPR0",
        "",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicicpr0
    },
    {
        "NVICICPR1",
        "",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicicpr1
    },
    {
        "NVICICPR2",
        "",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicicpr2
    },
    {
        "NVICICPR3",
        "",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicicpr3
    },
    {
        "NVICIABR0",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nviciabr0
    },
    {
        "NVICIABR1",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nviciabr1
    },
    {
        "NVICIABR2",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nviciabr2
    },
    {
        "NVICIABR3",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nviciabr3
    },
    {
        "NVICIP0",
        "",
        1, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip0
    },
    {
        "NVICIP1",
        "",
        1, // Width in bytes
        0x00000301, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip1
    },
    {
        "NVICIP2",
        "",
        1, // Width in bytes
        0x00000302, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip2
    },
    {
        "NVICIP3",
        "",
        1, // Width in bytes
        0x00000303, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip3
    },
    {
        "NVICIP4",
        "",
        1, // Width in bytes
        0x00000304, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip4
    },
    {
        "NVICIP5",
        "",
        1, // Width in bytes
        0x00000305, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip5
    },
    {
        "NVICIP6",
        "",
        1, // Width in bytes
        0x00000306, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip6
    },
    {
        "NVICIP7",
        "",
        1, // Width in bytes
        0x00000307, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip7
    },
    {
        "NVICIP8",
        "",
        1, // Width in bytes
        0x00000308, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip8
    },
    {
        "NVICIP9",
        "",
        1, // Width in bytes
        0x00000309, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip9
    },
    {
        "NVICIP10",
        "",
        1, // Width in bytes
        0x0000030a, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip10
    },
    {
        "NVICIP11",
        "",
        1, // Width in bytes
        0x0000030b, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip11
    },
    {
        "NVICIP12",
        "",
        1, // Width in bytes
        0x0000030c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip12
    },
    {
        "NVICIP13",
        "",
        1, // Width in bytes
        0x0000030d, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip13
    },
    {
        "NVICIP14",
        "",
        1, // Width in bytes
        0x0000030e, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip14
    },
    {
        "NVICIP15",
        "",
        1, // Width in bytes
        0x0000030f, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip15
    },
    {
        "NVICIP16",
        "",
        1, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip16
    },
    {
        "NVICIP17",
        "",
        1, // Width in bytes
        0x00000311, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip17
    },
    {
        "NVICIP18",
        "",
        1, // Width in bytes
        0x00000312, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip18
    },
    {
        "NVICIP19",
        "",
        1, // Width in bytes
        0x00000313, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip19
    },
    {
        "NVICIP20",
        "",
        1, // Width in bytes
        0x00000314, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip20
    },
    {
        "NVICIP21",
        "",
        1, // Width in bytes
        0x00000315, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip21
    },
    {
        "NVICIP22",
        "",
        1, // Width in bytes
        0x00000316, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip22
    },
    {
        "NVICIP23",
        "",
        1, // Width in bytes
        0x00000317, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip23
    },
    {
        "NVICIP24",
        "",
        1, // Width in bytes
        0x00000318, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip24
    },
    {
        "NVICIP25",
        "",
        1, // Width in bytes
        0x00000319, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip25
    },
    {
        "NVICIP26",
        "",
        1, // Width in bytes
        0x0000031a, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip26
    },
    {
        "NVICIP27",
        "",
        1, // Width in bytes
        0x0000031b, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip27
    },
    {
        "NVICIP28",
        "",
        1, // Width in bytes
        0x0000031c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip28
    },
    {
        "NVICIP29",
        "",
        1, // Width in bytes
        0x0000031d, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip29
    },
    {
        "NVICIP30",
        "",
        1, // Width in bytes
        0x0000031e, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip30
    },
    {
        "NVICIP31",
        "",
        1, // Width in bytes
        0x0000031f, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip31
    },
    {
        "NVICIP32",
        "",
        1, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip32
    },
    {
        "NVICIP33",
        "",
        1, // Width in bytes
        0x00000321, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip33
    },
    {
        "NVICIP34",
        "",
        1, // Width in bytes
        0x00000322, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip34
    },
    {
        "NVICIP35",
        "",
        1, // Width in bytes
        0x00000323, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip35
    },
    {
        "NVICIP36",
        "",
        1, // Width in bytes
        0x00000324, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip36
    },
    {
        "NVICIP37",
        "",
        1, // Width in bytes
        0x00000325, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip37
    },
    {
        "NVICIP38",
        "",
        1, // Width in bytes
        0x00000326, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip38
    },
    {
        "NVICIP39",
        "",
        1, // Width in bytes
        0x00000327, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip39
    },
    {
        "NVICIP40",
        "",
        1, // Width in bytes
        0x00000328, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip40
    },
    {
        "NVICIP41",
        "",
        1, // Width in bytes
        0x00000329, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip41
    },
    {
        "NVICIP42",
        "",
        1, // Width in bytes
        0x0000032a, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip42
    },
    {
        "NVICIP43",
        "",
        1, // Width in bytes
        0x0000032b, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip43
    },
    {
        "NVICIP44",
        "",
        1, // Width in bytes
        0x0000032c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip44
    },
    {
        "NVICIP45",
        "",
        1, // Width in bytes
        0x0000032d, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip45
    },
    {
        "NVICIP46",
        "",
        1, // Width in bytes
        0x0000032e, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip46
    },
    {
        "NVICIP47",
        "",
        1, // Width in bytes
        0x0000032f, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip47
    },
    {
        "NVICIP48",
        "",
        1, // Width in bytes
        0x00000330, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip48
    },
    {
        "NVICIP49",
        "",
        1, // Width in bytes
        0x00000331, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip49
    },
    {
        "NVICIP50",
        "",
        1, // Width in bytes
        0x00000332, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip50
    },
    {
        "NVICIP51",
        "",
        1, // Width in bytes
        0x00000333, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip51
    },
    {
        "NVICIP52",
        "",
        1, // Width in bytes
        0x00000334, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip52
    },
    {
        "NVICIP53",
        "",
        1, // Width in bytes
        0x00000335, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip53
    },
    {
        "NVICIP54",
        "",
        1, // Width in bytes
        0x00000336, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip54
    },
    {
        "NVICIP55",
        "",
        1, // Width in bytes
        0x00000337, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip55
    },
    {
        "NVICIP56",
        "",
        1, // Width in bytes
        0x00000338, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip56
    },
    {
        "NVICIP57",
        "",
        1, // Width in bytes
        0x00000339, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip57
    },
    {
        "NVICIP58",
        "",
        1, // Width in bytes
        0x0000033a, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip58
    },
    {
        "NVICIP59",
        "",
        1, // Width in bytes
        0x0000033b, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip59
    },
    {
        "NVICIP60",
        "",
        1, // Width in bytes
        0x0000033c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip60
    },
    {
        "NVICIP61",
        "",
        1, // Width in bytes
        0x0000033d, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip61
    },
    {
        "NVICIP62",
        "",
        1, // Width in bytes
        0x0000033e, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip62
    },
    {
        "NVICIP63",
        "",
        1, // Width in bytes
        0x0000033f, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip63
    },
    {
        "NVICIP64",
        "",
        1, // Width in bytes
        0x00000340, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip64
    },
    {
        "NVICIP65",
        "",
        1, // Width in bytes
        0x00000341, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip65
    },
    {
        "NVICIP66",
        "",
        1, // Width in bytes
        0x00000342, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip66
    },
    {
        "NVICIP67",
        "",
        1, // Width in bytes
        0x00000343, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip67
    },
    {
        "NVICIP68",
        "",
        1, // Width in bytes
        0x00000344, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip68
    },
    {
        "NVICIP69",
        "",
        1, // Width in bytes
        0x00000345, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip69
    },
    {
        "NVICIP70",
        "",
        1, // Width in bytes
        0x00000346, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip70
    },
    {
        "NVICIP71",
        "",
        1, // Width in bytes
        0x00000347, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip71
    },
    {
        "NVICIP72",
        "",
        1, // Width in bytes
        0x00000348, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip72
    },
    {
        "NVICIP73",
        "",
        1, // Width in bytes
        0x00000349, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip73
    },
    {
        "NVICIP74",
        "",
        1, // Width in bytes
        0x0000034a, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip74
    },
    {
        "NVICIP75",
        "",
        1, // Width in bytes
        0x0000034b, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip75
    },
    {
        "NVICIP76",
        "",
        1, // Width in bytes
        0x0000034c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip76
    },
    {
        "NVICIP77",
        "",
        1, // Width in bytes
        0x0000034d, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip77
    },
    {
        "NVICIP78",
        "",
        1, // Width in bytes
        0x0000034e, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip78
    },
    {
        "NVICIP79",
        "",
        1, // Width in bytes
        0x0000034f, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip79
    },
    {
        "NVICIP80",
        "",
        1, // Width in bytes
        0x00000350, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip80
    },
    {
        "NVICIP81",
        "",
        1, // Width in bytes
        0x00000351, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip81
    },
    {
        "NVICIP82",
        "",
        1, // Width in bytes
        0x00000352, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip82
    },
    {
        "NVICIP83",
        "",
        1, // Width in bytes
        0x00000353, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip83
    },
    {
        "NVICIP84",
        "",
        1, // Width in bytes
        0x00000354, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip84
    },
    {
        "NVICIP85",
        "",
        1, // Width in bytes
        0x00000355, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip85
    },
    {
        "NVICIP86",
        "",
        1, // Width in bytes
        0x00000356, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip86
    },
    {
        "NVICIP87",
        "",
        1, // Width in bytes
        0x00000357, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip87
    },
    {
        "NVICIP88",
        "",
        1, // Width in bytes
        0x00000358, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip88
    },
    {
        "NVICIP89",
        "",
        1, // Width in bytes
        0x00000359, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip89
    },
    {
        "NVICIP90",
        "",
        1, // Width in bytes
        0x0000035a, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip90
    },
    {
        "NVICIP91",
        "",
        1, // Width in bytes
        0x0000035b, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip91
    },
    {
        "NVICIP92",
        "",
        1, // Width in bytes
        0x0000035c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip92
    },
    {
        "NVICIP93",
        "",
        1, // Width in bytes
        0x0000035d, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip93
    },
    {
        "NVICIP94",
        "",
        1, // Width in bytes
        0x0000035e, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip94
    },
    {
        "NVICIP95",
        "",
        1, // Width in bytes
        0x0000035f, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip95
    },
    {
        "NVICIP96",
        "",
        1, // Width in bytes
        0x00000360, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip96
    },
    {
        "NVICIP97",
        "",
        1, // Width in bytes
        0x00000361, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip97
    },
    {
        "NVICIP98",
        "",
        1, // Width in bytes
        0x00000362, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip98
    },
    {
        "NVICIP99",
        "",
        1, // Width in bytes
        0x00000363, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip99
    },
    {
        "NVICIP100",
        "",
        1, // Width in bytes
        0x00000364, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip100
    },
    {
        "NVICIP101",
        "",
        1, // Width in bytes
        0x00000365, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip101
    },
    {
        "NVICIP102",
        "",
        1, // Width in bytes
        0x00000366, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip102
    },
    {
        "NVICIP103",
        "",
        1, // Width in bytes
        0x00000367, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip103
    },
    {
        "NVICIP104",
        "",
        1, // Width in bytes
        0x00000368, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip104
    },
    {
        "NVICIP105",
        "",
        1, // Width in bytes
        0x00000369, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicip105
    },
    {
        "NVICSTIR",
        "",
        4, // Width in bytes
        0x00000e00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_nvic_nvicstir
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark OCOTP
#endif

// Bitfields in register OCOTP_HW_OCOTP_CTRL.
static const field_t hw_ocotp_hw_ocotp_ctrl[] =
{
    {
        "ADDR",
        "OTP write and read access address register.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY",
        "OTP controller status bit.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERROR",
        "Set by the controller when an access to a locked region(OTP or shadow "
        "register) is requested.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RELOAD_SHADOWS",
        "Set to force re-loading the shadow registers (HW/SW capability and LOC"
        "K).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_UNLOCK",
        "Write 0x3E77 to enable OTP write accesses.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_CTRL_SET.
static const field_t hw_ocotp_hw_ocotp_ctrl_set[] =
{
    {
        "ADDR",
        "OTP write and read access address register.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY",
        "OTP controller status bit.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERROR",
        "Set by the controller when an access to a locked region(OTP or shadow "
        "register) is requested.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RELOAD_SHADOWS",
        "Set to force re-loading the shadow registers (HW/SW capability and LOC"
        "K).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_UNLOCK",
        "Write 0x3E77 to enable OTP write accesses.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_CTRL_CLR.
static const field_t hw_ocotp_hw_ocotp_ctrl_clr[] =
{
    {
        "ADDR",
        "OTP write and read access address register.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY",
        "OTP controller status bit.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERROR",
        "Set by the controller when an access to a locked region(OTP or shadow "
        "register) is requested.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RELOAD_SHADOWS",
        "Set to force re-loading the shadow registers (HW/SW capability and LOC"
        "K).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_UNLOCK",
        "Write 0x3E77 to enable OTP write accesses.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_CTRL_TOG.
static const field_t hw_ocotp_hw_ocotp_ctrl_tog[] =
{
    {
        "ADDR",
        "OTP write and read access address register.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSY",
        "OTP controller status bit.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERROR",
        "Set by the controller when an access to a locked region(OTP or shadow "
        "register) is requested.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RELOAD_SHADOWS",
        "Set to force re-loading the shadow registers (HW/SW capability and LOC"
        "K).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_UNLOCK",
        "Write 0x3E77 to enable OTP write accesses.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_TIMING.
static const field_t hw_ocotp_hw_ocotp_timing[] =
{
    {
        "STROBE_PROG",
        "This count value specifies the strobe period in one time write OTP.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RELAX",
        "This count value specifies the time to add to all default timing param"
        "eters other than the Tpgm and Trd.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_READ",
        "This count value specifies the strobe period in one time read OTP.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAIT",
        "This count value specifies time interval between auto read and write a"
        "ccess in one time program.",
        22, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSRVD0",
        "These bits always read back zero.",
        28, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_DATA.
static const field_t hw_ocotp_hw_ocotp_data[] =
{
    {
        "DATA",
        "Used to initiate a write to OTP.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_READ_CTRL.
static const field_t hw_ocotp_hw_ocotp_read_ctrl[] =
{
    {
        "READ_FUSE",
        "Used to initiate a read to OTP.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD0",
        "Reserved",
        1, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_READ_FUSE_DATA.
static const field_t hw_ocotp_hw_ocotp_read_fuse_data[] =
{
    {
        "DATA",
        "The data read from OTP",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SW_STICKY.
static const field_t hw_ocotp_hw_ocotp_sw_sticky[] =
{
    {
        "RSVD0",
        "Reserved",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRK_REVOKE_LOCK",
        "Shadow register write and OTP write lock for SRK_REVOKE region.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FIELD_RETURN_LOCK",
        "Shadow register write and OTP write lock for FIELD_RETURN region.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLOCK_ROM_PART",
        "Set by ARM during Boot after DTCP is initialized and before test mode "
        "entry, if ROM_PART_LOCK=1.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "JTAG_BLOCK_RELEASE",
        "Set by ARM during Boot after DTCP is initialized and before test mode "
        "entry.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_READ_GROUP_MASK",
        "Shadow register write and OTP write lock for GROUP_MASK region.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_READ_HDMI_FW_SRK",
        "Shadow register write and OTP write lock for HDMI_FW_SRK region.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_READ_HDMI_KMEK",
        "Shadow register write and OTP write lock for HDMI_KMEK region.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_READ_HDCP_TX_GLOBAL_CONSTANT",
        "Shadow register write and OTP write lock for HDCP_TX_GLOBAL_CONSTANT r"
        "egion.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_READ_HDCP_TX_CERT",
        "Shadow register write and OTP write lock for HDCP_TX_CERT region.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_READ_HDCP_DEVICE_KEY",
        "Shadow register write and OTP write lock for HDCP_DEVICE_HDCP region.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSVD1",
        "Reserved",
        11, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SCS.
static const field_t hw_ocotp_hw_ocotp_scs[] =
{
    {
        "HAB_JDE",
        "HAB JTAG Debug Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE",
        "Unallocated read/write bits for implementation specific software use.",
        1, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "When set, all of the bits in this register are locked and can not be c"
        "hanged through SW programming.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SCS_SET.
static const field_t hw_ocotp_hw_ocotp_scs_set[] =
{
    {
        "HAB_JDE",
        "HAB JTAG Debug Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE",
        "Unallocated read/write bits for implementation specific software use.",
        1, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "When set, all of the bits in this register are locked and can not be c"
        "hanged through SW programming.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SCS_CLR.
static const field_t hw_ocotp_hw_ocotp_scs_clr[] =
{
    {
        "HAB_JDE",
        "HAB JTAG Debug Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE",
        "Unallocated read/write bits for implementation specific software use.",
        1, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "When set, all of the bits in this register are locked and can not be c"
        "hanged through SW programming.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SCS_TOG.
static const field_t hw_ocotp_hw_ocotp_scs_tog[] =
{
    {
        "HAB_JDE",
        "HAB JTAG Debug Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPARE",
        "Unallocated read/write bits for implementation specific software use.",
        1, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "When set, all of the bits in this register are locked and can not be c"
        "hanged through SW programming.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_VERSION.
static const field_t hw_ocotp_hw_ocotp_version[] =
{
    {
        "STEP",
        "Fixed read-only value reflecting the stepping of the RTL version.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MINOR",
        "Fixed read-only value reflecting the MINOR field of the RTL version.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR",
        "Fixed read-only value reflecting the MAJOR field of the RTL version.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_LOCK.
static const field_t hw_ocotp_hw_ocotp_lock[] =
{
    {
        "TESTER",
        "Status of shadow register and OTP write lock for tester region.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BOOT_CFG",
        "Status of shadow register and OTP write lock for boot_cfg region.",
        2, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MEM_TRIM",
        "Status of shadow register and OTP write lock for mem_trim region.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ANALOG",
        "Status of shadow register and OTP write lock for analog region.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OTPMK",
        "Status of shadow register read and write, OTP read and write lock for "
        "otpmk region.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRK",
        "Status of shadow register and OTP write lock for srk region.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SJC_RESP",
        "Status of shadow register read and write, OTP read and write lock for "
        "sjc_resp region.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GROUP_MASK",
        "Status of shadow register and OTP write lock for group mask region.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "USB_ID",
        "Status of shadow register and OTP write lock for usb_id region.",
        12, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAC_ADDR",
        "Status of shadow register and OTP write lock for mac_addr region.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAU_KEY",
        "Status of shadow register read and write, OTP read and write lock for "
        "manufacture_key region.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ROM_PATCH",
        "Status of shadow register and OTP write lock for rom_patch region.",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GP_CRC",
        "Status of shadow register and OTP write lock for gp_crc region.",
        18, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GP1",
        "Status of shadow register and OTP write lock for gp1 region.",
        20, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GP2",
        "Status of shadow register and OTP write lock for gp2 region.",
        22, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HDMI_KEY",
        "Status of shadow register write and read, OTP write and read lock for "
        "hdmi_key region.",
        24, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HDMI_CRC",
        "Status of shadow register write and read, OTP write and read lock for "
        "hdcp_crc region.",
        26, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HDCP_KEY",
        "Status of shadow register write and read, OTP write and read lock for "
        "hdcp_key region.",
        28, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HDCP_CRC",
        "Status of shadow register write and read, OTP write and read lock for "
        "hdcp_crc region.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_TESTER0.
static const field_t hw_ocotp_hw_ocotp_tester0[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 0, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_TESTER1.
static const field_t hw_ocotp_hw_ocotp_tester1[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 0, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_TESTER2.
static const field_t hw_ocotp_hw_ocotp_tester2[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 0, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_TESTER3.
static const field_t hw_ocotp_hw_ocotp_tester3[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 1, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_TESTER4.
static const field_t hw_ocotp_hw_ocotp_tester4[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 1, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_TESTER5.
static const field_t hw_ocotp_hw_ocotp_tester5[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 1, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_BOOT_CFG0.
static const field_t hw_ocotp_hw_ocotp_boot_cfg0[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 1, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_BOOT_CFG1.
static const field_t hw_ocotp_hw_ocotp_boot_cfg1[] =
{
    {
        "BITS",
        "Reflects value of OTP bank 2, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_BOOT_CFG2.
static const field_t hw_ocotp_hw_ocotp_boot_cfg2[] =
{
    {
        "BITS",
        "Reflects value of OTP bank 2, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_BOOT_CFG3.
static const field_t hw_ocotp_hw_ocotp_boot_cfg3[] =
{
    {
        "BITS",
        "Reflects value of OTP bank 2, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_BOOT_CFG4.
static const field_t hw_ocotp_hw_ocotp_boot_cfg4[] =
{
    {
        "BITS",
        "Reflects value of OTP bank 2, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MEM_TRIM0.
static const field_t hw_ocotp_hw_ocotp_mem_trim0[] =
{
    {
        "BITS",
        "Reflects value of OTP bank 3, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MEM_TRIM1.
static const field_t hw_ocotp_hw_ocotp_mem_trim1[] =
{
    {
        "BITS",
        "Reflects value of OTP bank 3, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_ANA0.
static const field_t hw_ocotp_hw_ocotp_ana0[] =
{
    {
        "BITS",
        "Reflects value of OTP bank 3, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_ANA1.
static const field_t hw_ocotp_hw_ocotp_ana1[] =
{
    {
        "BITS",
        "Reflects value of OTP bank 3, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SRK0.
static const field_t hw_ocotp_hw_ocotp_srk0[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word0 (Copy of OTP "
        "Bank 6, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SRK1.
static const field_t hw_ocotp_hw_ocotp_srk1[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word1 (Copy of OTP "
        "Bank 6, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SRK2.
static const field_t hw_ocotp_hw_ocotp_srk2[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word2 (Copy of OTP "
        "Bank 6, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SRK3.
static const field_t hw_ocotp_hw_ocotp_srk3[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word3 (Copy of OTP "
        "Bank 6, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SRK4.
static const field_t hw_ocotp_hw_ocotp_srk4[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word4 (Copy of OTP "
        "Bank 7, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SRK5.
static const field_t hw_ocotp_hw_ocotp_srk5[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word5 (Copy of OTP "
        "Bank 7, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SRK6.
static const field_t hw_ocotp_hw_ocotp_srk6[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word6 (Copy of OTP "
        "Bank 7, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SRK7.
static const field_t hw_ocotp_hw_ocotp_srk7[] =
{
    {
        "BITS",
        "Shadow register for the hash of the Super Root Key word7 (Copy of OTP "
        "Bank 7, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SJC_RESP0.
static const field_t hw_ocotp_hw_ocotp_sjc_resp0[] =
{
    {
        "BITS",
        "Shadow register for the SJC_RESP Key word0 (Copy of OTP Bank 8, word 0"
        ").",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SJC_RESP1.
static const field_t hw_ocotp_hw_ocotp_sjc_resp1[] =
{
    {
        "BITS",
        "Shadow register for the SJC_RESP Key word1 (Copy of OTP Bank 8, word 1"
        ").",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_USB_ID.
static const field_t hw_ocotp_hw_ocotp_usb_id[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 8, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_FIELD_RETURN.
static const field_t hw_ocotp_hw_ocotp_field_return[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 8, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAC_ADDR0.
static const field_t hw_ocotp_hw_ocotp_mac_addr0[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 9, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAC_ADDR1.
static const field_t hw_ocotp_hw_ocotp_mac_addr1[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 9, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAC_ADDR2.
static const field_t hw_ocotp_hw_ocotp_mac_addr2[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 9, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_SRK_REVOKE.
static const field_t hw_ocotp_hw_ocotp_srk_revoke[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 9, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAU_KEY0.
static const field_t hw_ocotp_hw_ocotp_mau_key0[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word0 (Copy of OTP Bank 10, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAU_KEY1.
static const field_t hw_ocotp_hw_ocotp_mau_key1[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word1 (Copy of OTP Bank 10, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAU_KEY2.
static const field_t hw_ocotp_hw_ocotp_mau_key2[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word2 (Copy of OTP Bank 10, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAU_KEY3.
static const field_t hw_ocotp_hw_ocotp_mau_key3[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word3 (Copy of OTP Bank 10, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAU_KEY4.
static const field_t hw_ocotp_hw_ocotp_mau_key4[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word4 (Copy of OTP Bank 11, word 0).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAU_KEY5.
static const field_t hw_ocotp_hw_ocotp_mau_key5[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word5 (Copy of OTP Bank 11, word 1).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAU_KEY6.
static const field_t hw_ocotp_hw_ocotp_mau_key6[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word6 (Copy of OTP Bank 11, word 2).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_MAU_KEY7.
static const field_t hw_ocotp_hw_ocotp_mau_key7[] =
{
    {
        "BITS",
        "Shadow register for the MAU Key word7 (Copy of OTP Bank 11, word 3).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_GP10.
static const field_t hw_ocotp_hw_ocotp_gp10[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 14, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_GP11.
static const field_t hw_ocotp_hw_ocotp_gp11[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 14, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_GP20.
static const field_t hw_ocotp_hw_ocotp_gp20[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 14, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_GP21.
static const field_t hw_ocotp_hw_ocotp_gp21[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 14, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_GP_CRC0.
static const field_t hw_ocotp_hw_ocotp_gp_crc0[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 15, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_GP_CRC1.
static const field_t hw_ocotp_hw_ocotp_gp_crc1[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 15, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_GP_CRC2.
static const field_t hw_ocotp_hw_ocotp_gp_crc2[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 15, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_GROUP_MASK.
static const field_t hw_ocotp_hw_ocotp_group_mask[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 15, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_FW_SRK0.
static const field_t hw_ocotp_hw_ocotp_hdmi_fw_srk0[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_FW_SRK1.
static const field_t hw_ocotp_hw_ocotp_hdmi_fw_srk1[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_FW_SRK2.
static const field_t hw_ocotp_hw_ocotp_hdmi_fw_srk2[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_FW_SRK3.
static const field_t hw_ocotp_hw_ocotp_hdmi_fw_srk3[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_FW_SRK4.
static const field_t hw_ocotp_hw_ocotp_hdmi_fw_srk4[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_FW_SRK5.
static const field_t hw_ocotp_hw_ocotp_hdmi_fw_srk5[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_FW_SRK6.
static const field_t hw_ocotp_hw_ocotp_hdmi_fw_srk6[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_FW_SRK7.
static const field_t hw_ocotp_hw_ocotp_hdmi_fw_srk7[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_KMEK0.
static const field_t hw_ocotp_hw_ocotp_hdmi_kmek0[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_KMEK1.
static const field_t hw_ocotp_hw_ocotp_hdmi_kmek1[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_KMEK2.
static const field_t hw_ocotp_hw_ocotp_hdmi_kmek2[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDMI_KMEK3.
static const field_t hw_ocotp_hw_ocotp_hdmi_kmek3[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CONS0.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cons0[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CONS1.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cons1[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CONS2.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cons2[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CONS3.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cons3[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT0.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert0[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT1.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert1[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT2.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert2[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT3.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert3[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT4.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert4[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT5.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert5[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT6.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert6[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT7.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert7[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT8.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert8[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT9.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert9[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT10.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert10[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT11.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert11[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT12.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert12[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT13.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert13[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT14.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert14[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT15.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert15[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT16.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert16[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT17.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert17[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT18.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert18[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT19.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert19[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT20.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert20[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT21.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert21[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT22.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert22[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT23.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert23[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT24.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert24[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT25.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert25[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT26.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert26[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT27.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert27[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT28.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert28[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT29.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert29[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT30.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert30[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT31.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert31[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT32.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert32[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT33.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert33[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT34.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert34[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT35.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert35[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT36.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert36[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT37.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert37[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT38.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert38[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT39.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert39[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT40.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert40[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT41.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert41[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT42.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert42[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT43.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert43[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT44.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert44[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT45.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert45[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT46.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert46[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT47.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert47[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT48.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert48[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT49.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert49[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT50.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert50[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT51.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert51[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT52.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert52[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT53.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert53[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT54.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert54[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT55.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert55[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT56.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert56[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT57.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert57[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT58.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert58[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT59.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert59[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT60.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert60[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT61.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert61[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT62.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert62[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT63.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert63[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT64.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert64[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT65.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert65[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT66.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert66[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT67.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert67[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT68.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert68[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT69.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert69[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT70.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert70[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT71.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert71[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT72.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert72[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT73.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert73[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT74.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert74[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT75.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert75[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT76.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert76[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT77.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert77[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT78.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert78[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT79.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert79[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT80.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert80[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT81.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert81[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT82.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert82[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT83.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert83[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT84.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert84[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT85.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert85[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT86.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert86[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT87.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert87[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT88.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert88[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT89.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert89[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT90.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert90[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT91.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert91[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT92.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert92[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT93.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert93[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT94.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert94[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_TX_CERT95.
static const field_t hw_ocotp_hw_ocotp_hdcp_tx_cert95[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY0.
static const field_t hw_ocotp_hw_ocotp_hdcp_key0[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY1.
static const field_t hw_ocotp_hw_ocotp_hdcp_key1[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY2.
static const field_t hw_ocotp_hw_ocotp_hdcp_key2[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY3.
static const field_t hw_ocotp_hw_ocotp_hdcp_key3[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY4.
static const field_t hw_ocotp_hw_ocotp_hdcp_key4[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY5.
static const field_t hw_ocotp_hw_ocotp_hdcp_key5[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY6.
static const field_t hw_ocotp_hw_ocotp_hdcp_key6[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY7.
static const field_t hw_ocotp_hw_ocotp_hdcp_key7[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY8.
static const field_t hw_ocotp_hw_ocotp_hdcp_key8[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY9.
static const field_t hw_ocotp_hw_ocotp_hdcp_key9[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY10.
static const field_t hw_ocotp_hw_ocotp_hdcp_key10[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY11.
static const field_t hw_ocotp_hw_ocotp_hdcp_key11[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY12.
static const field_t hw_ocotp_hw_ocotp_hdcp_key12[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY13.
static const field_t hw_ocotp_hw_ocotp_hdcp_key13[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY14.
static const field_t hw_ocotp_hw_ocotp_hdcp_key14[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY15.
static const field_t hw_ocotp_hw_ocotp_hdcp_key15[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY16.
static const field_t hw_ocotp_hw_ocotp_hdcp_key16[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY17.
static const field_t hw_ocotp_hw_ocotp_hdcp_key17[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY18.
static const field_t hw_ocotp_hw_ocotp_hdcp_key18[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY19.
static const field_t hw_ocotp_hw_ocotp_hdcp_key19[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY20.
static const field_t hw_ocotp_hw_ocotp_hdcp_key20[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY21.
static const field_t hw_ocotp_hw_ocotp_hdcp_key21[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY22.
static const field_t hw_ocotp_hw_ocotp_hdcp_key22[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY23.
static const field_t hw_ocotp_hw_ocotp_hdcp_key23[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY24.
static const field_t hw_ocotp_hw_ocotp_hdcp_key24[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY25.
static const field_t hw_ocotp_hw_ocotp_hdcp_key25[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY26.
static const field_t hw_ocotp_hw_ocotp_hdcp_key26[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY27.
static const field_t hw_ocotp_hw_ocotp_hdcp_key27[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY28.
static const field_t hw_ocotp_hw_ocotp_hdcp_key28[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY29.
static const field_t hw_ocotp_hw_ocotp_hdcp_key29[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY30.
static const field_t hw_ocotp_hw_ocotp_hdcp_key30[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY31.
static const field_t hw_ocotp_hw_ocotp_hdcp_key31[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY32.
static const field_t hw_ocotp_hw_ocotp_hdcp_key32[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY33.
static const field_t hw_ocotp_hw_ocotp_hdcp_key33[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY34.
static const field_t hw_ocotp_hw_ocotp_hdcp_key34[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY35.
static const field_t hw_ocotp_hw_ocotp_hdcp_key35[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY36.
static const field_t hw_ocotp_hw_ocotp_hdcp_key36[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY37.
static const field_t hw_ocotp_hw_ocotp_hdcp_key37[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY38.
static const field_t hw_ocotp_hw_ocotp_hdcp_key38[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY39.
static const field_t hw_ocotp_hw_ocotp_hdcp_key39[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY40.
static const field_t hw_ocotp_hw_ocotp_hdcp_key40[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY41.
static const field_t hw_ocotp_hw_ocotp_hdcp_key41[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY42.
static const field_t hw_ocotp_hw_ocotp_hdcp_key42[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY43.
static const field_t hw_ocotp_hw_ocotp_hdcp_key43[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY44.
static const field_t hw_ocotp_hw_ocotp_hdcp_key44[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY45.
static const field_t hw_ocotp_hw_ocotp_hdcp_key45[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY46.
static const field_t hw_ocotp_hw_ocotp_hdcp_key46[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY47.
static const field_t hw_ocotp_hw_ocotp_hdcp_key47[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY48.
static const field_t hw_ocotp_hw_ocotp_hdcp_key48[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY49.
static const field_t hw_ocotp_hw_ocotp_hdcp_key49[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY50.
static const field_t hw_ocotp_hw_ocotp_hdcp_key50[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY51.
static const field_t hw_ocotp_hw_ocotp_hdcp_key51[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY52.
static const field_t hw_ocotp_hw_ocotp_hdcp_key52[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY53.
static const field_t hw_ocotp_hw_ocotp_hdcp_key53[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY54.
static const field_t hw_ocotp_hw_ocotp_hdcp_key54[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY55.
static const field_t hw_ocotp_hw_ocotp_hdcp_key55[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY56.
static const field_t hw_ocotp_hw_ocotp_hdcp_key56[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY57.
static const field_t hw_ocotp_hw_ocotp_hdcp_key57[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY58.
static const field_t hw_ocotp_hw_ocotp_hdcp_key58[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY59.
static const field_t hw_ocotp_hw_ocotp_hdcp_key59[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY60.
static const field_t hw_ocotp_hw_ocotp_hdcp_key60[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY61.
static const field_t hw_ocotp_hw_ocotp_hdcp_key61[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY62.
static const field_t hw_ocotp_hw_ocotp_hdcp_key62[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY63.
static const field_t hw_ocotp_hw_ocotp_hdcp_key63[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY64.
static const field_t hw_ocotp_hw_ocotp_hdcp_key64[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY65.
static const field_t hw_ocotp_hw_ocotp_hdcp_key65[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 17, word 1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY66.
static const field_t hw_ocotp_hw_ocotp_hdcp_key66[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY67.
static const field_t hw_ocotp_hw_ocotp_hdcp_key67[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY68.
static const field_t hw_ocotp_hw_ocotp_hdcp_key68[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY69.
static const field_t hw_ocotp_hw_ocotp_hdcp_key69[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY70.
static const field_t hw_ocotp_hw_ocotp_hdcp_key70[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 0.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register OCOTP_HW_OCOTP_HDCP_KEY71.
static const field_t hw_ocotp_hw_ocotp_hdcp_key71[] =
{
    {
        "BITS",
        "Reflects value of OTP Bank 16, word 3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a OCOTP module.
static const reg_t hw_ocotp[] =
{
    {
        "HW_OCOTP_CTRL",
        "The OCOTP Control and Status Register provides the necessary software "
        "interface for performing read and write operations to the On-Chip OTP "
        "(One-Time Programmable ROM).",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ocotp_hw_ocotp_ctrl
    },
    {
        "HW_OCOTP_CTRL_SET",
        "The OCOTP Control and Status Register provides the necessary software "
        "interface for performing read and write operations to the On-Chip OTP "
        "(One-Time Programmable ROM).",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ocotp_hw_ocotp_ctrl_set
    },
    {
        "HW_OCOTP_CTRL_CLR",
        "The OCOTP Control and Status Register provides the necessary software "
        "interface for performing read and write operations to the On-Chip OTP "
        "(One-Time Programmable ROM).",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ocotp_hw_ocotp_ctrl_clr
    },
    {
        "HW_OCOTP_CTRL_TOG",
        "The OCOTP Control and Status Register provides the necessary software "
        "interface for performing read and write operations to the On-Chip OTP "
        "(One-Time Programmable ROM).",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ocotp_hw_ocotp_ctrl_tog
    },
    {
        "HW_OCOTP_TIMING",
        "This register specifies timing parameters for programming and reading "
        "the OCOTP fuse array.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_ocotp_hw_ocotp_timing
    },
    {
        "HW_OCOTP_DATA",
        "This register is used in conjuction with HW_OCOTP_CTRL to perform one-"
        "time writes to the OTP.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_data
    },
    {
        "HW_OCOTP_READ_CTRL",
        "This register is used in conjuction with HW_OCOTP_CTRL to perform one "
        "time read to the OTP.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_ocotp_hw_ocotp_read_ctrl
    },
    {
        "HW_OCOTP_READ_FUSE_DATA",
        "The data read from OTP",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_read_fuse_data
    },
    {
        "HW_OCOTP_SW_STICKY",
        "Some sticky bits are used by SW to lock some fuse area , shadow regist"
        "ers and other features.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_ocotp_hw_ocotp_sw_sticky
    },
    {
        "HW_OCOTP_SCS",
        "This register holds volatile configuration values that can be set and "
        "locked by trusted software.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ocotp_hw_ocotp_scs
    },
    {
        "HW_OCOTP_SCS_SET",
        "This register holds volatile configuration values that can be set and "
        "locked by trusted software.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ocotp_hw_ocotp_scs_set
    },
    {
        "HW_OCOTP_SCS_CLR",
        "This register holds volatile configuration values that can be set and "
        "locked by trusted software.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ocotp_hw_ocotp_scs_clr
    },
    {
        "HW_OCOTP_SCS_TOG",
        "This register holds volatile configuration values that can be set and "
        "locked by trusted software.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_ocotp_hw_ocotp_scs_tog
    },
    {
        "HW_OCOTP_VERSION",
        "This register indicates the RTL version in use.",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_ocotp_hw_ocotp_version
    },
    {
        "HW_OCOTP_LOCK",
        "Shadowed memory mapped access to OTP Bank 0, word 0.",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        false, // Writable
        19, // Number of bitfields
        hw_ocotp_hw_ocotp_lock
    },
    {
        "HW_OCOTP_TESTER0",
        "Shadowed memory mapped access to OTP Bank 0, word 1.",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_tester0
    },
    {
        "HW_OCOTP_TESTER1",
        "shadowed memory mapped access to OTP Bank 0, word 2.",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_tester1
    },
    {
        "HW_OCOTP_TESTER2",
        "Shadowed memory mapped access to OTP Bank 0, word 3.",
        4, // Width in bytes
        0x00000430, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_tester2
    },
    {
        "HW_OCOTP_TESTER3",
        "Non-shadowed memory mapped access to OTP Bank 1, word 0.",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_tester3
    },
    {
        "HW_OCOTP_TESTER4",
        "Shadowed memory mapped access to OTP Bank 1, word 1.",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_tester4
    },
    {
        "HW_OCOTP_TESTER5",
        "Shadowed memory mapped access to OTP Bank 1, word 2.",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_tester5
    },
    {
        "HW_OCOTP_BOOT_CFG0",
        "Shadowed memory mapped access to OTP Bank 1, word 3.",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_boot_cfg0
    },
    {
        "HW_OCOTP_BOOT_CFG1",
        "Shadowed memory mapped access to OTP bank 2, word 0.",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_boot_cfg1
    },
    {
        "HW_OCOTP_BOOT_CFG2",
        "Shadowed memory mapped access to OTP bank 2, word 1.",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_boot_cfg2
    },
    {
        "HW_OCOTP_BOOT_CFG3",
        "Shadowed memory mapped access to OTP bank 2, word 2.",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_boot_cfg3
    },
    {
        "HW_OCOTP_BOOT_CFG4",
        "Shadowed memory mapped access to OTP bank 2, word 3.",
        4, // Width in bytes
        0x000004b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_boot_cfg4
    },
    {
        "HW_OCOTP_MEM_TRIM0",
        "Shadowed memory mapped access to OTP bank 3, word 0.",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mem_trim0
    },
    {
        "HW_OCOTP_MEM_TRIM1",
        "Shadowed memory mapped access to OTP bank 3, word 1.",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mem_trim1
    },
    {
        "HW_OCOTP_ANA0",
        "Shadowed memory mapped access to OTP bank 3, word 2.",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_ana0
    },
    {
        "HW_OCOTP_ANA1",
        "Shadowed memory mapped access to OTP bank 3, word 3.",
        4, // Width in bytes
        0x000004f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_ana1
    },
    {
        "HW_OCOTP_SRK0",
        "Shadowed memory mapped access to OTP Bank 6, word 0.",
        4, // Width in bytes
        0x00000580, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_srk0
    },
    {
        "HW_OCOTP_SRK1",
        "Shadowed memory mapped access to OTP Bank 6, word 1.",
        4, // Width in bytes
        0x00000590, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_srk1
    },
    {
        "HW_OCOTP_SRK2",
        "Shadowed memory mapped access to OTP Bank 6, word 2.",
        4, // Width in bytes
        0x000005a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_srk2
    },
    {
        "HW_OCOTP_SRK3",
        "Shadowed memory mapped access to OTP Bank 6, word 3.",
        4, // Width in bytes
        0x000005b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_srk3
    },
    {
        "HW_OCOTP_SRK4",
        "Shadowed memory mapped access to OTP Bank 7, word 0.",
        4, // Width in bytes
        0x000005c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_srk4
    },
    {
        "HW_OCOTP_SRK5",
        "Shadowed memory mapped access to OTP Bank 7, word 1.",
        4, // Width in bytes
        0x000005d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_srk5
    },
    {
        "HW_OCOTP_SRK6",
        "Shadowed memory mapped access to OTP Bank 7, word 2.",
        4, // Width in bytes
        0x000005e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_srk6
    },
    {
        "HW_OCOTP_SRK7",
        "Shadowed memory mapped access to OTP Bank 7, word 3.",
        4, // Width in bytes
        0x000005f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_srk7
    },
    {
        "HW_OCOTP_SJC_RESP0",
        "Shadowed memory mapped access to OTP Bank 8, word 0.",
        4, // Width in bytes
        0x00000600, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_sjc_resp0
    },
    {
        "HW_OCOTP_SJC_RESP1",
        "Shadowed memory mapped access to OTP Bank 8, word 1.",
        4, // Width in bytes
        0x00000610, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_sjc_resp1
    },
    {
        "HW_OCOTP_USB_ID",
        "Shadowed memory mapped access to OTP Bank 8, word 2.",
        4, // Width in bytes
        0x00000620, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_usb_id
    },
    {
        "HW_OCOTP_FIELD_RETURN",
        "Shadowed memory mapped access to OTP Bank 8, word 3.",
        4, // Width in bytes
        0x00000630, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_field_return
    },
    {
        "HW_OCOTP_MAC_ADDR0",
        "Shadowed memory mapped access to OTP Bank 9, word 0.",
        4, // Width in bytes
        0x00000640, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mac_addr0
    },
    {
        "HW_OCOTP_MAC_ADDR1",
        "Shadowed memory mapped access to OTP Bank 9, word 1.",
        4, // Width in bytes
        0x00000650, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mac_addr1
    },
    {
        "HW_OCOTP_MAC_ADDR2",
        "Shadowed memory mapped access to OTP Bank 9, word 2.",
        4, // Width in bytes
        0x00000660, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mac_addr2
    },
    {
        "HW_OCOTP_SRK_REVOKE",
        "Shadowed memory mapped access to OTP Bank 9, word 3.",
        4, // Width in bytes
        0x00000670, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_srk_revoke
    },
    {
        "HW_OCOTP_MAU_KEY0",
        "Shadowed memory mapped access to OTP Bank 10, word 0.",
        4, // Width in bytes
        0x00000680, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mau_key0
    },
    {
        "HW_OCOTP_MAU_KEY1",
        "Shadowed memory mapped access to OTP Bank 10, word 1.",
        4, // Width in bytes
        0x00000690, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mau_key1
    },
    {
        "HW_OCOTP_MAU_KEY2",
        "Shadowed memory mapped access to OTP Bank 10, word 2.",
        4, // Width in bytes
        0x000006a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mau_key2
    },
    {
        "HW_OCOTP_MAU_KEY3",
        "Shadowed memory mapped access to OTP Bank 10, word 3.",
        4, // Width in bytes
        0x000006b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mau_key3
    },
    {
        "HW_OCOTP_MAU_KEY4",
        "Shadowed memory mapped access to OTP Bank 11, word 0.",
        4, // Width in bytes
        0x000006c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mau_key4
    },
    {
        "HW_OCOTP_MAU_KEY5",
        "Shadowed memory mapped access to OTP Bank 11, word 1.",
        4, // Width in bytes
        0x000006d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mau_key5
    },
    {
        "HW_OCOTP_MAU_KEY6",
        "Shadowed memory mapped access to OTP Bank 11, word 2.",
        4, // Width in bytes
        0x000006e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mau_key6
    },
    {
        "HW_OCOTP_MAU_KEY7",
        "Shadowed memory mapped access to OTP Bank 11, word 3.",
        4, // Width in bytes
        0x000006f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_mau_key7
    },
    {
        "HW_OCOTP_GP10",
        "Shadowed memory mapped access to OTP Bank 14, word 0.",
        4, // Width in bytes
        0x00000780, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_gp10
    },
    {
        "HW_OCOTP_GP11",
        "Shadowed memory mapped access to OTP Bank 14, word 1.",
        4, // Width in bytes
        0x00000790, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_gp11
    },
    {
        "HW_OCOTP_GP20",
        "Shadowed memory mapped access to OTP Bank 14, word 2.",
        4, // Width in bytes
        0x000007a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_gp20
    },
    {
        "HW_OCOTP_GP21",
        "Shadowed memory mapped access to OTP Bank 14, word 3.",
        4, // Width in bytes
        0x000007b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_gp21
    },
    {
        "HW_OCOTP_GP_CRC0",
        "Shadowed memory mapped access to OTP Bank 15, word 0.",
        4, // Width in bytes
        0x000007c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_gp_crc0
    },
    {
        "HW_OCOTP_GP_CRC1",
        "Shadowed memory mapped access to OTP Bank 15, word 1.",
        4, // Width in bytes
        0x000007d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_gp_crc1
    },
    {
        "HW_OCOTP_GP_CRC2",
        "Shadowed memory mapped access to OTP Bank 15, word 2.",
        4, // Width in bytes
        0x000007e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_gp_crc2
    },
    {
        "HW_OCOTP_GROUP_MASK",
        "Shadowed memory mapped access to OTP Bank 15, word 3.",
        4, // Width in bytes
        0x000007f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_group_mask
    },
    {
        "HW_OCOTP_HDMI_FW_SRK0",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_fw_srk0
    },
    {
        "HW_OCOTP_HDMI_FW_SRK1",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00000810, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_fw_srk1
    },
    {
        "HW_OCOTP_HDMI_FW_SRK2",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00000820, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_fw_srk2
    },
    {
        "HW_OCOTP_HDMI_FW_SRK3",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000830, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_fw_srk3
    },
    {
        "HW_OCOTP_HDMI_FW_SRK4",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000840, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_fw_srk4
    },
    {
        "HW_OCOTP_HDMI_FW_SRK5",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000850, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_fw_srk5
    },
    {
        "HW_OCOTP_HDMI_FW_SRK6",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000860, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_fw_srk6
    },
    {
        "HW_OCOTP_HDMI_FW_SRK7",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000870, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_fw_srk7
    },
    {
        "HW_OCOTP_HDMI_KMEK0",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000880, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_kmek0
    },
    {
        "HW_OCOTP_HDMI_KMEK1",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000890, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_kmek1
    },
    {
        "HW_OCOTP_HDMI_KMEK2",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000008a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_kmek2
    },
    {
        "HW_OCOTP_HDMI_KMEK3",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x000008b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdmi_kmek3
    },
    {
        "HW_OCOTP_HDCP_TX_CONS0",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000900, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cons0
    },
    {
        "HW_OCOTP_HDCP_TX_CONS1",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00000910, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cons1
    },
    {
        "HW_OCOTP_HDCP_TX_CONS2",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00000920, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cons2
    },
    {
        "HW_OCOTP_HDCP_TX_CONS3",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000930, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cons3
    },
    {
        "HW_OCOTP_HDCP_TX_CERT0",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000940, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert0
    },
    {
        "HW_OCOTP_HDCP_TX_CERT1",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000950, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert1
    },
    {
        "HW_OCOTP_HDCP_TX_CERT2",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000960, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert2
    },
    {
        "HW_OCOTP_HDCP_TX_CERT3",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000970, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert3
    },
    {
        "HW_OCOTP_HDCP_TX_CERT4",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000980, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert4
    },
    {
        "HW_OCOTP_HDCP_TX_CERT5",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000990, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert5
    },
    {
        "HW_OCOTP_HDCP_TX_CERT6",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000009a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert6
    },
    {
        "HW_OCOTP_HDCP_TX_CERT7",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x000009b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert7
    },
    {
        "HW_OCOTP_HDCP_TX_CERT8",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x000009c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert8
    },
    {
        "HW_OCOTP_HDCP_TX_CERT9",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x000009d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert9
    },
    {
        "HW_OCOTP_HDCP_TX_CERT10",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000009e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert10
    },
    {
        "HW_OCOTP_HDCP_TX_CERT11",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000009f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert11
    },
    {
        "HW_OCOTP_HDCP_TX_CERT12",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000a00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert12
    },
    {
        "HW_OCOTP_HDCP_TX_CERT13",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00000a10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert13
    },
    {
        "HW_OCOTP_HDCP_TX_CERT14",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00000a20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert14
    },
    {
        "HW_OCOTP_HDCP_TX_CERT15",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000a30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert15
    },
    {
        "HW_OCOTP_HDCP_TX_CERT16",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000a40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert16
    },
    {
        "HW_OCOTP_HDCP_TX_CERT17",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000a50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert17
    },
    {
        "HW_OCOTP_HDCP_TX_CERT18",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000a60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert18
    },
    {
        "HW_OCOTP_HDCP_TX_CERT19",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000a70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert19
    },
    {
        "HW_OCOTP_HDCP_TX_CERT20",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000a80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert20
    },
    {
        "HW_OCOTP_HDCP_TX_CERT21",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000a90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert21
    },
    {
        "HW_OCOTP_HDCP_TX_CERT22",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000aa0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert22
    },
    {
        "HW_OCOTP_HDCP_TX_CERT23",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000ab0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert23
    },
    {
        "HW_OCOTP_HDCP_TX_CERT24",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000ac0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert24
    },
    {
        "HW_OCOTP_HDCP_TX_CERT25",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000ad0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert25
    },
    {
        "HW_OCOTP_HDCP_TX_CERT26",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000ae0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert26
    },
    {
        "HW_OCOTP_HDCP_TX_CERT27",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000af0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert27
    },
    {
        "HW_OCOTP_HDCP_TX_CERT28",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000b00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert28
    },
    {
        "HW_OCOTP_HDCP_TX_CERT29",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00000b10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert29
    },
    {
        "HW_OCOTP_HDCP_TX_CERT30",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00000b20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert30
    },
    {
        "HW_OCOTP_HDCP_TX_CERT31",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000b30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert31
    },
    {
        "HW_OCOTP_HDCP_TX_CERT32",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000b40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert32
    },
    {
        "HW_OCOTP_HDCP_TX_CERT33",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000b50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert33
    },
    {
        "HW_OCOTP_HDCP_TX_CERT34",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000b60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert34
    },
    {
        "HW_OCOTP_HDCP_TX_CERT35",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000b70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert35
    },
    {
        "HW_OCOTP_HDCP_TX_CERT36",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000b80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert36
    },
    {
        "HW_OCOTP_HDCP_TX_CERT37",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000b90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert37
    },
    {
        "HW_OCOTP_HDCP_TX_CERT38",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000ba0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert38
    },
    {
        "HW_OCOTP_HDCP_TX_CERT39",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000bb0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert39
    },
    {
        "HW_OCOTP_HDCP_TX_CERT40",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000bc0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert40
    },
    {
        "HW_OCOTP_HDCP_TX_CERT41",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000bd0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert41
    },
    {
        "HW_OCOTP_HDCP_TX_CERT42",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000be0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert42
    },
    {
        "HW_OCOTP_HDCP_TX_CERT43",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000bf0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert43
    },
    {
        "HW_OCOTP_HDCP_TX_CERT44",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000c00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert44
    },
    {
        "HW_OCOTP_HDCP_TX_CERT45",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00000c10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert45
    },
    {
        "HW_OCOTP_HDCP_TX_CERT46",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00000c20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert46
    },
    {
        "HW_OCOTP_HDCP_TX_CERT47",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000c30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert47
    },
    {
        "HW_OCOTP_HDCP_TX_CERT48",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000c40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert48
    },
    {
        "HW_OCOTP_HDCP_TX_CERT49",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000c50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert49
    },
    {
        "HW_OCOTP_HDCP_TX_CERT50",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000c60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert50
    },
    {
        "HW_OCOTP_HDCP_TX_CERT51",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000c70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert51
    },
    {
        "HW_OCOTP_HDCP_TX_CERT52",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000c80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert52
    },
    {
        "HW_OCOTP_HDCP_TX_CERT53",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000c90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert53
    },
    {
        "HW_OCOTP_HDCP_TX_CERT54",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000ca0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert54
    },
    {
        "HW_OCOTP_HDCP_TX_CERT55",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000cb0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert55
    },
    {
        "HW_OCOTP_HDCP_TX_CERT56",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000cc0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert56
    },
    {
        "HW_OCOTP_HDCP_TX_CERT57",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000cd0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert57
    },
    {
        "HW_OCOTP_HDCP_TX_CERT58",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000ce0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert58
    },
    {
        "HW_OCOTP_HDCP_TX_CERT59",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000cf0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert59
    },
    {
        "HW_OCOTP_HDCP_TX_CERT60",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000d00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert60
    },
    {
        "HW_OCOTP_HDCP_TX_CERT61",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00000d10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert61
    },
    {
        "HW_OCOTP_HDCP_TX_CERT62",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00000d20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert62
    },
    {
        "HW_OCOTP_HDCP_TX_CERT63",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000d30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert63
    },
    {
        "HW_OCOTP_HDCP_TX_CERT64",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000d40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert64
    },
    {
        "HW_OCOTP_HDCP_TX_CERT65",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000d50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert65
    },
    {
        "HW_OCOTP_HDCP_TX_CERT66",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000d60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert66
    },
    {
        "HW_OCOTP_HDCP_TX_CERT67",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000d70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert67
    },
    {
        "HW_OCOTP_HDCP_TX_CERT68",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000d80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert68
    },
    {
        "HW_OCOTP_HDCP_TX_CERT69",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000d90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert69
    },
    {
        "HW_OCOTP_HDCP_TX_CERT70",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000da0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert70
    },
    {
        "HW_OCOTP_HDCP_TX_CERT71",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000db0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert71
    },
    {
        "HW_OCOTP_HDCP_TX_CERT72",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000dc0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert72
    },
    {
        "HW_OCOTP_HDCP_TX_CERT73",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000dd0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert73
    },
    {
        "HW_OCOTP_HDCP_TX_CERT74",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000de0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert74
    },
    {
        "HW_OCOTP_HDCP_TX_CERT75",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000df0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert75
    },
    {
        "HW_OCOTP_HDCP_TX_CERT76",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000e00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert76
    },
    {
        "HW_OCOTP_HDCP_TX_CERT77",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00000e10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert77
    },
    {
        "HW_OCOTP_HDCP_TX_CERT78",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00000e20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert78
    },
    {
        "HW_OCOTP_HDCP_TX_CERT79",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000e30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert79
    },
    {
        "HW_OCOTP_HDCP_TX_CERT80",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000e40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert80
    },
    {
        "HW_OCOTP_HDCP_TX_CERT81",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000e50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert81
    },
    {
        "HW_OCOTP_HDCP_TX_CERT82",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000e60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert82
    },
    {
        "HW_OCOTP_HDCP_TX_CERT83",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000e70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert83
    },
    {
        "HW_OCOTP_HDCP_TX_CERT84",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000e80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert84
    },
    {
        "HW_OCOTP_HDCP_TX_CERT85",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000e90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert85
    },
    {
        "HW_OCOTP_HDCP_TX_CERT86",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000ea0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert86
    },
    {
        "HW_OCOTP_HDCP_TX_CERT87",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000eb0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert87
    },
    {
        "HW_OCOTP_HDCP_TX_CERT88",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000ec0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert88
    },
    {
        "HW_OCOTP_HDCP_TX_CERT89",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000ed0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert89
    },
    {
        "HW_OCOTP_HDCP_TX_CERT90",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000ee0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert90
    },
    {
        "HW_OCOTP_HDCP_TX_CERT91",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000ef0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert91
    },
    {
        "HW_OCOTP_HDCP_TX_CERT92",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000f00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert92
    },
    {
        "HW_OCOTP_HDCP_TX_CERT93",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00000f10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert93
    },
    {
        "HW_OCOTP_HDCP_TX_CERT94",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00000f20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert94
    },
    {
        "HW_OCOTP_HDCP_TX_CERT95",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000f30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_tx_cert95
    },
    {
        "HW_OCOTP_HDCP_KEY0",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000f40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key0
    },
    {
        "HW_OCOTP_HDCP_KEY1",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000f50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key1
    },
    {
        "HW_OCOTP_HDCP_KEY2",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000f60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key2
    },
    {
        "HW_OCOTP_HDCP_KEY3",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000f70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key3
    },
    {
        "HW_OCOTP_HDCP_KEY4",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000f80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key4
    },
    {
        "HW_OCOTP_HDCP_KEY5",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000f90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key5
    },
    {
        "HW_OCOTP_HDCP_KEY6",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000fa0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key6
    },
    {
        "HW_OCOTP_HDCP_KEY7",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00000fb0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key7
    },
    {
        "HW_OCOTP_HDCP_KEY8",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00000fc0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key8
    },
    {
        "HW_OCOTP_HDCP_KEY9",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00000fd0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key9
    },
    {
        "HW_OCOTP_HDCP_KEY10",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000fe0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key10
    },
    {
        "HW_OCOTP_HDCP_KEY11",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00000ff0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key11
    },
    {
        "HW_OCOTP_HDCP_KEY12",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key12
    },
    {
        "HW_OCOTP_HDCP_KEY13",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00001010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key13
    },
    {
        "HW_OCOTP_HDCP_KEY14",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00001020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key14
    },
    {
        "HW_OCOTP_HDCP_KEY15",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00001030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key15
    },
    {
        "HW_OCOTP_HDCP_KEY16",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00001040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key16
    },
    {
        "HW_OCOTP_HDCP_KEY17",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00001050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key17
    },
    {
        "HW_OCOTP_HDCP_KEY18",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001060, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key18
    },
    {
        "HW_OCOTP_HDCP_KEY19",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key19
    },
    {
        "HW_OCOTP_HDCP_KEY20",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key20
    },
    {
        "HW_OCOTP_HDCP_KEY21",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001090, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key21
    },
    {
        "HW_OCOTP_HDCP_KEY22",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000010a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key22
    },
    {
        "HW_OCOTP_HDCP_KEY23",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x000010b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key23
    },
    {
        "HW_OCOTP_HDCP_KEY24",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x000010c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key24
    },
    {
        "HW_OCOTP_HDCP_KEY25",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x000010d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key25
    },
    {
        "HW_OCOTP_HDCP_KEY26",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000010e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key26
    },
    {
        "HW_OCOTP_HDCP_KEY27",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000010f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key27
    },
    {
        "HW_OCOTP_HDCP_KEY28",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001100, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key28
    },
    {
        "HW_OCOTP_HDCP_KEY29",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00001110, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key29
    },
    {
        "HW_OCOTP_HDCP_KEY30",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00001120, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key30
    },
    {
        "HW_OCOTP_HDCP_KEY31",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00001130, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key31
    },
    {
        "HW_OCOTP_HDCP_KEY32",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00001140, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key32
    },
    {
        "HW_OCOTP_HDCP_KEY33",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00001150, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key33
    },
    {
        "HW_OCOTP_HDCP_KEY34",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001160, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key34
    },
    {
        "HW_OCOTP_HDCP_KEY35",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001170, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key35
    },
    {
        "HW_OCOTP_HDCP_KEY36",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001180, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key36
    },
    {
        "HW_OCOTP_HDCP_KEY37",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001190, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key37
    },
    {
        "HW_OCOTP_HDCP_KEY38",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000011a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key38
    },
    {
        "HW_OCOTP_HDCP_KEY39",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x000011b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key39
    },
    {
        "HW_OCOTP_HDCP_KEY40",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x000011c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key40
    },
    {
        "HW_OCOTP_HDCP_KEY41",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x000011d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key41
    },
    {
        "HW_OCOTP_HDCP_KEY42",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000011e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key42
    },
    {
        "HW_OCOTP_HDCP_KEY43",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000011f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key43
    },
    {
        "HW_OCOTP_HDCP_KEY44",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001200, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key44
    },
    {
        "HW_OCOTP_HDCP_KEY45",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00001210, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key45
    },
    {
        "HW_OCOTP_HDCP_KEY46",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00001220, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key46
    },
    {
        "HW_OCOTP_HDCP_KEY47",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00001230, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key47
    },
    {
        "HW_OCOTP_HDCP_KEY48",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00001240, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key48
    },
    {
        "HW_OCOTP_HDCP_KEY49",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00001250, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key49
    },
    {
        "HW_OCOTP_HDCP_KEY50",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001260, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key50
    },
    {
        "HW_OCOTP_HDCP_KEY51",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001270, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key51
    },
    {
        "HW_OCOTP_HDCP_KEY52",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001280, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key52
    },
    {
        "HW_OCOTP_HDCP_KEY53",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001290, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key53
    },
    {
        "HW_OCOTP_HDCP_KEY54",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000012a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key54
    },
    {
        "HW_OCOTP_HDCP_KEY55",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x000012b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key55
    },
    {
        "HW_OCOTP_HDCP_KEY56",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x000012c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key56
    },
    {
        "HW_OCOTP_HDCP_KEY57",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x000012d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key57
    },
    {
        "HW_OCOTP_HDCP_KEY58",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000012e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key58
    },
    {
        "HW_OCOTP_HDCP_KEY59",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000012f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key59
    },
    {
        "HW_OCOTP_HDCP_KEY60",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001300, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key60
    },
    {
        "HW_OCOTP_HDCP_KEY61",
        "Shadowed memory mapped access to OTP Bank 16, word 1.",
        4, // Width in bytes
        0x00001310, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key61
    },
    {
        "HW_OCOTP_HDCP_KEY62",
        "Shadowed memory mapped access to OTP Bank 16, word 2.",
        4, // Width in bytes
        0x00001320, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key62
    },
    {
        "HW_OCOTP_HDCP_KEY63",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x00001330, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key63
    },
    {
        "HW_OCOTP_HDCP_KEY64",
        "Shadowed memory mapped access to OTP Bank 17, word 0.",
        4, // Width in bytes
        0x00001340, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key64
    },
    {
        "HW_OCOTP_HDCP_KEY65",
        "Shadowed memory mapped access to OTP Bank 17, word 1.",
        4, // Width in bytes
        0x00001350, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key65
    },
    {
        "HW_OCOTP_HDCP_KEY66",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001360, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key66
    },
    {
        "HW_OCOTP_HDCP_KEY67",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001370, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key67
    },
    {
        "HW_OCOTP_HDCP_KEY68",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001380, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key68
    },
    {
        "HW_OCOTP_HDCP_KEY69",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x00001390, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key69
    },
    {
        "HW_OCOTP_HDCP_KEY70",
        "Shadowed memory mapped access to OTP Bank 16, word 0.",
        4, // Width in bytes
        0x000013a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key70
    },
    {
        "HW_OCOTP_HDCP_KEY71",
        "Shadowed memory mapped access to OTP Bank 16, word 3.",
        4, // Width in bytes
        0x000013b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_ocotp_hw_ocotp_hdcp_key71
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark PWM
#endif

// Bitfields in register PWM_PWMCR.
static const field_t hw_pwm_pwmcr[] =
{
    {
        "EN",
        "PWM Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "REPEAT",
        "Sample Repeat.",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWR",
        "Software Reset.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRESCALER",
        "Counter Clock Prescaler Value.",
        4, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKSRC",
        "Select Clock Source.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POUTC",
        "PWM Output Configuration.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HCTR",
        "Half-word Data Swap Control.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCTR",
        "Byte Data Swap Control.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGEN",
        "Debug Mode Enable.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAITEN",
        "Wait Mode Enable.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOZEN",
        "Doze Mode Enable.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STOPEN",
        "Stop Mode Enable.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWM",
        "FIFO Water Mark.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMSR.
static const field_t hw_pwm_pwmsr[] =
{
    {
        "FIFOAV",
        "FIFO Available.",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FE",
        "FIFO Empty Status Bit.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROV",
        "Roll-over Status.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMP",
        "Compare Status.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FWE",
        "FIFO Write Error Status.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMIR.
static const field_t hw_pwm_pwmir[] =
{
    {
        "FIE",
        "FIFO Empty Interrupt Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RIE",
        "Roll-over Interrupt Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CIE",
        "Compare Interrupt Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMSAR.
static const field_t hw_pwm_pwmsar[] =
{
    {
        "SAMPLE",
        "Sample Value.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMPR.
static const field_t hw_pwm_pwmpr[] =
{
    {
        "PERIOD",
        "Period Value.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register PWM_PWMCNR.
static const field_t hw_pwm_pwmcnr[] =
{
    {
        "COUNT",
        "Counter Value.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a PWM module.
static const reg_t hw_pwm[] =
{
    {
        "PWMCR",
        "The PWM control register (PWM_PWMCR) is used to configure the operatin"
        "g settings of the PWM.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_pwm_pwmcr
    },
    {
        "PWMSR",
        "The PWM status register (PWM_PWMSR) contains seven bits which display "
        "the state of the FIFO and the occurrence of rollover and compare event"
        "s.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_pwm_pwmsr
    },
    {
        "PWMIR",
        "The PWM Interrupt register (PWM_PWMIR) contains three bits which contr"
        "ol the generation of the compare, rollover and FIFO empty interrupts.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_pwm_pwmir
    },
    {
        "PWMSAR",
        "The PWM sample register (PWM_PWMSAR) is the input to the FIFO.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pwm_pwmsar
    },
    {
        "PWMPR",
        "The PWM period register (PWM_PWMPR) determines the period of the PWM o"
        "utput signal.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_pwm_pwmpr
    },
    {
        "PWMCNR",
        "The read-only pulse-width modulator counter register (PWM_PWMCNR) cont"
        "ains the current count value and can be read at any time without distu"
        "rbing the counter.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_pwm_pwmcnr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark QuadSPI
#endif

// Bitfields in register QuadSPI_QuadSPI_MCR.
static const field_t hw_quadspi_quadspi_mcr[] =
{
    {
        "SWRSTSD",
        "Software reset for Serial Flash domainPlease keep other fields value w"
        "hen write to SWRSTHD and SWRSTSD These software reset don't reset regi"
        "ster setting but only reset internal flip-flops in quadspi controller "
        "To remove the reset, need to write 0 to SWRSTHD and SWRSTSD",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SWRSTHD",
        "Software reset for AHB domainPlease keep other fields value when write"
        " to SWRSTHD and SWRSTSD These software reset don't reset register sett"
        "ing but only reset internal flip-flops in quadspi controller To remove"
        " the reset, need to write 0 to SWRSTHD and SWRSTSD",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "END_CFG",
        "Defines the endianness of the QSPI module.",
        2, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DQS_EN",
        "DQS enable: This field is valid for both SDR and DDR mode.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_EN",
        "DDR mode enable:",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_RXF",
        "Clear RX FIFO.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLR_TXF",
        "Clear TX FIFO/Buffer.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MDIS",
        "Module Disable.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DQS_LOOPBACK_FROM_PAD",
        "This bit should always be set to '1' when DQS_LOOPBACK_EN is set to '1"
        "'.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DQS_LOOPBACK_EN",
        "Quadspi will output serial data strobe signal which will be loopback f"
        "rom pad to sample input flash serial data.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DQS_PHASE_EN",
        "This bit controls internal DQS output phase.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_IPCR.
static const field_t hw_quadspi_quadspi_ipcr[] =
{
    {
        "IDATSZ",
        "IP data transfer size: Defines the data transfer size in bytes of the "
        "IP command.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAR_EN",
        "When set, a transaction to two serial flash devices is triggered in pa"
        "rallel mode.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEQID",
        "Points to a sequence in the Look-up-table.",
        24, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_FLSHCR.
static const field_t hw_quadspi_quadspi_flshcr[] =
{
    {
        "TCSS",
        "Serial flash CS setup time in terms of serial flash clock cycles.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCSH",
        "Serial flash CS hold time in terms of serial flash clock cycles.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TDH",
        "Serial flash Data In hold time: This helps in meeting the Data In Hold"
        " time requirement of a Flash.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_BUF0CR.
static const field_t hw_quadspi_quadspi_buf0cr[] =
{
    {
        "MSTRID",
        "Master ID: The ID of the AHB master associated with BUFFER0.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADATSZ",
        "AHB data transfer size: Defines the data transfer size in 8 bytes of a"
        "n AHB triggered access to serial flash.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HP_EN",
        "High Priority Enable: When set, the master associated with this buffer"
        " is assigned a priority higher than the rest of the masters.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_BUF1CR.
static const field_t hw_quadspi_quadspi_buf1cr[] =
{
    {
        "MSTRID",
        "Master ID: The ID of the AHB master associated with BUFFER1.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADATSZ",
        "AHB data transfer size: Defines the data transfer size in 8 bytes of a"
        "n AHB triggered access to serial flash.For example, a value of 0x2 wil"
        "l set transfer size to 16bytes.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_BUF2CR.
static const field_t hw_quadspi_quadspi_buf2cr[] =
{
    {
        "MSTRID",
        "Master ID: The ID of the AHB master associated with BUFFER2.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADATSZ",
        "AHB data transfer size: Defines the data transfer size in 8 Bytes of a"
        "n AHB triggered access to serial flash.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_BUF3CR.
static const field_t hw_quadspi_quadspi_buf3cr[] =
{
    {
        "MSTRID",
        "Master ID: The ID of the AHB master associated with BUFFER3.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADATSZ",
        "AHB data transfer size: Defines the data transfer size in 8 Bytes of a"
        "n AHB triggered access to serial flash.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALLMST",
        "All master enable: When set, buffer3 acts as an all-master buffer.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_BFGENCR.
static const field_t hw_quadspi_quadspi_bfgencr[] =
{
    {
        "SEQID",
        "Points to a sequence in the Look-up-table.",
        12, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAR_EN",
        "When set, a transaction to two serial flash devices is triggered in pa"
        "rallel mode.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_BUF0IND.
static const field_t hw_quadspi_quadspi_buf0ind[] =
{
    {
        "TPINDX0",
        "Top index of buffer 0.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_BUF1IND.
static const field_t hw_quadspi_quadspi_buf1ind[] =
{
    {
        "TPINDX1",
        "Top index of buffer 1.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_BUF2IND.
static const field_t hw_quadspi_quadspi_buf2ind[] =
{
    {
        "TPINDX2",
        "Top index of buffer 2.",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_SFAR.
static const field_t hw_quadspi_quadspi_sfar[] =
{
    {
        "SFADR",
        "Serial Flash Address.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_SMPR.
static const field_t hw_quadspi_quadspi_smpr[] =
{
    {
        "SDRSMP",
        "SDR sampling point.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDRSMP",
        "DDR Sampling point.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBSR.
static const field_t hw_quadspi_quadspi_rbsr[] =
{
    {
        "RDBFL",
        "RX Buffer Fill Level, indicates how many entries of 4 bytes are still "
        "available in the RX Buffer.",
        8, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RDCTR",
        "Read Counter, indicates how many entries of 4 bytes have been removed "
        "from the RX Buffer.For example a value of 0x2 would indicate 8bytes ha"
        "ve been removed It is incremented by the number (QSPI_RBCT[WMRK] + 1) "
        "on RX Buffer POP event.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBCT.
static const field_t hw_quadspi_quadspi_rbct[] =
{
    {
        "WMRK",
        "RX Buffer Watermark: This field determines when the readout action of "
        "the RX Buffer is triggered.",
        0, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXBRD",
        "RX Buffer Readout: This bit specifies the access scheme for the RX Buf"
        "fer readout.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_TBSR.
static const field_t hw_quadspi_quadspi_tbsr[] =
{
    {
        "TRBFL",
        "TX Buffer Fill Level.",
        8, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TRCTR",
        "Transmit Counter.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_TBDR.
static const field_t hw_quadspi_quadspi_tbdr[] =
{
    {
        "TXDATA",
        "TX Data On write access the data is written into the next available en"
        "try of the TX Buffer and the QPSI_TBSR[TRBFL] field is updated accordi"
        "ngly.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_SR.
static const field_t hw_quadspi_quadspi_sr[] =
{
    {
        "BUSY",
        "Module Busy: Asserted when module is currently busy handling a transac"
        "tion to an external flash device.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IP_ACC",
        "IP Access: Asserted when transaction currently executed was initiated "
        "by IP bus.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB_ACC",
        "AHB Access: Asserted when the transaction currently executed was initi"
        "ated by AHB bus.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHBGNT",
        "AHB Command priority Granted: Asserted when another module has been gr"
        "anted priority of AHB Commands against IP Commands.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHBTRN",
        "AHB Access Transaction pending: Asserted when there is a pending reque"
        "st on the AHB interface.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB0NE",
        "AHB 0 Buffer Not Empty: Asserted when AHB 0 buffer contains data.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB1NE",
        "AHB 1 Buffer Not Empty: Asserted when AHB 1 buffer contains data.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB2NE",
        "AHB 2 Buffer Not Empty: Asserted when AHB 2 buffer contains data.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB3NE",
        "AHB 3 Buffer Not Empty: Asserted when AHB 3 buffer contains data.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB0FUL",
        "AHB 0 Buffer Full: Asserted when AHB 0 buffer is full.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB1FUL",
        "AHB 1 Buffer Full: Asserted when AHB 1 buffer is full.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB2FUL",
        "AHB 2 Buffer Full: Asserted when AHB 2 buffer is full.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AHB3FUL",
        "AHB 3 Buffer Full: Asserted when AHB 3 buffer is full.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RXWE",
        "RX Buffer Watermark Exceeded: Asserted when the number of valid entrie"
        "s in the RX Buffer exceeds the number given in the QSPI_RBCT[WMRK] fie"
        "ld.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RXFULL",
        "RX Buffer Full: Asserted when the RX Buffer is full, i.e.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RXDMA",
        "RX Buffer DMA: Asserted when RX Buffer read out via DMA is active i.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXEDA",
        "Asserted when TX Buffer contains enough data for any pop operation to "
        "take place.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXFULL",
        "TX Buffer Full: Asserted when no more data can be stored.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLPSMP",
        "Data learning is not implemented on this chip.",
        29, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_FR.
static const field_t hw_quadspi_quadspi_fr[] =
{
    {
        "TFF",
        "IP Command Transaction Finished Flag: Set when the QuadSPI module has "
        "finished a running IP Command.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPGEF",
        "IP Command Trigger during AHB Grant Error Flag: Set when the following"
        " condition occurs: A write access occurs to the QSPI_IPCR[SEQID] field"
        " and the QSPI_SR[AHBGNT] bit is set.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPIEF",
        "IP Command Trigger could not be executed Error Flag.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPAEF",
        "IP Command Trigger during AHB Access Error Flag.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IUEF",
        "IP Command Usage Error Flag: Set when in parallel flash mode the execu"
        "tion of an IP Command is started and the sequence pointed to by the se"
        "quence ID contains a WRITE or a WRITE_DDR command.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABOF",
        "AHB Buffer Overflow Flag: Set when the size of the AHB access exceeds "
        "the size of the AHB buffer.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABSEF",
        "AHB Sequence Error Flag: Set when the execution of an AHB Command is s"
        "tarted with an WRITE or WRITE_DDR Command in the sequence pointed to b"
        "y the QSPI_BUFxCR QSPI_BUFxCR implies anyone of QSPI_BUF0CR/QSPI_BUF1C"
        "R/QSPI_BUF2CR/QSPI_BUF3CR register Communication with the serial flash"
        " device is terminated before the execution of WRITE/WRITE_DDR command "
        "by the QuadSPI module.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBDF",
        "RX Buffer Drain Flag: Will be set if the QuadSPI_SR[RXWE] status bit i"
        "s asserted.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBOF",
        "RX Buffer Overflow Flag: Set when not all the data read from the seria"
        "l flash device could be pushed into the RX Buffer.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ILLINE",
        "Illegal Instruction Error Flag: Set when an illegal instruction is enc"
        "ountered by the controller in any of the sequences.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TBUF",
        "TX Buffer Underrun Flag: Set when the module tried to pull data althou"
        "gh TX Buffer was emptyor the buffer contains less than 128bits of data"
        ".",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TBFF",
        "TX Buffer Fill Flag: Before writing to the TX buffer, this bit should "
        "be cleared.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLPFF",
        "Data learning is not implemented on this chip.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RSER.
static const field_t hw_quadspi_quadspi_rser[] =
{
    {
        "TFIE",
        "Transaction Finished Interrupt Enable",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPGEIE",
        "IP Command Trigger during AHB Grant Error Interrupt Enable",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPIEIE",
        "IP Command Trigger during IP Access Error Interrupt Enable",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPAEIE",
        "IP Command Trigger during AHB Access Error Interrupt Enable",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IUEIE",
        "IP Command Usage Error Interrupt Enable",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABOIE",
        "AHB Buffer Overflow Interrupt Enable",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ABSEIE",
        "AHB Sequence Error Interrupt Enable: Triggered by ABSEF flags of QSPI_"
        "FR",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBDIE",
        "RX Buffer Drain Interrupt Enable: Enables generation of IRQ requests f"
        "or RX Buffer Drain.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBOIE",
        "RX Buffer Overflow Interrupt Enable",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RBDDE",
        "RX Buffer Drain DMA Enable: Enables generation of DMA requests for RX "
        "Buffer Drain.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ILLINIE",
        "Illegal Instruction Error Interrupt Enable.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TBUIE",
        "TX Buffer Underrun Interrupt Enable",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TBFIE",
        "TX Buffer Fill Interrupt Enable",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLPFIE",
        "Data learning is not implemented on this chip.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_SPNDST.
static const field_t hw_quadspi_quadspi_spndst[] =
{
    {
        "SUSPND",
        "When set, it signifies that a sequence is in suspended state",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SPDBUF",
        "Suspended Buffer: Provides the suspended buffer number.",
        6, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DATLFT",
        "Data left: Provides information about the amount of data left to be re"
        "ad in the suspended sequence.",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_SPTRCLR.
static const field_t hw_quadspi_quadspi_sptrclr[] =
{
    {
        "BFPTRC",
        "Buffer Pointer Clear: 1: Clears the sequence pointer for AHB accesses "
        "as defined in QuadSPI_BFGENCR.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPPTRC",
        "IP Pointer Clear: 1: Clears the sequence pointer for IP accesses as de"
        "fined in QuadSPI_IPCR",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_SFA1AD.
static const field_t hw_quadspi_quadspi_sfa1ad[] =
{
    {
        "TPADA1",
        "Top address for Serial Flash A1.",
        10, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_SFA2AD.
static const field_t hw_quadspi_quadspi_sfa2ad[] =
{
    {
        "TPADA2",
        "Top address for Serial Flash A2.",
        10, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_SFB1AD.
static const field_t hw_quadspi_quadspi_sfb1ad[] =
{
    {
        "TPADB1",
        "Top address for Serial Flash B1.",
        10, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_SFB2AD.
static const field_t hw_quadspi_quadspi_sfb2ad[] =
{
    {
        "TPADB2",
        "Top address for Serial Flash B2.",
        10, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR0.
static const field_t hw_quadspi_quadspi_rbdr0[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR1.
static const field_t hw_quadspi_quadspi_rbdr1[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR2.
static const field_t hw_quadspi_quadspi_rbdr2[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR3.
static const field_t hw_quadspi_quadspi_rbdr3[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR4.
static const field_t hw_quadspi_quadspi_rbdr4[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR5.
static const field_t hw_quadspi_quadspi_rbdr5[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR6.
static const field_t hw_quadspi_quadspi_rbdr6[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR7.
static const field_t hw_quadspi_quadspi_rbdr7[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR8.
static const field_t hw_quadspi_quadspi_rbdr8[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR9.
static const field_t hw_quadspi_quadspi_rbdr9[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR10.
static const field_t hw_quadspi_quadspi_rbdr10[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR11.
static const field_t hw_quadspi_quadspi_rbdr11[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR12.
static const field_t hw_quadspi_quadspi_rbdr12[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR13.
static const field_t hw_quadspi_quadspi_rbdr13[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR14.
static const field_t hw_quadspi_quadspi_rbdr14[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR15.
static const field_t hw_quadspi_quadspi_rbdr15[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR16.
static const field_t hw_quadspi_quadspi_rbdr16[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR17.
static const field_t hw_quadspi_quadspi_rbdr17[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR18.
static const field_t hw_quadspi_quadspi_rbdr18[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR19.
static const field_t hw_quadspi_quadspi_rbdr19[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR20.
static const field_t hw_quadspi_quadspi_rbdr20[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR21.
static const field_t hw_quadspi_quadspi_rbdr21[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR22.
static const field_t hw_quadspi_quadspi_rbdr22[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR23.
static const field_t hw_quadspi_quadspi_rbdr23[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR24.
static const field_t hw_quadspi_quadspi_rbdr24[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR25.
static const field_t hw_quadspi_quadspi_rbdr25[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR26.
static const field_t hw_quadspi_quadspi_rbdr26[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR27.
static const field_t hw_quadspi_quadspi_rbdr27[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR28.
static const field_t hw_quadspi_quadspi_rbdr28[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR29.
static const field_t hw_quadspi_quadspi_rbdr29[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR30.
static const field_t hw_quadspi_quadspi_rbdr30[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_RBDR31.
static const field_t hw_quadspi_quadspi_rbdr31[] =
{
    {
        "RXDATA",
        "RX Data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUTKEY.
static const field_t hw_quadspi_quadspi_lutkey[] =
{
    {
        "KEY",
        "The key to lock or unlock the LUT.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LCKCR.
static const field_t hw_quadspi_quadspi_lckcr[] =
{
    {
        "LOCK",
        "Locks the LUT when the following condition is met: This register is wr"
        "itten just after the LUTKEYLUT Key Register The LUT key register was w"
        "ritten with 0x5AF05AF0 key",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNLOCK",
        "Unlocks the LUT when the following two conditions are met: 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT0.
static const field_t hw_quadspi_quadspi_lut0[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT1.
static const field_t hw_quadspi_quadspi_lut1[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT2.
static const field_t hw_quadspi_quadspi_lut2[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT3.
static const field_t hw_quadspi_quadspi_lut3[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT4.
static const field_t hw_quadspi_quadspi_lut4[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT5.
static const field_t hw_quadspi_quadspi_lut5[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT6.
static const field_t hw_quadspi_quadspi_lut6[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT7.
static const field_t hw_quadspi_quadspi_lut7[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT8.
static const field_t hw_quadspi_quadspi_lut8[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT9.
static const field_t hw_quadspi_quadspi_lut9[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT10.
static const field_t hw_quadspi_quadspi_lut10[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT11.
static const field_t hw_quadspi_quadspi_lut11[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT12.
static const field_t hw_quadspi_quadspi_lut12[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT13.
static const field_t hw_quadspi_quadspi_lut13[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT14.
static const field_t hw_quadspi_quadspi_lut14[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT15.
static const field_t hw_quadspi_quadspi_lut15[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT16.
static const field_t hw_quadspi_quadspi_lut16[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT17.
static const field_t hw_quadspi_quadspi_lut17[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT18.
static const field_t hw_quadspi_quadspi_lut18[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT19.
static const field_t hw_quadspi_quadspi_lut19[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT20.
static const field_t hw_quadspi_quadspi_lut20[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT21.
static const field_t hw_quadspi_quadspi_lut21[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT22.
static const field_t hw_quadspi_quadspi_lut22[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT23.
static const field_t hw_quadspi_quadspi_lut23[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT24.
static const field_t hw_quadspi_quadspi_lut24[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT25.
static const field_t hw_quadspi_quadspi_lut25[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT26.
static const field_t hw_quadspi_quadspi_lut26[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT27.
static const field_t hw_quadspi_quadspi_lut27[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT28.
static const field_t hw_quadspi_quadspi_lut28[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT29.
static const field_t hw_quadspi_quadspi_lut29[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT30.
static const field_t hw_quadspi_quadspi_lut30[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT31.
static const field_t hw_quadspi_quadspi_lut31[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT32.
static const field_t hw_quadspi_quadspi_lut32[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT33.
static const field_t hw_quadspi_quadspi_lut33[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT34.
static const field_t hw_quadspi_quadspi_lut34[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT35.
static const field_t hw_quadspi_quadspi_lut35[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT36.
static const field_t hw_quadspi_quadspi_lut36[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT37.
static const field_t hw_quadspi_quadspi_lut37[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT38.
static const field_t hw_quadspi_quadspi_lut38[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT39.
static const field_t hw_quadspi_quadspi_lut39[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT40.
static const field_t hw_quadspi_quadspi_lut40[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT41.
static const field_t hw_quadspi_quadspi_lut41[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT42.
static const field_t hw_quadspi_quadspi_lut42[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT43.
static const field_t hw_quadspi_quadspi_lut43[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT44.
static const field_t hw_quadspi_quadspi_lut44[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT45.
static const field_t hw_quadspi_quadspi_lut45[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT46.
static const field_t hw_quadspi_quadspi_lut46[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT47.
static const field_t hw_quadspi_quadspi_lut47[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT48.
static const field_t hw_quadspi_quadspi_lut48[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT49.
static const field_t hw_quadspi_quadspi_lut49[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT50.
static const field_t hw_quadspi_quadspi_lut50[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT51.
static const field_t hw_quadspi_quadspi_lut51[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT52.
static const field_t hw_quadspi_quadspi_lut52[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT53.
static const field_t hw_quadspi_quadspi_lut53[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT54.
static const field_t hw_quadspi_quadspi_lut54[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT55.
static const field_t hw_quadspi_quadspi_lut55[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT56.
static const field_t hw_quadspi_quadspi_lut56[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT57.
static const field_t hw_quadspi_quadspi_lut57[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT58.
static const field_t hw_quadspi_quadspi_lut58[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT59.
static const field_t hw_quadspi_quadspi_lut59[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT60.
static const field_t hw_quadspi_quadspi_lut60[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT61.
static const field_t hw_quadspi_quadspi_lut61[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT62.
static const field_t hw_quadspi_quadspi_lut62[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register QuadSPI_QuadSPI_LUT63.
static const field_t hw_quadspi_quadspi_lut63[] =
{
    {
        "OPRND0",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD0",
        "",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR0",
        "",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OPRND1",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PAD1",
        "",
        24, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INSTR1",
        "",
        26, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a QUADSPI module.
static const reg_t hw_quadspi[] =
{
    {
        "QuadSPI_MCR",
        "The QuadSPI_MCR holds configuration data associated with QuadSPI opera"
        "tion.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_quadspi_quadspi_mcr
    },
    {
        "QuadSPI_IPCR",
        "The IP configuration register provides all the configuration required "
        "for an IP initiated command.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_quadspi_quadspi_ipcr
    },
    {
        "QuadSPI_FLSHCR",
        "The Flash configuration register contains the flash device specific ti"
        "mings that must be met by the QuadSPI controller for the device to fun"
        "ction correctly.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_quadspi_quadspi_flshcr
    },
    {
        "QuadSPI_BUF0CR",
        "This register provides the configuration for any access to buffer0.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_quadspi_quadspi_buf0cr
    },
    {
        "QuadSPI_BUF1CR",
        "This register provides the configuration for any access to buffer1.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_quadspi_buf1cr
    },
    {
        "QuadSPI_BUF2CR",
        "This register provides the configuration for any access to buffer2.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_quadspi_buf2cr
    },
    {
        "QuadSPI_BUF3CR",
        "This register provides the configuration for any access to buffer3.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_quadspi_quadspi_buf3cr
    },
    {
        "QuadSPI_BFGENCR",
        "This register provides the generic configuration to any of the buffer "
        "accesses.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_quadspi_bfgencr
    },
    {
        "QuadSPI_BUF0IND",
        "This register specifies the top index of buffer0, which defines its si"
        "ze.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_buf0ind
    },
    {
        "QuadSPI_BUF1IND",
        "This register specifies the top index of buffer1, which defines its si"
        "ze.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_buf1ind
    },
    {
        "QuadSPI_BUF2IND",
        "This register specifies the top index of buffer2, which defines its si"
        "ze.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_buf2ind
    },
    {
        "QuadSPI_SFAR",
        "The module automatically translates this address on the memory map to "
        "the address on the flash itself.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_sfar
    },
    {
        "QuadSPI_SMPR",
        "The Sampling Register allows configuration of how the incoming data fr"
        "om the external serial flash devices are sampled in the QuadSPI module"
        ".",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_quadspi_smpr
    },
    {
        "QuadSPI_RBSR",
        "This register contains information related to the receive data buffer.",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_quadspi_quadspi_rbsr
    },
    {
        "QuadSPI_RBCT",
        "This register contains control data related to the receive data buffer"
        ".",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_quadspi_rbct
    },
    {
        "QuadSPI_TBSR",
        "This register contains information related to the transmit data buffer"
        ".",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_quadspi_quadspi_tbsr
    },
    {
        "QuadSPI_TBDR",
        "The QSPI_TBDR register provides access to the circular TX Buffer of de"
        "pth 128 bytes.",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_tbdr
    },
    {
        "QuadSPI_SR",
        "The QSPI_SR register provides all available status information about S"
        "FM command execution and arbitration, the RX Buffer and TX Buffer and "
        "the AHB Buffer.",
        4, // Width in bytes
        0x0000015c, // Base address offset
        true, // Readable
        false, // Writable
        19, // Number of bitfields
        hw_quadspi_quadspi_sr
    },
    {
        "QuadSPI_FR",
        "The QSPI_FR register provides all available flags about SFM command ex"
        "ecution and arbitration which may serve as source for the generation o"
        "f interrupt service requests.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_quadspi_quadspi_fr
    },
    {
        "QuadSPI_RSER",
        "The QuadSPI_RSER register provides enables and selectors for the inter"
        "rupts in the QuadSPI module.",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_quadspi_quadspi_rser
    },
    {
        "QuadSPI_SPNDST",
        "The sequence suspend status register provides information specific to "
        "any suspended sequence.",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_quadspi_quadspi_spndst
    },
    {
        "QuadSPI_SPTRCLR",
        "The sequence pointer clear register provides bits to reset the IP and "
        "Buffer sequence pointers.",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_quadspi_sptrclr
    },
    {
        "QuadSPI_SFA1AD",
        "The QSPI_SFA1AD register provides the address mapping for the serial f"
        "lash A1.The difference between QSPI_SFA1AD[TPADA1] and QSPI_AMBA_BASE "
        "defines the size of the memory map for serial flash A1.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_sfa1ad
    },
    {
        "QuadSPI_SFA2AD",
        "The QSPI_SFA2AD register provides the address mapping for the serial f"
        "lash A2.The difference between QSPI_SFA2AD[TPADA2] and QSPI_SFA1AD[TPA"
        "DA1] defines the size of the memory map for serial flash A2.",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_sfa2ad
    },
    {
        "QuadSPI_SFB1AD",
        "The QSPI_SFB1AD register provides the address mapping for the serial f"
        "lash B1.The difference between QSPI_SFB1AD[TPADB1] and QSPI_SFA2AD[TPA"
        "DA2] defines the size of the memory map for serial flash B1.",
        4, // Width in bytes
        0x00000188, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_sfb1ad
    },
    {
        "QuadSPI_SFB2AD",
        "The QSPI_SFB2AD register provides the address mapping for the serial f"
        "lash B2.The difference between QSPI_SFB2AD[TPADB2] and QSPI_SFB1AD[TPA"
        "DB1] defines the size of the memory map for serial flash B2.",
        4, // Width in bytes
        0x0000018c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_sfb2ad
    },
    {
        "QuadSPI_RBDR0",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr0
    },
    {
        "QuadSPI_RBDR1",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr1
    },
    {
        "QuadSPI_RBDR2",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr2
    },
    {
        "QuadSPI_RBDR3",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr3
    },
    {
        "QuadSPI_RBDR4",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr4
    },
    {
        "QuadSPI_RBDR5",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr5
    },
    {
        "QuadSPI_RBDR6",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr6
    },
    {
        "QuadSPI_RBDR7",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr7
    },
    {
        "QuadSPI_RBDR8",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr8
    },
    {
        "QuadSPI_RBDR9",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr9
    },
    {
        "QuadSPI_RBDR10",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr10
    },
    {
        "QuadSPI_RBDR11",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr11
    },
    {
        "QuadSPI_RBDR12",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr12
    },
    {
        "QuadSPI_RBDR13",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr13
    },
    {
        "QuadSPI_RBDR14",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr14
    },
    {
        "QuadSPI_RBDR15",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr15
    },
    {
        "QuadSPI_RBDR16",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr16
    },
    {
        "QuadSPI_RBDR17",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr17
    },
    {
        "QuadSPI_RBDR18",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr18
    },
    {
        "QuadSPI_RBDR19",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr19
    },
    {
        "QuadSPI_RBDR20",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr20
    },
    {
        "QuadSPI_RBDR21",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr21
    },
    {
        "QuadSPI_RBDR22",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr22
    },
    {
        "QuadSPI_RBDR23",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr23
    },
    {
        "QuadSPI_RBDR24",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr24
    },
    {
        "QuadSPI_RBDR25",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr25
    },
    {
        "QuadSPI_RBDR26",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr26
    },
    {
        "QuadSPI_RBDR27",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr27
    },
    {
        "QuadSPI_RBDR28",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr28
    },
    {
        "QuadSPI_RBDR29",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr29
    },
    {
        "QuadSPI_RBDR30",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x00000278, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr30
    },
    {
        "QuadSPI_RBDR31",
        "The QuadSPI_RBDR registers provide access to the individual entries in"
        " the RX Buffer.",
        4, // Width in bytes
        0x0000027c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_rbdr31
    },
    {
        "QuadSPI_LUTKEY",
        "The LUT Key register contains the key to lock and unlock the Look-up-t"
        "able.",
        4, // Width in bytes
        0x00000300, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_quadspi_quadspi_lutkey
    },
    {
        "QuadSPI_LCKCR",
        "The LUT lock configuration register is used along with QSPI_LUTKEY reg"
        "ister to lock or unlock the LUT.",
        4, // Width in bytes
        0x00000304, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_quadspi_quadspi_lckcr
    },
    {
        "QuadSPI_LUT0",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000310, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut0
    },
    {
        "QuadSPI_LUT1",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000314, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut1
    },
    {
        "QuadSPI_LUT2",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000318, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut2
    },
    {
        "QuadSPI_LUT3",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000031c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut3
    },
    {
        "QuadSPI_LUT4",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000320, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut4
    },
    {
        "QuadSPI_LUT5",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000324, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut5
    },
    {
        "QuadSPI_LUT6",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000328, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut6
    },
    {
        "QuadSPI_LUT7",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000032c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut7
    },
    {
        "QuadSPI_LUT8",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000330, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut8
    },
    {
        "QuadSPI_LUT9",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000334, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut9
    },
    {
        "QuadSPI_LUT10",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000338, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut10
    },
    {
        "QuadSPI_LUT11",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000033c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut11
    },
    {
        "QuadSPI_LUT12",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000340, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut12
    },
    {
        "QuadSPI_LUT13",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000344, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut13
    },
    {
        "QuadSPI_LUT14",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000348, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut14
    },
    {
        "QuadSPI_LUT15",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000034c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut15
    },
    {
        "QuadSPI_LUT16",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000350, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut16
    },
    {
        "QuadSPI_LUT17",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000354, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut17
    },
    {
        "QuadSPI_LUT18",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000358, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut18
    },
    {
        "QuadSPI_LUT19",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000035c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut19
    },
    {
        "QuadSPI_LUT20",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000360, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut20
    },
    {
        "QuadSPI_LUT21",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000364, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut21
    },
    {
        "QuadSPI_LUT22",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000368, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut22
    },
    {
        "QuadSPI_LUT23",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000036c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut23
    },
    {
        "QuadSPI_LUT24",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000370, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut24
    },
    {
        "QuadSPI_LUT25",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000374, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut25
    },
    {
        "QuadSPI_LUT26",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000378, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut26
    },
    {
        "QuadSPI_LUT27",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000037c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut27
    },
    {
        "QuadSPI_LUT28",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000380, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut28
    },
    {
        "QuadSPI_LUT29",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000384, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut29
    },
    {
        "QuadSPI_LUT30",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000388, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut30
    },
    {
        "QuadSPI_LUT31",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000038c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut31
    },
    {
        "QuadSPI_LUT32",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000390, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut32
    },
    {
        "QuadSPI_LUT33",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000394, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut33
    },
    {
        "QuadSPI_LUT34",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000398, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut34
    },
    {
        "QuadSPI_LUT35",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000039c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut35
    },
    {
        "QuadSPI_LUT36",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003a0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut36
    },
    {
        "QuadSPI_LUT37",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003a4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut37
    },
    {
        "QuadSPI_LUT38",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003a8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut38
    },
    {
        "QuadSPI_LUT39",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003ac, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut39
    },
    {
        "QuadSPI_LUT40",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003b0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut40
    },
    {
        "QuadSPI_LUT41",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003b4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut41
    },
    {
        "QuadSPI_LUT42",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003b8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut42
    },
    {
        "QuadSPI_LUT43",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003bc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut43
    },
    {
        "QuadSPI_LUT44",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003c0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut44
    },
    {
        "QuadSPI_LUT45",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003c4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut45
    },
    {
        "QuadSPI_LUT46",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003c8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut46
    },
    {
        "QuadSPI_LUT47",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003cc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut47
    },
    {
        "QuadSPI_LUT48",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003d0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut48
    },
    {
        "QuadSPI_LUT49",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003d4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut49
    },
    {
        "QuadSPI_LUT50",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003d8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut50
    },
    {
        "QuadSPI_LUT51",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003dc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut51
    },
    {
        "QuadSPI_LUT52",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003e0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut52
    },
    {
        "QuadSPI_LUT53",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003e4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut53
    },
    {
        "QuadSPI_LUT54",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003e8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut54
    },
    {
        "QuadSPI_LUT55",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003ec, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut55
    },
    {
        "QuadSPI_LUT56",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003f0, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut56
    },
    {
        "QuadSPI_LUT57",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003f4, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut57
    },
    {
        "QuadSPI_LUT58",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003f8, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut58
    },
    {
        "QuadSPI_LUT59",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x000003fc, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut59
    },
    {
        "QuadSPI_LUT60",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut60
    },
    {
        "QuadSPI_LUT61",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut61
    },
    {
        "QuadSPI_LUT62",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut62
    },
    {
        "QuadSPI_LUT63",
        "The LUT registers are a look-up-table for sequences of instructions.",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_quadspi_quadspi_lut63
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark RDC
#endif

// Bitfields in register RDC_VIR.
static const field_t hw_rdc_vir[] =
{
    {
        "NDID",
        "Indicates the number of domain ids supported by this instance of the R"
        "DC.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NMSTR",
        "Indicates the number of masters supported by this instance of RDC.",
        4, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NPER",
        "Indicates the number of peripherals that can be isolated or safe-share"
        "d",
        12, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NRGN",
        "Indicates the number of memory regions in this instance of the RDC.",
        20, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_STAT.
static const field_t hw_rdc_stat[] =
{
    {
        "DID",
        "The Domain ID of the core or bus master that is reading this.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PDS",
        "Indicates if the \"Power Down\" memory regions are powered and availab"
        "le.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_INTCTRL.
static const field_t hw_rdc_intctrl[] =
{
    {
        "RCI_EN",
        "Interrupt generated when the RDC has completed restoring state to a re"
        "cently re-powered memory regions.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_INTSTAT.
static const field_t hw_rdc_intstat[] =
{
    {
        "INT",
        "Indicates state of interrupt signal for state restoration.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA0.
static const field_t hw_rdc_mda0[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA1.
static const field_t hw_rdc_mda1[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA2.
static const field_t hw_rdc_mda2[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA3.
static const field_t hw_rdc_mda3[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA4.
static const field_t hw_rdc_mda4[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA5.
static const field_t hw_rdc_mda5[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA6.
static const field_t hw_rdc_mda6[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA7.
static const field_t hw_rdc_mda7[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA8.
static const field_t hw_rdc_mda8[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA9.
static const field_t hw_rdc_mda9[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA10.
static const field_t hw_rdc_mda10[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA11.
static const field_t hw_rdc_mda11[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA12.
static const field_t hw_rdc_mda12[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA13.
static const field_t hw_rdc_mda13[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA14.
static const field_t hw_rdc_mda14[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA15.
static const field_t hw_rdc_mda15[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA16.
static const field_t hw_rdc_mda16[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA17.
static const field_t hw_rdc_mda17[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA18.
static const field_t hw_rdc_mda18[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA19.
static const field_t hw_rdc_mda19[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA20.
static const field_t hw_rdc_mda20[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA21.
static const field_t hw_rdc_mda21[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA22.
static const field_t hw_rdc_mda22[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA23.
static const field_t hw_rdc_mda23[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA24.
static const field_t hw_rdc_mda24[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA25.
static const field_t hw_rdc_mda25[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MDA26.
static const field_t hw_rdc_mda26[] =
{
    {
        "DID",
        "Indicates the domain to which the Master is assigned",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP0.
static const field_t hw_rdc_pdap0[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP1.
static const field_t hw_rdc_pdap1[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP2.
static const field_t hw_rdc_pdap2[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP3.
static const field_t hw_rdc_pdap3[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP4.
static const field_t hw_rdc_pdap4[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP5.
static const field_t hw_rdc_pdap5[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP6.
static const field_t hw_rdc_pdap6[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP7.
static const field_t hw_rdc_pdap7[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP8.
static const field_t hw_rdc_pdap8[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP9.
static const field_t hw_rdc_pdap9[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP10.
static const field_t hw_rdc_pdap10[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP11.
static const field_t hw_rdc_pdap11[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP12.
static const field_t hw_rdc_pdap12[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP13.
static const field_t hw_rdc_pdap13[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP14.
static const field_t hw_rdc_pdap14[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP15.
static const field_t hw_rdc_pdap15[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP16.
static const field_t hw_rdc_pdap16[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP17.
static const field_t hw_rdc_pdap17[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP18.
static const field_t hw_rdc_pdap18[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP19.
static const field_t hw_rdc_pdap19[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP20.
static const field_t hw_rdc_pdap20[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP21.
static const field_t hw_rdc_pdap21[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP22.
static const field_t hw_rdc_pdap22[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP23.
static const field_t hw_rdc_pdap23[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP24.
static const field_t hw_rdc_pdap24[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP25.
static const field_t hw_rdc_pdap25[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP26.
static const field_t hw_rdc_pdap26[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP27.
static const field_t hw_rdc_pdap27[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP28.
static const field_t hw_rdc_pdap28[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP29.
static const field_t hw_rdc_pdap29[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP30.
static const field_t hw_rdc_pdap30[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP31.
static const field_t hw_rdc_pdap31[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP32.
static const field_t hw_rdc_pdap32[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP33.
static const field_t hw_rdc_pdap33[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP34.
static const field_t hw_rdc_pdap34[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP35.
static const field_t hw_rdc_pdap35[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP36.
static const field_t hw_rdc_pdap36[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP37.
static const field_t hw_rdc_pdap37[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP38.
static const field_t hw_rdc_pdap38[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP39.
static const field_t hw_rdc_pdap39[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP40.
static const field_t hw_rdc_pdap40[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP41.
static const field_t hw_rdc_pdap41[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP42.
static const field_t hw_rdc_pdap42[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP43.
static const field_t hw_rdc_pdap43[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP44.
static const field_t hw_rdc_pdap44[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP45.
static const field_t hw_rdc_pdap45[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP46.
static const field_t hw_rdc_pdap46[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP47.
static const field_t hw_rdc_pdap47[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP48.
static const field_t hw_rdc_pdap48[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP49.
static const field_t hw_rdc_pdap49[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP50.
static const field_t hw_rdc_pdap50[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP51.
static const field_t hw_rdc_pdap51[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP52.
static const field_t hw_rdc_pdap52[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP53.
static const field_t hw_rdc_pdap53[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP54.
static const field_t hw_rdc_pdap54[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP55.
static const field_t hw_rdc_pdap55[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP56.
static const field_t hw_rdc_pdap56[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP57.
static const field_t hw_rdc_pdap57[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP58.
static const field_t hw_rdc_pdap58[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP59.
static const field_t hw_rdc_pdap59[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP60.
static const field_t hw_rdc_pdap60[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP61.
static const field_t hw_rdc_pdap61[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP62.
static const field_t hw_rdc_pdap62[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP63.
static const field_t hw_rdc_pdap63[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP64.
static const field_t hw_rdc_pdap64[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP65.
static const field_t hw_rdc_pdap65[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP66.
static const field_t hw_rdc_pdap66[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP67.
static const field_t hw_rdc_pdap67[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP68.
static const field_t hw_rdc_pdap68[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP69.
static const field_t hw_rdc_pdap69[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP70.
static const field_t hw_rdc_pdap70[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP71.
static const field_t hw_rdc_pdap71[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP72.
static const field_t hw_rdc_pdap72[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP73.
static const field_t hw_rdc_pdap73[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP74.
static const field_t hw_rdc_pdap74[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP75.
static const field_t hw_rdc_pdap75[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP76.
static const field_t hw_rdc_pdap76[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP77.
static const field_t hw_rdc_pdap77[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP78.
static const field_t hw_rdc_pdap78[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP79.
static const field_t hw_rdc_pdap79[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP80.
static const field_t hw_rdc_pdap80[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP81.
static const field_t hw_rdc_pdap81[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP82.
static const field_t hw_rdc_pdap82[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP83.
static const field_t hw_rdc_pdap83[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP84.
static const field_t hw_rdc_pdap84[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP85.
static const field_t hw_rdc_pdap85[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP86.
static const field_t hw_rdc_pdap86[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP87.
static const field_t hw_rdc_pdap87[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP88.
static const field_t hw_rdc_pdap88[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP89.
static const field_t hw_rdc_pdap89[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP90.
static const field_t hw_rdc_pdap90[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP91.
static const field_t hw_rdc_pdap91[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP92.
static const field_t hw_rdc_pdap92[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP93.
static const field_t hw_rdc_pdap93[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP94.
static const field_t hw_rdc_pdap94[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP95.
static const field_t hw_rdc_pdap95[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP96.
static const field_t hw_rdc_pdap96[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP97.
static const field_t hw_rdc_pdap97[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP98.
static const field_t hw_rdc_pdap98[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP99.
static const field_t hw_rdc_pdap99[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP100.
static const field_t hw_rdc_pdap100[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP101.
static const field_t hw_rdc_pdap101[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP102.
static const field_t hw_rdc_pdap102[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP103.
static const field_t hw_rdc_pdap103[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP104.
static const field_t hw_rdc_pdap104[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP105.
static const field_t hw_rdc_pdap105[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP106.
static const field_t hw_rdc_pdap106[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP107.
static const field_t hw_rdc_pdap107[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP108.
static const field_t hw_rdc_pdap108[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP109.
static const field_t hw_rdc_pdap109[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP110.
static const field_t hw_rdc_pdap110[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP111.
static const field_t hw_rdc_pdap111[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP112.
static const field_t hw_rdc_pdap112[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP113.
static const field_t hw_rdc_pdap113[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP114.
static const field_t hw_rdc_pdap114[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP115.
static const field_t hw_rdc_pdap115[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP116.
static const field_t hw_rdc_pdap116[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_PDAP117.
static const field_t hw_rdc_pdap117[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SREQ",
        "When set the hardware semaphore state enforces the semaphore lock.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "When set prevents further modification of the Peripheral Domain Access"
        " Permissions (sticky bit until reset)",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA0.
static const field_t hw_rdc_mrsa0[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA0.
static const field_t hw_rdc_mrea0[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC0.
static const field_t hw_rdc_mrc0[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS0.
static const field_t hw_rdc_mrvs0[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA1.
static const field_t hw_rdc_mrsa1[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA1.
static const field_t hw_rdc_mrea1[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC1.
static const field_t hw_rdc_mrc1[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS1.
static const field_t hw_rdc_mrvs1[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA2.
static const field_t hw_rdc_mrsa2[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA2.
static const field_t hw_rdc_mrea2[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC2.
static const field_t hw_rdc_mrc2[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS2.
static const field_t hw_rdc_mrvs2[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA3.
static const field_t hw_rdc_mrsa3[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA3.
static const field_t hw_rdc_mrea3[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC3.
static const field_t hw_rdc_mrc3[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS3.
static const field_t hw_rdc_mrvs3[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA4.
static const field_t hw_rdc_mrsa4[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA4.
static const field_t hw_rdc_mrea4[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC4.
static const field_t hw_rdc_mrc4[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS4.
static const field_t hw_rdc_mrvs4[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA5.
static const field_t hw_rdc_mrsa5[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA5.
static const field_t hw_rdc_mrea5[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC5.
static const field_t hw_rdc_mrc5[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS5.
static const field_t hw_rdc_mrvs5[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA6.
static const field_t hw_rdc_mrsa6[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA6.
static const field_t hw_rdc_mrea6[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC6.
static const field_t hw_rdc_mrc6[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS6.
static const field_t hw_rdc_mrvs6[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA7.
static const field_t hw_rdc_mrsa7[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA7.
static const field_t hw_rdc_mrea7[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC7.
static const field_t hw_rdc_mrc7[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS7.
static const field_t hw_rdc_mrvs7[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA8.
static const field_t hw_rdc_mrsa8[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA8.
static const field_t hw_rdc_mrea8[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC8.
static const field_t hw_rdc_mrc8[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS8.
static const field_t hw_rdc_mrvs8[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA9.
static const field_t hw_rdc_mrsa9[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA9.
static const field_t hw_rdc_mrea9[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC9.
static const field_t hw_rdc_mrc9[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS9.
static const field_t hw_rdc_mrvs9[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA10.
static const field_t hw_rdc_mrsa10[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA10.
static const field_t hw_rdc_mrea10[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC10.
static const field_t hw_rdc_mrc10[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS10.
static const field_t hw_rdc_mrvs10[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA11.
static const field_t hw_rdc_mrsa11[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA11.
static const field_t hw_rdc_mrea11[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC11.
static const field_t hw_rdc_mrc11[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS11.
static const field_t hw_rdc_mrvs11[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA12.
static const field_t hw_rdc_mrsa12[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA12.
static const field_t hw_rdc_mrea12[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC12.
static const field_t hw_rdc_mrc12[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS12.
static const field_t hw_rdc_mrvs12[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA13.
static const field_t hw_rdc_mrsa13[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA13.
static const field_t hw_rdc_mrea13[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC13.
static const field_t hw_rdc_mrc13[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS13.
static const field_t hw_rdc_mrvs13[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA14.
static const field_t hw_rdc_mrsa14[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA14.
static const field_t hw_rdc_mrea14[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC14.
static const field_t hw_rdc_mrc14[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS14.
static const field_t hw_rdc_mrvs14[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA15.
static const field_t hw_rdc_mrsa15[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA15.
static const field_t hw_rdc_mrea15[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC15.
static const field_t hw_rdc_mrc15[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS15.
static const field_t hw_rdc_mrvs15[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA16.
static const field_t hw_rdc_mrsa16[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA16.
static const field_t hw_rdc_mrea16[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC16.
static const field_t hw_rdc_mrc16[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS16.
static const field_t hw_rdc_mrvs16[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA17.
static const field_t hw_rdc_mrsa17[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA17.
static const field_t hw_rdc_mrea17[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC17.
static const field_t hw_rdc_mrc17[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS17.
static const field_t hw_rdc_mrvs17[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA18.
static const field_t hw_rdc_mrsa18[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA18.
static const field_t hw_rdc_mrea18[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC18.
static const field_t hw_rdc_mrc18[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS18.
static const field_t hw_rdc_mrvs18[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA19.
static const field_t hw_rdc_mrsa19[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA19.
static const field_t hw_rdc_mrea19[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC19.
static const field_t hw_rdc_mrc19[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS19.
static const field_t hw_rdc_mrvs19[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA20.
static const field_t hw_rdc_mrsa20[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA20.
static const field_t hw_rdc_mrea20[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC20.
static const field_t hw_rdc_mrc20[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS20.
static const field_t hw_rdc_mrvs20[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA21.
static const field_t hw_rdc_mrsa21[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA21.
static const field_t hw_rdc_mrea21[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC21.
static const field_t hw_rdc_mrc21[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS21.
static const field_t hw_rdc_mrvs21[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA22.
static const field_t hw_rdc_mrsa22[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA22.
static const field_t hw_rdc_mrea22[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC22.
static const field_t hw_rdc_mrc22[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS22.
static const field_t hw_rdc_mrvs22[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA23.
static const field_t hw_rdc_mrsa23[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA23.
static const field_t hw_rdc_mrea23[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC23.
static const field_t hw_rdc_mrc23[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS23.
static const field_t hw_rdc_mrvs23[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA24.
static const field_t hw_rdc_mrsa24[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA24.
static const field_t hw_rdc_mrea24[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC24.
static const field_t hw_rdc_mrc24[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS24.
static const field_t hw_rdc_mrvs24[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA25.
static const field_t hw_rdc_mrsa25[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA25.
static const field_t hw_rdc_mrea25[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC25.
static const field_t hw_rdc_mrc25[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS25.
static const field_t hw_rdc_mrvs25[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA26.
static const field_t hw_rdc_mrsa26[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA26.
static const field_t hw_rdc_mrea26[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC26.
static const field_t hw_rdc_mrc26[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS26.
static const field_t hw_rdc_mrvs26[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA27.
static const field_t hw_rdc_mrsa27[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA27.
static const field_t hw_rdc_mrea27[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC27.
static const field_t hw_rdc_mrc27[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS27.
static const field_t hw_rdc_mrvs27[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA28.
static const field_t hw_rdc_mrsa28[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA28.
static const field_t hw_rdc_mrea28[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC28.
static const field_t hw_rdc_mrc28[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS28.
static const field_t hw_rdc_mrvs28[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA29.
static const field_t hw_rdc_mrsa29[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA29.
static const field_t hw_rdc_mrea29[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC29.
static const field_t hw_rdc_mrc29[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS29.
static const field_t hw_rdc_mrvs29[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA30.
static const field_t hw_rdc_mrsa30[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA30.
static const field_t hw_rdc_mrea30[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC30.
static const field_t hw_rdc_mrc30[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS30.
static const field_t hw_rdc_mrvs30[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA31.
static const field_t hw_rdc_mrsa31[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA31.
static const field_t hw_rdc_mrea31[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC31.
static const field_t hw_rdc_mrc31[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS31.
static const field_t hw_rdc_mrvs31[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA32.
static const field_t hw_rdc_mrsa32[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA32.
static const field_t hw_rdc_mrea32[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC32.
static const field_t hw_rdc_mrc32[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS32.
static const field_t hw_rdc_mrvs32[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA33.
static const field_t hw_rdc_mrsa33[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA33.
static const field_t hw_rdc_mrea33[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC33.
static const field_t hw_rdc_mrc33[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS33.
static const field_t hw_rdc_mrvs33[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA34.
static const field_t hw_rdc_mrsa34[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA34.
static const field_t hw_rdc_mrea34[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC34.
static const field_t hw_rdc_mrc34[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS34.
static const field_t hw_rdc_mrvs34[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA35.
static const field_t hw_rdc_mrsa35[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA35.
static const field_t hw_rdc_mrea35[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC35.
static const field_t hw_rdc_mrc35[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS35.
static const field_t hw_rdc_mrvs35[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA36.
static const field_t hw_rdc_mrsa36[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA36.
static const field_t hw_rdc_mrea36[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC36.
static const field_t hw_rdc_mrc36[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS36.
static const field_t hw_rdc_mrvs36[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA37.
static const field_t hw_rdc_mrsa37[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA37.
static const field_t hw_rdc_mrea37[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC37.
static const field_t hw_rdc_mrc37[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS37.
static const field_t hw_rdc_mrvs37[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA38.
static const field_t hw_rdc_mrsa38[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA38.
static const field_t hw_rdc_mrea38[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC38.
static const field_t hw_rdc_mrc38[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS38.
static const field_t hw_rdc_mrvs38[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA39.
static const field_t hw_rdc_mrsa39[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA39.
static const field_t hw_rdc_mrea39[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC39.
static const field_t hw_rdc_mrc39[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS39.
static const field_t hw_rdc_mrvs39[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA40.
static const field_t hw_rdc_mrsa40[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA40.
static const field_t hw_rdc_mrea40[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC40.
static const field_t hw_rdc_mrc40[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS40.
static const field_t hw_rdc_mrvs40[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA41.
static const field_t hw_rdc_mrsa41[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA41.
static const field_t hw_rdc_mrea41[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC41.
static const field_t hw_rdc_mrc41[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS41.
static const field_t hw_rdc_mrvs41[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA42.
static const field_t hw_rdc_mrsa42[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA42.
static const field_t hw_rdc_mrea42[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC42.
static const field_t hw_rdc_mrc42[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS42.
static const field_t hw_rdc_mrvs42[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA43.
static const field_t hw_rdc_mrsa43[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA43.
static const field_t hw_rdc_mrea43[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC43.
static const field_t hw_rdc_mrc43[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS43.
static const field_t hw_rdc_mrvs43[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA44.
static const field_t hw_rdc_mrsa44[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA44.
static const field_t hw_rdc_mrea44[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC44.
static const field_t hw_rdc_mrc44[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS44.
static const field_t hw_rdc_mrvs44[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA45.
static const field_t hw_rdc_mrsa45[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA45.
static const field_t hw_rdc_mrea45[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC45.
static const field_t hw_rdc_mrc45[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS45.
static const field_t hw_rdc_mrvs45[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA46.
static const field_t hw_rdc_mrsa46[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA46.
static const field_t hw_rdc_mrea46[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC46.
static const field_t hw_rdc_mrc46[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS46.
static const field_t hw_rdc_mrvs46[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA47.
static const field_t hw_rdc_mrsa47[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA47.
static const field_t hw_rdc_mrea47[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC47.
static const field_t hw_rdc_mrc47[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS47.
static const field_t hw_rdc_mrvs47[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA48.
static const field_t hw_rdc_mrsa48[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA48.
static const field_t hw_rdc_mrea48[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC48.
static const field_t hw_rdc_mrc48[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS48.
static const field_t hw_rdc_mrvs48[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA49.
static const field_t hw_rdc_mrsa49[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA49.
static const field_t hw_rdc_mrea49[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC49.
static const field_t hw_rdc_mrc49[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS49.
static const field_t hw_rdc_mrvs49[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA50.
static const field_t hw_rdc_mrsa50[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA50.
static const field_t hw_rdc_mrea50[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC50.
static const field_t hw_rdc_mrc50[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS50.
static const field_t hw_rdc_mrvs50[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRSA51.
static const field_t hw_rdc_mrsa51[] =
{
    {
        "SADR",
        "Lower bound (inclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MREA51.
static const field_t hw_rdc_mrea51[] =
{
    {
        "EADR",
        "Upper bound (exclusive) modulo the defined granularity byte size of a "
        "region.",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRC51.
static const field_t hw_rdc_mrc51[] =
{
    {
        "D0W",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D0R",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1W",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D1R",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2W",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D2R",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3W",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3R",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENA",
        "Activates the memory region.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LCK",
        "Locks all region fields from further modification except ENA, which ca"
        "n be set but not reset after LCK is set.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_MRVS51.
static const field_t hw_rdc_mrvs51[] =
{
    {
        "VDID",
        "The domain ID of the denied access.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AD",
        "Access to a memory region denied.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VADR",
        "The address of the denied access.",
        5, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a RDC module.
static const reg_t hw_rdc[] =
{
    {
        "VIR",
        "The VIR provides version information including the number of domains, "
        "number of master slots, number of peripheral slots, and number of memo"
        "ry regions.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_rdc_vir
    },
    {
        "STAT",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_stat
    },
    {
        "INTCTRL",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_intctrl
    },
    {
        "INTSTAT",
        "Indication of Interrupt Pending for State Restoration",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_intstat
    },
    {
        "MDA0",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda0
    },
    {
        "MDA1",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda1
    },
    {
        "MDA2",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda2
    },
    {
        "MDA3",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda3
    },
    {
        "MDA4",
        "",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda4
    },
    {
        "MDA5",
        "",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda5
    },
    {
        "MDA6",
        "",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda6
    },
    {
        "MDA7",
        "",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda7
    },
    {
        "MDA8",
        "",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda8
    },
    {
        "MDA9",
        "",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda9
    },
    {
        "MDA10",
        "",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda10
    },
    {
        "MDA11",
        "",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda11
    },
    {
        "MDA12",
        "",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda12
    },
    {
        "MDA13",
        "",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda13
    },
    {
        "MDA14",
        "",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda14
    },
    {
        "MDA15",
        "",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda15
    },
    {
        "MDA16",
        "",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda16
    },
    {
        "MDA17",
        "",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda17
    },
    {
        "MDA18",
        "",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda18
    },
    {
        "MDA19",
        "",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda19
    },
    {
        "MDA20",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda20
    },
    {
        "MDA21",
        "",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda21
    },
    {
        "MDA22",
        "",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda22
    },
    {
        "MDA23",
        "",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda23
    },
    {
        "MDA24",
        "",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda24
    },
    {
        "MDA25",
        "",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda25
    },
    {
        "MDA26",
        "",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_mda26
    },
    {
        "PDAP0",
        "",
        4, // Width in bytes
        0x00000400, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap0
    },
    {
        "PDAP1",
        "",
        4, // Width in bytes
        0x00000404, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap1
    },
    {
        "PDAP2",
        "",
        4, // Width in bytes
        0x00000408, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap2
    },
    {
        "PDAP3",
        "",
        4, // Width in bytes
        0x0000040c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap3
    },
    {
        "PDAP4",
        "",
        4, // Width in bytes
        0x00000410, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap4
    },
    {
        "PDAP5",
        "",
        4, // Width in bytes
        0x00000414, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap5
    },
    {
        "PDAP6",
        "",
        4, // Width in bytes
        0x00000418, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap6
    },
    {
        "PDAP7",
        "",
        4, // Width in bytes
        0x0000041c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap7
    },
    {
        "PDAP8",
        "",
        4, // Width in bytes
        0x00000420, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap8
    },
    {
        "PDAP9",
        "",
        4, // Width in bytes
        0x00000424, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap9
    },
    {
        "PDAP10",
        "",
        4, // Width in bytes
        0x00000428, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap10
    },
    {
        "PDAP11",
        "",
        4, // Width in bytes
        0x0000042c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap11
    },
    {
        "PDAP12",
        "",
        4, // Width in bytes
        0x00000430, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap12
    },
    {
        "PDAP13",
        "",
        4, // Width in bytes
        0x00000434, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap13
    },
    {
        "PDAP14",
        "",
        4, // Width in bytes
        0x00000438, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap14
    },
    {
        "PDAP15",
        "",
        4, // Width in bytes
        0x0000043c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap15
    },
    {
        "PDAP16",
        "",
        4, // Width in bytes
        0x00000440, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap16
    },
    {
        "PDAP17",
        "",
        4, // Width in bytes
        0x00000444, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap17
    },
    {
        "PDAP18",
        "",
        4, // Width in bytes
        0x00000448, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap18
    },
    {
        "PDAP19",
        "",
        4, // Width in bytes
        0x0000044c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap19
    },
    {
        "PDAP20",
        "",
        4, // Width in bytes
        0x00000450, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap20
    },
    {
        "PDAP21",
        "",
        4, // Width in bytes
        0x00000454, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap21
    },
    {
        "PDAP22",
        "",
        4, // Width in bytes
        0x00000458, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap22
    },
    {
        "PDAP23",
        "",
        4, // Width in bytes
        0x0000045c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap23
    },
    {
        "PDAP24",
        "",
        4, // Width in bytes
        0x00000460, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap24
    },
    {
        "PDAP25",
        "",
        4, // Width in bytes
        0x00000464, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap25
    },
    {
        "PDAP26",
        "",
        4, // Width in bytes
        0x00000468, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap26
    },
    {
        "PDAP27",
        "",
        4, // Width in bytes
        0x0000046c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap27
    },
    {
        "PDAP28",
        "",
        4, // Width in bytes
        0x00000470, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap28
    },
    {
        "PDAP29",
        "",
        4, // Width in bytes
        0x00000474, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap29
    },
    {
        "PDAP30",
        "",
        4, // Width in bytes
        0x00000478, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap30
    },
    {
        "PDAP31",
        "",
        4, // Width in bytes
        0x0000047c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap31
    },
    {
        "PDAP32",
        "",
        4, // Width in bytes
        0x00000480, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap32
    },
    {
        "PDAP33",
        "",
        4, // Width in bytes
        0x00000484, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap33
    },
    {
        "PDAP34",
        "",
        4, // Width in bytes
        0x00000488, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap34
    },
    {
        "PDAP35",
        "",
        4, // Width in bytes
        0x0000048c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap35
    },
    {
        "PDAP36",
        "",
        4, // Width in bytes
        0x00000490, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap36
    },
    {
        "PDAP37",
        "",
        4, // Width in bytes
        0x00000494, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap37
    },
    {
        "PDAP38",
        "",
        4, // Width in bytes
        0x00000498, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap38
    },
    {
        "PDAP39",
        "",
        4, // Width in bytes
        0x0000049c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap39
    },
    {
        "PDAP40",
        "",
        4, // Width in bytes
        0x000004a0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap40
    },
    {
        "PDAP41",
        "",
        4, // Width in bytes
        0x000004a4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap41
    },
    {
        "PDAP42",
        "",
        4, // Width in bytes
        0x000004a8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap42
    },
    {
        "PDAP43",
        "",
        4, // Width in bytes
        0x000004ac, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap43
    },
    {
        "PDAP44",
        "",
        4, // Width in bytes
        0x000004b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap44
    },
    {
        "PDAP45",
        "",
        4, // Width in bytes
        0x000004b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap45
    },
    {
        "PDAP46",
        "",
        4, // Width in bytes
        0x000004b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap46
    },
    {
        "PDAP47",
        "",
        4, // Width in bytes
        0x000004bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap47
    },
    {
        "PDAP48",
        "",
        4, // Width in bytes
        0x000004c0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap48
    },
    {
        "PDAP49",
        "",
        4, // Width in bytes
        0x000004c4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap49
    },
    {
        "PDAP50",
        "",
        4, // Width in bytes
        0x000004c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap50
    },
    {
        "PDAP51",
        "",
        4, // Width in bytes
        0x000004cc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap51
    },
    {
        "PDAP52",
        "",
        4, // Width in bytes
        0x000004d0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap52
    },
    {
        "PDAP53",
        "",
        4, // Width in bytes
        0x000004d4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap53
    },
    {
        "PDAP54",
        "",
        4, // Width in bytes
        0x000004d8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap54
    },
    {
        "PDAP55",
        "",
        4, // Width in bytes
        0x000004dc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap55
    },
    {
        "PDAP56",
        "",
        4, // Width in bytes
        0x000004e0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap56
    },
    {
        "PDAP57",
        "",
        4, // Width in bytes
        0x000004e4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap57
    },
    {
        "PDAP58",
        "",
        4, // Width in bytes
        0x000004e8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap58
    },
    {
        "PDAP59",
        "",
        4, // Width in bytes
        0x000004ec, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap59
    },
    {
        "PDAP60",
        "",
        4, // Width in bytes
        0x000004f0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap60
    },
    {
        "PDAP61",
        "",
        4, // Width in bytes
        0x000004f4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap61
    },
    {
        "PDAP62",
        "",
        4, // Width in bytes
        0x000004f8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap62
    },
    {
        "PDAP63",
        "",
        4, // Width in bytes
        0x000004fc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap63
    },
    {
        "PDAP64",
        "",
        4, // Width in bytes
        0x00000500, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap64
    },
    {
        "PDAP65",
        "",
        4, // Width in bytes
        0x00000504, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap65
    },
    {
        "PDAP66",
        "",
        4, // Width in bytes
        0x00000508, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap66
    },
    {
        "PDAP67",
        "",
        4, // Width in bytes
        0x0000050c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap67
    },
    {
        "PDAP68",
        "",
        4, // Width in bytes
        0x00000510, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap68
    },
    {
        "PDAP69",
        "",
        4, // Width in bytes
        0x00000514, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap69
    },
    {
        "PDAP70",
        "",
        4, // Width in bytes
        0x00000518, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap70
    },
    {
        "PDAP71",
        "",
        4, // Width in bytes
        0x0000051c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap71
    },
    {
        "PDAP72",
        "",
        4, // Width in bytes
        0x00000520, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap72
    },
    {
        "PDAP73",
        "",
        4, // Width in bytes
        0x00000524, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap73
    },
    {
        "PDAP74",
        "",
        4, // Width in bytes
        0x00000528, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap74
    },
    {
        "PDAP75",
        "",
        4, // Width in bytes
        0x0000052c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap75
    },
    {
        "PDAP76",
        "",
        4, // Width in bytes
        0x00000530, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap76
    },
    {
        "PDAP77",
        "",
        4, // Width in bytes
        0x00000534, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap77
    },
    {
        "PDAP78",
        "",
        4, // Width in bytes
        0x00000538, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap78
    },
    {
        "PDAP79",
        "",
        4, // Width in bytes
        0x0000053c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap79
    },
    {
        "PDAP80",
        "",
        4, // Width in bytes
        0x00000540, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap80
    },
    {
        "PDAP81",
        "",
        4, // Width in bytes
        0x00000544, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap81
    },
    {
        "PDAP82",
        "",
        4, // Width in bytes
        0x00000548, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap82
    },
    {
        "PDAP83",
        "",
        4, // Width in bytes
        0x0000054c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap83
    },
    {
        "PDAP84",
        "",
        4, // Width in bytes
        0x00000550, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap84
    },
    {
        "PDAP85",
        "",
        4, // Width in bytes
        0x00000554, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap85
    },
    {
        "PDAP86",
        "",
        4, // Width in bytes
        0x00000558, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap86
    },
    {
        "PDAP87",
        "",
        4, // Width in bytes
        0x0000055c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap87
    },
    {
        "PDAP88",
        "",
        4, // Width in bytes
        0x00000560, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap88
    },
    {
        "PDAP89",
        "",
        4, // Width in bytes
        0x00000564, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap89
    },
    {
        "PDAP90",
        "",
        4, // Width in bytes
        0x00000568, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap90
    },
    {
        "PDAP91",
        "",
        4, // Width in bytes
        0x0000056c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap91
    },
    {
        "PDAP92",
        "",
        4, // Width in bytes
        0x00000570, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap92
    },
    {
        "PDAP93",
        "",
        4, // Width in bytes
        0x00000574, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap93
    },
    {
        "PDAP94",
        "",
        4, // Width in bytes
        0x00000578, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap94
    },
    {
        "PDAP95",
        "",
        4, // Width in bytes
        0x0000057c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap95
    },
    {
        "PDAP96",
        "",
        4, // Width in bytes
        0x00000580, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap96
    },
    {
        "PDAP97",
        "",
        4, // Width in bytes
        0x00000584, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap97
    },
    {
        "PDAP98",
        "",
        4, // Width in bytes
        0x00000588, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap98
    },
    {
        "PDAP99",
        "",
        4, // Width in bytes
        0x0000058c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap99
    },
    {
        "PDAP100",
        "",
        4, // Width in bytes
        0x00000590, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap100
    },
    {
        "PDAP101",
        "",
        4, // Width in bytes
        0x00000594, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap101
    },
    {
        "PDAP102",
        "",
        4, // Width in bytes
        0x00000598, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap102
    },
    {
        "PDAP103",
        "",
        4, // Width in bytes
        0x0000059c, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap103
    },
    {
        "PDAP104",
        "",
        4, // Width in bytes
        0x000005a0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap104
    },
    {
        "PDAP105",
        "",
        4, // Width in bytes
        0x000005a4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap105
    },
    {
        "PDAP106",
        "",
        4, // Width in bytes
        0x000005a8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap106
    },
    {
        "PDAP107",
        "",
        4, // Width in bytes
        0x000005ac, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap107
    },
    {
        "PDAP108",
        "",
        4, // Width in bytes
        0x000005b0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap108
    },
    {
        "PDAP109",
        "",
        4, // Width in bytes
        0x000005b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap109
    },
    {
        "PDAP110",
        "",
        4, // Width in bytes
        0x000005b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap110
    },
    {
        "PDAP111",
        "",
        4, // Width in bytes
        0x000005bc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap111
    },
    {
        "PDAP112",
        "",
        4, // Width in bytes
        0x000005c0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap112
    },
    {
        "PDAP113",
        "",
        4, // Width in bytes
        0x000005c4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap113
    },
    {
        "PDAP114",
        "",
        4, // Width in bytes
        0x000005c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap114
    },
    {
        "PDAP115",
        "",
        4, // Width in bytes
        0x000005cc, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap115
    },
    {
        "PDAP116",
        "",
        4, // Width in bytes
        0x000005d0, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap116
    },
    {
        "PDAP117",
        "",
        4, // Width in bytes
        0x000005d4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_pdap117
    },
    {
        "MRSA0",
        "",
        4, // Width in bytes
        0x00000800, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa0
    },
    {
        "MREA0",
        "",
        4, // Width in bytes
        0x00000804, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea0
    },
    {
        "MRC0",
        "",
        4, // Width in bytes
        0x00000808, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc0
    },
    {
        "MRVS0",
        "",
        4, // Width in bytes
        0x0000080c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs0
    },
    {
        "MRSA1",
        "",
        4, // Width in bytes
        0x00000810, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa1
    },
    {
        "MREA1",
        "",
        4, // Width in bytes
        0x00000814, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea1
    },
    {
        "MRC1",
        "",
        4, // Width in bytes
        0x00000818, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc1
    },
    {
        "MRVS1",
        "",
        4, // Width in bytes
        0x0000081c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs1
    },
    {
        "MRSA2",
        "",
        4, // Width in bytes
        0x00000820, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa2
    },
    {
        "MREA2",
        "",
        4, // Width in bytes
        0x00000824, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea2
    },
    {
        "MRC2",
        "",
        4, // Width in bytes
        0x00000828, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc2
    },
    {
        "MRVS2",
        "",
        4, // Width in bytes
        0x0000082c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs2
    },
    {
        "MRSA3",
        "",
        4, // Width in bytes
        0x00000830, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa3
    },
    {
        "MREA3",
        "",
        4, // Width in bytes
        0x00000834, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea3
    },
    {
        "MRC3",
        "",
        4, // Width in bytes
        0x00000838, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc3
    },
    {
        "MRVS3",
        "",
        4, // Width in bytes
        0x0000083c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs3
    },
    {
        "MRSA4",
        "",
        4, // Width in bytes
        0x00000840, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa4
    },
    {
        "MREA4",
        "",
        4, // Width in bytes
        0x00000844, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea4
    },
    {
        "MRC4",
        "",
        4, // Width in bytes
        0x00000848, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc4
    },
    {
        "MRVS4",
        "",
        4, // Width in bytes
        0x0000084c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs4
    },
    {
        "MRSA5",
        "",
        4, // Width in bytes
        0x00000850, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa5
    },
    {
        "MREA5",
        "",
        4, // Width in bytes
        0x00000854, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea5
    },
    {
        "MRC5",
        "",
        4, // Width in bytes
        0x00000858, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc5
    },
    {
        "MRVS5",
        "",
        4, // Width in bytes
        0x0000085c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs5
    },
    {
        "MRSA6",
        "",
        4, // Width in bytes
        0x00000860, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa6
    },
    {
        "MREA6",
        "",
        4, // Width in bytes
        0x00000864, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea6
    },
    {
        "MRC6",
        "",
        4, // Width in bytes
        0x00000868, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc6
    },
    {
        "MRVS6",
        "",
        4, // Width in bytes
        0x0000086c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs6
    },
    {
        "MRSA7",
        "",
        4, // Width in bytes
        0x00000870, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa7
    },
    {
        "MREA7",
        "",
        4, // Width in bytes
        0x00000874, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea7
    },
    {
        "MRC7",
        "",
        4, // Width in bytes
        0x00000878, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc7
    },
    {
        "MRVS7",
        "",
        4, // Width in bytes
        0x0000087c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs7
    },
    {
        "MRSA8",
        "",
        4, // Width in bytes
        0x00000880, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa8
    },
    {
        "MREA8",
        "",
        4, // Width in bytes
        0x00000884, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea8
    },
    {
        "MRC8",
        "",
        4, // Width in bytes
        0x00000888, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc8
    },
    {
        "MRVS8",
        "",
        4, // Width in bytes
        0x0000088c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs8
    },
    {
        "MRSA9",
        "",
        4, // Width in bytes
        0x00000890, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa9
    },
    {
        "MREA9",
        "",
        4, // Width in bytes
        0x00000894, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea9
    },
    {
        "MRC9",
        "",
        4, // Width in bytes
        0x00000898, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc9
    },
    {
        "MRVS9",
        "",
        4, // Width in bytes
        0x0000089c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs9
    },
    {
        "MRSA10",
        "",
        4, // Width in bytes
        0x000008a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa10
    },
    {
        "MREA10",
        "",
        4, // Width in bytes
        0x000008a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea10
    },
    {
        "MRC10",
        "",
        4, // Width in bytes
        0x000008a8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc10
    },
    {
        "MRVS10",
        "",
        4, // Width in bytes
        0x000008ac, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs10
    },
    {
        "MRSA11",
        "",
        4, // Width in bytes
        0x000008b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa11
    },
    {
        "MREA11",
        "",
        4, // Width in bytes
        0x000008b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea11
    },
    {
        "MRC11",
        "",
        4, // Width in bytes
        0x000008b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc11
    },
    {
        "MRVS11",
        "",
        4, // Width in bytes
        0x000008bc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs11
    },
    {
        "MRSA12",
        "",
        4, // Width in bytes
        0x000008c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa12
    },
    {
        "MREA12",
        "",
        4, // Width in bytes
        0x000008c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea12
    },
    {
        "MRC12",
        "",
        4, // Width in bytes
        0x000008c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc12
    },
    {
        "MRVS12",
        "",
        4, // Width in bytes
        0x000008cc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs12
    },
    {
        "MRSA13",
        "",
        4, // Width in bytes
        0x000008d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa13
    },
    {
        "MREA13",
        "",
        4, // Width in bytes
        0x000008d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea13
    },
    {
        "MRC13",
        "",
        4, // Width in bytes
        0x000008d8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc13
    },
    {
        "MRVS13",
        "",
        4, // Width in bytes
        0x000008dc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs13
    },
    {
        "MRSA14",
        "",
        4, // Width in bytes
        0x000008e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa14
    },
    {
        "MREA14",
        "",
        4, // Width in bytes
        0x000008e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea14
    },
    {
        "MRC14",
        "",
        4, // Width in bytes
        0x000008e8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc14
    },
    {
        "MRVS14",
        "",
        4, // Width in bytes
        0x000008ec, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs14
    },
    {
        "MRSA15",
        "",
        4, // Width in bytes
        0x000008f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa15
    },
    {
        "MREA15",
        "",
        4, // Width in bytes
        0x000008f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea15
    },
    {
        "MRC15",
        "",
        4, // Width in bytes
        0x000008f8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc15
    },
    {
        "MRVS15",
        "",
        4, // Width in bytes
        0x000008fc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs15
    },
    {
        "MRSA16",
        "",
        4, // Width in bytes
        0x00000900, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa16
    },
    {
        "MREA16",
        "",
        4, // Width in bytes
        0x00000904, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea16
    },
    {
        "MRC16",
        "",
        4, // Width in bytes
        0x00000908, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc16
    },
    {
        "MRVS16",
        "",
        4, // Width in bytes
        0x0000090c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs16
    },
    {
        "MRSA17",
        "",
        4, // Width in bytes
        0x00000910, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa17
    },
    {
        "MREA17",
        "",
        4, // Width in bytes
        0x00000914, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea17
    },
    {
        "MRC17",
        "",
        4, // Width in bytes
        0x00000918, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc17
    },
    {
        "MRVS17",
        "",
        4, // Width in bytes
        0x0000091c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs17
    },
    {
        "MRSA18",
        "",
        4, // Width in bytes
        0x00000920, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa18
    },
    {
        "MREA18",
        "",
        4, // Width in bytes
        0x00000924, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea18
    },
    {
        "MRC18",
        "",
        4, // Width in bytes
        0x00000928, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc18
    },
    {
        "MRVS18",
        "",
        4, // Width in bytes
        0x0000092c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs18
    },
    {
        "MRSA19",
        "",
        4, // Width in bytes
        0x00000930, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa19
    },
    {
        "MREA19",
        "",
        4, // Width in bytes
        0x00000934, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea19
    },
    {
        "MRC19",
        "",
        4, // Width in bytes
        0x00000938, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc19
    },
    {
        "MRVS19",
        "",
        4, // Width in bytes
        0x0000093c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs19
    },
    {
        "MRSA20",
        "",
        4, // Width in bytes
        0x00000940, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa20
    },
    {
        "MREA20",
        "",
        4, // Width in bytes
        0x00000944, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea20
    },
    {
        "MRC20",
        "",
        4, // Width in bytes
        0x00000948, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc20
    },
    {
        "MRVS20",
        "",
        4, // Width in bytes
        0x0000094c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs20
    },
    {
        "MRSA21",
        "",
        4, // Width in bytes
        0x00000950, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa21
    },
    {
        "MREA21",
        "",
        4, // Width in bytes
        0x00000954, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea21
    },
    {
        "MRC21",
        "",
        4, // Width in bytes
        0x00000958, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc21
    },
    {
        "MRVS21",
        "",
        4, // Width in bytes
        0x0000095c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs21
    },
    {
        "MRSA22",
        "",
        4, // Width in bytes
        0x00000960, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa22
    },
    {
        "MREA22",
        "",
        4, // Width in bytes
        0x00000964, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea22
    },
    {
        "MRC22",
        "",
        4, // Width in bytes
        0x00000968, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc22
    },
    {
        "MRVS22",
        "",
        4, // Width in bytes
        0x0000096c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs22
    },
    {
        "MRSA23",
        "",
        4, // Width in bytes
        0x00000970, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa23
    },
    {
        "MREA23",
        "",
        4, // Width in bytes
        0x00000974, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea23
    },
    {
        "MRC23",
        "",
        4, // Width in bytes
        0x00000978, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc23
    },
    {
        "MRVS23",
        "",
        4, // Width in bytes
        0x0000097c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs23
    },
    {
        "MRSA24",
        "",
        4, // Width in bytes
        0x00000980, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa24
    },
    {
        "MREA24",
        "",
        4, // Width in bytes
        0x00000984, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea24
    },
    {
        "MRC24",
        "",
        4, // Width in bytes
        0x00000988, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc24
    },
    {
        "MRVS24",
        "",
        4, // Width in bytes
        0x0000098c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs24
    },
    {
        "MRSA25",
        "",
        4, // Width in bytes
        0x00000990, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa25
    },
    {
        "MREA25",
        "",
        4, // Width in bytes
        0x00000994, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea25
    },
    {
        "MRC25",
        "",
        4, // Width in bytes
        0x00000998, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc25
    },
    {
        "MRVS25",
        "",
        4, // Width in bytes
        0x0000099c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs25
    },
    {
        "MRSA26",
        "",
        4, // Width in bytes
        0x000009a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa26
    },
    {
        "MREA26",
        "",
        4, // Width in bytes
        0x000009a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea26
    },
    {
        "MRC26",
        "",
        4, // Width in bytes
        0x000009a8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc26
    },
    {
        "MRVS26",
        "",
        4, // Width in bytes
        0x000009ac, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs26
    },
    {
        "MRSA27",
        "",
        4, // Width in bytes
        0x000009b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa27
    },
    {
        "MREA27",
        "",
        4, // Width in bytes
        0x000009b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea27
    },
    {
        "MRC27",
        "",
        4, // Width in bytes
        0x000009b8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc27
    },
    {
        "MRVS27",
        "",
        4, // Width in bytes
        0x000009bc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs27
    },
    {
        "MRSA28",
        "",
        4, // Width in bytes
        0x000009c0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa28
    },
    {
        "MREA28",
        "",
        4, // Width in bytes
        0x000009c4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea28
    },
    {
        "MRC28",
        "",
        4, // Width in bytes
        0x000009c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc28
    },
    {
        "MRVS28",
        "",
        4, // Width in bytes
        0x000009cc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs28
    },
    {
        "MRSA29",
        "",
        4, // Width in bytes
        0x000009d0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa29
    },
    {
        "MREA29",
        "",
        4, // Width in bytes
        0x000009d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea29
    },
    {
        "MRC29",
        "",
        4, // Width in bytes
        0x000009d8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc29
    },
    {
        "MRVS29",
        "",
        4, // Width in bytes
        0x000009dc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs29
    },
    {
        "MRSA30",
        "",
        4, // Width in bytes
        0x000009e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa30
    },
    {
        "MREA30",
        "",
        4, // Width in bytes
        0x000009e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea30
    },
    {
        "MRC30",
        "",
        4, // Width in bytes
        0x000009e8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc30
    },
    {
        "MRVS30",
        "",
        4, // Width in bytes
        0x000009ec, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs30
    },
    {
        "MRSA31",
        "",
        4, // Width in bytes
        0x000009f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa31
    },
    {
        "MREA31",
        "",
        4, // Width in bytes
        0x000009f4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea31
    },
    {
        "MRC31",
        "",
        4, // Width in bytes
        0x000009f8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc31
    },
    {
        "MRVS31",
        "",
        4, // Width in bytes
        0x000009fc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs31
    },
    {
        "MRSA32",
        "",
        4, // Width in bytes
        0x00000a00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa32
    },
    {
        "MREA32",
        "",
        4, // Width in bytes
        0x00000a04, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea32
    },
    {
        "MRC32",
        "",
        4, // Width in bytes
        0x00000a08, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc32
    },
    {
        "MRVS32",
        "",
        4, // Width in bytes
        0x00000a0c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs32
    },
    {
        "MRSA33",
        "",
        4, // Width in bytes
        0x00000a10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa33
    },
    {
        "MREA33",
        "",
        4, // Width in bytes
        0x00000a14, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea33
    },
    {
        "MRC33",
        "",
        4, // Width in bytes
        0x00000a18, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc33
    },
    {
        "MRVS33",
        "",
        4, // Width in bytes
        0x00000a1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs33
    },
    {
        "MRSA34",
        "",
        4, // Width in bytes
        0x00000a20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa34
    },
    {
        "MREA34",
        "",
        4, // Width in bytes
        0x00000a24, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea34
    },
    {
        "MRC34",
        "",
        4, // Width in bytes
        0x00000a28, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc34
    },
    {
        "MRVS34",
        "",
        4, // Width in bytes
        0x00000a2c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs34
    },
    {
        "MRSA35",
        "",
        4, // Width in bytes
        0x00000a30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa35
    },
    {
        "MREA35",
        "",
        4, // Width in bytes
        0x00000a34, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea35
    },
    {
        "MRC35",
        "",
        4, // Width in bytes
        0x00000a38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc35
    },
    {
        "MRVS35",
        "",
        4, // Width in bytes
        0x00000a3c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs35
    },
    {
        "MRSA36",
        "",
        4, // Width in bytes
        0x00000a40, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa36
    },
    {
        "MREA36",
        "",
        4, // Width in bytes
        0x00000a44, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea36
    },
    {
        "MRC36",
        "",
        4, // Width in bytes
        0x00000a48, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc36
    },
    {
        "MRVS36",
        "",
        4, // Width in bytes
        0x00000a4c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs36
    },
    {
        "MRSA37",
        "",
        4, // Width in bytes
        0x00000a50, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa37
    },
    {
        "MREA37",
        "",
        4, // Width in bytes
        0x00000a54, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea37
    },
    {
        "MRC37",
        "",
        4, // Width in bytes
        0x00000a58, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc37
    },
    {
        "MRVS37",
        "",
        4, // Width in bytes
        0x00000a5c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs37
    },
    {
        "MRSA38",
        "",
        4, // Width in bytes
        0x00000a60, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa38
    },
    {
        "MREA38",
        "",
        4, // Width in bytes
        0x00000a64, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea38
    },
    {
        "MRC38",
        "",
        4, // Width in bytes
        0x00000a68, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc38
    },
    {
        "MRVS38",
        "",
        4, // Width in bytes
        0x00000a6c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs38
    },
    {
        "MRSA39",
        "",
        4, // Width in bytes
        0x00000a70, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa39
    },
    {
        "MREA39",
        "",
        4, // Width in bytes
        0x00000a74, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea39
    },
    {
        "MRC39",
        "",
        4, // Width in bytes
        0x00000a78, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc39
    },
    {
        "MRVS39",
        "",
        4, // Width in bytes
        0x00000a7c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs39
    },
    {
        "MRSA40",
        "",
        4, // Width in bytes
        0x00000a80, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa40
    },
    {
        "MREA40",
        "",
        4, // Width in bytes
        0x00000a84, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea40
    },
    {
        "MRC40",
        "",
        4, // Width in bytes
        0x00000a88, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc40
    },
    {
        "MRVS40",
        "",
        4, // Width in bytes
        0x00000a8c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs40
    },
    {
        "MRSA41",
        "",
        4, // Width in bytes
        0x00000a90, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa41
    },
    {
        "MREA41",
        "",
        4, // Width in bytes
        0x00000a94, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea41
    },
    {
        "MRC41",
        "",
        4, // Width in bytes
        0x00000a98, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc41
    },
    {
        "MRVS41",
        "",
        4, // Width in bytes
        0x00000a9c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs41
    },
    {
        "MRSA42",
        "",
        4, // Width in bytes
        0x00000aa0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa42
    },
    {
        "MREA42",
        "",
        4, // Width in bytes
        0x00000aa4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea42
    },
    {
        "MRC42",
        "",
        4, // Width in bytes
        0x00000aa8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc42
    },
    {
        "MRVS42",
        "",
        4, // Width in bytes
        0x00000aac, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs42
    },
    {
        "MRSA43",
        "",
        4, // Width in bytes
        0x00000ab0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa43
    },
    {
        "MREA43",
        "",
        4, // Width in bytes
        0x00000ab4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea43
    },
    {
        "MRC43",
        "",
        4, // Width in bytes
        0x00000ab8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc43
    },
    {
        "MRVS43",
        "",
        4, // Width in bytes
        0x00000abc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs43
    },
    {
        "MRSA44",
        "",
        4, // Width in bytes
        0x00000ac0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa44
    },
    {
        "MREA44",
        "",
        4, // Width in bytes
        0x00000ac4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea44
    },
    {
        "MRC44",
        "",
        4, // Width in bytes
        0x00000ac8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc44
    },
    {
        "MRVS44",
        "",
        4, // Width in bytes
        0x00000acc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs44
    },
    {
        "MRSA45",
        "",
        4, // Width in bytes
        0x00000ad0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa45
    },
    {
        "MREA45",
        "",
        4, // Width in bytes
        0x00000ad4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea45
    },
    {
        "MRC45",
        "",
        4, // Width in bytes
        0x00000ad8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc45
    },
    {
        "MRVS45",
        "",
        4, // Width in bytes
        0x00000adc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs45
    },
    {
        "MRSA46",
        "",
        4, // Width in bytes
        0x00000ae0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa46
    },
    {
        "MREA46",
        "",
        4, // Width in bytes
        0x00000ae4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea46
    },
    {
        "MRC46",
        "",
        4, // Width in bytes
        0x00000ae8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc46
    },
    {
        "MRVS46",
        "",
        4, // Width in bytes
        0x00000aec, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs46
    },
    {
        "MRSA47",
        "",
        4, // Width in bytes
        0x00000af0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa47
    },
    {
        "MREA47",
        "",
        4, // Width in bytes
        0x00000af4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea47
    },
    {
        "MRC47",
        "",
        4, // Width in bytes
        0x00000af8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc47
    },
    {
        "MRVS47",
        "",
        4, // Width in bytes
        0x00000afc, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs47
    },
    {
        "MRSA48",
        "",
        4, // Width in bytes
        0x00000b00, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa48
    },
    {
        "MREA48",
        "",
        4, // Width in bytes
        0x00000b04, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea48
    },
    {
        "MRC48",
        "",
        4, // Width in bytes
        0x00000b08, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc48
    },
    {
        "MRVS48",
        "",
        4, // Width in bytes
        0x00000b0c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs48
    },
    {
        "MRSA49",
        "",
        4, // Width in bytes
        0x00000b10, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa49
    },
    {
        "MREA49",
        "",
        4, // Width in bytes
        0x00000b14, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea49
    },
    {
        "MRC49",
        "",
        4, // Width in bytes
        0x00000b18, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc49
    },
    {
        "MRVS49",
        "",
        4, // Width in bytes
        0x00000b1c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs49
    },
    {
        "MRSA50",
        "",
        4, // Width in bytes
        0x00000b20, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa50
    },
    {
        "MREA50",
        "",
        4, // Width in bytes
        0x00000b24, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea50
    },
    {
        "MRC50",
        "",
        4, // Width in bytes
        0x00000b28, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc50
    },
    {
        "MRVS50",
        "",
        4, // Width in bytes
        0x00000b2c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs50
    },
    {
        "MRSA51",
        "",
        4, // Width in bytes
        0x00000b30, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrsa51
    },
    {
        "MREA51",
        "",
        4, // Width in bytes
        0x00000b34, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_rdc_mrea51
    },
    {
        "MRC51",
        "",
        4, // Width in bytes
        0x00000b38, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_rdc_mrc51
    },
    {
        "MRVS51",
        "",
        4, // Width in bytes
        0x00000b3c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_mrvs51
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark RDC_SEMAPHORE
#endif

// Bitfields in register RDC_SEMAPHORE_GATE0.
static const field_t hw_rdc_semaphore_gate0[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE1.
static const field_t hw_rdc_semaphore_gate1[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE2.
static const field_t hw_rdc_semaphore_gate2[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE3.
static const field_t hw_rdc_semaphore_gate3[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE4.
static const field_t hw_rdc_semaphore_gate4[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE5.
static const field_t hw_rdc_semaphore_gate5[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE6.
static const field_t hw_rdc_semaphore_gate6[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE7.
static const field_t hw_rdc_semaphore_gate7[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE8.
static const field_t hw_rdc_semaphore_gate8[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE9.
static const field_t hw_rdc_semaphore_gate9[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE10.
static const field_t hw_rdc_semaphore_gate10[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE11.
static const field_t hw_rdc_semaphore_gate11[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE12.
static const field_t hw_rdc_semaphore_gate12[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE13.
static const field_t hw_rdc_semaphore_gate13[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE14.
static const field_t hw_rdc_semaphore_gate14[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE15.
static const field_t hw_rdc_semaphore_gate15[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE16.
static const field_t hw_rdc_semaphore_gate16[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE17.
static const field_t hw_rdc_semaphore_gate17[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE18.
static const field_t hw_rdc_semaphore_gate18[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE19.
static const field_t hw_rdc_semaphore_gate19[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE20.
static const field_t hw_rdc_semaphore_gate20[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE21.
static const field_t hw_rdc_semaphore_gate21[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE22.
static const field_t hw_rdc_semaphore_gate22[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE23.
static const field_t hw_rdc_semaphore_gate23[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE24.
static const field_t hw_rdc_semaphore_gate24[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE25.
static const field_t hw_rdc_semaphore_gate25[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE26.
static const field_t hw_rdc_semaphore_gate26[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE27.
static const field_t hw_rdc_semaphore_gate27[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE28.
static const field_t hw_rdc_semaphore_gate28[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE29.
static const field_t hw_rdc_semaphore_gate29[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE30.
static const field_t hw_rdc_semaphore_gate30[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE31.
static const field_t hw_rdc_semaphore_gate31[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE32.
static const field_t hw_rdc_semaphore_gate32[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE33.
static const field_t hw_rdc_semaphore_gate33[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE34.
static const field_t hw_rdc_semaphore_gate34[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE35.
static const field_t hw_rdc_semaphore_gate35[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE36.
static const field_t hw_rdc_semaphore_gate36[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE37.
static const field_t hw_rdc_semaphore_gate37[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE38.
static const field_t hw_rdc_semaphore_gate38[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE39.
static const field_t hw_rdc_semaphore_gate39[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE40.
static const field_t hw_rdc_semaphore_gate40[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE41.
static const field_t hw_rdc_semaphore_gate41[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE42.
static const field_t hw_rdc_semaphore_gate42[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE43.
static const field_t hw_rdc_semaphore_gate43[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE44.
static const field_t hw_rdc_semaphore_gate44[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE45.
static const field_t hw_rdc_semaphore_gate45[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE46.
static const field_t hw_rdc_semaphore_gate46[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE47.
static const field_t hw_rdc_semaphore_gate47[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE48.
static const field_t hw_rdc_semaphore_gate48[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE49.
static const field_t hw_rdc_semaphore_gate49[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE50.
static const field_t hw_rdc_semaphore_gate50[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE51.
static const field_t hw_rdc_semaphore_gate51[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE52.
static const field_t hw_rdc_semaphore_gate52[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE53.
static const field_t hw_rdc_semaphore_gate53[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE54.
static const field_t hw_rdc_semaphore_gate54[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE55.
static const field_t hw_rdc_semaphore_gate55[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE56.
static const field_t hw_rdc_semaphore_gate56[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE57.
static const field_t hw_rdc_semaphore_gate57[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE58.
static const field_t hw_rdc_semaphore_gate58[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE59.
static const field_t hw_rdc_semaphore_gate59[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE60.
static const field_t hw_rdc_semaphore_gate60[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE61.
static const field_t hw_rdc_semaphore_gate61[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE62.
static const field_t hw_rdc_semaphore_gate62[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_GATE63.
static const field_t hw_rdc_semaphore_gate63[] =
{
    {
        "GTFSM",
        "The state of the gate reflects the last processor that locked it, whic"
        "h can be useful during system debug.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LDOM",
        "Read-only bits.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_RSTGT_R.
static const field_t hw_rdc_semaphore_rstgt_r[] =
{
    {
        "RSTGMS",
        "Reset Gate Bus Master.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSTGSM",
        "Reset Gate Finite State Machine.",
        4, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RSTGTN",
        "Reset Gate Number.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register RDC_SEMAPHORE_RSTGT_W.
static const field_t hw_rdc_semaphore_rstgt_w[] =
{
    {
        "RSTGDP",
        "Reset Gate Data Pattern.",
        0, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "RSTGTN",
        "Reset Gate Number.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a RDC_SEMAPHORE module.
static const reg_t hw_rdc_semaphore[] =
{
    {
        "GATE0",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate0
    },
    {
        "GATE1",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000001, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate1
    },
    {
        "GATE2",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000002, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate2
    },
    {
        "GATE3",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000003, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate3
    },
    {
        "GATE4",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate4
    },
    {
        "GATE5",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000005, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate5
    },
    {
        "GATE6",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000006, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate6
    },
    {
        "GATE7",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000007, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate7
    },
    {
        "GATE8",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate8
    },
    {
        "GATE9",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000009, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate9
    },
    {
        "GATE10",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000a, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate10
    },
    {
        "GATE11",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000b, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate11
    },
    {
        "GATE12",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate12
    },
    {
        "GATE13",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000d, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate13
    },
    {
        "GATE14",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000e, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate14
    },
    {
        "GATE15",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000f, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate15
    },
    {
        "GATE16",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate16
    },
    {
        "GATE17",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000011, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate17
    },
    {
        "GATE18",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000012, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate18
    },
    {
        "GATE19",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000013, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate19
    },
    {
        "GATE20",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate20
    },
    {
        "GATE21",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000015, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate21
    },
    {
        "GATE22",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000016, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate22
    },
    {
        "GATE23",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000017, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate23
    },
    {
        "GATE24",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate24
    },
    {
        "GATE25",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000019, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate25
    },
    {
        "GATE26",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001a, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate26
    },
    {
        "GATE27",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001b, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate27
    },
    {
        "GATE28",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate28
    },
    {
        "GATE29",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001d, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate29
    },
    {
        "GATE30",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001e, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate30
    },
    {
        "GATE31",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000001f, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate31
    },
    {
        "GATE32",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate32
    },
    {
        "GATE33",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000021, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate33
    },
    {
        "GATE34",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000022, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate34
    },
    {
        "GATE35",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000023, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate35
    },
    {
        "GATE36",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate36
    },
    {
        "GATE37",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000025, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate37
    },
    {
        "GATE38",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000026, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate38
    },
    {
        "GATE39",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000027, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate39
    },
    {
        "GATE40",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate40
    },
    {
        "GATE41",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000029, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate41
    },
    {
        "GATE42",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002a, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate42
    },
    {
        "GATE43",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002b, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate43
    },
    {
        "GATE44",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate44
    },
    {
        "GATE45",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002d, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate45
    },
    {
        "GATE46",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002e, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate46
    },
    {
        "GATE47",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000002f, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate47
    },
    {
        "GATE48",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate48
    },
    {
        "GATE49",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000031, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate49
    },
    {
        "GATE50",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000032, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate50
    },
    {
        "GATE51",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000033, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate51
    },
    {
        "GATE52",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate52
    },
    {
        "GATE53",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000035, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate53
    },
    {
        "GATE54",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000036, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate54
    },
    {
        "GATE55",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000037, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate55
    },
    {
        "GATE56",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate56
    },
    {
        "GATE57",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000039, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate57
    },
    {
        "GATE58",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003a, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate58
    },
    {
        "GATE59",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003b, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate59
    },
    {
        "GATE60",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate60
    },
    {
        "GATE61",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003d, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate61
    },
    {
        "GATE62",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003e, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate62
    },
    {
        "GATE63",
        "Each semaphore gate is implemented in a 4-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000003f, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_gate63
    },
    {
        "RSTGT_R",
        "Although the intent of the hardware gate implementation specifies a pr"
        "otocol where the locking processor must unlock the gate, it is recogni"
        "zed that system operation may require a reset function to re-initializ"
        "e the state of any gate(s) without requiring a system-level reset.",
        2, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_rdc_semaphore_rstgt_r
    },
    {
        "RSTGT_W",
        "Although the intent of the hardware gate implementation specifies a pr"
        "otocol where the locking processor must unlock the gate, it is recogni"
        "zed that system operation may require a reset function to re-initializ"
        "e the state of any gate(s) without requiring a system-level reset.",
        2, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_rdc_semaphore_rstgt_w
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark ROMC
#endif

// Bitfields in register ROMC_ROMPATCH7D.
static const field_t hw_romc_rompatch7d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH6D.
static const field_t hw_romc_rompatch6d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH5D.
static const field_t hw_romc_rompatch5d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH4D.
static const field_t hw_romc_rompatch4d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH3D.
static const field_t hw_romc_rompatch3d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH2D.
static const field_t hw_romc_rompatch2d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH1D.
static const field_t hw_romc_rompatch1d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH0D.
static const field_t hw_romc_rompatch0d[] =
{
    {
        "DATAX",
        "Data Fix Registers - Stores the data used for 1-word data fix operatio"
        "ns.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCHCNTL.
static const field_t hw_romc_rompatchcntl[] =
{
    {
        "DATAFIX",
        "Data Fix Enable - Controls the use of the first 8 address comparators "
        "for 1-word data fix or for code patch routine.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS",
        "ROMC Disable -- This bit, when set, disables all ROMC operations.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCHENH.
static const field_t hw_romc_rompatchenh[] =
{
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCHENL.
static const field_t hw_romc_rompatchenl[] =
{
    {
        "ENABLE",
        "Enable Address Comparator - This bit enables the corresponding address"
        " comparator to trigger an event.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH0A.
static const field_t hw_romc_rompatch0a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH1A.
static const field_t hw_romc_rompatch1a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH2A.
static const field_t hw_romc_rompatch2a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH3A.
static const field_t hw_romc_rompatch3a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH4A.
static const field_t hw_romc_rompatch4a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH5A.
static const field_t hw_romc_rompatch5a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH6A.
static const field_t hw_romc_rompatch6a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH7A.
static const field_t hw_romc_rompatch7a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH8A.
static const field_t hw_romc_rompatch8a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH9A.
static const field_t hw_romc_rompatch9a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH10A.
static const field_t hw_romc_rompatch10a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH11A.
static const field_t hw_romc_rompatch11a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH12A.
static const field_t hw_romc_rompatch12a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH13A.
static const field_t hw_romc_rompatch13a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH14A.
static const field_t hw_romc_rompatch14a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCH15A.
static const field_t hw_romc_rompatch15a[] =
{
    {
        "THUMBX",
        "THUMB Comparator Select - Indicates that this address will trigger a T"
        "HUMB opcode patch or an Arm opcode patch.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADDRX",
        "Address Comparator Registers - Indicates the memory address to be watc"
        "hed.",
        1, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register ROMC_ROMPATCHSR.
static const field_t hw_romc_rompatchsr[] =
{
    {
        "SOURCE",
        "ROMC Source Number - Binary encoding of the number of the address comp"
        "arator which has an address match in the most recent patch event on RO"
        "MC AHB.",
        0, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW",
        "ROMC AHB Multiple Address Comparator matches Indicator - Indicates tha"
        "t multiple address comparator matches occurred.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a ROMC module.
static const reg_t hw_romc[] =
{
    {
        "ROMPATCH7D",
        "The ROMC data registers (ROMC_ROMPATCH 7D through ROMC_ROMPATCH 0D) st"
        "ore the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000d4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch7d
    },
    {
        "ROMPATCH6D",
        "The ROMC data registers (ROMC_ROMPATCH 7D through ROMC_ROMPATCH 0D) st"
        "ore the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000d8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch6d
    },
    {
        "ROMPATCH5D",
        "The ROMC data registers (ROMC_ROMPATCH 7D through ROMC_ROMPATCH 0D) st"
        "ore the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000dc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch5d
    },
    {
        "ROMPATCH4D",
        "The ROMC data registers (ROMC_ROMPATCH 7D through ROMC_ROMPATCH 0D) st"
        "ore the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000e0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch4d
    },
    {
        "ROMPATCH3D",
        "The ROMC data registers (ROMC_ROMPATCH 7D through ROMC_ROMPATCH 0D) st"
        "ore the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000e4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch3d
    },
    {
        "ROMPATCH2D",
        "The ROMC data registers (ROMC_ROMPATCH 7D through ROMC_ROMPATCH 0D) st"
        "ore the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000e8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch2d
    },
    {
        "ROMPATCH1D",
        "The ROMC data registers (ROMC_ROMPATCH 7D through ROMC_ROMPATCH 0D) st"
        "ore the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000ec, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch1d
    },
    {
        "ROMPATCH0D",
        "The ROMC data registers (ROMC_ROMPATCH 7D through ROMC_ROMPATCH 0D) st"
        "ore the data to use for the 8 1-word data fix events.",
        4, // Width in bytes
        0x000000f0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatch0d
    },
    {
        "ROMPATCHCNTL",
        "The ROMC control register (ROMC_ROMPATCHCNTL) contains the block disab"
        "le bit and the data fix enable bits.",
        4, // Width in bytes
        0x000000f4, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatchcntl
    },
    {
        "ROMPATCHENH",
        "The ROMC enable register high (ROMC_ROMPATCHENH) and ROMC enable regis"
        "ter low (ROMC_ROMPATCHENL) control whether or not the associated addre"
        "ss comparator can trigger a opcode patch or data fix event.",
        4, // Width in bytes
        0x000000f8, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_romc_rompatchenh
    },
    {
        "ROMPATCHENL",
        "The ROMC enable register high (ROMC_ROMPATCHENH) and ROMC enable regis"
        "ter low (ROMC_ROMPATCHENL) control whether or not the associated addre"
        "ss comparator can trigger a opcode patch or data fix event.",
        4, // Width in bytes
        0x000000fc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_romc_rompatchenl
    },
    {
        "ROMPATCH0A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch0a
    },
    {
        "ROMPATCH1A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch1a
    },
    {
        "ROMPATCH2A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch2a
    },
    {
        "ROMPATCH3A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch3a
    },
    {
        "ROMPATCH4A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch4a
    },
    {
        "ROMPATCH5A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch5a
    },
    {
        "ROMPATCH6A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch6a
    },
    {
        "ROMPATCH7A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch7a
    },
    {
        "ROMPATCH8A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch8a
    },
    {
        "ROMPATCH9A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch9a
    },
    {
        "ROMPATCH10A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch10a
    },
    {
        "ROMPATCH11A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch11a
    },
    {
        "ROMPATCH12A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch12a
    },
    {
        "ROMPATCH13A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch13a
    },
    {
        "ROMPATCH14A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch14a
    },
    {
        "ROMPATCH15A",
        "The ROMC address registers (ROMC_ROMPATCHA0 through ROMC_ROMPATCHA15) "
        "store the memory addresses where opcode patching begins and data fixin"
        "g occurs.",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatch15a
    },
    {
        "ROMPATCHSR",
        "The ROMC status register (ROMC_ROMPATCHSR) indicates the current state"
        " of the ROMC and the source number of the most recent address comparat"
        "or event.",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_romc_rompatchsr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SDMAARM
#endif

// Bitfields in register SDMAARM_MC0PTR.
static const field_t hw_sdmaarm_mc0ptr[] =
{
    {
        "MC0PTR",
        "Channel 0 Pointer contains the 32-bit address, in Arm platform memory,"
        " of channel 0 control block (the boot channel).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_INTR.
static const field_t hw_sdmaarm_intr[] =
{
    {
        "HI",
        "The Arm platform Interrupts register contains the 32 HI[i] bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_STOP_STAT.
static const field_t hw_sdmaarm_stop_stat[] =
{
    {
        "HE",
        "This 32-bit register gives access to the Arm platform Enable bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_HSTART.
static const field_t hw_sdmaarm_hstart[] =
{
    {
        "HSTART_HE",
        "The HSTART_HE registers are 32 bits wide with one bit for every channe"
        "l.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVTOVR.
static const field_t hw_sdmaarm_evtovr[] =
{
    {
        "EO",
        "The Channel Event Override register contains the 32 EO[i] bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_DSPOVR.
static const field_t hw_sdmaarm_dspovr[] =
{
    {
        "DO",
        "This register is reserved.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_HOSTOVR.
static const field_t hw_sdmaarm_hostovr[] =
{
    {
        "HO",
        "The Channel Arm platform Override register contains the 32 HO[i] bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVTPEND.
static const field_t hw_sdmaarm_evtpend[] =
{
    {
        "EP",
        "The Channel Event Pending register contains the 32 EP[i] bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_RESET.
static const field_t hw_sdmaarm_reset[] =
{
    {
        "RESET",
        "When set, this bit causes the SDMA to be held in a software reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RESCHED",
        "When set, this bit forces the SDMA to reschedule as if a script had ex"
        "ecuted a done instruction.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVTERR.
static const field_t hw_sdmaarm_evterr[] =
{
    {
        "CHNERR",
        "This register is used by the SDMA to warn the Arm platform when an inc"
        "oming DMA request was detected and it triggers a channel that is alrea"
        "dy pending or being serviced.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_INTRMASK.
static const field_t hw_sdmaarm_intrmask[] =
{
    {
        "HIMASK",
        "The Interrupt Mask Register contains 32 interrupt generation mask bits"
        ".",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_PSW.
static const field_t hw_sdmaarm_psw[] =
{
    {
        "CCR",
        "The Current Channel Register indicates the number of the channel that "
        "is being executed by the SDMA.",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CCP",
        "The Current Channel Priority indicates the priority of the current act"
        "ive channel.",
        4, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NCR",
        "The Next Channel Register indicates the number of the next scheduled p"
        "ending channel with the highest priority.",
        8, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NCP",
        "The Next Channel Priority gives the next pending channel priority.",
        13, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVTERRDBG.
static const field_t hw_sdmaarm_evterrdbg[] =
{
    {
        "CHNERR",
        "This register is the same as EVTERR, except reading it does not clear "
        "its contents.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CONFIG.
static const field_t hw_sdmaarm_config[] =
{
    {
        "CSM",
        "Selects the Context Switch Mode.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACR",
        "Arm platform DMA / SDMA Core Clock Ratio.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTDOBS",
        "Indicates if Real-Time Debug pins are used: They do not toggle by defa"
        "ult in order to reduce power consumption.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSPDMA",
        "This bit's function is reserved and should be configured as zero.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_LOCK.
static const field_t hw_sdmaarm_sdma_lock[] =
{
    {
        "LOCK",
        "The LOCK bit is used to restrict access to update SDMA script memory t"
        "hrough ROM channel zero scripts and through the OnCE interface under A"
        "rm platform control.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRESET_LOCK_CLR",
        "The SRESET_LOCK_CLR bit determine if the LOCK bit is cleared on a soft"
        "ware reset triggered by writing to the RESET register.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_ENB.
static const field_t hw_sdmaarm_once_enb[] =
{
    {
        "ENB",
        "The OnCE Enable register selects the OnCE control source: When cleared"
        " (0), the OnCE registers are accessed through the JTAG interface; when"
        " set (1), the OnCE registers may be accessed by the Arm platform throu"
        "gh the addresses described, as follows.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_DATA.
static const field_t hw_sdmaarm_once_data[] =
{
    {
        "DATA",
        "Data register of the OnCE JTAG controller.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_INSTR.
static const field_t hw_sdmaarm_once_instr[] =
{
    {
        "INSTR",
        "Instruction register of the OnCE JTAG controller.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_STAT.
static const field_t hw_sdmaarm_once_stat[] =
{
    {
        "ECDR",
        "Event Cell Debug Request.",
        0, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MST",
        "This flag is raised when the OnCE is controlled from the Arm platform "
        "peripheral interface.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SWB",
        "This flag is raised when the SDMA has entered debug mode after a softw"
        "are breakpoint.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ODR",
        "This flag is raised when the SDMA has entered debug mode after a OnCE "
        "debug request.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EDR",
        "This flag is raised when the SDMA has entered debug mode after an exte"
        "rnal debug request.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RCV",
        "After each write access to the real time buffer (RTB), the RCV bit is "
        "set.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PST",
        "The Processor Status bits reflect the state of the SDMA RISC engine.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ONCE_CMD.
static const field_t hw_sdmaarm_once_cmd[] =
{
    {
        "CMD",
        "Writing to this register will cause the OnCE to execute the command th"
        "at is written.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_ILLINSTADDR.
static const field_t hw_sdmaarm_illinstaddr[] =
{
    {
        "ILLINSTADDR",
        "The Illegal Instruction Trap Address is the address where the SDMA jum"
        "ps when an illegal instruction is executed.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHN0ADDR.
static const field_t hw_sdmaarm_chn0addr[] =
{
    {
        "CHN0ADDR",
        "This 14-bit register is used by the boot code of the SDMA.",
        0, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMSZ",
        "The bit 14 (Scratch Memory Size) determines if scratch memory must be "
        "available after every channel context.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVT_MIRROR.
static const field_t hw_sdmaarm_evt_mirror[] =
{
    {
        "EVENTS",
        "This register reflects the DMA requests received by the SDMA for event"
        "s 31-0.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_EVT_MIRROR2.
static const field_t hw_sdmaarm_evt_mirror2[] =
{
    {
        "EVENTS",
        "This register reflects the DMA requests received by the SDMA for event"
        "s 47-32.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_XTRIG_CONF1.
static const field_t hw_sdmaarm_xtrig_conf1[] =
{
    {
        "NUM0",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF0",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM1",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF1",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM2",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF2",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM3",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF3",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_XTRIG_CONF2.
static const field_t hw_sdmaarm_xtrig_conf2[] =
{
    {
        "NUM4",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF4",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM5",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        8, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF5",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM6",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        16, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF6",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NUM7",
        "Contains the number of the DMA request or channel that triggers the pu"
        "lse on the cross-trigger event line number i.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNF7",
        "Configuration of the SDMA event line number i that is connected to the"
        " cross-trigger.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI0.
static const field_t hw_sdmaarm_sdma_chnpri0[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI1.
static const field_t hw_sdmaarm_sdma_chnpri1[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI2.
static const field_t hw_sdmaarm_sdma_chnpri2[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI3.
static const field_t hw_sdmaarm_sdma_chnpri3[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI4.
static const field_t hw_sdmaarm_sdma_chnpri4[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI5.
static const field_t hw_sdmaarm_sdma_chnpri5[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI6.
static const field_t hw_sdmaarm_sdma_chnpri6[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI7.
static const field_t hw_sdmaarm_sdma_chnpri7[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI8.
static const field_t hw_sdmaarm_sdma_chnpri8[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI9.
static const field_t hw_sdmaarm_sdma_chnpri9[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI10.
static const field_t hw_sdmaarm_sdma_chnpri10[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI11.
static const field_t hw_sdmaarm_sdma_chnpri11[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI12.
static const field_t hw_sdmaarm_sdma_chnpri12[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI13.
static const field_t hw_sdmaarm_sdma_chnpri13[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI14.
static const field_t hw_sdmaarm_sdma_chnpri14[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI15.
static const field_t hw_sdmaarm_sdma_chnpri15[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI16.
static const field_t hw_sdmaarm_sdma_chnpri16[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI17.
static const field_t hw_sdmaarm_sdma_chnpri17[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI18.
static const field_t hw_sdmaarm_sdma_chnpri18[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI19.
static const field_t hw_sdmaarm_sdma_chnpri19[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI20.
static const field_t hw_sdmaarm_sdma_chnpri20[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI21.
static const field_t hw_sdmaarm_sdma_chnpri21[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI22.
static const field_t hw_sdmaarm_sdma_chnpri22[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI23.
static const field_t hw_sdmaarm_sdma_chnpri23[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI24.
static const field_t hw_sdmaarm_sdma_chnpri24[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI25.
static const field_t hw_sdmaarm_sdma_chnpri25[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI26.
static const field_t hw_sdmaarm_sdma_chnpri26[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI27.
static const field_t hw_sdmaarm_sdma_chnpri27[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI28.
static const field_t hw_sdmaarm_sdma_chnpri28[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI29.
static const field_t hw_sdmaarm_sdma_chnpri29[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI30.
static const field_t hw_sdmaarm_sdma_chnpri30[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_SDMA_CHNPRI31.
static const field_t hw_sdmaarm_sdma_chnpri31[] =
{
    {
        "CHNPRIN",
        "This contains the priority of channel number n.",
        0, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL0.
static const field_t hw_sdmaarm_chnenbl0[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL1.
static const field_t hw_sdmaarm_chnenbl1[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL2.
static const field_t hw_sdmaarm_chnenbl2[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL3.
static const field_t hw_sdmaarm_chnenbl3[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL4.
static const field_t hw_sdmaarm_chnenbl4[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL5.
static const field_t hw_sdmaarm_chnenbl5[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL6.
static const field_t hw_sdmaarm_chnenbl6[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL7.
static const field_t hw_sdmaarm_chnenbl7[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL8.
static const field_t hw_sdmaarm_chnenbl8[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL9.
static const field_t hw_sdmaarm_chnenbl9[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL10.
static const field_t hw_sdmaarm_chnenbl10[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL11.
static const field_t hw_sdmaarm_chnenbl11[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL12.
static const field_t hw_sdmaarm_chnenbl12[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL13.
static const field_t hw_sdmaarm_chnenbl13[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL14.
static const field_t hw_sdmaarm_chnenbl14[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL15.
static const field_t hw_sdmaarm_chnenbl15[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL16.
static const field_t hw_sdmaarm_chnenbl16[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL17.
static const field_t hw_sdmaarm_chnenbl17[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL18.
static const field_t hw_sdmaarm_chnenbl18[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL19.
static const field_t hw_sdmaarm_chnenbl19[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL20.
static const field_t hw_sdmaarm_chnenbl20[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL21.
static const field_t hw_sdmaarm_chnenbl21[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL22.
static const field_t hw_sdmaarm_chnenbl22[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL23.
static const field_t hw_sdmaarm_chnenbl23[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL24.
static const field_t hw_sdmaarm_chnenbl24[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL25.
static const field_t hw_sdmaarm_chnenbl25[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL26.
static const field_t hw_sdmaarm_chnenbl26[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL27.
static const field_t hw_sdmaarm_chnenbl27[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL28.
static const field_t hw_sdmaarm_chnenbl28[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL29.
static const field_t hw_sdmaarm_chnenbl29[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL30.
static const field_t hw_sdmaarm_chnenbl30[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL31.
static const field_t hw_sdmaarm_chnenbl31[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL32.
static const field_t hw_sdmaarm_chnenbl32[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL33.
static const field_t hw_sdmaarm_chnenbl33[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL34.
static const field_t hw_sdmaarm_chnenbl34[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL35.
static const field_t hw_sdmaarm_chnenbl35[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL36.
static const field_t hw_sdmaarm_chnenbl36[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL37.
static const field_t hw_sdmaarm_chnenbl37[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL38.
static const field_t hw_sdmaarm_chnenbl38[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL39.
static const field_t hw_sdmaarm_chnenbl39[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL40.
static const field_t hw_sdmaarm_chnenbl40[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL41.
static const field_t hw_sdmaarm_chnenbl41[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL42.
static const field_t hw_sdmaarm_chnenbl42[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL43.
static const field_t hw_sdmaarm_chnenbl43[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL44.
static const field_t hw_sdmaarm_chnenbl44[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL45.
static const field_t hw_sdmaarm_chnenbl45[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL46.
static const field_t hw_sdmaarm_chnenbl46[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SDMAARM_CHNENBL47.
static const field_t hw_sdmaarm_chnenbl47[] =
{
    {
        "ENBLN",
        "This 32-bit value selects the channels that are triggered by the DMA r"
        "equest number n.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SDMAARM module.
static const reg_t hw_sdmaarm[] =
{
    {
        "MC0PTR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_mc0ptr
    },
    {
        "INTR",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_intr
    },
    {
        "STOP_STAT",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_stop_stat
    },
    {
        "HSTART",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_hstart
    },
    {
        "EVTOVR",
        "",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evtovr
    },
    {
        "DSPOVR",
        "",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_dspovr
    },
    {
        "HOSTOVR",
        "",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_hostovr
    },
    {
        "EVTPEND",
        "",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evtpend
    },
    {
        "RESET",
        "",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_sdmaarm_reset
    },
    {
        "EVTERR",
        "",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evterr
    },
    {
        "INTRMASK",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_intrmask
    },
    {
        "PSW",
        "",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_sdmaarm_psw
    },
    {
        "EVTERRDBG",
        "",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evterrdbg
    },
    {
        "CONFIG",
        "",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_sdmaarm_config
    },
    {
        "SDMA_LOCK",
        "",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sdmaarm_sdma_lock
    },
    {
        "ONCE_ENB",
        "",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_once_enb
    },
    {
        "ONCE_DATA",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_once_data
    },
    {
        "ONCE_INSTR",
        "",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_once_instr
    },
    {
        "ONCE_STAT",
        "",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        false, // Writable
        7, // Number of bitfields
        hw_sdmaarm_once_stat
    },
    {
        "ONCE_CMD",
        "",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_once_cmd
    },
    {
        "ILLINSTADDR",
        "",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_illinstaddr
    },
    {
        "CHN0ADDR",
        "",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sdmaarm_chn0addr
    },
    {
        "EVT_MIRROR",
        "",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evt_mirror
    },
    {
        "EVT_MIRROR2",
        "",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_sdmaarm_evt_mirror2
    },
    {
        "XTRIG_CONF1",
        "",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_sdmaarm_xtrig_conf1
    },
    {
        "XTRIG_CONF2",
        "",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_sdmaarm_xtrig_conf2
    },
    {
        "SDMA_CHNPRI0",
        "",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri0
    },
    {
        "SDMA_CHNPRI1",
        "",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri1
    },
    {
        "SDMA_CHNPRI2",
        "",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri2
    },
    {
        "SDMA_CHNPRI3",
        "",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri3
    },
    {
        "SDMA_CHNPRI4",
        "",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri4
    },
    {
        "SDMA_CHNPRI5",
        "",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri5
    },
    {
        "SDMA_CHNPRI6",
        "",
        4, // Width in bytes
        0x00000118, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri6
    },
    {
        "SDMA_CHNPRI7",
        "",
        4, // Width in bytes
        0x0000011c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri7
    },
    {
        "SDMA_CHNPRI8",
        "",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri8
    },
    {
        "SDMA_CHNPRI9",
        "",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri9
    },
    {
        "SDMA_CHNPRI10",
        "",
        4, // Width in bytes
        0x00000128, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri10
    },
    {
        "SDMA_CHNPRI11",
        "",
        4, // Width in bytes
        0x0000012c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri11
    },
    {
        "SDMA_CHNPRI12",
        "",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri12
    },
    {
        "SDMA_CHNPRI13",
        "",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri13
    },
    {
        "SDMA_CHNPRI14",
        "",
        4, // Width in bytes
        0x00000138, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri14
    },
    {
        "SDMA_CHNPRI15",
        "",
        4, // Width in bytes
        0x0000013c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri15
    },
    {
        "SDMA_CHNPRI16",
        "",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri16
    },
    {
        "SDMA_CHNPRI17",
        "",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri17
    },
    {
        "SDMA_CHNPRI18",
        "",
        4, // Width in bytes
        0x00000148, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri18
    },
    {
        "SDMA_CHNPRI19",
        "",
        4, // Width in bytes
        0x0000014c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri19
    },
    {
        "SDMA_CHNPRI20",
        "",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri20
    },
    {
        "SDMA_CHNPRI21",
        "",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri21
    },
    {
        "SDMA_CHNPRI22",
        "",
        4, // Width in bytes
        0x00000158, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri22
    },
    {
        "SDMA_CHNPRI23",
        "",
        4, // Width in bytes
        0x0000015c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri23
    },
    {
        "SDMA_CHNPRI24",
        "",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri24
    },
    {
        "SDMA_CHNPRI25",
        "",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri25
    },
    {
        "SDMA_CHNPRI26",
        "",
        4, // Width in bytes
        0x00000168, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri26
    },
    {
        "SDMA_CHNPRI27",
        "",
        4, // Width in bytes
        0x0000016c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri27
    },
    {
        "SDMA_CHNPRI28",
        "",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri28
    },
    {
        "SDMA_CHNPRI29",
        "",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri29
    },
    {
        "SDMA_CHNPRI30",
        "",
        4, // Width in bytes
        0x00000178, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri30
    },
    {
        "SDMA_CHNPRI31",
        "",
        4, // Width in bytes
        0x0000017c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_sdma_chnpri31
    },
    {
        "CHNENBL0",
        "",
        4, // Width in bytes
        0x00000200, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl0
    },
    {
        "CHNENBL1",
        "",
        4, // Width in bytes
        0x00000204, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl1
    },
    {
        "CHNENBL2",
        "",
        4, // Width in bytes
        0x00000208, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl2
    },
    {
        "CHNENBL3",
        "",
        4, // Width in bytes
        0x0000020c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl3
    },
    {
        "CHNENBL4",
        "",
        4, // Width in bytes
        0x00000210, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl4
    },
    {
        "CHNENBL5",
        "",
        4, // Width in bytes
        0x00000214, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl5
    },
    {
        "CHNENBL6",
        "",
        4, // Width in bytes
        0x00000218, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl6
    },
    {
        "CHNENBL7",
        "",
        4, // Width in bytes
        0x0000021c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl7
    },
    {
        "CHNENBL8",
        "",
        4, // Width in bytes
        0x00000220, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl8
    },
    {
        "CHNENBL9",
        "",
        4, // Width in bytes
        0x00000224, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl9
    },
    {
        "CHNENBL10",
        "",
        4, // Width in bytes
        0x00000228, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl10
    },
    {
        "CHNENBL11",
        "",
        4, // Width in bytes
        0x0000022c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl11
    },
    {
        "CHNENBL12",
        "",
        4, // Width in bytes
        0x00000230, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl12
    },
    {
        "CHNENBL13",
        "",
        4, // Width in bytes
        0x00000234, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl13
    },
    {
        "CHNENBL14",
        "",
        4, // Width in bytes
        0x00000238, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl14
    },
    {
        "CHNENBL15",
        "",
        4, // Width in bytes
        0x0000023c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl15
    },
    {
        "CHNENBL16",
        "",
        4, // Width in bytes
        0x00000240, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl16
    },
    {
        "CHNENBL17",
        "",
        4, // Width in bytes
        0x00000244, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl17
    },
    {
        "CHNENBL18",
        "",
        4, // Width in bytes
        0x00000248, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl18
    },
    {
        "CHNENBL19",
        "",
        4, // Width in bytes
        0x0000024c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl19
    },
    {
        "CHNENBL20",
        "",
        4, // Width in bytes
        0x00000250, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl20
    },
    {
        "CHNENBL21",
        "",
        4, // Width in bytes
        0x00000254, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl21
    },
    {
        "CHNENBL22",
        "",
        4, // Width in bytes
        0x00000258, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl22
    },
    {
        "CHNENBL23",
        "",
        4, // Width in bytes
        0x0000025c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl23
    },
    {
        "CHNENBL24",
        "",
        4, // Width in bytes
        0x00000260, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl24
    },
    {
        "CHNENBL25",
        "",
        4, // Width in bytes
        0x00000264, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl25
    },
    {
        "CHNENBL26",
        "",
        4, // Width in bytes
        0x00000268, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl26
    },
    {
        "CHNENBL27",
        "",
        4, // Width in bytes
        0x0000026c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl27
    },
    {
        "CHNENBL28",
        "",
        4, // Width in bytes
        0x00000270, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl28
    },
    {
        "CHNENBL29",
        "",
        4, // Width in bytes
        0x00000274, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl29
    },
    {
        "CHNENBL30",
        "",
        4, // Width in bytes
        0x00000278, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl30
    },
    {
        "CHNENBL31",
        "",
        4, // Width in bytes
        0x0000027c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl31
    },
    {
        "CHNENBL32",
        "",
        4, // Width in bytes
        0x00000280, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl32
    },
    {
        "CHNENBL33",
        "",
        4, // Width in bytes
        0x00000284, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl33
    },
    {
        "CHNENBL34",
        "",
        4, // Width in bytes
        0x00000288, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl34
    },
    {
        "CHNENBL35",
        "",
        4, // Width in bytes
        0x0000028c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl35
    },
    {
        "CHNENBL36",
        "",
        4, // Width in bytes
        0x00000290, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl36
    },
    {
        "CHNENBL37",
        "",
        4, // Width in bytes
        0x00000294, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl37
    },
    {
        "CHNENBL38",
        "",
        4, // Width in bytes
        0x00000298, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl38
    },
    {
        "CHNENBL39",
        "",
        4, // Width in bytes
        0x0000029c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl39
    },
    {
        "CHNENBL40",
        "",
        4, // Width in bytes
        0x000002a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl40
    },
    {
        "CHNENBL41",
        "",
        4, // Width in bytes
        0x000002a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl41
    },
    {
        "CHNENBL42",
        "",
        4, // Width in bytes
        0x000002a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl42
    },
    {
        "CHNENBL43",
        "",
        4, // Width in bytes
        0x000002ac, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl43
    },
    {
        "CHNENBL44",
        "",
        4, // Width in bytes
        0x000002b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl44
    },
    {
        "CHNENBL45",
        "",
        4, // Width in bytes
        0x000002b4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl45
    },
    {
        "CHNENBL46",
        "",
        4, // Width in bytes
        0x000002b8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl46
    },
    {
        "CHNENBL47",
        "",
        4, // Width in bytes
        0x000002bc, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sdmaarm_chnenbl47
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SEMA4
#endif

// Bitfields in register SEMA4_Gate00.
static const field_t hw_sema4_gate00[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate01.
static const field_t hw_sema4_gate01[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate02.
static const field_t hw_sema4_gate02[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate03.
static const field_t hw_sema4_gate03[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate04.
static const field_t hw_sema4_gate04[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate05.
static const field_t hw_sema4_gate05[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate06.
static const field_t hw_sema4_gate06[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate07.
static const field_t hw_sema4_gate07[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate08.
static const field_t hw_sema4_gate08[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate09.
static const field_t hw_sema4_gate09[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate10.
static const field_t hw_sema4_gate10[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate11.
static const field_t hw_sema4_gate11[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate12.
static const field_t hw_sema4_gate12[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate13.
static const field_t hw_sema4_gate13[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate14.
static const field_t hw_sema4_gate14[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_Gate15.
static const field_t hw_sema4_gate15[] =
{
    {
        "GTFSM",
        "Gate Finite State Machine.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_CP0INE.
static const field_t hw_sema4_cp0ine[] =
{
    {
        "INE7",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE6",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE5",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE4",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE3",
        "Interrupt Request Notification Enable 3.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE2",
        "Interrupt Request Notification Enable 2.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE1",
        "Interrupt Request Notification Enable 1.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE0",
        "Interrupt Request Notification Enable 0.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE15",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE14",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE13",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE12",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE11",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE10",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE9",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE8",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_CP1INE.
static const field_t hw_sema4_cp1ine[] =
{
    {
        "INE7",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE6",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE5",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE4",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE3",
        "Interrupt Request Notification Enable 3.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE2",
        "Interrupt Request Notification Enable 2.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE1",
        "Interrupt Request Notification Enable 1.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE0",
        "Interrupt Request Notification Enable 0.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE15",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE14",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE13",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE12",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE11",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE10",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE9",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INE8",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_CP0NTF.
static const field_t hw_sema4_cp0ntf[] =
{
    {
        "GN7",
        "Gate 7 Notification.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN6",
        "Gate 6 Notification.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN5",
        "Gate 5 Notification.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN4",
        "Gate 4 Notification.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN3",
        "Gate 3 Notification.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN2",
        "Gate 2 Notification.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN1",
        "Gate 1 Notification.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN0",
        "Gate 0 Notification.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN15",
        "Gate 15 Notification.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN14",
        "Gate 14 Notification.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN13",
        "Gate 13 Notification.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN12",
        "Gate 12 Notification.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN11",
        "Gate 11 Notification.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN10",
        "Gate 10 Notification.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN9",
        "Gate 9 Notification.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN8",
        "Gate 8 Notification.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_CP1NTF.
static const field_t hw_sema4_cp1ntf[] =
{
    {
        "GN7",
        "Gate 7 Notification.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN6",
        "Gate 6 Notification.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN5",
        "Gate 5 Notification.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN4",
        "Gate 4 Notification.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN3",
        "Gate 3 Notification.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN2",
        "Gate 2 Notification.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN1",
        "Gate 1 Notification.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN0",
        "Gate 0 Notification.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN15",
        "Gate 15 Notification.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN14",
        "Gate 14 Notification.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN13",
        "Gate 13 Notification.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN12",
        "Gate 12 Notification.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN11",
        "Gate 11 Notification.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN10",
        "Gate 10 Notification.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN9",
        "Gate 9 Notification.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GN8",
        "Gate 8 Notification.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_RSTGT.
static const field_t hw_sema4_rstgt[] =
{
    {
        "RSTGSM_RSTGMS_RSTGDP",
        "This field contains subfields that vary depending on whether it is bei"
        "ng read or written.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTGTN",
        "Reset Gate Number.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SEMA4_RSTNTF.
static const field_t hw_sema4_rstntf[] =
{
    {
        "RSTNSM_RSTNMS_RSTNDP",
        "This field contains subfields that vary depending on whether it is bei"
        "ng read or written.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTNTN",
        "Reset Notification Number.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SEMA4 module.
static const reg_t hw_sema4[] =
{
    {
        "Gate00",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate00
    },
    {
        "Gate01",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000001, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate01
    },
    {
        "Gate02",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000002, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate02
    },
    {
        "Gate03",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000003, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate03
    },
    {
        "Gate04",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate04
    },
    {
        "Gate05",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000005, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate05
    },
    {
        "Gate06",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000006, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate06
    },
    {
        "Gate07",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000007, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate07
    },
    {
        "Gate08",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate08
    },
    {
        "Gate09",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x00000009, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate09
    },
    {
        "Gate10",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000a, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate10
    },
    {
        "Gate11",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000b, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate11
    },
    {
        "Gate12",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate12
    },
    {
        "Gate13",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000d, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate13
    },
    {
        "Gate14",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000e, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate14
    },
    {
        "Gate15",
        "Each semaphore gate is implemented in a 2-bit finite state machine, ri"
        "ght-justified in a byte data structure.",
        1, // Width in bytes
        0x0000000f, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_sema4_gate15
    },
    {
        "CP0INE",
        "The application of a hardware semaphore module provides an opportunity"
        " for implementation of helpful system-level features.",
        2, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_sema4_cp0ine
    },
    {
        "CP1INE",
        "The application of a hardware semaphore module provides an opportunity"
        " for implementation of helpful system-level features.",
        2, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_sema4_cp1ine
    },
    {
        "CP0NTF",
        "The Semaphores module optionally allows the processor that fails in th"
        "e lock attempt to continue with other tasks and allow a properly-enabl"
        "ed notification interrupt to return its execution to the original lock"
        " function rather than simply execute in a spin-wait loop.",
        2, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        false, // Writable
        16, // Number of bitfields
        hw_sema4_cp0ntf
    },
    {
        "CP1NTF",
        "The Semaphores module optionally allows the processor that fails in th"
        "e lock attempt to continue with other tasks and allow a properly-enabl"
        "ed notification interrupt to return its execution to the original lock"
        " function rather than simply execute in a spin-wait loop.",
        2, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        false, // Writable
        16, // Number of bitfields
        hw_sema4_cp1ntf
    },
    {
        "RSTGT",
        "Although the intent of the hardware gate implementation specifies a pr"
        "otocol where the locking processor must unlock the gate, it is recogni"
        "zed that system operation may require a reset function to re-initializ"
        "e the state of any gate(s) without requiring a system-level reset.",
        2, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sema4_rstgt
    },
    {
        "RSTNTF",
        "As with the case of the secure reset function and the hardware gates, "
        "it is recognized that system operation may require a reset function to"
        " re-initialize the state of the IRQ notification logic without requiri"
        "ng a system-level reset.",
        2, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_sema4_rstntf
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SNVS
#endif

// Bitfields in register SNVS_HPLR.
static const field_t hw_snvs_hplr[] =
{
    {
        "ZMK_WSL",
        "Zeroizable Master Key Write Soft Lock When set, prevents any writes (s"
        "oftware and hardware) to the ZMK registers and the ZMK_HWP, ZMK_VAL, a"
        "nd ZMK_ECC_EN fields of the LPMKCR.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZMK_RSL",
        "Zeroizable Master Key Read Soft Lock When set, prevents any software r"
        "eads to the ZMK Registers and ZMK_ECC_VALUE field of the LPMKCR.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRTC_SL",
        "Secure Real Time Counter Soft Lock When set, prevents any writes to th"
        "e SRTC Registers, SRTC_ENV, and SRTC_INV_EN bits.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPCALB_SL",
        "LP Calibration Soft Lock When set, prevents any writes to the LP Calib"
        "ration Value (LPCALB_VAL) and LP Calibration Enable (LPCALB_EN).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MC_SL",
        "Monotonic Counter Soft Lock When set, prevents any writes (increments)"
        " to the MC Registers and MC_ENV bit.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_SL",
        "General Purpose Register Soft Lock When set, prevents any writes to th"
        "e GPR.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPSVCR_SL",
        "LP Security Violation Control Register Soft Lock When set, prevents an"
        "y writes to the LPSVCR.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPSECR_SL",
        "LP Security Events Configuration Register Soft Lock When set, prevents"
        " any writes to the LPSECR.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MKS_SL",
        "Master Key Select Soft Lock When set, prevents any writes to the MASTE"
        "R_KEY_SEL field of the LPMKCR.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPSVCR_L",
        "HP Security Violation Control Register Lock When set, prevents any wri"
        "tes to the HPSVCR.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPSICR_L",
        "HP Security Interrupt Control Register Lock When set, prevents any wri"
        "tes to the HPSICR.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HAC_L",
        "High Assurance Counter Lock When set, prevents any writes to HPHACIVR,"
        " HPHACR, and HAC_EN bit of HPCOMR.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPCOMR.
static const field_t hw_snvs_hpcomr[] =
{
    {
        "SSM_ST",
        "SSM State Transition Transition state of the system security monitor.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "SSM_ST_DIS",
        "SSM Secure to Trusted State Transition Disable When set, disables the "
        "SSM transition from secure to trusted state.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSM_SFNS_DIS",
        "SSM Soft Fail to Non-Secure State Transition Disable When set, it disa"
        "bles the SSM transition from soft fail to non-secure state.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LP_SWR",
        "LP Software Reset When set to 1, most registers in the SNVS_LP section"
        " are reset, but the following registers are not reset by an LP softwar"
        "e reset: Secure Real Time Counter Time Alarm Register This bit cannot "
        "be set when the LP_SWR_DIS bit is set.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "LP_SWR_DIS",
        "LP Software Reset Disable When set, disables the LP software reset.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_SV",
        "Software Security Violation When set, the system security monitor trea"
        "ts this bit as a non-fatal security violation.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_FSV",
        "Software Fatal Security Violation When set, the system security monito"
        "r treats this bit as a fatal security violation.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_LPSV",
        "LP Software Security Violation When set, SNVS_LP treats this bit as a "
        "security violation.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PROG_ZMK",
        "Program Zeroizable Master Key This bit activates ZMK hardware programm"
        "ing mechanism.",
        12, // LSB
        12, // MSB
        false, // Readable
        false // Writable
    },
    {
        "MKS_EN",
        "Master Key Select Enable When not set, the one time programmable (OTP)"
        " master key is selected by default.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HAC_EN",
        "High Assurance Counter Enable This bit controls the SSM transition fro"
        "m the soft fail to the hard fail state.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HAC_LOAD",
        "High Assurance Counter Load When set, it loads the High Assurance Coun"
        "ter Register with the value of the High Assurance Counter Load Registe"
        "r.",
        17, // LSB
        17, // MSB
        false, // Readable
        false // Writable
    },
    {
        "HAC_CLEAR",
        "High Assurance Counter Clear When set, it clears the High Assurance Co"
        "unter Register.",
        18, // LSB
        18, // MSB
        false, // Readable
        false // Writable
    },
    {
        "HAC_STOP",
        "High Assurance Counter Stop This bit can be set only when SSM is in so"
        "ft fail state.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NPSWA_EN",
        "Non-Privileged Software Access Enable When set, allows non-privileged "
        "software to access all SNVS registers, including those that are privil"
        "eged software read/write access only.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPCR.
static const field_t hw_snvs_hpcr[] =
{
    {
        "RTC_EN",
        "HP Real Time Counter Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPTA_EN",
        "HP Time Alarm Enable When set, the time alarm interrupt is generated i"
        "f the value in the HP Time Alarm Registers is equal to the value of th"
        "e HP Real Time Counter.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIS_PI",
        "Disable periodic interrupt in the functional interrupt",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PI_EN",
        "HP Periodic Interrupt Enable The periodic interrupt can be generated o"
        "nly if the HP Real Time Counter is enabled.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PI_FREQ",
        "Periodic Interrupt Frequency Defines frequency of the periodic interru"
        "pt.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPCALB_EN",
        "HP Real Time Counter Calibration Enabled Indicates that the time calib"
        "ration mechanism is enabled.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HPCALB_VAL",
        "HP Calibration Value Defines signed calibration value for the HP Real "
        "Time Counter.",
        10, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HP_TS",
        "HP Time Synchronize.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BTN_CONFIG",
        "Button Configuration.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BTN_MASK",
        "Button interrupt mask.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPSICR.
static const field_t hw_snvs_hpsicr[] =
{
    {
        "SV0_EN",
        "Security Violation 0 Interrupt Enable Setting this bit to 1 enables ge"
        "neration of the security interrupt to the host processor upon detectio"
        "n of the Security Violation 0 security violation.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV1_EN",
        "Security Violation 1 Interrupt Enable Setting this bit to 1 enables ge"
        "neration of the security interrupt to the host processor upon detectio"
        "n of the Security Violation 1 security violation.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV2_EN",
        "Security Violation 2 Interrupt Enable Setting this bit to 1 enables ge"
        "neration of the security interrupt to the host processor upon detectio"
        "n of the Security Violation 2 security violation.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV3_EN",
        "Security Violation 3 Interrupt Enable Setting this bit to 1 enables ge"
        "neration of the security interrupt to the host processor upon detectio"
        "n of the Security Violation 3 security violation.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV4_EN",
        "Security Violation 4 Interrupt Enable Setting this bit to 1 enables ge"
        "neration of the security interrupt to the host processor upon detectio"
        "n of the Security Violation 4 security violation.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV5_EN",
        "Security Violation 5 Interrupt Enable Setting this bit to 1 enables ge"
        "neration of the security interrupt to the host processor upon detectio"
        "n of the Security Violation 5 security violation.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPSVI_EN",
        "LP Security Violation Interrupt Enable This bit enables generating of "
        "the security interrupt to the host processor upon security violation s"
        "ignal from the LP section.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPSVCR.
static const field_t hw_snvs_hpsvcr[] =
{
    {
        "SV0_CFG",
        "Security Violation 0 Security Violation Configuration This field confi"
        "gures the Security Violation 0 Security Violation Input.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV1_CFG",
        "Security Violation 1 Security Violation Configuration This field confi"
        "gures the Security Violation 1 Security Violation Input.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV2_CFG",
        "Security Violation 2 Security Violation Configuration This field confi"
        "gures the Security Violation 2 Security Violation Input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV3_CFG",
        "Security Violation 3 Security Violation Configuration This field confi"
        "gures the Security Violation 3 Security Violation Input.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV4_CFG",
        "Security Violation 4 Security Violation Configuration This field confi"
        "gures the Security Violation 4 Security Violation Input.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV5_CFG",
        "Security Violation 5 Security Violation Configuration This field confi"
        "gures the Security Violation 5 Security Violation Input.",
        5, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPSV_CFG",
        "LP Security Violation Configuration This field configures the LP secur"
        "ity violation source.",
        30, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPSR.
static const field_t hw_snvs_hpsr[] =
{
    {
        "HPTA",
        "HP Time Alarm Indicates that the HP Time Alarm has occurred since this"
        " bit was last cleared.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PI",
        "Periodic Interrupt Indicates that periodic interrupt has occurred sinc"
        "e this bit was last cleared.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPDIS",
        "Low Power Disable If 1, the low power section has been disabled by mea"
        "ns of an input signal to SNVS.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BTN",
        "Button Value of the BTN input.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BI",
        "Button Interrupt Signal ipi_snvs_btn_int_b was asserted.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SSM_STATE",
        "System Security Monitor State This field contains the encoded state of"
        " the SSM's state machine.",
        8, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SECURITY_CONFIG",
        "Security Configuration This field reflects the settings of the sys_sec"
        "ure_boot input and the three security configuration inputs to SNVS.",
        12, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OTPMK_SYNDROME",
        "One Time Programmable Master Key Syndrome In the case of a single-bit "
        "error, the eight lower bits of this value indicate the bit number of e"
        "rror location.",
        16, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OTPMK_ZERO",
        "One Time Programmable Master Key is Equal to Zero.",
        27, // LSB
        27, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ZMK_ZERO",
        "Zeroizable Master Key is Equal to Zero.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPSVSR.
static const field_t hw_snvs_hpsvsr[] =
{
    {
        "SV0",
        "Security Violation 0 security violation was detected.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV1",
        "Security Violation 1 security violation was detected.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV2",
        "Security Violation 2 security violation was detected.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV3",
        "Security Violation 3 security violation was detected.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV4",
        "Security Violation 4 security violation was detected.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV5",
        "Security Violation 5 security violation was detected.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_SV",
        "Software Security Violation This bit is a read-only copy of the SW_SV "
        "bit in the HP Command Register.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW_FSV",
        "Software Fatal Security Violation This bit is a read-only copy of the "
        "SW_FSV bit in the HP Command Register.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SW_LPSV",
        "LP Software Security Violation This bit is a read-only copy of the SW_"
        "LPSV bit in the HP Command Register.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ZMK_SYNDROME",
        "Zeroizable Master Key Syndrome The ZMK syndrome indicates the single-b"
        "it error location and parity for the ZMK register.",
        16, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ZMK_ECC_FAIL",
        "Zeroizable Master Key Error Correcting Code Check Failure When set, th"
        "is bit triggers a bad key violation to the SSM and a security violatio"
        "n to the SNVS_LP section, which clears security sensitive data.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LP_SEC_VIO",
        "LP Security Violation A security volation was detected in the SNVS low"
        " power section.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPHACIVR.
static const field_t hw_snvs_hphacivr[] =
{
    {
        "HAC_COUNTER_IV",
        "High Assurance Counter Initial Value This register is used to set the "
        "starting count value to the high assurance counter.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPHACR.
static const field_t hw_snvs_hphacr[] =
{
    {
        "HAC_COUNTER",
        "High Assurance Counter When the HAC_EN bit is set and the SSM is in th"
        "e soft fail state, this counter starts to count down with the system c"
        "lock.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPRTCMR.
static const field_t hw_snvs_hprtcmr[] =
{
    {
        "RTC",
        "HP Real Time Counter The most-significant 15 bits of the RTC.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPRTCLR.
static const field_t hw_snvs_hprtclr[] =
{
    {
        "RTC",
        "HP Real Time Counter least-significant 32 bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPTAMR.
static const field_t hw_snvs_hptamr[] =
{
    {
        "HPTA_MS",
        "HP Time Alarm, most-significant 15 bits.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPTALR.
static const field_t hw_snvs_hptalr[] =
{
    {
        "HPTA_LS",
        "HP Time Alarm, 32 least-significant bits.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPLR.
static const field_t hw_snvs_lplr[] =
{
    {
        "ZMK_WHL",
        "Zeroizable Master Key Write Hard Lock When set, prevents any writes (s"
        "oftware and hardware) to the ZMK registers and ZMK_HWP, ZMK_VAL, and Z"
        "MK_ECC_EN fields of the LPMKCR.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZMK_RHL",
        "Zeroizable Master Key Read Hard Lock When set, prevents any software r"
        "eads to the ZMK registers and ZMK_ECC_VALUE field of the LPMKCR.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRTC_HL",
        "Secure Real Time Counter Hard Lock When set, prevents any writes to th"
        "e SRTC registers, SRTC_ENV, and SRTC_INV_EN bits.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPCALB_HL",
        "LP Calibration Hard Lock When set, prevents any writes to the LP Calib"
        "ration Value (LPCALB_VAL) and LP Calibration Enable (LPCALB_EN).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MC_HL",
        "Monotonic Counter Hard Lock When set, prevents any writes (increments)"
        " to the MC Registers and MC_ENV bit.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_HL",
        "General Purpose Register Hard Lock When set, prevents any writes to th"
        "e GPR.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPSVCR_HL",
        "LP Security Violation Control Register Hard Lock When set, prevents an"
        "y writes to the LPSVCR.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPSECR_HL",
        "LP Security Events Configuration Register Hard Lock When set, prevents"
        " any writes to the LPSECR.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MKS_HL",
        "Master Key Select Hard Lock When set, prevents any writes to the MASTE"
        "R_KEY_SEL field of the LP Master Key Control Register.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPCR.
static const field_t hw_snvs_lpcr[] =
{
    {
        "SRTC_ENV",
        "Secure Real Time Counter Enabled and Valid When set, the SRTC becomes "
        "operational.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPTA_EN",
        "LP Time Alarm Enable When set, the SNVS functional interrupt is assert"
        "ed if the LP Time Alarm Register is equal to the 32 MSBs of the secure"
        " real time counter.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MC_ENV",
        "Monotonic Counter Enabled and Valid When set, the MC can be incremente"
        "d (by write transaction to the LPSMCMR or LPSMCLR).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPWUI_EN",
        "LP Wake-Up Interrupt Enable This interrupt line should be connected to"
        " the external pin and is intended to inform the external chip about an"
        " SNVS_LP event (MC rollover, SRTC rollover, or time alarm ).",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRTC_INV_EN",
        "If this bit is 1, in the case of a security violation the SRTC stops c"
        "ounting and the SRTC is invalidated (SRTC_ENV bit is cleared).",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DP_EN",
        "Dumb PMIC Enabled When set, software can control the system power.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TOP",
        "Turn off System Power Asserting this bit causes a signal to be sent to"
        " the Power Management IC to turn off the system power.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PWR_GLITCH_EN",
        "Power Glitch Enable By default the detection of a power glitch does no"
        "t cause the pmic_en_b signal to be asserted.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPCALB_EN",
        "LP Calibration Enable When set, enables the SRTC calibration mechanism"
        ".",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPCALB_VAL",
        "LP Calibration Value Defines signed calibration value for SRTC.",
        10, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BTN_PRESS_TIME",
        "This field configures the button press time out values for the PMIC Lo"
        "gic.",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBOUNCE",
        "This field configures the amount of debounce time for the BTN input si"
        "gnal.",
        18, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ON_TIME",
        "The ON_TIME field is used to configure the period of time after BTN is"
        " asserted before pmic_en_b is asserted to turn on the SoC power.",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PK_EN",
        "PMIC On Request Enable The value written to PK_EN will be asserted on "
        "output signal snvs_lp_pk_en.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PK_OVERRIDE",
        "PMIC On Request Override The value written to PK_OVERRIDE will be asse"
        "rted on output signal snvs_lp_pk_override.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "GPR_Z_DIS",
        "General Purpose Registers Zeroization Disable.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPMKCR.
static const field_t hw_snvs_lpmkcr[] =
{
    {
        "MASTER_KEY_SEL",
        "Master Key Select These bits select the SNVS Master Key output when Ma"
        "ster Key Select bits are enabled by MKS_EN bit in the HPCOMR.",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZMK_HWP",
        "Zeroizable Master Key hardware Programming mode When set, only the har"
        "dware key programming mechanism can set the ZMK and software cannot re"
        "ad it.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZMK_VAL",
        "Zeroizable Master Key Valid When set, the ZMK value can be selected by"
        " the master key control block for use by cryptographic modules.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZMK_ECC_EN",
        "Zeroizable Master Key Error Correcting Code Check Enable Writing one t"
        "o this field automatically calculates and sets the ZMK ECC value in th"
        "e ZMK_ECC_VALUE field of this register.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ZMK_ECC_VALUE",
        "Zeroizable Master Key Error Correcting Code Value This field is automa"
        "tically calculated and set when one is written into ZMK_ECC_EN bit of "
        "this register.",
        7, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSVCR.
static const field_t hw_snvs_lpsvcr[] =
{
    {
        "SV0_EN",
        "Security Violation 0 Enable This bit enables Security Violation 0 Inpu"
        "t.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV1_EN",
        "Security Violation 1 Enable This bit enables Security Violation 1 Inpu"
        "t.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV2_EN",
        "Security Violation 2 Enable This bit enables Security Violation 2 Inpu"
        "t.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV3_EN",
        "Security Violation 3 Enable This bit enables Security Violation 3 Inpu"
        "t.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV4_EN",
        "Security Violation 4 Enable This bit enables Security Violation 4 Inpu"
        "t.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SV5_EN",
        "Security Violation 5 Enable This bit enables Security Violation 5 Inpu"
        "t.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSECR.
static const field_t hw_snvs_lpsecr[] =
{
    {
        "SRTCR_EN",
        "SRTC Rollover Enable When set, an SRTC rollover event generates an LP "
        "security violation.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MCR_EN",
        "MC Rollover Enable When set, an MC Rollover event generates an LP secu"
        "rity violation.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PFD_OBSERV",
        "System Power Fail Detector (PFD) Observability Flop The asynchronous r"
        "eset input of this flop is connected directly to the inverted output o"
        "f the PFD analog circuitry (external to the SNVS block).",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "POR_OBSERV",
        "Power On Reset (POR) Observability Flop The asynchronous reset input o"
        "f this flop is connected directly to the output of the POR analog circ"
        "uitry (external to the SNVS.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LTDC",
        "Low Temp Detect Configuration These configuration bits are wired as an"
        " output of the module.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HTDC",
        "High Temperature Detect Configuration These configuration bits are wir"
        "ed as an output of the module.",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VRC",
        "Voltage Reference Configuration These configuration bits are wired as "
        "an output of the module.",
        24, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSCB",
        "Oscillator Bypass When OSCB=1 the osc_bypass signal is asserted.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSR.
static const field_t hw_snvs_lpsr[] =
{
    {
        "LPTA",
        "LP Time Alarm",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRTCR",
        "Secure Real Time Counter Rollover",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MCR",
        "Monotonic Counter Rollover",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PGD",
        "Power Supply Glitch Detected 0 No power supply glitch.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESVD",
        "External Security Violation Detected Indicates that a security violati"
        "on is detected on one of the HP security violation ports.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EO",
        "Emergency Off This bit is set when a power off is requested.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SPO",
        "Set Power Off The SPO bit is set when the power button is pressed long"
        "er than the configured debounce time.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPNS",
        "LP Section is Non-Secured Indicates that LP section was provisioned/pr"
        "ogrammed in the non-secure state.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LPS",
        "LP Section is Secured Indicates that the LP section is provisioned/pro"
        "grammed in the secure or trusted state.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSRTCMR.
static const field_t hw_snvs_lpsrtcmr[] =
{
    {
        "SRTC",
        "LP Secure Real Time Counter The most-significant 15 bits of the SRTC.",
        0, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSRTCLR.
static const field_t hw_snvs_lpsrtclr[] =
{
    {
        "SRTC",
        "LP Secure Real Time Counter least-significant 32 bits This register ca"
        "n be programmed only when SRTC is not active and not locked, meaning t"
        "he SRTC_ENV, SRTC_SL, and SRTC_HL bits are not set.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPTAR.
static const field_t hw_snvs_lptar[] =
{
    {
        "LPTA",
        "LP Time Alarm This register can be programmed only when the LP time al"
        "arm is disabled (LPTA_EN bit is not set).",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSMCMR.
static const field_t hw_snvs_lpsmcmr[] =
{
    {
        "MON_COUNTER",
        "Monotonic Counter most-significant 16 Bits The MC is incremented by on"
        "e when: A write transaction to the LPSMCMR or LPSMCLR register is dete"
        "cted.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MC_ERA_BITS",
        "Monotonic Counter Era Bits These bits are inputs to the module and typ"
        "ically connect to fuses.",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPSMCLR.
static const field_t hw_snvs_lpsmclr[] =
{
    {
        "MON_COUNTER",
        "Monotonic Counter bits The MC is incremented by one when: A write tran"
        "saction to the LPSMCMR or LPSMCLR Register is detected.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPPGDR.
static const field_t hw_snvs_lppgdr[] =
{
    {
        "PGD",
        "Power Glitch Detector Value",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR0_legacy_alias.
static const field_t hw_snvs_lpgpr0_legacy_alias[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR0_alias.
static const field_t hw_snvs_lpgpr0_alias[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR1_alias.
static const field_t hw_snvs_lpgpr1_alias[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR2_alias.
static const field_t hw_snvs_lpgpr2_alias[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR3_alias.
static const field_t hw_snvs_lpgpr3_alias[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR0.
static const field_t hw_snvs_lpgpr0[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR1.
static const field_t hw_snvs_lpgpr1[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR2.
static const field_t hw_snvs_lpgpr2[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPGPR3.
static const field_t hw_snvs_lpgpr3[] =
{
    {
        "GPR",
        "General Purpose Register When GPR_SL or GPR_HL bit is set, the registe"
        "r cannot be programmed.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPZMKR0.
static const field_t hw_snvs_lpzmkr0[] =
{
    {
        "ZMK",
        "Zeroizable Master Key Each of these registers contains 32 bits of the "
        "256-bit ZMK value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPZMKR1.
static const field_t hw_snvs_lpzmkr1[] =
{
    {
        "ZMK",
        "Zeroizable Master Key Each of these registers contains 32 bits of the "
        "256-bit ZMK value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPZMKR2.
static const field_t hw_snvs_lpzmkr2[] =
{
    {
        "ZMK",
        "Zeroizable Master Key Each of these registers contains 32 bits of the "
        "256-bit ZMK value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPZMKR3.
static const field_t hw_snvs_lpzmkr3[] =
{
    {
        "ZMK",
        "Zeroizable Master Key Each of these registers contains 32 bits of the "
        "256-bit ZMK value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPZMKR4.
static const field_t hw_snvs_lpzmkr4[] =
{
    {
        "ZMK",
        "Zeroizable Master Key Each of these registers contains 32 bits of the "
        "256-bit ZMK value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPZMKR5.
static const field_t hw_snvs_lpzmkr5[] =
{
    {
        "ZMK",
        "Zeroizable Master Key Each of these registers contains 32 bits of the "
        "256-bit ZMK value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPZMKR6.
static const field_t hw_snvs_lpzmkr6[] =
{
    {
        "ZMK",
        "Zeroizable Master Key Each of these registers contains 32 bits of the "
        "256-bit ZMK value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_LPZMKR7.
static const field_t hw_snvs_lpzmkr7[] =
{
    {
        "ZMK",
        "Zeroizable Master Key Each of these registers contains 32 bits of the "
        "256-bit ZMK value.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPVIDR1.
static const field_t hw_snvs_hpvidr1[] =
{
    {
        "MINOR_REV",
        "SNVS block minor version number",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MAJOR_REV",
        "SNVS block major version number",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IP_ID",
        "SNVS block ID",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SNVS_HPVIDR2.
static const field_t hw_snvs_hpvidr2[] =
{
    {
        "CONFIG_OPT",
        "SNVS Configuration Options",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ECO_REV",
        "SNVS ECO Revision",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "INTG_OPT",
        "SNVS Integration Options",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IP_ERA",
        "IP Era 00h - Era 1 or 2 03h - Era 3 04h - Era 4 05h - Era 5",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a SNVS module.
static const reg_t hw_snvs[] =
{
    {
        "HPLR",
        "The SNVS_HP Lock Register contains lock bits for the SNVS registers.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_snvs_hplr
    },
    {
        "HPCOMR",
        "The SNVS_HP Command Register contains the command, configuration, and "
        "control bits for the SNVS block.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_snvs_hpcomr
    },
    {
        "HPCR",
        "The SNVS_HP Control Register contains various control bits of the HP s"
        "ection of SNVS.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_snvs_hpcr
    },
    {
        "HPSICR",
        "The HP Security Interrupt Control Register defines the SNVS security i"
        "nterrupt generation policy.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_snvs_hpsicr
    },
    {
        "HPSVCR",
        "The HP Security Violation Control Register defines types for each secu"
        "rity violation input.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_snvs_hpsvcr
    },
    {
        "HPSR",
        "The HP Status Register reflects the internal state of the SNVS.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_snvs_hpsr
    },
    {
        "HPSVSR",
        "The HP Security Violation Status Register reflects the HP domain secur"
        "ity violation records.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        12, // Number of bitfields
        hw_snvs_hpsvsr
    },
    {
        "HPHACIVR",
        "The SNVS_HP High Assurance Counter IV Register contains the initial va"
        "lue for the high assurance counter.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_hphacivr
    },
    {
        "HPHACR",
        "The SNVS_HP High Assurance Counter Register contains the value of the "
        "high assurance counter.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_snvs_hphacr
    },
    {
        "HPRTCMR",
        "The SNVS_HP Real Time Counter MSB register contains the 15 most-signif"
        "icant bits of the HP Real Time Counter.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_hprtcmr
    },
    {
        "HPRTCLR",
        "The SNVS_HP Real Time Counter LSB register contains the 32 least-signi"
        "ficant bits of the HP real time counter.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_hprtclr
    },
    {
        "HPTAMR",
        "The SNVS_HP Time Alarm MSB register contains the most-significant bits"
        " of the SNVS_HP Time Alarm value.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_hptamr
    },
    {
        "HPTALR",
        "The SNVS_HP Time Alarm LSB register contains the 32 least-significant "
        "bits of the SNVS_HP Time Alarm value.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_hptalr
    },
    {
        "LPLR",
        "The SNVS_LP Lock Register contains lock bits for the SNVS_LP registers"
        ".",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_snvs_lplr
    },
    {
        "LPCR",
        "The SNVS_LP Control Register contains various control bits of the LP s"
        "ection of SNVS.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_snvs_lpcr
    },
    {
        "LPMKCR",
        "The SNVS_LP Master Key Control Register contains the master keys confi"
        "guration.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_snvs_lpmkcr
    },
    {
        "LPSVCR",
        "The LP Security Violation Control Register configures security violati"
        "on inputs.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_snvs_lpsvcr
    },
    {
        "LPSECR",
        "The SNVS_LP Security Events Configuration Register is used to configur"
        "e security event detection in the LP section.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_snvs_lpsecr
    },
    {
        "LPSR",
        "The SNVS_LP Status Register reflects the internal state and behavior o"
        "f the SNVS_LP.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_snvs_lpsr
    },
    {
        "LPSRTCMR",
        "The SNVS_LP Secure Real Time Counter MSB register contains the 15 most"
        "-significant bits of the LP Secure Real Time Counter.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpsrtcmr
    },
    {
        "LPSRTCLR",
        "The SNVS_LP Secure Real Time Counter LSB register contains the 32 leas"
        "t-significant bits of the secure real time counter.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpsrtclr
    },
    {
        "LPTAR",
        "The SNVS_LP Time Alarm register contains the 32-bit LP Time Alarm valu"
        "e.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lptar
    },
    {
        "LPSMCMR",
        "The SNVS_LP Secure Monotonic Counter MSB Register contains the monoton"
        "ic counter era bits and the most-significant 16 bits of the monotonic "
        "counter.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_snvs_lpsmcmr
    },
    {
        "LPSMCLR",
        "The SNVS_LP Secure Monotonic Counter LSB Register contains the 32 leas"
        "t-significant bits of the monotonic counter.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_snvs_lpsmclr
    },
    {
        "LPPGDR",
        "The SNVS_LP Power Glitch Detector Register is a 32-bit read/write regi"
        "ster that is used for storing the power glitch detector value, as desc"
        "ribed in .",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lppgdr
    },
    {
        "LPGPR0_legacy_alias",
        "See register .",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr0_legacy_alias
    },
    {
        "LPGPR0_alias",
        "See register .",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr0_alias
    },
    {
        "LPGPR1_alias",
        "See register .",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr1_alias
    },
    {
        "LPGPR2_alias",
        "See register .",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr2_alias
    },
    {
        "LPGPR3_alias",
        "See register .",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr3_alias
    },
    {
        "LPGPR0",
        "The SNVS_LP General Purpose Register is a 128-bit read/write register "
        "located in SNVS_LP, which can be used by any application for retaining"
        " data during an SoC power-down mode.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr0
    },
    {
        "LPGPR1",
        "The SNVS_LP General Purpose Register is a 128-bit read/write register "
        "located in SNVS_LP, which can be used by any application for retaining"
        " data during an SoC power-down mode.",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr1
    },
    {
        "LPGPR2",
        "The SNVS_LP General Purpose Register is a 128-bit read/write register "
        "located in SNVS_LP, which can be used by any application for retaining"
        " data during an SoC power-down mode.",
        4, // Width in bytes
        0x00000108, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr2
    },
    {
        "LPGPR3",
        "The SNVS_LP General Purpose Register is a 128-bit read/write register "
        "located in SNVS_LP, which can be used by any application for retaining"
        " data during an SoC power-down mode.",
        4, // Width in bytes
        0x0000010c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpgpr3
    },
    {
        "LPZMKR0",
        "The SNVS_LP Zeroizable Master Key Registers contain the 256-bit zeroiz"
        "able master key value.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpzmkr0
    },
    {
        "LPZMKR1",
        "The SNVS_LP Zeroizable Master Key Registers contain the 256-bit zeroiz"
        "able master key value.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpzmkr1
    },
    {
        "LPZMKR2",
        "The SNVS_LP Zeroizable Master Key Registers contain the 256-bit zeroiz"
        "able master key value.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpzmkr2
    },
    {
        "LPZMKR3",
        "The SNVS_LP Zeroizable Master Key Registers contain the 256-bit zeroiz"
        "able master key value.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpzmkr3
    },
    {
        "LPZMKR4",
        "The SNVS_LP Zeroizable Master Key Registers contain the 256-bit zeroiz"
        "able master key value.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpzmkr4
    },
    {
        "LPZMKR5",
        "The SNVS_LP Zeroizable Master Key Registers contain the 256-bit zeroiz"
        "able master key value.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpzmkr5
    },
    {
        "LPZMKR6",
        "The SNVS_LP Zeroizable Master Key Registers contain the 256-bit zeroiz"
        "able master key value.",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpzmkr6
    },
    {
        "LPZMKR7",
        "The SNVS_LP Zeroizable Master Key Registers contain the 256-bit zeroiz"
        "able master key value.",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_snvs_lpzmkr7
    },
    {
        "HPVIDR1",
        "The SNVS_HP Version ID Register 1 is a non-privileged read-only regist"
        "er that contains the current version of the SNVS.",
        4, // Width in bytes
        0x00000bf8, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_snvs_hpvidr1
    },
    {
        "HPVIDR2",
        "The SNVS_HP Version ID Register 2 is a non-privileged read-only regist"
        "er that indicates the current version of the SNVS.",
        4, // Width in bytes
        0x00000bfc, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_snvs_hpvidr2
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SPBA
#endif

// Bitfields in register SPBA_PRR0.
static const field_t hw_spba_prr0[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR1.
static const field_t hw_spba_prr1[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR2.
static const field_t hw_spba_prr2[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR3.
static const field_t hw_spba_prr3[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR4.
static const field_t hw_spba_prr4[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR5.
static const field_t hw_spba_prr5[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR6.
static const field_t hw_spba_prr6[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR7.
static const field_t hw_spba_prr7[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR8.
static const field_t hw_spba_prr8[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR9.
static const field_t hw_spba_prr9[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR10.
static const field_t hw_spba_prr10[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR11.
static const field_t hw_spba_prr11[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR12.
static const field_t hw_spba_prr12[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR13.
static const field_t hw_spba_prr13[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR14.
static const field_t hw_spba_prr14[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR15.
static const field_t hw_spba_prr15[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR16.
static const field_t hw_spba_prr16[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR17.
static const field_t hw_spba_prr17[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR18.
static const field_t hw_spba_prr18[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR19.
static const field_t hw_spba_prr19[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR20.
static const field_t hw_spba_prr20[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR21.
static const field_t hw_spba_prr21[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR22.
static const field_t hw_spba_prr22[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR23.
static const field_t hw_spba_prr23[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR24.
static const field_t hw_spba_prr24[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR25.
static const field_t hw_spba_prr25[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR26.
static const field_t hw_spba_prr26[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR27.
static const field_t hw_spba_prr27[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR28.
static const field_t hw_spba_prr28[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR29.
static const field_t hw_spba_prr29[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR30.
static const field_t hw_spba_prr30[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPBA_PRR31.
static const field_t hw_spba_prr31[] =
{
    {
        "RARA",
        "Resource Access Right.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARB",
        "Resource Access Right.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RARC",
        "Resource Access Right.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ROI",
        "Resource Owner ID.",
        16, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RMO",
        "Requesting Master Owner.",
        30, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a SPBA module.
static const reg_t hw_spba[] =
{
    {
        "PRR0",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr0
    },
    {
        "PRR1",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr1
    },
    {
        "PRR2",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr2
    },
    {
        "PRR3",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr3
    },
    {
        "PRR4",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr4
    },
    {
        "PRR5",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr5
    },
    {
        "PRR6",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr6
    },
    {
        "PRR7",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr7
    },
    {
        "PRR8",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr8
    },
    {
        "PRR9",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr9
    },
    {
        "PRR10",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr10
    },
    {
        "PRR11",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr11
    },
    {
        "PRR12",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr12
    },
    {
        "PRR13",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr13
    },
    {
        "PRR14",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr14
    },
    {
        "PRR15",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr15
    },
    {
        "PRR16",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr16
    },
    {
        "PRR17",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr17
    },
    {
        "PRR18",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr18
    },
    {
        "PRR19",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr19
    },
    {
        "PRR20",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr20
    },
    {
        "PRR21",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr21
    },
    {
        "PRR22",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr22
    },
    {
        "PRR23",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr23
    },
    {
        "PRR24",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr24
    },
    {
        "PRR25",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr25
    },
    {
        "PRR26",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr26
    },
    {
        "PRR27",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr27
    },
    {
        "PRR28",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr28
    },
    {
        "PRR29",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr29
    },
    {
        "PRR30",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr30
    },
    {
        "PRR31",
        "This register controls master ownership and access for a peripheral.",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_spba_prr31
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SPDIF
#endif

// Bitfields in register SPDIF_SCR.
static const field_t hw_spdif_scr[] =
{
    {
        "USRC_SEL",
        "",
        0, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXSEL",
        "",
        2, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALCTRL",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_TX_EN",
        "DMA Transmit Request Enable (Tx FIFO empty)",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMA_RX_EN",
        "DMA Receive Request Enable (RX FIFO full)",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXFIFO_CTRL",
        "",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SOFT_RESET",
        "When write 1 to this bit, it will cause SPDIF software reset.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOW_POWER",
        "When write 1 to this bit, it will cause SPDIF enter low-power mode.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXFIFOEMPTY_SEL",
        "",
        15, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXAUTOSYNC",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXAUTOSYNC",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFIFOFULL_SEL",
        "",
        19, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFIFO_RST",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFIFO_OFF_ON",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFIFO_CTRL",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SRCD.
static const field_t hw_spdif_srcd[] =
{
    {
        "USYNCMODE",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SRPC.
static const field_t hw_spdif_srpc[] =
{
    {
        "GAINSEL",
        "Gain selection:",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "LOCK bit to show that the internal DPLL is locked, read only",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLKSRC_SEL",
        "Clock source selection, all other settings not shown are reserved:",
        7, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SIE.
static const field_t hw_spdif_sie[] =
{
    {
        "RXFIFOFUL",
        "SPDIF Rx FIFO full, can't be cleared with reg.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXEM",
        "SPDIF Tx FIFO empty, can't be cleared with reg.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCKLOSS",
        "SPDIF receiver loss of lock",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFIFORESYN",
        "Rx FIFO resync",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFIFOUNOV",
        "Rx FIFO underrun/overrun",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UQERR",
        "U/Q Channel framing error",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UQSYNC",
        "U/Q Channel sync found",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "QRXOV",
        "Q Channel receive register overrun",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "QRXFUL",
        "Q Channel receive register full, can't be cleared with reg.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "URXOV",
        "U Channel receive register overrun",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "URXFUL",
        "U Channel receive register full, can't be cleared with reg.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BITERR",
        "SPDIF receiver found parity bit error",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYMERR",
        "SPDIF receiver found illegal symbol",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VALNOGOOD",
        "SPDIF validity flag no good",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CNEW",
        "SPDIF receive change in value of control channel",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXRESYN",
        "SPDIF Tx FIFO resync",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXUNOV",
        "SPDIF Tx FIFO under/overrun",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "SPDIF receiver's DPLL is locked",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SIC.
static const field_t hw_spdif_sic[] =
{
    {
        "LOCKLOSS",
        "SPDIF receiver loss of lock",
        2, // LSB
        2, // MSB
        false, // Readable
        false // Writable
    },
    {
        "RXFIFORESYN",
        "Rx FIFO resync",
        3, // LSB
        3, // MSB
        false, // Readable
        false // Writable
    },
    {
        "RXFIFOUNOV",
        "Rx FIFO underrun/overrun",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "UQERR",
        "U/Q Channel framing error",
        5, // LSB
        5, // MSB
        false, // Readable
        false // Writable
    },
    {
        "UQSYNC",
        "U/Q Channel sync found",
        6, // LSB
        6, // MSB
        false, // Readable
        false // Writable
    },
    {
        "QRXOV",
        "Q Channel receive register overrun",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "URXOV",
        "U Channel receive register overrun",
        9, // LSB
        9, // MSB
        false, // Readable
        false // Writable
    },
    {
        "BITERR",
        "SPDIF receiver found parity bit error",
        14, // LSB
        14, // MSB
        false, // Readable
        false // Writable
    },
    {
        "SYMERR",
        "SPDIF receiver found illegal symbol",
        15, // LSB
        15, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VALNOGOOD",
        "SPDIF validity flag no good",
        16, // LSB
        16, // MSB
        false, // Readable
        false // Writable
    },
    {
        "CNEW",
        "SPDIF receive change in value of control channel",
        17, // LSB
        17, // MSB
        false, // Readable
        false // Writable
    },
    {
        "TXRESYN",
        "SPDIF Tx FIFO resync",
        18, // LSB
        18, // MSB
        false, // Readable
        false // Writable
    },
    {
        "TXUNOV",
        "SPDIF Tx FIFO under/overrun",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "LOCK",
        "SPDIF receiver's DPLL is locked",
        20, // LSB
        20, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SIS.
static const field_t hw_spdif_sis[] =
{
    {
        "RXFIFOFUL",
        "SPDIF Rx FIFO full, can't be cleared with reg.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXEM",
        "SPDIF Tx FIFO empty, can't be cleared with reg.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCKLOSS",
        "SPDIF receiver loss of lock",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RXFIFORESYN",
        "Rx FIFO resync",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RXFIFOUNOV",
        "Rx FIFO underrun/overrun",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UQERR",
        "U/Q Channel framing error",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "UQSYNC",
        "U/Q Channel sync found",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "QRXOV",
        "Q Channel receive register overrun",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "QRXFUL",
        "Q Channel receive register full, can't be cleared with reg.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "URXOV",
        "U Channel receive register overrun",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "URXFUL",
        "U Channel receive register full, can't be cleared with reg.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BITERR",
        "SPDIF receiver found parity bit error",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SYMERR",
        "SPDIF receiver found illegal symbol",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VALNOGOOD",
        "SPDIF validity flag no good",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CNEW",
        "SPDIF receive change in value of control channel",
        17, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXRESYN",
        "SPDIF Tx FIFO resync",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TXUNOV",
        "SPDIF Tx FIFO under/overrun",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "LOCK",
        "SPDIF receiver's DPLL is locked",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SRL.
static const field_t hw_spdif_srl[] =
{
    {
        "RXDATALEFT",
        "Processor receive SPDIF data left",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SRR.
static const field_t hw_spdif_srr[] =
{
    {
        "RXDATARIGHT",
        "Processor receive SPDIF data right",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SRCSH.
static const field_t hw_spdif_srcsh[] =
{
    {
        "RXCCHANNEL_H",
        "SPDIF receive C channel register, contains first 24 bits of C channel "
        "without interpretation",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SRCSL.
static const field_t hw_spdif_srcsl[] =
{
    {
        "RXCCHANNEL_L",
        "SPDIF receive C channel register, contains next 24 bits of C channel w"
        "ithout interpretation",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SRU.
static const field_t hw_spdif_sru[] =
{
    {
        "RXUCHANNEL",
        "SPDIF receive U channel register, contains next 3 U channel bytes",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SRQ.
static const field_t hw_spdif_srq[] =
{
    {
        "RXQCHANNEL",
        "SPDIF receive Q channel register, contains next 3 Q channel bytes",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_STL.
static const field_t hw_spdif_stl[] =
{
    {
        "TXDATALEFT",
        "SPDIF transmit left channel data.",
        0, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_STR.
static const field_t hw_spdif_str[] =
{
    {
        "TXDATARIGHT",
        "SPDIF transmit right channel data.",
        0, // LSB
        23, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_STCSCH.
static const field_t hw_spdif_stcsch[] =
{
    {
        "TXCCHANNELCONS_H",
        "SPDIF transmit Cons.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_STCSCL.
static const field_t hw_spdif_stcscl[] =
{
    {
        "TXCCHANNELCONS_L",
        "SPDIF transmit Cons.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_SRFM.
static const field_t hw_spdif_srfm[] =
{
    {
        "FREQMEAS",
        "Frequency measurement data",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SPDIF_STC.
static const field_t hw_spdif_stc[] =
{
    {
        "TXCLK_DF",
        "Divider factor (1-128)",
        0, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TX_ALL_CLK_EN",
        "Spdif transfer clock enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXCLK_SOURCE",
        "",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYSCLK_DF",
        "system clock divider factor, 2~512.",
        11, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SPDIF module.
static const reg_t hw_spdif[] =
{
    {
        "SCR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_spdif_scr
    },
    {
        "SRCD",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_spdif_srcd
    },
    {
        "SRPC",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_spdif_srpc
    },
    {
        "SIE",
        "The InterruptEn register (SPDIF_SIE) provides control over the enablin"
        "g of interrupts.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        18, // Number of bitfields
        hw_spdif_sie
    },
    {
        "SIC",
        "The InterruptClear (SPDIF_SIC) register is a write only register and i"
        "s used to clear interrupts.",
        4, // Width in bytes
        0x00000010, // Base address offset
        false, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_spdif_sic
    },
    {
        "SIS",
        "The InterruptStat (SPDIF_SIS) register is a read only register that pr"
        "ovides the status on interrupt operations.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        18, // Number of bitfields
        hw_spdif_sis
    },
    {
        "SRL",
        "SPDIFRxLeft register is an audio data reception register.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_spdif_srl
    },
    {
        "SRR",
        "SPDIFRxRight register is an audio data reception register.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_spdif_srr
    },
    {
        "SRCSH",
        "SPDIFRxCChannel_h register is a channel status reception register.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_spdif_srcsh
    },
    {
        "SRCSL",
        "SPDIFRxCChannel_l register is a channel status reception register.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_spdif_srcsl
    },
    {
        "SRU",
        "UChannelRx register is a user bits reception register.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_spdif_sru
    },
    {
        "SRQ",
        "QChannelRx register is a user bits reception register.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_spdif_srq
    },
    {
        "STL",
        "SPDIFTxLeft register is an audio data transmission register.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        false, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_spdif_stl
    },
    {
        "STR",
        "SPDIFTxRight register is an audio data transmission register.",
        4, // Width in bytes
        0x00000030, // Base address offset
        false, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_spdif_str
    },
    {
        "STCSCH",
        "SPDIFTxCChannelCons_h register is a channel status transmission regist"
        "er.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_spdif_stcsch
    },
    {
        "STCSCL",
        "SPDIFTxCChannelCons_l register is a channel status transmission regist"
        "er.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_spdif_stcscl
    },
    {
        "SRFM",
        "",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_spdif_srfm
    },
    {
        "STC",
        "The SPDIFTxClk Control register includes the means to select the trans"
        "mit clock and frequency division.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_spdif_stc
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SRC
#endif

// Bitfields in register SRC_SCR.
static const field_t hw_src_scr[] =
{
    {
        "MASK_TEMPSENSE_RESET",
        "Mask tempsense_reset source.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_A53RCR0.
static const field_t hw_src_a53rcr0[] =
{
    {
        "A53_CORE_POR_RESET0",
        "POR reset for A53 core0 only.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_CORE_POR_RESET1",
        "POR reset for A53 core1 only.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_CORE_POR_RESET2",
        "POR reset for A53 core2 only.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_CORE_POR_RESET3",
        "POR reset for A53 core3 only.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_CORE_RESET0",
        "Software reset for core0 only.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_CORE_RESET1",
        "Software reset for core1 only.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_CORE_RESET2",
        "Software reset for core2 only.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_CORE_RESET3",
        "Software reset for core3 only.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_DBG_RESET0",
        "Software reset for core0 debug only.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_DBG_RESET1",
        "Software reset for core1 debug only.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_DBG_RESET2",
        "Software reset for core2 debug only.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_DBG_RESET3",
        "Software reset for core3 debug only.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_ETM_RESET0",
        "Software reset for core0 ETM only.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_ETM_RESET1",
        "Software reset for core1 ETM only.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_ETM_RESET2",
        "Software reset for core2 ETM only.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_ETM_RESET3",
        "Software reset for core3 ETM only.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_WDOG1_RST",
        "Mask wdog1_rst_b source.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_SOC_DBG_RESET",
        "Software reset for system level debug reset.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_L2RESET",
        "Software reset for A53 Snoop Control Unit (SCU).",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_A53RCR1.
static const field_t hw_src_a53rcr1[] =
{
    {
        "A53_CORE0_ENABLE",
        "Always 1, can't be changed.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "A53_CORE1_ENABLE",
        "core 1 enable",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_CORE2_ENABLE",
        "core 2 enable",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_CORE3_ENABLE",
        "core 3 enable",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "A53_RST_SLOW",
        "",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_M4RCR.
static const field_t hw_src_m4rcr[] =
{
    {
        "SW_M4C_NON_SCLR_RST",
        "Non-self-clearing SW reset for M4 core",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_M4C_RST",
        "Self-clearing SW reset for M4 core This is a self clearing bit.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SW_M4P_RST",
        "Self-clearing SW reset for M4 platform This is a self clearing bit.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENABLE_M4",
        "Enable M4",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_WDOG3_RST",
        "Mask wdog3_rst_b source.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG3_RST_OPTION_M4",
        "Wdog3_rst_b option for M4.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG3_RST_OPTION",
        "Wdog3_rst_b option",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_USBOPHY1_RCR.
static const field_t hw_src_usbophy1_rcr[] =
{
    {
        "OTG1_PHY_RESET",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_USBOPHY2_RCR.
static const field_t hw_src_usbophy2_rcr[] =
{
    {
        "OTG2_PHY_RESET",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_MIPIPHY_RCR.
static const field_t hw_src_mipiphy_rcr[] =
{
    {
        "MIPI_DSI_RESET_BYTE_N",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_DSI_RESET_N",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_DIS_DPI_RESET_N",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_DIS_ESC_RESET_N",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_DIS_PCLK_RESET_N",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_PCIEPHY_RCR.
static const field_t hw_src_pciephy_rcr[] =
{
    {
        "PCIE_PHY_POWER_ON_RESET_N",
        "PCIE_PHY_POWER_ON_RESET_N",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIEPHY_G_RST",
        "PCIE PHY Global Reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIEPHY_BTN",
        "PCIE PHY button",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIEPHY_PERST",
        "Pciephy_perst",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_CLK_REQ",
        "Pcie_ctrl_app_clk_req_n",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_RST",
        "Pcie_ctrl_app_init_rst",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_EN",
        "Pcie_ctrl_app_ltssm_enable",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_READY",
        "Pcie_ctrl_app_ready_entr_l23",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_ENTER",
        "Pcie_ctrl_app_req_entr_l1",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_EXIT",
        "Pcie_ctrl_app_req_exit_l1",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_PME",
        "Pcie_ctrl_apps_pm_xmt_pme",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_TURNOFF",
        "Pcie_ctrl_apps_pm_xmt_turnoff",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_CFG_L1_AUX",
        "Pcie_ctrl_cfg_l1_aux_clk_switch_core_clk_gate_en",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_SYS_INT",
        "PCIE_CTRL_SYS_INT",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APP_UNLOCK_MSG",
        "PCIE_CTRL_APP_UNLOCK_MSG",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APP_XFER_PENDING",
        "PCIE_CTRL_APP_XFER_PENDING",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_HDMI_RCR.
static const field_t hw_src_hdmi_rcr[] =
{
    {
        "HDMI_PHY_APB_RESET",
        "Active 1",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_DISP_RCR.
static const field_t hw_src_disp_rcr[] =
{
    {
        "DISP_RESET",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPU_RCR.
static const field_t hw_src_gpu_rcr[] =
{
    {
        "GPU_RESET",
        "GPU_RESET",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_VPU_RCR.
static const field_t hw_src_vpu_rcr[] =
{
    {
        "VPU_RESET",
        "VPU_RESET",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_PCIE2_RCR.
static const field_t hw_src_pcie2_rcr[] =
{
    {
        "PCIE_PHY_POWER_ON_RESET_N",
        "PCIE_PHY_POWER_ON_RESET_N",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_G_RST",
        "PCIE Global Reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_BTN",
        "PCIE2 button",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_PERST",
        "Pcie_perst",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_CLK_REQ",
        "Pcie_ctrl_app_clk_req_n",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_RST",
        "Pcie_ctrl_app_init_rst",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_EN",
        "Pcie_ctrl_app_ltssm_enable",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_READY",
        "Pcie_ctrl_app_ready_entr_l23",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_ENTER",
        "Pcie_ctrl_app_req_entr_l1",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_EXIT",
        "Pcie_ctrl_app_req_exit_l1",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_PME",
        "Pcie_ctrl_apps_pm_xmt_pme",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APPS_TURNOFF",
        "Pcie_ctrl_apps_pm_xmt_turnoff",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_CFG_L1_AUX",
        "Pcie_ctrl_cfg_l1_aux_clk_switch_core_clk_gate_en",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_SYS_INT",
        "PCIE_CTRL_SYS_INT",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APP_UNLOCK_MSG",
        "PCIE_CTRL_APP_UNLOCK_MSG",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PCIE_CTRL_APP_XFER_PENDING",
        "PCIE_CTRL_APP_XFER_PENDING",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_MIPIPHY1_RCR.
static const field_t hw_src_mipiphy1_rcr[] =
{
    {
        "MIPI_CSI1_CORE_RESET",
        "MIPI_CSI1_CORE_RESET",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_PHY_REF_RESET",
        "MIPI_CSI1_PHY_REF_RESET",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI1_ESC_RESET",
        "MIPI_CSI1_ESC_RESET",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_MIPIPHY2_RCR.
static const field_t hw_src_mipiphy2_rcr[] =
{
    {
        "MIPI_CSI2_CORE_RESET",
        "MIPI_CSI2_CORE_RESET",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_PHY_REF_RESET",
        "MIPI_CSI2_PHY_REF_RESET",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MIPI_CSI2_ESC_RESET",
        "MIPI_CSI2_ESC_RESET",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SBMR1.
static const field_t hw_src_sbmr1[] =
{
    {
        "BOOT_CFG",
        "Refer to fusemap.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SRSR.
static const field_t hw_src_srsr[] =
{
    {
        "CSU_RESET_B",
        "Indicates whether the reset was the result of the csu_reset_b input.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPP_USER_RESET_B",
        "Indicates whether the reset was the result of the ipp_user_reset_b qua"
        "lified reset.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG1_RST_B",
        "IC Watchdog1 Time-out reset.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "JTAG_RST_B",
        "HIGH - Z JTAG reset.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "JTAG_SW_RST",
        "JTAG software reset.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG3_RST_B",
        "IC Watchdog3 Time-out reset.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDOG4_RST_B",
        "IC Watchdog4 Time-out reset.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TEMPSENSE_RST_B",
        "Temper Sensor software reset.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SISR.
static const field_t hw_src_sisr[] =
{
    {
        "HSICPHY_PASSED_RESET",
        "Interrupt generated to indicate that HSIC PHY passed software reset an"
        "d is ready to be used",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OTGPHY1_PASSED_RESET",
        "Interrupt generated to indicate that OTG PHY1 passed software reset an"
        "d is ready to be used",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OTGPHY2_PASSED_RESET",
        "Interrupt generated to indicate that OTG PHY2 passed software reset an"
        "d is ready to be used",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MIPIPHY_PASSED_RESET",
        "Interrupt generated to indicate that MIPI PHY passed software reset an"
        "d is ready to be used",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PCIE1_PHY_PASSED_RESET",
        "Interrupt generated to indicate that PCIE1 PHY passed software reset a"
        "nd is ready to be used",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HDMI_PASSED_RESET",
        "Interrupt generated to indicate that HDMI passed software reset and is"
        " ready to be used",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DISPLAY_PASSED_RESET",
        "Interrupt generated to indicate that DISPLAY passed software reset and"
        " is ready to be used",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4C_PASSED_RESET",
        "Interrupt generated to indicate that m4 core passed software reset and"
        " is ready to be used",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "M4P_PASSED_RESET",
        "Interrupt generated to indicate that m4 platform passed software reset"
        " and is ready to be used",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "GPU_PASSED_RESET",
        "Interrupt generated to indicate that GPU passed software reset and is "
        "ready to be used",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VPU_PASSED_RESET",
        "Interrupt generated to indicate that VPU passed software reset and is "
        "ready to be used",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PCIE2_PHY_PASSED_RESET",
        "Interrupt generated to indicate that PCIE2 PHY passed software reset a"
        "nd is ready to be used",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MIPI_CSI1_PHY_PASSED_RESET",
        "Interrupt generated to indicate that MIPI CSI1 PHY passed software res"
        "et and is ready to be used",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MIPI_CSI2_PHY_PASSED_RESET",
        "Interrupt generated to indicate that MIPI CSI2 PHY passed software res"
        "et and is ready to be used",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SIMR.
static const field_t hw_src_simr[] =
{
    {
        "MASK_HSICPHY_PASSED_RESET",
        "mask interrupt generation due to HSIC PHY passed reset",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_OTGPHY1_PASSED_RESET",
        "mask interrupt generation due to OTG PHY1 passed reset",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_OTGPHY2_PASSED_RESET",
        "mask interrupt generation due to OTG PHY2 passed reset",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_MIPIPHY_PASSED_RESET",
        "mask interrupt generation due to MIPI PHY passed reset",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_PCIE1_PHY_PASSED_RESET",
        "Mask interrupt generation due to PCIE1 PHY passed reset",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_HDMI_PASSED_RESET",
        "Mask interrupt generation due to HDMI passed reset",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_DISPLAY_PASSED_RESET",
        "Mask interrupt generation due to HDMI passed reset",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_M4C_PASSED_RESET",
        "mask interrupt generation due to m4 core passed reset",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_M4P_PASSED_RESET",
        "mask interrupt generation due to m4 platform passed reset",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_GPU_PASSED_RESET",
        "Mask interrupt generation due to GPU passed reset",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_VPU_PASSED_RESET",
        "Mask interrupt generation due to VPU passed reset",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_PCIE2_PHY_PASSED_RESET",
        "Mask interrupt generation due to PCIE2 PHY passed reset",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_MIPI_CSI1_PHY_PASSED_RESET",
        "Mask interrupt generation due to MIPI CSI1 PHY passed reset",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MASK_MIPI_CSI2_PHY_PASSED_RESET",
        "Mask interrupt generation due to MIPI CSI2 PHY passed reset",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_SBMR2.
static const field_t hw_src_sbmr2[] =
{
    {
        "SEC_CONFIG",
        "SECONFIG[1] shows the state of the SECONFIG[1] fuse.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DIR_BT_DIS",
        "DIR_BT_DIS shows the state of the DIR_BT_DIS fuse.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BT_FUSE_SEL",
        "BT_FUSE_SEL (connected to gpio bt_fuse_sel) shows the state of the BT_"
        "FUSE_SEL fuse.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FUSE_FORCE_COLD_BOOT",
        "See Fusemap for additional informtation.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BMOD",
        "BMOD shows the latched state of the BOOT_MODE1 and BOOT_MODE0 signals "
        "on the rising edge of POR_B.",
        24, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR1.
static const field_t hw_src_gpr1[] =
{
    {
        "PERSISTENT_ENTRY0",
        "Holds entry function for core0 for waking-up from low power mode.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR2.
static const field_t hw_src_gpr2[] =
{
    {
        "PERSISTENT_ARG0",
        "Holds argument of entry function for core0 for waking-up from low powe"
        "r mode.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR3.
static const field_t hw_src_gpr3[] =
{
    {
        "PERSISTENT_ENTRY1",
        "Holds entry function for core1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR4.
static const field_t hw_src_gpr4[] =
{
    {
        "PERSISTENT_ARG1",
        "Holds argument of entry function for core1.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR5.
static const field_t hw_src_gpr5[] =
{
    {
        "PERSISTENT_ENTRY2",
        "Holds entry function for core2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR6.
static const field_t hw_src_gpr6[] =
{
    {
        "PERSISTENT_ARG2",
        "Holds argument of entry function for core2.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR7.
static const field_t hw_src_gpr7[] =
{
    {
        "PERSISTENT_ENTRY3",
        "Holds entry function for core3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR8.
static const field_t hw_src_gpr8[] =
{
    {
        "PERSISTENT_ARG3",
        "Holds argument of entry function for core3.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR9.
static const field_t hw_src_gpr9[] =
{
    { 0 } // Terminator
};

// Bitfields in register SRC_GPR10.
static const field_t hw_src_gpr10[] =
{
    { 0 } // Terminator
};

// Bitfields in register SRC_DDRC_RCR.
static const field_t hw_src_ddrc_rcr[] =
{
    {
        "DDRC1_PRST",
        "DDR Controller preset and DDR PHY reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDRC1_CORE_RST",
        "DDR Controller core_ddrc_rstn and aresetn.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDRC1_PHY_RESET",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDRC1_PHY_PWROKIN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SRC_DDRC2_RCR.
static const field_t hw_src_ddrc2_rcr[] =
{
    {
        "DDRC2_PRST",
        "DDRC2 Controller preset and DDR PHY reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDRC2_CORE_RST",
        "DDRC2 Controller core_ddrc_rstn and aresetn.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDRC1_PHY_RESET",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDRC1_PHY_PWROKIN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN0",
        "Domain0 assignment control.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN1",
        "Domain1 assignment control.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN2",
        "Domain2 assignment control.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOMAIN3",
        "Domain3 assignment control.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOCK",
        "Domain control bits lock Lock bit is a write-once register, once it is"
        " set to 1, it can't be write to 0",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOM_EN",
        "Domain Control enable for this register.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SRC module.
static const reg_t hw_src[] =
{
    {
        "SCR",
        "The reset control register (SCR), contains bits that control operation"
        " of the reset controller.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_scr
    },
    {
        "A53RCR0",
        "The A53 Reset Control Register (A53RCR), contains bits that control th"
        "e A53 reset generation.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        25, // Number of bitfields
        hw_src_a53rcr0
    },
    {
        "A53RCR1",
        "The A53 Reset Control Register (A53RCR), contains bits that control th"
        "e A53 reset generation.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_src_a53rcr1
    },
    {
        "M4RCR",
        "The M4 Reset Control Register (M4RCR), contains bits that control the "
        "M4 reset generation.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_src_m4rcr
    },
    {
        "USBOPHY1_RCR",
        "The USB OTG PHY1 Reset Control Register (SRC_IP_RCR2), contains bits t"
        "hat control the USB OTG PHY1 reset generation.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_usbophy1_rcr
    },
    {
        "USBOPHY2_RCR",
        "The USB OTG PHY2 Reset Control Register (SRC_IP_RCR2), contains bits t"
        "hat control the USB OTG PHY2 reset generation.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_usbophy2_rcr
    },
    {
        "MIPIPHY_RCR",
        "The MIPI PHY Reset Control Register (SRC_MIPIPHY_RCR), contains bits t"
        "hat control the MIPI PHYreset generation.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_src_mipiphy_rcr
    },
    {
        "PCIEPHY_RCR",
        "The PCIE PHY Control Register (SRC_PCIEPHY_RCR), contains bits that co"
        "ntrol the PCIE PHY reset generation.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        22, // Number of bitfields
        hw_src_pciephy_rcr
    },
    {
        "HDMI_RCR",
        "The HDMI Control Register contains bits that control the HDMI reset ge"
        "neration.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_hdmi_rcr
    },
    {
        "DISP_RCR",
        "The DISP Control Register contains bits that control the DISPLAY reset"
        " generation.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_disp_rcr
    },
    {
        "GPU_RCR",
        "The GPU Control Register contains bits that control the GPU reset gene"
        "ration.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_gpu_rcr
    },
    {
        "VPU_RCR",
        "The VPU Control Register contains bits that control the VPU reset gene"
        "ration.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_src_vpu_rcr
    },
    {
        "PCIE2_RCR",
        "The PCIE2 Control Register contains bits that control the PCIE2 reset "
        "generation.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        22, // Number of bitfields
        hw_src_pcie2_rcr
    },
    {
        "MIPIPHY1_RCR",
        "The MIPI CSI1 PHY Control Register contains bits that control the MIPI"
        " CSI1 PHY reset generation.",
        4, // Width in bytes
        0x0000004c, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_src_mipiphy1_rcr
    },
    {
        "MIPIPHY2_RCR",
        "The MIPI CSI2 PHY Control Register contains bits that control the MIPI"
        " CSI2 PHY reset generation.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_src_mipiphy2_rcr
    },
    {
        "SBMR1",
        "The Boot Mode register (SBMR) contains bits that reflect the status of"
        " Boot Mode Pins of the chip.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_src_sbmr1
    },
    {
        "SRSR",
        "The SRSR is a write to one clear register which records the source of "
        "the reset events for the chip.",
        4, // Width in bytes
        0x0000005c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_src_srsr
    },
    {
        "SISR",
        "",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        false, // Writable
        14, // Number of bitfields
        hw_src_sisr
    },
    {
        "SIMR",
        "",
        4, // Width in bytes
        0x0000006c, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_src_simr
    },
    {
        "SBMR2",
        "The Boot Mode register (SBMR), contains bits that reflect the status o"
        "f Boot Mode Pins of the chip.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_src_sbmr2
    },
    {
        "GPR1",
        "",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr1
    },
    {
        "GPR2",
        "",
        4, // Width in bytes
        0x00000078, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr2
    },
    {
        "GPR3",
        "",
        4, // Width in bytes
        0x0000007c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr3
    },
    {
        "GPR4",
        "",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr4
    },
    {
        "GPR5",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr5
    },
    {
        "GPR6",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr6
    },
    {
        "GPR7",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr7
    },
    {
        "GPR8",
        "",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_src_gpr8
    },
    {
        "GPR9",
        "Reserved for Internal Use.",
        4, // Width in bytes
        0x00000094, // Base address offset
        false, // Readable
        false, // Writable
        0, // Number of bitfields
        hw_src_gpr9
    },
    {
        "GPR10",
        "",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        0, // Number of bitfields
        hw_src_gpr10
    },
    {
        "DDRC_RCR",
        "DDR Controller Reset Control Register",
        4, // Width in bytes
        0x00001000, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_src_ddrc_rcr
    },
    {
        "DDRC2_RCR",
        "DDRC2 Controller Reset Control Register",
        4, // Width in bytes
        0x00001004, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_src_ddrc2_rcr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SCB
#endif

// Bitfields in register SCB_SCB_ACTLR.
static const field_t hw_scb_scb_actlr[] =
{
    {
        "DISMCYCINT",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISDEFWBUF",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISFOLD",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_CPUID.
static const field_t hw_scb_scb_cpuid[] =
{
    {
        "REVISION",
        "",
        0, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PARTNO",
        "",
        4, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VARIANT",
        "",
        20, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IMPLEMENTER",
        "",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_ICSR.
static const field_t hw_scb_scb_icsr[] =
{
    {
        "VECTACTIVE",
        "",
        0, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RETTOBASE",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VECTPENDING",
        "",
        12, // LSB
        17, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ISRPENDING",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ISRPREEMPT",
        "",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PENDSTCLR",
        "",
        25, // LSB
        25, // MSB
        false, // Readable
        false // Writable
    },
    {
        "PENDSTSET",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PENDSVCLR",
        "",
        27, // LSB
        27, // MSB
        false, // Readable
        false // Writable
    },
    {
        "PENDSVSET",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NMIPENDSET",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_AIRCR.
static const field_t hw_scb_scb_aircr[] =
{
    {
        "VECTRESET",
        "",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "VECTCLRACTIVE",
        "",
        1, // LSB
        1, // MSB
        false, // Readable
        false // Writable
    },
    {
        "SYSRESETREQ",
        "",
        2, // LSB
        2, // MSB
        false, // Readable
        false // Writable
    },
    {
        "PRIGROUP",
        "",
        8, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENDIANNESS",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VECTKEY",
        "",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_VTOR.
static const field_t hw_scb_scb_vtor[] =
{
    {
        "TBLOFF",
        "",
        7, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_SCR.
static const field_t hw_scb_scb_scr[] =
{
    {
        "SLEEPONEXIT",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLEEPDEEP",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SEVONPEND",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_CCR.
static const field_t hw_scb_scb_ccr[] =
{
    {
        "NONBASETHRDENA",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USERSETMPEND",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNALIGN_TRP",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIV_0_TRP",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BFHFNMIGN",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STKALIGN",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_SHPR1.
static const field_t hw_scb_scb_shpr1[] =
{
    {
        "PRI_4",
        "",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRI_5",
        "",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRI_6",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_SHPR2.
static const field_t hw_scb_scb_shpr2[] =
{
    {
        "PRI_11",
        "",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_SHPR3.
static const field_t hw_scb_scb_shpr3[] =
{
    {
        "PRI_14",
        "",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRI_15",
        "",
        24, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_SHCSR.
static const field_t hw_scb_scb_shcsr[] =
{
    {
        "MEMFAULTACT",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSFAULTACT",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USGFAULTACT",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SVCALLACT",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MONITORACT",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PENDSVACT",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SYSTICKACT",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USGFAULTPENDED",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMFAULTPENDED",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSFAULTPENDED",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SVCALLPENDED",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MEMFAULTENA",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BUSFAULTENA",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USGFAULTENA",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_CFSR.
static const field_t hw_scb_scb_cfsr[] =
{
    {
        "IACCVIOL",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DACCVIOL",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MUNSTKERR",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSTKERR",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MLSPERR",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MMARVALID",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IBUSERR",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PRECISERR",
        "",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IMPRECISERR",
        "",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNSTKERR",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STKERR",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LSPERR",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BFARVALID",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNDEFINSTR",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVSTATE",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVPC",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NOCP",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "UNALIGNED",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DIVBYZERO",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_HFSR.
static const field_t hw_scb_scb_hfsr[] =
{
    {
        "VECTTBL",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FORCED",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBUGEVT",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_DFSR.
static const field_t hw_scb_scb_dfsr[] =
{
    {
        "HALTED",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BKPT",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DWTTRAP",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VCATCH",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXTERNAL",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_MMFAR.
static const field_t hw_scb_scb_mmfar[] =
{
    {
        "ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_BFAR.
static const field_t hw_scb_scb_bfar[] =
{
    {
        "ADDRESS",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_AFSR.
static const field_t hw_scb_scb_afsr[] =
{
    {
        "AUXFAULT",
        "",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_CPACR.
static const field_t hw_scb_scb_cpacr[] =
{
    {
        "CP10",
        "",
        20, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CP11",
        "",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_FPCCR.
static const field_t hw_scb_scb_fpccr[] =
{
    {
        "LSPACT",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USER",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "THREAD",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HFRDY",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MMRDY",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BFRDY",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MONRDY",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LSPEN",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ASPEN",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_FPCAR.
static const field_t hw_scb_scb_fpcar[] =
{
    {
        "ADDRESS",
        "",
        3, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SCB_SCB_FPDSCR.
static const field_t hw_scb_scb_fpdscr[] =
{
    {
        "RMODE",
        "",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FZ",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DN",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AHP",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a SCB module.
static const reg_t hw_scb[] =
{
    {
        "SCB_ACTLR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_scb_scb_actlr
    },
    {
        "SCB_CPUID",
        "",
        4, // Width in bytes
        0x00000d00, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_scb_scb_cpuid
    },
    {
        "SCB_ICSR",
        "",
        4, // Width in bytes
        0x00000d04, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_scb_scb_icsr
    },
    {
        "SCB_AIRCR",
        "",
        4, // Width in bytes
        0x00000d0c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_scb_scb_aircr
    },
    {
        "SCB_VTOR",
        "",
        4, // Width in bytes
        0x00000d08, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_scb_scb_vtor
    },
    {
        "SCB_SCR",
        "",
        4, // Width in bytes
        0x00000d10, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_scb_scb_scr
    },
    {
        "SCB_CCR",
        "",
        4, // Width in bytes
        0x00000d14, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_scb_scb_ccr
    },
    {
        "SCB_SHPR1",
        "",
        4, // Width in bytes
        0x00000d18, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_scb_scb_shpr1
    },
    {
        "SCB_SHPR2",
        "",
        4, // Width in bytes
        0x00000d1c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_scb_scb_shpr2
    },
    {
        "SCB_SHPR3",
        "",
        4, // Width in bytes
        0x00000d20, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_scb_scb_shpr3
    },
    {
        "SCB_SHCSR",
        "",
        4, // Width in bytes
        0x00000d24, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_scb_scb_shcsr
    },
    {
        "SCB_CFSR",
        "",
        4, // Width in bytes
        0x00000d28, // Base address offset
        true, // Readable
        true, // Writable
        19, // Number of bitfields
        hw_scb_scb_cfsr
    },
    {
        "SCB_HFSR",
        "",
        4, // Width in bytes
        0x00000d2c, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_scb_scb_hfsr
    },
    {
        "SCB_DFSR",
        "",
        4, // Width in bytes
        0x00000d30, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_scb_scb_dfsr
    },
    {
        "SCB_MMFAR",
        "",
        4, // Width in bytes
        0x00000d34, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_scb_scb_mmfar
    },
    {
        "SCB_BFAR",
        "",
        4, // Width in bytes
        0x00000d38, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_scb_scb_bfar
    },
    {
        "SCB_AFSR",
        "",
        4, // Width in bytes
        0x00000d3c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_scb_scb_afsr
    },
    {
        "SCB_CPACR",
        "",
        4, // Width in bytes
        0x00000d88, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_scb_scb_cpacr
    },
    {
        "SCB_FPCCR",
        "",
        4, // Width in bytes
        0x00000f34, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_scb_scb_fpccr
    },
    {
        "SCB_FPCAR",
        "",
        4, // Width in bytes
        0x00000f38, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_scb_scb_fpcar
    },
    {
        "SCB_FPDSCR",
        "",
        4, // Width in bytes
        0x00000f3c, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_scb_scb_fpdscr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark SysTick
#endif

// Bitfields in register SysTick_SYST_CSR.
static const field_t hw_systick_syst_csr[] =
{
    {
        "ENABLE",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TICKINT",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKSOURCE",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "COUNTFLAG",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SysTick_SYST_RVR.
static const field_t hw_systick_syst_rvr[] =
{
    {
        "RELOAD",
        "",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SysTick_SYST_CVR.
static const field_t hw_systick_syst_cvr[] =
{
    {
        "CURRENT",
        "",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register SysTick_SYST_CALIB.
static const field_t hw_systick_syst_calib[] =
{
    {
        "TENMS",
        "",
        0, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SKEW",
        "",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "NOREF",
        "",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Registers in a SYSTICK module.
static const reg_t hw_systick[] =
{
    {
        "SYST_CSR",
        "",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_systick_syst_csr
    },
    {
        "SYST_RVR",
        "",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_systick_syst_rvr
    },
    {
        "SYST_CVR",
        "",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_systick_syst_cvr
    },
    {
        "SYST_CALIB",
        "",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_systick_syst_calib
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark TMU
#endif

// Bitfields in register TMU_TMR.
static const field_t hw_tmu_tmr[] =
{
    {
        "MSITE",
        "Monitoring site select.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ALPF",
        "Average low pass filter setting.",
        26, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ME",
        "Monitor mode enable.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TSR.
static const field_t hw_tmu_tsr[] =
{
    {
        "ORH",
        "Out-of-range high temperature measurement detected.",
        28, // LSB
        28, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ORL",
        "Out-of-range low temperature measurement detected.",
        29, // LSB
        29, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MIE",
        "Monitoring interval exceeded.",
        30, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TMTMIR.
static const field_t hw_tmu_tmtmir[] =
{
    {
        "TMI",
        "Temperature monitoring interval in seconds.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TIER.
static const field_t hw_tmu_tier[] =
{
    {
        "ATCTEIE",
        "Average temperature critical threshold exceeded interrupt enable.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATTEIE",
        "Average temperature threshold exceeded interrupt enable.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ITTEIE",
        "Immediate temperature threshold exceeded interrupt enable.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TIDR.
static const field_t hw_tmu_tidr[] =
{
    {
        "ATCTE",
        "Average temperature critical threshold exceeded.",
        29, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATTE",
        "Average temperature threshold exceeded.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ITTE",
        "Immediate temperature threshold exceeded.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TISCR.
static const field_t hw_tmu_tiscr[] =
{
    {
        "ASITE",
        "Temperature sensor site associated with the setting of TIDR[ATTE] .",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ISITE",
        "Temperature sensor site associated with the setting of TIDR[ITTE].",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TICSCR.
static const field_t hw_tmu_ticscr[] =
{
    {
        "CASITE",
        "Temperature sensor site associated with the setting of TIDR[ATCTE] .",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TMHTCRH.
static const field_t hw_tmu_tmhtcrh[] =
{
    {
        "TEMP",
        "Highest temperature recorded in degrees Celsius by any enabled monitor"
        "ed site.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid reading.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TMHTCRL.
static const field_t hw_tmu_tmhtcrl[] =
{
    {
        "TEMP",
        "Lowest temperature recorded in degrees Celsius by any enabled monitore"
        "d site.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid reading.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TMHTITR.
static const field_t hw_tmu_tmhtitr[] =
{
    {
        "TEMP",
        "High temperature immediate threshold value.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN",
        "Enable threshold.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TMHTATR.
static const field_t hw_tmu_tmhtatr[] =
{
    {
        "TEMP",
        "High temperature average threshold value.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN",
        "Enable threshold.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TMHTACTR.
static const field_t hw_tmu_tmhtactr[] =
{
    {
        "TEMP",
        "High temperature average critical threshold value.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EN",
        "Enable threshold.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TTCFGR.
static const field_t hw_tmu_ttcfgr[] =
{
    {
        "DATA",
        "Sensor data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TSCFGR.
static const field_t hw_tmu_tscfgr[] =
{
    {
        "DATA",
        "Sensor data.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR0.
static const field_t hw_tmu_tritsr0[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR0.
static const field_t hw_tmu_tratsr0[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR1.
static const field_t hw_tmu_tritsr1[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR1.
static const field_t hw_tmu_tratsr1[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR2.
static const field_t hw_tmu_tritsr2[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR2.
static const field_t hw_tmu_tratsr2[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR3.
static const field_t hw_tmu_tritsr3[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR3.
static const field_t hw_tmu_tratsr3[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR4.
static const field_t hw_tmu_tritsr4[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR4.
static const field_t hw_tmu_tratsr4[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR5.
static const field_t hw_tmu_tritsr5[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR5.
static const field_t hw_tmu_tratsr5[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR6.
static const field_t hw_tmu_tritsr6[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR6.
static const field_t hw_tmu_tratsr6[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR7.
static const field_t hw_tmu_tritsr7[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR7.
static const field_t hw_tmu_tratsr7[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR8.
static const field_t hw_tmu_tritsr8[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR8.
static const field_t hw_tmu_tratsr8[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR9.
static const field_t hw_tmu_tritsr9[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR9.
static const field_t hw_tmu_tratsr9[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR10.
static const field_t hw_tmu_tritsr10[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR10.
static const field_t hw_tmu_tratsr10[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR11.
static const field_t hw_tmu_tritsr11[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR11.
static const field_t hw_tmu_tratsr11[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR12.
static const field_t hw_tmu_tritsr12[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR12.
static const field_t hw_tmu_tratsr12[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR13.
static const field_t hw_tmu_tritsr13[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR13.
static const field_t hw_tmu_tratsr13[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR14.
static const field_t hw_tmu_tritsr14[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR14.
static const field_t hw_tmu_tratsr14[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRITSR15.
static const field_t hw_tmu_tritsr15[] =
{
    {
        "TEMP",
        "Last temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TRATSR15.
static const field_t hw_tmu_tratsr15[] =
{
    {
        "TEMP",
        "Average temperature reading at site n when V=1.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "V",
        "Valid measured temperature.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_IPBRR0.
static const field_t hw_tmu_ipbrr0[] =
{
    {
        "IP_MN",
        "Minor revision",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IP_MJ",
        "Major revision",
        8, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IP_ID",
        "IP block ID",
        16, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TTR0CR.
static const field_t hw_tmu_ttr0cr[] =
{
    {
        "TEMP",
        "Starting temperature in Celsius for range n.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAL_PTS",
        "Temperature calibration points.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TTR1CR.
static const field_t hw_tmu_ttr1cr[] =
{
    {
        "TEMP",
        "Starting temperature in Celsius for range n.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAL_PTS",
        "Temperature calibration points.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TTR2CR.
static const field_t hw_tmu_ttr2cr[] =
{
    {
        "TEMP",
        "Starting temperature in Celsius for range n.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAL_PTS",
        "Temperature calibration points.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register TMU_TTR3CR.
static const field_t hw_tmu_ttr3cr[] =
{
    {
        "TEMP",
        "Starting temperature in Celsius for range n.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CAL_PTS",
        "Temperature calibration points.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a TMU module.
static const reg_t hw_tmu[] =
{
    {
        "TMR",
        "The TMU mode register allows software to control the operation of the "
        "thermal monitoring.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_tmu_tmr
    },
    {
        "TSR",
        "The TMU status register reports the monitoring status during operation"
        ".",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_tmu_tsr
    },
    {
        "TMTMIR",
        "The TMU monitor temperature measurement interval register determines a"
        "t what frequency temperature sensors are read.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_tmu_tmtmir
    },
    {
        "TIER",
        "The TMU interrupt enable register determines if a detected status cond"
        "ition should cause a system interrupt.",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_tmu_tier
    },
    {
        "TIDR",
        "The TMU interrupt detect register indicates if an status condition was"
        " detected that could generate an interrupt.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_tmu_tidr
    },
    {
        "TISCR",
        "The TMU interrupt site capture register holds information about the te"
        "mperature sensor site associated with a detected interrupt event.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_tmu_tiscr
    },
    {
        "TICSCR",
        "The TMU interrupt critical site capture register holds information abo"
        "ut the temperature sensor site associated with a detected critical int"
        "errupt event.",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_tmu_ticscr
    },
    {
        "TMHTCRH",
        "This TMU monitor register captures and records the highest temperature"
        " reached for any enabled monitored site within the temperature sensor "
        "range.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tmhtcrh
    },
    {
        "TMHTCRL",
        "This TMU monitor register captures and record the lowest temperature r"
        "eached for any one enabled monitored site within temperature sensor ra"
        "nge.",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tmhtcrl
    },
    {
        "TMHTITR",
        "This TMU monitor register determines the high current temperature thre"
        "shold for generating the TIDR[ITTE] event.",
        4, // Width in bytes
        0x00000050, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_tmu_tmhtitr
    },
    {
        "TMHTATR",
        "This TMU monitor register determines the high average temperature thre"
        "shold for generating the TIDR[ATTE] event.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_tmu_tmhtatr
    },
    {
        "TMHTACTR",
        "This TMU monitor register determines the high average critical tempera"
        "ture threshold for generating the TIDR[ATCTE] event.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_tmu_tmhtactr
    },
    {
        "TTCFGR",
        "The TMU temperature configuration register, in conjunction with the se"
        "nsor configuration register, is used to initialize the internal sensor"
        " translation table used during monitoring.",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_tmu_ttcfgr
    },
    {
        "TSCFGR",
        "The TMU sensor configuration register, in conjunction with the tempera"
        "ture configuration register, is used to initialize the internal sensor"
        " translation table used during monitoring.",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_tmu_tscfgr
    },
    {
        "TRITSR0",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000100, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr0
    },
    {
        "TRATSR0",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000104, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr0
    },
    {
        "TRITSR1",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000110, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr1
    },
    {
        "TRATSR1",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000114, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr1
    },
    {
        "TRITSR2",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000120, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr2
    },
    {
        "TRATSR2",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000124, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr2
    },
    {
        "TRITSR3",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000130, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr3
    },
    {
        "TRATSR3",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000134, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr3
    },
    {
        "TRITSR4",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000140, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr4
    },
    {
        "TRATSR4",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000144, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr4
    },
    {
        "TRITSR5",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000150, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr5
    },
    {
        "TRATSR5",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000154, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr5
    },
    {
        "TRITSR6",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000160, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr6
    },
    {
        "TRATSR6",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000164, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr6
    },
    {
        "TRITSR7",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000170, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr7
    },
    {
        "TRATSR7",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000174, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr7
    },
    {
        "TRITSR8",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000180, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr8
    },
    {
        "TRATSR8",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000184, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr8
    },
    {
        "TRITSR9",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x00000190, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr9
    },
    {
        "TRATSR9",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x00000194, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr9
    },
    {
        "TRITSR10",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x000001a0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr10
    },
    {
        "TRATSR10",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x000001a4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr10
    },
    {
        "TRITSR11",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x000001b0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr11
    },
    {
        "TRATSR11",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x000001b4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr11
    },
    {
        "TRITSR12",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x000001c0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr12
    },
    {
        "TRATSR12",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x000001c4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr12
    },
    {
        "TRITSR13",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x000001d0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr13
    },
    {
        "TRATSR13",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x000001d4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr13
    },
    {
        "TRITSR14",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x000001e0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr14
    },
    {
        "TRATSR14",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x000001e4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr14
    },
    {
        "TRITSR15",
        "This TMU report register returns the last measured temperature at site"
        " n.",
        4, // Width in bytes
        0x000001f0, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tritsr15
    },
    {
        "TRATSR15",
        "This TMU report register returns the average measured temperature at s"
        "ite n.",
        4, // Width in bytes
        0x000001f4, // Base address offset
        true, // Readable
        false, // Writable
        2, // Number of bitfields
        hw_tmu_tratsr15
    },
    {
        "IPBRR0",
        "The IP block revision register 0 (IPBRR0) is used to identify the TMU "
        "block ID and revision.",
        4, // Width in bytes
        0x00000bf8, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_tmu_ipbrr0
    },
    {
        "TTR0CR",
        "The TMU temperature range control registers allow for defining the fou"
        "r temperature ranges that each sensor covers.",
        4, // Width in bytes
        0x00000f10, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_tmu_ttr0cr
    },
    {
        "TTR1CR",
        "The TMU temperature range control registers allow for defining the fou"
        "r temperature ranges that each sensor covers.",
        4, // Width in bytes
        0x00000f14, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_tmu_ttr1cr
    },
    {
        "TTR2CR",
        "The TMU temperature range control registers allow for defining the fou"
        "r temperature ranges that each sensor covers.",
        4, // Width in bytes
        0x00000f18, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_tmu_ttr2cr
    },
    {
        "TTR3CR",
        "The TMU temperature range control registers allow for defining the fou"
        "r temperature ranges that each sensor covers.",
        4, // Width in bytes
        0x00000f1c, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_tmu_ttr3cr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark UART
#endif

// Bitfields in register UART_URXD.
static const field_t hw_uart_urxd[] =
{
    {
        "RX_DATA",
        "Received Data.",
        0, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRERR",
        "In RS-485 mode, it holds the ninth data bit (bit [8]) of received 9-bi"
        "t RS-485 data In RS232/IrDA mode, it is the Parity Error flag.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BRK",
        "BREAK Detect.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRMERR",
        "Frame Error.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "OVRRUN",
        "Receiver Overrun.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ERR",
        "Error Detect.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CHARRDY",
        "Character Ready.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UTXD.
static const field_t hw_uart_utxd[] =
{
    {
        "TX_DATA",
        "Transmit Data.",
        0, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UCR1.
static const field_t hw_uart_ucr1[] =
{
    {
        "UARTEN",
        "UART Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DOZE",
        "DOZE.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATDMAEN",
        "Aging DMA Timer Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXDMAEN",
        "Transmitter Ready DMA Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SNDBRK",
        "Send BREAK.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTSDEN",
        "RTS Delta Interrupt Enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXMPTYEN",
        "Transmitter Empty Interrupt Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IREN",
        "Infrared Interface Enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDMAEN",
        "Receive Ready DMA Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RRDYEN",
        "Receiver Ready Interrupt Enable.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ICD",
        "Idle Condition Detect.",
        10, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDEN",
        "Idle Condition Detected Interrupt Enable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRDYEN",
        "Transmitter Ready Interrupt Enable.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADBR",
        "Automatic Detection of Baud Rate.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADEN",
        "Automatic Baud Rate Detection Interrupt Enable.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UCR2.
static const field_t hw_uart_ucr2[] =
{
    {
        "SRST",
        "Software Reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXEN",
        "Receiver Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXEN",
        "Transmitter Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ATEN",
        "Aging Timer Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTSEN",
        "Request to Send Interrupt Enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WS",
        "Word Size.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STPB",
        "Stop.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PROE",
        "Parity Odd/Even.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PREN",
        "Parity Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTEC",
        "Request to Send Edge Control.",
        9, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESCEN",
        "Escape Enable.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTS",
        "Clear to Send.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTSC",
        "CTS Pin Control.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRTS",
        "Ignore RTS Pin.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESCI",
        "Escape Sequence Interrupt Enable.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UCR3.
static const field_t hw_uart_ucr3[] =
{
    {
        "ACIEN",
        "Autobaud Counter Interrupt Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVT",
        "Invert TXD output in RS-232/RS-485 mode, set TXD active level in IrDA "
        "mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDMUXSEL",
        "RXD Muxed Input Selected.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTRDEN",
        "This bit is not used in this chip.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWAKEN",
        "Asynchronous WAKE Interrupt Enable.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AIRINTEN",
        "Asynchronous IR WAKE Interrupt Enable.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDSEN",
        "Receive Status Interrupt Enable.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ADNIMP",
        "Autobaud Detection Not Improved-.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RI",
        "This bit is not used in this chip.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCD",
        "This bit is not used in this chip.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DSR",
        "This bit is not used in this chip.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRAERREN",
        "Frame Error Interrupt Enable.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "PARERREN",
        "Parity Error Interrupt Enable.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTREN",
        "This bit is not used in this chip.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPEC",
        "This bit is not used in this chip.",
        14, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UCR4.
static const field_t hw_uart_ucr4[] =
{
    {
        "DREN",
        "Receive Data Ready Interrupt Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OREN",
        "Receiver Overrun Interrupt Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BKEN",
        "BREAK Condition Detected Interrupt Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCEN",
        "Transmit Complete Interrupt Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LPBYP",
        "Low Power Bypass.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRSC",
        "IR Special Case.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDDMAEN",
        "DMA IDLE Condition Detected Interrupt Enable Enables/Disables the rece"
        "ive DMA request dma_req_rx for the IDLE interrupt (triggered with IDLE"
        " flag in USR2[12]).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WKEN",
        "WAKE Interrupt Enable.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ENIRI",
        "Serial Infrared Interrupt Enable.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INVR",
        "Invert RXD input in RS-232/RS-485 Mode, determine RXD input logic leve"
        "l being sampled in In IrDA mode.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTSTL",
        "CTS Trigger Level.",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UFCR.
static const field_t hw_uart_ufcr[] =
{
    {
        "RXTL",
        "Receiver Trigger Level.",
        0, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCEDTE",
        "DCE/DTE mode select.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RFDIV",
        "Reference Frequency Divider.",
        7, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXTL",
        "Transmitter Trigger Level.",
        10, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_USR1.
static const field_t hw_uart_usr1[] =
{
    {
        "SAD",
        "RS-485 Slave Address Detected Interrupt Flag.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AWAKE",
        "Asynchronous WAKE Interrupt Flag.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AIRINT",
        "Asynchronous IR WAKE Interrupt Flag.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDS",
        "Receiver IDLE Interrupt Flag.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DTRD",
        "This bit is not used in this chip.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AGTIM",
        "Ageing Timer Interrupt Flag.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RRDY",
        "Receiver Ready Interrupt / DMA Flag.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "FRAMERR",
        "Frame Error Interrupt Flag.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ESCF",
        "Escape Sequence Interrupt Flag.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTSD",
        "RTS Delta.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TRDY",
        "Transmitter Ready Interrupt / DMA Flag.",
        13, // LSB
        13, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RTSS",
        "RTS_B Pin Status.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PARITYERR",
        "Parity Error Interrupt Flag.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_USR2.
static const field_t hw_uart_usr2[] =
{
    {
        "RDR",
        "Receive Data Ready-Indicates that at least 1 character is received and"
        " written to the RxFIFO.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ORE",
        "Overrun Error.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRCD",
        "BREAK Condition Detected.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXDC",
        "Transmitter Complete.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RTSF",
        "RTS Edge Triggered Interrupt Flag.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCDIN",
        "This bit is not used in this chip.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DCDDELT",
        "This bit is not used in this chip.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WAKE",
        "Wake.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IRINT",
        "Serial Infrared Interrupt Flag.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RIIN",
        "This bit is not used in this chip.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RIDELT",
        "This bit is not used in this chip.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "ACST",
        "Autobaud Counter Stopped.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IDLE",
        "Idle Condition.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTRF",
        "This bit is not used in this chip.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXFE",
        "Transmit Buffer FIFO Empty.",
        14, // LSB
        14, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADET",
        "Automatic Baud Rate Detect Complete.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UESC.
static const field_t hw_uart_uesc[] =
{
    {
        "ESC_CHAR",
        "UART Escape Character.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UTIM.
static const field_t hw_uart_utim[] =
{
    {
        "TIM",
        "UART Escape Timer.",
        0, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UBIR.
static const field_t hw_uart_ubir[] =
{
    {
        "INC",
        "Incremental Numerator.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UBMR.
static const field_t hw_uart_ubmr[] =
{
    {
        "MOD",
        "Modulator Denominator.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UBRC.
static const field_t hw_uart_ubrc[] =
{
    {
        "BCNT",
        "Baud Rate Count Register.",
        0, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_ONEMS.
static const field_t hw_uart_onems[] =
{
    {
        "ONEMS",
        "One Millisecond Register.",
        0, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UTS.
static const field_t hw_uart_uts[] =
{
    {
        "SOFTRST",
        "Software Reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXFULL",
        "RxFIFO FULL.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXFULL",
        "TxFIFO FULL.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXEMPTY",
        "RxFIFO Empty.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXEMPTY",
        "TxFIFO Empty.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RXDBG",
        "This bit is not used in this chip.",
        9, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOOPIR",
        "Loop TX and RX for IR Test (LOOPIR).",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DBGEN",
        "This bit is not used in this chip.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "LOOP",
        "Loop TX and RX for Test.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRCPERR",
        "Force Parity Error.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register UART_UMCR.
static const field_t hw_uart_umcr[] =
{
    {
        "MDEN",
        "9-bit data or Multidrop Mode (RS-485) Enable.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLAM",
        "RS-485 Slave Address Detect Mode Selection.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TXB8",
        "Transmit RS-485 bit 8 (the ninth bit or 9th bit).",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SADEN",
        "RS-485 Slave Address Detected Interrupt Enable.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SLADDR",
        "RS-485 Slave Address Character.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a UART module.
static const reg_t hw_uart[] =
{
    {
        "URXD",
        "The UART will yield a transfer error on the peripheral bus when core i"
        "s reading URXD register with receive interface disabled (RXEN=0 or UAR"
        "TEN=0).",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        false, // Writable
        7, // Number of bitfields
        hw_uart_urxd
    },
    {
        "UTXD",
        "The UART will yield a transfer error on the peripheral bus when core i"
        "s writing into UART_URXD register with transmit interface disabled (TX"
        "EN=0 or UARTEN=0).",
        4, // Width in bytes
        0x00000040, // Base address offset
        false, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_uart_utxd
    },
    {
        "UCR1",
        "",
        4, // Width in bytes
        0x00000080, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_uart_ucr1
    },
    {
        "UCR2",
        "",
        4, // Width in bytes
        0x00000084, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_uart_ucr2
    },
    {
        "UCR3",
        "",
        4, // Width in bytes
        0x00000088, // Base address offset
        true, // Readable
        true, // Writable
        15, // Number of bitfields
        hw_uart_ucr3
    },
    {
        "UCR4",
        "",
        4, // Width in bytes
        0x0000008c, // Base address offset
        true, // Readable
        true, // Writable
        11, // Number of bitfields
        hw_uart_ucr4
    },
    {
        "UFCR",
        "",
        4, // Width in bytes
        0x00000090, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_uart_ufcr
    },
    {
        "USR1",
        "",
        4, // Width in bytes
        0x00000094, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_uart_usr1
    },
    {
        "USR2",
        "",
        4, // Width in bytes
        0x00000098, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_uart_usr2
    },
    {
        "UESC",
        "",
        4, // Width in bytes
        0x0000009c, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_uesc
    },
    {
        "UTIM",
        "",
        4, // Width in bytes
        0x000000a0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_utim
    },
    {
        "UBIR",
        "This register can be written by both software and hardware.",
        4, // Width in bytes
        0x000000a4, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_ubir
    },
    {
        "UBMR",
        "This register can be written by both software and hardware.",
        4, // Width in bytes
        0x000000a8, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_ubmr
    },
    {
        "UBRC",
        "",
        4, // Width in bytes
        0x000000ac, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_uart_ubrc
    },
    {
        "ONEMS",
        "This register has been expanded from 16 bits to 24 bits.",
        4, // Width in bytes
        0x000000b0, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_uart_onems
    },
    {
        "UTS",
        "",
        4, // Width in bytes
        0x000000b4, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_uart_uts
    },
    {
        "UMCR",
        "",
        4, // Width in bytes
        0x000000b8, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_uart_umcr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark uSDHC
#endif

// Bitfields in register uSDHC_uSDHC1_DS_ADDR.
static const field_t hw_usdhc_usdhc1_ds_addr[] =
{
    {
        "DS_ADDR",
        "DMA System Address: This register contains the 32-bit system memory ad"
        "dress for a DMA transfer.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_BLK_ATT.
static const field_t hw_usdhc_usdhc1_blk_att[] =
{
    {
        "BLKSIZE",
        "Transfer Block Size: This register specifies the block size for block "
        "data transfers.",
        0, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BLKCNT",
        "Blocks Count For Current Transfer: This register is enabled when the B"
        "lock Count Enable bit in the Transfer Mode register is set to 1 and is"
        " valid only for multiple block transfers.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_CMD_ARG.
static const field_t hw_usdhc_usdhc1_cmd_arg[] =
{
    {
        "CMDARG",
        "The SD / MMC Command Argument is specified as bits 39-8 of the Command"
        " Format in the SD or MMC Specification.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_CMD_XFR_TYP.
static const field_t hw_usdhc_usdhc1_cmd_xfr_typ[] =
{
    {
        "RSPTYP",
        "",
        16, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CCCEN",
        "If this bit is set to 1, the uSDHC shall check the CRC field in the re"
        "sponse.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CICEN",
        "If this bit is set to 1, the uSDHC will check the Index field in the r"
        "esponse to see if it has the same value as the command index.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DPSEL",
        "This bit is set to 1 to indicate that data is present and shall be tra"
        "nsferred using the DATA line.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMDTYP",
        "There are three types of special commands: Suspend, Resume and Abort.",
        22, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CMDINX",
        "These bits shall be set to the command number that is specified in bit"
        "s 45-40 of the Command-Format in the SD Memory Card Physical Layer Spe"
        "cification and SDIO Card Specification.",
        24, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_CMD_RSP0.
static const field_t hw_usdhc_usdhc1_cmd_rsp0[] =
{
    {
        "CMDRSP0",
        "Refer to CMD_RSP3Command Response3 for the mapping of command response"
        "s from the SD Bus to this register for each response type.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_CMD_RSP1.
static const field_t hw_usdhc_usdhc1_cmd_rsp1[] =
{
    {
        "CMDRSP1",
        "Refer to CMD_RSP3Command Response3 for the mapping of command response"
        "s from the SD Bus to this register for each response type.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_CMD_RSP2.
static const field_t hw_usdhc_usdhc1_cmd_rsp2[] =
{
    {
        "CMDRSP2",
        "Refer to CMD_RSP3Command Response3 for the mapping of command response"
        "s from the SD Bus to this register for each response type.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_CMD_RSP3.
static const field_t hw_usdhc_usdhc1_cmd_rsp3[] =
{
    {
        "CMDRSP3",
        "Refer to CMD_RSP3Command Response3 for the mapping of command response"
        "s from the SD Bus to this register for each response type.",
        0, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_DATA_BUFF_ACC_PORT.
static const field_t hw_usdhc_usdhc1_data_buff_acc_port[] =
{
    {
        "DATCONT",
        "The Buffer Data Port register is for 32-bit data access by the Arm pla"
        "tform or the external DMA.",
        0, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_PRES_STATE.
static const field_t hw_usdhc_usdhc1_pres_state[] =
{
    {
        "CIHB",
        "If this status bit is 0, it indicates that the CMD line is not in use "
        "and the uSDHC can issue a SD / MMC Command using the CMD line.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CDIHB",
        "This status bit is generated if either the DAT Line Active or the Read"
        " Transfer Active is set to 1.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLA",
        "This status bit indicates whether one of the DATA lines on the SD Bus "
        "is in use.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SDSTB",
        "This status bit indicates that the internal card clock is stable.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "IPGOFF",
        "This status bit indicates that the ipg_clk is internally gated off.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HCKOFF",
        "This status bit indicates that the HCLK is internally gated off.",
        5, // LSB
        5, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PEROFF",
        "This status bit indicates that the IPG_PERCLK is internally gated off.",
        6, // LSB
        6, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SDOFF",
        "This status bit indicates that the SD Clock is internally gated off, b"
        "ecause of buffer over / under-run or read pause without read wait asse"
        "rtion, or the driver set FRC_SDCLK_ON bit is 0 to stop the SD clock in"
        " idle status.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WTA",
        "This status bit indicates a write transfer is active.",
        8, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RTA",
        "This status bit is used for detecting completion of a read transfer.",
        9, // LSB
        9, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BWEN",
        "This status bit is used for non-DMA write transfers.",
        10, // LSB
        10, // MSB
        true, // Readable
        false // Writable
    },
    {
        "BREN",
        "This status bit is used for non-DMA read transfers.",
        11, // LSB
        11, // MSB
        true, // Readable
        false // Writable
    },
    {
        "RTR",
        "Host Controller may request Host Driver to execute re-tuning sequence "
        "by setting this bit when the data window is shifted by temperature dri"
        "ft and a tuned sampling point does not have a good margin to receive c"
        "orrect data.",
        12, // LSB
        12, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TSCD",
        "This bit indicates the dealy setting is effective after write CLK_TUNE"
        "_CTRL_STATUS register.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CINST",
        "This bit indicates whether a card has been inserted.",
        16, // LSB
        16, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CDPL",
        "This bit reflects the inverse value of the CD_B pin for the card socke"
        "t.",
        18, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "WPSPL",
        "The Write Protect Switch is supported for memory and combo cards.This "
        "bit reflects the inverted value of the WP pin of the card socket.",
        19, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CLSL",
        "This status is used to check the CMD line level to recover from errors"
        ", and for debugging.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLSL",
        "This status is used to check the DATA line level to recover from error"
        "s, and for debugging.This is especially useful in detecting the busy s"
        "ignal level from DATA0.",
        24, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_PROT_CTRL.
static const field_t hw_usdhc_usdhc1_prot_ctrl[] =
{
    {
        "LCTL",
        "This bit, fully controlled by the Host Driver, is used to caution the "
        "user not to remove the card while the card is being accessed.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTW",
        "This bit selects the data width of the SD bus for a data transfer.",
        1, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "D3CD",
        "If this bit is set, DATA3 should be pulled down to act as a card detec"
        "tion pin.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EMODE",
        "The uSDHC supports all three endian modes in data transfer.",
        4, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CDTL",
        "This is bit is enabled while the Card Detection Signal Selection is se"
        "t to 1 and it indicates card insertion.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CDSS",
        "This bit selects the source for the card detection.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMASEL",
        "This field is valid while DMA (SDMA or ADMA) is enabled and selects th"
        "e DMA operation.",
        8, // LSB
        9, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SABGREQ",
        "This bit is used to stop executing a transaction at the next block gap"
        " for both DMA and non-DMA transfers.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CREQ",
        "This bit is used to restart a transaction which was stopped using the "
        "Stop At Block Gap Request.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RWCTL",
        "The read wait function is optional for SDIO cards.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IABG",
        "This bit is valid only in 4-bit mode, of the SDIO card, and selects a "
        "sample point in the interrupt cycle.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_DONE_NO_8CLK",
        "Read done no 8 clock: According to the SD/MMC spec, for read data tran"
        "saction, 8 clocks are needed after the end bit of the last data block.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WECINT",
        "This bit enables a wakeup event, via a Card Interrupt, in the Interrup"
        "t Status register.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WECINS",
        "This bit enables a wakeup event, via a Card Insertion, in the Interrup"
        "t Status register.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WECRM",
        "This bit enables a wakeup event, via a Card Removal, in the Interrupt "
        "Status register.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BURST_LEN_EN",
        "This is used to enable / disable the burst length for the external AHB"
        "2AXI bridge.",
        27, // LSB
        29, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NON_EXACT_BLK_RD",
        "Current block read is non-exact block read.",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_SYS_CTRL.
static const field_t hw_usdhc_usdhc1_sys_ctrl[] =
{
    {
        "DVS",
        "This register is used to provide a more exact divisor to generate the "
        "desired SD clock frequency.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDCLKFS",
        "This register is used to select the frequency of the SDCLK pin.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTOCV",
        "This value determines the interval by which DAT line timeouts are dete"
        "cted.",
        16, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPP_RST_N",
        "This register's value will be output to CARD from pad directly for har"
        "dware reset of the card if the card supports this feature.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTA",
        "This reset effects the entire Host Controller except for the card dete"
        "ction circuit.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTC",
        "Only part of the command circuit is reset.",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTD",
        "Only part of the data circuit is reset.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INITA",
        "When this bit is set, 80 SD-Clocks are sent to the card.",
        27, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RSTT",
        "When set this bit to 1, it will reset tuning circuit.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_INT_STATUS.
static const field_t hw_usdhc_usdhc1_int_status[] =
{
    {
        "CC",
        "This bit is set when you receive the end bit of the command response ("
        "except Auto CMD12).",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TC",
        "This bit is set when a read or write transfer is completed.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BGE",
        "If the Stop At Block Gap Request bit in the Protocol Control register "
        "is set, this bit is set when a read or write transaction is stopped at"
        " a block gap.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DINT",
        "Occurs only when the internal DMA finishes the data transfer successfu"
        "lly.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BWR",
        "This status bit is set if the Buffer Write Enable bit, in the Present "
        "State register, changes from 0 to 1.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRR",
        "This status bit is set if the Buffer Read Enable bit, in the Present S"
        "tate register, changes from 0 to 1.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINS",
        "This status bit is set if the Card Inserted bit in the Present State r"
        "egister changes from 0 to 1.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRM",
        "This status bit is set if the Card Inserted bit in the Present State r"
        "egister changes from 1 to 0.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINT",
        "This status bit is set when an interrupt signal is detected from the e"
        "xternal card.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTE",
        "This status is set if Re-Tuning Request in the Present State register "
        "changes from 0 to 1.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TP",
        "Current CMD19 transfer is done successfully.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTOE",
        "Occurs only if no response is returned within 64 SDCLK cycles from the"
        " end bit of the command.",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CCE",
        "Command CRC Error is generated in two cases.",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CEBE",
        "Occurs when detecting that the end bit of a command response is 0.",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CIE",
        "Occurs if a Command Index error occurs in the command response.",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTOE",
        "Occurs when detecting one of following time-out conditions.",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCE",
        "Occurs when detecting a CRC error when transferring read data, which u"
        "ses the DATA line, or when detecting the Write CRC status having a val"
        "ue other than 010.",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBE",
        "Occurs either when detecting 0 at the end bit position of read data, w"
        "hich uses the DATA line, or at the end bit position of the CRC.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12E",
        "Occurs when detecting that one of the bits in the Auto CMD12 Error Sta"
        "tus register has changed from 0 to 1.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TNE",
        "This bit is set when an unrecoverable error is detected in a tuning ci"
        "rcuit.",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAE",
        "Occurs when an Internal DMA transfer has failed.",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_INT_STATUS_EN.
static const field_t hw_usdhc_usdhc1_int_status_en[] =
{
    {
        "CCSEN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCSEN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BGESEN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DINTSEN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BWRSEN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRRSEN",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINSSEN",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRMSEN",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINTSEN",
        "If this bit is set to 0, the uSDHC will clear the interrupt request to"
        " the system.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTESEN",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TPSEN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTOESEN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CCESEN",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CEBESEN",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CIESEN",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTOESEN",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCESEN",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBESEN",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12ESEN",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TNESEN",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAESEN",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_INT_SIGNAL_EN.
static const field_t hw_usdhc_usdhc1_int_signal_en[] =
{
    {
        "CCIEN",
        "",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TCIEN",
        "",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BGEIEN",
        "",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DINTIEN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BWRIEN",
        "",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BRRIEN",
        "",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINSIEN",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRMIEN",
        "",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CINTIEN",
        "",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RTEIEN",
        "",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TPIEN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CTOEIEN",
        "",
        16, // LSB
        16, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CCEIEN",
        "",
        17, // LSB
        17, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CEBEIEN",
        "",
        18, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CIEIEN",
        "",
        19, // LSB
        19, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTOEIEN",
        "",
        20, // LSB
        20, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DCEIEN",
        "",
        21, // LSB
        21, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DEBEIEN",
        "",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12EIEN",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TNEIEN",
        "",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DMAEIEN",
        "",
        28, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_AUTOCMD12_ERR_STATUS.
static const field_t hw_usdhc_usdhc1_autocmd12_err_status[] =
{
    {
        "AC12NE",
        "If memory multiple block data transfer is not started, due to a comman"
        "d error, this bit is not set because it is not necessary to issue an A"
        "uto CMD12.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AC12TOE",
        "Occurs if no response is returned within 64 SDCLK cycles from the end "
        "bit of the command.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AC12EBE",
        "Occurs when detecting that the end bit of command response is 0 which "
        "should be 1.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AC12CE",
        "Occurs when detecting a CRC error in the command response.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    {
        "AC12IE",
        "Occurs if the Command Index error occurs in response to a command.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CNIBAC12E",
        "Setting this bit to 1 means CMD_wo_DAT is not executed due to an Auto "
        "CMD12 Error (D04-D01) in this register.",
        7, // LSB
        7, // MSB
        true, // Readable
        false // Writable
    },
    {
        "EXECUTE_TUNING",
        "When std_tuning_en bit is set, this bit is used to start tuning proced"
        "ure.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMP_CLK_SEL",
        "When std_tuning_en bit is set, this bit is used to select sampling clo"
        "ck to receive CMD and DATA.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_HOST_CTRL_CAP.
static const field_t hw_usdhc_usdhc1_host_ctrl_cap[] =
{
    {
        "SDR50_SUPPORT",
        "This bit indicates support of SDR50 mode.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SDR104_SUPPORT",
        "This bit indicates support of SDR104 mode.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DDR50_SUPPORT",
        "This bit indicates support of DDR50 mode.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TIME_COUNT_RETUNING",
        "This bit indicates an initial value of the Retuning Timer for Re-Tunin"
        "g Mode1 and 3.",
        8, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "USE_TUNING_SDR50",
        "This bit is set to 1.",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RETUNING_MODE",
        "This bit selects retuning method.",
        14, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "MBL",
        "This value indicates the maximum block size that the Host Driver can r"
        "ead and write to the buffer in the uSDHC.",
        16, // LSB
        18, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADMAS",
        "This bit indicates whether the uSDHC supports the ADMA feature.",
        20, // LSB
        20, // MSB
        true, // Readable
        false // Writable
    },
    {
        "HSS",
        "This bit indicates whether the uSDHC supports High Speed mode and the "
        "Host System can supply a SD Clock frequency from 25 MHz to 50 MHz.",
        21, // LSB
        21, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DMAS",
        "This bit indicates whether the uSDHC is capable of using the internal "
        "DMA to transfer data between system memory and the data buffer directl"
        "y.",
        22, // LSB
        22, // MSB
        true, // Readable
        false // Writable
    },
    {
        "SRS",
        "This bit indicates whether the uSDHC supports Suspend / Resume functio"
        "nality.",
        23, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VS33",
        "This bit shall depend on the Host System ability.",
        24, // LSB
        24, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VS30",
        "This bit shall depend on the Host System ability.",
        25, // LSB
        25, // MSB
        true, // Readable
        false // Writable
    },
    {
        "VS18",
        "This bit shall depend on the Host System ability.",
        26, // LSB
        26, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_WTMK_LVL.
static const field_t hw_usdhc_usdhc1_wtmk_lvl[] =
{
    {
        "RD_WML",
        "The number of words used as the watermark level (FIFO threshold) in a "
        "DMA read operation.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "RD_BRST_LEN",
        "The number of words the uSDHC reads in a single burst.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_WML",
        "The number of words used as the watermark level (FIFO threshold) in a "
        "DMA write operation.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WR_BRST_LEN",
        "The number of words the uSDHC writes in a single burst.",
        24, // LSB
        28, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_MIX_CTRL.
static const field_t hw_usdhc_usdhc1_mix_ctrl[] =
{
    {
        "DMAEN",
        "This bit enables DMA functionality.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BCEN",
        "This bit is used to enable the Block Count register, which is only rel"
        "evant for multiple block transfers.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12EN",
        "Multiple block transfers for memory require a CMD12 to stop the transa"
        "ction.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DDR_EN",
        "",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DTDSEL",
        "This bit defines the direction of DATA line data transfers.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "MSBSEL",
        "This bit enables multiple block DATA line data transfers.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NIBBLE_POS",
        "In DDR 4-bit mode nibble position indictation.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC23EN",
        "When this bit is set to 1, the Host Controller issues a CMD23 automati"
        "cally before issuing a command specified in the Command Register.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "EXE_TUNE",
        "When STD_TUNING_EN is 0, this bit is set to 1 to indicate the Host Dri"
        "ver is starting tuning procedure.",
        22, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SMP_CLK_SEL",
        "When STD_TUNING_EN is 0, this bit is used to select Tuned clock or Fix"
        "ed clock to sample data / cmd (Only used for SD3.",
        23, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTO_TUNE_EN",
        "",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FBCLK_SEL",
        "",
        25, // LSB
        25, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HS400_MODE",
        "HS400 Enable",
        26, // LSB
        26, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_FORCE_EVENT.
static const field_t hw_usdhc_usdhc1_force_event[] =
{
    {
        "FEVTAC12NE",
        "Forces the AC12NE bit in the Auto Command12 Error Status Register to b"
        "e set.",
        0, // LSB
        0, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12TOE",
        "Forces the AC12TOE bit in the Auto Command12 Error Status Register to "
        "be set.",
        1, // LSB
        1, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12CE",
        "Forces the AC12CE bit in the Auto Command12 Error Status Register to b"
        "e set.",
        2, // LSB
        2, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12EBE",
        "Forces the AC12EBE bit in the Auto Command12 Error Status Register to "
        "be set.",
        3, // LSB
        3, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12IE",
        "Forces the AC12IE bit in the Auto Command12 Error Status Register to b"
        "e set.",
        4, // LSB
        4, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCNIBAC12E",
        "Forces the CNIBAC12E bit in the Auto Command12 Error Status Register t"
        "o be set.",
        7, // LSB
        7, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCTOE",
        "Forces the CTOE bit of Interrupt Status Register to be set.",
        16, // LSB
        16, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCCE",
        "Forces the CCE bit of Interrupt Status Register to be set.",
        17, // LSB
        17, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCEBE",
        "Forces the CEBE bit of Interrupt Status Register to be set.",
        18, // LSB
        18, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCIE",
        "Forces the CCE bit of Interrupt Status Register to be set.",
        19, // LSB
        19, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTDTOE",
        "Force the DTOE bit of Interrupt Status Register to be set.",
        20, // LSB
        20, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTDCE",
        "Forces the DCE bit of Interrupt Status Register to be set.",
        21, // LSB
        21, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTDEBE",
        "Forces the DEBE bit of Interrupt Status Register to be set.",
        22, // LSB
        22, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTAC12E",
        "Forces the AC12E bit of Interrupt Status Register to be set.",
        24, // LSB
        24, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTTNE",
        "Forces the TNE bit of Interrupt Status Register to be set.",
        26, // LSB
        26, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTDMAE",
        "Forces the DMAE bit of Interrupt Status Register to be set.",
        28, // LSB
        28, // MSB
        false, // Readable
        false // Writable
    },
    {
        "FEVTCINT",
        "Writing 1 to this bit generates a short low-level pulse on the interna"
        "l DATA1 line, as if a self clearing interrupt was received from the ex"
        "ternal card.",
        31, // LSB
        31, // MSB
        false, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_ADMA_ERR_STATUS.
static const field_t hw_usdhc_usdhc1_adma_err_status[] =
{
    {
        "ADMAES",
        "This field indicates the state of the ADMA when an error has occurred "
        "during an ADMA data transfer.",
        0, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADMALME",
        "This error occurs in the following 2 cases: While the Block Count Enab"
        "le is being set, the total data length specified by the Descriptor tab"
        "le is different from that specified by the Block Count and Block Lengt"
        "h.",
        2, // LSB
        2, // MSB
        true, // Readable
        false // Writable
    },
    {
        "ADMADCE",
        "This error occurs when invalid descriptor fetched by ADMA.",
        3, // LSB
        3, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_ADMA_SYS_ADDR.
static const field_t hw_usdhc_usdhc1_adma_sys_addr[] =
{
    {
        "ADS_ADDR",
        "This register holds the word address of the executing command in the D"
        "escriptor table.",
        2, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_DLL_CTRL.
static const field_t hw_usdhc_usdhc1_dll_ctrl[] =
{
    {
        "DLL_CTRL_ENABLE",
        "Set this bit to 1 to enable the DLL and delay chain; otherwise; set to"
        " 0 to bypasses DLL.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_RESET",
        "Setting this bit to 1 force a reset on DLL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_FORCE_UPD",
        "Setting this bit to 1, forces the slave delay line to update to the DL"
        "L calibrated value immediately.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_DLY_TARGET0",
        "The delay target for the uSDHC loopback read clock can be programmed i"
        "n 1/16th increments of an ref_clock half-period.",
        3, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_GATE_UPDATE",
        "Set this bit to 1 to prevent the DLL from updating (since when clock_i"
        "n exists, glitches may appear during DLL updates).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_OVERRIDE",
        "Set this bit to 1 to Enable manual override for slave delay chain usin"
        "g SLV_OVERRIDE_VAL; to set 0 to disable manual override.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_OVERRIDE_VAL",
        "When SLV_OVERRIDE = 1 This field is used to select 1 of 128 physical t"
        "aps manually.",
        9, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_DLY_TARGET1",
        "Refer to DLL_CTRL_SLV_DLY_TARGET0 below.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_SLV_UPDATE_INT",
        "Slave delay line update interval.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLL_CTRL_REF_UPDATE_INT",
        "DLL control loop update interval.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_DLL_STATUS.
static const field_t hw_usdhc_usdhc1_dll_status[] =
{
    {
        "DLL_STS_SLV_LOCK",
        "Slave delay-line lock status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLL_STS_REF_LOCK",
        "Reference DLL lock status.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLL_STS_SLV_SEL",
        "Slave delay line select status.",
        2, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "DLL_STS_REF_SEL",
        "Reference delay line select taps.",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_CLK_TUNE_CTRL_STATUS.
static const field_t hw_usdhc_usdhc1_clk_tune_ctrl_status[] =
{
    {
        "DLY_CELL_SET_POST",
        "Set the number of delay cells on the feedback clock between CLK_OUT an"
        "d CLK_POST.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLY_CELL_SET_OUT",
        "Set the number of delay cells on the feedback clock between CLK_PRE an"
        "d CLK_OUT.",
        4, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DLY_CELL_SET_PRE",
        "Set the number of delay cells on the feedback clock between the feedba"
        "ck clock and CLK_PRE.",
        8, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "NXT_ERR",
        "NXT error which means the number of delay cells added on the feedback "
        "clock is too large.",
        15, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TAP_SEL_POST",
        "Reflect the number of delay cells added on the feedback clock between "
        "CLK_OUT and CLK_POST.",
        16, // LSB
        19, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TAP_SEL_OUT",
        "Reflect the number of delay cells added on the feedback clock between "
        "CLK_PRE and CLK_OUT.",
        20, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TAP_SEL_PRE",
        "Reflects the number of delay cells added on the feedback clock between"
        " the feedback clock and CLK_PRE.",
        24, // LSB
        30, // MSB
        true, // Readable
        false // Writable
    },
    {
        "PRE_ERR",
        "PRE error which means the number of delay cells added on the feedback "
        "clock is too small.",
        31, // LSB
        31, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_STROBE_DLL_CTRL.
static const field_t hw_usdhc_usdhc1_strobe_dll_ctrl[] =
{
    {
        "STROBE_DLL_CTRL_ENABLE",
        "Set this bit to 1 to enable the DLL and delay chain; otherwise, set to"
        " 0 to bypasses DLL.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_RESET",
        "Setting this bit to 1 to force a reset on DLL.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_FORCE_UPD",
        "Setting this bit to 1, forces the slave delay line to update to the DL"
        "L calibrated value immediately.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_DLY_TARGET",
        "The delay target for the uSDHC loopback read clock can be programmed i"
        "n 1/16th increments of an STROBE_REF_CLOCK half-period.",
        3, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_GATE_UPDATE_0",
        "Set this bit to 1 to prevent the DLL from updating (since when STROBE_"
        "CLOCK_IN exists, glitches may appear during DLL updates).",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_GATE_UPDATE_1",
        "Set this bit to 1 to prevent the DLL from updating (since when STROBE_"
        "CLOCK_IN exists, glitches may appear during DLL updates).",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_OVERRIDE",
        "Set this bit to 1 to Enable manual override for slave delay chain usin"
        "g STROBE_SLV_OVERRIDE_VAL; set this bit to 0 to disable manual overrid"
        "e.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_OVERRIDE_VAL",
        "When STROBE_SLV_OVERRIDE = 1, this field is used to manually select on"
        "e of 128 physical taps.",
        9, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_SLV_UPDATE_INT",
        "Slave delay line update interval.",
        20, // LSB
        27, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STROBE_DLL_CTRL_REF_UPDATE_INT",
        "The interval cycle is (2 + STROBE_REF_UPDATE_INT) * STROBE_REF_CLOCK.",
        28, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_STROBE_DLL_STATUS.
static const field_t hw_usdhc_usdhc1_strobe_dll_status[] =
{
    {
        "STROBE_DLL_STS_SLV_LOCK",
        "Slave delay-line lock status.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STROBE_DLL_STS_REF_LOCK",
        "This signifies that the DLL has detected and locked to a half-phase RE"
        "F_CLOCK shift, it allows the slave delay-line to perform programmed cl"
        "ock delays.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STROBE_DLL_STS_SLV_SEL",
        "Slave delay line select status.",
        2, // LSB
        8, // MSB
        true, // Readable
        false // Writable
    },
    {
        "STROBE_DLL_STS_REF_SEL",
        "Reference delay line select taps.",
        9, // LSB
        15, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_VEND_SPEC.
static const field_t hw_usdhc_usdhc1_vend_spec[] =
{
    {
        "EXT_DMA_EN",
        "Enable the request to external DMA.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "VSELECT",
        "Change the value of output signal VSELECT, to control the voltage on p"
        "ads for external card.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CONFLICT_CHK_EN",
        "It is not implemented in uSDHC IP.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AC12_WR_CHKBUSY_EN",
        "Check busy enable after auto CMD12 for write data packet",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DAT3_CD_POL",
        "Only for debug.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CD_POL",
        "Only for debug.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WP_POL",
        "Only for debug.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CLKONJ_IN_ABORT",
        "Only for debug.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "FRC_SDCLK_ON",
        "Force CLK output active",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPG_CLK_SOFT_EN",
        "",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HCLK_SOFT_EN",
        "Hardware auto-enables the AHB clock when the internal DMA is enabled e"
        "ven if HCLK_SOFT_EN is 0.",
        12, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "IPG_PERCLK_SOFT_EN",
        "",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CARD_CLK_SOFT_EN",
        "",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CRC_CHK_DIS",
        "",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "INT_ST_VAL",
        "Internal state value, reflecting the corresponding state value selecte"
        "d by Debug Select field.",
        16, // LSB
        23, // MSB
        true, // Readable
        false // Writable
    },
    {
        "CMD_BYTE_EN",
        "Byte access",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_MMC_BOOT.
static const field_t hw_usdhc_usdhc1_mmc_boot[] =
{
    {
        "DTOCV_ACK",
        "Boot ACK time out counter value.",
        0, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOOT_ACK",
        "Boot ACK mode select",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOOT_MODE",
        "Boot mode select",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOOT_EN",
        "Boot mode enable",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "AUTO_SABG_EN",
        "During boot, enable auto stop at block gap function.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "DISABLE_TIME_OUT",
        "When this bit is set, there is no timeout check no matter whether BOOT"
        "_EN is set or not.",
        8, // LSB
        8, // MSB
        true, // Readable
        true // Writable
    },
    {
        "BOOT_BLK_CNT",
        "The value defines the Stop At Block Gap value of automatic mode.",
        16, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_VEND_SPEC2.
static const field_t hw_usdhc_usdhc1_vend_spec2[] =
{
    {
        "SDR104_TIMING_DIS",
        "Timeout counter test.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDR104_OE_DIS",
        "CMD_OE / DATA_OE logic generation test.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SDR104_NSD_DIS",
        "Interrupt window after abort command is sent.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CARD_INT_D3_TEST",
        "This bit only uses for debugging.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_8BIT_EN",
        "Enable the auto tuning circuit to check the DATA[7:0].",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_1BIT_EN",
        "Enable the auto tuning circuit to check the DATA0 only.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_CMD_EN",
        "Enable the auto tuning circuit to check the CMD line.",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "CARD_INT_AUTO_CLR_DIS",
        "Disable the feature to clear the Card interrupt status bit when Card I"
        "nterrupt status enable bit is cleared.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HS400_WR_CLK_STOP_EN",
        "Only stop clock at write block gap.",
        10, // LSB
        10, // MSB
        true, // Readable
        true // Writable
    },
    {
        "HS400_RD_CLK_STOP_EN",
        "Only stop clock at read block gap.",
        11, // LSB
        11, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register uSDHC_uSDHC1_TUNING_CTRL.
static const field_t hw_usdhc_usdhc1_tuning_ctrl[] =
{
    {
        "TUNING_START_TAP",
        "The start dealy cell point when send first CMD19 in tuning procedure.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_COUNTER",
        "The MAX repeat CMD19 times in tuning procedure.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_STEP",
        "The increasing delay cell steps in tuning procedure.",
        16, // LSB
        18, // MSB
        true, // Readable
        true // Writable
    },
    {
        "TUNING_WINDOW",
        "Select data window value for auto tuning",
        20, // LSB
        22, // MSB
        true, // Readable
        true // Writable
    },
    {
        "STD_TUNING_EN",
        "Standard tuning circuit and procedure enable: This bit is used to enab"
        "le standard tuning circuit and procedure.",
        24, // LSB
        24, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a USDHC module.
static const reg_t hw_usdhc[] =
{
    {
        "uSDHC1_DS_ADDR",
        "This register contains the physical system memory address used for DMA"
        " transfers.",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usdhc_usdhc1_ds_addr
    },
    {
        "uSDHC1_BLK_ATT",
        "This register is used to configure the number of data blocks and the n"
        "umber of bytes in each block.",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        2, // Number of bitfields
        hw_usdhc_usdhc1_blk_att
    },
    {
        "uSDHC1_CMD_ARG",
        "This register contains the SD / MMC Command Argument.",
        4, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usdhc_usdhc1_cmd_arg
    },
    {
        "uSDHC1_CMD_XFR_TYP",
        "This register is used to control the operation of data transfers.",
        4, // Width in bytes
        0x0000000c, // Base address offset
        true, // Readable
        true, // Writable
        6, // Number of bitfields
        hw_usdhc_usdhc1_cmd_xfr_typ
    },
    {
        "uSDHC1_CMD_RSP0",
        "This register is used to store part 0 of the response bits from the ca"
        "rd.",
        4, // Width in bytes
        0x00000010, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usdhc_usdhc1_cmd_rsp0
    },
    {
        "uSDHC1_CMD_RSP1",
        "This register is used to store part 1 of the response bits from the ca"
        "rd.",
        4, // Width in bytes
        0x00000014, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usdhc_usdhc1_cmd_rsp1
    },
    {
        "uSDHC1_CMD_RSP2",
        "This register is used to store part 2 of the response bits from the ca"
        "rd.",
        4, // Width in bytes
        0x00000018, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usdhc_usdhc1_cmd_rsp2
    },
    {
        "uSDHC1_CMD_RSP3",
        "This register is used to store part 3 of the response bits from the ca"
        "rd.",
        4, // Width in bytes
        0x0000001c, // Base address offset
        true, // Readable
        false, // Writable
        1, // Number of bitfields
        hw_usdhc_usdhc1_cmd_rsp3
    },
    {
        "uSDHC1_DATA_BUFF_ACC_PORT",
        "This is a 32-bit data port register used to access the internal buffer"
        ".",
        4, // Width in bytes
        0x00000020, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usdhc_usdhc1_data_buff_acc_port
    },
    {
        "uSDHC1_PRES_STATE",
        "The Host Driver can get status of the uSDHC from this 32-bit read only"
        " register.",
        4, // Width in bytes
        0x00000024, // Base address offset
        true, // Readable
        false, // Writable
        19, // Number of bitfields
        hw_usdhc_usdhc1_pres_state
    },
    {
        "uSDHC1_PROT_CTRL",
        "There are three cases to restart the transfer after stop at the block "
        "gap.",
        4, // Width in bytes
        0x00000028, // Base address offset
        true, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_usdhc_usdhc1_prot_ctrl
    },
    {
        "uSDHC1_SYS_CTRL",
        "",
        4, // Width in bytes
        0x0000002c, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_usdhc_usdhc1_sys_ctrl
    },
    {
        "uSDHC1_INT_STATUS",
        "An interrupt is generated when the Normal Interrupt Signal Enable is e"
        "nabled and at least one of the status bits is set to 1.",
        4, // Width in bytes
        0x00000030, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_usdhc_usdhc1_int_status
    },
    {
        "uSDHC1_INT_STATUS_EN",
        "Setting the bits in this register to 1 enables the corresponding Inter"
        "rupt Status to be set by the specified event.",
        4, // Width in bytes
        0x00000034, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_usdhc_usdhc1_int_status_en
    },
    {
        "uSDHC1_INT_SIGNAL_EN",
        "This register is used to select which interrupt status is indicated to"
        " the Host System as the interrupt.",
        4, // Width in bytes
        0x00000038, // Base address offset
        true, // Readable
        true, // Writable
        21, // Number of bitfields
        hw_usdhc_usdhc1_int_signal_en
    },
    {
        "uSDHC1_AUTOCMD12_ERR_STATUS",
        "When the Auto CMD12 Error Status bit in the Status register is set, th"
        "e Host Driver shall check this register to identify what kind of error"
        " the Auto CMD12 / CMD 23 indicated.",
        4, // Width in bytes
        0x0000003c, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_usdhc_usdhc1_autocmd12_err_status
    },
    {
        "uSDHC1_HOST_CTRL_CAP",
        "This register provides the Host Driver with information specific to th"
        "e uSDHC implementation.",
        4, // Width in bytes
        0x00000040, // Base address offset
        true, // Readable
        true, // Writable
        14, // Number of bitfields
        hw_usdhc_usdhc1_host_ctrl_cap
    },
    {
        "uSDHC1_WTMK_LVL",
        "Both write and read watermark levels (FIFO threshold) are configurable"
        ".",
        4, // Width in bytes
        0x00000044, // Base address offset
        true, // Readable
        true, // Writable
        4, // Number of bitfields
        hw_usdhc_usdhc1_wtmk_lvl
    },
    {
        "uSDHC1_MIX_CTRL",
        "This register is used to DMA and data transfer.",
        4, // Width in bytes
        0x00000048, // Base address offset
        true, // Readable
        true, // Writable
        13, // Number of bitfields
        hw_usdhc_usdhc1_mix_ctrl
    },
    {
        "uSDHC1_FORCE_EVENT",
        "The Force Event Register is not a physically implemented register.",
        4, // Width in bytes
        0x00000050, // Base address offset
        false, // Readable
        true, // Writable
        17, // Number of bitfields
        hw_usdhc_usdhc1_force_event
    },
    {
        "uSDHC1_ADMA_ERR_STATUS",
        "When an ADMA Error Interrupt has occurred, the ADMA Error States field"
        " in this register holds the ADMA state and the ADMA System Address reg"
        "ister holds the address around the error descriptor.",
        4, // Width in bytes
        0x00000054, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_usdhc_usdhc1_adma_err_status
    },
    {
        "uSDHC1_ADMA_SYS_ADDR",
        "This register contains the physical system memory address used for ADM"
        "A transfers.",
        4, // Width in bytes
        0x00000058, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_usdhc_usdhc1_adma_sys_addr
    },
    {
        "uSDHC1_DLL_CTRL",
        "This register contains control bits for DLL.",
        4, // Width in bytes
        0x00000060, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_usdhc_usdhc1_dll_ctrl
    },
    {
        "uSDHC1_DLL_STATUS",
        "This register contains the DLL status information.",
        4, // Width in bytes
        0x00000064, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_usdhc_usdhc1_dll_status
    },
    {
        "uSDHC1_CLK_TUNE_CTRL_STATUS",
        "This register contains the Clock Tuning Control status information.",
        4, // Width in bytes
        0x00000068, // Base address offset
        true, // Readable
        true, // Writable
        8, // Number of bitfields
        hw_usdhc_usdhc1_clk_tune_ctrl_status
    },
    {
        "uSDHC1_STROBE_DLL_CTRL",
        "This register contains the strobe DLL Control information.",
        4, // Width in bytes
        0x00000070, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_usdhc_usdhc1_strobe_dll_ctrl
    },
    {
        "uSDHC1_STROBE_DLL_STATUS",
        "This register contains the strobe DLL status information.",
        4, // Width in bytes
        0x00000074, // Base address offset
        true, // Readable
        false, // Writable
        4, // Number of bitfields
        hw_usdhc_usdhc1_strobe_dll_status
    },
    {
        "uSDHC1_VEND_SPEC",
        "This register contains the vendor specific control / status register.",
        4, // Width in bytes
        0x000000c0, // Base address offset
        true, // Readable
        true, // Writable
        16, // Number of bitfields
        hw_usdhc_usdhc1_vend_spec
    },
    {
        "uSDHC1_MMC_BOOT",
        "This register contains the MMC Fast Boot control register.",
        4, // Width in bytes
        0x000000c4, // Base address offset
        true, // Readable
        true, // Writable
        7, // Number of bitfields
        hw_usdhc_usdhc1_mmc_boot
    },
    {
        "uSDHC1_VEND_SPEC2",
        "This register contains the vendor specific control 2 register.",
        4, // Width in bytes
        0x000000c8, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_usdhc_usdhc1_vend_spec2
    },
    {
        "uSDHC1_TUNING_CTRL",
        "The register contains configuration of tuning circuit.",
        4, // Width in bytes
        0x000000cc, // Base address offset
        true, // Readable
        true, // Writable
        5, // Number of bitfields
        hw_usdhc_usdhc1_tuning_ctrl
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark WDOG
#endif

// Bitfields in register WDOG_WCR.
static const field_t hw_wdog_wcr[] =
{
    {
        "WDZST",
        "Watchdog Low Power.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDBG",
        "Watchdog DEBUG Enable.",
        1, // LSB
        1, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDE",
        "Watchdog Enable.",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDT",
        "WDOG_B Time-out assertion.",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRS",
        "Software Reset Signal.",
        4, // LSB
        4, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDA",
        "WDOG_B assertion.",
        5, // LSB
        5, // MSB
        true, // Readable
        true // Writable
    },
    {
        "SRE",
        "",
        6, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WDW",
        "Watchdog Disable for Wait.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WT",
        "Watchdog Time-out Field.",
        8, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WDOG_WSR.
static const field_t hw_wdog_wsr[] =
{
    {
        "WSR",
        "Watchdog Service Register.",
        0, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WDOG_WRSR.
static const field_t hw_wdog_wrsr[] =
{
    {
        "SFTW",
        "Software Reset.",
        0, // LSB
        0, // MSB
        true, // Readable
        false // Writable
    },
    {
        "TOUT",
        "Timeout.",
        1, // LSB
        1, // MSB
        true, // Readable
        false // Writable
    },
    {
        "POR",
        "Power On Reset.",
        4, // LSB
        4, // MSB
        true, // Readable
        false // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WDOG_WICR.
static const field_t hw_wdog_wicr[] =
{
    {
        "WICT",
        "Watchdog Interrupt Count Time-out (WICT) field determines, how long be"
        "fore the counter time-out must the interrupt occur.",
        0, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WTIS",
        "Watchdog Timer Interrupt Status bit will reflect the timer interrupt s"
        "tatus, whether interrupt has occurred or not.",
        14, // LSB
        14, // MSB
        true, // Readable
        true // Writable
    },
    {
        "WIE",
        "Watchdog Timer Interrupt enable bit.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register WDOG_WMCR.
static const field_t hw_wdog_wmcr[] =
{
    {
        "PDE",
        "Power Down Enable bit.",
        0, // LSB
        0, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a WDOG module.
static const reg_t hw_wdog[] =
{
    {
        "WCR",
        "The Watchdog Control Register (WDOG_WCR) controls the WDOG operation.",
        2, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        9, // Number of bitfields
        hw_wdog_wcr
    },
    {
        "WSR",
        "When enabled, the WDOG requires that a service sequence be written to "
        "the Watchdog Service Register (WSR) to prevent the timeout condition.",
        2, // Width in bytes
        0x00000002, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_wdog_wsr
    },
    {
        "WRSR",
        "The WRSR is a read-only register that records the source of the output"
        " reset assertion.",
        2, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        false, // Writable
        3, // Number of bitfields
        hw_wdog_wrsr
    },
    {
        "WICR",
        "The WDOG_WICR controls the WDOG interrupt generation.",
        2, // Width in bytes
        0x00000006, // Base address offset
        true, // Readable
        true, // Writable
        3, // Number of bitfields
        hw_wdog_wicr
    },
    {
        "WMCR",
        "WDOG_WMCR Controls the Power Down counter operation.",
        2, // Width in bytes
        0x00000008, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_wdog_wmcr
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark XTALOSC
#endif

// Bitfields in register XTALOSC_OSC25M_CTL_CFG.
static const field_t hw_xtalosc_osc25m_ctl_cfg[] =
{
    {
        "OSC_ALC_CTL",
        "Automatic Level Controller Enable",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_HYST_CTL",
        "Hysteresis Control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_GM_SEL",
        "Crystal overdrive protection",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_INT_STU",
        "Crystal oscillator clock interrupt This bit is set by hardware when OS"
        "CCNT counter reaches the count value EOCV x 512.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_DIV",
        "Crystal oscillator clock division factor These bits specify the crysta"
        "l oscillator output clock division factor.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_OK_BYPASS",
        "OSC ok output bypass",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_INT_MASK",
        "Crystal oscillator clock interrupt mask This bit masks the I_OSC inter"
        "rupt bit.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_EOCV",
        "End of Count Value These bits specify the end of count value to be use"
        "d for comparison by the oscillator stabilization counter OSCCNT after "
        "reset or whenever it is switched on from the off state.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_GM_TST_SEL",
        "Test mode GM measurement",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_BYPSS",
        "Crystal Oscillator bypass This bit specifies whether the oscillator sh"
        "ould be bypassed or not.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_OSC25M_TEST_CFG.
static const field_t hw_xtalosc_osc25m_test_cfg[] =
{
    {
        "XOSC_TESTEN",
        "25M Oscillator Test Enable",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_OSC27M_CTL_CFG.
static const field_t hw_xtalosc_osc27m_ctl_cfg[] =
{
    {
        "OSC_ALC_CTL",
        "Automatic Level Controller Enable",
        2, // LSB
        2, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_HYST_CTL",
        "Hysteresis Control",
        3, // LSB
        3, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_GM_SEL",
        "Crystal overdrive protection",
        4, // LSB
        6, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_INT_STU",
        "Crystal oscillator clock interrupt This bit is set by hardware when OS"
        "CCNT counter reaches the count value EOCV x 512.",
        7, // LSB
        7, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_DIV",
        "Crystal oscillator clock division factor These bits specify the crysta"
        "l oscillator output clock division factor.",
        8, // LSB
        12, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_OK_BYPASS",
        "OSC ok output bypass",
        13, // LSB
        13, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_INT_MASK",
        "Crystal oscillator clock interrupt mask This bit masks the I_OSC inter"
        "rupt bit.",
        15, // LSB
        15, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_EOCV",
        "End of Count Value These bits specify the end of count value to be use"
        "d for comparison by the oscillator stabilization counter OSCCNT after "
        "reset or whenever it is switched on from the off state.",
        16, // LSB
        23, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_GM_TST_SEL",
        "Test mode GM measurement",
        30, // LSB
        30, // MSB
        true, // Readable
        true // Writable
    },
    {
        "OSC_BYPSS",
        "Crystal Oscillator bypass This bit specifies whether the oscillator sh"
        "ould be bypassed or not.",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Bitfields in register XTALOSC_OSC27M_TEST_CFG.
static const field_t hw_xtalosc_osc27m_test_cfg[] =
{
    {
        "XOSC_TESTEN",
        "27M Oscillator Test Enable",
        31, // LSB
        31, // MSB
        true, // Readable
        true // Writable
    },
    { 0 } // Terminator
};

// Registers in a XTALOSC module.
static const reg_t hw_xtalosc[] =
{
    {
        "OSC25M_CTL_CFG",
        "25M Oscillator Control Configuration Register",
        4, // Width in bytes
        0x00000000, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_xtalosc_osc25m_ctl_cfg
    },
    {
        "OSC25M_TEST_CFG",
        "25M Oscillator Test Configuration Register",
        4, // Width in bytes
        0x00000004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_xtalosc_osc25m_test_cfg
    },
    {
        "OSC27M_CTL_CFG",
        "27M Oscillator Control Configuration Register",
        4, // Width in bytes
        0x00008000, // Base address offset
        true, // Readable
        true, // Writable
        10, // Number of bitfields
        hw_xtalosc_osc27m_ctl_cfg
    },
    {
        "OSC27M_TEST_CFG",
        "27M Oscillator Test Configuration Register",
        4, // Width in bytes
        0x00008004, // Base address offset
        true, // Readable
        true, // Writable
        1, // Number of bitfields
        hw_xtalosc_osc27m_test_cfg
    },
    { 0 } // Terminator
};

//------------------------------------------------------------------------------
#if __nonexistant__
#pragma mark mx6
#endif

const module_t imx8mq7dvajz[] =
{
    // Module name, instance number, base address, register count, register definitions
    { "AIPSTZ1",        1, 0x301f0000, 6,    hw_aipstz },
    { "AIPSTZ2",        2, 0x305f0000, 6,    hw_aipstz },
    { "AIPSTZ3",        3, 0x309f0000, 6,    hw_aipstz },
    { "AIPSTZ4",        4, 0x32df0000, 6,    hw_aipstz },
    { "APBH",           1, 0x33000000, 132,  hw_apbh },
    { "BCH",            1, 0x33004000, 92,   hw_bch },
    { "CACHE",          1, 0x00000000, 0,    hw_cache },
    { "CCM",            1, 0x30380000, 2984, hw_ccm },
    { "CCM_ANALOG",     1, 0x30360000, 32,   hw_ccm_analog },
    { "DCSS__BLK_CTL",  1, 0x32e2f000, 20,   hw_blk_ctl },
    { "DCSS__CTX_LD",   1, 0x32e23000, 9,    hw_ctx_ld },
    { "DCSS__DEC400D",  1, 0x32e15000, 216,  hw_dec400d },
    { "DCSS__DPR1",     1, 0x32e18000, 60,   hw_dpr },
    { "DCSS__DPR2",     2, 0x32e19000, 60,   hw_dpr },
    { "DCSS__DPR3",     3, 0x32e1a000, 60,   hw_dpr },
    { "DCSS__DTG",      1, 0x32e20000, 31,   hw_dtg },
    { "DCSS__DTRC1",    1, 0x32e16000, 34,   hw_dtrc },
    { "DCSS__DTRC2",    2, 0x32e17000, 34,   hw_dtrc },
    { "DCSS__LUT_LD",   1, 0x32e24000, 5,    hw_lut_ld },
    { "DCSS__MED_DC_SCALER", 1, 0x32e1c000, 19, hw_med_dc_scaler },
    { "DCSS__MED_HDR10", 1, 0x32e0c000, 228, hw_med_hdr10 },
    { "DCSS__RD_SRC",   1, 0x32e22000, 8,    hw_rd_src },
    { "DCSS__SUBSAM",   1, 0x32e1b000, 49,   hw_subsam },
    { "DCSS__WR_SCL",   1, 0x32e21000, 6,    hw_wr_scl },
    { "DDRC",           1, 0x3d400000, 127,  hw_ddrc_regs },
    { "DWT",            1, 0xe0001000, 32,   hw_dwt },
    { "ECSPI1",         1, 0x30820000, 10,   hw_ecspi },
    { "ECSPI2",         2, 0x30830000, 10,   hw_ecspi },
    { "ECSPI3",         3, 0x30840000, 10,   hw_ecspi },
    { "ENET",           1, 0x30be0000, 123,  hw_enet },
    { "ETM",            1, 0xe0041000, 40,   hw_etm },
    { "GPC",            1, 0x303a0000, 118,  hw_gpc },
    { "GPC_PGC",        1, 0x303a0800, 100,  hw_gpc_pgc },
    { "GPIO1",          1, 0x30200000, 8,    hw_gpio },
    { "GPIO2",          2, 0x30210000, 8,    hw_gpio },
    { "GPIO3",          3, 0x30220000, 8,    hw_gpio },
    { "GPIO4",          4, 0x30230000, 8,    hw_gpio },
    { "GPIO5",          5, 0x30240000, 8,    hw_gpio },
    { "GPMI",           1, 0x33002000, 29,   hw_gpmi },
    { "GPT1",           1, 0x302d0000, 10,   hw_gpt },
    { "GPT2",           2, 0x302e0000, 10,   hw_gpt },
    { "GPT3",           3, 0x302f0000, 10,   hw_gpt },
    { "GPT4",           4, 0x30700000, 10,   hw_gpt },
    { "GPT5",           5, 0x306f0000, 10,   hw_gpt },
    { "GPT6",           6, 0x306e0000, 10,   hw_gpt },
    { "HDMI_TX",        1, 0x32c00000, 76,   hw_hdmi_tx },
    { "I2C1",           1, 0x30a20000, 5,    hw_i2c },
    { "I2C2",           2, 0x30a30000, 5,    hw_i2c },
    { "I2C3",           3, 0x30a40000, 5,    hw_i2c },
    { "I2C4",           4, 0x30a50000, 5,    hw_i2c },
    { "I2S1",           1, 0x30010000, 48,   hw_sai },
    { "I2S2",           2, 0x308b0000, 20,   hw_sai },
    { "I2S3",           3, 0x308c0000, 20,   hw_sai },
    { "I2S4",           4, 0x30050000, 20,   hw_sai },
    { "I2S5",           5, 0x30040000, 20,   hw_sai },
    { "I2S6",           6, 0x30030000, 20,   hw_sai },
    { "IOMUXC",         1, 0x30330000, 328,  hw_iomuxc },
    { "IOMUXC_GPR",     1, 0x30340000, 48,   hw_iomuxc_gpr },
    { "IRQ_STEER",      1, 0x32e2d000, 51,   hw_irq_steer },
    { "ITM",            1, 0xe0000000, 81,   hw_itm },
    { "LCDIF",          1, 0x30320000, 47,   hw_lcdif },
    { "LMEM",           1, 0xe0082000, 8,    hw_lmem },
    { "MCM",            1, 0xe0080000, 6,    hw_mcm },
    { "MEMORY",         1, 0x00000000, 0,    hw_memory },
    { "MIPI_CSI2RX1",   1, 0x30a70000, 13,   hw_mipi_csi2rx },
    { "MIPI_CSI2RX2",   2, 0x30b60000, 13,   hw_mipi_csi2rx },
    { "MIPI_DSI_HOST",  1, 0x30a10000, 13,   hw_mipi_dsi_host },
    { "MIPI_DSI_HOST_APB_PKT_IF", 1, 0x30a10280, 12, hw_mipi_dsi_host_apb_pkt_if },
    { "MIPI_DSI_HOST_DPI_INTFC", 1, 0x30a10200, 17, hw_mipi_dsi_host_dpi_intfc },
    { "MIPI_DSI_HOST_FSL_IP1_DPHY_INTFC", 1, 0x30a10300, 18, hw_mipi_dsi_host_fsl_ip1_dphy_intfc },
    { "MUB",            1, 0x30ab0000, 10,   hw_mub },
    { "NVIC",           1, 0xe000e100, 127,  hw_nvic },
    { "OCOTP",          1, 0x30350000, 246,  hw_ocotp },
    { "PWM1",           1, 0x30660000, 6,    hw_pwm },
    { "PWM2",           2, 0x30670000, 6,    hw_pwm },
    { "PWM3",           3, 0x30680000, 6,    hw_pwm },
    { "PWM4",           4, 0x30690000, 6,    hw_pwm },
    { "QUADSPI",        1, 0x30bb0000, 124,  hw_quadspi },
    { "RDC",            1, 0x303d0000, 357,  hw_rdc },
    { "RDC_SEMAPHORE1", 1, 0x303b0000, 66,   hw_rdc_semaphore },
    { "RDC_SEMAPHORE2", 2, 0x303c0000, 66,   hw_rdc_semaphore },
    { "ROMC",           1, 0x30310000, 28,   hw_romc },
    { "SDMAARM1",       1, 0x30bd0000, 106,  hw_sdmaarm },
    { "SDMAARM2",       2, 0x302c0000, 106,  hw_sdmaarm },
    { "SEMA4",          1, 0x30ac0000, 22,   hw_sema4 },
    { "SNVS",           1, 0x30370000, 44,   hw_snvs },
    { "SPBA1",          1, 0x308f0000, 32,   hw_spba },
    { "SPBA2",          2, 0x300f0000, 32,   hw_spba },
    { "SPDIF1",         1, 0x30810000, 18,   hw_spdif },
    { "SPDIF2",         2, 0x308a0000, 18,   hw_spdif },
    { "SRC",            1, 0x30390000, 32,   hw_src },
    { "SYSTEMCONTROL",  1, 0xe000e000, 21,   hw_scb },
    { "SYSTICK",        1, 0xe000e010, 4,    hw_systick },
    { "TMU",            1, 0x30260000, 51,   hw_tmu },
    { "UART1",          1, 0x30860000, 17,   hw_uart },
    { "UART2",          2, 0x30890000, 17,   hw_uart },
    { "UART3",          3, 0x30880000, 17,   hw_uart },
    { "UART4",          4, 0x30a60000, 17,   hw_uart },
    { "USDHC1",         1, 0x30b40000, 31,   hw_usdhc },
    { "USDHC2",         2, 0x30b50000, 31,   hw_usdhc },
    { "WDOG1",          1, 0x30280000, 5,    hw_wdog },
    { "WDOG2",          2, 0x30290000, 5,    hw_wdog },
    { "WDOG3",          3, 0x302a0000, 5,    hw_wdog },
    { "XTALOSC",        1, 0x30270000, 4,    hw_xtalosc },
    { 0 } // Terminator
};

////////////////////////////////////////////////////////////////////////////////
